
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2011, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static SelectStmt *findLeftmostSelect(SelectStmt *node);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner);



/* Line 189 of yacc.c  */
#line 232 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EXCEPT = 384,
     EXCLUDE = 385,
     EXCLUDING = 386,
     EXCLUSIVE = 387,
     EXECUTE = 388,
     EXISTS = 389,
     EXPLAIN = 390,
     EXTENSION = 391,
     EXTERNAL = 392,
     EXTRACT = 393,
     FALSE_P = 394,
     FAMILY = 395,
     FETCH = 396,
     FIRST_P = 397,
     FLOAT_P = 398,
     FOLLOWING = 399,
     FOR = 400,
     FORCE = 401,
     FOREIGN = 402,
     FORWARD = 403,
     FREEZE = 404,
     FROM = 405,
     FULL = 406,
     FUNCTION = 407,
     FUNCTIONS = 408,
     GLOBAL = 409,
     GRANT = 410,
     GRANTED = 411,
     GREATEST = 412,
     GROUP_P = 413,
     HANDLER = 414,
     HAVING = 415,
     HEADER_P = 416,
     HOLD = 417,
     HOUR_P = 418,
     IDENTITY_P = 419,
     IF_P = 420,
     ILIKE = 421,
     IMMEDIATE = 422,
     IMMUTABLE = 423,
     IMPLICIT_P = 424,
     IN_P = 425,
     INCLUDING = 426,
     INCREMENT = 427,
     INDEX = 428,
     INDEXES = 429,
     INHERIT = 430,
     INHERITS = 431,
     INITIALLY = 432,
     INLINE_P = 433,
     INNER_P = 434,
     INOUT = 435,
     INPUT_P = 436,
     INSENSITIVE = 437,
     INSERT = 438,
     INSTEAD = 439,
     INT_P = 440,
     INTEGER = 441,
     INTERSECT = 442,
     INTERVAL = 443,
     INTO = 444,
     INVOKER = 445,
     IS = 446,
     ISNULL = 447,
     ISOLATION = 448,
     JOIN = 449,
     KEY = 450,
     LABEL = 451,
     LANGUAGE = 452,
     LARGE_P = 453,
     LAST_P = 454,
     LC_COLLATE_P = 455,
     LC_CTYPE_P = 456,
     LEADING = 457,
     LEAST = 458,
     LEFT = 459,
     LEVEL = 460,
     LIKE = 461,
     LIMIT = 462,
     LISTEN = 463,
     LOAD = 464,
     LOCAL = 465,
     LOCALTIME = 466,
     LOCALTIMESTAMP = 467,
     LOCATION = 468,
     LOCK_P = 469,
     MAPPING = 470,
     MATCH = 471,
     MAXVALUE = 472,
     MINUTE_P = 473,
     MINVALUE = 474,
     MODE = 475,
     MONTH_P = 476,
     MOVE = 477,
     NAME_P = 478,
     NAMES = 479,
     NATIONAL = 480,
     NATURAL = 481,
     NCHAR = 482,
     NEXT = 483,
     NO = 484,
     NONE = 485,
     NOT = 486,
     NOTHING = 487,
     NOTIFY = 488,
     NOTNULL = 489,
     NOWAIT = 490,
     NULL_P = 491,
     NULLIF = 492,
     NULLS_P = 493,
     NUMERIC = 494,
     OBJECT_P = 495,
     OF = 496,
     OFF = 497,
     OFFSET = 498,
     OIDS = 499,
     ON = 500,
     ONLY = 501,
     OPERATOR = 502,
     OPTION = 503,
     OPTIONS = 504,
     OR = 505,
     ORDER = 506,
     OUT_P = 507,
     OUTER_P = 508,
     OVER = 509,
     OVERLAPS = 510,
     OVERLAY = 511,
     OWNED = 512,
     OWNER = 513,
     PARSER = 514,
     PARTIAL = 515,
     PARTITION = 516,
     PASSING = 517,
     PASSWORD = 518,
     PLACING = 519,
     PLANS = 520,
     POSITION = 521,
     PRECEDING = 522,
     PRECISION = 523,
     PRESERVE = 524,
     PREPARE = 525,
     PREPARED = 526,
     PRIMARY = 527,
     PRIOR = 528,
     PRIVILEGES = 529,
     PROCEDURAL = 530,
     PROCEDURE = 531,
     QUOTE = 532,
     RANGE = 533,
     READ = 534,
     REAL = 535,
     REASSIGN = 536,
     RECHECK = 537,
     RECURSIVE = 538,
     REF = 539,
     REFERENCES = 540,
     REINDEX = 541,
     RELATIVE_P = 542,
     RELEASE = 543,
     RENAME = 544,
     REPEATABLE = 545,
     REPLACE = 546,
     REPLICA = 547,
     RESET = 548,
     RESTART = 549,
     RESTRICT = 550,
     RETURNING = 551,
     RETURNS = 552,
     REVOKE = 553,
     RIGHT = 554,
     ROLE = 555,
     ROLLBACK = 556,
     ROW = 557,
     ROWS = 558,
     RULE = 559,
     SAVEPOINT = 560,
     SCHEMA = 561,
     SCROLL = 562,
     SEARCH = 563,
     SECOND_P = 564,
     SECURITY = 565,
     SELECT = 566,
     SEQUENCE = 567,
     SEQUENCES = 568,
     SERIALIZABLE = 569,
     SERVER = 570,
     SESSION = 571,
     SESSION_USER = 572,
     SET = 573,
     SETOF = 574,
     SHARE = 575,
     SHOW = 576,
     SIMILAR = 577,
     SIMPLE = 578,
     SMALLINT = 579,
     SOME = 580,
     STABLE = 581,
     STANDALONE_P = 582,
     START = 583,
     STATEMENT = 584,
     STATISTICS = 585,
     STDIN = 586,
     STDOUT = 587,
     STORAGE = 588,
     STRICT_P = 589,
     STRIP_P = 590,
     SUBSTRING = 591,
     SYMMETRIC = 592,
     SYSID = 593,
     SYSTEM_P = 594,
     TABLE = 595,
     TABLES = 596,
     TABLESPACE = 597,
     TEMP = 598,
     TEMPLATE = 599,
     TEMPORARY = 600,
     TEXT_P = 601,
     THEN = 602,
     TIME = 603,
     TIMESTAMP = 604,
     TO = 605,
     TRAILING = 606,
     TRANSACTION = 607,
     TREAT = 608,
     TRIGGER = 609,
     TRIM = 610,
     TRUE_P = 611,
     TRUNCATE = 612,
     TRUSTED = 613,
     TYPE_P = 614,
     UNBOUNDED = 615,
     UNCOMMITTED = 616,
     UNENCRYPTED = 617,
     UNION = 618,
     UNIQUE = 619,
     UNKNOWN = 620,
     UNLISTEN = 621,
     UNLOGGED = 622,
     UNTIL = 623,
     UPDATE = 624,
     USER = 625,
     USING = 626,
     VACUUM = 627,
     VALID = 628,
     VALIDATE = 629,
     VALIDATOR = 630,
     VALUE_P = 631,
     VALUES = 632,
     VARCHAR = 633,
     VARIADIC = 634,
     VARYING = 635,
     VERBOSE = 636,
     VERSION_P = 637,
     VIEW = 638,
     VOLATILE = 639,
     WHEN = 640,
     WHERE = 641,
     WHITESPACE_P = 642,
     WINDOW = 643,
     WITH = 644,
     WITHOUT = 645,
     WORK = 646,
     WRAPPER = 647,
     WRITE = 648,
     XML_P = 649,
     XMLATTRIBUTES = 650,
     XMLCONCAT = 651,
     XMLELEMENT = 652,
     XMLEXISTS = 653,
     XMLFOREST = 654,
     XMLPARSE = 655,
     XMLPI = 656,
     XMLROOT = 657,
     XMLSERIALIZE = 658,
     YEAR_P = 659,
     YES_P = 660,
     ZONE = 661,
     NULLS_FIRST = 662,
     NULLS_LAST = 663,
     WITH_TIME = 664,
     POSTFIXOP = 665,
     UMINUS = 666
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 160 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 214 of yacc.c  */
#line 718 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 743 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  693
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   67472

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  429
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  544
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2213
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4173

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   666

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   418,     2,     2,
     423,   424,   416,   414,   427,   415,   425,   417,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   428,   426,
     411,   410,   412,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   421,     2,   422,   419,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   413,   420
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   232,   238,   240,   241,
     244,   245,   248,   249,   252,   255,   259,   263,   265,   269,
     273,   276,   278,   280,   283,   286,   289,   293,   297,   303,
     309,   310,   314,   320,   326,   331,   335,   341,   345,   351,
     357,   364,   366,   368,   372,   378,   385,   390,   392,   393,
     396,   397,   399,   401,   403,   405,   407,   409,   412,   416,
     420,   424,   428,   432,   436,   440,   444,   447,   453,   456,
     459,   462,   465,   469,   473,   477,   479,   483,   485,   489,
     491,   493,   496,   499,   502,   504,   506,   508,   510,   512,
     514,   516,   520,   527,   529,   531,   533,   535,   537,   538,
     540,   542,   545,   549,   554,   558,   561,   564,   566,   569,
     573,   578,   582,   585,   590,   592,   594,   596,   598,   600,
     603,   606,   609,   612,   617,   622,   627,   632,   634,   638,
     641,   645,   650,   657,   664,   671,   677,   683,   690,   697,
     702,   711,   714,   718,   725,   730,   734,   738,   742,   746,
     750,   755,   760,   764,   768,   772,   776,   780,   784,   789,
     794,   798,   801,   805,   808,   811,   815,   819,   822,   825,
     827,   831,   834,   836,   838,   839,   842,   843,   846,   847,
     851,   854,   855,   857,   861,   865,   867,   873,   877,   882,
     884,   888,   893,   900,   905,   914,   917,   920,   931,   938,
     940,   942,   944,   946,   948,   950,   954,   957,   958,   960,
     962,   966,   970,   972,   974,   978,   982,   986,   990,   995,
     998,  1000,  1001,  1004,  1005,  1009,  1010,  1012,  1013,  1015,
    1019,  1022,  1024,  1026,  1028,  1032,  1033,  1035,  1039,  1041,
    1053,  1068,  1079,  1093,  1095,  1097,  1100,  1103,  1106,  1109,
    1111,  1112,  1114,  1115,  1119,  1120,  1122,  1126,  1128,  1132,
    1134,  1136,  1138,  1140,  1142,  1146,  1151,  1154,  1155,  1159,
    1161,  1163,  1166,  1169,  1171,  1175,  1180,  1185,  1188,  1194,
    1196,  1199,  1202,  1205,  1209,  1213,  1217,  1218,  1220,  1222,
    1224,  1226,  1228,  1230,  1234,  1236,  1242,  1250,  1254,  1263,
    1268,  1278,  1290,  1294,  1295,  1297,  1301,  1303,  1306,  1309,
    1312,  1313,  1315,  1319,  1323,  1330,  1335,  1336,  1338,  1340,
    1343,  1346,  1347,  1351,  1355,  1358,  1360,  1362,  1365,  1368,
    1373,  1374,  1377,  1380,  1383,  1384,  1388,  1393,  1398,  1399,
    1402,  1403,  1408,  1409,  1413,  1421,  1427,  1431,  1432,  1434,
    1438,  1440,  1443,  1447,  1448,  1454,  1459,  1461,  1462,  1464,
    1467,  1470,  1472,  1475,  1479,  1482,  1485,  1488,  1491,  1495,
    1499,  1501,  1505,  1507,  1508,  1510,  1513,  1515,  1517,  1521,
    1528,  1539,  1541,  1542,  1544,  1547,  1550,  1551,  1554,  1557,
    1559,  1560,  1566,  1574,  1576,  1577,  1584,  1587,  1588,  1592,
    1598,  1604,  1613,  1616,  1617,  1620,  1623,  1626,  1632,  1635,
    1636,  1639,  1647,  1658,  1665,  1672,  1679,  1686,  1694,  1702,
    1712,  1722,  1729,  1736,  1745,  1754,  1763,  1772,  1779,  1786,
    1794,  1803,  1810,  1817,  1825,  1828,  1831,  1834,  1837,  1839,
    1842,  1844,  1845,  1852,  1861,  1869,  1876,  1881,  1882,  1884,
    1888,  1893,  1895,  1899,  1901,  1904,  1907,  1910,  1913,  1915,
    1917,  1928,  1931,  1932,  1935,  1938,  1940,  1941,  1946,  1953,
    1959,  1964,  1969,  1978,  1990,  1994,  1997,  1999,  2003,  2005,
    2011,  2020,  2022,  2024,  2026,  2034,  2044,  2053,  2069,  2090,
    2092,  2094,  2097,  2099,  2103,  2105,  2107,  2109,  2113,  2115,
    2119,  2120,  2122,  2123,  2125,  2127,  2132,  2133,  2135,  2139,
    2140,  2142,  2144,  2146,  2148,  2151,  2152,  2153,  2156,  2159,
    2161,  2164,  2167,  2170,  2177,  2186,  2195,  2200,  2206,  2211,
    2216,  2221,  2225,  2233,  2242,  2249,  2256,  2263,  2270,  2275,
    2281,  2285,  2287,  2291,  2295,  2297,  2299,  2301,  2303,  2305,
    2307,  2311,  2315,  2319,  2321,  2325,  2329,  2331,  2332,  2334,
    2338,  2345,  2354,  2363,  2377,  2379,  2383,  2389,  2396,  2401,
    2409,  2412,  2414,  2415,  2418,  2419,  2422,  2427,  2428,  2430,
    2431,  2438,  2447,  2456,  2458,  2462,  2468,  2474,  2482,  2492,
    2500,  2510,  2516,  2523,  2530,  2535,  2537,  2539,  2541,  2543,
    2546,  2548,  2550,  2552,  2554,  2556,  2558,  2562,  2566,  2570,
    2574,  2576,  2580,  2582,  2585,  2588,  2592,  2598,  2601,  2604,
    2605,  2612,  2620,  2628,  2636,  2645,  2654,  2661,  2670,  2680,
    2690,  2698,  2709,  2717,  2726,  2735,  2744,  2753,  2755,  2757,
    2759,  2761,  2763,  2765,  2767,  2769,  2771,  2773,  2775,  2777,
    2779,  2781,  2784,  2786,  2790,  2792,  2794,  2803,  2813,  2823,
    2833,  2843,  2846,  2847,  2849,  2852,  2854,  2856,  2858,  2860,
    2862,  2864,  2866,  2868,  2871,  2874,  2876,  2879,  2883,  2887,
    2891,  2895,  2900,  2905,  2909,  2913,  2917,  2922,  2927,  2931,
    2936,  2941,  2943,  2945,  2947,  2948,  2956,  2964,  2975,  2977,
    2979,  2982,  2987,  2993,  2995,  2999,  3002,  3005,  3008,  3011,
    3013,  3016,  3019,  3024,  3028,  3031,  3034,  3037,  3041,  3044,
    3047,  3053,  3059,  3065,  3067,  3071,  3073,  3076,  3080,  3081,
    3083,  3087,  3090,  3097,  3104,  3114,  3118,  3119,  3123,  3124,
    3130,  3133,  3134,  3138,  3142,  3146,  3154,  3162,  3173,  3175,
    3177,  3179,  3194,  3196,  3197,  3199,  3200,  3202,  3203,  3206,
    3207,  3209,  3213,  3219,  3225,  3233,  3236,  3237,  3239,  3242,
    3243,  3245,  3247,  3248,  3250,  3252,  3253,  3263,  3276,  3284,
    3287,  3288,  3292,  3295,  3297,  3301,  3305,  3308,  3310,  3314,
    3318,  3322,  3325,  3328,  3330,  3332,  3334,  3336,  3339,  3341,
    3343,  3345,  3347,  3352,  3358,  3360,  3364,  3368,  3370,  3373,
    3378,  3384,  3386,  3388,  3390,  3392,  3396,  3400,  3403,  3406,
    3409,  3412,  3414,  3417,  3420,  3422,  3424,  3426,  3430,  3433,
    3434,  3437,  3439,  3443,  3449,  3451,  3454,  3456,  3457,  3463,
    3471,  3477,  3485,  3491,  3499,  3503,  3509,  3515,  3521,  3523,
    3527,  3530,  3532,  3535,  3537,  3540,  3552,  3563,  3574,  3577,
    3580,  3581,  3591,  3594,  3595,  3600,  3605,  3610,  3612,  3614,
    3616,  3617,  3625,  3632,  3639,  3646,  3653,  3660,  3668,  3678,
    3688,  3695,  3702,  3709,  3716,  3723,  3731,  3740,  3750,  3759,
    3766,  3773,  3780,  3786,  3792,  3801,  3810,  3819,  3828,  3835,
    3845,  3847,  3848,  3851,  3852,  3860,  3867,  3874,  3881,  3888,
    3895,  3903,  3913,  3923,  3930,  3939,  3948,  3957,  3966,  3973,
    3980,  3988,  3995,  4003,  4010,  4017,  4024,  4031,  4038,  4046,
    4054,  4062,  4072,  4082,  4089,  4096,  4103,  4112,  4121,  4130,
    4137,  4151,  4153,  4155,  4159,  4163,  4165,  4167,  4169,  4171,
    4173,  4175,  4177,  4178,  4180,  4182,  4184,  4186,  4188,  4190,
    4191,  4198,  4207,  4211,  4214,  4215,  4218,  4221,  4224,  4227,
    4231,  4235,  4238,  4241,  4244,  4247,  4251,  4254,  4260,  4265,
    4269,  4273,  4277,  4279,  4281,  4282,  4286,  4289,  4292,  4294,
    4297,  4299,  4303,  4306,  4308,  4309,  4318,  4329,  4333,  4338,
    4343,  4344,  4347,  4353,  4356,  4357,  4361,  4365,  4369,  4373,
    4377,  4381,  4385,  4389,  4393,  4397,  4401,  4405,  4409,  4414,
    4418,  4422,  4424,  4425,  4431,  4438,  4443,  4446,  4447,  4452,
    4456,  4462,  4469,  4474,  4481,  4488,  4494,  4502,  4504,  4505,
    4512,  4524,  4536,  4548,  4562,  4572,  4584,  4595,  4600,  4603,
    4609,  4612,  4613,  4618,  4624,  4630,  4635,  4642,  4644,  4648,
    4650,  4652,  4654,  4656,  4659,  4664,  4666,  4668,  4670,  4671,
    4673,  4674,  4676,  4677,  4681,  4682,  4685,  4690,  4694,  4700,
    4702,  4704,  4706,  4708,  4710,  4712,  4714,  4716,  4720,  4723,
    4725,  4727,  4729,  4731,  4733,  4734,  4740,  4744,  4745,  4747,
    4749,  4751,  4753,  4757,  4766,  4770,  4771,  4774,  4778,  4781,
    4785,  4792,  4794,  4799,  4802,  4804,  4808,  4811,  4814,  4815,
    4823,  4826,  4827,  4833,  4837,  4838,  4841,  4844,  4847,  4851,
    4853,  4857,  4859,  4862,  4864,  4865,  4874,  4876,  4880,  4882,
    4884,  4888,  4894,  4897,  4899,  4903,  4911,  4913,  4914,  4918,
    4921,  4924,  4927,  4928,  4931,  4934,  4936,  4938,  4942,  4946,
    4948,  4951,  4956,  4961,  4964,  4968,  4974,  4980,  4982,  4984,
    4994,  4996,  4999,  5004,  5009,  5014,  5017,  5021,  5023,  5027,
    5034,  5036,  5037,  5040,  5041,  5045,  5049,  5054,  5059,  5064,
    5069,  5073,  5076,  5078,  5080,  5081,  5083,  5085,  5086,  5088,
    5094,  5096,  5097,  5099,  5100,  5104,  5106,  5110,  5115,  5119,
    5122,  5125,  5127,  5129,  5131,  5132,  5135,  5140,  5146,  5149,
    5153,  5155,  5157,  5159,  5161,  5165,  5166,  5168,  5170,  5172,
    5174,  5176,  5180,  5181,  5184,  5185,  5187,  5191,  5193,  5194,
    5196,  5199,  5204,  5209,  5212,  5213,  5216,  5220,  5223,  5224,
    5226,  5230,  5232,  5235,  5237,  5240,  5246,  5253,  5259,  5261,
    5264,  5266,  5271,  5275,  5280,  5286,  5291,  5297,  5302,  5308,
    5311,  5316,  5318,  5321,  5324,  5327,  5329,  5331,  5332,  5337,
    5340,  5342,  5345,  5348,  5353,  5355,  5359,  5361,  5364,  5368,
    5370,  5373,  5374,  5377,  5382,  5383,  5385,  5386,  5388,  5392,
    5396,  5399,  5403,  5409,  5416,  5419,  5423,  5427,  5432,  5433,
    5435,  5437,  5439,  5441,  5443,  5446,  5452,  5454,  5456,  5458,
    5460,  5463,  5467,  5471,  5472,  5474,  5476,  5478,  5480,  5482,
    5485,  5488,  5491,  5494,  5497,  5499,  5503,  5504,  5506,  5508,
    5510,  5512,  5518,  5521,  5523,  5525,  5527,  5529,  5535,  5538,
    5541,  5544,  5546,  5550,  5554,  5557,  5559,  5560,  5564,  5565,
    5571,  5574,  5580,  5583,  5585,  5588,  5592,  5593,  5595,  5597,
    5599,  5601,  5603,  5605,  5609,  5613,  5617,  5621,  5625,  5629,
    5633,  5634,  5636,  5641,  5643,  5647,  5651,  5657,  5660,  5663,
    5667,  5671,  5675,  5679,  5683,  5687,  5691,  5695,  5699,  5703,
    5706,  5709,  5713,  5717,  5720,  5724,  5730,  5735,  5742,  5746,
    5752,  5757,  5764,  5769,  5776,  5782,  5790,  5794,  5797,  5802,
    5805,  5809,  5813,  5818,  5822,  5827,  5831,  5836,  5842,  5849,
    5856,  5864,  5871,  5879,  5886,  5894,  5898,  5903,  5908,  5915,
    5918,  5922,  5927,  5929,  5933,  5936,  5939,  5943,  5947,  5951,
    5955,  5959,  5963,  5967,  5971,  5975,  5979,  5982,  5985,  5991,
    5998,  6005,  6013,  6017,  6022,  6024,  6026,  6029,  6034,  6036,
    6038,  6040,  6043,  6046,  6049,  6052,  6054,  6059,  6065,  6072,
    6081,  6088,  6096,  6104,  6110,  6112,  6114,  6119,  6121,  6126,
    6128,  6133,  6135,  6140,  6142,  6144,  6146,  6148,  6150,  6152,
    6159,  6164,  6169,  6174,  6179,  6186,  6192,  6198,  6204,  6209,
    6216,  6221,  6226,  6231,  6236,  6242,  6250,  6258,  6268,  6274,
    6279,  6286,  6292,  6300,  6308,  6316,  6319,  6323,  6327,  6331,
    6336,  6337,  6342,  6344,  6348,  6352,  6354,  6356,  6358,  6361,
    6364,  6365,  6368,  6373,  6378,  6385,  6388,  6389,  6391,  6395,
    6399,  6402,  6405,  6406,  6413,  6415,  6416,  6420,  6421,  6424,
    6427,  6428,  6430,  6435,  6438,  6441,  6444,  6447,  6450,  6455,
    6459,  6465,  6467,  6469,  6471,  6473,  6475,  6477,  6479,  6481,
    6483,  6485,  6487,  6489,  6491,  6493,  6495,  6500,  6502,  6507,
    6509,  6514,  6516,  6519,  6521,  6524,  6526,  6530,  6532,  6536,
    6538,  6542,  6544,  6548,  6552,  6556,  6559,  6561,  6565,  6569,
    6570,  6572,  6574,  6576,  6578,  6580,  6582,  6584,  6586,  6591,
    6595,  6598,  6602,  6603,  6607,  6611,  6614,  6617,  6619,  6620,
    6623,  6626,  6630,  6633,  6635,  6637,  6641,  6647,  6649,  6652,
    6657,  6660,  6661,  6663,  6664,  6666,  6669,  6672,  6675,  6679,
    6685,  6687,  6690,  6691,  6694,  6696,  6697,  6699,  6701,  6703,
    6707,  6711,  6713,  6717,  6721,  6724,  6726,  6728,  6730,  6734,
    6736,  6739,  6741,  6745,  6747,  6749,  6751,  6753,  6755,  6757,
    6759,  6762,  6764,  6766,  6768,  6770,  6772,  6775,  6781,  6784,
    6788,  6795,  6797,  6799,  6801,  6803,  6805,  6807,  6809,  6812,
    6815,  6817,  6819,  6821,  6823,  6825,  6827,  6829,  6831,  6833,
    6835,  6837,  6839,  6841,  6843,  6845,  6847,  6849,  6851,  6853,
    6855,  6857,  6859,  6861,  6863,  6865,  6867,  6869,  6871,  6873,
    6875,  6877,  6879,  6881,  6883,  6885,  6887,  6889,  6891,  6893,
    6895,  6897,  6899,  6901,  6903,  6905,  6907,  6909,  6911,  6913,
    6915,  6917,  6919,  6921,  6923,  6925,  6927,  6929,  6931,  6933,
    6935,  6937,  6939,  6941,  6943,  6945,  6947,  6949,  6951,  6953,
    6955,  6957,  6959,  6961,  6963,  6965,  6967,  6969,  6971,  6973,
    6975,  6977,  6979,  6981,  6983,  6985,  6987,  6989,  6991,  6993,
    6995,  6997,  6999,  7001,  7003,  7005,  7007,  7009,  7011,  7013,
    7015,  7017,  7019,  7021,  7023,  7025,  7027,  7029,  7031,  7033,
    7035,  7037,  7039,  7041,  7043,  7045,  7047,  7049,  7051,  7053,
    7055,  7057,  7059,  7061,  7063,  7065,  7067,  7069,  7071,  7073,
    7075,  7077,  7079,  7081,  7083,  7085,  7087,  7089,  7091,  7093,
    7095,  7097,  7099,  7101,  7103,  7105,  7107,  7109,  7111,  7113,
    7115,  7117,  7119,  7121,  7123,  7125,  7127,  7129,  7131,  7133,
    7135,  7137,  7139,  7141,  7143,  7145,  7147,  7149,  7151,  7153,
    7155,  7157,  7159,  7161,  7163,  7165,  7167,  7169,  7171,  7173,
    7175,  7177,  7179,  7181,  7183,  7185,  7187,  7189,  7191,  7193,
    7195,  7197,  7199,  7201,  7203,  7205,  7207,  7209,  7211,  7213,
    7215,  7217,  7219,  7221,  7223,  7225,  7227,  7229,  7231,  7233,
    7235,  7237,  7239,  7241,  7243,  7245,  7247,  7249,  7251,  7253,
    7255,  7257,  7259,  7261,  7263,  7265,  7267,  7269,  7271,  7273,
    7275,  7277,  7279,  7281,  7283,  7285,  7287,  7289,  7291,  7293,
    7295,  7297,  7299,  7301,  7303,  7305,  7307,  7309,  7311,  7313,
    7315,  7317,  7319,  7321,  7323,  7325,  7327,  7329,  7331,  7333,
    7335,  7337,  7339,  7341,  7343,  7345,  7347,  7349,  7351,  7353,
    7355,  7357,  7359,  7361,  7363,  7365,  7367,  7369,  7371,  7373,
    7375,  7377,  7379,  7381,  7383,  7385,  7387,  7389,  7391,  7393,
    7395,  7397,  7399,  7401,  7403,  7405,  7407,  7409,  7411,  7413,
    7415,  7417,  7419,  7421,  7423,  7425,  7427,  7429,  7431,  7433,
    7435,  7437,  7439,  7441,  7443,  7445,  7447,  7449,  7451,  7453,
    7455,  7457,  7459,  7461,  7463,  7465,  7467,  7469,  7471,  7473,
    7475,  7477,  7479,  7481,  7483,  7485,  7487,  7489,  7491,  7493,
    7495,  7497,  7499,  7501,  7503,  7505,  7507,  7509,  7511,  7513,
    7515,  7517,  7519,  7521,  7523,  7525,  7527,  7529,  7531,  7533,
    7535,  7537,  7539,  7541,  7543,  7545,  7547,  7549,  7551,  7553,
    7555,  7557,  7559,  7561,  7563,  7565,  7567,  7569,  7571,  7573,
    7575,  7577,  7579,  7581,  7583,  7585,  7587,  7589,  7591,  7593,
    7595,  7597,  7599,  7601,  7603,  7605,  7607,  7609,  7611,  7613,
    7615,  7617,  7619,  7621
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     430,     0,    -1,   431,    -1,   431,   426,   432,    -1,   432,
      -1,   758,    -1,   759,    -1,   676,    -1,   764,    -1,   627,
      -1,   567,    -1,   570,    -1,   576,    -1,   590,    -1,   595,
      -1,   711,    -1,   448,    -1,   732,    -1,   733,    -1,   546,
      -1,   473,    -1,   484,    -1,   442,    -1,   440,    -1,   767,
      -1,   766,    -1,   599,    -1,   444,    -1,   443,    -1,   774,
      -1,   471,    -1,   487,    -1,   769,    -1,   650,    -1,   468,
      -1,   488,    -1,   539,    -1,   614,    -1,   722,    -1,   768,
      -1,   763,    -1,   564,    -1,   571,    -1,   585,    -1,   591,
      -1,   692,    -1,   447,    -1,   628,    -1,   635,    -1,   636,
      -1,   553,    -1,   451,    -1,   545,    -1,   503,    -1,   561,
      -1,   600,    -1,   433,    -1,   439,    -1,   596,    -1,   754,
      -1,   791,    -1,   810,    -1,   616,    -1,   797,    -1,   472,
      -1,   719,    -1,   615,    -1,   724,    -1,   575,    -1,   589,
      -1,   450,    -1,   639,    -1,   640,    -1,   641,    -1,   559,
      -1,   741,    -1,   643,    -1,   563,    -1,   613,    -1,   445,
      -1,   446,    -1,   598,    -1,   762,    -1,   789,    -1,   780,
      -1,   657,    -1,   661,    -1,   672,    -1,   681,    -1,   792,
      -1,   744,    -1,   753,    -1,   799,    -1,   742,    -1,   786,
      -1,   642,    -1,   726,    -1,   715,    -1,   714,    -1,   716,
      -1,   729,    -1,   662,    -1,   673,    -1,   734,    -1,   653,
      -1,   814,    -1,   746,    -1,   648,    -1,   745,    -1,   803,
      -1,   771,    -1,   465,    -1,   455,    -1,   467,    -1,   751,
      -1,    -1,    83,   300,   964,   434,   435,    -1,   389,    -1,
      -1,   435,   438,    -1,    -1,   436,   437,    -1,    -1,   263,
     963,    -1,   263,   236,    -1,   125,   263,   963,    -1,   362,
     263,   963,    -1,   175,    -1,    75,   207,   965,    -1,   373,
     368,   963,    -1,   370,   953,    -1,     3,    -1,   437,    -1,
     338,   962,    -1,    19,   953,    -1,   300,   953,    -1,   170,
     300,   953,    -1,   170,   158,   953,    -1,    83,   370,   964,
     434,   435,    -1,    24,   300,   964,   434,   436,    -1,    -1,
     170,    97,   955,    -1,    24,   300,   964,   441,   466,    -1,
      24,   370,   964,   434,   436,    -1,    24,   370,   964,   466,
      -1,   120,   300,   953,    -1,   120,   300,   165,   134,   953,
      -1,   120,   370,   953,    -1,   120,   370,   165,   134,   953,
      -1,    83,   158,   964,   434,   435,    -1,    24,   158,   964,
     449,   370,   953,    -1,    18,    -1,   120,    -1,   120,   158,
     953,    -1,   120,   158,   165,   134,   953,    -1,    83,   306,
     452,    38,   964,   453,    -1,    83,   306,   966,   453,    -1,
     966,    -1,    -1,   453,   454,    -1,    -1,   503,    -1,   681,
      -1,   545,    -1,   600,    -1,   661,    -1,   751,    -1,   318,
     456,    -1,   318,   210,   456,    -1,   318,   316,   456,    -1,
     457,   350,   458,    -1,   457,   410,   458,    -1,   457,   350,
     103,    -1,   457,   410,   103,    -1,   457,   150,    86,    -1,
     348,   406,   462,    -1,   352,   749,    -1,   316,    59,    31,
     352,   749,    -1,    55,   963,    -1,   306,   963,    -1,   224,
     463,    -1,   300,   464,    -1,   316,    38,   464,    -1,   316,
      38,   103,    -1,   394,   248,   900,    -1,   966,    -1,   457,
     425,   966,    -1,   459,    -1,   458,   427,   459,    -1,   461,
      -1,   551,    -1,   279,   361,    -1,   279,    72,    -1,   290,
     279,    -1,   314,    -1,   356,    -1,   139,    -1,   245,    -1,
     464,    -1,   963,    -1,     3,    -1,   887,   963,   889,    -1,
     887,   423,   962,   424,   963,   889,    -1,   551,    -1,   103,
      -1,   210,    -1,   963,    -1,   103,    -1,    -1,   966,    -1,
     963,    -1,   293,   457,    -1,   293,   348,   406,    -1,   293,
     352,   193,   205,    -1,   293,   316,    38,    -1,   293,    22,
      -1,   318,   456,    -1,   465,    -1,   321,   457,    -1,   321,
     348,   406,    -1,   321,   352,   193,   205,    -1,   321,   316,
      38,    -1,   321,    22,    -1,   318,    77,   469,   470,    -1,
      22,    -1,   951,    -1,   106,    -1,   167,    -1,    61,    -1,
     114,    22,    -1,   114,   343,    -1,   114,   345,    -1,   114,
     265,    -1,    24,   340,   858,   474,    -1,    24,   173,   952,
     474,    -1,    24,   312,   952,   474,    -1,    24,   383,   952,
     474,    -1,   475,    -1,   474,   427,   475,    -1,    18,   511,
      -1,    18,    68,   511,    -1,    24,   730,   966,   476,    -1,
      24,   730,   966,   120,   231,   236,    -1,    24,   730,   966,
     318,   231,   236,    -1,    24,   730,   966,   318,   330,   965,
      -1,    24,   730,   966,   318,   480,    -1,    24,   730,   966,
     293,   480,    -1,    24,   730,   966,   318,   333,   966,    -1,
     120,   730,   165,   134,   966,   477,    -1,   120,   730,   966,
     477,    -1,    24,   730,   966,   731,   359,   867,   478,   479,
      -1,    18,   520,    -1,   374,    76,   954,    -1,   120,    76,
     165,   134,   954,   477,    -1,   120,    76,   954,   477,    -1,
     318,   389,   244,    -1,   318,   390,   244,    -1,    64,   245,
     954,    -1,   318,   390,    64,    -1,   123,   354,   954,    -1,
     123,    25,   354,   954,    -1,   123,   292,   354,   954,    -1,
     123,   354,    22,    -1,   123,   354,   370,    -1,   113,   354,
     954,    -1,   113,   354,    22,    -1,   113,   354,   370,    -1,
     123,   304,   954,    -1,   123,    25,   304,   954,    -1,   123,
     292,   304,   954,    -1,   113,   304,   954,    -1,   175,   952,
      -1,   229,   175,   952,    -1,   241,   646,    -1,   231,   241,
      -1,   258,   350,   964,    -1,   318,   342,   954,    -1,   318,
     480,    -1,   293,   480,    -1,   579,    -1,   318,   103,   891,
      -1,   120,   103,    -1,    51,    -1,   295,    -1,    -1,    66,
     646,    -1,    -1,   371,   891,    -1,    -1,   423,   482,   424,
      -1,   389,   480,    -1,    -1,   483,    -1,   482,   427,   483,
      -1,   968,   410,   620,    -1,   968,    -1,   968,   425,   968,
     410,   620,    -1,   968,   425,   968,    -1,    24,   359,   646,
     485,    -1,   486,    -1,   485,   427,   486,    -1,    18,    37,
     866,   477,    -1,   120,    37,   165,   134,   966,   477,    -1,
     120,    37,   966,   477,    -1,    24,    37,   966,   731,   359,
     867,   478,   477,    -1,    63,   811,    -1,    63,    22,    -1,
      81,   494,   952,   522,   495,   489,   490,   496,   434,   491,
      -1,    81,   815,   350,   490,   434,   491,    -1,   150,    -1,
     350,    -1,   963,    -1,   331,    -1,   332,    -1,   492,    -1,
     423,   498,   424,    -1,   492,   493,    -1,    -1,    44,    -1,
     244,    -1,   109,   765,   963,    -1,   236,   765,   963,    -1,
      85,    -1,   161,    -1,   277,   765,   963,    -1,   128,   765,
     963,    -1,   146,   277,   523,    -1,   146,   277,   416,    -1,
     146,   231,   236,   523,    -1,   124,   963,    -1,    44,    -1,
      -1,   389,   244,    -1,    -1,   497,   110,   963,    -1,    -1,
     371,    -1,    -1,   499,    -1,   498,   427,   499,    -1,   968,
     500,    -1,   461,    -1,   551,    -1,   416,    -1,   423,   501,
     424,    -1,    -1,   502,    -1,   501,   427,   502,    -1,   461,
      -1,    83,   504,   340,   952,   423,   505,   424,   533,   534,
     535,   536,    -1,    83,   504,   340,   165,   231,   134,   952,
     423,   505,   424,   533,   534,   535,   536,    -1,    83,   504,
     340,   952,   241,   646,   506,   534,   535,   536,    -1,    83,
     504,   340,   165,   231,   134,   952,   241,   646,   506,   534,
     535,   536,    -1,   345,    -1,   343,    -1,   210,   345,    -1,
     210,   343,    -1,   154,   345,    -1,   154,   343,    -1,   367,
      -1,    -1,   507,    -1,    -1,   423,   508,   424,    -1,    -1,
     509,    -1,   507,   427,   509,    -1,   510,    -1,   508,   427,
     510,    -1,   511,    -1,   517,    -1,   520,    -1,   512,    -1,
     520,    -1,   966,   867,   513,    -1,   966,   389,   249,   513,
      -1,   513,   514,    -1,    -1,    76,   954,   515,    -1,   515,
      -1,   516,    -1,    66,   646,    -1,   231,   236,    -1,   236,
      -1,   364,   708,   537,    -1,   272,   195,   708,   537,    -1,
      60,   423,   891,   424,    -1,   103,   892,    -1,   285,   952,
     522,   525,   529,    -1,   105,    -1,   231,   105,    -1,   177,
     106,    -1,   177,   167,    -1,   206,   952,   518,    -1,   518,
     171,   519,    -1,   518,   131,   519,    -1,    -1,   104,    -1,
      77,    -1,   174,    -1,   333,    -1,    70,    -1,    22,    -1,
      76,   954,   521,    -1,   521,    -1,    60,   423,   891,   424,
     611,    -1,   364,   423,   523,   424,   708,   537,   611,    -1,
     364,   538,   611,    -1,   272,   195,   423,   523,   424,   708,
     537,   611,    -1,   272,   195,   538,   611,    -1,   130,   685,
     423,   526,   424,   708,   537,   528,   611,    -1,   147,   195,
     423,   523,   424,   285,   952,   522,   525,   529,   611,    -1,
     423,   523,   424,    -1,    -1,   524,    -1,   523,   427,   524,
      -1,   966,    -1,   216,   151,    -1,   216,   260,    -1,   216,
     323,    -1,    -1,   527,    -1,   526,   427,   527,    -1,   687,
     389,   718,    -1,   687,   389,   247,   423,   718,   424,    -1,
     386,   423,   891,   424,    -1,    -1,   530,    -1,   531,    -1,
     530,   531,    -1,   531,   530,    -1,    -1,   245,   369,   532,
      -1,   245,   108,   532,    -1,   229,    17,    -1,   295,    -1,
      51,    -1,   318,   236,    -1,   318,   103,    -1,   176,   423,
     951,   424,    -1,    -1,   389,   480,    -1,   389,   244,    -1,
     390,   244,    -1,    -1,   245,    71,   120,    -1,   245,    71,
     108,   303,    -1,   245,    71,   269,   303,    -1,    -1,   342,
     954,    -1,    -1,   371,   173,   342,   954,    -1,    -1,   371,
     173,   958,    -1,    83,   504,   340,   540,    31,   814,   544,
      -1,   952,   541,   534,   535,   536,    -1,   423,   542,   424,
      -1,    -1,   543,    -1,   542,   427,   543,    -1,   966,    -1,
     389,    96,    -1,   389,   229,    96,    -1,    -1,    83,   504,
     312,   952,   547,    -1,    24,   312,   952,   548,    -1,   548,
      -1,    -1,   549,    -1,   548,   549,    -1,    49,   551,    -1,
      95,    -1,   229,    95,    -1,   172,   550,   551,    -1,   217,
     551,    -1,   219,   551,    -1,   229,   217,    -1,   229,   219,
      -1,   257,    48,   646,    -1,   328,   434,   551,    -1,   294,
      -1,   294,   434,   551,    -1,    48,    -1,    -1,     4,    -1,
     415,     4,    -1,   965,    -1,   551,    -1,   552,   427,   551,
      -1,    83,   693,   554,   560,   197,   464,    -1,    83,   693,
     554,   560,   197,   464,   159,   555,   556,   558,    -1,   358,
      -1,    -1,   954,    -1,   954,   647,    -1,   178,   555,    -1,
      -1,   375,   555,    -1,   229,   375,    -1,   557,    -1,    -1,
     120,   560,   197,   464,   477,    -1,   120,   560,   197,   165,
     134,   464,   477,    -1,   275,    -1,    -1,    83,   342,   954,
     562,   213,   963,    -1,   258,   954,    -1,    -1,   120,   342,
     954,    -1,   120,   342,   165,   134,   954,    -1,    83,   136,
     954,   434,   565,    -1,    83,   136,   165,   231,   134,   954,
     434,   565,    -1,   565,   566,    -1,    -1,   306,   954,    -1,
     382,   464,    -1,   150,   464,    -1,    24,   136,   954,   369,
     568,    -1,   568,   569,    -1,    -1,   350,   464,    -1,    24,
     136,   954,   449,    21,   960,   621,    -1,    24,   136,   954,
     449,    54,   423,   867,    31,   867,   424,    -1,    24,   136,
     954,   449,    67,   646,    -1,    24,   136,   954,   449,    80,
     646,    -1,    24,   136,   954,   449,   118,   646,    -1,    24,
     136,   954,   449,   152,   671,    -1,    24,   136,   954,   449,
     560,   197,   954,    -1,    24,   136,   954,   449,   247,   718,
     717,    -1,    24,   136,   954,   449,   247,    62,   646,   371,
     956,    -1,    24,   136,   954,   449,   247,   140,   646,   371,
     956,    -1,    24,   136,   954,   449,   306,   954,    -1,    24,
     136,   954,   449,   340,   646,    -1,    24,   136,   954,   449,
     346,   308,   259,   646,    -1,    24,   136,   954,   449,   346,
     308,   112,   646,    -1,    24,   136,   954,   449,   346,   308,
     344,   646,    -1,    24,   136,   954,   449,   346,   308,    74,
     646,    -1,    24,   136,   954,   449,   312,   646,    -1,    24,
     136,   954,   449,   383,   646,    -1,    24,   136,   954,   449,
     147,   340,   646,    -1,    24,   136,   954,   449,   147,    96,
     392,   954,    -1,    24,   136,   954,   449,   315,   954,    -1,
      24,   136,   954,   449,   359,   646,    -1,    83,   147,    96,
     392,   954,   574,   577,    -1,   159,   555,    -1,   229,   159,
      -1,   375,   555,    -1,   229,   375,    -1,   572,    -1,   573,
     572,    -1,   573,    -1,    -1,   120,   147,    96,   392,   954,
     477,    -1,   120,   147,    96,   392,   165,   134,   954,   477,
      -1,    24,   147,    96,   392,   954,   574,   579,    -1,    24,
     147,    96,   392,   954,   573,    -1,   249,   423,   578,   424,
      -1,    -1,   582,    -1,   578,   427,   582,    -1,   249,   423,
     580,   424,    -1,   581,    -1,   580,   427,   581,    -1,   582,
      -1,   318,   582,    -1,    18,   582,    -1,   120,   583,    -1,
     583,   584,    -1,   968,    -1,   963,    -1,    83,   315,   954,
     586,   588,   147,    96,   392,   954,   577,    -1,   359,   963,
      -1,    -1,   382,   963,    -1,   382,   236,    -1,   587,    -1,
      -1,   120,   315,   954,   477,    -1,   120,   315,   165,   134,
     954,   477,    -1,    24,   315,   954,   587,   579,    -1,    24,
     315,   954,   587,    -1,    24,   315,   954,   579,    -1,    83,
     147,   340,   952,   592,   315,   954,   577,    -1,    83,   147,
     340,   165,   231,   134,   952,   592,   315,   954,   577,    -1,
     423,   593,   424,    -1,   423,   424,    -1,   594,    -1,   593,
     427,   594,    -1,   511,    -1,    24,   147,   340,   858,   474,
      -1,    83,   370,   215,   145,   597,   315,   954,   577,    -1,
      93,    -1,   370,    -1,   964,    -1,   120,   370,   215,   145,
     597,   315,   954,    -1,   120,   370,   215,   165,   134,   145,
     597,   315,   954,    -1,    24,   370,   215,   145,   597,   315,
     954,   579,    -1,    83,   354,   954,   601,   602,   245,   952,
     604,   607,   133,   276,   960,   423,   608,   424,    -1,    83,
      76,   354,   954,    20,   602,   245,   952,   610,   611,   145,
     121,   302,   607,   133,   276,   960,   423,   608,   424,    -1,
      40,    -1,    20,    -1,   184,   241,    -1,   603,    -1,   602,
     250,   603,    -1,   183,    -1,   108,    -1,   369,    -1,   369,
     241,   523,    -1,   357,    -1,   145,   605,   606,    -1,    -1,
     121,    -1,    -1,   302,    -1,   329,    -1,   385,   423,   891,
     424,    -1,    -1,   609,    -1,   608,   427,   609,    -1,    -1,
     962,    -1,     4,    -1,   963,    -1,   968,    -1,   150,   952,
      -1,    -1,    -1,   611,   612,    -1,   231,   105,    -1,   105,
      -1,   177,   167,    -1,   177,   106,    -1,   231,   373,    -1,
     120,   354,   954,   245,   952,   477,    -1,   120,   354,   165,
     134,   954,   245,   952,   477,    -1,    83,    33,   954,    60,
     423,   891,   424,   611,    -1,   120,    33,   954,   477,    -1,
      83,    21,   960,   621,   617,    -1,    83,    21,   960,   622,
      -1,    83,   247,   718,   617,    -1,    83,   359,   646,   617,
      -1,    83,   359,   646,    -1,    83,   359,   646,    31,   423,
     864,   424,    -1,    83,   359,   646,    31,   127,   423,   625,
     424,    -1,    83,   346,   308,   259,   646,   617,    -1,    83,
     346,   308,   112,   646,   617,    -1,    83,   346,   308,   344,
     646,   617,    -1,    83,   346,   308,    74,   646,   617,    -1,
      83,    67,   646,   617,    -1,    83,    67,   646,   150,   646,
      -1,   423,   618,   424,    -1,   619,    -1,   618,   427,   619,
      -1,   968,   410,   620,    -1,   968,    -1,   702,    -1,   972,
      -1,   918,    -1,   551,    -1,   963,    -1,   423,   923,   424,
      -1,   423,   416,   424,    -1,   423,   623,   424,    -1,   624,
      -1,   623,   427,   624,    -1,     3,   410,   620,    -1,   626,
      -1,    -1,   963,    -1,   626,   427,   963,    -1,    24,   359,
     646,    18,   376,   963,    -1,    24,   359,   646,    18,   376,
     963,    40,   963,    -1,    24,   359,   646,    18,   376,   963,
      20,   963,    -1,    83,   247,    62,   646,   631,   145,   359,
     867,   371,   956,   632,    31,   629,    -1,   630,    -1,   629,
     427,   630,    -1,   247,   962,   718,   633,   634,    -1,   247,
     962,   718,   717,   633,   634,    -1,   152,   962,   960,   694,
      -1,   152,   962,   423,   923,   424,   960,   694,    -1,   333,
     867,    -1,   103,    -1,    -1,   140,   646,    -1,    -1,   145,
     308,    -1,   145,   251,    48,   646,    -1,    -1,   282,    -1,
      -1,    83,   247,   140,   646,   371,   956,    -1,    24,   247,
     140,   646,   371,   956,    18,   629,    -1,    24,   247,   140,
     646,   371,   956,   120,   637,    -1,   638,    -1,   637,   427,
     638,    -1,   247,   962,   423,   923,   424,    -1,   152,   962,
     423,   923,   424,    -1,   120,   247,    62,   646,   371,   956,
     477,    -1,   120,   247,    62,   165,   134,   646,   371,   956,
     477,    -1,   120,   247,   140,   646,   371,   956,   477,    -1,
     120,   247,   140,   165,   134,   646,   371,   956,   477,    -1,
     120,   257,    48,   953,   477,    -1,   281,   257,    48,   953,
     350,   954,    -1,   120,   644,   165,   134,   645,   477,    -1,
     120,   644,   645,   477,    -1,   340,    -1,   312,    -1,   383,
      -1,   173,    -1,   147,   340,    -1,   359,    -1,   118,    -1,
      67,    -1,    80,    -1,   306,    -1,   136,    -1,   346,   308,
     259,    -1,   346,   308,   112,    -1,   346,   308,   344,    -1,
     346,   308,    74,    -1,   646,    -1,   645,   427,   646,    -1,
     966,    -1,   966,   647,    -1,   425,   957,    -1,   647,   425,
     957,    -1,   357,   825,   859,   649,   477,    -1,    79,   164,
      -1,   294,   164,    -1,    -1,    69,   245,   651,   646,   191,
     652,    -1,    69,   245,    21,   960,   621,   191,   652,    -1,
      69,   245,   152,   960,   694,   191,   652,    -1,    69,   245,
     247,   718,   717,   191,   652,    -1,    69,   245,    76,   954,
     245,   646,   191,   652,    -1,    69,   245,   304,   954,   245,
     646,   191,   652,    -1,    69,   245,   304,   954,   191,   652,
      -1,    69,   245,   354,   954,   245,   646,   191,   652,    -1,
      69,   245,   247,    62,   646,   371,   956,   191,   652,    -1,
      69,   245,   247,   140,   646,   371,   956,   191,   652,    -1,
      69,   245,   198,   240,   551,   191,   652,    -1,    69,   245,
      54,   423,   867,    31,   867,   424,   191,   652,    -1,    69,
     245,   560,   197,   646,   191,   652,    -1,    69,   245,   346,
     308,   259,   646,   191,   652,    -1,    69,   245,   346,   308,
     112,   646,   191,   652,    -1,    69,   245,   346,   308,   344,
     646,   191,   652,    -1,    69,   245,   346,   308,    74,   646,
     191,   652,    -1,    68,    -1,    97,    -1,   306,    -1,   173,
      -1,   312,    -1,   340,    -1,   118,    -1,   359,    -1,   383,
      -1,    67,    -1,    80,    -1,   342,    -1,   136,    -1,   300,
      -1,   147,   340,    -1,   315,    -1,   147,    96,   392,    -1,
     963,    -1,   236,    -1,   310,   196,   654,   245,   655,   646,
     191,   656,    -1,   310,   196,   654,   245,    21,   960,   621,
     191,   656,    -1,   310,   196,   654,   245,   152,   960,   694,
     191,   656,    -1,   310,   196,   654,   245,   198,   240,   551,
     191,   656,    -1,   310,   196,   654,   245,   560,   197,   646,
     191,   656,    -1,   145,   464,    -1,    -1,    68,    -1,   147,
     340,    -1,   306,    -1,   312,    -1,   340,    -1,   118,    -1,
     359,    -1,   383,    -1,   963,    -1,   236,    -1,   141,   658,
      -1,   222,   658,    -1,   811,    -1,   659,   811,    -1,   228,
     660,   811,    -1,   273,   660,   811,    -1,   142,   660,   811,
      -1,   199,   660,   811,    -1,    15,   965,   660,   811,    -1,
     287,   965,   660,   811,    -1,   965,   660,   811,    -1,    22,
     660,   811,    -1,   148,   660,   811,    -1,   148,   965,   660,
     811,    -1,   148,    22,   660,   811,    -1,    39,   660,   811,
      -1,    39,   965,   660,   811,    -1,    39,    22,   660,   811,
      -1,   150,    -1,   170,    -1,   659,    -1,    -1,   155,   663,
     245,   666,   350,   667,   669,    -1,   298,   663,   245,   666,
     150,   667,   477,    -1,   298,   155,   248,   145,   663,   245,
     666,   150,   667,   477,    -1,   664,    -1,    22,    -1,    22,
     274,    -1,    22,   423,   523,   424,    -1,    22,   274,   423,
     523,   424,    -1,   665,    -1,   664,   427,   665,    -1,   311,
     522,    -1,   285,   522,    -1,    83,   522,    -1,   966,   522,
      -1,   951,    -1,   340,   951,    -1,   312,   951,    -1,   147,
      96,   392,   953,    -1,   147,   315,   953,    -1,   152,   670,
      -1,    97,   953,    -1,   197,   953,    -1,   198,   240,   552,
      -1,   306,   953,    -1,   342,   953,    -1,    22,   341,   170,
     306,   953,    -1,    22,   313,   170,   306,   953,    -1,    22,
     153,   170,   306,   953,    -1,   668,    -1,   667,   427,   668,
      -1,   964,    -1,   158,   964,    -1,   389,   155,   248,    -1,
      -1,   671,    -1,   670,   427,   671,    -1,   960,   694,    -1,
     155,   664,   350,   953,   674,   675,    -1,   298,   664,   150,
     953,   675,   477,    -1,   298,    19,   248,   145,   664,   150,
     953,   675,   477,    -1,   389,    19,   248,    -1,    -1,   156,
      48,   964,    -1,    -1,    24,   103,   274,   677,   679,    -1,
     677,   678,    -1,    -1,   170,   306,   953,    -1,   145,   300,
     953,    -1,   145,   370,   953,    -1,   155,   663,   245,   680,
     350,   667,   669,    -1,   298,   663,   245,   680,   150,   667,
     477,    -1,   298,   155,   248,   145,   663,   245,   680,   150,
     667,   477,    -1,   341,    -1,   153,    -1,   313,    -1,    83,
     682,   173,   683,   684,   245,   952,   685,   423,   686,   424,
     481,   536,   862,    -1,   364,    -1,    -1,    73,    -1,    -1,
     958,    -1,    -1,   371,   956,    -1,    -1,   687,    -1,   686,
     427,   687,    -1,   966,   688,   689,   690,   691,    -1,   894,
     688,   689,   690,   691,    -1,   423,   891,   424,   688,   689,
     690,   691,    -1,    66,   646,    -1,    -1,   646,    -1,   371,
     646,    -1,    -1,    32,    -1,   111,    -1,    -1,   407,    -1,
     408,    -1,    -1,    83,   693,   152,   960,   696,   297,   701,
     704,   708,    -1,    83,   693,   152,   960,   696,   297,   340,
     423,   710,   424,   704,   708,    -1,    83,   693,   152,   960,
     696,   704,   708,    -1,   250,   291,    -1,    -1,   423,   695,
     424,    -1,   423,   424,    -1,   698,    -1,   695,   427,   698,
      -1,   423,   697,   424,    -1,   423,   424,    -1,   703,    -1,
     697,   427,   703,    -1,   699,   700,   702,    -1,   700,   699,
     702,    -1,   700,   702,    -1,   699,   702,    -1,   702,    -1,
     170,    -1,   252,    -1,   180,    -1,   170,   252,    -1,   379,
      -1,   967,    -1,   702,    -1,   867,    -1,   967,   647,   418,
     359,    -1,   319,   967,   647,   418,   359,    -1,   698,    -1,
     698,   103,   891,    -1,   698,   410,   891,    -1,   706,    -1,
     704,   706,    -1,    50,   245,   236,   181,    -1,   297,   236,
     245,   236,   181,    -1,   334,    -1,   168,    -1,   326,    -1,
     384,    -1,   137,   310,   107,    -1,   137,   310,   190,    -1,
     310,   107,    -1,   310,   190,    -1,    82,   551,    -1,   303,
     551,    -1,   466,    -1,    31,   707,    -1,   197,   464,    -1,
     388,    -1,   705,    -1,   963,    -1,   963,   427,   963,    -1,
     389,   617,    -1,    -1,   700,   702,    -1,   709,    -1,   710,
     427,   709,    -1,    24,   152,   671,   712,   713,    -1,   705,
      -1,   712,   705,    -1,   295,    -1,    -1,   120,   152,   960,
     694,   477,    -1,   120,   152,   165,   134,   960,   694,   477,
      -1,   120,    21,   960,   621,   477,    -1,   120,    21,   165,
     134,   960,   621,   477,    -1,   120,   247,   718,   717,   477,
      -1,   120,   247,   165,   134,   718,   717,   477,    -1,   423,
     867,   424,    -1,   423,   867,   427,   867,   424,    -1,   423,
     230,   427,   867,   424,    -1,   423,   867,   427,   230,   424,
      -1,   915,    -1,   966,   425,   718,    -1,   116,   720,    -1,
     721,    -1,   720,   721,    -1,   963,    -1,   197,   464,    -1,
      83,    54,   423,   867,    31,   867,   424,   389,   152,   671,
     723,    -1,    83,    54,   423,   867,    31,   867,   424,   390,
     152,   723,    -1,    83,    54,   423,   867,    31,   867,   424,
     389,   180,   723,    -1,    31,   169,    -1,    31,    34,    -1,
      -1,   120,    54,   725,   423,   867,    31,   867,   424,   477,
      -1,   165,   134,    -1,    -1,   286,   727,   952,   728,    -1,
     286,   339,   954,   728,    -1,   286,    97,   954,   728,    -1,
     173,    -1,   340,    -1,   146,    -1,    -1,    24,    21,   960,
     621,   289,   350,   954,    -1,    24,    67,   646,   289,   350,
     954,    -1,    24,    80,   646,   289,   350,   954,    -1,    24,
      97,   955,   289,   350,   955,    -1,    24,   152,   671,   289,
     350,   954,    -1,    24,   158,   964,   289,   350,   964,    -1,
      24,   560,   197,   954,   289,   350,   954,    -1,    24,   247,
      62,   646,   371,   956,   289,   350,   954,    -1,    24,   247,
     140,   646,   371,   956,   289,   350,   954,    -1,    24,   306,
     954,   289,   350,   954,    -1,    24,   340,   858,   289,   350,
     954,    -1,    24,   312,   952,   289,   350,   954,    -1,    24,
     383,   952,   289,   350,   954,    -1,    24,   173,   952,   289,
     350,   954,    -1,    24,   147,   340,   858,   289,   350,   954,
      -1,    24,   340,   858,   289,   730,   954,   350,   954,    -1,
      24,   147,   340,   858,   289,   730,   954,   350,   954,    -1,
      24,   354,   954,   245,   952,   289,   350,   954,    -1,    24,
     300,   964,   289,   350,   964,    -1,    24,   370,   964,   289,
     350,   964,    -1,    24,   342,   954,   289,   350,   954,    -1,
      24,   342,   954,   318,   480,    -1,    24,   342,   954,   293,
     480,    -1,    24,   346,   308,   259,   646,   289,   350,   954,
      -1,    24,   346,   308,   112,   646,   289,   350,   954,    -1,
      24,   346,   308,   344,   646,   289,   350,   954,    -1,    24,
     346,   308,    74,   646,   289,   350,   954,    -1,    24,   359,
     646,   289,   350,   954,    -1,    24,   359,   646,   289,    37,
     954,   350,   954,   477,    -1,    68,    -1,    -1,   318,    96,
      -1,    -1,    24,    21,   960,   621,   318,   306,   954,    -1,
      24,    67,   646,   318,   306,   954,    -1,    24,    80,   646,
     318,   306,   954,    -1,    24,   118,   646,   318,   306,   954,
      -1,    24,   136,   646,   318,   306,   954,    -1,    24,   152,
     671,   318,   306,   954,    -1,    24,   247,   718,   717,   318,
     306,   954,    -1,    24,   247,    62,   646,   371,   956,   318,
     306,   954,    -1,    24,   247,   140,   646,   371,   956,   318,
     306,   954,    -1,    24,   340,   858,   318,   306,   954,    -1,
      24,   346,   308,   259,   646,   318,   306,   954,    -1,    24,
     346,   308,   112,   646,   318,   306,   954,    -1,    24,   346,
     308,   344,   646,   318,   306,   954,    -1,    24,   346,   308,
      74,   646,   318,   306,   954,    -1,    24,   312,   952,   318,
     306,   954,    -1,    24,   383,   952,   318,   306,   954,    -1,
      24,   147,   340,   858,   318,   306,   954,    -1,    24,   359,
     646,   318,   306,   954,    -1,    24,    21,   960,   621,   258,
     350,   964,    -1,    24,    67,   646,   258,   350,   964,    -1,
      24,    80,   646,   258,   350,   964,    -1,    24,    97,   955,
     258,   350,   964,    -1,    24,   118,   646,   258,   350,   964,
      -1,    24,   152,   671,   258,   350,   964,    -1,    24,   560,
     197,   954,   258,   350,   964,    -1,    24,   198,   240,   551,
     258,   350,   964,    -1,    24,   247,   718,   717,   258,   350,
     964,    -1,    24,   247,    62,   646,   371,   956,   258,   350,
     964,    -1,    24,   247,   140,   646,   371,   956,   258,   350,
     964,    -1,    24,   306,   954,   258,   350,   964,    -1,    24,
     359,   646,   258,   350,   964,    -1,    24,   342,   954,   258,
     350,   964,    -1,    24,   346,   308,   112,   646,   258,   350,
     964,    -1,    24,   346,   308,    74,   646,   258,   350,   964,
      -1,    24,   147,    96,   392,   954,   258,   350,   964,    -1,
      24,   315,   954,   258,   350,   964,    -1,    83,   693,   304,
     954,    31,   245,   739,   350,   952,   862,   116,   740,   735,
      -1,   232,    -1,   737,    -1,   423,   736,   424,    -1,   736,
     426,   738,    -1,   738,    -1,   814,    -1,   792,    -1,   803,
      -1,   797,    -1,   742,    -1,   737,    -1,    -1,   311,    -1,
     369,    -1,   108,    -1,   183,    -1,   184,    -1,    23,    -1,
      -1,   120,   304,   954,   245,   952,   477,    -1,   120,   304,
     165,   134,   954,   245,   952,   477,    -1,   233,   966,   743,
      -1,   427,   963,    -1,    -1,   208,   966,    -1,   366,   966,
      -1,   366,   416,    -1,    14,   747,    -1,    41,   747,   750,
      -1,   328,   352,   750,    -1,    71,   747,    -1,   126,   747,
      -1,   301,   747,    -1,   305,   966,    -1,   288,   305,   966,
      -1,   288,   966,    -1,   301,   747,   350,   305,   966,    -1,
     301,   747,   350,   966,    -1,   270,   352,   963,    -1,    71,
     271,   963,    -1,   301,   271,   963,    -1,   391,    -1,   352,
      -1,    -1,   193,   205,   460,    -1,   279,   246,    -1,   279,
     393,    -1,   105,    -1,   231,   105,    -1,   748,    -1,   749,
     427,   748,    -1,   749,   748,    -1,   749,    -1,    -1,    83,
     504,   383,   952,   522,    31,   814,   752,    -1,    83,   250,
     291,   504,   383,   952,   522,    31,   814,   752,    -1,   389,
      60,   248,    -1,   389,    52,    60,   248,    -1,   389,   210,
      60,   248,    -1,    -1,   209,   959,    -1,    83,    97,   955,
     434,   755,    -1,   755,   756,    -1,    -1,   342,   757,   954,
      -1,   342,   757,   103,    -1,   213,   757,   963,    -1,   213,
     757,   103,    -1,   344,   757,   954,    -1,   344,   757,   103,
      -1,   124,   757,   963,    -1,   124,   757,   962,    -1,   124,
     757,   103,    -1,   200,   757,   963,    -1,   200,   757,   103,
      -1,   201,   757,   963,    -1,   201,   757,   103,    -1,    75,
     207,   757,   965,    -1,   258,   757,   954,    -1,   258,   757,
     103,    -1,   410,    -1,    -1,    24,    97,   955,   434,   760,
      -1,    24,    97,   955,   318,   342,   954,    -1,    24,    97,
     955,   466,    -1,   760,   761,    -1,    -1,    75,   207,   757,
     965,    -1,   120,    97,   955,    -1,   120,    97,   165,   134,
     955,    -1,    83,   118,   646,   765,   867,   513,    -1,    24,
     118,   646,   476,    -1,    24,   118,   646,   120,   231,   236,
      -1,    24,   118,   646,   318,   231,   236,    -1,    24,   118,
     646,    18,   520,    -1,    24,   118,   646,   120,    76,   954,
     477,    -1,    31,    -1,    -1,    24,   346,   308,   112,   646,
     617,    -1,    24,   346,   308,    74,   646,    18,   215,   145,
     953,   389,   645,    -1,    24,   346,   308,    74,   646,    24,
     215,   145,   953,   389,   645,    -1,    24,   346,   308,    74,
     646,    24,   215,   291,   646,   389,   646,    -1,    24,   346,
     308,    74,   646,    24,   215,   145,   953,   291,   646,   389,
     646,    -1,    24,   346,   308,    74,   646,   120,   215,   145,
     953,    -1,    24,   346,   308,    74,   646,   120,   215,   165,
     134,   145,   953,    -1,    83,   631,    80,   646,   145,   963,
     350,   963,   150,   646,    -1,    64,   776,   952,   770,    -1,
      64,   776,    -1,    64,   776,   958,   245,   952,    -1,   371,
     958,    -1,    -1,   372,   777,   778,   776,    -1,   372,   777,
     778,   776,   952,    -1,   372,   777,   778,   776,   774,    -1,
     372,   423,   772,   424,    -1,   372,   423,   772,   424,   952,
     779,    -1,   773,    -1,   772,   427,   773,    -1,   775,    -1,
     381,    -1,   149,    -1,   151,    -1,   775,   776,    -1,   775,
     776,   952,   779,    -1,    27,    -1,    26,    -1,   381,    -1,
      -1,   151,    -1,    -1,   149,    -1,    -1,   423,   953,   424,
      -1,    -1,   135,   781,    -1,   135,   775,   776,   781,    -1,
     135,   381,   781,    -1,   135,   423,   782,   424,   781,    -1,
     814,    -1,   792,    -1,   803,    -1,   797,    -1,   810,    -1,
     539,    -1,   789,    -1,   783,    -1,   782,   427,   783,    -1,
     784,   785,    -1,   966,    -1,   775,    -1,   381,    -1,   461,
      -1,   551,    -1,    -1,   270,   954,   787,    31,   788,    -1,
     423,   923,   424,    -1,    -1,   814,    -1,   792,    -1,   803,
      -1,   797,    -1,   133,   954,   790,    -1,    83,   504,   340,
     540,    31,   133,   954,   790,    -1,   423,   920,   424,    -1,
      -1,    99,   954,    -1,    99,   270,   954,    -1,    99,    22,
      -1,    99,   270,    22,    -1,   822,   183,   189,   952,   793,
     796,    -1,   814,    -1,   423,   794,   424,   814,    -1,   103,
     377,    -1,   795,    -1,   794,   427,   795,    -1,   966,   944,
      -1,   296,   949,    -1,    -1,   822,   108,   150,   860,   798,
     863,   796,    -1,   371,   851,    -1,    -1,   214,   825,   859,
     800,   802,    -1,   170,   801,   220,    -1,    -1,    16,   320,
      -1,   302,   320,    -1,   302,   132,    -1,   320,   369,   132,
      -1,   320,    -1,   320,   302,   132,    -1,   132,    -1,    16,
     132,    -1,   235,    -1,    -1,   822,   369,   860,   318,   804,
     850,   863,   796,    -1,   805,    -1,   804,   427,   805,    -1,
     806,    -1,   807,    -1,   808,   410,   946,    -1,   423,   809,
     424,   410,   948,    -1,   966,   944,    -1,   808,    -1,   809,
     427,   808,    -1,   102,   811,   812,    94,   813,   145,   814,
      -1,   954,    -1,    -1,   812,   229,   307,    -1,   812,   307,
      -1,   812,    44,    -1,   812,   182,    -1,    -1,   389,   162,
      -1,   390,   162,    -1,   816,    -1,   815,    -1,   423,   816,
     424,    -1,   423,   815,   424,    -1,   818,    -1,   817,   829,
      -1,   817,   828,   844,   833,    -1,   817,   828,   832,   845,
      -1,   819,   817,    -1,   819,   817,   829,    -1,   819,   817,
     828,   844,   833,    -1,   819,   817,   828,   832,   845,    -1,
     818,    -1,   815,    -1,   311,   827,   949,   823,   850,   862,
     842,   843,   903,    -1,   849,    -1,   340,   858,    -1,   817,
     363,   826,   817,    -1,   817,   187,   826,   817,    -1,   817,
     129,   826,   817,    -1,   389,   820,    -1,   389,   283,   820,
      -1,   821,    -1,   820,   427,   821,    -1,   954,   779,    31,
     423,   788,   424,    -1,   819,    -1,    -1,   189,   824,    -1,
      -1,   345,   825,   952,    -1,   343,   825,   952,    -1,   210,
     345,   825,   952,    -1,   210,   343,   825,   952,    -1,   154,
     345,   825,   952,    -1,   154,   343,   825,   952,    -1,   367,
     825,   952,    -1,   340,   952,    -1,   952,    -1,   340,    -1,
      -1,    22,    -1,   115,    -1,    -1,   115,    -1,   115,   245,
     423,   920,   424,    -1,    22,    -1,    -1,   829,    -1,    -1,
     251,    48,   830,    -1,   831,    -1,   830,   427,   831,    -1,
     891,   371,   918,   691,    -1,   891,   690,   691,    -1,   834,
     835,    -1,   835,   834,    -1,   834,    -1,   835,    -1,   832,
      -1,    -1,   207,   836,    -1,   207,   836,   427,   837,    -1,
     141,   841,   838,   840,   246,    -1,   243,   837,    -1,   243,
     839,   840,    -1,   891,    -1,    22,    -1,   891,    -1,   965,
      -1,   423,   891,   424,    -1,    -1,   893,    -1,   302,    -1,
     303,    -1,   142,    -1,   228,    -1,   158,    48,   920,    -1,
      -1,   160,   891,    -1,    -1,   846,    -1,   145,   279,   246,
      -1,   844,    -1,    -1,   847,    -1,   846,   847,    -1,   145,
     369,   848,   802,    -1,   145,   320,   848,   802,    -1,   241,
     951,    -1,    -1,   377,   948,    -1,   849,   427,   948,    -1,
     150,   851,    -1,    -1,   852,    -1,   851,   427,   852,    -1,
     858,    -1,   858,   854,    -1,   861,    -1,   861,   854,    -1,
     861,    31,   423,   865,   424,    -1,   861,    31,   966,   423,
     865,   424,    -1,   861,   966,   423,   865,   424,    -1,   815,
      -1,   815,   854,    -1,   853,    -1,   423,   853,   424,   854,
      -1,   423,   853,   424,    -1,   852,    84,   194,   852,    -1,
     852,   855,   194,   852,   857,    -1,   852,   194,   852,   857,
      -1,   852,   226,   855,   194,   852,    -1,   852,   226,   194,
     852,    -1,    31,   966,   423,   953,   424,    -1,    31,   966,
      -1,   966,   423,   953,   424,    -1,   966,    -1,   151,   856,
      -1,   204,   856,    -1,   299,   856,    -1,   179,    -1,   253,
      -1,    -1,   371,   423,   953,   424,    -1,   245,   891,    -1,
     952,    -1,   952,   416,    -1,   246,   952,    -1,   246,   423,
     952,   424,    -1,   858,    -1,   859,   427,   858,    -1,   858,
      -1,   858,   966,    -1,   858,    31,   966,    -1,   894,    -1,
     386,   891,    -1,    -1,   386,   891,    -1,   386,    86,   241,
     811,    -1,    -1,   865,    -1,    -1,   866,    -1,   865,   427,
     866,    -1,   966,   867,   478,    -1,   869,   868,    -1,   319,
     869,   868,    -1,   869,    30,   421,   962,   422,    -1,   319,
     869,    30,   421,   962,   422,    -1,   869,    30,    -1,   319,
     869,    30,    -1,   868,   421,   422,    -1,   868,   421,   962,
     422,    -1,    -1,   871,    -1,   873,    -1,   875,    -1,   879,
      -1,   886,    -1,   887,   889,    -1,   887,   423,   962,   424,
     889,    -1,   873,    -1,   876,    -1,   880,    -1,   886,    -1,
     967,   872,    -1,   967,   647,   872,    -1,   423,   920,   424,
      -1,    -1,   185,    -1,   186,    -1,   324,    -1,    43,    -1,
     280,    -1,   143,   874,    -1,   119,   268,    -1,   101,   872,
      -1,   100,   872,    -1,   239,   872,    -1,    46,    -1,   423,
     962,   424,    -1,    -1,   877,    -1,   878,    -1,   877,    -1,
     878,    -1,    45,   884,   423,   920,   424,    -1,    45,   884,
      -1,   881,    -1,   882,    -1,   881,    -1,   882,    -1,   883,
     423,   962,   424,   885,    -1,   883,   885,    -1,    58,   884,
      -1,    57,   884,    -1,   378,    -1,   225,    58,   884,    -1,
     225,    57,   884,    -1,   227,   884,    -1,   380,    -1,    -1,
      58,   318,   966,    -1,    -1,   349,   423,   962,   424,   888,
      -1,   349,   888,    -1,   348,   423,   962,   424,   888,    -1,
     348,   888,    -1,   188,    -1,   409,   406,    -1,   390,   348,
     406,    -1,    -1,   404,    -1,   221,    -1,    98,    -1,   163,
      -1,   218,    -1,   890,    -1,   404,   350,   221,    -1,    98,
     350,   163,    -1,    98,   350,   218,    -1,    98,   350,   890,
      -1,   163,   350,   218,    -1,   163,   350,   890,    -1,   218,
     350,   890,    -1,    -1,   309,    -1,   309,   423,   962,   424,
      -1,   893,    -1,   891,    11,   867,    -1,   891,    66,   646,
      -1,   891,    36,   348,   406,   891,    -1,   414,   891,    -1,
     415,   891,    -1,   891,   414,   891,    -1,   891,   415,   891,
      -1,   891,   416,   891,    -1,   891,   417,   891,    -1,   891,
     418,   891,    -1,   891,   419,   891,    -1,   891,   411,   891,
      -1,   891,   412,   891,    -1,   891,   410,   891,    -1,   891,
     917,   891,    -1,   917,   891,    -1,   891,   917,    -1,   891,
      28,   891,    -1,   891,   250,   891,    -1,   231,   891,    -1,
     891,   206,   891,    -1,   891,   206,   891,   128,   891,    -1,
     891,   231,   206,   891,    -1,   891,   231,   206,   891,   128,
     891,    -1,   891,   166,   891,    -1,   891,   166,   891,   128,
     891,    -1,   891,   231,   166,   891,    -1,   891,   231,   166,
     891,   128,   891,    -1,   891,   322,   350,   891,    -1,   891,
     322,   350,   891,   128,   891,    -1,   891,   231,   322,   350,
     891,    -1,   891,   231,   322,   350,   891,   128,   891,    -1,
     891,   191,   236,    -1,   891,   192,    -1,   891,   191,   231,
     236,    -1,   891,   234,    -1,   913,   255,   913,    -1,   891,
     191,   356,    -1,   891,   191,   231,   356,    -1,   891,   191,
     139,    -1,   891,   191,   231,   139,    -1,   891,   191,   365,
      -1,   891,   191,   231,   365,    -1,   891,   191,   115,   150,
     891,    -1,   891,   191,   231,   115,   150,   891,    -1,   891,
     191,   241,   423,   923,   424,    -1,   891,   191,   231,   241,
     423,   923,   424,    -1,   891,    42,   945,   892,    28,   892,
      -1,   891,   231,    42,   945,   892,    28,   892,    -1,   891,
      42,   337,   892,    28,   892,    -1,   891,   231,    42,   337,
     892,    28,   892,    -1,   891,   170,   935,    -1,   891,   231,
     170,   935,    -1,   891,   919,   914,   815,    -1,   891,   919,
     914,   423,   891,   424,    -1,   364,   815,    -1,   891,   191,
     117,    -1,   891,   191,   231,   117,    -1,   893,    -1,   892,
      11,   867,    -1,   414,   892,    -1,   415,   892,    -1,   892,
     414,   892,    -1,   892,   415,   892,    -1,   892,   416,   892,
      -1,   892,   417,   892,    -1,   892,   418,   892,    -1,   892,
     419,   892,    -1,   892,   411,   892,    -1,   892,   412,   892,
      -1,   892,   410,   892,    -1,   892,   917,   892,    -1,   917,
     892,    -1,   892,   917,    -1,   892,   191,   115,   150,   892,
      -1,   892,   191,   231,   115,   150,   892,    -1,   892,   191,
     241,   423,   923,   424,    -1,   892,   191,   231,   241,   423,
     923,   424,    -1,   892,   191,   117,    -1,   892,   191,   231,
     117,    -1,   941,    -1,   961,    -1,    10,   944,    -1,   423,
     891,   424,   944,    -1,   936,    -1,   894,    -1,   815,    -1,
     815,   943,    -1,   134,   815,    -1,    30,   815,    -1,    30,
     924,    -1,   913,    -1,   960,   423,   424,   906,    -1,   960,
     423,   921,   424,   906,    -1,   960,   423,   379,   922,   424,
     906,    -1,   960,   423,   921,   427,   379,   922,   424,   906,
      -1,   960,   423,   921,   829,   424,   906,    -1,   960,   423,
      22,   921,   828,   424,   906,    -1,   960,   423,   115,   921,
     828,   424,   906,    -1,   960,   423,   416,   424,   906,    -1,
      88,    -1,    91,    -1,    91,   423,   962,   424,    -1,    92,
      -1,    92,   423,   962,   424,    -1,   211,    -1,   211,   423,
     962,   424,    -1,   212,    -1,   212,   423,   962,   424,    -1,
      89,    -1,    93,    -1,   317,    -1,   370,    -1,    87,    -1,
      90,    -1,    54,   423,   891,    31,   867,   424,    -1,   138,
     423,   926,   424,    -1,   256,   423,   928,   424,    -1,   266,
     423,   930,   424,    -1,   336,   423,   931,   424,    -1,   353,
     423,   891,    31,   867,   424,    -1,   355,   423,    47,   934,
     424,    -1,   355,   423,   202,   934,   424,    -1,   355,   423,
     351,   934,   424,    -1,   355,   423,   934,   424,    -1,   237,
     423,   891,   427,   891,   424,    -1,    65,   423,   920,   424,
      -1,   157,   423,   920,   424,    -1,   203,   423,   920,   424,
      -1,   396,   423,   920,   424,    -1,   397,   423,   223,   968,
     424,    -1,   397,   423,   223,   968,   427,   897,   424,    -1,
     397,   423,   223,   968,   427,   920,   424,    -1,   397,   423,
     223,   968,   427,   897,   427,   920,   424,    -1,   398,   423,
     893,   902,   424,    -1,   399,   423,   898,   424,    -1,   400,
     423,   900,   891,   901,   424,    -1,   401,   423,   223,   968,
     424,    -1,   401,   423,   223,   968,   427,   891,   424,    -1,
     402,   423,   891,   427,   895,   896,   424,    -1,   403,   423,
     900,   891,    31,   869,   424,    -1,   382,   891,    -1,   382,
     229,   376,    -1,   427,   327,   405,    -1,   427,   327,   229,
      -1,   427,   327,   229,   376,    -1,    -1,   395,   423,   898,
     424,    -1,   899,    -1,   898,   427,   899,    -1,   891,    31,
     968,    -1,   891,    -1,   117,    -1,    78,    -1,   269,   387,
      -1,   335,   387,    -1,    -1,   262,   893,    -1,   262,   893,
      48,   284,    -1,   262,    48,   284,   893,    -1,   262,    48,
     284,   893,    48,   284,    -1,   388,   904,    -1,    -1,   905,
      -1,   904,   427,   905,    -1,   966,    31,   907,    -1,   254,
     907,    -1,   254,   966,    -1,    -1,   423,   908,   909,   828,
     910,   424,    -1,   966,    -1,    -1,   261,    48,   920,    -1,
      -1,   278,   911,    -1,   303,   911,    -1,    -1,   912,    -1,
      42,   912,    28,   912,    -1,   360,   267,    -1,   360,   144,
      -1,    86,   302,    -1,   891,   267,    -1,   891,   144,    -1,
     302,   423,   920,   424,    -1,   302,   423,   424,    -1,   423,
     920,   427,   891,   424,    -1,    29,    -1,   325,    -1,    22,
      -1,     8,    -1,   916,    -1,   414,    -1,   415,    -1,   416,
      -1,   417,    -1,   418,    -1,   419,    -1,   411,    -1,   412,
      -1,   410,    -1,     8,    -1,   247,   423,   718,   424,    -1,
     915,    -1,   247,   423,   718,   424,    -1,   915,    -1,   247,
     423,   718,   424,    -1,   206,    -1,   231,   206,    -1,   166,
      -1,   231,   166,    -1,   891,    -1,   920,   427,   891,    -1,
     922,    -1,   921,   427,   922,    -1,   891,    -1,   700,    13,
     891,    -1,   867,    -1,   923,   427,   867,    -1,   421,   920,
     422,    -1,   421,   925,   422,    -1,   421,   422,    -1,   924,
      -1,   925,   427,   924,    -1,   927,   150,   891,    -1,    -1,
       3,    -1,   404,    -1,   221,    -1,    98,    -1,   163,    -1,
     218,    -1,   309,    -1,   963,    -1,   891,   929,   932,   933,
      -1,   891,   929,   932,    -1,   264,   891,    -1,   892,   170,
     892,    -1,    -1,   891,   932,   933,    -1,   891,   933,   932,
      -1,   891,   932,    -1,   891,   933,    -1,   920,    -1,    -1,
     150,   891,    -1,   145,   891,    -1,   891,   150,   920,    -1,
     150,   920,    -1,   920,    -1,   815,    -1,   423,   920,   424,
      -1,    53,   940,   937,   939,   126,    -1,   938,    -1,   937,
     938,    -1,   385,   891,   347,   891,    -1,   122,   891,    -1,
      -1,   891,    -1,    -1,   966,    -1,   966,   943,    -1,   425,
     957,    -1,   425,   416,    -1,   421,   891,   422,    -1,   421,
     891,   428,   891,   422,    -1,   942,    -1,   943,   942,    -1,
      -1,   944,   942,    -1,    35,    -1,    -1,   891,    -1,   103,
      -1,   946,    -1,   947,   427,   946,    -1,   423,   947,   424,
      -1,   950,    -1,   949,   427,   950,    -1,   891,    31,   968,
      -1,   891,     3,    -1,   891,    -1,   416,    -1,   952,    -1,
     951,   427,   952,    -1,   966,    -1,   966,   943,    -1,   954,
      -1,   953,   427,   954,    -1,   966,    -1,   966,    -1,   966,
      -1,   968,    -1,   966,    -1,   963,    -1,   967,    -1,   966,
     943,    -1,   962,    -1,     4,    -1,   963,    -1,     6,    -1,
       7,    -1,   960,   963,    -1,   960,   423,   921,   424,   963,
      -1,   870,   963,    -1,   887,   963,   889,    -1,   887,   423,
     962,   424,   963,   889,    -1,   356,    -1,   139,    -1,   236,
      -1,     9,    -1,     5,    -1,   966,    -1,   962,    -1,   414,
     962,    -1,   415,   962,    -1,     3,    -1,   969,    -1,   970,
      -1,     3,    -1,   969,    -1,   971,    -1,     3,    -1,   969,
      -1,   970,    -1,   971,    -1,   972,    -1,    14,    -1,    15,
      -1,    16,    -1,    17,    -1,    18,    -1,    19,    -1,    20,
      -1,    21,    -1,    23,    -1,    24,    -1,    25,    -1,    33,
      -1,    34,    -1,    36,    -1,    37,    -1,    39,    -1,    40,
      -1,    41,    -1,    48,    -1,    49,    -1,    50,    -1,    51,
      -1,    52,    -1,    55,    -1,    56,    -1,    59,    -1,    61,
      -1,    62,    -1,    63,    -1,    64,    -1,    67,    -1,    69,
      -1,    70,    -1,    71,    -1,    72,    -1,    74,    -1,    75,
      -1,    77,    -1,    78,    -1,    79,    -1,    80,    -1,    81,
      -1,    82,    -1,    85,    -1,    86,    -1,    94,    -1,    95,
      -1,    96,    -1,    97,    -1,    98,    -1,    99,    -1,   102,
      -1,   104,    -1,   106,    -1,   107,    -1,   108,    -1,   109,
      -1,   110,    -1,   112,    -1,   113,    -1,   114,    -1,   117,
      -1,   118,    -1,   119,    -1,   120,    -1,   121,    -1,   123,
      -1,   124,    -1,   125,    -1,   127,    -1,   128,    -1,   130,
      -1,   131,    -1,   132,    -1,   133,    -1,   135,    -1,   136,
      -1,   137,    -1,   140,    -1,   142,    -1,   144,    -1,   146,
      -1,   148,    -1,   152,    -1,   153,    -1,   154,    -1,   156,
      -1,   159,    -1,   161,    -1,   162,    -1,   163,    -1,   164,
      -1,   165,    -1,   167,    -1,   168,    -1,   169,    -1,   171,
      -1,   172,    -1,   173,    -1,   174,    -1,   175,    -1,   176,
      -1,   178,    -1,   181,    -1,   182,    -1,   183,    -1,   184,
      -1,   190,    -1,   193,    -1,   195,    -1,   196,    -1,   197,
      -1,   198,    -1,   199,    -1,   200,    -1,   201,    -1,   205,
      -1,   208,    -1,   209,    -1,   210,    -1,   213,    -1,   214,
      -1,   215,    -1,   216,    -1,   217,    -1,   218,    -1,   219,
      -1,   220,    -1,   221,    -1,   222,    -1,   223,    -1,   224,
      -1,   228,    -1,   229,    -1,   232,    -1,   233,    -1,   235,
      -1,   238,    -1,   240,    -1,   241,    -1,   242,    -1,   244,
      -1,   247,    -1,   248,    -1,   249,    -1,   257,    -1,   258,
      -1,   259,    -1,   260,    -1,   261,    -1,   262,    -1,   263,
      -1,   265,    -1,   267,    -1,   270,    -1,   271,    -1,   269,
      -1,   273,    -1,   274,    -1,   275,    -1,   276,    -1,   277,
      -1,   278,    -1,   279,    -1,   281,    -1,   282,    -1,   283,
      -1,   284,    -1,   286,    -1,   287,    -1,   288,    -1,   289,
      -1,   290,    -1,   291,    -1,   292,    -1,   293,    -1,   294,
      -1,   295,    -1,   297,    -1,   298,    -1,   300,    -1,   301,
      -1,   303,    -1,   304,    -1,   305,    -1,   306,    -1,   307,
      -1,   308,    -1,   309,    -1,   310,    -1,   312,    -1,   313,
      -1,   314,    -1,   315,    -1,   316,    -1,   318,    -1,   320,
      -1,   321,    -1,   323,    -1,   326,    -1,   327,    -1,   328,
      -1,   329,    -1,   330,    -1,   331,    -1,   332,    -1,   333,
      -1,   334,    -1,   335,    -1,   338,    -1,   339,    -1,   341,
      -1,   342,    -1,   343,    -1,   344,    -1,   345,    -1,   346,
      -1,   352,    -1,   354,    -1,   357,    -1,   358,    -1,   359,
      -1,   360,    -1,   361,    -1,   362,    -1,   365,    -1,   366,
      -1,   367,    -1,   368,    -1,   369,    -1,   372,    -1,   373,
      -1,   374,    -1,   375,    -1,   376,    -1,   380,    -1,   382,
      -1,   383,    -1,   384,    -1,   387,    -1,   390,    -1,   391,
      -1,   392,    -1,   393,    -1,   394,    -1,   404,    -1,   405,
      -1,   406,    -1,    42,    -1,    43,    -1,    45,    -1,    46,
      -1,    57,    -1,    58,    -1,    65,    -1,   100,    -1,   101,
      -1,   134,    -1,   138,    -1,   143,    -1,   157,    -1,   180,
      -1,   185,    -1,   186,    -1,   188,    -1,   203,    -1,   225,
      -1,   227,    -1,   230,    -1,   237,    -1,   239,    -1,   252,
      -1,   256,    -1,   266,    -1,   268,    -1,   280,    -1,   302,
      -1,   319,    -1,   324,    -1,   336,    -1,   348,    -1,   349,
      -1,   353,    -1,   355,    -1,   377,    -1,   378,    -1,   395,
      -1,   396,    -1,   397,    -1,   398,    -1,   399,    -1,   400,
      -1,   401,    -1,   402,    -1,   403,    -1,    38,    -1,    44,
      -1,    73,    -1,    84,    -1,    90,    -1,   149,    -1,   151,
      -1,   166,    -1,   179,    -1,   191,    -1,   192,    -1,   194,
      -1,   204,    -1,   206,    -1,   226,    -1,   234,    -1,   253,
      -1,   254,    -1,   255,    -1,   299,    -1,   322,    -1,   381,
      -1,    22,    -1,    26,    -1,    27,    -1,    28,    -1,    29,
      -1,    30,    -1,    31,    -1,    32,    -1,    35,    -1,    47,
      -1,    53,    -1,    54,    -1,    60,    -1,    66,    -1,    68,
      -1,    76,    -1,    83,    -1,    87,    -1,    88,    -1,    89,
      -1,    91,    -1,    92,    -1,    93,    -1,   103,    -1,   105,
      -1,   111,    -1,   115,    -1,   116,    -1,   122,    -1,   126,
      -1,   129,    -1,   139,    -1,   141,    -1,   145,    -1,   147,
      -1,   150,    -1,   155,    -1,   158,    -1,   160,    -1,   170,
      -1,   177,    -1,   187,    -1,   189,    -1,   202,    -1,   207,
      -1,   211,    -1,   212,    -1,   231,    -1,   236,    -1,   243,
      -1,   245,    -1,   246,    -1,   250,    -1,   251,    -1,   264,
      -1,   272,    -1,   285,    -1,   296,    -1,   311,    -1,   317,
      -1,   325,    -1,   337,    -1,   340,    -1,   347,    -1,   350,
      -1,   351,    -1,   356,    -1,   363,    -1,   364,    -1,   370,
      -1,   371,    -1,   379,    -1,   385,    -1,   386,    -1,   388,
      -1,   389,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   655,   655,   662,   669,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   790,   800,   811,   812,   821,
     822,   826,   827,   831,   836,   840,   845,   850,   854,   858,
     863,   867,   921,   923,   927,   931,   935,   939,   953,   971,
     982,   983,   987,  1005,  1017,  1038,  1045,  1064,  1071,  1088,
    1106,  1117,  1118,  1130,  1137,  1154,  1166,  1178,  1179,  1183,
    1184,  1192,  1193,  1194,  1195,  1196,  1197,  1211,  1217,  1223,
    1232,  1240,  1248,  1255,  1262,  1270,  1281,  1289,  1297,  1305,
    1313,  1324,  1332,  1340,  1347,  1357,  1358,  1365,  1366,  1369,
    1371,  1375,  1376,  1377,  1378,  1382,  1383,  1384,  1390,  1402,
    1406,  1410,  1425,  1448,  1449,  1450,  1454,  1455,  1456,  1460,
    1461,  1465,  1472,  1479,  1486,  1493,  1503,  1504,  1509,  1515,
    1521,  1527,  1533,  1543,  1553,  1554,  1558,  1559,  1567,  1582,
    1588,  1594,  1600,  1618,  1626,  1634,  1642,  1653,  1654,  1659,
    1667,  1675,  1684,  1692,  1700,  1709,  1718,  1727,  1736,  1746,
    1759,  1773,  1781,  1789,  1799,  1809,  1816,  1823,  1831,  1839,
    1847,  1855,  1863,  1870,  1877,  1885,  1892,  1899,  1907,  1915,
    1923,  1931,  1939,  1947,  1957,  1964,  1972,  1980,  1988,  1995,
    2005,  2006,  2010,  2011,  2012,  2016,  2024,  2028,  2029,  2033,
    2036,  2037,  2041,  2042,  2047,  2051,  2055,  2060,  2075,  2088,
    2089,  2094,  2103,  2113,  2123,  2148,  2154,  2181,  2203,  2217,
    2218,  2227,  2228,  2229,  2232,  2233,  2238,  2239,  2243,  2247,
    2251,  2255,  2259,  2263,  2267,  2271,  2275,  2279,  2283,  2287,
    2296,  2300,  2304,  2308,  2312,  2316,  2320,  2321,  2326,  2330,
    2337,  2344,  2345,  2346,  2347,  2348,  2352,  2356,  2364,  2375,
    2390,  2406,  2422,  2447,  2448,  2449,  2450,  2451,  2452,  2453,
    2454,  2458,  2459,  2463,  2464,  2468,  2472,  2479,  2483,  2490,
    2491,  2492,  2496,  2497,  2500,  2519,  2539,  2540,  2544,  2552,
    2553,  2554,  2585,  2592,  2599,  2610,  2621,  2630,  2639,  2672,
    2679,  2686,  2693,  2712,  2722,  2723,  2724,  2728,  2729,  2730,
    2731,  2732,  2733,  2742,  2750,  2754,  2766,  2781,  2795,  2810,
    2824,  2842,  2864,  2865,  2869,  2870,  2873,  2879,  2883,  2891,
    2896,  2902,  2903,  2907,  2912,  2919,  2920,  2930,  2932,  2934,
    2936,  2939,  2942,  2945,  2949,  2950,  2951,  2952,  2953,  2956,
    2957,  2962,  2963,  2964,  2965,  2968,  2969,  2970,  2971,  2974,
    2975,  2978,  2979,  2982,  2992,  3017,  3029,  3030,  3034,  3035,
    3039,  3059,  3060,  3061,  3074,  3086,  3095,  3096,  3099,  3100,
    3103,  3107,  3111,  3115,  3119,  3123,  3127,  3131,  3135,  3139,
    3143,  3147,  3153,  3154,  3158,  3159,  3164,  3167,  3168,  3180,
    3192,  3207,  3208,  3216,  3217,  3221,  3222,  3226,  3227,  3231,
    3232,  3236,  3244,  3255,  3256,  3266,  3276,  3277,  3290,  3297,
    3314,  3322,  3333,  3336,  3340,  3344,  3348,  3360,  3370,  3373,
    3377,  3390,  3400,  3410,  3419,  3428,  3437,  3447,  3456,  3466,
    3476,  3486,  3495,  3504,  3513,  3522,  3531,  3540,  3549,  3558,
    3567,  3576,  3585,  3603,  3614,  3615,  3616,  3617,  3621,  3622,
    3626,  3627,  3637,  3645,  3662,  3670,  3682,  3683,  3687,  3691,
    3699,  3703,  3707,  3714,  3718,  3723,  3728,  3735,  3742,  3747,
    3757,  3771,  3772,  3777,  3778,  3782,  3783,  3793,  3801,  3818,
    3827,  3835,  3852,  3867,  3885,  3886,  3890,  3894,  3901,  3912,
    3929,  3941,  3942,  3943,  3953,  3961,  3978,  3997,  4017,  4042,
    4043,  4044,  4048,  4050,  4072,  4074,  4076,  4078,  4080,  4085,
    4090,  4100,  4101,  4105,  4106,  4110,  4111,  4115,  4116,  4117,
    4121,  4127,  4128,  4129,  4133,  4134,  4139,  4140,  4167,  4168,
    4169,  4170,  4171,  4176,  4186,  4208,  4228,  4251,  4261,  4272,
    4282,  4292,  4303,  4312,  4319,  4328,  4337,  4346,  4355,  4364,
    4375,  4378,  4379,  4382,  4386,  4393,  4394,  4395,  4396,  4397,
    4400,  4401,  4404,  4407,  4408,  4416,  4423,  4424,  4427,  4429,
    4440,  4449,  4458,  4482,  4497,  4498,  4502,  4512,  4523,  4532,
    4542,  4551,  4552,  4555,  4556,  4559,  4560,  4561,  4564,  4578,
    4583,  4593,  4602,  4614,  4615,  4619,  4627,  4639,  4648,  4660,
    4669,  4690,  4700,  4718,  4727,  4739,  4740,  4741,  4742,  4743,
    4744,  4745,  4746,  4747,  4748,  4749,  4750,  4751,  4752,  4753,
    4757,  4758,  4761,  4762,  4765,  4767,  4780,  4791,  4792,  4793,
    4819,  4828,  4837,  4846,  4855,  4864,  4873,  4883,  4892,  4901,
    4910,  4919,  4928,  4937,  4945,  4953,  4961,  4972,  4973,  4974,
    4975,  4976,  4977,  4978,  4979,  4980,  4981,  4982,  4983,  4984,
    4985,  4986,  4987,  4988,  4992,  4993,  5007,  5018,  5029,  5040,
    5051,  5064,  5065,  5069,  5070,  5071,  5072,  5073,  5074,  5075,
    5076,  5079,  5080,  5090,  5096,  5104,  5112,  5120,  5128,  5136,
    5144,  5152,  5160,  5168,  5176,  5184,  5192,  5200,  5208,  5216,
    5224,  5234,  5235,  5238,  5239,  5249,  5265,  5279,  5305,  5307,
    5309,  5311,  5318,  5327,  5328,  5331,  5338,  5345,  5352,  5366,
    5374,  5382,  5390,  5398,  5406,  5414,  5422,  5430,  5438,  5446,
    5454,  5462,  5470,  5482,  5483,  5486,  5496,  5510,  5511,  5515,
    5516,  5521,  5537,  5550,  5560,  5572,  5573,  5576,  5577,  5587,
    5597,  5598,  5602,  5606,  5610,  5621,  5634,  5648,  5665,  5666,
    5667,  5679,  5699,  5700,  5704,  5705,  5709,  5710,  5714,  5715,
    5718,  5719,  5727,  5738,  5749,  5762,  5763,  5766,  5767,  5768,
    5771,  5772,  5773,  5776,  5777,  5778,  5794,  5806,  5819,  5834,
    5835,  5838,  5839,  5843,  5844,  5852,  5853,  5857,  5858,  5873,
    5882,  5891,  5900,  5909,  5921,  5922,  5923,  5924,  5925,  5931,
    5935,  5950,  5951,  5957,  5967,  5971,  5976,  5986,  5987,  5994,
    5998,  6002,  6006,  6010,  6014,  6018,  6022,  6026,  6030,  6034,
    6038,  6042,  6050,  6054,  6058,  6062,  6068,  6069,  6076,  6077,
    6080,  6092,  6096,  6111,  6122,  6123,  6128,  6129,  6144,  6154,
    6167,  6177,  6190,  6200,  6213,  6221,  6223,  6225,  6230,  6232,
    6245,  6254,  6255,  6259,  6263,  6275,  6286,  6297,  6310,  6311,
    6312,  6316,  6327,  6328,  6342,  6350,  6360,  6373,  6374,  6377,
    6378,  6388,  6397,  6405,  6413,  6421,  6430,  6438,  6446,  6455,
    6464,  6472,  6481,  6490,  6499,  6508,  6517,  6527,  6537,  6546,
    6554,  6562,  6570,  6579,  6588,  6596,  6604,  6612,  6620,  6628,
    6641,  6642,  6645,  6646,  6656,  6665,  6673,  6681,  6689,  6697,
    6706,  6715,  6724,  6733,  6741,  6749,  6757,  6765,  6773,  6781,
    6789,  6797,  6813,  6822,  6830,  6838,  6846,  6854,  6863,  6871,
    6879,  6888,  6897,  6906,  6914,  6922,  6930,  6938,  6946,  6954,
    6971,  6988,  6989,  6990,  6995,  7001,  7010,  7011,  7012,  7013,
    7014,  7018,  7019,  7022,  7023,  7024,  7025,  7029,  7030,  7031,
    7036,  7046,  7067,  7077,  7078,  7081,  7090,  7096,  7115,  7122,
    7129,  7136,  7143,  7150,  7157,  7165,  7173,  7181,  7189,  7197,
    7204,  7211,  7220,  7221,  7222,  7226,  7229,  7232,  7235,  7238,
    7245,  7247,  7249,  7254,  7256,  7268,  7279,  7293,  7299,  7305,
    7311,  7321,  7337,  7347,  7348,  7352,  7356,  7360,  7364,  7368,
    7372,  7376,  7380,  7384,  7388,  7392,  7396,  7400,  7404,  7408,
    7412,  7422,  7423,  7434,  7441,  7452,  7463,  7464,  7468,  7482,
    7489,  7506,  7519,  7528,  7536,  7544,  7553,  7564,  7565,  7576,
    7586,  7596,  7606,  7616,  7626,  7634,  7655,  7678,  7686,  7695,
    7706,  7707,  7719,  7733,  7747,  7759,  7771,  7788,  7789,  7793,
    7794,  7795,  7796,  7800,  7812,  7827,  7828,  7832,  7833,  7836,
    7837,  7840,  7841,  7845,  7846,  7859,  7866,  7876,  7883,  7893,
    7894,  7895,  7896,  7897,  7898,  7899,  7903,  7907,  7914,  7921,
    7922,  7923,  7927,  7928,  7929,  7939,  7949,  7950,  7954,  7955,
    7956,  7957,  7967,  7975,  7992,  7993,  8003,  8009,  8015,  8021,
    8037,  8047,  8053,  8059,  8068,  8070,  8075,  8086,  8087,  8098,
    8112,  8113,  8124,  8135,  8136,  8139,  8140,  8141,  8142,  8143,
    8144,  8145,  8146,  8149,  8150,  8161,  8179,  8180,  8184,  8185,
    8189,  8197,  8225,  8236,  8237,  8247,  8258,  8261,  8262,  8263,
    8264,  8265,  8268,  8269,  8270,  8318,  8319,  8323,  8324,  8338,
    8339,  8346,  8354,  8362,  8370,  8378,  8386,  8397,  8398,  8425,
    8440,  8441,  8460,  8464,  8468,  8483,  8490,  8500,  8501,  8504,
    8516,  8517,  8521,  8531,  8539,  8544,  8549,  8554,  8559,  8564,
    8569,  8574,  8579,  8586,  8587,  8590,  8591,  8592,  8599,  8600,
    8601,  8602,  8606,  8607,  8611,  8615,  8616,  8619,  8628,  8641,
    8642,  8643,  8644,  8648,  8649,  8653,  8655,  8665,  8670,  8673,
    8678,  8679,  8687,  8697,  8698,  8699,  8707,  8711,  8712,  8715,
    8716,  8721,  8722,  8726,  8727,  8731,  8732,  8736,  8737,  8741,
    8742,  8746,  8754,  8765,  8766,  8771,  8777,  8795,  8796,  8800,
    8801,  8811,  8815,  8820,  8827,  8835,  8842,  8852,  8862,  8890,
    8897,  8901,  8927,  8931,  8943,  8956,  8970,  8981,  8996,  9002,
    9007,  9013,  9020,  9021,  9022,  9023,  9027,  9028,  9040,  9041,
    9046,  9053,  9060,  9067,  9078,  9079,  9092,  9096,  9103,  9113,
    9118,  9119,  9124,  9125,  9133,  9138,  9139,  9143,  9147,  9153,
    9182,  9187,  9194,  9199,  9205,  9210,  9219,  9221,  9224,  9228,
    9229,  9230,  9231,  9232,  9233,  9238,  9268,  9269,  9270,  9271,
    9282,  9288,  9296,  9297,  9303,  9308,  9313,  9318,  9323,  9328,
    9333,  9338,  9344,  9350,  9356,  9363,  9385,  9394,  9398,  9406,
    9410,  9418,  9430,  9451,  9455,  9461,  9465,  9478,  9497,  9520,
    9522,  9524,  9526,  9528,  9530,  9535,  9536,  9540,  9541,  9548,
    9557,  9565,  9574,  9585,  9593,  9594,  9595,  9599,  9601,  9603,
    9605,  9607,  9609,  9611,  9616,  9621,  9627,  9635,  9640,  9647,
    9654,  9658,  9662,  9692,  9693,  9695,  9703,  9725,  9727,  9729,
    9731,  9733,  9735,  9737,  9739,  9741,  9743,  9745,  9748,  9750,
    9752,  9755,  9757,  9759,  9762,  9764,  9777,  9779,  9792,  9794,
    9807,  9809,  9823,  9836,  9849,  9862,  9885,  9892,  9899,  9906,
    9913,  9917,  9924,  9931,  9938,  9945,  9952,  9959,  9963,  9971,
    9975,  9985,  9992,  9999, 10012, 10025, 10044, 10065, 10075, 10082,
   10098, 10103, 10121, 10123, 10125, 10127, 10129, 10131, 10133, 10135,
   10137, 10139, 10141, 10143, 10145, 10147, 10149, 10151, 10153, 10157,
   10162, 10166, 10170, 10175, 10192, 10193, 10194, 10209, 10221, 10223,
   10225, 10235, 10258, 10268, 10278, 10286, 10304, 10317, 10330, 10343,
   10356, 10369, 10386, 10399, 10422, 10443, 10453, 10466, 10483, 10496,
   10506, 10519, 10529, 10542, 10555, 10568, 10581, 10594, 10607, 10620,
   10622, 10635, 10653, 10667, 10683, 10705, 10721, 10734, 10747, 10760,
   10764, 10771, 10779, 10787, 10791, 10795, 10799, 10803, 10807, 10822,
   10826, 10835, 10839, 10843, 10848, 10862, 10864, 10868, 10870, 10872,
   10875, 10878, 10881, 10882, 10885, 10893, 10903, 10904, 10907, 10908,
   10909, 10914, 10918, 10922, 10926, 10937, 10938, 10942, 10943, 10948,
   10956, 10958, 10972, 10975, 11002, 11003, 11006, 11007, 11018, 11036,
   11043, 11052, 11069, 11114, 11122, 11130, 11138, 11146, 11167, 11168,
   11169, 11172, 11173, 11174, 11177, 11178, 11181, 11182, 11183, 11184,
   11185, 11186, 11187, 11188, 11189, 11192, 11194, 11199, 11201, 11206,
   11208, 11210, 11212, 11214, 11216, 11228, 11232, 11239, 11243, 11249,
   11253, 11264, 11265, 11268, 11272, 11276, 11282, 11283, 11288, 11292,
   11299, 11300, 11301, 11302, 11303, 11304, 11305, 11306, 11316, 11320,
   11327, 11334, 11335, 11351, 11355, 11360, 11364, 11379, 11384, 11388,
   11391, 11394, 11395, 11396, 11399, 11406, 11416, 11430, 11431, 11435,
   11446, 11447, 11450, 11451, 11454, 11458, 11465, 11469, 11473, 11480,
   11490, 11491, 11495, 11496, 11499, 11500, 11511, 11512, 11521, 11522,
   11530, 11541, 11542, 11545, 11561, 11569, 11577, 11599, 11600, 11611,
   11615, 11642, 11644, 11649, 11652, 11655, 11657, 11659, 11661, 11671,
   11673, 11684, 11688, 11692, 11696, 11700, 11709, 11716, 11741, 11745,
   11751, 11768, 11772, 11776, 11782, 11783, 11784, 11786, 11787, 11788,
   11804, 11805, 11806, 11811, 11812, 11813, 11819, 11820, 11821, 11822,
   11823, 11843, 11844, 11845, 11846, 11847, 11848, 11849, 11850, 11851,
   11852, 11853, 11854, 11855, 11856, 11857, 11858, 11859, 11860, 11861,
   11862, 11863, 11864, 11865, 11866, 11867, 11868, 11869, 11870, 11871,
   11872, 11873, 11874, 11875, 11876, 11877, 11878, 11879, 11880, 11881,
   11882, 11883, 11884, 11885, 11886, 11887, 11888, 11889, 11890, 11891,
   11892, 11893, 11894, 11895, 11896, 11897, 11898, 11899, 11900, 11901,
   11902, 11903, 11904, 11905, 11906, 11907, 11908, 11909, 11910, 11911,
   11912, 11913, 11914, 11915, 11916, 11917, 11918, 11919, 11920, 11921,
   11922, 11923, 11924, 11925, 11926, 11927, 11928, 11929, 11930, 11931,
   11932, 11933, 11934, 11935, 11936, 11937, 11938, 11939, 11940, 11941,
   11942, 11943, 11944, 11945, 11946, 11947, 11948, 11949, 11950, 11951,
   11952, 11953, 11954, 11955, 11956, 11957, 11958, 11959, 11960, 11961,
   11962, 11963, 11964, 11965, 11966, 11967, 11968, 11969, 11970, 11971,
   11972, 11973, 11974, 11975, 11976, 11977, 11978, 11979, 11980, 11981,
   11982, 11983, 11984, 11985, 11986, 11987, 11988, 11989, 11990, 11991,
   11992, 11993, 11994, 11995, 11996, 11997, 11998, 11999, 12000, 12001,
   12002, 12003, 12004, 12005, 12006, 12007, 12008, 12009, 12010, 12011,
   12012, 12013, 12014, 12015, 12016, 12017, 12018, 12019, 12020, 12021,
   12022, 12023, 12024, 12025, 12026, 12027, 12028, 12029, 12030, 12031,
   12032, 12033, 12034, 12035, 12036, 12037, 12038, 12039, 12040, 12041,
   12042, 12043, 12044, 12045, 12046, 12047, 12048, 12049, 12050, 12051,
   12052, 12053, 12054, 12055, 12056, 12057, 12058, 12059, 12060, 12061,
   12062, 12063, 12064, 12065, 12066, 12067, 12068, 12069, 12070, 12071,
   12072, 12073, 12074, 12075, 12076, 12077, 12078, 12079, 12080, 12081,
   12082, 12083, 12084, 12085, 12086, 12087, 12088, 12089, 12090, 12104,
   12105, 12106, 12107, 12108, 12109, 12110, 12111, 12112, 12113, 12114,
   12115, 12116, 12117, 12118, 12119, 12120, 12121, 12122, 12123, 12124,
   12125, 12126, 12127, 12128, 12129, 12130, 12131, 12132, 12133, 12134,
   12135, 12136, 12137, 12138, 12139, 12140, 12141, 12142, 12143, 12144,
   12145, 12146, 12147, 12148, 12149, 12150, 12164, 12165, 12166, 12167,
   12168, 12169, 12170, 12171, 12172, 12173, 12174, 12175, 12176, 12177,
   12178, 12179, 12180, 12181, 12182, 12183, 12184, 12185, 12195, 12196,
   12197, 12198, 12199, 12200, 12201, 12202, 12203, 12204, 12205, 12206,
   12207, 12208, 12209, 12210, 12211, 12212, 12213, 12214, 12215, 12216,
   12217, 12218, 12219, 12220, 12221, 12222, 12223, 12224, 12225, 12226,
   12227, 12228, 12229, 12230, 12231, 12232, 12233, 12234, 12235, 12236,
   12237, 12238, 12239, 12240, 12241, 12242, 12243, 12244, 12245, 12246,
   12247, 12248, 12249, 12250, 12251, 12252, 12253, 12254, 12255, 12256,
   12257, 12258, 12259, 12260, 12261, 12262, 12263, 12264, 12265, 12266,
   12267, 12268, 12269, 12270
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding", "ColId_or_Sconst",
  "VariableResetStmt", "SetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "OptCreateAs", "CreateAsList",
  "CreateAsElement", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "NumericOnly_list", "CreatePLangStmt", "opt_trusted", "handler_name",
  "opt_inline_handler", "validator_clause", "opt_validator",
  "DropPLangStmt", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
      61,    60,    62,   665,    43,    45,    42,    47,    37,    94,
     666,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   429,   430,   431,   431,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   433,   434,   434,   435,
     435,   436,   436,   437,   437,   437,   437,   437,   437,   437,
     437,   437,   438,   438,   438,   438,   438,   438,   439,   440,
     441,   441,   442,   443,   444,   445,   445,   446,   446,   447,
     448,   449,   449,   450,   450,   451,   451,   452,   452,   453,
     453,   454,   454,   454,   454,   454,   454,   455,   455,   455,
     456,   456,   456,   456,   456,   456,   456,   456,   456,   456,
     456,   456,   456,   456,   456,   457,   457,   458,   458,   459,
     459,   460,   460,   460,   460,   461,   461,   461,   461,   462,
     462,   462,   462,   462,   462,   462,   463,   463,   463,   464,
     464,   465,   465,   465,   465,   465,   466,   466,   467,   467,
     467,   467,   467,   468,   469,   469,   470,   470,   471,   472,
     472,   472,   472,   473,   473,   473,   473,   474,   474,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     476,   476,   477,   477,   477,   478,   478,   479,   479,   480,
     481,   481,   482,   482,   483,   483,   483,   483,   484,   485,
     485,   486,   486,   486,   486,   487,   487,   488,   488,   489,
     489,   490,   490,   490,   491,   491,   492,   492,   493,   493,
     493,   493,   493,   493,   493,   493,   493,   493,   493,   493,
     494,   494,   495,   495,   496,   496,   497,   497,   498,   498,
     499,   500,   500,   500,   500,   500,   501,   501,   502,   503,
     503,   503,   503,   504,   504,   504,   504,   504,   504,   504,
     504,   505,   505,   506,   506,   507,   507,   508,   508,   509,
     509,   509,   510,   510,   511,   512,   513,   513,   514,   514,
     514,   514,   515,   515,   515,   515,   515,   515,   515,   516,
     516,   516,   516,   517,   518,   518,   518,   519,   519,   519,
     519,   519,   519,   520,   520,   521,   521,   521,   521,   521,
     521,   521,   522,   522,   523,   523,   524,   525,   525,   525,
     525,   526,   526,   527,   527,   528,   528,   529,   529,   529,
     529,   529,   530,   531,   532,   532,   532,   532,   532,   533,
     533,   534,   534,   534,   534,   535,   535,   535,   535,   536,
     536,   537,   537,   538,   539,   540,   541,   541,   542,   542,
     543,   544,   544,   544,   545,   546,   547,   547,   548,   548,
     549,   549,   549,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   550,   550,   551,   551,   551,   552,   552,   553,
     553,   554,   554,   555,   555,   556,   556,   557,   557,   558,
     558,   559,   559,   560,   560,   561,   562,   562,   563,   563,
     564,   564,   565,   565,   566,   566,   566,   567,   568,   568,
     569,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   570,   570,   571,   572,   572,   572,   572,   573,   573,
     574,   574,   575,   575,   576,   576,   577,   577,   578,   578,
     579,   580,   580,   581,   581,   581,   581,   582,   583,   584,
     585,   586,   586,   587,   587,   588,   588,   589,   589,   590,
     590,   590,   591,   591,   592,   592,   593,   593,   594,   595,
     596,   597,   597,   597,   598,   598,   599,   600,   600,   601,
     601,   601,   602,   602,   603,   603,   603,   603,   603,   604,
     604,   605,   605,   606,   606,   607,   607,   608,   608,   608,
     609,   609,   609,   609,   610,   610,   611,   611,   612,   612,
     612,   612,   612,   613,   613,   614,   615,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     617,   618,   618,   619,   619,   620,   620,   620,   620,   620,
     621,   621,   622,   623,   623,   624,   625,   625,   626,   626,
     627,   627,   627,   628,   629,   629,   630,   630,   630,   630,
     630,   631,   631,   632,   632,   633,   633,   633,   634,   634,
     635,   636,   636,   637,   637,   638,   638,   639,   639,   640,
     640,   641,   642,   643,   643,   644,   644,   644,   644,   644,
     644,   644,   644,   644,   644,   644,   644,   644,   644,   644,
     645,   645,   646,   646,   647,   647,   648,   649,   649,   649,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   651,   651,   651,
     651,   651,   651,   651,   651,   651,   651,   651,   651,   651,
     651,   651,   651,   651,   652,   652,   653,   653,   653,   653,
     653,   654,   654,   655,   655,   655,   655,   655,   655,   655,
     655,   656,   656,   657,   657,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   659,   659,   660,   660,   661,   662,   662,   663,   663,
     663,   663,   663,   664,   664,   665,   665,   665,   665,   666,
     666,   666,   666,   666,   666,   666,   666,   666,   666,   666,
     666,   666,   666,   667,   667,   668,   668,   669,   669,   670,
     670,   671,   672,   673,   673,   674,   674,   675,   675,   676,
     677,   677,   678,   678,   678,   679,   679,   679,   680,   680,
     680,   681,   682,   682,   683,   683,   684,   684,   685,   685,
     686,   686,   687,   687,   687,   688,   688,   689,   689,   689,
     690,   690,   690,   691,   691,   691,   692,   692,   692,   693,
     693,   694,   694,   695,   695,   696,   696,   697,   697,   698,
     698,   698,   698,   698,   699,   699,   699,   699,   699,   700,
     701,   702,   702,   702,   703,   703,   703,   704,   704,   705,
     705,   705,   705,   705,   705,   705,   705,   705,   705,   705,
     705,   705,   706,   706,   706,   706,   707,   707,   708,   708,
     709,   710,   710,   711,   712,   712,   713,   713,   714,   714,
     715,   715,   716,   716,   717,   717,   717,   717,   718,   718,
     719,   720,   720,   721,   721,   722,   722,   722,   723,   723,
     723,   724,   725,   725,   726,   726,   726,   727,   727,   728,
     728,   729,   729,   729,   729,   729,   729,   729,   729,   729,
     729,   729,   729,   729,   729,   729,   729,   729,   729,   729,
     729,   729,   729,   729,   729,   729,   729,   729,   729,   729,
     730,   730,   731,   731,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   733,   733,   733,   733,   733,   733,   733,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   733,   733,
     734,   735,   735,   735,   736,   736,   737,   737,   737,   737,
     737,   738,   738,   739,   739,   739,   739,   740,   740,   740,
     741,   741,   742,   743,   743,   744,   745,   745,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   747,   747,   747,   748,   748,   748,   748,   748,
     749,   749,   749,   750,   750,   751,   751,   752,   752,   752,
     752,   753,   754,   755,   755,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   757,   757,   758,   758,   759,   760,   760,   761,   762,
     762,   763,   764,   764,   764,   764,   764,   765,   765,   766,
     767,   767,   767,   767,   767,   767,   768,   769,   769,   769,
     770,   770,   771,   771,   771,   771,   771,   772,   772,   773,
     773,   773,   773,   774,   774,   775,   775,   776,   776,   777,
     777,   778,   778,   779,   779,   780,   780,   780,   780,   781,
     781,   781,   781,   781,   781,   781,   782,   782,   783,   784,
     784,   784,   785,   785,   785,   786,   787,   787,   788,   788,
     788,   788,   789,   789,   790,   790,   791,   791,   791,   791,
     792,   793,   793,   793,   794,   794,   795,   796,   796,   797,
     798,   798,   799,   800,   800,   801,   801,   801,   801,   801,
     801,   801,   801,   802,   802,   803,   804,   804,   805,   805,
     806,   807,   808,   809,   809,   810,   811,   812,   812,   812,
     812,   812,   813,   813,   813,   814,   814,   815,   815,   816,
     816,   816,   816,   816,   816,   816,   816,   817,   817,   818,
     818,   818,   818,   818,   818,   819,   819,   820,   820,   821,
     822,   822,   823,   823,   824,   824,   824,   824,   824,   824,
     824,   824,   824,   825,   825,   826,   826,   826,   827,   827,
     827,   827,   828,   828,   829,   830,   830,   831,   831,   832,
     832,   832,   832,   833,   833,   834,   834,   834,   835,   835,
     836,   836,   837,   838,   838,   838,   839,   840,   840,   841,
     841,   842,   842,   843,   843,   844,   844,   845,   845,   846,
     846,   847,   847,   848,   848,   849,   849,   850,   850,   851,
     851,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   853,   853,   853,   853,   853,   853,   854,   854,
     854,   854,   855,   855,   855,   855,   856,   856,   857,   857,
     858,   858,   858,   858,   859,   859,   860,   860,   860,   861,
     862,   862,   863,   863,   863,   864,   864,   865,   865,   866,
     867,   867,   867,   867,   867,   867,   868,   868,   868,   869,
     869,   869,   869,   869,   869,   869,   870,   870,   870,   870,
     871,   871,   872,   872,   873,   873,   873,   873,   873,   873,
     873,   873,   873,   873,   873,   874,   874,   875,   875,   876,
     876,   877,   878,   879,   879,   880,   880,   881,   882,   883,
     883,   883,   883,   883,   883,   884,   884,   885,   885,   886,
     886,   886,   886,   887,   888,   888,   888,   889,   889,   889,
     889,   889,   889,   889,   889,   889,   889,   889,   889,   889,
     889,   890,   890,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   893,   893,   893,   893,   893,   893,
     893,   893,   893,   893,   893,   893,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   895,   895,   896,   896,   896,
     896,   897,   898,   898,   899,   899,   900,   900,   901,   901,
     901,   902,   902,   902,   902,   903,   903,   904,   904,   905,
     906,   906,   906,   907,   908,   908,   909,   909,   910,   910,
     910,   911,   911,   912,   912,   912,   912,   912,   913,   913,
     913,   914,   914,   914,   915,   915,   916,   916,   916,   916,
     916,   916,   916,   916,   916,   917,   917,   918,   918,   919,
     919,   919,   919,   919,   919,   920,   920,   921,   921,   922,
     922,   923,   923,   924,   924,   924,   925,   925,   926,   926,
     927,   927,   927,   927,   927,   927,   927,   927,   928,   928,
     929,   930,   930,   931,   931,   931,   931,   931,   931,   932,
     933,   934,   934,   934,   935,   935,   936,   937,   937,   938,
     939,   939,   940,   940,   941,   941,   942,   942,   942,   942,
     943,   943,   944,   944,   945,   945,   946,   946,   947,   947,
     948,   949,   949,   950,   950,   950,   950,   951,   951,   952,
     952,   953,   953,   954,   955,   956,   957,   958,   959,   960,
     960,   961,   961,   961,   961,   961,   961,   961,   961,   961,
     961,   961,   961,   961,   962,   963,   964,   965,   965,   965,
     966,   966,   966,   967,   967,   967,   968,   968,   968,   968,
     968,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     4,     3,     5,     3,     5,     5,
       6,     1,     1,     3,     5,     6,     4,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     5,     2,     2,
       2,     2,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     6,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     3,     4,     3,     2,     2,     1,     2,     3,
       4,     3,     2,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     4,     4,     4,     4,     1,     3,     2,
       3,     4,     6,     6,     6,     5,     5,     6,     6,     4,
       8,     2,     3,     6,     4,     3,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     2,     2,     3,     3,     2,     2,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     3,
       2,     0,     1,     3,     3,     1,     5,     3,     4,     1,
       3,     4,     6,     4,     8,     2,     2,    10,     6,     1,
       1,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     2,
       1,     0,     2,     0,     3,     0,     1,     0,     1,     3,
       2,     1,     1,     1,     3,     0,     1,     3,     1,    11,
      14,    10,    13,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     3,     4,     2,     0,     3,     1,
       1,     2,     2,     1,     3,     4,     4,     2,     5,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     7,     5,     3,     0,     1,     3,
       1,     2,     3,     0,     5,     4,     1,     0,     1,     2,
       2,     1,     2,     3,     2,     2,     2,     2,     3,     3,
       1,     3,     1,     0,     1,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     6,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     6,     8,     8,     8,     8,     6,     6,     7,
       8,     6,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     6,     8,     7,     6,     4,     0,     1,     3,
       4,     1,     3,     1,     2,     2,     2,     2,     1,     1,
      10,     2,     0,     2,     2,     1,     0,     4,     6,     5,
       4,     4,     8,    11,     3,     2,     1,     3,     1,     5,
       8,     1,     1,     1,     7,     9,     8,    15,    20,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     6,     8,     8,     4,     5,     4,     4,
       4,     3,     7,     8,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     1,     3,     3,     1,     0,     1,     3,
       6,     8,     8,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       1,     3,     1,     2,     2,     3,     5,     2,     2,     0,
       6,     7,     7,     7,     8,     8,     6,     8,     9,     9,
       7,    10,     7,     8,     8,     8,     8,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     3,     1,     1,     8,     9,     9,     9,
       9,     2,     0,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     2,     3,     3,     3,
       3,     4,     4,     3,     3,     3,     4,     4,     3,     4,
       4,     1,     1,     1,     0,     7,     7,    10,     1,     1,
       2,     4,     5,     1,     3,     2,     2,     2,     2,     1,
       2,     2,     4,     3,     2,     2,     2,     3,     2,     2,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     1,
       3,     2,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,    14,     1,     0,     1,     0,     1,     0,     2,     0,
       1,     3,     5,     5,     7,     2,     0,     1,     2,     0,
       1,     1,     0,     1,     1,     0,     9,    12,     7,     2,
       0,     3,     2,     1,     3,     3,     2,     1,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     4,     5,     1,     3,     3,     1,     2,     4,
       5,     1,     1,     1,     1,     3,     3,     2,     2,     2,
       2,     1,     2,     2,     1,     1,     1,     3,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     7,     6,     6,     6,     6,     6,     7,     9,     9,
       6,     6,     6,     6,     6,     7,     8,     9,     8,     6,
       6,     6,     5,     5,     8,     8,     8,     8,     6,     9,
       1,     0,     2,     0,     7,     6,     6,     6,     6,     6,
       7,     9,     9,     6,     8,     8,     8,     8,     6,     6,
       7,     6,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       6,     8,     3,     2,     0,     2,     2,     2,     2,     3,
       3,     2,     2,     2,     2,     3,     2,     5,     4,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     8,    10,     3,     4,     4,
       0,     2,     5,     2,     0,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     4,     3,
       3,     1,     0,     5,     6,     4,     2,     0,     4,     3,
       5,     6,     4,     6,     6,     5,     7,     1,     0,     6,
      11,    11,    11,    13,     9,    11,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     1,     0,     5,     3,     0,     1,     1,
       1,     1,     3,     8,     3,     0,     2,     3,     2,     3,
       6,     1,     4,     2,     1,     3,     2,     2,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     8,     1,     3,     1,     1,
       3,     5,     2,     1,     3,     7,     1,     0,     3,     2,
       2,     2,     0,     2,     2,     1,     1,     3,     3,     1,
       2,     4,     4,     2,     3,     5,     5,     1,     1,     9,
       1,     2,     4,     4,     4,     2,     3,     1,     3,     6,
       1,     0,     2,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     2,     0,     1,     3,     1,     0,     1,
       2,     4,     4,     2,     0,     2,     3,     2,     0,     1,
       3,     1,     2,     1,     2,     5,     6,     5,     1,     2,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     1,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     4,     5,     6,     8,
       6,     7,     7,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     5,     2,     3,
       6,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1291,  1094,   504,  1176,  1175,  1094,   228,     0,  1178,     0,
    1094,   331,   890,     0,     0,     0,     0,   504,  1094,     0,
    1291,     0,     0,     0,     0,  1304,     0,     0,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,  1311,     0,     0,
       0,     0,  1304,     0,  1180,     0,     0,     0,     0,     2,
       4,    56,    57,    23,    22,    28,    27,    79,    80,    46,
      16,    70,    51,   112,   111,   113,    34,    30,    64,    20,
      21,    31,    35,    53,    36,    52,    19,    50,    74,    54,
      77,    41,    10,    11,    42,    68,    12,    43,    69,    13,
      44,    14,    58,    81,    26,    55,    78,    37,    66,    62,
       9,    47,    48,    49,    71,    72,    73,    95,    76,   107,
      33,   104,    85,    86,   101,    87,   102,     7,    88,    45,
      15,    98,    97,    99,    65,    38,    67,    96,   100,    17,
      18,   103,    75,    93,    90,   108,   106,   114,    91,    59,
       5,     6,    82,    40,     8,    25,    24,    39,    32,   110,
      29,  1178,    84,    94,    83,    60,    89,    63,    92,   109,
      61,   105,  1278,  1265,  1313,  1277,  1290,     0,  1280,  1093,
    1092,  1078,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   503,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1104,  1810,
    1821,  1822,  1823,  1824,  1825,  1826,  1827,  1828,   306,  1829,
    1830,  1831,  1832,  1833,  1834,  1835,  1836,  1837,  1838,  2069,
    2070,  2071,  2072,  1839,  1840,  1841,  1842,  1843,  1844,  1845,
    2073,  2074,  1846,  1847,  1848,  1849,  1850,  2075,  1851,  1852,
    1853,  1854,  1855,  1856,  1857,  1858,  1859,  1860,  1861,  1862,
    1863,  1864,  1865,  1866,  1867,  1868,  1869,  1870,  1871,  2076,
    2077,  1872,  1873,  1874,  1875,  1876,  1877,  1878,  1879,  1880,
    1881,  1882,  1883,  1884,  1885,  1886,  1887,  1888,  1889,  1890,
    1891,  1892,  1893,  1894,  1895,  2078,  1896,  1897,  1898,  2079,
    1899,  1900,  2080,  1901,  1902,  1903,  1904,  1905,  1906,  1907,
    2081,  1908,  1909,  1910,  1911,  1912,  1913,  1914,  1915,  1916,
    1917,  1918,  1919,  1920,  1921,  1922,  1923,  2082,  1924,  1925,
    1926,  1927,  2083,  2084,  2085,  1928,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  2086,  1937,  1938,  1939,  1940,  1941,
    1942,  1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,
    1952,  2087,  2088,  1953,  1954,  2089,  1955,  1956,  1957,  2090,
    1958,  2091,  1959,  1960,  1961,  1962,  1963,  1964,  1965,  2092,
    2093,  1966,  1967,  1968,  1969,  1970,  1971,  1972,  1973,  2094,
    1974,  2095,  1977,  1975,  1976,  1978,  1979,  1980,  1981,  1982,
    1983,  1984,  2096,  1985,  1986,  1987,  1988,  1989,  1990,  1991,
    1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,
    2002,  2097,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,
    2011,  2012,  2013,  2014,  2015,  2016,  2098,  2017,  2018,  2019,
    2099,  2020,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,
    2029,  2100,  2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,
    2101,  2102,  2038,  2103,  2039,  2104,  2040,  2041,  2042,  2043,
    2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,
    2054,  2055,  2105,  2106,  2056,  2057,  2058,  2059,  2060,  2061,
    2062,  2063,  2064,  2065,  2107,  2108,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2066,  2067,  2068,   305,  1256,  1783,  1811,
    1812,  1177,  1158,   504,     0,  1081,   330,     0,     0,     0,
       0,     0,     0,     0,     0,   681,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,   354,   353,
       0,     0,     0,   862,   359,     0,     0,     0,     0,   492,
    1218,  1975,  1216,  1257,   229,   232,   230,   231,  1805,     0,
     960,   961,   963,     0,     0,   973,   712,   713,     0,   711,
     715,     0,     0,     0,   708,     0,     0,     0,     0,   714,
     706,     0,   705,     0,     0,     0,   710,     0,   707,     0,
       0,  1082,  1215,   360,  1291,     0,  1194,  1178,  1185,  1195,
    1190,  1192,  1191,  1193,  1189,  1804,  1822,   804,   804,   804,
     804,   801,   802,   804,   804,   804,  1990,     0,     0,   783,
       0,   785,  1807,   804,   809,   413,   413,   413,     0,   808,
     813,   413,  1075,  1111,  1788,  1303,     0,   784,  1074,  2038,
    1207,     0,     0,   977,     0,   978,     0,  2005,  1086,   215,
    2015,  2101,  2038,   211,   185,  1826,     0,     0,   808,     0,
    1083,  1084,   772,  1310,  1308,     0,  1844,  1858,  1940,   208,
    2001,  2006,  2015,  2101,  2038,  2065,   167,     0,   222,  2015,
    2101,  2038,   218,  1104,     0,  1281,  1390,  1779,     0,  1077,
    1076,  1179,     0,  1182,     0,  1355,  1987,  1285,  1287,  1184,
    1278,     0,     0,     1,  1291,  1173,  1307,  1307,     0,  1307,
       0,  1270,  1278,  1273,  1277,     0,     0,     0,     0,  1810,
    2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,  2125,
    2126,  2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,  2135,
    2136,  2137,     0,     0,  1789,  1811,  1815,     0,   722,     0,
     118,  1784,   851,     0,     0,     0,  1783,     0,     0,     0,
       0,     0,  1806,     0,     0,  1684,  1848,  1899,  1694,  1692,
    1693,  1686,  1687,  1688,  1689,  1690,  1691,     0,   958,  1685,
       0,   118,     0,     0,     0,     0,     0,     0,     0,     0,
    1943,   118,     0,     0,  1098,     0,     0,     0,  1100,  1103,
    1079,  1161,     0,  1779,     0,     0,   756,   747,     0,   757,
     748,   753,   759,     0,     0,   750,     0,     0,   760,     0,
     749,   751,   762,   752,   758,     0,     0,   754,   755,     0,
       0,  1090,   413,     0,     0,     0,     0,     0,     0,   118,
    1148,  1913,   118,     0,     0,   358,   357,   118,   356,   355,
    1848,  1899,     0,   889,   118,     0,   160,   572,   507,     0,
       0,   641,  1943,   118,     0,     0,     0,     0,   865,     0,
       0,   491,   504,  1219,  1217,     0,   964,   210,   209,   962,
    1913,     0,   284,     0,     0,  1913,  1139,     0,   709,  1913,
       0,  1913,   153,  1781,  1848,  1899,  1913,     0,     0,  1913,
     145,  1913,     0,  1913,   284,  1913,   508,     0,  1913,     0,
    1913,  1943,   147,     0,  1913,   284,   720,     0,  1212,     0,
    1187,  2105,  1201,  1200,     0,  1196,  1204,  1199,  1291,   804,
     803,     0,   804,     0,   804,     0,   804,     0,   804,     0,
       0,     0,   804,  1808,  1809,   786,     0,   810,     0,     0,
     817,   816,   815,     0,     0,     0,   818,  1394,  1234,     0,
    1072,  1089,     0,     0,     0,   980,   980,   980,  1085,   214,
     212,     0,     0,     0,     0,     0,     0,  1091,     0,     0,
       0,     0,  1792,  1794,  1795,  1695,  1762,     0,  2070,  2071,
    2072,  1753,     0,  2073,  2074,  2075,  1607,  1594,  1603,  1608,
    1595,  1597,  1604,  2076,  2077,  1884,  2078,  2079,  1802,  2080,
    2081,  2083,  2084,  2085,  2086,  1599,  1601,  2087,  2088,     0,
    1803,  2090,  2091,  1963,  2093,  2094,  2096,  2097,  1605,  2099,
    2100,  2101,  2102,  2103,  2104,  1801,     0,  1606,  2106,  2108,
    2109,  2110,  2111,  2112,  2113,  2114,  2115,     0,     0,  1776,
       0,  1580,     0,  1426,  1427,  1449,  1450,  1428,  1455,  1456,
    1468,  1429,     0,  1775,  1493,  1579,  1585,     0,  1578,  1574,
    1293,  1771,     0,  1575,  1791,  1793,  1754,   178,   224,     0,
     225,  1777,  2015,   168,   207,   180,   206,   181,   179,     0,
    1846,   169,     0,   176,     0,     0,     0,     0,   221,   219,
       0,  1080,     0,  1392,  1391,     0,     0,  1760,  1780,   729,
    1171,  1172,  1170,     0,  1167,  1169,  1181,  1178,  1767,  1766,
    1768,     0,  1286,     0,     0,     0,  1268,  1267,     3,  1184,
    1305,  1306,     0,     0,     0,     0,     0,     0,     0,     0,
    1348,  1321,  1322,  1324,  1345,  1349,     0,  1274,     0,     0,
    1396,     0,  1356,     0,     0,  1790,     0,     0,     0,     0,
     723,     0,     0,     0,     0,     0,     0,   117,  1137,   217,
    1135,     0,     0,     0,     0,     0,  1142,     0,   151,   152,
     519,   504,     0,     0,     0,     0,     0,   922,     0,     0,
       0,     0,     0,     0,   923,   921,   924,   931,   944,   947,
       0,   841,     0,     0,     0,  1011,     0,     0,  1011,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   237,   279,   484,     0,     0,   486,     0,     0,     0,
       0,     0,     0,     0,   122,     0,     0,     0,     0,   471,
     483,     0,     0,     0,     0,     0,   480,     0,   118,   235,
     465,   468,     0,     0,   581,   580,  1011,     0,   233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   298,   299,     0,     0,     0,   122,
     144,     0,     0,   236,     0,     0,  1099,  1096,  1097,     0,
    1102,     0,  1157,     0,     0,     0,     0,     0,   761,     0,
       0,  1848,  1899,     0,     0,     0,     0,     0,     0,   333,
     312,   313,   118,   311,     0,     0,   638,     0,  1813,  1437,
    1466,  1444,  1466,  1466,  1433,  1433,  1446,  1434,  1435,  1473,
       0,  1466,  1433,  1438,     0,  1436,  1476,  1476,  1461,     0,
    1418,  1419,  1420,  1421,  1447,  1448,  1422,  1453,  1454,  1423,
    1490,  1433,  1814,     0,     0,   648,     0,  1114,  1147,     0,
       0,   513,     0,  1913,     0,   120,   682,     0,   639,     0,
     120,     0,   156,     0,   576,     0,     0,     0,     0,     0,
       0,   600,   599,     0,     0,     0,   640,     0,   120,   467,
    1913,     0,   457,   413,     0,   864,   867,     0,     0,     0,
    1260,  1262,  1261,     0,  1259,     0,   284,   282,   283,   636,
     972,     0,     0,     0,     0,   284,     0,     0,  1913,     0,
    1913,     0,     0,   284,   284,     0,     0,     0,     0,   577,
       0,   719,   717,   716,   718,     0,     0,     0,     0,     0,
    1913,   284,     0,     0,   704,  1705,     0,     0,  1291,     0,
     196,   197,   195,  1202,   198,  1203,  1198,  1186,     0,   794,
       0,   798,     0,   789,     0,   795,     0,   790,   787,   788,
       0,   793,     0,     0,   414,   416,     0,     0,  1869,     0,
    1904,  1932,  1933,  2006,  2011,     0,  2033,     0,   819,   846,
     814,     0,     0,  1244,  1073,  1711,     0,  1291,     0,   979,
     976,   975,   974,   213,   186,     0,     0,     0,   848,  2005,
    1088,   771,   504,     0,  1576,     0,  1583,  1584,  1465,  1452,
    1752,     0,     0,  1460,  1459,     0,     0,     0,     0,  1442,
    1441,  1440,  1582,  1719,     0,  1439,     0,     0,     0,     0,
    1466,  1466,  1464,  1513,     0,  1443,     0,     0,  1732,     0,
    1738,     0,     0,     0,  1472,     0,  1470,     0,     0,  1549,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,  1498,
    1580,  1705,     0,  1581,  1798,     0,     0,  1458,     0,  1490,
    1774,  1695,     0,     0,     0,     0,  1765,     0,  1703,     0,
       0,  1527,  1701,     0,  1529,     0,     0,     0,  1694,  1692,
    1693,  1686,  1687,  1688,  1689,  1690,  1691,  1699,  1510,     0,
       0,  1509,     0,     0,  1358,     0,  1796,  1755,   226,   227,
     223,     0,     0,   183,   182,     0,   200,   204,   205,   175,
     203,     0,   199,  1647,  1646,   184,   174,   172,   170,   187,
     189,   190,   173,   171,   220,     0,     0,  1816,  2138,  2139,
    2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,
    2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,
    2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
    2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,
    2200,  2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,
    2210,  2211,  2212,  2213,  1757,  1756,  1786,  1817,  1818,  1819,
    1820,  1761,     0,     0,   284,  1165,     0,  1162,  1770,     0,
    1288,     0,     0,  1174,  1284,  1283,  1314,  1315,   882,  1282,
    1339,  1340,  1335,     0,  1354,  1354,  1331,  1325,  1330,  1328,
       0,  1332,  1493,  1347,  1272,  1319,  1320,  1323,  1271,     0,
    1350,  1348,  1324,  1231,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   724,     0,     0,     0,
       0,     0,     0,  2033,   216,  1133,     0,     0,     0,     0,
     850,   849,     0,     0,   869,     0,     0,     0,  1145,   404,
       0,   281,     0,     0,     0,     0,     0,     0,   517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   551,  1011,     0,   589,     0,
     929,     0,     0,     0,     0,   930,   927,   928,  2006,   946,
     945,   943,   904,   906,   905,     0,   908,   892,     0,   893,
       0,     0,   903,   911,   909,     0,     0,     0,  1892,   239,
     251,     0,  1010,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   271,     0,   274,   273,     0,     0,     0,
       0,   278,     0,     0,     0,   277,     0,     0,   485,     0,
       0,     0,     0,     0,     0,     0,   959,     0,     0,   139,
     142,     0,     0,   470,   482,     0,   474,   475,   472,   476,
     477,     0,     0,     0,     0,     0,     0,   469,     0,   574,
     573,   579,     0,     0,     0,     0,     0,  1003,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   591,   592,     0,   593,     0,   143,     0,
       0,     0,     0,     0,     0,   194,  1095,  1101,  1160,  1787,
    1159,     0,     0,     0,   763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   317,  1813,     0,   663,   637,     0,  1418,     0,  1414,
    1410,  1479,  1480,  1481,  1478,  1491,  1477,     0,  1424,  1482,
    1433,  1430,   649,     0,   651,   654,     0,  1112,   377,     0,
     510,   551,     0,     0,     0,   149,     0,     0,     0,   116,
     160,   360,     0,   159,   161,   163,   164,   165,   162,   166,
     571,   575,     0,   506,     0,     0,     0,     0,     0,   601,
     605,   604,   608,   606,     0,   602,     0,  1406,     0,   138,
     464,   466,     0,     0,     0,   362,   444,     0,     0,     0,
     866,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
     950,     0,  1140,  1913,   284,     0,   948,   154,  1782,     0,
       0,     0,     0,     0,   952,   701,   146,     0,   284,   284,
     509,     0,   284,   148,     0,     0,     0,   501,   284,   721,
    1214,     0,   457,  1188,  1197,   791,   800,   799,   797,   796,
     792,     0,   811,     0,   412,     0,     0,     0,   825,     0,
       0,   824,   839,   826,     0,   828,   821,   820,   829,     0,
       0,   848,     0,  1241,     0,  1239,     0,  1395,  1243,  1232,
    1206,     0,  1205,  1209,  1211,  1210,  1208,     0,     0,     0,
     808,     0,     0,   284,  1087,     0,   773,   778,     0,     0,
       0,   775,   776,   777,   779,   780,     0,     0,     0,  1763,
    1715,     0,  1716,     0,     0,     0,  1751,  1747,     0,     0,
       0,     0,     0,  1720,  1723,  1724,  1725,  1722,  1726,  1721,
       0,     0,  1727,     0,     0,     0,     0,     0,  1463,  1462,
       0,     0,     0,     0,     0,     0,     0,  1552,  1585,     0,
       0,  1679,     0,  1705,  1737,     0,     0,  1474,     0,     0,
       0,     0,     0,     0,     0,  1705,  1743,     0,     0,     0,
       0,  1645,     0,  1642,     0,     0,     0,     0,  1762,     0,
       0,     0,     0,  1799,  1494,  1511,  1773,     0,  1764,     0,
       0,  1495,  1518,     0,  1744,  1545,     0,  1550,  1533,     0,
    1526,     0,  1531,  1535,  1514,  1765,  1704,     0,  1702,     0,
       0,  1512,     0,  1507,  1505,  1506,  1499,  1500,  1501,  1502,
    1503,  1504,  1508,  1683,  1681,  1682,     0,     0,     0,  1530,
    1906,  1940,     0,  1304,  1304,  1304,  1292,  1302,  1772,     0,
    1401,     0,     0,     0,     0,  1662,     0,  1709,     0,  1707,
    1789,  1778,     0,     0,  1490,     0,  1393,  1758,     0,   727,
     728,   726,  1184,  1168,  1164,  1163,  1769,  1183,  1291,     0,
     880,   881,     0,   885,     0,     0,  1333,  1346,     0,  1244,
    1244,     0,  1337,  1338,  1329,  1276,  1275,     0,  1404,     0,
       0,  1228,  1221,  1398,     0,  1358,  1246,  1248,  1249,     0,
    1762,   661,   660,     0,     0,     0,  1033,   982,  1015,   725,
    1034,   983,  1016,  1035,   984,  1134,     0,  1136,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   626,   284,  1143,  1036,   280,  1144,  1017,  1018,
       0,   518,     0,     0,   523,   524,   525,     0,     0,   526,
    1848,  1899,     0,   531,   537,   541,   532,     0,   542,   538,
       0,     0,     0,     0,     0,   548,   555,     0,     0,     0,
       0,     0,   925,   926,  1037,   985,     0,  1019,   907,  1433,
     891,     0,     0,   902,     0,   901,  1433,  1433,   986,   150,
     240,   377,  1013,   257,   270,   265,   266,   264,  1913,   284,
    1913,   284,     0,     0,     0,     0,   267,   262,   263,   259,
     272,  1825,  1885,  2016,     0,   561,   563,     0,   568,   275,
     994,     0,   292,   295,   276,   255,   258,   256,   252,   238,
       0,     0,  1785,     0,     0,   954,     0,     0,     0,   141,
     999,   131,     0,     0,   127,     0,     0,     0,     0,   121,
    1043,   990,   473,   478,   992,   481,  1028,   479,  1049,   991,
       0,  1023,  1045,  1001,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1149,     0,     0,     0,     0,     0,   284,
       0,   670,  1013,  1913,   284,  1044,     0,  1008,  1031,     0,
     300,     0,  1000,   993,  1029,     0,     0,   192,   191,   193,
       0,     0,     0,     0,     0,     0,     0,     0,   765,   736,
     764,     0,     0,     0,     0,     0,     0,     0,   730,   332,
     309,   310,     0,     0,   308,   314,     0,   662,     0,     0,
    1415,  1411,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1431,   650,     0,     0,     0,     0,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1113,  1141,   118,     0,     0,     0,
     512,   550,   557,     0,   585,   588,     0,   586,     0,     0,
       0,     0,     0,   132,   119,     0,   690,   413,   155,     0,
       0,     0,   505,   647,   645,   644,   646,     0,     0,     0,
     667,     0,  1405,  1407,     0,     0,     0,   463,   364,     0,
       0,   361,   365,   369,   370,   371,     0,   458,   460,     0,
       0,   448,     0,     0,     0,   896,     0,   914,   897,     0,
       0,     0,   934,   939,   935,   917,     0,   489,  1263,  1264,
       0,   284,     0,     0,   552,   284,     0,   284,     0,   284,
     284,     0,  1070,   578,     0,   633,     0,     0,   284,   703,
    1706,     0,   812,   415,     0,     0,     0,     0,   823,     0,
     487,   827,     0,   838,   833,   835,     0,   842,  1242,  1235,
    1237,  1236,     0,     0,  1233,  1712,   702,     0,     0,   284,
       0,   843,     0,   774,     0,     0,     0,     0,  1309,  1713,
    1714,     0,     0,     0,     0,  1748,     0,     0,  1620,  1596,
    1598,  1432,  1610,     0,  1445,  1621,  1622,  1600,  1602,     0,
    1696,     0,     0,  1611,  1554,  1555,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1567,
    1566,  1612,  1678,     0,     0,  1735,  1736,  1613,  1475,  1476,
    1476,     0,     0,  1742,     0,     0,     0,  1618,  1623,     0,
       0,     0,     0,  1629,     0,  1650,     0,     0,     0,  1577,
    1706,  1467,  1468,     0,     0,     0,     0,     0,     0,     0,
       0,  1551,  1534,  1528,     0,  1532,  1536,     0,     0,     0,
       0,  1520,  1546,  1516,     0,     0,  1522,     0,  1547,  1304,
    1304,  1304,  1304,  1301,     0,     0,     0,     0,  1368,  1357,
    1359,  1370,  1361,  1363,  1399,     0,  1779,     0,  1342,  1313,
    1313,     0,  1662,     0,  1586,     0,  1662,     0,     0,   177,
       0,   201,   188,     0,  1166,     0,  1316,     0,  1697,   885,
     883,   884,  1318,     0,     0,  1353,  1352,  1351,  1326,  1230,
       0,  1228,  1223,     0,  1224,  1762,     0,  1220,  1253,     0,
       0,  1404,     0,  1252,  1032,   981,  1014,  1132,   853,   854,
       0,   852,     0,     0,     0,   403,   868,     0,     0,     0,
     626,     0,     0,   407,  1146,   520,   521,     0,     0,   539,
       0,     0,   528,     0,     0,     0,     0,   527,   544,   493,
     545,   547,     0,   546,   549,   554,   995,     0,  1030,   919,
       0,  1433,   894,   899,   900,     0,   374,     0,     0,     0,
     241,     0,     0,   254,     0,   249,   268,   260,   269,   261,
     565,   566,   564,   560,     0,   567,   569,   289,     0,     0,
       0,  1039,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1040,  1020,     0,     0,   124,   123,     0,
     130,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   301,   286,     0,
       0,     0,     0,     0,   303,     0,     0,  1038,   987,   731,
       0,     0,   732,   740,     0,     0,   733,     0,     0,     0,
       0,     0,     0,   742,   335,     0,   338,   345,   318,   322,
    1148,     0,  1148,     0,   323,  1148,   319,  1148,   316,  1963,
    1686,  1687,   658,   665,   655,   657,   659,   656,     0,   664,
     626,     0,     0,     0,  1416,     0,  1484,  1485,  1486,  1487,
    1488,  1489,     0,  1483,  1490,   652,   653,     0,  1132,  1131,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   389,     0,     0,   383,     0,     0,   939,   376,   379,
     380,   513,   516,   514,   515,     0,   543,     0,   584,     0,
     557,   134,     0,     0,   135,   133,     0,     0,   360,     0,
       0,   607,   610,   603,     0,   666,   668,   642,     0,   557,
       0,  1215,     0,   454,     0,   444,   396,   440,     0,   456,
       0,   442,   441,   443,     0,   450,  1110,     0,   869,   895,
       0,     0,     0,   932,   936,   933,     0,     0,   910,     0,
     918,   888,  1065,  1066,  1063,  1064,     0,     0,  1255,   951,
       0,   284,   949,     0,   697,     0,   699,   953,   284,   284,
     594,     0,   502,   460,     0,     0,     0,   822,   840,     0,
     836,     0,     0,   805,   845,  1240,  1238,   848,     0,   806,
     847,     0,     0,     0,     0,     0,  1717,  1451,     0,  1750,
    1746,     0,  1718,     0,  1730,  1729,  1553,  1731,     0,  1572,
       0,     0,  1564,  1562,  1563,  1556,  1557,  1558,  1559,  1560,
    1561,  1565,  1740,  1739,  1733,  1734,  1471,  1469,     0,  1615,
    1616,  1617,  1741,  1624,     0,  1839,  1651,  1628,  1644,  1643,
       0,     0,     0,  1631,     0,     0,  1640,     0,  1680,  1457,
    1490,  1496,     0,     0,  1519,  1745,  1537,     0,     0,     0,
    1515,     0,     0,     0,     0,  1524,  1696,     0,     0,     0,
       0,     0,     0,  1295,  1294,  1300,  1278,     0,  1370,     0,
    1369,  1381,     0,     0,  1387,  1385,     0,  1387,     0,  1387,
       0,  1362,     0,  1364,  1381,     0,  1780,  1400,     0,  1344,
       0,     0,  1312,     0,  1662,  1593,  1665,  1660,  1661,  1710,
    1587,  1797,     0,  1708,  1662,     0,  1759,  1289,     0,  1317,
    1334,  1327,  1865,  1402,  1229,     0,     0,  1226,  1227,     0,
       0,  1247,  1228,  1250,     0,   859,   860,   858,     0,     0,
       0,   626,     0,     0,   421,     0,   876,   876,     0,     0,
     409,   453,   939,   629,     0,     0,   627,     0,   540,     0,
       0,   536,   534,   533,   535,   494,  1048,     0,   920,     0,
     912,     0,   246,  1012,     0,     0,     0,   245,     0,   284,
     284,   562,   293,   294,   297,     0,     0,     0,     0,     0,
       0,   691,   674,     0,     0,   692,   693,     0,     0,     0,
     956,   957,   955,   128,   125,   126,   129,   996,     0,     0,
       0,     0,     0,  1047,  1007,  1027,  1046,  1005,  1025,  1004,
    1024,  1006,  1026,   998,     0,  1409,   672,   671,     0,   284,
     284,   596,     0,   734,     0,     0,   735,   746,   744,   743,
     745,   737,   336,   118,     0,   315,     0,   343,     0,   341,
     340,   342,     0,   329,     0,     0,     0,     0,     0,   635,
       0,     0,     0,  1412,  1417,  1492,  1425,   625,     0,  1123,
    1122,  1121,  1125,  1124,  1127,  1126,  1118,  1117,  1130,  1129,
    1116,  1115,  1120,  1119,     0,   381,     0,   387,   391,   392,
     390,   382,   939,   413,   452,   511,     0,     0,   587,   582,
     137,   136,     0,     0,     0,     0,   612,   616,   643,     0,
    1408,   590,     0,   362,  1213,   461,     0,     0,   367,   372,
     373,     0,   448,   393,     0,   444,   366,   459,     0,     0,
     455,     0,  1105,     0,     0,   898,   915,   916,     0,     0,
     939,   938,     0,   496,   284,   553,   284,   284,  1071,   634,
       0,   832,   831,   830,   488,     0,   834,   284,     0,     0,
       0,     0,     0,   782,   766,   781,  1749,  1609,  1619,  1728,
       0,     0,  1573,     0,     0,  1614,  2107,     0,     0,     0,
       0,  1648,  1649,  1630,     0,  1954,  1635,     0,     0,     0,
    1800,  1543,  1541,  1538,     0,  1539,     0,     0,  1521,  1517,
       0,  1523,  1548,  1299,  1298,  1297,  1296,  1372,  1379,     0,
    1360,     0,  1386,  1382,     0,  1383,     0,     0,  1384,     0,
       0,  1379,     0,     0,     0,     0,  1656,  1662,  1662,  1588,
    1667,  1664,     0,  1590,  1490,     0,     0,  1222,  1225,     0,
    1254,  1245,  1138,     0,     0,     0,   405,     0,   939,     0,
       0,     0,   879,   879,     0,   939,   452,   631,   630,   628,
     632,     0,   529,   530,   997,   913,   242,   243,   244,   247,
     286,   253,   248,     0,  1041,   988,  1021,     0,     0,   680,
       0,     0,     0,     0,  1042,   989,  1022,     0,     0,     0,
    1154,     0,   285,   286,   302,  1009,     0,   738,   739,   317,
       0,   339,   348,     0,   346,   320,   325,     0,   327,   326,
     321,   324,  1413,     0,   970,   970,     0,   626,  1128,     0,
       0,   378,   452,   420,     0,   384,     0,   558,     0,     0,
    1110,   362,   557,   611,     0,     0,     0,   669,   364,     0,
     462,   363,     0,     0,   450,     0,     0,     0,   448,     0,
     445,     0,   449,     0,     0,     0,     0,     0,   937,     0,
     941,     0,   909,   886,  1401,     0,   500,   971,   698,   700,
     595,   837,   844,   284,   767,   768,   769,   770,  1568,     0,
       0,     0,     0,  1625,     0,  1626,  1653,  1652,  1632,  1636,
       0,  1633,  1634,  1540,  1544,  1542,  1525,  1371,     0,     0,
    1373,     0,     0,  1375,  1377,     0,     0,     0,     0,     0,
    1783,  1662,  1341,  1343,     0,  1279,  1591,  1592,     0,  1313,
    1662,   202,  1698,  1403,  1251,   838,     0,   284,   876,   452,
     422,  1963,   423,   875,     0,   877,   882,   882,     0,   452,
     626,   522,   288,   296,     0,     0,   687,   675,     0,     0,
     694,     0,     0,     0,     0,     0,   284,   741,   307,   334,
     344,     0,   328,   970,     0,   967,   966,   624,     0,   386,
     385,     0,   431,     0,   556,     0,   557,   684,  1106,   570,
     613,   614,   609,     0,     0,   444,   440,   368,   377,   351,
     402,   401,   398,   397,   399,   400,   395,   394,     0,   450,
     446,   447,     0,  1107,     0,  1156,     0,   870,   940,     0,
       0,     0,   495,     0,     0,   499,   490,   807,  1569,     0,
    1570,     0,     0,     0,  1638,  1637,     0,  1380,  1389,     0,
    1376,  1374,  1365,     0,  1367,  1655,  1657,     0,     0,  1670,
    1589,   855,     0,   856,   879,   426,     0,   878,   885,   885,
     413,   626,   406,     0,   250,     0,   678,     0,   689,   687,
       0,     0,  1150,     0,  1151,  1152,  1155,   304,   347,   965,
     969,   968,     0,   417,   418,   419,     0,   388,   427,   428,
       0,   559,   583,     0,     0,     0,     0,   448,   444,   375,
     439,   349,  1108,  1109,   291,     0,   939,   942,  1069,   498,
     497,  1571,  1641,  1627,  1654,  1639,  1378,     0,  1366,     0,
       0,  1666,     0,     0,     0,     0,   882,     0,   626,     0,
     873,   872,   420,   408,   287,     0,     0,   685,   688,   676,
     689,   696,   695,     0,     0,     0,     0,     0,   429,     0,
     430,   451,   683,     0,   615,     0,   450,   448,     0,   450,
     871,   887,  1068,  1067,  1291,  1388,  1658,  1659,  2069,  1865,
    2043,     0,  1668,  1671,  1669,  1663,   284,   885,     0,   410,
     424,   431,     0,     0,   677,  1153,   616,   436,     0,   435,
       0,   433,   432,   673,   619,   352,   450,   290,  1401,  1051,
    1291,  1050,  1052,  1060,  1057,  1059,  1058,  1056,     0,  1675,
    1674,  1673,  1677,  1676,   857,   874,     0,   626,   679,   686,
       0,   434,   438,   437,   621,     0,   617,   620,   622,   623,
     350,   861,     0,  1061,  1055,  1278,  1265,     0,   425,   411,
       0,   597,     0,  1053,  1291,  1672,     0,   618,  1054,     0,
     619,     0,   598
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    48,    49,    50,    51,  1158,  2015,  1899,  2633,  2634,
      52,    53,  1225,    54,    55,    56,    57,    58,    59,    60,
    1171,    61,    62,   845,  1362,  2023,    63,  1784,   667,  1628,
    1629,  1956,  1630,  1619,  1075,  1444,  1159,  1187,    65,    66,
    1069,  1610,    67,    68,    69,  1210,  1211,  1166,  1399,  3455,
    3984,  1885,  4079,  2481,  2482,    70,  1264,  1265,    71,    72,
    2582,  1302,  2584,  2585,  3068,   507,  1980,  3473,  3474,  3055,
    3056,  3480,  3733,  3734,    73,  1359,  2660,  3155,  2661,  3547,
    2662,  3548,  2663,  3549,  2615,  3118,  3119,  3120,  2664,  3553,
    3926,  2665,  1799,   940,  1463,  1464,  3902,  3373,  3374,  4048,
    4007,  4008,  4009,  4111,  3555,  2671,  3165,  3560,  3755,  2392,
     586,  1381,  2056,  2666,  2667,  3153,    75,    76,  2050,  1240,
    1241,  1905,  3072,  2721,    77,   862,  2948,  3796,  3945,  3946,
      78,   197,    79,  1366,    80,    81,  2010,  2620,    82,  1808,
    2401,    83,    84,  2425,  2426,  2427,    85,    86,  3126,  3756,
    1212,  2474,  2475,  2476,  2477,  2985,    87,  1364,  1245,  2032,
      88,    89,    90,  2014,  2626,  2627,    91,    92,  1945,    93,
      94,    95,  1374,  2044,  2045,  3537,  3764,  3912,  3766,  4145,
    4146,  3747,  2933,  3386,    96,    97,    98,    99,  1345,  2003,
    2004,  3073,  1144,  1306,  1983,  1984,  3144,  3145,   100,   101,
    3421,  3422,   537,  4014,  3988,  4059,   102,   103,  3425,  3426,
     104,   105,   106,   107,   108,   580,   905,   906,  1150,   109,
    1724,   110,   820,  2569,   111,   970,  2167,  3594,   112,   609,
     920,   921,   113,   114,   618,  2150,   620,  1477,  2723,  2724,
    3213,  2121,   749,   115,   116,  2131,  2153,   117,  1161,  1790,
    1791,  3368,   118,   538,  1386,  2059,  2387,  3936,  3375,  3682,
    3866,  2333,  2892,   119,   539,  1191,  1848,  2062,  2676,  2677,
    1850,  2306,  3177,  1852,  2678,  2683,  2684,  2685,  3173,  3181,
    3790,  3791,   120,  1189,  1841,   121,   122,   123,  1220,   767,
     124,   550,   551,   125,  3895,   126,   874,   127,   636,  1490,
     128,  1863,  2971,   129,   130,   131,  4121,  4152,  4153,  4154,
    3186,  4084,   132,  4123,   950,   134,   135,   136,   171,   788,
     789,   790,   137,  3562,   138,   139,  2007,  2614,  3100,   140,
     141,  1785,  2377,   142,   143,   144,  1349,   145,   146,   147,
     148,  1282,   149,  1103,  1104,   150,   151,   502,   683,  1107,
    1115,   152,   588,   914,   915,   916,  1446,   153,   953,  2142,
     589,   908,   155,   590,  2351,  2903,  2904,  2907,   591,  2348,
     158,  1483,  2136,  2139,   592,  2355,  2356,  2357,  2358,  2359,
    2909,   593,   611,   865,  2067,   594,  1041,   163,   164,   165,
     692,   687,   688,   167,  1604,  2296,   626,  1122,   655,   700,
    3332,  1736,  1737,  1757,  1758,  1131,  1132,  1747,  1749,  2335,
    1750,  2344,  1742,  3329,  3656,  1753,  1754,  1134,  1135,  2339,
     168,  2300,  2859,  2860,  2861,  3310,  3320,  3643,  3833,  2862,
     948,  1141,  2863,  2868,  2901,  2651,  2652,  2653,  1853,  1990,
    1330,  1042,  1331,  2001,  1043,  1525,  1333,  1044,  1045,  1046,
    1336,  1047,  1048,  1049,  1050,  1509,  1567,  1051,  1052,  1544,
    1998,  1999,  1435,  2206,  1054,  1055,  3276,  3618,  3607,  2232,
    2233,  1625,  3272,  2811,  3845,  3965,  3966,  3340,  3337,  3660,
    3849,  4044,  4092,  4093,  1056,  2286,  1597,   769,  1057,  3075,
    1599,  2226,  2308,  2309,  1769,  1507,  2173,  2190,  2191,  2203,
    2772,  2210,  2215,  2795,  2796,  2227,  2255,  1058,  2176,  2177,
    2756,  1511,  1059,  1097,  1098,  1504,  2250,  1110,  1111,   685,
    1060,  1061,  1478,   676,  3829,   883,   740,  2491,  1715,   792,
     623,  1062,  1063,  1064,  1065,  2725,  1216,   498,   734,  2478,
     499,   500,   736,  1720
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3738
static const int yypact[] =
{
    7043,   930,  7689, -3738, -3738,   930, -3738, 44519,    37,   587,
    1035,   114,  6320, 44923, 51791,   392,   281, 10341,   930, 51791,
    1888, 35631, 40479, 51791,   910,   687, 35631, 51791, 52195,   827,
     705, 52599, 45327, 39267,  1082, 51791,   907,   806, 53003, 45731,
     798, 46135,   687, 32823,   289,   588, 53407,  1403,  1135,   812,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738,    37, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,   198, -3738,   123,   292,  1365,   620,   878, -3738,
   -3738, -3738, 37247, 51791, 51791, 51791,  1100, 51791, 51791,   151,
   37247, 51791, 51791,  1156, 29511, -3738, 51791, 51791, 51791, 51791,
   46135, 51791,  1098, 51791, 51791, 53811, 51791,  1222,  1192, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, 51791,  2899,   910, -3738, -3738, 51791,  1101, 37247,
   51791,  1058, 51791,  1140, 51791, -3738, 51791, 54215,   160,  1264,
   51791,  1457, 29928,  1257, 51791, 51791, 51791, 51791, -3738, -3738,
    1311, 51791, 51791, -3738, -3738, 54619,  1125,  1543,  1479,   823,
   -3738, 46539, -3738, -3738, -3738, -3738, -3738, -3738, -3738, 46943,
     281, -3738, -3738, 37651, 51791,  1516, -3738, -3738, 55023, -3738,
   -3738,   334, 38055, 55427, -3738, 30345,  1637, 55831, 56235, -3738,
   -3738, 56639, -3738, 57043,  1384, 57447, -3738, 57851, -3738,  1501,
   58255, -3738,  1297,   942,  1395, 26634, -3738,    37, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738,   288,  1444,   182,   165,
     188, -3738, -3738,   186,   213,   222,   288,  1717,  1717, -3738,
   51791, -3738, -3738,  1444,    16,  1307,  1307,  1307,  1500,   441,
   -3738,  1307, -3738, -3738, -3738, -3738, 46135, -3738,  1331,   910,
    1350,  1733, 51791, -3738, 51791, -3738, 51791, 51791, -3738, -3738,
    1755,  1419,  1653,  1424, -3738,  1608,  1612,  1621,    76,   910,
    1532, -3738,  1747, -3738,  1696, 17466,   910, 47347, 58659,   167,
   46943,   910, 47751,  1507,  1192,  1758, -3738,   554, -3738,  1884,
    1542,  1825,  1424,  1192, 27454, -3738,  1611,   816, 46135, -3738,
   -3738, -3738,   191,  1897, 17887, -3738, 51791,  1610, -3738,  1666,
    1633,  1638,  1365, -3738,  7043, 51791,   815,   815,  2036,   815,
    1322,  1461, -3738,  2579, -3738,  1943,  1915, 46135,   588,   190,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,  1689,   816, -3738,   206, -3738,  1346,  1692,  1473,
    1177, -3738, -3738,   764,  1815,   176,     9,  1759, 46135,  1609,
    1716,   291, -3738,  3084,   319, -3738, 51791, 51791, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738,  1741, -3738, -3738,
    1730,    92,   107,  6135,   958,  4803,  1278,   800,  1958,   740,
    2059,    52,  4841, 51791, -3738,  2004,  2105,    83, -3738,   694,
   -3738,  1875,  1986,   790, 37247,  1839, -3738, -3738, 51791, -3738,
   -3738, -3738, -3738,   381, 37247, -3738,  2015, 30762, -3738, 51791,
   -3738, -3738, -3738, -3738, -3738,  1960, 51791, -3738, -3738,  2069,
   51791, -3738,  1307,   194,  1850,  2214, 65887,    87, 51791,  1889,
    2252,  2058,  1889,  1898, 59063, -3738, -3738,  1889, -3738, -3738,
   51791, 51791,  1887,   921,  1889,  2265,  2276,  1959,  2062,   839,
     760,   139,  2176,  1889, 51791, 59467, 51791, 51791,  2249, 37247,
   51791, -3738,  2048, -3738, -3738,   754, -3738, -3738, -3738, -3738,
    2190,  1689,   260,  2191,  1903,  2193, -3738,  1942, -3738,  2201,
    1716,  2203,  1912, -3738, 59871, 60275,  2207,  1741, 51791,  2209,
    1912,  2210,  2100,  2212,   260,  2217, -3738,   936,  2222,  2112,
    2225,  1450,  1912, 48155,  2226,   130, -3738, 19571, -3738,  2021,
   -3738,   588, -3738, -3738,  1056, -3738, 35227, -3738,  1395,  1444,
   -3738, 51791,  1444, 51791,  1444, 51791,  1444, 51791,  1444, 51791,
   51791, 51791,  1444, -3738, -3738, -3738, 51791,  1939, 51791, 51791,
   -3738, -3738, -3738, 41287, 51791, 41691, -3738, -3738,   237,   910,
   -3738, -3738, 65887,  2333, 51791,  2221,  2221,  2221, -3738, -3738,
   -3738,  2165, 51791,  2227,  2229, 41287, 51791, -3738, 60679, 46943,
    2130,  1953, -3738, -3738, -3738, -3738, -3738,  1513,  2373,   215,
    2374, 19571,  1967,   226,   226,  1969, -3738, -3738, -3738,   211,
    1971,  1972, -3738,   207,   207,  2125,  1973,  1974, -3738,   223,
    1975,  2394,  2398,   230,  1981,  1982,  1983,  1680,   226, 19571,
   -3738,  1985,   207,  1987,  1988,  1989,  2409,  1992, -3738,  2411,
    1994,   282,   297,  1995,  1996, -3738,  1973, -3738,   196,  1999,
    2005,  2007,  2010,  2012,  2013,  2014,  2018, 19571, 19571, -3738,
   16624,   816,   910, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
     113, -3738,   233,  4475, -3738, -3738,  2183, 19571, -3738, -3738,
      53, -3738,   246, -3738, -3738, -3738,   816, -3738, -3738,   724,
    2025, -3738,  1551, -3738, -3738, -3738, -3738, -3738, -3738, 42499,
    2423, -3738,   263,   694,  1398,  2369, 34419, 34823, -3738, -3738,
    2253, -3738, 51791, -3738, -3738, 19571, 32419, -3738,   816,   108,
   -3738, -3738, -3738,  1324, -3738, -3738, -3738,    37, -3738, 12576,
   -3738,  1407,  1610, 51791, 51791,  2426, -3738, -3738, -3738,  1666,
   -3738, -3738,  1365,  1365, 19571,  1365,   711,    40, 18308, 19571,
    2314,  2218,   243,  1113,  2317, -3738,  1322,  1461, 46135, 51791,
   61083,  2145, -3738, 33631,  1486,   816,  2116,  2117,  2164, 36439,
    2047,  2124,  2126,  2171,  2128,  2129, 61487, -3738, -3738, -3738,
   -3738,  1010,   200,  1238,  2131,   158, -3738,  2174, -3738, -3738,
   -3738,  3985, 51791,  5354,  2237,   319,  2173, -3738,  2134,  2138,
    2257,   319,   241, 61891, -3738, -3738, -3738, -3738, -3738,  2479,
   15417, -3738,  2139,  2132, 38459,  2427,  2254,   789,  1597,   216,
   51791,  2319,  2259, 51791,  2075,  2151,  2153,  2082,  1193,  2428,
    2083, -3738, -3738, -3738,  1618,  2250, -3738,  2141,  2142, 65101,
    1141, 31179,  2417,  2166, -3738,  1267,  2167,  2169,   319, -3738,
    2472,   319,   319,  1321,  2477,  2181,   335,  1318,  1889,  2083,
    2490, -3738,  2185,   749, -3738,  2288,   177,  1380,  2083,  2188,
    2192,  2082,  2082, 51791, 51791, 51791, 51791, 51791,   148,  2504,
    2506,  2194,   171,  2239,  2119, -3738, 42903,  2198, 58659, -3738,
   -3738,  2199,  1527,  2083,  1214,  1237, -3738, -3738, -3738,  1192,
   -3738, 51791, -3738, 51791,  1689, 65887,  2305,  2170, -3738,  1716,
     319, 51791, 51791,  1741,   922,   992,  2311, 51791,  2368,  2177,
   -3738, -3738,  1889, -3738, 34025,  1887, -3738,  2144, -3738, -3738,
    2189, -3738,  2189,  2189,  2147,  2147,  2155, -3738, -3738, -3738,
    1680,  2189,  2147, -3738, 66673, -3738,  1265,  1287, -3738,  2543,
    2551, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
      95,  1564, -3738, 51791, 36439, -3738,  2562, -3738, -3738, 65887,
    2449, -3738, 51791,  2355,  2168, -3738,  2484,  2219, -3738,  2206,
   -3738, 51791,   741,   910,  2223, 51791,  2379, 51791, 51791, 51791,
   51791, -3738, -3738,  2363,   782,    79, -3738, 42903, -3738,  2490,
    2375,  2576,    39,  1307,  2464, -3738, 51791,  2202,  2581,  2416,
   -3738,  1520, -3738,  2307, -3738, 37247,   260, -3738, -3738, -3738,
   -3738, 65887, 51791, 62295, 37247,   260, 51791, 51791,  2481,  2246,
    2487,  2251, 31179,   260,   163, 51791, 51791, 51791, 51791, -3738,
   51791, -3738, -3738, -3738, -3738, 51791, 51791, 51791, 42903,  2492,
    2493,   260, 51791, 51791, -3738, 12576,  1408, 51791,  1395, 42095,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, 51791, -3738,
   51791, -3738, 51791, -3738, 51791, -3738, 51791, -3738, -3738, -3738,
   51791, -3738, 51791,  1431, -3738, -3738,  1446,   719, 51791,   657,
   37247, 51791,  2384, 51791, 51791, 51791, 51791,  2280,  2025,   905,
   -3738,   173, 46135,  2396, -3738, -3738,  1448,  1403,   871, -3738,
   -3738, -3738, -3738, -3738, -3738, 41691, 40479,  2482,    74, 51791,
   -3738, -3738,  2405, 19571,   816, 17045, -3738, -3738, -3738,  2220,
   12576,  2248, 19571, -3738, -3738, 19571,  1717,  1717, 19571, -3738,
   -3738, -3738, -3738,   224,  1717, -3738, 19571, 19571,  1717,  1717,
    2189,  2189, -3738,  2853, 19571, -3738, 31179, 19571, 22097, 14182,
   19571,  2287,  2230,  1717, -3738,  1717, -3738, 19571, 16203, -3738,
   19571,  2419, 22933, 19571,  1398,  2422, 19571,  1398,  2629,  2629,
    2377,  5214,  2228,   816, -3738,  2328,  1717, -3738,  1717,   659,
   -3738,   235, 65887, 19571, 36439,  2300,   155, 51791, 19571,  2231,
    1243, -3738, 19571,   732, -3738,  2233, 19571,  2299, 19571, 19571,
   19571, 19571, 19571, 19571, 19571, 19571, 19571, -3738, 23753,   279,
     485,  1617, 48559, 17466,  2502, 13760, -3738,   245, -3738, -3738,
   -3738, 51791,  2423, -3738, -3738,  2301, -3738, -3738, -3738, -3738,
   -3738,   250, -3738, -3738, -3738, -3738, -3738, -3738,  2232, -3738,
   -3738, -3738, -3738,  2232, -3738,  2234,  3823, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,  2496,  2497,   260, 51791,   191, 43307, -3738, 17887,
   -3738,  1462,  2241, -3738,  2489, -3738,  2247, -3738,  9655,  2489,
   -3738, -3738,   265,  2431,  2437,  2437, -3738,  2256, 12576, -3738,
    1709, 12576,  1843, -3738, -3738, -3738, -3738, -3738, -3738,  1204,
   -3738,  2314,  1113,  2297,   660, 51791, -3738, 27864,  2260,  1463,
    2331,  2337,  2383, 51791, 51791, 51791, -3738, 36439, 51791, 51791,
   51791, 51791, 51791, 51791, -3738,  2617,    62, 40479,  2387, 39671,
   -3738, -3738,  2271, 51791,  2324,  2507,  2508,    20, -3738, -3738,
   51791, -3738,  2461, 51791, 19571,  2463, 51791, 51791,  2354, 37247,
    2282, 51791, 51791, 51791,   621, 37247, 31596, 51791, 51791, 51791,
   51791,  2402, 51791, 51791,  2515,  1011,   203,  1565,  2083,  2478,
   -3738,   681, 51791, 51791,  2470, -3738, -3738, -3738, 46943, -3738,
   -3738, -3738,  2471, -3738, -3738, 66673, -3738, -3738,  1464, -3738,
   66280, 63911, -3738, -3738,   386, 51791, 51791, 51791,   960, -3738,
   -3738, 65887, -3738, 51791, 51791, 51791, 43711, 62699, 63103,   979,
    1150, 51791, 44115, -3738, 51791, -3738, -3738, 36843, 51791, 51791,
   36439, -3738, 51791,  2483,   794, -3738, 51791,  5575, -3738,  2366,
   51791, 51791,  2295,  1472,  2376,  2424, -3738, 51791, 51791,   906,
   -3738, 51791, 51791, -3738, -3738,   319, -3738, -3738, -3738, -3738,
   -3738, 51791, 51791,   319, 51791,   319,  1320, -3738, 51791, -3738,
   -3738, -3738, 51791, 51791, 51791, 51791, 51791, -3738, -3738,  1012,
    1099,   867,  1030,  2436, 51791,   910, 51791, 63507, 51791, 51791,
   51791, 51791,  1373, -3738, -3738,  2418, -3738, 51791,   906, 51791,
   51791,  2382,  2388,   210,  2455, -3738, -3738, -3738, -3738, -3738,
   -3738,  2548,  2710, 51791, -3738,  2552,  2553,  2371,  2378,  2555,
     773, 51791, 51791, 51791, 51791, 51791, 51791,  2557,   773,  2510,
     119,  2338,  2352,  1476, -3738, -3738, 19571,  2733, 65887,  2346,
    2348,  2421,  2425,  2429, -3738,  2350,  2433,  1717, -3738, -3738,
    1574, -3738, -3738,  1484, -3738,  2367,   782,  1089, -3738, 51791,
     709,   704,  2644, 15006,  2466,  1559,  2640, 51791, 51791,  1559,
   -3738,  1674, 40479, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,  2643, -3738,   910,  1887,  1887,  1887,  1887, -3738,
   -3738, -3738, -3738,  2554,  1422, -3738,  2370, 51791,  2485,  1559,
   -3738,  2490,  2662,   717, 51791, 38863,  1563,  2768,   910,  2558,
   -3738, 15810,  3474,  2559, 46943,  2645,  2646,  2664, -3738,  1689,
   -3738,  2780, -3738,  2678,   260,  1716, -3738,  1912, -3738, 51791,
   51791, 51791, 51791,  1741, -3738, -3738,  1912,  2570,   260,   260,
   -3738,  2572,   260,  1912,  2505,  2674, 46943, -3738,   130, -3738,
   -3738, 19571,  2404, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738,  1496, -3738, 51791, -3738,  2651,  2655,  2656,  1912,  2439,
   51791,  2401, -3738,  1912,   319,  1912,  2025,  2025,  1912, 48963,
    2810,  2676,   649, -3738,   814,   573,  2613, -3738, -3738, -3738,
   -3738, 65887, -3738, -3738, -3738, -3738, -3738, 51791,   127,  2589,
    2413, 48963,  2793,   260, -3738, 37247, -3738, -3738,  2503, 37247,
    2602, -3738, -3738, -3738, -3738, -3738,  2647, 51791,  1504, -3738,
   -3738,  1253, -3738,  1363, 19571, 19571,   121, -3738, 10792,  1518,
    2432,  2434,  1522, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    2435,  2695, -3738,  2438,  1538,  1539,  2441,  2442, -3738, -3738,
    4339,  2444, 11052,  2445, 22097, 22097,  1031, -3738, -3738, 22097,
    2446, -3738,  1540, 10123,  2448,  2447,  2440, -3738,  2452,  2454,
   11323, 18729, 19571, 18729, 18729, 11523,  2448,  2456,  1556, 36439,
    2590, 11785,  1558, -3738, 19571, 36439,  4399, 19571, -3738, 19571,
   51791,  2460,  2462, -3738, -3738,  2853, -3738,  2467, -3738, 22097,
   22097, -3738,  3404, 16624, -3738, -3738,  2703, -3738, -3738,  1430,
   -3738,  2465, -3738, -3738,  4260,   205, 19571,  2231, 19571,  2522,
   31179,  3984, 19571,  2341,  3495,  3495,   438,   438,   252,   252,
     252,  1514,  1617, -3738, -3738, -3738,  2469,  1992, 19571, -3738,
    1699,  1707, 51791,  2213,  3417,  3540, -3738, -3738, -3738, 24994,
    2499, 19571, 19571, 19571,  2473,  2601,  2877, 12576,   628, -3738,
    2880, -3738,  1192,  1717,   659, 35227, -3738, -3738, 19571, -3738,
   -3738, -3738,  1666, -3738, -3738, -3738, -3738, -3738,  1403, 19571,
   -3738, -3738,   602,  1550, 19571,  1709, -3738, -3738, 51791,  2396,
    2396, 19571, -3738, -3738, -3738, -3738, -3738, 24994,  2512,  2519,
   27044,  2605, -3738, -3738, 51791,   129, -3738, -3738, -3738,  2494,
   -3738, -3738, -3738, 51791, 51791, 51791, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738,  2696, -3738, 51791, 51791,
    2660, 51791,  2658,  2663, 19571,   174, 51791,  2486,  2488,  1004,
    2737, 51791, -3738,   260, -3738, -3738, 12576, -3738, -3738, -3738,
   46943, -3738,  1689, 65887, -3738, -3738, -3738,  2520, 51791, -3738,
   51791, 51791,  1741, -3738, -3738, -3738, -3738,  1006, -3738, -3738,
   51791, 51791,   560,  2563, 51791, -3738,  1014,  2288, 51791, 51791,
   51791,  2734, -3738, -3738, -3738, -3738,  2680, -3738, -3738,  1564,
   -3738, 63911, 66280, -3738, 66280, -3738,  1564,  1364, -3738,  1912,
   -3738, -3738,  1000, -3738, -3738, -3738, -3738, -3738,  2783,   260,
    2784,   260, 51791, 51791, 51791, 51791, -3738, -3738, -3738, -3738,
   -3738, 36439, 36439, 36439,  1567, -3738, -3738,   910, -3738, -3738,
   -3738,  1568, -3738,   533, -3738, -3738, -3738, -3738, -3738, -3738,
   51791,  1489, -3738,   783, 65887, -3738, 65494, 51791, 51791, -3738,
   -3738, -3738,  2714,  2659, -3738,   810,  2665, 51791,  2561, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    2575, -3738, -3738, -3738,  2711,  2712,  2717,  2584,  2585,  2630,
    2587,  2588,  2633, -3738,  2593,  2638,  2595,  2641,  2596,   260,
   65887,  1577,  2631,  2814,   260, -3738,  2600, -3738, -3738,  2914,
   -3738, 51791, -3738, -3738, -3738, 51791, 51791, -3738, -3738, -3738,
     773, 65887,  2761,   773,   773, 51791, 51791,   773, -3738, -3738,
   -3738,  2763,  2765,  2766,  2767,  2770,  2771,   773, -3738, -3738,
   -3738, -3738,   194, 36439, -3738,  3054, 29094, -3738,  2960,  5320,
    2544,  2348,  2540,  1717,   193,   908,   143,  2661,  1717,  2747,
    2545, -3738, -3738, 36439, 29094,  1603,  2764,  2564,  2564,  2564,
    2564,  2564,  2564,  2564, -3738,  2081,  1889, 46943, 51791, 46943,
   -3738,   704,  2723, 51791, -3738, -3738,  1580, -3738, 51791, 51791,
     154, 51791,  1717, -3738, -3738,  2614, -3738,  1307,   741,  2686,
    1194,  2882, -3738, -3738, -3738, -3738, -3738, 51791, 51791,   782,
     910,  2565,  2556, -3738, 51791, 51791, 51791,  2592,  2567, 51791,
    2569,  2560, -3738, -3738, -3738, -3738,  1589, -3738, 65887,   503,
    2738,  2740,  1403,  2636, 51791, -3738,  1596,   102, -3738,   910,
   46943, 64304, -3738,  2403, -3738, -3738,   819,  2829, -3738, -3738,
    1403,   260, 65887, 51791, -3738,   260,  2620,   260,  2623,   260,
     260, 51791, -3738, -3738, 51791, -3738, 51791, 42903,   260, -3738,
   12576, 51791, -3738, -3738,  2689,  2692,  2693, 51791,  1912, 37247,
   -3738,  2574, 51791,   963, -3738, -3738,  2755, -3738, -3738, -3738,
   -3738, -3738,  2872,  2874, -3738, -3738, -3738, 51791, 41287,   214,
   51791, -3738,  1689, -3738,  1716,   319, 51791,  2817, -3738, -3738,
   -3738,  2591,  1624, 12361, 19571, -3738,  2883, 65887, -3738, -3738,
   -3738, -3738, -3738, 19571, -3738, -3738, -3738, -3738, -3738, 19571,
   -3738, 19571,  2860, -3738,  3000,  3000, 65887, 22097,  1114,  1987,
   22097, 22097, 22097, 22097, 22097, 22097, 22097, 22097, 22097, 24174,
     775, -3738, -3738, 19571, 19571,  2870,  2860, -3738, -3738,   416,
     416, 65887,  2594,  2448,  2598,  2603, 19571, -3738, -3738,  1632,
   23343,  2604, 36439, -3738, 19571,  9725,  1634,  2642, 12470,   816,
    5355, -3738,  2967,   910, 19571,  1704,  1833, 19571,  1639, 19571,
    2876, -3738, -3738, -3738,  2606, -3738, -3738, 65887, 19571, 22097,
   22097,  4733, -3738,  4783, 19571,  2607,  5018, 16624, -3738,   687,
     687,   687,   687, -3738, 51791, 51791, 51791, 24584, 49367,  2609,
    1475, -3738, 49367, 49771, -3738,  2610,   816, 19571,  2879,    63,
      63,  2625,  2601, 28274, -3738, 19571,   231, 19150,  2626,   694,
    2632, -3738, -3738,  8824, -3738,  2634, -3738,  2611, -3738,  1550,
   -3738, -3738, -3738,  6369,  2808,  2025, -3738, -3738, -3738,  2609,
   19992,  2605, -3738,  1640, -3738, -3738, 17466, -3738, -3738,  1644,
   27864,  2512, 17887,   816, -3738, -3738, -3738,  2564,  1912,  1912,
     761,  1912,  2910,   761,  6980, -3738, -3738, 25404, 51791, 51791,
   -3738, 51791,  1649,  1187, -3738, -3738, -3738,  3026, 51791, -3738,
    2690,  2694, -3738, 51791, 51791, 51791, 51791, -3738, -3738,  1692,
   -3738, -3738, 51791, -3738, -3738, -3738, -3738,  2716, -3738, -3738,
    2886,  1420, -3738, -3738, -3738,  2701,  2081,   662,  2082,   674,
   -3738,  2705, 51791, -3738, 51791, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, 36843, -3738, -3738, -3738, 36439, 29094,
   36439, -3738,  2718,  2719,  2769,   133,   653,  2720,  2721,  2772,
    2649,  2650,  2652, -3738, -3738,   288,   910, -3738, -3738,   910,
    1912,   910, 51791,  2932,   863,  1455, 51791, 51791, 51791, 51791,
   51791, 51791, 51791, 51791, 51791, 51791, 51791, -3738,  3015,   910,
     910,  2987,  2726, 51791, -3738, 51791,  2288, -3738, -3738, -3738,
    2666,   773, -3738, -3738,  2895,  2897, -3738,   773,   773,   773,
     773,   773,   773, -3738,   372,  1650, -3738, 26224, -3738, -3738,
    2252,   910,  2252,   124, -3738,  2252, -3738,  2252, -3738,  2611,
    1717,  1618, -3738, -3738, -3738, -3738, -3738, -3738,  2352, -3738,
   -3738,  1717,  1781,  2667, -3738,  2677, -3738, -3738, -3738, -3738,
   -3738, -3738,  2681, -3738,   659, -3738, -3738, 51791,  2564, -3738,
    1427,   332,   341,   364, 50175, 50579, 50983,  2684, 51791, 51791,
   22097, -3738,  1032,   221, -3738,  2906, 51791,  2715, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738,  2687, -3738,  2168, -3738, 51791,
    2723,  1912, 51791, 51791,  1912, -3738, 65887,  3078,   942, 59467,
    2722,  2685,  2968, -3738,  2691,  2699, -3738, -3738, 51791,  2723,
     567,  1297,   656, -3738, 40075,  1563, -3738,  2940, 38863, -3738,
   51791, -3738, -3738, -3738,  3046,  2776,  2731,   910,  2324, -3738,
   63911, 19571, 19571, -3738,  2700, -3738,  2698,  4052, -3738,  1887,
   -3738, -3738, -3738, -3738, -3738, -3738,  2778, 51791, -3738, -3738,
    2706,   260, -3738, 51791, -3738, 51791, -3738, -3738,   260,   260,
   -3738,  2807, -3738, -3738, 51791, 51791, 51791,  1912, -3738,   319,
   -3738,  2976, 48963, -3738, -3738, -3738, -3738,    74,  2982, -3738,
   -3738,  2942,  2943,  2944,  2946,   831, -3738, -3738, 19571, 12576,
   -3738,  2725, 12576,  7264, 12576,  2870, -3738,   538,  2988, -3738,
    1227,  2727,   538,   951,   951,   323,   323,   162,   162,   162,
    3000,   775, 12576, 12576, -3738, -3738, -3738, -3738,  2728, -3738,
   -3738, -3738,  2448, -3738, 20413,  2856,  3096, -3738, -3738, -3738,
    2758,  2774,  2730, -3738, 19571, 20834,  2729, 66673, -3738, -3738,
     659,   356, 22097, 22097,  1713, -3738,   402, 19571, 65887,  1654,
    1713,  1970,  2032, 19571, 19571,  5499,   357, 19571,  7405, 51791,
   51791, 51791, 51791, -3738, -3738, -3738, 14595,  1475,  2741, 51791,
   -3738,  2732, 24994,  2970,  2909, -3738, 24994,  2909,  1306,  2909,
    2974, -3738, 28684, -3738,  2746, 13760,  1429, 12576,  3122,  3011,
   19571,  2748, -3738,  2749,  2601, -3738, 64697, -3738, -3738, 12576,
   -3738, -3738, 19571, -3738,  2601,   910, -3738, -3738, 31179, -3738,
   -3738, -3738,  2935, 12576, -3738,  1403, 51791,   816,  2752,  2777,
   51791, -3738,  2605, -3738,   288, -3738, -3738, -3738,  2830, 40479,
    3031, -3738, 19571,  1655, -3738,  2795,  3120,   118,  1659,  1661,
    1187, -3738,  2715, -3738,  1228,   201, -3738, 65887, -3738, 51791,
   51791, -3738, -3738, -3738, -3738,  2047, -3738, 51791, -3738,  2831,
   -3738,  2952, -3738, -3738,  2953,   288, 51791, -3738, 65887,   260,
     260, -3738, -3738, -3738,  2786, 51791, 51791, 51791,  1717,  1717,
   65887,  2775, -3738,  1717,  1717,  2779, -3738, 51791, 51791, 51791,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, 51791, 51791,
   51791, 51791,  3059, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, 51791, -3738, -3738, -3738, 65887,   260,
     260, -3738,  3003, -3738,   773,   773, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738,  1889,  3088, -3738, 36439, -3738, 40883, -3738,
   -3738, -3738,   910, -3738,   910,  2972, 33227,   910,   910,  1187,
    2787,   671,  3058, -3738, -3738, -3738, -3738,  3068,   288, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, 19571, -3738,   864,   538, -3738, -3738,
   -3738, -3738,  2715,  1307,  2848,   709, 36439,  2905, -3738, -3738,
    1912,  1912,  2855,  1403,   571, 51791,  3103,  2842, -3738,   910,
   -3738, -3738, 51791, 38863, -3738, -3738,  3134,  1682, -3738, -3738,
   -3738,  2846,  2740,  1206,  2813,  1563, -3738, -3738,  1112, 51791,
   -3738,   837, -3738,  3087,  2815, -3738, 12576, 12576,   910, 67066,
    2403, -3738, 51791,  3062,   260, -3738,   260,   260, -3738, -3738,
   51791,  1912,  1912,  1912, -3738,  2994, -3738,   260, 48963,   831,
     831,   831,   831, -3738, -3738, -3738, 12576, -3738, -3738, -3738,
   22097,  3093, -3738,  2821, 65887, -3738,  2823,  1710,  1711, 22933,
    2963, -3738, -3738, -3738,  7951,  2873, 12576,  2921,  2826,  2827,
   -3738,   995,   995,   402,  1732, -3738, 22097, 22097,  1713,  1713,
   19571,  1713, -3738, -3738, -3738, -3738, -3738, 49367,  2832, 51791,
    1475, 24994, -3738, -3738,   978, -3738, 24994,  3060, -3738, 24994,
   51791,  2833, 51791,   825, 19571, 19571,  2864,  2601,  2601, -3738,
    2996, -3738,  2836, -3738,   659,  2837, 51791, -3738, -3738,   588,
   -3738, -3738, -3738, 48963,  3021, 48963,  1187,  8059,  2715, 25404,
   32013, 51791, 51387, 51387,  2989,  2715,  2848, -3738, -3738, -3738,
   -3738,  2851, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    3015, -3738, -3738, 29094, -3738, -3738, -3738, 25814, 31179, -3738,
     133,  2854,  2857,   653, -3738, -3738, -3738,  1186,    34,  2887,
    1912,  3133, -3738,  3015, -3738, -3738,   773, -3738, -3738,  2338,
     910, -3738, -3738,  1736, -3738, -3738, -3738, 51791, -3738,  2685,
   -3738, -3738, -3738, 37247,  3248,  3248, 51791, -3738, -3738,  8181,
    3045, -3738,  2848,  3067,  3111, -3738,  1738, -3738, 51791, 51791,
    2731, 38863,  2723, -3738,  1123,  2863,  3154, -3738,  2567,  2867,
   -3738, -3738, 40075,  3039,  2776,   691,   691, 51791,  2740,  2990,
   -3738,  2991, -3738,  3232,  3047,  3236, 51791, 25404, -3738, 66280,
   -3738,  1742, -3738, -3738,  2499, 51791,   887, -3738, -3738, -3738,
   -3738, -3738, -3738,   214, -3738, -3738, -3738, -3738,   986, 22097,
   65887,  1748, 19571, -3738, 19571, -3738,  3249, -3738, -3738, -3738,
      66, -3738, -3738, -3738,   995,   995,  1713, -3738, 51791,  1752,
   -3738, 19571,  2878, -3738, -3738, 24994,   978,  1763, 51791,  1765,
   65887,  2601,  2448, 12576, 51791, -3738, -3738, -3738,  3252,  3051,
    2601, -3738, -3738, -3738, -3738,   963,   761,   214,  3120,  2848,
   -3738,  2881, -3738, -3738, 51791, -3738,  1144,  1144, 51791,  2848,
   -3738, -3738,  2934, -3738, 65887,  1716,    99, -3738, 65887, 65887,
   -3738, 51791, 51791, 51791, 51791, 51791,   260, -3738, -3738, -3738,
   -3738, 40883,  2685,  3248,   290, -3738, -3738, -3738,  1162, -3738,
   -3738,   948,  3065,  2961, -3738, 36439,  2723,  3167, -3738, -3738,
   -3738, -3738, -3738, 19571,  3035,  1563,  2940, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,  1770,  2776,
   -3738, -3738,  3066, -3738,  3069, -3738,  1784, -3738, -3738,  4052,
   67066,  3202, -3738,  2945, 51791, -3738, -3738, -3738,   986,  1805,
   -3738,  1830,  1832,  3037,  2947, -3738,  1848, -3738, 12576, 51791,
   -3738, -3738, -3738,  1860, -3738,  2903, -3738,  3291, 19571,  1298,
   -3738, -3738,  3174, -3738, 51387,  2948, 31179, -3738,  1550,  1550,
    1307, -3738,  1187, 19571, -3738,  1861, -3738,   125,  3050,  3192,
    1867,  1871,  2908,  2949,  2908, -3738,  1912, -3738, -3738, -3738,
   -3738, -3738,  3218, -3738, -3738, -3738,   375, -3738,  3095,  3098,
   51791, -3738, -3738, 51791,  3310,  8232, 37247,  2740,  1563,  2081,
   -3738, -3738, -3738, -3738,  2955, 25404,  2403, -3738,   841, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738,  1873, -3738, 51791,
    2924,  2448, 21255, 21255,  2925, 48963,  1144,  2927, -3738,  2928,
   -3738, -3738,  3067,  1187, 12576, 37247,  3303, -3738, -3738, -3738,
    3050, -3738, -3738, 51791,  3052,   170,   170,  3245, -3738,  2992,
   -3738, -3738, -3738,   133, -3738,  2937,  2776,  2740,  2082,  2776,
   -3738, -3738, -3738, -3738,  1837, -3738, -3738, -3738, 22518,  3055,
     159,  9258, -3738, -3738, -3738, -3738,   214,  1550, 19571,  1187,
   -3738,  3065,  1716, 51791, -3738, -3738,  2842, -3738,  3341, -3738,
     217, -3738, -3738,  2775, 36035, -3738,  2776, -3738,  2499, -3738,
    1796, -3738, -3738, -3738, -3738, -3738, -3738, -3738,  3338, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738,  8514, -3738, -3738, -3738,
    3246, -3738, -3738, -3738, -3738,  1880, -3738, -3738, -3738, -3738,
   -3738, -3738,  1684, -3738, -3738,  1700,  1638, 21676, -3738,  1187,
    3105, -3738, 36035, -3738,  1796, -3738, 37247, -3738, -3738,  2959,
   36035,  1881, -3738
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3738, -3738, -3738,  2675, -3738,  -723,  -972,  2114,  -898, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    2637, -3738, -3738, -3738,  1367, -3738, -3738,   109,  1494,  2304,
    1077, -3738,  -899, -3738, -3738,  -506,   146,  -581, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738,  -484,  1506,   943,  -268, -2552,
   -3738, -1171, -3738, -3738,   406, -3738, -3738,  1454, -3738, -3738,
   -3738,   817,  -332, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
     -78, -3738, -3738,  -491, -1266,    44,  -140,  -367, -3738, -3738,
     247,  -368, -1127, -3738, -2374, -3738,  -110, -3738, -3738, -3738,
    -369, -1128,  1023,  -590,  -914,  1296,  -642, -3738,  -266, -3738,
    -690,  -595,  -587,  -648,  -497, -3023, -3401, -3206, -2461,  1033,
     149, -3738, -3738, -3738,   264, -3738, -1265, -3738, -3738,  2044,
   -1104, -3738,  -521, -3738, -3738, -3738, -2356, -3738, -3738, -3738,
   -3738,    55, -3738, -3738, -3738, -3738,   304, -3738, -3738, -3738,
   -3738, -3738, -3738, -2151,  1415,  1416, -3738, -3738, -2987, -3738,
    -734, -3738,   444, -2385,   957, -3738, -3738, -3738,  2067, -3738,
   -3738, -3738, -3738,   305, -3738,   306, -3738, -3738, -1283, -3738,
   -3738, -1262, -3738,  1428,   784, -3738, -3738, -3738,  -669,  -732,
    -721, -3738, -2802, -3738, -3738, -3738, -3738, -3738,  -777, -3738,
     836, -2491,  -770, -3738, -3738,   854, -3738, -3738, -3738, -3738,
    -628,  -260,  2095, -3738,  -536,  -608, -3738, -3738, -3738,  -259,
   -3738, -3738, -3738, -3738, -3738, -3738, -1391,   -95, -1271, -3738,
   -3738, -3738, -3738, -1725, -3738, -3738, -3738, -1727, -3738,  3431,
    1668,  1602, -1260, -3738,   -21,    51,  2514,  -915, -2089,   248,
    -394, -3738, -1407, -3738, -3738, -3738, -2014, -3738, -3738, -3738,
   -3738, -2805, -1259, -3738, -3738, -3738,   294, -3738, -3538, -3222,
   -3458, -3567, -2769, -3738, -3738,  -870, -3738, -3738, -3738, -1095,
    1613, -1160, -3738, -1759,   295, -3033,  -589, -2596, -3738, -2992,
    -474, -3738, -3738, -3738, -3738, -3738, -3738, -3738,  -869,  -513,
   -3738, -3738,  2917, -3738, -3438, -3738, -3738, -3738, -3738,  1226,
   -3738, -1050,   926, -3738, -3738, -3738, -3738, -3738,  -613,  -692,
   -3738, -3738, -3738,   150, -3738, -3738, -3738, -3738,  1677,  -729,
    -603,  2801, -1258,  -284, -3738, -3738, -3738, -3738, -2433, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -1250, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738,  1751,  1753,    73,   -20, -3738, -3738,
   -1009, -3738,  -462, -3738,  2042, -3738, -3738, -3738, -3738,  1155,
     152,   333, -3738,     3, -3738, -3738,   132, -2744,     4, -3738,
   -3738, -3738, -3738,  -144,     5, -3738,   575, -3738, -3738, -2227,
   -3738,   153,    57, -3738, -3738,     1,     0,   -41,   -37,   -33,
       2,  2800,  2380, -3738, -3738, -3738,   -13,  1519, -3738,  -689,
    -156, -3738,  1160,  -537,  1729,  2360,  2364, -3738,  1153, -3738,
   -3738,  1161, -3738, -3738, -3738,  -531,  1737, -3738,  2365,  1756,
   -3738,  1147,  1157, -2718,   650, -2721,   192, -1092,  -328,    49,
    2834,  2381, -3738, -3587,   600, -3738, -3279, -1819,  1575,  1526,
   -1269, -3738, -3738,  -886,  8719, -3738, -3738, -3738,  8960,  9127,
   -3738, -3738,  9682,  9740, -3738,  -816,   692,  9913,  5109,  -963,
   -1520,  -621,  8003,  -686,  -547, -2016, -3738, -3738, -3738,  -296,
     703,   707, -3738, -3738, -3738, -3738,  -518, -2229,  -522, -3738,
   -3738, -3738,  -517, -3737, -1140, -3738,  -165, -3738,  8662,  1190,
   -3738,  -767, -2178, -2168,  -919, -1400, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -1185, -2634,  -410,  1258, -3738, -3738,  1351,
   -3738, -3738, -3738, -1056,  -698, -2101,  1263, -1617, -3738,  -685,
     623,  1933,  -641,    27,  -539,  6084,  -439, -1834,  -993, -1212,
   -3738,  -159, -3738,    25,    -9,  -142,    11,  3190,  7092,  -985,
    6576, -1051, -1011, -2470
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2121
static const yytype_int16 yytable[] =
{
     162,   161,   166,   156,   157,   159,   691,   552,   701,   842,
    1405,   508,   647,   732,  1136,   624,  1070,  1443,  1413,   768,
     162,   750,   166,  1142,   882,  1466,   941,   942,   890,   678,
    1851,   946,   613,  1486,  1798,  1145,  1881,   613,   902,   751,
    1244,  2098,  1721,   866,   771,  1718,   612,   690,  1224,  2243,
    1497,   612,   887,   781,  1305,  1987,   536,  2493,  1269,  1546,
    1280,  1083,  2739,  2122,   496,  1358,  1860,  1859,  2953,  1958,
    2000,   543,   579,   619,  1376,   829,  2874,  2966,   737,   739,
    1927,  1928,   743,   744,   648,  1719,  2980,  3180,  2982,  1721,
     675,  2443,  2445,   587,  2048,  1849,  2024,  2025,  1718,   779,
    2026,  1396,  2027,  2028,  2029,  2172,  1347,  1519,  1520,  1351,
    1733,  1716,  2326,  3096,  1355,  2539,  3077,  2727,  3370,   876,
    3349,  1360,   910,  2869,  2870,  3524,  1535,  2908,  3380,   703,
    1378,   695,  3552,   704,  3077,  2871,  1917,  2819,  1719,  3307,
    1436,  3321,  3323,  3529,  3570,  2094,    64,   666,  1868,    74,
     133,  3774,   154,   160,  1077,  3683,  1776,  3354,   506,  1160,
    1188,  3254,  3541,  1130,  1716, -1900,   702,  1513,  1514,  1133,
    1375,  1565,   548,  2776,  2060,  3101,  3102,  3103,  3104,  3105,
    3106,  1397, -1836,  2636,  3681,  1934, -1934,  1722, -1903,  2132,
    2248,   595,  1532,  1991,  1168, -1813,  1923,   595, -1266,   548,
    1270, -1461,   595, -1813,   922,  3171,  2046,  3941,  1939,   753,
     926, -1814, -1433, -1953,  1397,   773, -2120,     3,     4, -1814,
   -1466,  4107, -1978,   782, -2120,  3867,   966,  2183, -1446,   548,
    2152, -1466,  1299,  1215,  1792, -1473,   548,  1343,   548,   775,
    2248,  1869,  1602,  2754,  3987,  1862,  2697,   747,  2699,  3937,
   -1790,   548,   696,  2578, -1461,   548,   833, -1684,  1992,  2913,
    1792,  1804,  1222,  1572, -1684,  1397,  1616,  1213,   548,  2580,
    1074,  1862,   595,  1562,   595,  2954,  1793,  2737,  3489,  2299,
    2054, -1266,  2557,  2864, -1466,  3418,   548, -1476,  1575,  1239,
     937,  1248, -1269,  1718,  1293,  3954,  1169,   595,  1273,  3978,
    3979,  2283, -1476,  4130,  1794,  2133,  3689,  3896,  2284,  1168,
     697,  1397,  3132,  1993,   698,   601,  1994, -1952,  1577,  1743,
    4142,  1795,  2184,  1213,  4000,  3882,  3520,  -722,   595,  1277,
    1794,  2864,   601,  1719,  2776,   602,   601,   548,   601,  -118,
    1100,  1267,  1101,  1563,  -118,    32,   548,  1795,  1836,  1414,
     824,  4128,   602, -1266,  1280,  3485,   602,   768,   602,  2005,
    1744,  3089,  2378,   601,  1546,  1226,  1617,  1572,  1607,   548,
    1268,  3837,   601,  3839,   698, -1269,  4056,  3929,   837, -1700,
    3419,  1223,   844,   602,  1126,  -140, -1700,  2185,  2019,  1805,
    3686,  2390,   602,   853,   871,  1445,  1227,  1431,  2208,  4108,
     768,  3486,  1723,   880,  1995,  1479,  2049,  1481,  2409,  1745,
    -140,  1169,  2208,  1572,   544,  1488, -1433,   827,   501,  1965,
    4165,   830,  1577,  3883,  1969,  1398,  4131,  1498,  1519,  1520,
     877,  1837,  2379,  4057,  1149,  3502,  1535,   851,  1575,   938,
     681,  1157,  2186,  2391,  3504,  2187,  1796, -1269,  2169,  1572,
    1128,  1319,  1995,  4143,  3133,  3999,  1447,  3521,  1398,  4001,
    2289,  1407,  2055,  1501,  1806,  4109,  3420,  3506,  1577,  2581,
    2954,  3955,  1796,  1618,  1575,  2134,  1278,  1287,   549,  4097,
    1603,  1157,  -337,  4065,  3364,  2873,   699,  4080,  4110, -1433,
    3330,   748,  2249,  2135, -1266,   821,  1513,  1514,  3413,  1996,
     834,  1407,  2047,   945,  1577,  1532,  2175,  1721,  1870,  1398,
    1344,  1921,  3172,  1913,  1961,  1915,  4046, -1952,  1997,  3077,
    1871,  1940,  1219,  1718,  1935,  1300,  1301,  1922,  1985,   791,
    3752,  4151,  3778,  2188,   822,  1482,  1566,    47,  1797,  1095,
     867,   552,  2839,  1096,   691,  1170,   975,  1137,  2111,  2776,
    1957,  1721,  2926,  2428,   945,  1398,  2910,  1433,   819,  3963,
   -1684,  1620,  1344,  1719,  1797,  1631,  1631,   918,  3919,  3676,
    1872,  2558,  1102,  1614,  3690,  1731,  1987, -1952,  3793,  1981,
    1192,  2788,  1752,  2447,   162,   690,   166, -1266, -1269,  2246,
    1407, -1900, -1952, -2121,  3640,  1508,   607,   608,  3644,  1761,
    1840,  3599,   607,   608,  2285,  1762,  1508,   919, -1836,   924,
     755,   928, -1934, -1813, -1903,  3084,  4076,   932,  3671, -1461,
     951,   612, -1266,   612, -1266,   612,  1419,   909,  2189, -1814,
    1518,   612,   933,   934, -2120,  1284,  3974,  1434, -1466, -1953,
     967,  3212,   768,  3335,  1900,  1289,  1524,  1067, -1978, -1466,
    1076,   867,  1078, -1473,  1830,   703,  1568,   545,   913,   704,
    1835,  1217,  1218,   957,  1482,  3498,  1095,   935, -1790,  1605,
    1096,  1596,  1541,  2313,   878,   947,  4116,   607,  1214,   607,
     608, -1269, -1700,  2963,  1071,  2964,  3859,  1541,  2334,  1828,
    2442,  1542,   702,  3869,   162,   161,   166,   156,   157,   159,
    1387,  1093,   607,   608,  1085,  1543,  1542,  1903,  1896,  3343,
    1906,  1907,   682,  3920,  2198,  2199, -1269,  2407, -1269,  2950,
    1545,  1288,  1119,  4021,  1157,  1298,  1718,   947,   705,  2778,
    2450,  3044,  3045,   607,  1214,   546,  2168,   547,  2171,  2785,
    2786,  2787,  2788,  3472,  4066,  1356,  1357,  3161,  2179,  -118,
    -118,  2182,  3545,  2119,   548,  1105,  1140,  1991,  1258,  2194,
    2195,  3921,  1384,  2349,  1259,  1801,  1719,  1073,  3922,  1966,
    3403,  1081,  2212,  2214,  2265,  3909,  2429,  1804,   548,   612,
    1371,  2728,  1162,  2228,  2369,  2779,  2776,  2287,  2432,  1409,
    1411,   944,  1716,  2057,  2881,  3923, -1433,  1173,  1390,   784,
    1372,  2995,   632,   706,  3357,  3423,  1541, -1433,  3542,  1518,
   -1433,  1149,  2054, -1433,  1303,   548,  1591,  1592,  1593,  1594,
    1595,  1596,  1992,  3743,  2021,  1542,  1718,  3074,   653,  1718,
    1608,  3573,   503,  2126,  2127,  3039,   548,  1120,  3042,  3043,
      64,  2864,  3046,    74,   133,  3074,   154,   160,  1391,  2887,
    2656,  3744,  3053,  1740,  1593,  1594,  1595,  1596,  2486,  2617,
    1260,  1354,  1563,  2421,  4082,  3924,  1719,  2077,   945,  1719,
    4115,  2433,  2115,  4118,  1253,  2732,  2086,  1993,   633,   698,
    1994,  1379,  1382,  1383,  1163,  3546,  2625,   785,  2093,  3783,
    2040,  1609,  4017,  3401,   867,  2483,  2022,  3784,  2266,  2083,
    3424,  1851,  2267,  2996,  1086,  3404,  4026,   867,  2288,  2501,
    4150,  3376,  1254,  1367,  3365,   548,  3827,  1389,   162,  4012,
     166,   654,  3178,  3830,  3107,   786,  1880,  3182,  3834,  2118,
    1121,  3836,  2123,  2422,  2125,  2951,  1392,  2128,  2268,  1741,
    1484,   612,  2733,  2989,  1373,  3898,  2730,  1917,  2780,  2781,
    2782,  1368,  2783,  2784,  2785,  2786,  2787,  2788,  2990,   975,
     867,  2408,  2776,  2072,  1087,  2041,  2778,  3110,  1995,  2729,
    1071,    37,  2120,   787,  3180,   859,  2103,  1506,  1449,   962,
    1451,  2502,  1453,  1393,  1455,  1919,  1457,  1458,  1459,   707,
    3543,  2207,  1071,  1461,  3761,  4077,  1522,  2776,  1261,   691,
      41,  2509,  3183,   975,  3405,  2230,  2776,  3406,  3439,  2568,
    1421,   684,   758,   759,   760,  2618,   761,   762,   763,   764,
     765,   766,  1164,  2201,  3925,  4083,  1549,   625,    37,  1262,
    2524,  2503,  2116,  1564,  4081, -1787,  2525,    45,  2487,   975,
    1560,  2997,  2776,  1569,   634,   635,  3007,  3785,  1422,    46,
    2509,  3972,  2876,  1606,  2269,  2877,   768,    41,  1263,  1255,
    2117,  1394,  3313,  1996,  2208,  2208,  1972,  3593,  3982,  2208,
     867,  3086,  2998,  1622,  3366,   519,   698,   867,   867,  2424,
    2943,  2504,  1165,  2350,   631,  1734,  1735,  1727,  1739,   704,
     704,  2619,   704,  1865,    45,  3750,   519,  1880,  1369,  4003,
    3114,  2999,  3367,   652,  1973,  3659,    46,   612,  1876,  2208,
    2208,   612,   612,  1970,  2601,  3663,  3943,  3960,  2944,  1635,
    2967,  1279,   702,   702,  1946,   702,  3087,   860,  2070,  3314,
    3184,   521,  2526,  3670,  2731,   693,  3115,  2076,  3518,  2042,
      47,  3757,  2778,  1866,  1256,  2084,  2085,  3653,  3872,  3116,
     673,  2043,   521,  2533,  3440,  1786,  2534,  3315,  1929,  1930,
    1931,  1932,  3343,  2097,  2606,  1787,  1764,  1971,  2961,  2505,
    2421,  3886,  3316,  2421,  3662,  2447,  2330, -2121,  1718,  4053,
    1788,   861,  3317,  1370,  1718,  2535,  2778,  1140,  3185,  2783,
    2784,  2785,  2786,  2787,  2788,  1423,  1967,  1968,  2779,  3519,
     612,  2777,  1977,  3587,  3318,  2695,   612,  1204,  4004,  4050,
    4051,  1095,  3873,  2607,  2700,  1096,  1242,  1995,  1719,  2020,
    3779,  2147,  2778,  3831,  1719,  3870,  1824,  1873,  3117,  3238,
    3074,  3239,  3780,  3077,  1920,  1946,  2069,  1095,   694,   934,
    2422,  1096,  2779,  2422,  2809,  2075,  4099,   768,  2002,  3841,
    2816,  1974,  2877,   612,  1126,  2331,   612,   612,  2643,  2644,
    2645,  2646,  3944,  -550,   528,  2945,   529,  3383,  2506,  2423,
    2527,  4005,  2035,  2036,  2037,  2038,  2507,  3319,  2779,  2508,
    1424,  1851,   169,  2462,  1933,   528,  1946,   529,   534,  2608,
    2609,  3900,  3383,  2968,  2130,  3363,  2864,   784,  1407,  2691,
    2864,  2528,  2610,  2412,  -360,   708,   504,  4002,  1789,   534,
    1960,   750,  3208,  2884,  1800,   612,  3463,  2449,  2969,  2536,
    1128,   170,  3466,  3467,  3468,  3469,  3470,  3471,  4135,  3540,
    2529,  2386,  1407,  2463,  3687,  4159,  1975,  3775,  2099,  3384,
    1243,  1801,  3601,  2374,  3602,  3240,  2962,  2611,  2537,  3832,
    2946,  3226,  3211,   649,  2030,  3241,  1129,  2530,  2256,  3576,
    2257,  3577, -2121, -2121,  3384,  2783,  2784,  2785,  2786,  2787,
    2788,   768,  2024,  2025,   742,  2390,  2026,  3776,  2027,  2028,
    2029,  3781,  2258,  -869,  2512,   785,  2424,   169,  2531,  2424,
    3212,  2549,  2515,  3385,  2517,  3688,   754,  1259,  3975,  1894,
    2783,  2784,  2785,  2786,  2787,  2788,   777,  2752,  3981,  2783,
    2784,  2785,  2786,  2787,  2788,  1908,  1908,  2532,  3385,   783,
    1718,  1718,  1718,   786,  3201,  3910,   170,  2929,  3846,  3847,
    3180,  2612,   548,  2613,   169,  1154,   595,   854,   162,  3942,
     166,  2780,  2781,  2782,  2088,  2783,  2784,  2785,  2786,  2787,
    2788,   823,  3911,  2092,  2464,  2803,  2321,  3314,  2499,  1895,
    1719,  1719,  1719,  1126,  2102,   855,  1155,  1127,  3603,  1802,
      32,   787,  1951,   170,  2259,  2149,  1623,  2932,   583,  2260,
    1438,   826,  2251,  1439,  2261,  3315,  2828,   162,  2146,   166,
    2143,  2144,  2145,  1260,   828,  1156,  1874,    14,  3162,  3803,
    3646,  1071,  1071,  1952,  2465,  2105,   854,  2106,   856,  2107,
    3317,  2108,   913,  2109,  2192,  1624,  1953,  2110,  2774,  2775,
    4011,  1562,  1344,  2790,  1744,  1572,   643,  1954,    19,  1128,
    3499,  2137,  1718,   672,  3139,  1882,  1249,  1909,  1909,  1910,
    1910,  2180,  2181,  2942,  4019,  2830,  2148,  2831,   843,  2193,
    1575,  1955,  1718,  2196,  2197,  3692,  3693,  2166,  2687,  3313,
      32,  2601,  2501,  2825,  2826,  1129,  1157,  1250,  2218,  2832,
    2219,  1251,  1719,  1745,  3496,  3881,  4042,   856,  2629,  2254,
    1577,  2718,  1883,  1884,  3855,  1268,  3857,  3235,  4030,  1079,
    2708,  2241,  1719,  2242,   601,  1428,  1252,  3029,  3057,  2262,
    3441,  4043, -1312,  2720,  1146,  3319, -1312,   835,  2263,   836,
    1612,  3255,  2314,  1407,   602,  1429,  1880,  3030,  2005,   849,
    3442,  3970,  1888,   857,  1914,  2864,  3314,   595,  1572,  2297,
    2864,  2366,  2936,  2864,  2502,  1147,  2370,  2208,  2311,  2373,
    2208,  2208,  2208,  2208,  2208,  2208,  2208,  2208,  2208,  2208,
    2402,   768,   858,  1575,  3315,  1541,   750,  2207,  2207,  1174,
    1882,  2395,  2207,  3376,  1148,  1862,  2833,  2648, -1312,  3316,
    2208,  2834,  2649,  1867,  1542,  2749,    37,  1541,  3395,  3317,
    2101,   873,   198,  1577,  2503,   888,  1924,   505,  1543,   610,
    2434,  1175,   897,  2955,   610,   581,  1542,  2895,   903,  2208,
    2208,  3318,  2207,  2207, -1312,    41,    37,  1883,  1884,  2879,
    1545,   650,   975,  2448,    37,  2776,  2404,  2405,  2406,  3381,
     907,  1571,  1882,  2414,  1572,  2416,   595,  2418,  2419,  2630,
     939,  1151,  3282,  3141,  2504,    41,  2479,  1530,  1531,  3727,
    3728,  1880,    45,    41,  1770,   943,  1176,  2992,  1725,  1575,
     513,  1726,  2322,  2336,  2325,  1576,  2500,  2845,   949,  2510,
    3620,  1718,  1152,  2169,   162,  2352,  2380,   612,  2383,  1883,
    1884,  3376,    45,   952,  3319,  1771,  2518,  1177,  2993,  1577,
      45,   954,  2965,  2522,    46,  2750,  2835,  1518,    47,  1777,
    2751,  1153,    46,   959,  1631,  2836,  2545,  3402,  3407,  1105,
     838,  1719,   839,  1880,  1772,  2552,  2694,  2994,  1580,  1581,
    3482,  2802,  3484,  2804,  2805,  3487,  2513,  3488,    47,  2864,
    2702,  2703,  2505,  3218,  2705,   960,    47,  3268,   519,  1078,
    2709,  1728,  2100,  1950,  1729,  2101,  3256,  3257,  3399,  2918,
    2919,   975,  2921,  1518,  2776,  1777,   961,  -863,  3097,   962,
    1095,  1584, -1790,  2649,  1096,  2112,   963,  2169,  2113,  2631,
     964,  3283,  3804,  3805,  3806,  3807,   965,  1178,  2562,  1882,
    2114,  2430,  2140,  2113,  3222,  2141,  2571,  2572,  2573,  2574,
    2575,  2576,   968,  1579,   521,  2741,  2327,  2362,  2440,  1407,
    2141,  2441,   969,  3121,  2935,  2778,  2495,  2632,  1179,  2496,
    2587,  2470,    32,  2588,  1580,  1581,  1180,  1882,  2602,  2065,
    2066,  2603,  1181,  1082,     3,     4,  1883,  1884,  3289,  1182,
    2712,  2506,  1088,  2113,  2639,  3907,  2541,  1183,  2748,  2507,
     612,  2101,  2508,  1718,  1505,  1184,    47,  1718,   612,  1718,
     612,   971,  2758,  1185,  3074,  2101,  2761,  1584,  1089,  2101,
    1880,  2779,  2669,  2670,  1883,  1884,  4096,  2890,  2891,  2658,
    1585,  2570,  2765,  2766,  2792,  2101,  2101,  2101,  3010,  2570,
    2208,   583,  3221,  1719,  3088,  3090,  3091,  1719,   975,  1719,
    2808,  2776,  2813,  2101,  2696,  2814,  2698,  1518,  1880,  1149,
      14,  2983,  2987,  1186,  2984,  2988,  2742,  1518,  3626,  1777,
    2744,  3887,  2625,  2483,  3128,  3414,  1084,  3129,  3619,  3376,
    1851,  2342,  2343,  3159,  3378,  3379,  3160,   528,  1090,   529,
    3169,    19,  2600,  3170,  2778,  2642,  3550,  1094,   531,    27,
    3938,  1591,  1592,  1593,  1594,  1595,  1596,  1113,   533,  3262,
     975,   534,  2849,  2776,  2850,  2637,  1106,  3137,  3227,  2673,
    2851,  2101,  2852,   162,  2657,   867,  3263,  1116,  3273,  3264,
    3627,  3274,  1117,  3285,  3355,  2640,  2101,  3356,  3359,  4119,
      27,  3360,  2747,  3382,  3475,  2601,  2113,  3476,  3625,  3678,
    2779,  2141,  3679,  3684,  1124,  3685,  2113,   867,  2113,  1114,
    3131,  3237,  3134,  1138,  3242,  3243,  3244,  3245,  3246,  3247,
    3248,  3249,  3250,  3251,  1139,   768,  3771,    37,  4163,  3772,
    4164,  3122,  1143,  3124,  2780,  2781,  2782,  1149,  2783,  2784,
    2785,  2786,  2787,  2788,  1116,  2934, -1266,  1591,  1592,  1593,
    1594,  1595,  1596,  1167,  3813,  3815,    41,  3814,  2101,  1190,
    2865,  3107,  2208,  2208,  3851, -1336, -1336,  3108,    37,   612,
    1280,  1172,  2878,  3291,  3292,  1221,  3823,  3109,  3479,  2141,
    3890,  2778,  3904,  3891,  1219,  3905,  3939,  2888,  3326,  3940,
    3491,  3492,  3950,    45,  3175,  2141,  3957,    41,  3207,  1407,
    3331,  3333,  1491,  1492,  3110,    46,  3111,  3962,  2865,  3964,
    3148,  2973,  3148,  2975,  4020,  2896,  2897,  1611,  3217,    37,
     923,   925,   927,  1257,  1266,   929,   930,   931,  4024,  1275,
    1276,  4025,   691, -2034,    45,   936,  1123,  2779,  1125,    47,
   -1062,  2914, -1062,  2778,  3223,  3645,    46,  3648,    41,  4031,
    2207,  1283,  2141,  2207,  2207,  2207,  2207,  2207,  2207,  2207,
    2207,  2207,  2207,  2780,  2781,  2782,  1281,  2783,  2784,  2785,
    2786,  2787,  2788,  1560,  4032,  1290,  4033,  2814,  3112,  2101,
    4120,  2234,  1285,  3266,  2237,    45,  1297,  2254,  1295,   584,
    1721,  3027,  4036,  1304,  1307,  1407,  3034,    46,  1157,  2779,
    2854,  2855,  2856,  1348,  4038,  4055,  2848,  3148,  2141,  1350,
    1352,  4061,  2207,  2207,  2141,  4062, -2034,  4085,  2141,  2858,
    1407,  2169,  3461,  1361,  4161,  4172,   867,  4162,  4162,   691,
    1344,   585,  3113,  2939,  -157,  2940,  2941,  3114,  1363,  2853,
    1365,  1377,  1385,   185,  1395,  1400,  1401,  1402,   162,  2146,
     166,  2143,  2144,  2145,  1403,  1404,  3893,  1406,  2880,  1407,
     612,  1412, -2034,  1415,  1416,  1417,  1418,  2858,  2991,  1571,
     690,  1420,  1572,  3115, -2034,  3003,  1425,  1426, -2034,  1427,
    1432,  1437,  1462, -2034,  1487,  1071,  3116,  1489, -2034,  3624,
    1493, -2034,  1495, -2034,  1496,  1502,  1503,  1575, -1437, -1444,
    2780,  2781,  2782,  1576,  2783,  2784,  2785,  2786,  2787,  2788,
    1512,   867,  1515,  1521,  1516,  1517,    47,  1523,  1526, -1434,
   -2034,  1329,  3571, -1435,  1527,  1528,  1529,  1577,  1534,  3789,
    1536,  1537,  1538,  3037, -1438,  1539, -1436,  1540,  1547,  1548,
   -2034,  2888,  1550,  3189,  3517,  1718,  2155,  3192,  1551,  3194,
    1552,  3196,  3197,  1553,  2679,  1554,  1555,  1556,  1600,  2888,
    3202,  1557,  2780,  2781,  2782,  3117,  2783,  2784,  2785,  2786,
    2787,  2788,  1611,  1174,  1615,  1626, -2034,  1732,  1634,  1127,
    2208,  1129,  1759,  1767, -2034,  1719,  1773,  1774,  2986,  2208,
    1775,  3219,  1777,  2156,  1778,  1718,  1779,  1780,  1781,  1782,
    1807,  1803,  1829,  1831,  1832,  1175,  2208,  2208,  1833,  1855,
    3992,  3057,  3994,  1834,  1874,  1862,  3008,  3608,  1877,  1864,
    1875,  1878,  1856,  1879,  1886,  1880, -1278,  1578,  1889, -2034,
    1887,  1579,  1890,  1891,  1897,  1719,  1898,  1901, -1278,  1902,
    1904,  1448, -1278,  2157,  1450,  1911,  1452,  1485,  1454,  1174,
    1456,  1912,  1580,  1581,  1460,  1918,  3481,  1204,  1925,  1228,
    1176,  1936,  1926,  1937,  1938,  1941,  1942,  1582,  1947,  1949,
    1963,  2570,  2158,   625,  2570,  2570,  1976,  2159,  2570,  1978,
     750,  1175,  1964,  2207, -1278,  1946,  1979,  1986,  2570,  1508,
    1518,  1177,  3739,  1303,  1988,  1584, -2034,  3076,  1524,  3732,
    3210,  1989,  2006,  2009, -1278,  1229,  2012,   515,  1585,  2018,
    2017,  2013,  2034,  3530,  3531,  3076,  3621,  3622,  3220, -2034,
    2680, -2034, -2034,  2160,  2039,  1243,  2052,  2053,   867,  2058,
     867,   612,  2063,  2064,  2068,  2079,  1176,  2080,  3083,  3085,
   -1278,  2081,  2082,  3092,  2124,  2061,  2095,  2096, -1278,   612,
    2129,  2138,  2151,  2175, -2034,  2216,  2217, -2034, -2034, -2034,
    1572,  3146,  2229,  2174,  3550,  2235,  2240,  1177,  2247,  2272,
    3127,  3224,  2299,  2312,  2253,  2239,  2270,  3135,  2316,  2315,
    2319,  2320,  1230,  1587,  2328,  3581,  3582,  3583,  2347,  2208,
    3174,   867,   162,  3166,  2329,  3142,   697,  2337,  2338,  1145,
     185,  2363,  3150,  2341,  2361,  3811,  3156,  2364,  3584,  2365,
     162,  3188,  2376,  2381,  2384,  2386,    32,  2394,  2865,  2397,
    1180,  3168,  2388,  2389,  2400,  2403,  1181,  1231,   696,  1232,
    2417,  2161,  2420,  1182,  2431,  2436,  2490,  2162,  1485,  1916,
   -1313,  1268,  2494,  2438, -1313,  2538,  2497,  2485,  3198,  1184,
    2498,  3199,  2555,  2551,  2559,  2207,  2207,  1185,  2556,  2560,
   -1278,  2561,  2565,  2563,  2564,  2163,  2567,  1234,  2577,  2566,
    3729,  1588,  1589,  1590,  2579,  1591,  1592,  1593,  1594,  1595,
    1596,  2583,  2586,  2590,  2164,  1071,   697,  2593,  2865,  2594,
     612,  2595,    32,  2598,  1839,  2596,  1180,  2604,  2623,  2597,
    3789,  2628,  1181,  2599,  1236,  2635, -1313,  1186,  2165,  1182,
    2641,  2682,  3179,  2650,  1893,  2647,  2655,  1268,  1095,  2672,
    2654,  1116,  1096,  2674,  2686,  1184,   691,  2688,  2689,  2690,
    3396,  2692,  2693,  1185,  3280,  2701,   691,  2704,  1238,  2707,
    2706,  2714, -1313,  3892,  2888,  2715,  2716,  2711,  2719,  2726,
     698,  2717,  2152,  2734,  2738,  3665,  3299,  3300,  3301,  3302,
     945,  2740,  2745,  2743,  2746,  2763,  2798,  1560,  3391,  3392,
    3393,  3394,  2810,  2829,  1718,  2873,  2759,  3306,  2760,  2762,
    1962,  1571,  2764,  1186,  1572,  2767,  2768,  3341,  2770,  2773,
    2791,  2797,  2844,  2824,  3443,  2101,  2799,  3446,  2800,  1485,
    2807,  3303,  3304,  3305,  2822,  2867,  2823,  3842,  2837,  1575,
    2875,  3949,  2847,  -909,  1719,  1576,  2902,  2872,  2900,  3717,
    3718,  2906,  3720,  2917,  2912,  2920,  2922,  4117,  2923,  2927,
    2931,  2928,  2938,  2952,  3808,  2959,  2960,  2972,  2974,  1577,
     794,  3005,  3006,  3575,  2008,  3012,  3013,  3014,  3009,  3011,
    3578,  3579,  3015,  3753,  3016,  3017,  3018,  3019,  3020,  3021,
    3824,  3825,   699,  3022,  3023,  3024,  3026,  3025,  3033,  3031,
    3035,  1934,  3041,   795,  3047,  3985,  3048,  3049,  3050,  3990,
    3991,  3051,  3052,  3078,  3082,  3081,   796,   797,  3093,  3094,
    1995,  3098,  3125,  3136,  3099,   798,  2071,  3138,  3140,   799,
    3076,  3152,  3163,  3148,  3854,  3164,  3167,  3158,  3187,  3147,
    3154,  3193,  3732,  3157,  3195,  3204,   800,  3434,  3205,  3206,
    3435,  3209,  3436,  3214,  3215,  3986,  3216,  3989,  3225,  3230,
    2794,  2776,  1505,  3515,   612,  2793,  3433,   801,  3259,  1578,
    3456,  3457,  3260,  1579,  3275,  1565,  3287,  3261,  3267,  3288,
     612,  3296,  2570,  3325,  3348,   802,  3312,  3328,  2570,  2570,
    2570,  2570,  2570,  2570,  1580,  1581,   803,  3952,   867,  3334,
    3344,   804,  3483,  2207,  3351,  3369,  3345,  3387,  3347,  1582,
    3400,  3389,  3816,  1718,  3408,  3390,  3397,  3398,  3415,  3416,
    3427,  3428,   805,  3430,  3431,  3417,  3432,  3438,  3429,  2207,
    2207,  3454,   612,  3403,  1583,  3458,  3464,  1584,  3465,  3493,
    3462,  3501,  3503,  3505,  3507,   933,   934,   806,  3058,  3494,
    1585,  3522,  1194,  1719,  3179,  3495,  3490,  3514,  1195,  3533,
    3526,  1718,  2113,  3536,  3535,  3538,  3554,  3558,  3559,  1718,
    3561,  3569,  3580,  3948,  3497,  3500,  3539,  3568,  3572,  4149,
    3574,  3585,  3588,  3589,  3590,  3591,  3928,  3592,  3600,  3059,
    3609,  3701,  3702,  3523,  3610,  3611,   807,  2244,  1196,  3597,
    3604,  1719,  3605,  2865,  3613,  3639,  3617,  2865,  3563,  1719,
    3969,  3612,  3642,  3060,  3641,  3637,  3534,  3862,  3649,  3652,
    3654,  3655,  3657,  3658,   185,  1587,  3666,  4149,  3061,  1603,
    3673,  3675,  3062,   768,  3680,  4149,  3681,  3669,  3696,  3697,
    3695,  3724,  3725,  3721,  3726,  3876,  3703,  1197,  3730,   808,
    3063,  4041,  3710,   809,  1198,   810,  3713,  1199,  3737,  3742,
    3745,   811,   621,   622,   812,  3064,  3595,   628,  3746,  3754,
    3758,   638,   644,   621,  3763,   651,  3759,  3765,   644,   644,
    3770,   677,  4138,   680,   612,  3773,  3777,  3786,  3787,   813,
    3795,   814,  3801,  3809,  3810,   815,  3812,  3817,  3820,  3819,
    3821,  3822,  3844,   816,  3835,  3828,  3838,  3848,   817,  1200,
    3850,  3852,  2207,  1588,  1589,  1590,  3856,  1591,  1592,  1593,
    1594,  1595,  1596,  3704,  3868,  3871,  3884,  3878,  3885,  3894,
    3879,  3521,   818,  3901,  3903,  3714,  3913,  3914,  3918,  3956,
    3065,  3916,  3932,  3930,  3931,  3933,  3934,  3953,  3066,  3956,
    3968,  3959,   698,  4010,  3976,  3983,  3797,  4013,  3798,  3799,
    4006,  4016,  2858,  1201,  4022,  1202,  2858,  4023,  4028,  3802,
    4029,  4034,  4040,  4035,  4045,  1203,  3633,  3634,  3635,  3636,
    4039,  3067,  4058,  1204,  4047,  1433,  3664,  3987,  4063,  4064,
    4067,  4073,  1205,  4069,  4078,  3719,  3996,  3336,  3674,  4095,
    4098,  4103,  4100,  4065,  4106,   162,  3667,  4129,  4141,  3722,
    4114,  4066,   733,   738,   738,   741,  4157,   738,   746,  1118,
     733,   752,   677,  1206,   770,  3672,   752,  1207,   677,  4160,
     677,  4166,  4170,  1948,   738,   752,   677,  2638,  1193,   612,
    4052,  1633,  2882,  2489,  3412,  2970,  2550,  3888,  3731,  3054,
    3998,  3915,  1208,  3769,  3917,  3556,  3751,  3927,  2925,  2713,
    4101,  4137,  1571,  3860,  4070,  1572,  3698, -2036,  4112,  4018,
    4037,  4068,  2930,  2051,  3557,  3525,  2621,  2622,  3411,  2981,
     612,  2031,  3527,  3143,  2605,  3528,  2451,  4140,  4171,  3095,
    1575,  4167,  3079,  3707,  3708,  4113,  1576,  3768,  3711,  3712,
    3877,  2016,  4104,  4060,  3880,  2570,  2570,   627,  1209,  1480,
    3586,  3971,  3564,  4049,  2444,  3565,  4027,   869,  3032,   867,
    1577,  4122,  4168,  3735,  1091,  3736,  3908,  2323,  3740,  3741,
    2324,  2104,  2865,  2885,  3544,  3361,  1112,  2865,  3668,  2886,
    2865,  2346,  1756,  1730,  2898,  1755,  2894,  2878,  2345,  1760,
   -2036,  2340,  2911,  1571,  2899,  2679,  1572,  3308,  3961,  3748,
    3647,  3362,  1099,  2591,  3279,   768,  3951,  3269,  4087,  1763,
    2865,  4086,  2889,   612,  1174,  2842,  4094,  2755,  2840,  3358,
    3767,  1575,  2827,   162,  3760,  3947,  2298,  1576,  2888,     0,
   -2048,     0,     0,   768,     0,     0, -2036,     0,  3875,     0,
       0,     0,     0,     0,     0,     0,  1175,     0, -2036,  3788,
       0,  1577, -2036,  2592,     0,     0,     0, -2036,     0,     0,
   -2121,     0, -2036,     0,  1579, -2036,     0, -2036,     0,     0,
    3595,  3595,  3595,  3595,   750,     0,  3863,  3865,  3865,  3973,
       0,     0,     0,     0,     0,  1580,  1581,     0,     0,  3794,
       0,     0,     0,     0, -2036,     0,     0,     0,     0,     0,
   -2121,  1176,     0,     0,     0,     0,     0,     0,  3997,     0,
       0,     0,     0, -2048, -2036,     0,     0,     0,  2865,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,  2858,  1177,     0,     0,     0,  2858,     0,     0,  2858,
       0,  1585,     0,     0,     0,     0,     0,     0,     0,     0,
   -2036,  1578,     0,     0,     0,  1579,     0,     0, -2036, -2048,
       0,  2680,     0,     0,     0,     0,  2865,     0,     0,     0,
       0, -2048,     0,     0,     0, -2048,  1580,  1581,     0,     0,
   -2048,  3935,   793,     0,  3076, -2048,     0,   677, -2048,   733,
   -2048,  1582,   738,     0,   741,     0,   738,     0,     0,     0,
     752,     0,   770, -2036,   752,   846,  2735,  2570,     0,     0,
       0,  3889,   738,  3853,     0,   752, -2121, -2048,   612,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   868,
       0,     0,  1585,   733,     0,     0,     0, -2048,   741,     0,
       0,     0,   733,     0,     0,   770,     0,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    32,     0,  3977,
     738,  2681,     0,  3897,     0,   917,     0,  1181,     0,     0,
   -2036,     0,     0, -2048,  1182,     0,     0,  3993,     0,  3995,
       0, -2048,  1268,     0,     0,     0,     0,     0,     0,     0,
    1184,     0,     0, -2036,  1071, -2036, -2036,     0,  1185,     0,
       0,   768,     0,     0,     0,     0,   677,  1587,  1591,  1592,
    1593,  1594,  1595,  1596,     0,     0,   677,   958,  4134,     0,
       0,  1571,     0,     0,  1572,  2858, -2048,     0, -2036,     0,
       0, -2036, -2036, -2036,     0,  1066,     0,   677,   644,     0,
     868,  1573,   644,     0,     0,     0,     0,  4075,  1186,  1575,
       0,     0,  2682,     0,   677,  1576,  2865,     0,   677,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,  3865,
     625,     0,   867,     0,     0,   677,     0,     0,     0,  1577,
       0,     0,     0,     0,     0,  3980,  4102,   677,     0,     0,
       0,     0,     0, -2048,     0,     0, -2121, -2121,     0,  1591,
    1592,  1593,  1594,  1595,  1596,     0,     0,     0,  4072,     0,
       0,     0,     0,     0,     0,     0, -2048,     0, -2048, -2048,
       0,     0,     0,     0,     0,     0,     0,     0,   677,     0,
       0,     0,     0,     0,     0,     0,   738,   738,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2048,     0,     0, -2048, -2048, -2048,     0,  4105,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2937,     0,
       0,     0,     0,     0,   733,     0,     0,     0,     0,  1578,
       0,     0,  1571,  1579,   733,  1572,     0,   770,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,  4169,  4139,     0,
     738,     0,  1573,     0,  1580,  1581,     0,     0,     0,     0,
    1575,     0,     0,     0,   677,     0,  1576,     0,     0,  1582,
     738,   738,     0,     0,     0,     0,     0,     0,     0,  1810,
       0,     0,     0,     0,   677,   677,   677,   738,     0,   733,
    1577,     0,  1811,     0,  1583,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,  1812,     0,     0,     0,  3000,
    1585,  3002,     0,  1586,   738,   738,     0,     0,     0,  4156,
       0,     0,     0,  2679,   162,  4127,   166,  4124,  4125,  4126,
       0,     0,     0,   868,     0,     0,     0,  1066,     0,     0,
       0,     0,  1174,  1813,     0,  4148,   868,     0,     0,     0,
       0,     0,     0,     0,     0,  3028,     0,     0,     0,     0,
    4155,  4127,   166,  4124,  4125,  4126,     0,     0,  1465,  1465,
       0,     0,  1814,   677,  1175,   621,  3040,  1815,     0,  4147,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
    1578,     0,  1494,  4148,  1579,   677,     0,     0,  1500,   868,
       0,  4148,     0,     0,   162,  4127,   166,  4124,  4125,  4126,
       0,  1066,     0,     0,     0,  1580,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4147,     0,  1176,
    1582,     0,     0,     0,     0,  4147,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1583,     0,     0,  1584,     0,
    1177,     0,     0,     0,     0,     0,     0,  1066,  1066,     0,
    1066,  1585,  1816,  1588,  1589,  1590,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  2451,     0,  2317,     0,  1066,     0,  2680,
       0,  2318,     0,     0,     0,     0,     0,     0,     0,     0,
     185,     0,     0,     0,     0,     0,     0,  3190,  1571,   868,
       0,  1572,     0,     0,     0,     0,   868,   868,     0,     0,
       0,     0,   677,     0,     0,  1066,     0,     0,     0,     0,
       0,  1817,     0,     0,     0,     0,  1575,  1818,     0,     0,
    1819,     0,  1576,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,  1066,  1066,
       0,     0,     0,     0,     0,  1820,  1577,     0,   677,   677,
    1766,  1821,  3231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1822,    32,   644,  1571,     0,  1180,
    1572,  3236,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,  1182,     0,     0,     0,     0,  1573,  1823,     0,
    1268,     0,     0,   644,     0,  1575,  3258,     0,  1184,     0,
       0,  1576,     0,     0,  1861,     0,  1185,     0,  2838,     0,
     677,     0,     0,   738,  1588,  1589,  1590,     0,  1591,  1592,
    1593,  1594,  1595,  1596,     0,  1577,     0,  1571,     0,     0,
    1572,   770,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2121,  1573,     0,     0,
    1579,     0,     0,     0,     0,  1575,  1186,     0,     0,     0,
    2682,  1576,     0,   738,   738,   738,   738,   677,     0,     0,
       0,  1580,  1581,     0,     0,     0,   752,     0,   644,     0,
       0,     0,     0,     0,     0,  1577, -2121,     0,     0,     0,
       0,  1959,     0,   677,     0,     0,     0,     0,  1570,     0,
       0,   738,   738,  1571,     0,     0,  1572,   738,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,  1573,     0,  1578,  1574,  1585,     0,  1579,
       0,  1575,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1580,  1581,     0,   738,     0,     0,     0,     0,     0,     0,
       0,  1577,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,   752,     0,     0,     0,     0,     0,   738,   738,   738,
     738,     0,     0,     0,     0,  1578,     0,   752,     0,  1579,
    1583,     0,     0,  1584,     0,     0,  1959,     0,     0,     0,
       0,     0, -2121,     0,     0,   733,  1585,     0,     0,  1586,
    1580,  1581,   741,     0,   733,     0,     0,     0,     0,     0,
       0,     0,   770,     0,     0,  1582,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,   677,     0,   752,     0,
       0,     0,   738,   738,     0,     0,     0,   677,     0,   917,
    1583,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,  1579,  1585,     0,     0,  1586,
       0,     0,  1465,     0,     0,     0,     0,     0,     0,     0,
     733,  1587,     0,     0,   677,   677,  1580,  1581,     0,     0,
       0,     0,   677,     0,  1591,  1592,  1593,  1594,  1595,  1596,
       0,  1582,     0,     0,     0,   621,   621,     0,     0,  2154,
       0,     0,     0,  1066,     0,  1066,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,  1066,  1583,     0,  1066,  1584,
       0,  3532,     0,     0,     0,     0,  1066,  1066,     0,     0,
       0,  1587,  1585,     0,  1066,  1586,   770,  1066,  1066,  1066,
    1066,     0,     0,     0,     0,     0,     0,  1066,  1066,     0,
    1066,  1571,  1066,  1066,  1572,     0,  1066,     0,     0,  1588,
    1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,  1596,     0,
       0,     0,     0,  1066,     0,     0,  2769,   738,  1066,  1575,
       0,     0,  1066,     0,     0,  1576,  1066,     0,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,     0,  1066,     0,
       0,  1571,   677,  1066,  1572,  1066,     0,  1587,     0,  1577,
       0,   677,     0,     0,     0,     0,     0,     0,     0,  1588,
    1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1575,
       0,  1194,     0,     0,     0,  1576,  2817,  1195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1577,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1194,
       0,  3293,     0,  1485,     0,  1195,     0,  1196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,  1589,  1590,     0,  1591,
    1592,  1593,  1594,  1595,  1596,     0,     0,     0,     0, -2121,
       0,     0,     0,  1579,     0,  1196,     0,     0,     0,     0,
       0,  3294,     0,     0,     0,   677,  1197,   677,     0,  1066,
       0,     0,     0,  1198,  1580,  1581,  1199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2121,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2121,
       0,     0,     0,  1579,  1197,  2353,     0,  2360,     0,     0,
       0,  1198,  3691,   752,  1199,     0,     0,  1584,   752,     0,
       0,   752,   741,     0,  1580,  1581,     0,   621,  1200,   621,
    1585,     0,     0,  3700,     0,     0,     0,     0,     0, -2121,
       0,     0,     0,   752,  1066,  3709,     0,     0,     0,   733,
       0,   738,   738,   738,     0,   733,   770,     0,   738,     0,
     738,     0,   738,   738,     0,     0,  1200,  1584,     0,     0,
       0,     0,   752,     0,     0,     0,  1571,     0,     0,  1572,
    1585,     0,  1201,  3723,  1202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1203,   752,     0,  1861,     0,     0,
       0,     0,  1204,  2452,  1575, -2121,     0,     0,  2461,     0,
    1576,  1205,     0,     0,   677,     0,     0,     0,   752,     0,
    1201,     0,  1202,     0,     0,     0,     0,     0,     0,     0,
    2492,  2492,  1203,     0,  1577,     0,     0,   741,   752,     0,
    1204,   752,  1246,     0,     0,     0,  1207,     0,     0,  1205,
       0,   738,     0,     0,     0, -2121,     0,     0,   752,     0,
       0,     0,     0,     0,     0,   752,     0,     0,     0,     0,
       0,  1247,     0,     0,  2540,     0,  2542,  2544,   752,     0,
    1271,     0,     0,     0,  1207,     0,     0,   752,     0,     0,
       0,     0,     0,     0,     0,     0,  3297,  1591,  1592,  1593,
    1594,  1595,  1596,   738,     0,     0,     0,     0,     0,  1272,
       0,   738,   738,   738,   738,   738,   738,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,  1209,     0,  1485,
       0,     0,     0,     0, -2121,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1861,     0,     0,     0,  2492,   677,  1580,
    1581,     0,   621,     0,     0,  1209,     0,     0,     0,     0,
       0,     0,  1571,     0, -2121,  1572,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2540,     0,     0,
       0,     0,  1573,     0,   738,  2668,     0,     0,     0,     0,
    1575,     0,  1584,     0,   868,     0,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,     0,     0,     0,   738,
    2492,   738,  2492,     0,     0,     0,     0,     0,     0,     0,
    1577,     0,     0,     0,     0,     0,   868,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1465,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   752,
       0,     0,     0,     0,     0,     0,     0,     0,  1571,     0,
       0,  1572,     0,     0,     0,     0,     0,     0,     0,     0,
   -2121,   752,     0,     0,     0,   733,     0,     0,  1573,   733,
       0,     0,     0,     0,     0,     0,  1575,   738,     0,     0,
       0,     0,  1576,  1571,  1066,  1066,  1572,     0,     0,     0,
       0,     0,  1194,     0,     0,     0,     0,     0,  1195,     0,
    1578,     0,     0,  1573,  1579,  1485,  1577,     0,     0,     0,
       0,  1575,     0,     0,  1066,  1066,     0,  1576,     0,  1066,
       0,     0,     0,     0,     0,  1580,  1581,     0,     0,     0,
       0,  1066,  1066,  1066,  1066,  3028,     0,     0,  1196,     0,
    1582,  1577,     0,     0,  1066,     0,     0,  1066,     0,  1066,
    2821,     0,  1591,  1592,  1593,  1594,  1595,  1596,     0,  1066,
    1066,     0,     0,  1066,     0,  1583,     0,     0,  1584,  1485,
       0,     0,     0,  1485,  1485,     0,  1066,     0,  1066,     0,
     770,  1585,  1066,     0,  1586,     0,     0,  1197,     0,     0,
       0,     0,     0,     0,  1198,     0,     0,  1199,  1066,     0,
       0,     0,   677,     0,     0,     0,  1578,     0,     0,  2866,
    1579,  1066,  1066,  1066,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   868,     0,  1571,  1066,     0,
    1572,  1580,  1581,     0,     0,     0,     0,     0,     0,  1066,
       0,  1578,     0,     0,  1066,  1579,  1582,     0,   677,  1200,
       0,  1066,     0,     0,     0,  1575,  1587,  2866,     0,     0,
    2905,  1576,     0,     0,  2360,     0,  1580,  1581,     0,     0,
       0,  1583,     0,   752,  1584,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,  1577,     0,  1585,     0,     0,
    1586,     0,     0,     0,  1066,     0,  2492,     0,     0,     0,
       0,  1465,     0,  1201,     0,  1202,  1583,     0,     0,  1584,
     868,     0,     0,  1194,     0,  1203,     0,     0,   738,  1195,
     738,   738,  1585,  1204,     0,  1586,     0,     0,     0,     0,
       0,     0,  1205,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,  1589,  1590,  3630,  1591,  1592,
    1593,  1594,  1595,  1596,     0,     0,     0,     0,  2238,  1196,
       0,     0,  1587,  1826,     0,     0,     0,  1207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2121,     0,     0,     0,  1579,
       0,     0,  1827,     0,     0,     0,     0,  1587,     0,     0,
     752,     0,     0,     0,     0,     0,     0,   752,  1197,     0,
    1580,  1581,     0,     0,     0,  1198,     0,     0,  1199,     0,
       0,     0,     0,     0,     0, -2121,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1209,     0,
    1588,  1589,  1590,  1584,  1591,  1592,  1593,  1594,  1595,  1596,
       0,     0,     0,     0,  3080,   752,  1585,     0,     0,     0,
    1200,     0,     0,     0,     0,  2492,  2492,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,  1589,  1590,     0,  1591,
    1592,  1593,  1594,  1595,  1596,     0,     0,     0,     0,  3278,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1201,     0,  1202,   868,     0,   868,
       0,     0,     0,   677,     0,     0,  1203,     0,     0,     0,
       0, -2121,     0,     0,  1204,     0,     0,     0,     0,     0,
       0,     0,     0,  1205,     0,     0,     0,  1465,   677,     0,
       0,     0,     0,     0,     0,   677,     0,     0,     0,   677,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   677,     0,     0,     0,  1207,     0,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   677,     0,  1208,   677,     0,     0,   752,     0,     0,
       0,  3203,     0,     0,     0,     0,     0,     0,     0,   733,
       0,     0,   752,  1591,  1592,  1593,  1594,  1595,  1596,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   677,     0,
     752,     0,     0,     0,     0,  1340,   738,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,  1209,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,  1066,
       0,  1066,     0,     0,     0,     0,     0,  1066,     0,     0,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
       0,     0,     0,  1066,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,     0,     0,
    1066,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1066,     0,     0,  1066,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,  1066,
    1066,     0,     0,     0,  1066,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,   677,   677,   677,  2866,  3311,     0,
       0,     0,  3311,  3324,     0,     0,     0,  1066,     0,     0,
       0,  1340,     0,  3338,     0,  1066,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,   497,     0,     0,     0,     0,  1066,   542,   497,     0,
    2360,     0,  1066,   582,     0,   497,     0,     0,     0,     0,
     497,     0,   630,     0,     0,     0,     0,  3377,  1465,  1465,
       0,  1959,     0,     0,     0,     0,     0,     0,     0,     0,
     689,     0,     0,   738,   738,   738,   738,     0,     0,     0,
       0,     0,   752,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,  3410,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,  1621,     0,     0,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,     0,     0,   752,     0,     0,   752,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3459,     0,     0,     0,     0,     0,     0,
    1229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   868,  1197,     0,
       0,     0,  1340,     0,     0,  1198,     0,     0,  1199,     0,
       0,     0,   745,     0,     0,     0,     0,     0,     0,     0,
       0,   772,     0,   774,     0,   776,     0,   778,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   677,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   738,  1340,
    1066,     0,     0,     0,     0,     0,   677,  1230,     0,     0,
    1200,     0,     0,     0,     0,     0,     0,     0,     0,  1861,
       0,     0,     0,     0,     0,     0,     0,     0,  1340,   677,
       0,     0,     0,     0,     0,     0,     0,     0,  2540,     0,
       0,   509,     0,     0,  3551,     0,     0,     0,  1861,     0,
    3203,     0,  1231,   510,  1232,     0,     0,     0,     0,     0,
       0,  1066,  1066,     0,  1233,     0,  1202,     0,     0,     0,
       0,     0,     0,     0,   511,     0,  1203,  1571,     0,     0,
    1572,     0,     0,  2492,  1204,  2492,     0,   512,     0,     0,
       0,     0,  1234,  1205,  1340,     0,   513,  1573,     0,     0,
    -682,     0,   752,     0,     0,  1575,     0,     0,     0,     0,
       0,  1576,     0,  1340,     0,     0,     0,   514,  1066,     0,
       0,     0,     0,   515,  1235,     0,     0,     0,  1207,  1236,
       0,     0,     0,  1340,     0,  1577,     0,     0,   516,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1237,  1066,     0,   517,     0,  1340,     0,
       0,     0,     0,  1238,  1066,  1066,     0,   518,     0,     0,
       0,     0,  1066,  1066,   519,     0,     0,  1066,   520,     0,
       0,     0,     0,  1066,  1066,     0,     0,  1066,     0,   677,
     677,   677,   677,  -863,     0,     0,  3311,     0,     0,  3638,
       0,     0,  2866,     0,     0,     0,  2866,     0,     0,  1209,
    1340,     0,  3651,     0,     0,  1066,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,  3661,     0,     0,     0,
     521,     0,  1066,     0,     0,  1578,     0,     0,   770,  1579,
       0,     0,     0,     0,     0,     0,  2905,     0,     0,     0,
    2360,     0,     0,     0,     0,     0,     0,     0,     0,   621,
    1580,  1581,  1066,     0,     0,     0,     0,   522,     0,     0,
     523,     0,     0,     0,     0,  1582,     0,     0,     0,  2492,
    2492,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   825,     0,  3699,     0,     0,     0,
    1583,   832,     0,  1584,     0,   752,     0,     0,     0,     0,
     847,   848,     0,     0,     0,   850,  1585,   752,     0,  1586,
     524,     0,     0,     0,     0,   864,   525,     0,     0,     0,
     738,     0,  -360,     0,     0,   526,     0,     0,   872,     0,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,   892,     0,     0,   894,     0,   896,     0,   899,
    -360,     0,   527,   528,     0,   529,   530,     0,   868,     0,
       0,     0,     0,     0,   531,     0,  1465,     0,     0,   532,
       0,  1340,     0,     0,   533,     0,     0,   534,     0,     0,
     535,  1587,     0,     0,   497,     0,     0,     0,     0,     0,
       0,     0,     0,  -360,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   955,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   738,  1861,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
       0,     0,     0,     0,     0,     0,   735,     0,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
     689,     0,     0,     0,     0,     0,     0,     0,   752,  1588,
    1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,  1596,     0,
    1066,     0,     0,  3350,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,  1066,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,  3311,     0,     0,
       0,  2866,     0,     0,     0,     0,  2866,     0,     0,  2866,
    2540,     0,  3840,     0,  1066,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   752,     0,   752,     0,  1274,     0,  3377,
     770,   738,   738,   738,     0,     0,     0,     0,     0,     0,
       0,     0,  1286,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1294,     0,     0,     0,   733,   770,     0,
    1296,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1346,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1465,     0,     0,
       0,     0,     0,   733,     0,     0,   677,     0,     0,     0,
       0,     0,     0,     0,  1388,     0,     0,     0,     0,  2492,
       0,  1861,     0,     0,  1340,     0,     0,     0,     0,  1340,
    1340,     0,  3551,     0,     0,     0,     0,   677,     0,     0,
    1340,     0,     0,     0,     0,     0,   738,  3377,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1571,     0,
       0,  1572,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,  1066,     0,  1066,   497,     0,   497,  1573,   497,
       0,   497,     0,   497,   497,   497,  1575,     0,     0,     0,
     497,  1066,  1576,     0,     0,  2866,     0,     0,  3840,     0,
       0,     0,     0,     0,  3967,     0,     0,     0,     0,     0,
       0,     0,     0,  -115,     0,     0,  1577,     0,     0,     0,
       0,     0,     0,     0,   738,     0,     0,     1,   677,     0,
       0,     0,     0,     0,     0,     0,     0,     2,     0,     3,
       4,   738,   738,   738,   738,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     5,   735,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1340,     0,     0,
       0,     0,     0,  1066,     6,     0,     7,     8,     0,     0,
       0,     0,     9,     0,    10,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    11,     0,    12,     0,     0,   735,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
       0,     0,    13,     0,     0,    14,  1578,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,    15,  1066,    16,
       0,     0,     0,    17,   738,     0,   770,     0,     0,    18,
    1340,  1580,  1581,  1066,     0,     0,    19,     0,    20,     0,
       0,     0,     0,     0,    21,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   689,    22,     0,
       0,     0,     0,   738,     0,     0,   733,     0,     0,     0,
       0,  1583,     0,     0,  1584,  3377,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,  3967,
    1586,   735,  1066,  1066,     0,   752,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   733,     0,     0,     0,     0,
    1340,    23,    24,   738,     0,     0,  1825,    25,     0,     0,
     735,     0,     0,     0,     0,    26,     0,     0,     0,     0,
       0,     0,  1571,     0,     0,  1572,    27,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,  1573,   738,     0,     0,     0,     0,     0,     0,
    1575,     0,  1587,     0,     0,     0,  1576,     0,     0,     0,
       0,     0,     0,    28,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    29,     0,     0,     0,     0,    30,
    1577,    31,     0,     0,     0,     0,    32,     0,     0,     0,
       0,    33,     0,     0,    34,     0,     0,  1066,    35,     0,
       0,     0,     0,    36,    37,     0,   733,     0,     0,     0,
       0,    38,     0,     0,    39,     0,     0,     0,     0,     0,
     735,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,     0,    41,     0,     0,     0,     0,     0,     0,
    1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,  1596,
      42,     0,  1342,     0,  3371,     0,     0,     0,     0,    43,
       0,     0,     0,  1571,     0,    44,  1572,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,    46,  1573,  1579,   735,  2011,     0,     0,     0,
       0,  1575,     0,     0,     0,     0,     0,  1576,     0,  2033,
       0,     0,     0,     0,     0,  1580,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,  -115,
    1582,  1577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,     0,     0,  2074,     0,     0,
       0,  2078,     0,     0,     0,  1583,     0,     0,  1584,     0,
    2087,     0,  2089,     0,  2090,     0,     0,     0,     0,  2091,
       0,  1585,  1340,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1342,     0,
       0,     0,   497,     0,   497,     0,   497,     0,   497,     0,
     497,     0,     0,     0,   497,     0,     0,     0,     0,     0,
    1340,  1340,     0,  1340,     0,     0,     0,   735,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   735,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1580,  1581,     0,     0,
       0,     0,     0,  1340,     0,  1340,     0,     0,     0,     0,
       0,  1582,     0,   735,   735,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,     0,  1583,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1340,
       0,     0,  1585,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1340,   735,  1717,     0,  1588,  1589,  1590,     0,  1591,  1592,
    1593,  1594,  1595,  1596,     0,     0,     0,     0,  3598,     0,
       0,     0,     0,     0,     0,  1340,     0,     0,     0,     0,
     735,     0,     0,     0,   735,   735,     0,     0,     0,     0,
     172,     0,     0,  1340,     0,     0,     0,     0,     0,  1342,
       0,     0,     0,     0,     0,  1717,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,     0,     0,   174,
       0,     0,     0,     0,     0,     0,     0,  1340,     0,     0,
       0,     0,     0,     0,     0,     0,   175,     0,     0,     0,
    1340,     0,   176,     0,     0,  1342,     0,     0,     0,     0,
       0,  1340,     0,     0,     0,     0,     0,   177,     0,     0,
       0,     0,     0,     0,     0,  1588,  1589,  1590,     0,  1591,
    1592,  1593,  1594,  1595,  1596,   178,     0,     0,     0,  3632,
       0,     0,     0,     0,     0,     0,   179,     0,     0,     0,
       0,   180,     0,     0,     0,     0,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2367,  2368,
       0,  1342,   182,  2371,  2372,     0,  1340,  2375,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2385,     0,     0,
    1342,     0,     0,     0,  2393,  1340,     0,   183,     0,     0,
    2398,  2399,     0,     0,     0,     0,     0,     0,     0,     0,
    1342,  2413,     0,  2415,     0,     0,     0,     0,     0,     0,
    1340,     0,     0,     0,     0,     0,     0,  2435,  1341,     0,
    1717,     0,  2437,     0,     0,  1342,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1340,     0,  2453,  2454,
    2457,  2459,     0,     0,     0,  2466,  2469,     0,     0,  1571,
       0,     0,  1572,  2480,   185,     0,  2484,     0,     0,     0,
    2488,   735,     0,     0,     0,     0,     0,  1342,     0,  1573,
     735,     0,     0,     0,     0,     0,  2511,  1575,     0,   186,
       0,     0,     0,  1576,     0,   187,  2514,     0,  2516,     0,
       0,   188,     0,     0,   189,     0,  2519,  2520,  2521,     0,
    2523,     0,     0,     0,     0,     0,     0,  1577,     0,     0,
       0,     0,     0,  2546,  2547,  2548,     0,     0,     0,   190,
       0,   191,     0,  2553,  2554,   192,     0,     0,     0,     0,
       0,     0,     0,   193,  1341,     0,   735,     0,   194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
       0,     0,     0,     0,     0,     0,     0,  1571,     0,     0,
    1572,     0,   196,     0,     0,     0,     0,     0,     0,   735,
       0,   735,     0,     0,     0,     0,     0,  1573,   735,     0,
       0,   735,     0,  2616,   735,  1575,     0,     0,  1340,     0,
       0,  1576,   735,   735,     0,     0,     0,     0,     0,     0,
     735,     0,     0,   735,   735,   735,   735,  1578,     0,     0,
       0,  1579,     0,   735,   735,  1577,   735,     0,   735,   735,
       0,     0,   735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1580,  1581,     0,     0,     0,     0,  1342,   735,
    1717,     0,     0,     0,   735,     0,     0,  1582,   735,     0,
       0,     0,   735,     0,   735,   735,   735,   735,   735,   735,
     735,   735,   735,     0,   735,     0,     0,     0,     0,   735,
       0,   735,  1583,     0,     0,  1584,     0,     0,     0,  1571,
       0,     0,  1572,     0,     0,     0,     0,     0,  1585,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,  1573,
       0,     0,     0,     0,     0,     0,     0,  1575,     0,     0,
       0,     0,     0,  1576,     0,  1578,     0,     0,     0,  1579,
       0,  2736,     0,     0,     0,  1341,     0,     0,     0,     0,
    1571,     0,     0,  1572,     0,  1340,     0,  1577,     0,     0,
    1580,  1581,     0,     0,     0,     0,     0,     0,     0,     0,
    1573,     0,     0,     0,     0,  1582,     0,     0,  1575,     0,
       0,     0,     0,  1587,  1576,     0,     0,     0,     0,  1340,
       0,     0,  1854,     0,     0,     0,     0,     0,     0,     0,
    1583,     0,     0,  1584,     0,     0,     0,     0,  1577,     0,
       0,     0,     0,     0,     0,   735,  1585,     0,     0,  1586,
       0,  1341,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,  1579,     0,  1717,     0,     0,     0,     0,     0,     0,
       0,  1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,
    1596,     0,  1580,  1581,     0,  3818,     0,  1341,     0,     0,
     735,  1587,     0,     0,     0,   735,  1340,  1582,     0,     0,
       0,   735,     0,     0,     0,     0,  1341,  1340,  1578,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,     0,     0,  1584,  1341,     0,     0,     0,
       0,  1342,     0,  1580,  1581,     0,  1342,  1342,  1585,     0,
       0,  1586,     0,     0,     0,     0,     0,  1342,  1582,     0,
       0,  1341,     0,     0,     0,     0,     0,     0,  2915,  2916,
       0,     0,     0,  1717,     0,     0,  1717,     0,     0,     0,
       0,     0,     0,  1583,     0,     0,  1584,     0,     0,  1588,
    1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1585,
       0,     0,  1586,  3858,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1341,     0,     0,  1340,     0,     0,     0,
       0,     0,     0,  1587,  2947,  2949,     0,     0,  2949,     0,
       0,     0,  2956,  2957,  2958,     0,     0,  1340,     0,     0,
       0,     0,  1571,     0,     0,  1572,     0,     0,     0,  1340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1573,     0,     0,     0,  2976,  2977,  2978,  2979,
    1575,     0,     0,     0,  1587,     0,  1576,     0,     0,     0,
       0,     0,   735,     0,  1342,     0,     0,  1340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1577,     0,  3004,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,
    1596,     0,     0,     0,     0,  3899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3036,     0,  1342,     0,     0,
    3038,     0,  1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,
    1595,  1596,     0,     0,     0,     0,  4074,     0,  1053,     0,
       0,     0,     0,     0,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,     0,
    1578,     0,     0,     0,  1579,     0,     0,  1109,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2310,     0,     0,
       0,     0,  3123,     0,     0,  1580,  1581,     0,     0,     0,
       0,     0,  3130,  1340,     0,     0,     0,  1342,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,     0,     0,   735,     0,     0,  3149,     0,
    3151,     0,     0,     0,     0,  1583,     0,     0,  1584,     0,
     735,   735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1585,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3191,     0,     0,
     735,   735,     0,     0,     0,   735,     0,     0,     0,     0,
    3200,     0,     0,     0,     0,     0,     0,   735,   735,   735,
     735,     0,     0,     0,     0,  1717,     0,     0,     0,     0,
     735,  1717,  1340,   735,     0,   735,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   735,   735,     0,     0,   735,
       0,     0,  1571,     0,     0,  1572,  1587,     0,     0,     0,
       0,     0,   735,     0,   735,     0,     0,     0,   735,     0,
       0,     0,  1573,     0,     0,     0,     0,     0,     0,     0,
    1575,     0,     0,     0,   735,     0,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,   735,   735,   735,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1577,     0,     0,     0,   735,     0,     0,     0,  1340,     0,
       0,     0,     0,     0,     0,   735,     0,     0,     0,     0,
     735,     0,     0,     0,     0,     0,     0,   735,     0,  1340,
       0,     0,     0,   735,  1588,  1589,  1590,     0,  1591,  1592,
    1593,  1594,  1595,  1596,     0,     0,     0,  2439,  4158,     0,
       0,     0,  1854,  2446,     0,     0,     0,     0,     0,  1340,
       0,     0,     0,  1341,     0,     0,     0,     0,     0,     0,
     735,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1342,
       0,     0,     0,  1340,  1510,     0,     0,  1340,  1340,     0,
    1578,     0,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1533,     0,     0,  1580,  1581,  1342,  1342,     0,
    1342,     0,  3388,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1558,  1559,     0,  1561,     0,     0,     0,  1717,  1717,  1717,
       0,     0,     0,     0,     0,  1583,  3409,     0,  1584,     0,
    1601,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1342,  1585,  1342,     0,  1586,     0,     0,     0,     0,     0,
    1341,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3437,     0,  1636,     0,
       0,  3444,  3445,     0,  3447,  3448,  3449,  3450,  3451,  3452,
    3453,     0,     0,     0,     0,     0,  1342,     0,     0,  3460,
       0,     0,     0,     0,     0,     0,     0,  1738,     0,     0,
       0,  1748,  1751,     0,     0,     0,     0,  1342,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,  1854,     0,     0,     0,     0,     0,  1717,
       0,     0,  1342,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1717,
    1342,     0,     0,     0,     0,     0,     0,     0,  3509,  3511,
    3513,     0,     0,  3516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1341,  1588,  1589,  1590,     0,  1591,  1592,
    1593,  1594,  1595,  1596,  1342,     0,  3346,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1342,     0,     0,
       0,     0,     0,     0,     0,     0,  1571,     0,  1342,  1572,
       0,  2949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1573,     0,     0,     0,
       0,     0,     0,     0,  1575,   735,     0,     0,     0,     0,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1577,     0,     0,     0,     0,     0,
     735,     0,     0,  1342,     0,     0,     0,     0,     0,   735,
       0,     0,     0,     0,     0,   735,     0,   735,     0,     0,
       0,     0,  1342,   735,     0,     0,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,     0,     0,     0,   735,
     735,     0,     0,     0,     0,     0,     0,  1342,     0,     0,
       0,     0,   735,     0,     0,     0,   735,     0,  1717,     0,
     735,     0,     0,  2310,  2310,  2310,     0,     0,     0,     0,
     735,     0,  4132,   735,     0,   735,     0,     0,     0,     0,
       0,     0,     0,  1342,   735,   735,   735,     0,     0,     0,
     735,     0,     0,   735,  1578,     0,     0,     0,  1579,     0,
       0,     0,     0,   735,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,     0,     0,     0,     0,  1580,
    1581,   735,     0,   735,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   735,     0,     0,     0,
       0,  3694,   735,     0,     0,     0,     0,     0,   735,  1583,
       0,     0,  1584,     0,     0,  1341,     0,     0,     0,     0,
    3705,  3706,     0,   735,     0,  1585,     0,     0,  1586,     0,
       0,     0,  3715,  3716,     0,  2178,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4133,     0,     0,     0,     0,
       0,     0,     0,  1854,  2446,     0,  2446,  2200,     0,     0,
    2202,     0,     0,  2213,     0,  1332,     0,     0,     0,     0,
    2220,  2225,     0,     0,     0,     0,  2231,     0,     0,  2236,
    1717,     0,     0,     0,  1717,  1342,  1717,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2245,     0,     0,     0,
    1587,  2252,     0,     0,     0,  2264,  1341,     0,  1341,  2271,
       0,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,
       0,  2282,     0,     0,     0,     0,  1053,     0,  2307,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3762,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3782,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1571,  3800,     0,  1572,     0,  1588,  1589,
    1590,  1332,  1591,  1592,  1593,  1594,  1595,  1596,  2446,     0,
       0,     0,     0,  1573,     0,     0,   735,  2330,     0,     0,
       0,  1575,     0,     0,     0,     0,  2446,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,     0,     0,  1598,     0,     0,     0,     0,
       0,  1577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1109,  1571,     0,     0,  1572,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,   735,   735,     0,
     497,     0,     0,  1573,     0,     0,     0,     0,     0,     0,
    1341,  1575,     0,     0,     0,     0,  2331,  1576,     0,     0,
       0,  1598,     0,  2446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1341,     0,  1334,     0,     0,     0,
       0,  1577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,     0,  2396,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,  3906,     0,     0,     0,  1580,  1581,     0,  1341,
     735,   735,     0,  1342,     0,     0,     0,     0,   735,   735,
       0,  1582,  1332,   735,  1342,     0,     0,     0,  1341,   735,
     735,     0,     0,   735,     0,     0,     0,     0,     0,  2949,
       0,     0,     0,     0,     0,     0,  1583,     0,   735,  1584,
       0,  1578,   735,  1341,     0,  1579,     0,     0,     0,     0,
       0,   735,  1585,     0,     0,  1586,   735,     0,     0,  1332,
       0,     0,  1334,     0,     0,     0,  1580,  1581,   735,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1341,
       0,  1582,     0,     0,     0,     0,     0,     0,  1332,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,     0,
       0,     0,     0,  1335,     0,     0,  1583,     0,     0,  1584,
       0,     0,     0,  1342,     0,     0,     0,     0,     0,  2310,
       0,     0,  1585,     0,     0,  1586,     0,  1587,     0,     0,
       0,     0,     0,     0,  1342,     0,     0,     0,     0,  2589,
       0,     0,     0,     0,  3270,     0,  1342,     0,     0,     0,
       0,     0,     0,     0,  1332,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1332,     0,     0,  2332,     0,  2949,     0,
       0,     0,     0,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,  1332,     0,     0,     0,  1587,     0,     0,
       0,     0,  1717,     0,     0,     0,     0,     0,     0,     0,
    3271,     0,     0,     0,     0,  1588,  1589,  1590,  1332,  1591,
    1592,  1593,  1594,  1595,  1596,     0,     0,     0,     0,  1335,
       0,  2446,     0,     0,     0,     0,     0,     0,     0,     0,
     735,     0,     0,     0,  4071,     0,     0,  1598,     0,     0,
       0,     0,  1717,  1334,  2710,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1571,     0,     0,  1572,  1588,  1589,  1590,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1342,     0,     0,     0,     0,
    1334,  1573,     0,     0,     0,     0,     0,     0,     0,  1575,
       0,     0,     0,     0,     0,  1576,     0,     0,     0,     0,
       0,     0,  1598,     0,     0,     0,   735,     0,  2753,  1334,
    1342,     0,     0,     0,     0,   735,     0,     0,     0,  1577,
       0,     0,     0,     0,     0,  1598,     0,     0,     0,     0,
    2209,     0,   735,   735,     0,     0,   735,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,     0,     0,
    1598,  1598,   735,  1598,  2225,   735,  2225,  2225,  1341,     0,
     735,   735,     0,     0,     0,     0,     0,  2815,     0,     0,
    2818,     0,  2820,     0,     0,  1334,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   735,     0,     0,     0,     0,
       0,     0,  1854,  1598,  1334,     0,     0,     0,  2793,  2841,
    1335,  2843,     0,  2794,     0,  2846,     0,     0,     0,  1342,
       0,     0,     0,   735,  1334,     0,     0,     0,     0,  1578,
       0,  1332,     0,  1579,     0,     0,     0,     0,  1598,     0,
       0,     0,     0,     0,  2307,  2307,  2307,     0,     0,  1334,
       0,     0,     0,     0,  1580,  1581,     0,  1335,     0,   735,
       0,  2883,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,  1738,     0,     0,     0,     0,  2893,     0,     0,
       0,     0,     0,     0,  1751,     0,  1335,     0,     0,     0,
       0,     0,     0,     0,  1583,     0,     0,  1584,     0,     0,
       0,  1334,   553,   735,     0,  1342,     0,     0,     0,  1341,
    1585,     0,     0,  1586,   554,     0,     0,     0,     0,     0,
    1341,     0,     0,     0,     0,   735,  1342,  2924,   735,     0,
     735,     0,     0,     0,     0,   555,     0,     0,     0,     0,
    1598,     0,     0,     0,     0,     0,     0,   735,   556,     0,
    1598,   735,  1335,  1598,     0,     0,  1342,  2310,     0,     0,
       0,   557,  2310,     0,     0,     0,     0,     0,     0,     0,
       0,  1335,     0,     0,  2310,     0,     0,     0,   558,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
    1342,  1335,     0,     0,  1342,  1342,     0,     0,     0,   559,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1335,   560,     0,  1341,
       0,  1717,     0,     0,     0,     0,     0,     0,   561,   735,
       0,     0,     0,   562,     0,     0,     0,     0,     0,   563,
    1341,     0,     0,     0,     0,     0,     0,     0,  1337,     0,
       0,     0,  1341,     0,   564,     0,  1342,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1335,     0,
       0,     0,  1334,  1588,  1589,  1590,     0,  1591,  1592,  1593,
    1594,  1595,  1596,     0,   735,     0,     0,     0,     0,     0,
    1341,     0,     0,     0,     0,     0,     0,     0,     0,   735,
       0,     0,     0,     0,  1332,     0,  1338,     0,     0,  1332,
    1332,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,     0,     0,     0,     0,     0,     0,     0,   565,     0,
       0,     0,   735,     0,     0,     0,     0,     0,   566,     0,
       0,   735,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   185,     0,   735,   735,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,     0,     0,  1337,     0,     0,     0,     0,     0,
       0,   567,     0,     0,     0,   568,     0,   569,     0,     0,
       0,     0,     0,   570,     0,     0,   571,     0,     0,     0,
       0,  3792,     0,     0,   735,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   735,     0,     0,     0,     0,     0,
       0,   572,     0,   573,     0,     0,     0,   574,     0,     0,
    1717,     0,  1338,     0,     0,   575,  1341,     0,     0,  1335,
     576,     0,     0,     0,     0,     0,     0,  1332,     0,     0,
       0,   577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   578,     0,     0,     0,     0,     0,
       0,     0,     0,   735,     0,     0,     0,     0,  1717,  1339,
       0,     0,   735,     0,     0,     0,  1717,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3229,     0,     0,
       0,     0,     0,     0,     0,     0,  3232,     0,     0,     0,
       0,     0,  3233,     0,  3234,     0,     0,     0,     0,     0,
    1332,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2446,  3252,  3253,     0,     0,
    1571,     0,     0,  1572,     0,  1334,     0,     0,     0,     0,
    1334,  1334,     0,     0,     0,     0,     0,  2231,     0,     0,
    1573,  1334,     0,  2757,     0,  1337,     0,  3281,  1575,     0,
    3284,     0,  3286,     0,  1576,     0,     0,     0,     0,     0,
    1598,  3290,     0,     0,     0,     0,     0,  3295,     0,     0,
    3298,     0,     0,     0,     0,     0,     0,     0,  1577,     0,
    1332,     0,  1598,     0,  1598,  1339,  2209,  2209,  2789,     0,
    3327,  2209,  1337,     0,     0,  1598,     0,     0,  3339,     0,
    2307,  2446,  1598,  1338,     0,     0,     0,  1598,     0,     0,
       0,     0,     0,  1598,     0,     0,     0,     0,  1598,     0,
       0,  1337,  1341,  3353,     0,     0,     0,  1598,     0,  1053,
       0,  2209,  2209,     0,  1598,  1109,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1598,     0,     0,     0,
    1338,     0,  1341,  1598,     0,  1598,  1598,  1598,  1598,  1598,
    1598,  1598,  1598,  1598,  1598,     0,     0,     0,  1334,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,  1338,
       0,     0,  1579,     0,     0,     0,  1341,  1337,     0,  1598,
    1341,  1341,  1335,     0,     0,     0,     0,  1335,  1335,     0,
       0,     0,     0,  1580,  1581,     0,  1337,     0,  1335,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,  1337,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1334,     0,  1583,     0,  1338,  1584,     0,     0,     0,
       0,  1337,  3792,     0,     0,     0,     0,     0,     0,  1585,
       0,     0,  1586,     0,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1339,     0,  1598,     0,
    1571,     0,     0,  1572,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1573,     0,     0,  1337,     0,     0,     0,     0,  1575,  1338,
       0,     0,     0,     0,  1576,     0,     0,     0,     0,     0,
       0,  1334,     0,  1339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,  1335,     0,     0,  1577,     0,
       0,     0,  1332,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1339,     0,     0,     0,     0,     0,     0,     0,
       0,  1338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,  1332,     0,  1332,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3566,  3567,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1335,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1339,     0,
       0,     0,  1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,
    1595,  1596,     0,  1332,     0,  1332,     0,  1339,  1578,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,  3596,     0,     0,     0,     0,     0,  1339,     0,     0,
       0,     0,     0,  1580,  1581,     0,     0,     0,     0,     0,
       0,  1598,     0,     0,  1337,     0,     0,     0,  1582,  1332,
       0,     0,  1339,     0,     0,     0,     0,     0,  1335,     0,
       0,     0,     0,     0,     0,     0,     0,  3614,  3616,     0,
    1332,     0,     0,  1583,     0,     0,  1584,     0,     0,     0,
    3623,     0,     0,     0,     0,     0,  3628,  3629,     0,  1585,
    3631,     0,  1586,     0,     0,  1332,     0,     0,     0,     0,
       0,     0,  1338,     0,  1339,     0,  2771,     0,     0,     0,
       0,     0,     0,  1332,     0,     0,     0,     0,  2307,     0,
       0,  1571,     0,  2307,  1572,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2307,     0,     0,     0,     0,
       0,  1573,     0,     0,  2801,     0,     0,     0,     0,  1575,
       0,     0,     0,  1334,     0,  1576,     0,     0,     0,     0,
       0,     0,  1598,     0,  1587,  3677,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1332,     0,  1577,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1332,  1334,  1334,     0,  1334,     0,     0,     0,     0,     0,
       0,  1332,     0,     0,     0,  1598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2789,  2789,     0,  2209,
       0,     0,  2209,  2209,  2209,  2209,  2209,  2209,  2209,  2209,
    2209,  2209,  2789,     0,  1334,     0,  1334,     0,     0,     0,
       0,     0,  1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,
    1595,  1596,     0,     0,     0,     0,  1332,  1598,     0,     0,
    1598,     0,  1598,     0,     0,  1339,     0,  2789,  2789,  1578,
       0,     0,     0,  1579,     0,  1332,     0,     0,     0,     0,
    1334,  2209,  2209,  1598,     0,  1598,     0,     0,  1598,     0,
       0,     0,     0,     0,  1580,  1581,     0,  3749,     0,     0,
    1332,  1334,     0,     0,     0,     0,     0,  1337,     0,  1582,
    1335,  1571,  1337,  1337,  1572,     0,     0,     0,     0,     0,
       0,     0,     0,  1337,     0,  1598,  1334,     0,     0,     0,
       0,  1573,     0,     0,  1583,  1598,  1332,  1584,     0,  1575,
       0,     0,     0,     0,  1334,  1576,     0,     0,  1335,  1335,
    1585,  1335,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1338,  1598,     0,     0,  1577,
    1338,  1338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1335,     0,  1335,     0,     0,     0,     0,  1334,     0,
       0,     0,     0,  3826,     0,     0,     0,     0,     0,     0,
       0,  1334,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,  1334,     0,     0,     0,     0,     0,  3843,     0,
       0,     0,     0,     0,     0,     0,     0,  1335,     0,     0,
    1337,     0,     0,  2806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1335,  1578,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1332,     0,
       0,     0,     0,  1335,  1580,  1581,     0,  1334,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1338,  1582,
       0,  1335,     0,  1588,  1589,  1590,  1334,  1591,  1592,  1593,
    1594,  1595,  1596,  1337,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1583,     0,     0,  1584,  1339,     0,
       0,  1334,     0,  1339,  1339,     0,     0,     0,     0,     0,
    1585,     0,  2209,  1586,  1339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1571,     0,  1335,  1572,  1334,     0,     0,
       0,  1338,     0,     0,     0,     0,     0,     0,  1335,     0,
       0,     0,     0,  1573,     0,  2231,  2812,     0,     0,  1335,
       0,  1575,     0,  1337,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,  3958,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,  1577,     0,     0,     0,  1332,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1338,     0,     0,  1335,     0,     0,     0,     0,  1332,
       0,  1598,     0,     0,  1598,  1598,  1598,     0,     0,  2789,
       0,  1339,     0,  1335,  2789,  2789,  2789,  2789,  2789,  2789,
    2789,  2789,  2789,  2789,  1598,  1598,  4015,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1335,     0,
       0,     0,     0,  1588,  1589,  1590,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1598,  2209,  2209,  1598,     0,  1598,  1334,
       0,  1578,  1598,  2789,  2789,  1579,     0,  1598,     0,     0,
    1598,     0,     0,     0,  1335,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1339,     0,  1580,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,  4054,     0,     0,  1598,
       0,  1582,     0,     0,     0,     0,  1332,     0,     0,     0,
       0,  1598,     0,     0,     0,     0,     0,  1332,     0,     0,
       0,     0,     0,     0,     0,  1598,  1583,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4091,  4091,     0,     0,     0,
       0,     0,     0,     0,  1339,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1337,     0,     0,     0,     0,
       0,  4091,     0,     0,     0,     0,  1334,     0,     0,     0,
       0,  4136,     0,     0,     0,     0,  1332,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,  1335,     0,     0,     0,
       0,     0,     0,  1337,  1337,     0,  1337,  1332,     0,     0,
    1334,     0,     0,     0,     0,     0,     0,     0,     0,  1332,
       0,     0,     0,  1338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4091,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1337,  1332,  1337,  2789,
       0,  1338,  1338,     0,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,  1589,  1590,     0,  1591,
    1592,  1593,  1594,  1595,  1596,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,     0,  1598,  1598,
       0,     0,     0,     0,  1338,     0,  1338,  1334,     0,     0,
       0,     0,     0,  1337,     0,     0,     0,     0,  1334,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1598,     0,
       0,     0,  2209,  1335,     0,     0,     0,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,  1598,     0,  1598,     0,
    1338,     0,     0,  2789,  2789,  1598,  1337,     0,  2209,  2209,
    1598,  1598,     0,  1598,     0,     0,     0,  1335,     0,     0,
       0,  1338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1339,     0,     0,     0,
       0,     0,     0,  1332,     0,     0,  1338,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1598,
       0,     0,     0,     0,  1338,     0,     0,  1334,     0,     0,
    1337,     0,     0,     0,  1339,  1339,     0,  1339,     0,     0,
       0,     0,     0,  1337,     0,     0,     0,     0,  1334,  1571,
       0,     0,  1572,     0,  1337,     0,     0,     0,     0,     0,
    1334,     0,     0,     0,     0,     0,     0,     0,     0,  1573,
       0,     0,     0,     0,     0,     0,     0,  1575,     0,     0,
       0,     0,     0,  1576,  1335,     0,     0,  1339,  1338,  1339,
       0,  1598,     0,     0,     0,  1335,     0,     0,  1334,     0,
       0,  1338,  1332,     0,     0,     0,     0,  1577,     0,     0,
       0,     0,  1338,     0,     0,     0,     0,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1339,     0,     0,     0,     0,  1337,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2789,  2209,     0,     0,  1339,     0,     0,     0,  1571,     0,
       0,  1572,     0,  1337,     0,     0,  2789,  2789,  1598,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,  1573,  1339,
       0,  3277,     0,     0,     0,  1598,  1575,     0,  1332,     0,
       0,     0,  1576,     0,  1335,     0,  1338,  1339,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,  1332,
       0,  1579,     0,     0,     0,  1335,  1577,     0,     0,     0,
       0,  1338,     0,     0,     0,     0,     0,  1335,     0,     0,
       0,     0,  1580,  1581,     0,     0,     0,     0,     0,  1332,
       0,     0,     0,     0,  1334,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,  1339,     0,     0,  1571,  1335,     0,  1572,     0,     0,
       0,     0,  1583,  1332,  1339,  1584,     0,  1332,  1332,     0,
       0,     0,     0,     0,  1573,  1339,     0,     0,  1585,     0,
    2789,  1586,  1575,     0,     0,     0,     0,     0,  1576,     0,
    1598,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
    1579,     0,  1577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1580,  1581,  1334,     0,     0,     0,     0,     0,     0,
    1339,  1337,     0,     0,     0,     0,  1582,  1598,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,  1339,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1583,     0,     0,  1584,     0,     0,     0,  3228,     0,
       0,     0,     0,     0,  1339,     0,  1598,  1585,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,  1338,
       0,  1335,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,  1579,     0,     0,  1334,
    1339,     0,     0,  1598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1580,  1581,     0,
    1334,  1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,
    1596,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,  1598,     0,
    1334,     0,     0,     0,     0,     0,     0,  1583,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,  1337,     0,
       0,     0,     0,  1585,     0,     0,  1586,     0,     0,     0,
    1335,     0,     0,     0,  1334,     0,     0,     0,  1334,  1334,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1338,     0,     0,     0,
    1588,  1589,  1590,     0,  1591,  1592,  1593,  1594,  1595,  1596,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,  1339,     0,     0,     0,     0,     0,     0,     0,
    1338,     0,     0,     0,     0,     0,  1335,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1335,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,  1335,     0,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1588,  1589,  1590,     0,
    1591,  1592,  1593,  1594,  1595,  1596,     0,     0,     0,     0,
       0,  1335,     0,     0,     0,  1335,  1335,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1338,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1339,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1339,     0,     0,     0,     0,     0,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1337,     0,     0,     0,     0,     0,     0,     0,  1338,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1339,     0,     0,     0,     0,     0,     0,     0,  1338,     0,
       0,  1339,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1337,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1339,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1339,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1339,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1337,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1339,     0,     0,
       0,     0,  1337,     0,     0,     0,     0,     0,     0,  1338,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1338,     0,     0,     0,     0,     0,  1337,     0,     0,     0,
    1337,  1337,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1338,     0,  1339,     0,  1338,  1338,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1339,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   709,   972,   548,   973,   974,   975,   595,
     976,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  2301,   209,   210,   211,     0,  1339,     0,     0,
     977,  1339,  1339,   212,   213,     0,   214,   215,   710,   216,
     217,   218,   219,   978,   711,   979,   980,     0,   223,   224,
     225,   226,   227,   981,   982,   228,   229,   983,   984,   232,
       0,   233,   234,   235,   236,   985,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,   986,   987,   988,
     989,   990,   991,   992,   253,   254,   255,   256,   257,   258,
     993,   994,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,  2302,     0,   271,   272,   995,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   996,   286,   287,   288,   997,   998,
     290,     0,   291,   999,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,  1000,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
     317,   318,   319,   320,   321,  1001,  1002,     0,  1003,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,  1004,   722,   335,   723,     0,   336,   337,
     338,  1005,  1006,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1007,   724,  1008,   353,   354,
     355,  1009,   356,   357,   725,   358,  1010,  1011,   360,  1012,
     362,   363,   364,     0,   365,     0,     0,  1013,   367,   368,
       0,     0,   369,   726,   727,   728,  1014,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1015,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1016,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,  1017,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1018,   425,   426,
     427,   428,   730,   429,  1019,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,  1020,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,  1021,  1022,
       0,     0,   452,  1023,   454,  1024,  1025,   456,   457,   458,
     459,   460,   461,     0,  1026,   462,   463,   464,   465,   466,
    1027,     0,   467,   468,   469,   470,   471,   472,  1028,  2303,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,  1029,  1030,  1031,  1032,
    1033,  1034,  1035,  1036,   493,   494,   495,     0,     0,     0,
       0,     0,     0,     0,  1037,  1038,  2304,     0,     0,     0,
       0,     0,     0,  1040,  2305,   709,   972,   548,   973,   974,
     975,   595,   976,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   977,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,   219,   978,   711,   979,   980,     0,
     223,   224,   225,   226,   227,   981,   982,   228,   229,   983,
     984,   232,     0,   233,   234,   235,   236,   985,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,   252,   986,
     987,   988,   989,   990,   991,   992,   253,   254,   255,   256,
     257,   258,   993,   994,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   995,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   996,   286,   287,   288,
     997,   998,   290,     0,   291,   999,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,  1000,
       0,   301,     0,   302,   303,   304,   305,   306,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,   317,   318,   319,   320,   321,  1001,  1002,     0,
    1003,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,  1004,   722,   335,   723,     0,
     336,   337,   338,  1005,  1006,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1007,   724,  1008,
     353,   354,   355,  1009,   356,   357,   725,   358,  1010,  1011,
     360,  1012,   362,   363,   364,     0,   365,     0,     0,  1013,
     367,   368,     0,     0,   369,   726,   727,   728,  1014,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1015,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1016,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,  1017,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1018,
     425,   426,   427,   428,   730,   429,  1019,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,  1020,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
    1021,  1022,     0,     0,   452,  1023,   454,  1024,  1025,   456,
     457,   458,   459,   460,   461,     0,  1026,   462,   463,   464,
     465,   466,  1027,     0,   467,   468,   469,   470,   471,   472,
    1028,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,  1029,  1030,
    1031,  1032,  1033,  1034,  1035,  1036,   493,   494,   495,     0,
       0,     0,     0,     0,     0,     0,  1037,  1038,   199,     0,
       0,     0,     0,     0,     0,  1040,  2211,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,  3309,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0, -1368,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0, -1368,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316, -1368,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326, -1368,
     327,   328,   329,   330,   331,   332,   333,     0,   334, -1368,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351, -1368,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408, -1368,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,     0,     0,     0,     0,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1116,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,   290,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,     0,     0,     0,     0,     0,
    1308,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2624,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   710,   216,   217,   218,     0,
    1309,   711,  1310,  1311,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,  1312,  1313,   232,     0,   233,   234,
     235,   236,     0,     0,   238,     0,   239,   240,   241,   242,
     712,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   713,   251,   252,     0,     0,     0,   714,     0,     0,
       0,   253,   254,   255,   256,   257,   258,  1314,  1315,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   995,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,     0,   286,   287,   288,     0,     0,   290,     0,   291,
    1316,   293,     0,   294,     0,   295,   715,     0,   716,   296,
     297,   298,     0,   299,     0,     0,   301,     0,   302,   303,
     304,   305,   306,   717,   307,   308,   309,  1842,   310,   311,
     312,   313,   314,   315,     0,   316,   718,  1843,   318,   319,
     320,   321,  1317,  1318,     0,  1319,     0,   325,   719,   720,
     326,   721,   327,   328,   329,   330,   331,   332,   333,     0,
       0,   722,   335,   723,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1320,   724,  1321,   353,   354,     0,     0,   356,
     357,   725,   358,     0,     0,   360,  1322,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,  1844,
     726,   727,   728,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1323,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   729,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1845,   427,   428,   730,
     429,  1325,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,     0,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,  1326,  1327,     0,     0,   452,
       0,   454,     0,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,     0,  1328,  1846,   474,   731,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,     0,  1308,     0,     0,     0,     0,     0,     0,
       0,   493,   494,   495,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,  1847,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,     0,  1309,   711,  1310,  1311,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,  1312,  1313,   232,
       0,   233,   234,   235,   236,     0,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,     0,     0,     0,
     714,     0,     0,     0,   253,   254,   255,   256,   257,   258,
    1314,  1315,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   995,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,     0,   286,   287,   288,     0,     0,
     290,     0,   291,  1316,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,     0,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
    1842,   310,   311,   312,   313,   314,   315,     0,   316,   718,
    1843,   318,   319,   320,   321,  1317,  1318,     0,  1319,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,     0,   722,   335,   723,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1320,   724,  1321,   353,   354,
       0,     0,   356,   357,   725,   358,     0,     0,   360,  1322,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,  1844,   726,   727,   728,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1323,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1845,
     427,   428,   730,   429,  1325,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,     0,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,  1326,  1327,
       0,     0,   452,     0,   454,     0,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,     0,  1328,  1846,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,     0,   709,   972,   548,   973,
     974,   975,   595,   976,   493,   494,   495,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   977,  2675,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,   219,   978,   711,   979,   980,
    2221,   223,   224,   225,   226,   227,   981,   982,   228,   229,
     983,   984,   232,     0,   233,   234,   235,   236,   985,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
     986,   987,   988,   989,   990,   991,   992,   253,   254,   255,
     256,   257,   258,   993,   994,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   995,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   996,   286,   287,
     288,   997,   998,   290,     0,   291,   999,   293,     0,   294,
       0,   295,   715,  2222,   716,   296,   297,   298,     0,   299,
    1000,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,   317,   318,   319,   320,   321,  1001,  1002,
       0,  1003,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,  2223,  1004,   722,   335,   723,
       0,   336,   337,   338,  1005,  1006,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1007,   724,
    1008,   353,   354,   355,  1009,   356,   357,   725,   358,  1010,
    1011,   360,  1012,   362,   363,   364,     0,   365,     0,     0,
    1013,   367,   368,     0,     0,   369,   726,   727,   728,  1014,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1015,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1016,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,  1017,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1018,   425,   426,   427,   428,   730,   429,  1019,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,  1020,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1021,  1022,     0,  2224,   452,  1023,   454,  1024,  1025,
     456,   457,   458,   459,   460,   461,     0,  1026,   462,   463,
     464,   465,   466,  1027,     0,   467,   468,   469,   470,   471,
     472,  1028,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,   495,
       0,     0,     0,     0,     0,     0,     0,  1037,  1038,     0,
       0,     0,     0,     0,     0,     0,  1040,   709,   972,   548,
     973,   974,   975,   595,   976,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   977,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   978,   711,   979,
     980,     0,   223,   224,   225,   226,   227,   981,   982,   228,
     229,   983,   984,   232,     0,   233,   234,   235,   236,   985,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   986,   987,   988,   989,   990,   991,   992,   253,   254,
     255,   256,   257,   258,   993,   994,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   995,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   996,   286,
     287,   288,   997,   998,   290,     0,   291,   999,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1000,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1001,
    1002,     0,  1003,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1004,   722,   335,
     723,     0,   336,   337,   338,  1005,  1006,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1007,
     724,  1008,   353,   354,   355,  1009,   356,   357,   725,   358,
    1010,  1011,   360,  1012,   362,   363,   364,     0,   365,     0,
       0,  1013,   367,   368,     0,     0,   369,   726,   727,   728,
    1014,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1015,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1016,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1017,   412,   413,   414,
     415,   416,   417,   418,   419,    37,   420,   421,   422,   423,
     424,  1018,   425,   426,   427,   428,   730,   429,  1019,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1020,     0,   442,   443,    41,   444,   445,   446,   447,   448,
     449,     0,  1021,  1022,     0,     0,   452,  1023,   454,  1024,
    1025,   456,   457,   458,   459,   460,   461,     0,  1026,   462,
     463,   464,   465,   466,  1027,     0,   467,   468,   469,   470,
     471,   911,  1028,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,    46,   479,   480,   481,   482,   483,   484,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,
     495,     0,     0,     0,     0,     0,     0,     0,  1037,  1038,
       0,     0,     0,     0,     0,     0,     0,  1040,   709,   972,
     548,   973,   974,   975,   595,   976,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   977,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   978,   711,
     979,   980,     0,   223,   224,   225,   226,   227,   981,   982,
     228,   229,   983,   984,   232,     0,   233,   234,   235,   236,
     985,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,   986,   987,   988,   989,   990,   991,   992,   253,
     254,   255,   256,   257,   258,   993,   994,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   995,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   996,
     286,   287,   288,   997,   998,   290,     0,   291,   999,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1000,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
    1001,  1002,     0,  1003,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1004,   722,
     335,   723,     0,   336,   337,   338,  1005,  1006,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1007,   724,  1008,   353,   354,   355,  1009,   356,   357,   725,
     358,  1010,  1011,   360,  1012,   362,   363,   364,     0,   365,
       0,     0,  1013,   367,   368,     0,     0,   369,   726,   727,
     728,  1014,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1015,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1016,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,  1017,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1018,   425,   426,   427,   428,   730,   429,  1019,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1020,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,  1021,  1022,     0,     0,   452,  1023,   454,
    1024,  1025,   456,   457,   458,   459,   460,   461,     0,  1026,
     462,   463,   464,   465,   466,  1027,     0,   467,   468,   469,
     470,   471,   472,  1028,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,
     494,   495,     0,     0,     0,     0,     0,     0,     0,  1037,
    1038,     0,     0,     0,     0,     0,  1505,  2170,  1040,   709,
     972,   548,   973,   974,   975,   595,   976,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   977,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,   219,   978,
     711,   979,   980,     0,   223,   224,   225,   226,   227,   981,
     982,   228,   229,   983,   984,   232,     0,   233,   234,   235,
     236,   985,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,   986,   987,   988,   989,   990,   991,   992,
     253,   254,   255,   256,   257,   258,   993,   994,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   995,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     996,   286,   287,   288,   997,   998,   290,     0,   291,   999,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,  1000,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,   317,   318,   319,   320,
     321,  1001,  1002,     0,  1003,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,  1004,
     722,   335,   723,     0,   336,   337,   338,  1005,  1006,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1007,   724,  1008,   353,   354,   355,  1009,   356,   357,
     725,   358,  1010,  1011,   360,  1012,   362,   363,   364,     0,
     365,     0,     0,  1013,   367,   368,     0,     0,   369,   726,
     727,   728,  1014,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1015,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1016,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,  1017,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1018,   425,   426,   427,   428,   730,   429,
    1019,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,  1020,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,  1021,  1022,     0,     0,   452,  1023,
     454,  1024,  1025,   456,   457,   458,   459,   460,   461,     0,
    1026,   462,   463,   464,   465,   466,  1027,     0,   467,   468,
     469,   470,   471,   472,  1028,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,
     493,   494,   495,     0,     0,     0,     0,     0,     0,     0,
    1037,  1038,  1039,     0,     0,     0,     0,     0,     0,  1040,
     709,   972,   548,   973,   974,   975,   595,   976,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   977,     0,     0,
     212,   213,     0,   214,   215,   710,   216,   217,   218,   219,
     978,   711,   979,   980,     0,   223,   224,   225,   226,   227,
     981,   982,   228,   229,   983,   984,   232,     0,   233,   234,
     235,   236,   985,     0,   238,     0,   239,   240,   241,   242,
     712,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   713,   251,   252,   986,   987,   988,   989,   990,   991,
     992,   253,   254,   255,   256,   257,   258,   993,   994,   261,
    1108,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   995,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   996,   286,   287,   288,   997,   998,   290,     0,   291,
     999,   293,     0,   294,     0,   295,   715,     0,   716,   296,
     297,   298,     0,   299,  1000,     0,   301,     0,   302,   303,
     304,   305,   306,   717,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,   718,   317,   318,   319,
     320,   321,  1001,  1002,     0,  1003,     0,   325,   719,   720,
     326,   721,   327,   328,   329,   330,   331,   332,   333,     0,
    1004,   722,   335,   723,     0,   336,   337,   338,  1005,  1006,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1007,   724,  1008,   353,   354,   355,  1009,   356,
     357,   725,   358,  1010,  1011,   360,  1012,   362,   363,   364,
       0,   365,     0,     0,  1013,   367,   368,     0,     0,   369,
     726,   727,   728,  1014,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1015,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1016,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   729,   409,   410,  1017,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1018,   425,   426,   427,   428,   730,
     429,  1019,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,  1020,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,  1021,  1022,     0,     0,   452,
    1023,   454,  1024,  1025,   456,   457,   458,   459,   460,   461,
       0,  1026,   462,   463,   464,   465,   466,  1027,     0,   467,
     468,   469,   470,   471,   472,  1028,     0,   474,   731,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,  1029,  1030,  1031,  1032,  1033,  1034,  1035,
    1036,   493,   494,   495,     0,     0,     0,     0,     0,     0,
       0,  1037,  1038,     0,     0,     0,     0,     0,     0,     0,
    1040,   709,   972,   548,   973,   974,   975,   595,   976,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
    1746,   209,   210,   211,     0,     0,     0,     0,   977,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
     219,   978,   711,   979,   980,     0,   223,   224,   225,   226,
     227,   981,   982,   228,   229,   983,   984,   232,     0,   233,
     234,   235,   236,   985,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,   252,   986,   987,   988,   989,   990,
     991,   992,   253,   254,   255,   256,   257,   258,   993,   994,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   995,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   996,   286,   287,   288,   997,   998,   290,     0,
     291,   999,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,  1000,     0,   301,     0,   302,
     303,   304,   305,   306,   717,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,  1001,  1002,     0,  1003,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,  1004,   722,   335,   723,     0,   336,   337,   338,  1005,
    1006,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1007,   724,  1008,   353,   354,   355,  1009,
     356,   357,   725,   358,  1010,  1011,   360,  1012,   362,   363,
     364,     0,   365,     0,     0,  1013,   367,   368,     0,     0,
     369,   726,   727,   728,  1014,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1015,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1016,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
    1017,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1018,   425,   426,   427,   428,
     730,   429,  1019,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,  1020,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,  1021,  1022,     0,     0,
     452,  1023,   454,  1024,  1025,   456,   457,   458,   459,   460,
     461,     0,  1026,   462,   463,   464,   465,   466,  1027,     0,
     467,   468,   469,   470,   471,   472,  1028,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,  1029,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,   493,   494,   495,     0,     0,     0,     0,     0,
       0,     0,  1037,  1038,     0,     0,     0,     0,     0,     0,
       0,  1040,   709,   972,   548,   973,   974,   975,   595,   976,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,   977,
       0,     0,   212,   213,     0,   214,   215,   710,   216,   217,
     218,   219,   978,   711,   979,   980,     0,   223,   224,   225,
     226,   227,   981,   982,   228,   229,   983,   984,   232,     0,
     233,   234,   235,   236,   985,     0,   238,     0,   239,   240,
     241,   242,   712,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   713,   251,   252,   986,   987,   988,   989,
     990,   991,   992,   253,   254,   255,   256,   257,   258,   993,
     994,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   995,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   996,   286,   287,   288,   997,   998,   290,
       0,   291,   999,   293,     0,   294,     0,   295,   715,  2222,
     716,   296,   297,   298,     0,   299,  1000,     0,   301,     0,
     302,   303,   304,   305,   306,   717,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,   718,   317,
     318,   319,   320,   321,  1001,  1002,     0,  1003,     0,   325,
     719,   720,   326,   721,   327,   328,   329,   330,   331,   332,
     333,     0,  1004,   722,   335,   723,     0,   336,   337,   338,
    1005,  1006,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1007,   724,  1008,   353,   354,   355,
    1009,   356,   357,   725,   358,  1010,  1011,   360,  1012,   362,
     363,   364,     0,   365,     0,     0,  1013,   367,   368,     0,
       0,   369,   726,   727,   728,  1014,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1015,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1016,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   729,   409,
     410,  1017,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1018,   425,   426,   427,
     428,   730,   429,  1019,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,  1020,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,  1021,  1022,     0,
       0,   452,  1023,   454,  1024,  1025,   456,   457,   458,   459,
     460,   461,     0,  1026,   462,   463,   464,   465,   466,  1027,
       0,   467,   468,   469,   470,   471,   472,  1028,     0,   474,
     731,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,  1029,  1030,  1031,  1032,  1033,
    1034,  1035,  1036,   493,   494,   495,     0,     0,     0,     0,
       0,     0,     0,  1037,  1038,     0,     0,     0,     0,     0,
       0,     0,  1040,   709,   972,   548,   973,   974,   975,   595,
     976,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
     977,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,   219,   978,   711,   979,   980,     0,   223,   224,
     225,   226,   227,   981,   982,   228,   229,   983,   984,   232,
       0,   233,   234,   235,   236,   985,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,   986,   987,   988,
     989,   990,   991,   992,   253,   254,   255,   256,   257,   258,
     993,   994,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   995,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,   996,   286,   287,   288,   997,   998,
     290,     0,   291,   999,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,  1000,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
     317,   318,   319,   320,   321,  1001,  1002,     0,  1003,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,  1004,   722,   335,   723,     0,   336,   337,
     338,  1005,  1006,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1007,   724,  1008,   353,   354,
     355,  1009,   356,   357,   725,   358,  1010,  1011,   360,  1012,
     362,   363,   364,     0,   365,     0,     0,  1013,   367,   368,
       0,     0,   369,   726,   727,   728,  1014,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1015,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1016,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,  1017,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1018,   425,   426,
     427,   428,   730,   429,  1019,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,  1020,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,  1021,  1022,
       0,     0,   452,  1023,   454,  1024,  1025,   456,   457,   458,
     459,   460,   461,     0,  1026,   462,   463,   464,   465,   466,
    1027,     0,   467,   468,   469,   470,   471,   472,  1028,  3342,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,   484,  1029,  1030,  1031,  1032,
    1033,  1034,  1035,  1036,   493,   494,   495,     0,     0,     0,
       0,     0,     0,     0,  1037,  1038,     0,     0,     0,     0,
       0,     0,     0,  1040,   709,   972,   548,   973,   974,   975,
     595,   976,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,   977,     0,     0,   212,   213,     0,   214,   215,   710,
     216,   217,   218,   219,   978,   711,   979,   980,     0,   223,
     224,   225,   226,   227,   981,   982,   228,   229,   983,   984,
     232,     0,   233,   234,   235,   236,   985,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,   986,   987,
     988,   989,   990,   991,   992,   253,   254,   255,   256,   257,
     258,   993,   994,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     995,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   996,   286,   287,   288,   997,
     998,   290,     0,   291,   999,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,  1000,     0,
     301,     0,   302,   303,   304,   305,   306,   717,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
     718,   317,   318,   319,   320,   321,  1001,  1002,     0,  1003,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,  1004,   722,   335,   723,     0,   336,
     337,   338,  1005,  1006,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1007,   724,  1008,   353,
     354,   355,  1009,   356,   357,   725,   358,  1010,  1011,   360,
    1012,   362,   363,   364,     0,   365,     0,     0,  1013,   367,
     368,     0,     0,   369,   726,   727,   728,  1014,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1015,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1016,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,  1017,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1018,   425,
     426,   427,   428,   730,   429,  1019,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,  1020,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,  1021,
    1022,     0,     0,   452,  1023,   454,  1024,  1025,   456,   457,
     458,   459,   460,   461,     0,  1026,   462,   463,   464,   465,
     466,  1027,     0,   467,   468,   469,   470,   471,   472,  1028,
       0,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,  1029,  1030,  1031,
    1032,  1033,  1034,  1035,  1036,   493,   494,   495,     0,     0,
       0,     0,     0,     0,     0,  1037,  1038,     0,     0,     0,
       0,     0,     0,     0,  1040,   709,   972,   548,   973,   974,
     975,   595,   976,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   977,     0,     0,   212,   213,     0,   214,   215,
     710,   216,   217,   218,   219,   978,   711,   979,   980,     0,
     223,   224,   225,   226,   227,   981,   982,   228,   229,   983,
     984,   232,     0,   233,   234,   235,   236,   985,     0,   238,
       0,   239,   240,   241,   242,   712,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   713,   251,  3352,   986,
     987,   988,   989,   990,   991,   992,   253,   254,   255,   256,
     257,   258,   993,   994,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   995,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   996,   286,   287,   288,
     997,   998,   290,     0,   291,   999,   293,     0,   294,     0,
     295,   715,     0,   716,   296,   297,   298,     0,   299,  1000,
       0,   301,     0,   302,   303,   304,   305,   306,   717,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,   718,   317,   318,   319,   320,   321,  1001,  1002,     0,
    1003,     0,   325,   719,   720,   326,   721,   327,   328,   329,
     330,   331,   332,   333,     0,  1004,   722,   335,   723,     0,
     336,   337,   338,  1005,  1006,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1007,   724,  1008,
     353,   354,   355,  1009,   356,   357,   725,   358,  1010,  1011,
     360,  1012,   362,   363,   364,     0,   365,     0,     0,  1013,
     367,   368,     0,     0,   369,   726,   727,   728,  1014,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1015,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1016,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   729,   409,   410,  1017,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1018,
     425,   426,   427,   428,   730,   429,  1019,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,  1020,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
    1021,  1022,     0,     0,   452,  1023,   454,  1024,  1025,   456,
     457,   458,   459,   460,   461,     0,  1026,   462,   463,   464,
     465,   466,  1027,     0,   467,   468,   469,   470,   471,   472,
    1028,     0,   474,   731,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,  1029,  1030,
    1031,  1032,  1033,  1034,  1035,  1036,   493,   494,   495,     0,
       0,     0,     0,     0,     0,     0,  1037,  1038,     0,     0,
       0,     0,     0,     0,     0,  1040,   709,   972,   548,   973,
     974,   975,   595,   976,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   977,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,   219,   978,   711,   979,   980,
       0,   223,   224,   225,   226,   227,   981,   982,   228,   229,
     983,   984,   232,     0,   233,   234,   235,   236,   985,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
     986,   987,   988,   989,   990,   991,   992,   253,   254,   255,
     256,   257,   258,   993,   994,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   995,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   996,   286,   287,
     288,   997,   998,   290,     0,   291,   999,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
    1000,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,   317,   318,   319,   320,   321,  1001,  1002,
       0,  1003,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,  1004,   722,   335,   723,
       0,   336,   337,   338,  1005,  1006,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1007,   724,
    1008,   353,   354,   355,  1009,   356,   357,   725,   358,  1010,
    1011,   360,  1012,   362,   363,   364,     0,   365,     0,     0,
    1013,   367,   368,     0,     0,   369,   726,   727,   728,  1014,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1015,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1016,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,  1017,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1018,   425,   426,   427,   428,   730,   429,  1019,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,  1020,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1021,  1022,     0,     0,   452,  1023,   454,  1024,  1025,
     456,   457,   458,   459,   460,   461,     0,  1026,   462,   463,
     464,   465,   466,  1027,     0,   467,   468,   469,   470,   471,
     472,  1028,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,  3606,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,   495,
       0,     0,     0,     0,     0,     0,     0,  1037,  1038,     0,
       0,     0,     0,     0,     0,     0,  1040,   709,   972,   548,
     973,   974,   975,   595,   976,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   977,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   978,   711,   979,
     980,     0,   223,   224,   225,   226,   227,   981,   982,   228,
     229,   983,   984,   232,     0,   233,   234,   235,   236,   985,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   986,   987,   988,   989,   990,   991,   992,   253,   254,
     255,   256,   257,   258,   993,   994,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   995,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   996,   286,
     287,   288,   997,   998,   290,     0,   291,   999,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1000,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1001,
    1002,     0,  1003,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1004,   722,   335,
     723,     0,   336,   337,   338,  1005,  1006,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1007,
     724,  1008,   353,  3615,   355,  1009,   356,   357,   725,   358,
    1010,  1011,   360,  1012,   362,   363,   364,     0,   365,     0,
       0,  1013,   367,   368,     0,     0,   369,   726,   727,   728,
    1014,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1015,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1016,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1017,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1018,   425,   426,   427,   428,   730,   429,  1019,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1020,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1021,  1022,     0,     0,   452,  1023,   454,  1024,
    1025,   456,   457,   458,   459,   460,   461,     0,  1026,   462,
     463,   464,   465,   466,  1027,     0,   467,   468,   469,   470,
     471,   472,  1028,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,
     495,     0,     0,     0,     0,     0,     0,     0,  1037,  1038,
       0,     0,     0,     0,     0,     0,     0,  1040,   709,   972,
     548,   973,   974,   975,   595,   976,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,   977,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,  4088,   978,   711,
     979,   980,     0,   223,   224,   225,   226,   227,   981,   982,
     228,   229,   983,   984,   232,     0,   233,   234,   235,   236,
     985,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,  4089,   986,   987,   988,   989,   990,   991,   992,   253,
     254,   255,   256,   257,   258,   993,   994,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   995,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   996,
     286,   287,   288,   997,   998,   290,     0,   291,   999,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,  1000,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
    1001,  1002,     0,  1003,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,  1004,   722,
     335,   723,     0,   336,   337,   338,  1005,  1006,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1007,   724,  1008,   353,   354,   355,  1009,   356,   357,   725,
     358,  1010,  1011,   360,  1012,   362,   363,   364,     0,   365,
       0,     0,  1013,   367,   368,     0,     0,   369,   726,   727,
     728,  1014,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1015,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1016,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,  1017,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1018,   425,   426,   427,   428,   730,   429,  1019,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,  1020,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,  1021,  1022,     0,     0,   452,  1023,   454,
    1024,  1025,   456,   457,   458,  4090,   460,   461,     0,  1026,
     462,   463,   464,   465,   466,  1027,     0,   467,   468,   469,
     470,   471,   472,  1028,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,
     494,   495,     0,     0,     0,     0,     0,     0,     0,  1037,
    1038,     0,     0,     0,     0,     0,     0,     0,  1040,   709,
     972,   548,   973,   974,   975,   595,   976,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   977,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,   219,   978,
     711,   979,   980,     0,   223,   224,   225,   226,   227,   981,
     982,   228,   229,   983,   984,   232,     0,   233,   234,   235,
     236,   985,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,  4089,   986,   987,   988,   989,   990,   991,   992,
     253,   254,   255,   256,   257,   258,   993,   994,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   995,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     996,   286,   287,   288,   997,   998,   290,     0,   291,   999,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,  1000,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,   317,   318,   319,   320,
     321,  1001,  1002,     0,  1003,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,  1004,
     722,   335,   723,     0,   336,   337,   338,  1005,  1006,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1007,   724,  1008,   353,   354,   355,  1009,   356,   357,
     725,   358,  1010,  1011,   360,  1012,   362,   363,   364,     0,
     365,     0,     0,  1013,   367,   368,     0,     0,   369,   726,
     727,   728,  1014,   371,   372,   373,   374,   375,   376,   377,
       0,   378,  1015,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1016,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,  1017,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,  1018,   425,   426,   427,   428,   730,   429,
    1019,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,  1020,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,  1021,  1022,     0,     0,   452,  1023,
     454,  1024,  1025,   456,   457,   458,  4090,   460,   461,     0,
    1026,   462,   463,   464,   465,   466,  1027,     0,   467,   468,
     469,   470,   471,   472,  1028,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,  1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,
     493,   494,   495,     0,     0,     0,     0,     0,     0,     0,
    1037,  1038,     0,     0,     0,     0,     0,     0,     0,  1040,
     709,   972,   548,   973,   974,   975,   595,   976,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,   977,     0,     0,
     212,   213,     0,   214,   215,   710,   216,   217,   218,   219,
     978,   711,   979,   980,     0,   223,   224,   225,   226,   227,
     981,   982,   228,   229,   983,   984,   232,     0,   233,   234,
     235,   236,   985,     0,   238,     0,   239,   240,   241,   242,
     712,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   713,   251,   252,   986,   987,   988,   989,   990,   991,
     992,   253,   254,   255,   256,   257,   258,   993,   994,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   995,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   996,   286,   287,   288,   997,   998,   290,     0,   291,
     999,   293,     0,   294,     0,   295,   715,     0,   716,   296,
     297,   298,     0,   299,  1000,     0,   301,     0,   302,   303,
     304,   305,   306,   717,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,   718,   317,   318,   319,
     320,   321,  1001,  1002,     0,  1003,     0,   325,   719,   720,
     326,   721,   327,   328,   329,   330,   331,   332,   333,     0,
    1004,   722,   335,   723,     0,   336,   337,   338,  1005,  1006,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1007,   724,  1008,   353,   354,   355,     0,   356,
     357,   725,   358,  1010,  1011,   360,  1012,   362,   363,   364,
       0,   365,     0,     0,  1013,   367,   368,     0,     0,   369,
     726,   727,   728,  1014,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1015,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1016,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   729,   409,   410,  1017,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1018,   425,   426,   427,   428,   730,
     429,  1019,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,  1020,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,  1021,  1022,     0,     0,   452,
    1023,   454,  1024,  1025,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,  1027,     0,   467,
     468,   469,   470,   471,   472,  1028,     0,   474,   731,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,  1029,  1030,  1031,  1032,  1033,  1034,  1035,
    1036,   493,   494,   495,     0,     0,     0,     0,     0,     0,
       0,  2204,  2205,     0,     0,     0,     0,     0,     0,     0,
    1040,   709,   972,   548,   973,   974,   975,   595,   976,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,   977,     0,
       0,   212,   213,     0,   214,   215,   710,   216,   217,   218,
   -2121,   978,   711,   979,   980,     0,   223,   224,   225,   226,
     227,   981,   982,   228,   229,   983,   984,   232,     0,   233,
     234,   235,   236,   985,     0,   238,     0,   239,   240,   241,
     242,   712,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   713,   251,  4089,   986,   987,   988,   989,   990,
     991,   992,   253,   254,   255,   256,   257,   258,   993,   994,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   995,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   996,   286,   287,   288,   997,   998,   290,     0,
     291,   999,   293,     0,   294,     0,   295,   715,     0,   716,
     296,   297,   298,     0,   299,  1000,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,   718,   317,   318,
     319,   320,   321,  1001,  1002,     0,  1003,     0,   325,   719,
     720,   326,   721,   327,   328,   329,   330,   331,   332,   333,
       0,  1004,   722,   335,     0,     0,   336,   337,   338,  1005,
    1006,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,  1007,   724,  1008,   353,   354,   355,     0,
     356,   357,   725,   358,  1010,  1011,   360,  1012,   362,   363,
     364,     0,   365,     0,     0,  1013,   367,   368,     0,     0,
     369,   726,   727,   728,  1014,   371,   372,   373,   374,   375,
     376,   377,     0,   378,  1015,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1016,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,   729,   409,   410,
    1017,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,  1018,   425,   426,   427,   428,
       0,   429,  1019,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,  1020,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,  1021,  1022,     0,     0,
     452,  1023,   454,  1024,  1025,   456,   457,   458,  4090,   460,
     461,     0,  1026,   462,   463,   464,   465,   466,  1027,     0,
     467,   468,   469,   470,   471,   472,  1028,     0,   474,   731,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,  1029,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,   493,   494,   495,     0,     0,     0,     0,     0,
       0,     0,  1037,  1038,     0,     0,   709,   972,   548,   973,
     974,  1040,   595,   976,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   977,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,   219,   978,   711,   979,   980,
       0,   223,   224,   225,   226,   227,   981,   982,   228,   229,
     983,   984,   232,     0,   233,   234,   235,   236,   985,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
     986,   987,   988,   989,   990,   991,   992,   253,   254,   255,
     256,   257,   258,   993,   994,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   995,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   996,   286,   287,
     288,   997,   998,   290,     0,   291,   999,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
    1000,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,   317,   318,   319,   320,   321,  1001,  1002,
       0,  1003,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,  1004,   722,   335,   723,
       0,   336,   337,   338,  1005,  1006,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1007,   724,
    1008,   353,   354,   355,     0,   356,   357,   725,   358,  1010,
    1011,   360,  1012,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   726,   727,   728,  1014,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1015,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1016,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,  1017,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1018,   425,   426,   427,   428,   730,   429,  1019,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,  1020,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1021,  1022,     0,     0,   452,  1023,   454,  1024,  1025,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,  1027,     0,   467,   468,   469,   470,   471,
     472,  1028,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,   495,
       0,     0,     0,     0,     0,     0,   709,   972,   548,   973,
     974,     0,   595,   976,     0,     0,  1040,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   977,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,   219,   978,   711,   979,   980,
       0,  3265,   224,   225,   226,   227,   981,   982,   228,   229,
     983,   984,   232,     0,   233,   234,   235,   236,   985,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
     986,   987,   988,   989,   990,   991,   992,   253,   254,   255,
     256,   257,   258,   993,   994,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   995,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   996,   286,   287,
     288,   997,   998,   290,     0,   291,   999,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
    1000,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,   317,   318,   319,   320,   321,  1001,  1002,
       0,  1003,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,  1004,   722,   335,   723,
       0,   336,   337,   338,  1005,  1006,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1007,   724,
    1008,   353,   354,   355,     0,   356,   357,   725,   358,  1010,
    1011,   360,  1012,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   726,   727,   728,  1014,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1015,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1016,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,  1017,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1018,   425,   426,   427,   428,   730,   429,  1019,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,  1020,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1021,  1022,     0,     0,   452,  1023,   454,  1024,  1025,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,  1027,     0,   467,   468,   469,   470,   471,
     472,  1028,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,   495,
       0,     0,     0,     0,     0,     0,   709,   972,   548,   973,
     974,   975,   595,   976,     0,     0,  1040,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   977,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,     0,   978,   711,   979,   980,
       0,   223,   224,   225,   226,   227,   981,   982,   228,   229,
     983,   984,   232,     0,   233,   234,   235,   236,   985,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
     986,   987,   988,   989,   990,   991,   992,   253,   254,   255,
     256,   257,   258,   993,   994,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   995,   274,   275,     0,   276,   277,   278,     0,
     279,     0,     0,   281,   282,   283,   284,   996,   286,   287,
     288,   997,   998,   290,     0,   291,   999,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
    1000,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,   317,   318,   319,   320,   321,  1001,  1002,
       0,  1003,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,  1004,   722,   335,     0,
       0,   336,   337,   338,  1005,  1006,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1007,   724,
    1008,   353,   354,   355,     0,   356,   357,   725,   358,  1010,
    1011,   360,  1012,   362,   363,   364,     0,   365,     0,     0,
    1013,   367,   368,     0,     0,   369,   726,   727,   728,  1014,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1015,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1016,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,  1017,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1018,   425,   426,   427,   428,     0,   429,  1019,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,  1020,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1021,  1022,     0,     0,   452,  1023,   454,  1024,  1025,
     456,   457,   458,   459,   460,   461,     0,  1026,   462,   463,
     464,   465,   466,  1027,     0,   467,   468,   469,   470,   471,
     472,  1028,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,   495,
       0,     0,     0,     0,     0,     0,     0,  1037,  1038,     0,
       0,     0,     0,     0,     0,     0,  1040,   709,   972,   548,
     973,   974,   975,   595,   976,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   977,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,     0,   978,   711,   979,
     980,     0,   223,   224,   225,   226,   227,   981,   982,   228,
     229,   983,   984,   232,     0,   233,   234,   235,   236,   985,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   986,   987,   988,   989,   990,   991,   992,   253,   254,
     255,   256,   257,   258,   993,   994,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   995,   274,   275,     0,   276,   277,   278,
       0,   279,     0,     0,   281,   282,   283,   284,   996,   286,
     287,   288,   997,   998,   290,     0,   291,   999,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1000,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,  1001,
    1002,     0,  1003,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1004,   722,   335,
       0,     0,   336,   337,   338,  1005,  1006,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1007,
     724,  1008,   353,   354,   355,     0,   356,   357,   725,   358,
    1010,  1011,   360,  1012,   362,   363,   364,     0,   365,     0,
       0,  1013,   367,   368,     0,     0,   369,   726,   727,   728,
    1014,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1015,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1016,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,  1017,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1018,   425,   426,   427,   428,     0,   429,  1019,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1020,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1021,  1022,     0,     0,   452,  1023,   454,  1024,
    1025,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,  1027,     0,   467,   468,   469,   470,
     471,   472,  1028,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   709,  2204,  2205,
       0,     0,     0,     0,     0,     0,     0,  1040,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,     0,   223,   224,   225,   226,   227,     0,   982,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   985,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   986,   987,   988,   989,   990,   991,   992,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   997,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1000,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1004,   722,   335,
     723,     0,   336,   337,   338,  1005,  1006,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,     0,   356,   357,   725,   358,
       0,  1011,   360,   361,   362,   363,   364,     0,   365,     0,
     674,   366,   367,   368,     0,     0,   369,   726,   727,   728,
    1014,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1015,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    37,   420,   421,   422,   423,
     424,  1018,   425,   426,   427,   428,   730,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1020,     0,   442,   443,    41,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,  1023,   454,  1024,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,  1027,     0,   467,   468,   469,   470,
     471,   911,   473,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,    46,   479,   480,   481,   482,   483,   484,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   709,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2857,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,     0,   223,   224,   225,   226,   227,     0,   982,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   985,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   986,   987,   988,   989,   990,   991,   992,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   997,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1000,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1004,   722,   335,
     723,     0,   336,   337,   338,  1005,  1006,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,     0,   356,   357,   725,   358,
       0,  1011,   360,   361,   362,   363,   364,     0,   365,     0,
     674,   366,   367,   368,     0,     0,   369,   726,   727,   728,
    1014,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1015,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1018,   425,   426,   427,   428,   730,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1020,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,  1023,   454,  1024,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,  1027,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   709,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2857,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,     0,   223,   224,   225,   226,   227,     0,   982,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   985,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,   986,   987,   988,   989,   990,   991,   992,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   997,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,  1000,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,  1004,   722,   335,
     723,     0,   336,   337,   338,  1005,  1006,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,     0,   356,   357,   725,   358,
       0,  1011,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   726,   727,   728,
    1014,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1015,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1018,   425,   426,   427,   428,   730,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
    1020,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,  1023,   454,  1024,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,  1027,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   709,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3372,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,   219,   220,   711,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,     0,     0,     0,   714,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,   334,   722,   335,
     723,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     724,   352,   353,   354,   355,     0,   356,   357,   725,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   726,   727,   728,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   730,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   199,  1213,   548,
       0,     0,     0,   595,     0,     0,     0,  3874,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,  1440,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,  1441,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
    1442,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   199,   607,  1214,
    3477,     0,     0,     0,     0,     0,     0,  3478,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       3,     4,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    37,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,    41,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   911,   473,     0,   474,   912,   475,   476,   477,     0,
       0,   478,     0,    46,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    37,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,    41,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   911,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,    46,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2354,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3336,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,   238,     0,   239,   240,   241,   242,     0,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,     0,   251,
     252,     0,     0,     0,     0,     0,     0,     0,   253,   254,
     255,   256,   257,   258,   259,   260,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   273,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,     0,   290,     0,   291,   292,   293,     0,
     294,     0,   295,     0,     0,     0,   296,   297,   298,     0,
     299,   300,     0,   301,     0,   302,   303,   304,   305,   306,
       0,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,     0,   327,
     328,   329,   330,   331,   332,   333,     0,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,   450,   451,     0,     0,   452,   453,   454,   455,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,   473,     0,   474,     0,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,     0,     0,     0,     0,  1308,  1213,   548,
       0,     0,   755,   595,     0,     0,     0,  3650,   200,   201,
     202,   203,   204,   205,   206,   207,  1638,   209,   210,   211,
    1639,  1640,  1641,  1642,  1643,  1644,  1645,   212,   213,  1646,
     214,   215,   710,   216,   217,   218,     0,  1309,   711,  1310,
    1311,  1647,   223,   224,   225,   226,   227,  1648,  1649,   228,
     229,  1312,  1313,   232,  1650,   233,   234,   235,   236,     0,
    1651,   238,  1652,   239,   240,   241,   242,   712,   243,   244,
    1653,   245,   246,   247,   248,   249,   250,  1654,   713,   251,
     252,  1655,  1656,  1657,   714,  1658,  1659,  1660,   253,   254,
     255,   256,   257,   258,  1314,  1315,   261,  1661,   262,  1662,
     263,   264,   265,   266,   267,  1663,   268,   269,   270,  1664,
    1665,   271,   272,   995,   274,   275,  1666,   276,   277,   278,
    1667,   279,   280,  1668,   281,   282,   283,   284,     0,   286,
     287,   288,     0,  1669,   290,  1670,   291,  1316,   293,  1671,
     294,  1672,   295,   715,  1673,   716,   296,   297,   298,  1674,
     299,     0,  1675,   301,  1676,   302,   303,   304,   305,   306,
     717,   307,   308,   309,  1677,   310,   311,   312,   313,   314,
     315,  1678,   316,   718,     0,   318,   319,   320,   321,  1317,
    1318,  1679,  1319,  1680,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,  1681,     0,   722,   335,
     723,  1682,   336,   337,   338,  1683,  1684,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1320,
     724,  1321,   353,   354,     0,  1685,   356,   357,   725,   358,
    1686,     0,   360,  1322,   362,   363,   364,  1687,   365,  1688,
    1689,  3069,   367,   368,  1690,  1691,     0,   726,   727,   728,
       0,   371,   372,   373,   374,   375,   376,   377,  1692,   378,
       0,   380,     0,   382,   383,   384,  1693,   385,   386,   387,
     388,   389,   390,   391,  1323,   393,   394,   395,   396,  1694,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
    1695,   407,   408,   729,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,  1696,   420,   421,   422,   423,
     424,  1697,   425,  1845,   427,   428,   730,   429,  1325,  1698,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
       0,  1699,   442,   443,  1700,   444,   445,   446,   447,   448,
     449,  1701,  1326,  1327,  1702,  1703,   452,     0,   454,     0,
    1704,   456,   457,   458,   459,   460,   461,  1705,  1706,   462,
     463,   464,   465,   466,  1707,  1708,   467,   468,   469,   470,
     471,     0,  1328,  1709,   474,   731,   475,   476,   477,  1710,
    1711,   478,  1712,  1713,   479,   480,   481,   482,   483,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   493,   494,
     495,     0,     0,     0,   758,   759,   760,     0,  3070,  3071,
     763,   764,   765,   766,   199,     0,     0,     0,     0,   755,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   756,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   757,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     0,     0,
       0,   758,   759,   760,     0,   761,   762,   763,   764,   765,
     766,   199,     0,     0,     0,     0,   755,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     840,   235,   236,   237,     0,   238,     0,   239,   240,   241,
     242,     0,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,     0,   251,   252,     0,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,   259,   260,
     261,     0,   262,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,     0,   271,   272,   273,   274,   275,
       0,   276,   277,   278,     0,   279,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,     0,   841,     0,
     291,   292,   293,     0,   294,     0,   295,     0,     0,     0,
     296,   297,   298,     0,   299,   300,     0,   301,     0,   302,
     303,   304,   305,   306,     0,   307,   308,   309,     0,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,     0,
       0,   326,     0,   327,   328,   329,   330,   331,   332,   333,
       0,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,     0,   442,   443,     0,   444,
     445,   446,   447,   448,   449,     0,   450,   451,     0,     0,
     452,   453,   454,   455,     0,   456,   457,   458,   459,   460,
     461,     0,     0,   462,   463,   464,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,   473,     0,   474,     0,
     475,   476,   477,     0,     0,   478,     0,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     0,     0,     0,   758,   759,
     760,     0,   761,   762,   763,   764,   765,   766,   199,     0,
       0,     0,     0,   755,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   884,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   885,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     886,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,     0,   758,   759,   760,     0,   761,
     762,   763,   764,   765,   766,   199,     0,     0,     0,     0,
     755,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,  1291,   235,   236,   237,     0,   238,
       0,   239,   240,   241,   242,     0,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,     0,     0,     0,     0,     0,   253,   254,   255,   256,
     257,   258,   259,   260,   261,     0,   262,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,     0,   271,
     272,   273,   274,   275,     0,   276,   277,   278,     0,   279,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,     0,  1292,     0,   291,   292,   293,     0,   294,     0,
     295,     0,     0,     0,   296,   297,   298,     0,   299,   300,
       0,   301,     0,   302,   303,   304,   305,   306,     0,   307,
     308,   309,     0,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,     0,   327,   328,   329,
     330,   331,   332,   333,     0,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,     0,
     442,   443,     0,   444,   445,   446,   447,   448,   449,     0,
     450,   451,     0,     0,   452,   453,   454,   455,     0,   456,
     457,   458,   459,   460,   461,     0,     0,   462,   463,   464,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
     473,     0,   474,     0,   475,   476,   477,     0,     0,   478,
       0,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     0,
       0,     0,   758,   759,   760,     0,   761,   762,   763,   764,
     765,   766,   199,     0,     0,     0,     0,   755,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,     0,     0,   758,
     759,   760,     0,   761,   762,   763,   764,   765,   766,   199,
       0,     0,     0,     0,   755,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,  2410,   235,
     236,   237,     0,   238,     0,   239,   240,   241,   242,     0,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   251,   252,     0,     0,     0,     0,     0,     0,     0,
     253,   254,   255,   256,   257,   258,   259,   260,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,     0,  2411,     0,   291,   292,
     293,     0,   294,     0,   295,     0,     0,     0,   296,   297,
     298,     0,   299,   300,     0,   301,     0,   302,   303,   304,
     305,   306,     0,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,     0,     0,   326,
       0,   327,   328,   329,   330,   331,   332,   333,     0,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,   450,   451,     0,     0,   452,   453,
     454,   455,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,   473,     0,   474,     0,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,     0,   758,   759,   760,     0,
     761,   762,   763,   764,   765,   766,   199,     0,     0,     0,
       0,   755,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
    3861,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,  1637,   758,   759,   760,     0,   761,   762,   763,
     764,   765,   766,   200,   201,   202,   203,   204,   205,   206,
     207,  1638,   209,   210,   211,  1639,  1640,  1641,  1642,  1643,
    1644,  1645,   212,   213,  1646,   214,   215,   710,   216,   217,
     218,   219,   220,   711,   221,   222,  1647,   223,   224,   225,
     226,   227,  1648,  1649,   228,   229,   230,   231,   232,  1650,
     233,   234,   235,   236,   237,  1651,   238,  1652,   239,   240,
     241,   242,   712,   243,   244,  1653,   245,   246,   247,   248,
     249,   250,  1654,   713,   251,   252,  1655,  1656,  1657,   714,
    1658,  1659,  1660,   253,   254,   255,   256,   257,   258,   259,
     260,   261,  1661,   262,  1662,   263,   264,   265,   266,   267,
    1663,   268,   269,   270,  1664,  1665,   271,   272,   273,   274,
     275,  1666,   276,   277,   278,  1667,   279,   280,  1668,   281,
     282,   283,   284,   285,   286,   287,   288,   289,  1669,   290,
    1670,   291,   292,   293,  1671,   294,  1672,   295,   715,  1673,
     716,   296,   297,   298,  1674,   299,   300,  1675,   301,  1676,
     302,   303,   304,   305,   306,   717,   307,   308,   309,  1677,
     310,   311,   312,   313,   314,   315,  1678,   316,   718,   317,
     318,   319,   320,   321,   322,   323,  1679,   324,  1680,   325,
     719,   720,   326,   721,   327,   328,   329,   330,   331,   332,
     333,  1681,   334,   722,   335,   723,  1682,   336,   337,   338,
    1683,  1684,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   724,   352,   353,   354,   355,
    1685,   356,   357,   725,   358,  1686,   359,   360,   361,   362,
     363,   364,  1687,   365,  1688,  1689,   366,   367,   368,  1690,
    1691,   369,   726,   727,   728,   370,   371,   372,   373,   374,
     375,   376,   377,  1692,   378,   379,   380,   381,   382,   383,
     384,  1693,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,  1694,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,  1695,   407,   408,   729,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
    1696,   420,   421,   422,   423,   424,  1697,   425,   426,   427,
     428,   730,   429,   430,  1698,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1699,   442,   443,  1700,
     444,   445,   446,   447,   448,   449,  1701,   450,   451,  1702,
    1703,   452,   453,   454,   455,  1704,   456,   457,   458,   459,
     460,   461,  1705,  1706,   462,   463,   464,   465,   466,  1707,
    1708,   467,   468,   469,   470,   471,   472,   473,  1709,   474,
     731,   475,   476,   477,  1710,  1711,   478,  1712,  1713,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,  1714,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,   679,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1308,     0,     0,     0,     0,     0,
       0,     0,     0,  3738,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   710,
     216,   217,   218,     0,  1309,   711,  1310,  1311,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,  1312,  1313,
     232,     0,   233,   234,   235,   236,     0,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,     0,     0,
       0,   714,     0,     0,     0,   253,   254,   255,   256,   257,
     258,  1314,  1315,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     995,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,     0,   286,   287,   288,     0,
       0,   290,     0,   291,  1316,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,     0,     0,
     301,     0,   302,   303,   304,   305,   306,   717,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
     718,     0,   318,   319,   320,   321,  1317,  1318,     0,  1319,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,     0,   722,   335,   723,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1320,   724,  1321,   353,
     354,     0,     0,   356,   357,   725,   358,     0,     0,   360,
    1322,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,     0,   726,   727,   728,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,     0,   380,     0,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1323,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
    1324,   427,   428,   730,   429,  1325,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,     0,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,  1326,
    1327,     0,     0,   452,     0,   454,     0,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,     0,  1328,
       0,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,     0,     0,  1982,     0,
       0,     0,     0,     0,     0,   493,   494,   495,     0,   200,
     201,   202,   203,   204,   205,   206,   207,  1768,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,     0,  1309,   711,
    1310,  1311,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1312,  1313,   232,     0,   233,   234,   235,   236,
       0,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,     0,     0,     0,   714,     0,     0,     0,   253,
     254,   255,   256,   257,   258,  1314,  1315,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   995,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,     0,
     286,   287,   288,     0,     0,   290,     0,   291,  1316,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,     0,     0,   301,     0,   302,   303,   304,   305,
     306,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,     0,   318,   319,   320,   321,
    1317,  1318,     0,  1319,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,     0,   722,
     335,   723,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1320,   724,  1321,   353,   354,     0,     0,   356,   357,   725,
     358,     0,     0,   360,  1322,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,     0,   726,   727,
     728,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,     0,   380,     0,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1323,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,  1324,   427,   428,   730,   429,  1325,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,     0,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,  1326,  1327,     0,     0,   452,     0,   454,
       0,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,     0,  1328,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
       0,     0,   199,  1213,   548,     0,     0,     0,   595,   493,
     494,   495,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  1768,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,  1627,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,  1440,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,  1441,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,  1442,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,  1213,   548,     0,
       0,     0,   595,   607,  1214,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,  1632,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,  1440,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,  1441,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,  1442,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,  1213,   548,     0,     0,     0,   595,   607,  1214,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,  1440,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,  1441,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,  1442,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
     595,   607,  1214,     0,     0,   200,   596,   202,   203,   204,
     205,   206,   207,   597,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     598,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   599,   292,   293,     0,   294,     0,   600,
       0,   601,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   602,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     603,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   604,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   605,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   606,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,  1637,  4144,
     548,     0,     0,     0,   595,   607,   608,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,  1638,   209,   210,
     211,  1639,  1640,  1641,  1642,  1643,  1644,  1645,   212,   213,
    1646,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,  1647,   223,   224,   225,   226,   227,  1648,  1649,
     228,   229,   230,   231,   232,  1650,   233,   234,   235,   236,
     237,  1651,   238,  1652,   239,   240,   241,   242,   712,   243,
     244,  1653,   245,   246,   247,   248,   249,   250,  1654,   713,
     251,   252,  1655,  1656,  1657,   714,  1658,  1659,  1660,   253,
     254,   255,   256,   257,   258,   259,   260,   261,  1661,   262,
    1662,   263,   264,   265,   266,   267,  1663,   268,   269,   270,
    1664,  1665,   271,   272,   273,   274,   275,  1666,   276,   277,
     278,  1667,   279,   280,  1668,   281,   282,   283,   284,   285,
     286,   287,   288,   289,  1669,   290,  1670,   291,   292,   293,
    1671,   294,  1672,   295,   715,  1673,   716,   296,   297,   298,
    1674,   299,   300,  1675,   301,  1676,   302,   303,   304,   305,
     306,   717,   307,   308,   309,  1677,   310,   311,   312,   313,
     314,   315,  1678,   316,   718,   317,   318,   319,   320,   321,
     322,   323,  1679,   324,  1680,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,  1681,   334,   722,
     335,   723,  1682,   336,   337,   338,  1683,  1684,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,  1685,   356,   357,   725,
     358,  1686,   359,   360,   361,   362,   363,   364,  1687,   365,
    1688,  1689,   366,   367,   368,  1690,  1691,   369,   726,   727,
     728,   370,   371,   372,   373,   374,   375,   376,   377,  1692,
     378,   379,   380,   381,   382,   383,   384,  1693,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
    1694,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,  1695,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,  1696,   420,   421,   422,
     423,   424,  1697,   425,   426,   427,   428,   730,   429,   430,
    1698,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1699,   442,   443,  1700,   444,   445,   446,   447,
     448,   449,  1701,   450,   451,  1702,  1703,   452,   453,   454,
     455,  1704,   456,   457,   458,   459,   460,   461,  1705,  1706,
     462,   463,   464,   465,   466,  1707,  1708,   467,   468,   469,
     470,   471,   472,   473,  1709,   474,   731,   475,   476,   477,
    1710,  1711,   478,  1712,  1713,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1637,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  1638,   209,   210,   211,  1639,  1640,  1641,  1642,  1643,
    1644,  1645,   212,   213,  1646,   214,   215,   710,   216,   217,
     218,   219,   220,   711,   221,   222,  1647,   223,   224,   225,
     226,   227,  1648,  1649,   228,   229,   230,   231,   232,  1650,
     233,   234,   235,   236,   237,  1651,   238,  1652,   239,   240,
     241,   242,   712,   243,   244,  1653,   245,   246,   247,   248,
     249,   250,  1654,   713,   251,   252,  1655,  1656,  1657,   714,
    1658,  1659,  1660,   253,   254,   255,   256,   257,   258,   259,
     260,   261,  1661,   262,  1662,   263,   264,   265,   266,   267,
    1663,   268,   269,   270,  1664,  1665,   271,   272,   273,   274,
     275,  1666,   276,   277,   278,  1667,   279,   280,  1668,   281,
     282,   283,   284,   285,   286,   287,   288,   289,  1669,   290,
    1670,   291,   292,   293,  1671,   294,  1672,   295,   715,  1673,
     716,   296,   297,   298,  1674,   299,   300,  1675,   301,  1676,
     302,   303,   304,   305,   306,   717,   307,   308,   309,  1677,
     310,   311,   312,   313,   314,   315,  1678,   316,   718,   317,
     318,   319,   320,   321,   322,   323,  1679,   324,  1680,   325,
     719,   720,   326,   721,   327,   328,   329,   330,   331,   332,
     333,  1681,   334,   722,   335,   723,  1682,   336,   337,   338,
    1683,  1684,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   724,   352,   353,   354,   355,
    1685,   356,   357,   725,   358,  1686,   359,   360,   361,   362,
     363,   364,  1687,   365,  1688,  1689,   366,   367,   368,  1690,
    1691,   369,   726,   727,   728,   370,   371,   372,   373,   374,
     375,   376,   377,  1692,   378,   379,   380,   381,   382,   383,
     384,  1693,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,  1694,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,  1695,   407,   408,   729,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
    1696,   420,   421,   422,   423,   424,  1697,   425,   426,   427,
     428,   730,   429,   430,  1698,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1699,   442,   443,  1700,
     444,   445,   446,   447,   448,   449,  1701,   450,   451,  1702,
    1703,   452,   453,   454,   455,  1704,   456,   457,   458,   459,
     460,   461,  1705,  1706,   462,   463,   464,   465,   466,  1707,
    1708,   467,   468,   469,   470,   471,   472,   473,  1709,   474,
     731,   475,   476,   477,  1710,  1711,   478,  1712,  1713,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1637,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,  2471,   205,   206,   207,  1638,   209,   210,   211,  1639,
    1640,  1641,  1642,  1643,  1644,  1645,   212,   213,  1646,   214,
     215,   710,   216,   217,   218,   219,   220,   711,   221,   222,
    1647,   223,   224,   225,   226,   227,  1648,  1649,   228,   229,
     230,   231,   232,  1650,   233,   234,   235,   236,   237,  1651,
     238,  1652,   239,   240,   241,   242,   712,   243,   244,  1653,
     245,   246,   247,   248,   249,   250,  1654,   713,   251,   252,
    1655,  1656,  1657,   714,  1658,  1659,  1660,   253,   254,   255,
     256,   257,   258,   259,   260,   261,  1661,   262,  1662,   263,
     264,   265,   266,   267,  1663,   268,   269,   270,  1664,  1665,
     271,   272,   273,  2472,   275,  1666,   276,   277,   278,  1667,
     279,   280,  1668,   281,   282,   283,   284,   285,   286,   287,
     288,   289,  1669,   290,  1670,   291,   292,   293,  1671,   294,
    1672,   295,   715,  1673,   716,   296,   297,   298,  1674,   299,
     300,  1675,   301,  1676,   302,   303,   304,   305,   306,   717,
     307,   308,   309,  1677,   310,   311,   312,   313,   314,   315,
    1678,   316,   718,   317,   318,   319,   320,   321,   322,   323,
    1679,   324,  1680,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,  1681,   334,   722,   335,   723,
    1682,   336,   337,   338,  1683,  1684,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   724,
     352,   353,   354,   355,  1685,   356,   357,   725,   358,  1686,
     359,   360,   361,   362,   363,   364,  1687,   365,  1688,  1689,
     366,   367,   368,  1690,  1691,   369,   726,   727,   728,   370,
     371,   372,   373,   374,   375,   376,   377,  1692,   378,   379,
     380,   381,   382,   383,   384,  1693,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,  1694,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,  1695,
     407,   408,   729,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,  1696,   420,   421,   422,   423,   424,
    1697,  2473,   426,   427,   428,   730,   429,   430,  1698,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1699,   442,   443,  1700,   444,   445,   446,   447,   448,   449,
    1701,   450,   451,  1702,  1703,   452,   453,   454,   455,  1704,
     456,   457,   458,   459,   460,   461,  1705,  1706,   462,   463,
     464,   465,   466,  1707,  1708,   467,   468,   469,   470,   471,
     472,   473,  1709,   474,   731,   475,   476,   477,  1710,  1711,
     478,  1712,  1713,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     709,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   710,   216,   217,   218,   219,
     220,   711,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
     712,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   713,   251,   252,     0,     0,     0,   714,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,   715,     0,   716,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,   717,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,   718,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   719,   720,
     326,   721,   327,   328,   329,   330,   331,   332,   333,     0,
     334,   722,   335,   723,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   724,   352,   353,   354,   355,     0,   356,
     357,   725,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
     726,   727,   728,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   729,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   730,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,   731,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   709,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   710,
     216,   217,   218,   219,   220,   711,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,     0,     0,
       0,   714,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   870,   717,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
     718,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,   334,   722,   335,   723,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   724,   352,   353,
     354,   355,     0,   356,   357,   725,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,   726,   727,   728,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,   730,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   709,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   710,   216,   217,   218,   219,   220,   711,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,   712,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   713,
     251,   252,     0,     0,     0,   714,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,   715,     0,   716,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     879,   717,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,   718,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   719,   720,   326,   721,
     327,   328,   329,   330,   331,   332,   333,     0,   334,   722,
     335,   723,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   724,   352,   353,   354,   355,     0,   356,   357,   725,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,   726,   727,
     728,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   729,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,   730,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   731,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,  1792,
     233,   234,   235,   236,   237,     0,   238,  1857,   239,   240,
     241,   242,     0,   243,   244,  1793,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,  1858,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,  1795,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,  1796,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,  1797,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,  1792,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,  1793,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,  1858,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
    1795,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,  2659,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,  1796,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,  1797,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   645,   206,   207,   614,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
     615,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,   646,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   616,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   617,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   614,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,   615,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,  2382,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   616,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   617,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,  1792,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,  1793,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,  1858,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,  1795,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,  1796,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,  1797,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   614,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,   615,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   616,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     617,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,   548,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,  1440,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,  1441,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,  1442,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,  1467,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,  1468,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,  1469,   295,     0,     0,     0,  1470,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,  1471,  1472,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,  1473,   416,   417,   418,   419,     0,  1474,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,  1475,   444,  1476,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,   615,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   616,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   617,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     3,     4,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,   912,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,   548,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,  1613,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,  1943,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,  1944,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     3,     4,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  2455,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,  2456,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,  2467,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,  2468,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,   540,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   541,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,   639,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   640,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   641,   451,     0,     0,   642,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   668,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   669,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   670,
     451,     0,     0,   671,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   674,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   863,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,   548,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,  1068,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,  1079,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   656,   229,   230,   231,
    1080,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   659,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   660,   410,   411,   412,   413,   414,   661,   416,   417,
     418,   419,     0,   420,   421,   422,   423,  1072,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   663,
     451,     0,     0,   664,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   665,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
     548,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
    1430,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,  2290,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,  2291,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,  2292,
     444,   445,  2293,   447,  2294,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,  2295,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,  2722,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,  3309,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,  3322,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,  3508,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,  3510,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,  3512,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,  3864,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     306,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   629,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   637,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   656,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     657,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   658,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   659,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   660,   410,   411,   412,   413,   414,   661,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   662,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   663,   451,     0,     0,   664,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   665,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     686,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   780,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     831,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   852,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   875,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   881,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   889,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     891,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   893,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   895,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   898,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   900,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   901,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
     904,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   656,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   659,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   660,
     410,   411,   412,   413,   414,   661,   416,   417,   418,   419,
       0,   420,   421,   422,   423,  1072,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   663,   451,     0,
       0,   664,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   665,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,  1353,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,  1380,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,  1408,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   450,
     451,     0,     0,   452,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
    1410,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,   306,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,  1499,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,  1765,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,   306,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,     0,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   656,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   659,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   660,   410,   411,
     412,   413,   414,   661,   416,   417,   418,   419,     0,   420,
     421,   422,   423,  1072,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,  1783,
     446,   447,   448,   449,     0,   663,   451,     0,     0,   664,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   665,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   656,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,   238,     0,
     239,   240,   241,   242,     0,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,     0,   251,   252,     0,     0,
       0,     0,     0,     0,     0,   253,   254,   255,   256,   257,
     258,   259,   260,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     273,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
       0,   290,     0,   291,   292,   293,     0,   294,     0,   295,
       0,     0,     0,   296,   297,   298,     0,   299,   300,     0,
     301,     0,   302,   303,   304,   305,   306,     0,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
       0,   317,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,     0,   327,   328,   329,   330,
     331,   332,   333,     0,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   659,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   660,   410,   411,   412,   413,   414,  1838,   416,   417,
     418,   419,     0,   420,   421,   422,   423,  1072,     0,   425,
     426,   427,   428,     0,   429,   430,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,   663,
     451,     0,     0,   664,   453,   454,   455,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,   473,
       0,   474,     0,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   665,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,   238,     0,   239,   240,   241,   242,     0,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,     0,
     251,   252,     0,     0,     0,     0,     0,     0,     0,   253,
     254,   255,   256,   257,   258,   259,   260,   261,     0,   262,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,     0,   271,   272,   273,   274,   275,     0,   276,   277,
     278,     0,   279,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,     0,   290,     0,   291,   292,   293,
       0,   294,     0,   295,     0,     0,     0,   296,   297,   298,
       0,   299,   300,     0,   301,     0,   302,   303,   304,   305,
    2073,     0,   307,   308,   309,     0,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,     0,
     327,   328,   329,   330,   331,   332,   333,     0,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,   442,   443,     0,   444,   445,   446,   447,
     448,   449,     0,   450,   451,     0,     0,   452,   453,   454,
     455,     0,   456,   457,   458,   459,   460,   461,     0,     0,
     462,   463,   464,   465,   466,     0,     0,   467,   468,   469,
     470,   471,   472,   473,     0,   474,     0,   475,   476,   477,
       0,     0,   478,     0,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   238,     0,   239,   240,
     241,   242,     0,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,     0,   251,   252,     0,     0,     0,     0,
       0,     0,     0,   253,   254,   255,   256,   257,   258,   259,
     260,   261,     0,   262,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,     0,   271,   272,   273,   274,
     275,     0,   276,   277,   278,     0,   279,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,     0,   290,
       0,   291,   292,   293,     0,   294,     0,   295,     0,     0,
       0,   296,   297,   298,     0,   299,   300,     0,   301,     0,
     302,   303,   304,   305,  2458,     0,   307,   308,   309,     0,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,     0,   327,   328,   329,   330,   331,   332,
     333,     0,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,   442,   443,     0,
     444,   445,   446,   447,   448,   449,     0,   450,   451,     0,
       0,   452,   453,   454,   455,     0,   456,   457,   458,   459,
     460,   461,     0,     0,   462,   463,   464,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,   473,     0,   474,
       0,   475,   476,   477,     0,     0,   478,     0,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     238,     0,   239,   240,   241,   242,     0,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,     0,   251,   252,
       0,     0,     0,     0,     0,     0,     0,   253,   254,   255,
     256,   257,   258,   259,   260,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   273,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,     0,   290,     0,   291,   292,   293,     0,   294,
       0,   295,     0,     0,     0,   296,   297,   298,     0,   299,
     300,     0,   301,     0,   302,   303,   304,   305,  2460,     0,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,     0,   327,   328,
     329,   330,   331,   332,   333,     0,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,   450,   451,     0,     0,   452,   453,   454,   455,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,   473,     0,   474,     0,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,  2543,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1308,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   710,
     216,   217,   218,     0,  1309,   711,  1310,  1311,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,  1312,  1313,
     232,     0,   233,   234,   235,   236,     0,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,     0,     0,
       0,   714,     0,     0,     0,   253,   254,   255,   256,   257,
     258,  1314,  1315,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     995,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,     0,   286,   287,   288,     0,
       0,   290,     0,   291,  1316,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,     0,     0,
     301,     0,   302,   303,   304,   305,   306,   717,   307,   308,
     309,  1842,   310,   311,   312,   313,   314,   315,     0,   316,
     718,  1843,   318,   319,   320,   321,  1317,  1318,     0,  1319,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,     0,   722,   335,   723,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1320,   724,  1321,   353,
     354,     0,     0,   356,   357,   725,   358,     0,     0,   360,
    1322,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,  1844,   726,   727,   728,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,     0,   380,     0,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1323,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
    1845,   427,   428,   730,   429,  1325,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,     0,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,  1326,
    1327,     0,     0,   452,     0,   454,     0,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,     0,  1328,
    1846,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,     0,  1308,     0,     0,
       0,     0,     0,     0,     0,   493,   494,   495,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,     0,  1309,   711,  1310,
    1311,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,  1312,  1313,   232,     0,   233,   234,   235,   236,     0,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,     0,     0,     0,   714,     0,     0,     0,   253,   254,
     255,   256,   257,   258,  1314,  1315,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   995,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,     0,   286,
     287,   288,     0,     0,   290,     0,   291,  1316,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,     0,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,     0,   318,   319,   320,   321,  1317,
    1318,     0,  1319,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,     0,   722,   335,
     723,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1320,
     724,  1321,   353,   354,     0,     0,   356,   357,   725,   358,
    1834,     0,   360,  1322,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,     0,   726,   727,   728,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,     0,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1323,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,  1845,   427,   428,   730,   429,  1325,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
       0,     0,   442,   443,  3176,   444,   445,   446,   447,   448,
     449,     0,  1326,  1327,     0,     0,   452,     0,   454,     0,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,     0,  1328,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,     0,
     199,     0,     0,     0,     0,     0,     0,     0,   493,   494,
     495,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,   238,     0,   239,   240,   241,   242,
       0,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,     0,   251,   252,     0,     0,     0,     0,     0,     0,
       0,   253,   254,   255,   256,   257,   258,   259,   260,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   273,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,     0,   290,     0,   291,
     292,   293,     0,   294,     0,   295,     0,     0,     0,   296,
     297,   298,     0,   299,   300,     0,   301,     0,   302,   303,
     304,   305,   306,     0,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,     0,   327,   328,   329,   330,   331,   332,   333,     0,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,     0,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,     0,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,   450,   451,     0,     0,   452,
     453,   454,   455,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,   473,     0,   474,     0,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1308,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,   710,
     216,   217,   218,     0,  1309,   711,  1310,  1311,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,  1312,  1313,
     232,     0,   233,   234,   235,   236,     0,     0,   238,     0,
     239,   240,   241,   242,   712,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   713,   251,   252,     0,     0,
       0,   714,     0,     0,     0,   253,   254,   255,   256,   257,
     258,  1314,  1315,   261,     0,   262,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,     0,   271,   272,
     995,   274,   275,     0,   276,   277,   278,     0,   279,   280,
       0,   281,   282,   283,   284,     0,   286,   287,   288,     0,
       0,   290,     0,   291,  1316,   293,     0,   294,     0,   295,
     715,     0,   716,   296,   297,   298,     0,   299,     0,     0,
     301,     0,   302,   303,   304,   305,   306,   717,   307,   308,
     309,     0,   310,   311,   312,   313,   314,   315,     0,   316,
     718,     0,   318,   319,   320,   321,  1317,  1318,     0,  1319,
       0,   325,   719,   720,   326,   721,   327,   328,   329,   330,
     331,   332,   333,     0,     0,   722,   335,   723,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1320,   724,  1321,   353,
     354,  1892,     0,   356,   357,   725,   358,     0,     0,   360,
    1322,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,     0,   726,   727,   728,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,     0,   380,     0,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1323,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     729,   409,   410,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
    1324,   427,   428,   730,   429,  1325,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,     0,     0,   442,
     443,     0,   444,   445,   446,   447,   448,   449,     0,  1326,
    1327,     0,     0,   452,     0,   454,     0,     0,   456,   457,
     458,   459,   460,   461,     0,     0,   462,   463,   464,   465,
     466,     0,     0,   467,   468,   469,   470,   471,     0,  1328,
       0,   474,   731,   475,   476,   477,     0,     0,   478,     0,
       0,   479,   480,   481,   482,   483,     0,  1308,     0,     0,
       0,     0,     0,     0,     0,   493,   494,   495,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   710,   216,   217,   218,     0,  1309,   711,  1310,
    1311,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,  1312,  1313,   232,     0,   233,   234,   235,   236,     0,
       0,   238,     0,   239,   240,   241,   242,   712,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   713,   251,
     252,     0,     0,     0,   714,     0,     0,     0,   253,   254,
     255,   256,   257,   258,  1314,  1315,   261,     0,   262,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
       0,   271,   272,   995,   274,   275,     0,   276,   277,   278,
       0,   279,   280,     0,   281,   282,   283,   284,     0,   286,
     287,   288,     0,     0,   290,     0,   291,  1316,   293,     0,
     294,     0,   295,   715,     0,   716,   296,   297,   298,     0,
     299,     0,     0,   301,     0,   302,   303,   304,   305,   306,
     717,   307,   308,   309,     0,   310,   311,   312,   313,   314,
     315,     0,   316,   718,     0,   318,   319,   320,   321,  1317,
    1318,     0,  1319,     0,   325,   719,   720,   326,   721,   327,
     328,   329,   330,   331,   332,   333,     0,     0,   722,   335,
     723,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1320,
     724,  1321,   353,   354,  3001,     0,   356,   357,   725,   358,
       0,     0,   360,  1322,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,     0,   726,   727,   728,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,     0,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1323,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   729,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,  1324,   427,   428,   730,   429,  1325,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
       0,     0,   442,   443,     0,   444,   445,   446,   447,   448,
     449,     0,  1326,  1327,     0,     0,   452,     0,   454,     0,
       0,   456,   457,   458,   459,   460,   461,     0,     0,   462,
     463,   464,   465,   466,     0,     0,   467,   468,   469,   470,
     471,     0,  1328,     0,   474,   731,   475,   476,   477,     0,
       0,   478,     0,     0,   479,   480,   481,   482,   483,     0,
    1308,     0,     0,     0,     0,     0,     0,     0,   493,   494,
     495,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,   710,   216,   217,   218,     0,
    1309,   711,  1310,  1311,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,  1312,  1313,   232,     0,   233,   234,
     235,   236,     0,     0,   238,     0,   239,   240,   241,   242,
     712,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   713,   251,   252,     0,     0,     0,   714,     0,     0,
       0,   253,   254,   255,   256,   257,   258,  1314,  1315,   261,
       0,   262,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,     0,   271,   272,   995,   274,   275,     0,
     276,   277,   278,     0,   279,   280,     0,   281,   282,   283,
     284,     0,   286,   287,   288,     0,     0,   290,     0,   291,
    1316,   293,     0,   294,     0,   295,   715,     0,   716,   296,
     297,   298,     0,   299,     0,     0,   301,     0,   302,   303,
     304,   305,   306,   717,   307,   308,   309,     0,   310,   311,
     312,   313,   314,   315,     0,   316,   718,     0,   318,   319,
     320,   321,  1317,  1318,     0,  1319,     0,   325,   719,   720,
     326,   721,   327,   328,   329,   330,   331,   332,   333,     0,
       0,   722,   335,   723,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1320,   724,  1321,   353,   354,     0,     0,   356,
     357,   725,   358,     0,     0,   360,  1322,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,     0,
     726,   727,   728,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1323,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   729,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1324,   427,   428,   730,
     429,  1325,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,     0,     0,   442,   443,     0,   444,   445,
     446,   447,   448,   449,     0,  1326,  1327,     0,     0,   452,
       0,   454,     0,     0,   456,   457,   458,   459,   460,   461,
       0,     0,   462,   463,   464,   465,   466,     0,     0,   467,
     468,   469,   470,   471,     0,  1328,     0,   474,   731,   475,
     476,   477,     0,     0,   478,     0,     0,   479,   480,   481,
     482,   483,     0,  1308,     0,     0,     0,     0,     0,     0,
       0,   493,   494,   495,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   710,   216,
     217,   218,     0,  1309,   711,  1310,  1311,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,  1312,  1313,   232,
       0,   233,   234,   235,   236,     0,     0,   238,     0,   239,
     240,   241,   242,   712,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   713,   251,   252,     0,     0,     0,
     714,     0,     0,     0,   253,   254,   255,   256,   257,   258,
    1314,  1315,   261,     0,   262,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,     0,   271,   272,   995,
     274,   275,     0,   276,   277,   278,     0,   279,   280,     0,
     281,   282,   283,   284,     0,   286,   287,   288,     0,     0,
     290,     0,   291,  1316,   293,     0,   294,     0,   295,   715,
       0,   716,   296,   297,   298,     0,   299,     0,     0,   301,
       0,   302,   303,   304,   305,   306,   717,   307,   308,   309,
       0,   310,   311,   312,   313,   314,   315,     0,   316,   718,
       0,   318,   319,   320,   321,  1317,  1318,     0,  1319,     0,
     325,   719,   720,   326,   721,   327,   328,   329,   330,   331,
     332,   333,     0,     0,   722,   335,   723,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1320,   724,  1321,   353,   354,
       0,     0,   356,   357,   725,   358,     0,     0,   360,  1322,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,     0,   726,   727,   728,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1323,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   729,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1845,
     427,   428,   730,   429,  1325,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,     0,     0,   442,   443,
       0,   444,   445,   446,   447,   448,   449,     0,  1326,  1327,
       0,     0,   452,     0,   454,     0,     0,   456,   457,   458,
     459,   460,   461,     0,     0,   462,   463,   464,   465,   466,
       0,     0,   467,   468,   469,   470,   471,     0,  1328,     0,
     474,   731,   475,   476,   477,     0,     0,   478,     0,     0,
     479,   480,   481,   482,   483,     0,  1308,     0,     0,     0,
       0,     0,     0,     0,   493,   494,   495,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   710,   216,   217,   218,     0,  1309,   711,  1310,  1311,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1312,  1313,   232,     0,   233,   234,   235,   236,     0,     0,
     238,     0,   239,   240,   241,   242,   712,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   713,   251,   252,
       0,     0,     0,   714,     0,     0,     0,   253,   254,   255,
     256,   257,   258,  1314,  1315,   261,     0,   262,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,     0,
     271,   272,   995,   274,   275,     0,   276,   277,   278,     0,
     279,   280,     0,   281,   282,   283,   284,     0,   286,   287,
     288,     0,     0,   290,     0,   291,  1316,   293,     0,   294,
       0,   295,   715,     0,   716,   296,   297,   298,     0,   299,
       0,     0,   301,     0,   302,   303,   304,   305,   306,   717,
     307,   308,   309,     0,   310,   311,   312,   313,   314,   315,
       0,   316,   718,     0,   318,   319,   320,   321,  1317,  1318,
       0,  1319,     0,   325,   719,   720,   326,   721,   327,   328,
     329,   330,   331,   332,   333,     0,     0,   722,   335,   723,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1320,   724,
    1321,   353,   354,     0,     0,   356,   357,   725,   358,     0,
       0,   360,  1322,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,     0,   726,   727,   728,     0,
     371,   372,   373,   374,   375,   376,   377,     0,   378,     0,
     380,     0,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1323,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   729,   409,   410,     0,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,     0,   427,   428,   730,   429,  1325,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,     0,
       0,   442,   443,     0,   444,   445,   446,   447,   448,   449,
       0,  1326,  1327,     0,     0,   452,     0,   454,     0,     0,
     456,   457,   458,   459,   460,   461,     0,     0,   462,   463,
     464,   465,   466,     0,     0,   467,   468,   469,   470,   471,
       0,  1328,     0,   474,   731,   475,   476,   477,     0,     0,
     478,     0,     0,   479,   480,   481,   482,   483,     0,  1308,
       0,     0,     0,     0,     0,     0,     0,   493,   494,   495,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   710,   216,   217,   218,     0,     0,
     711,     0,     0,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,     0,     0,   232,     0,   233,   234,   235,
     236,     0,     0,   238,     0,   239,   240,   241,   242,   712,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     713,   251,   252,     0,     0,     0,   714,     0,     0,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   261,     0,
     262,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,     0,   271,   272,   273,   274,   275,     0,   276,
     277,   278,     0,   279,   280,     0,   281,   282,   283,   284,
       0,   286,   287,   288,     0,     0,   290,     0,   291,     0,
     293,     0,   294,     0,   295,   715,     0,   716,   296,   297,
     298,     0,   299,     0,     0,   301,     0,   302,   303,   304,
     305,   306,   717,   307,   308,   309,     0,   310,   311,   312,
     313,   314,   315,     0,   316,   718,     0,   318,   319,   320,
     321,     0,     0,     0,     0,     0,   325,   719,   720,   326,
     721,   327,   328,   329,   330,   331,   332,   333,     0,     0,
     722,   335,   723,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,     0,   724,     0,   353,   354,     0,     0,   356,   357,
     725,   358,     0,     0,   360,     0,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   726,
     727,   728,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   729,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,     0,   427,   428,   730,   429,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,     0,     0,   442,   443,     0,   444,   445,   446,
     447,   448,   449,     0,     0,     0,     0,     0,   452,     0,
     454,     0,     0,   456,   457,   458,   459,   460,   461,     0,
       0,   462,   463,   464,   465,   466,     0,     0,   467,   468,
     469,   470,   471,     0,     0,     0,   474,   731,   475,   476,
     477,     0,     0,   478,     0,     0,   479,   480,   481,   482,
     483,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     493,   494,   495
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    47,    16,   164,   522,
     880,    11,    33,   172,   703,    24,   657,   916,   887,   184,
      20,   180,    20,   708,   563,   939,   616,   617,   567,    42,
    1190,   621,    21,   952,  1162,   733,  1207,    26,   577,   181,
     774,  1432,  1098,   549,   186,  1096,    21,    47,   771,  1569,
     965,    26,   565,   195,   824,  1324,    12,  1891,   781,  1022,
     789,   664,  2151,  1470,     7,   842,  1194,  1194,  2424,  1281,
    1341,    14,    17,    22,   851,   514,  2305,  2451,   173,   174,
    1251,  1252,   177,   178,    33,  1096,  2471,  2683,  2473,  1145,
      41,  1850,  1851,    20,  1377,  1190,  1362,  1362,  1149,   194,
    1362,   871,  1362,  1362,  1362,  1505,   829,   993,   994,   832,
    1119,  1096,  1729,  2604,   837,  1934,  2586,  2131,  2923,   558,
    2889,   844,   584,  2301,  2302,  3117,  1012,  2354,  2930,   166,
     853,   151,  3155,   166,  2604,  2303,  1240,  2238,  1149,  2857,
     907,  2862,  2863,  3130,  3177,  1428,     0,    38,  1198,     0,
       0,  3552,     0,     0,   660,  3377,  1149,  2901,    44,   740,
     749,  2795,  3149,   700,  1149,     0,   166,   983,   984,   700,
      31,    58,     5,    11,  1386,  2608,  2609,  2610,  2611,  2612,
    2613,    51,     0,  2017,    66,    37,     0,    79,     0,    16,
      35,     9,  1008,    98,    18,     5,  1246,     9,     0,     5,
     781,     5,     9,    13,    22,   103,   127,  3794,    37,   182,
      22,     5,     5,     0,    51,   188,     5,    26,    27,    13,
       5,    51,     0,   196,    13,  3683,   150,     3,     5,     5,
     156,     5,   822,   754,    60,     5,     5,   150,     5,   190,
      35,    25,   189,   122,   145,    68,  2080,    96,  2082,  3787,
       5,     5,   129,  1978,    58,     5,    96,    22,   163,  2360,
      60,   103,   170,    11,    29,    51,     3,     4,     5,   150,
     103,    68,     9,  1040,     9,  2426,    76,   150,  3080,   150,
     241,    83,    72,  2299,    58,   152,     5,     5,    36,   773,
     274,   775,     0,  1344,   807,   229,   120,     9,   782,  3866,
    3867,    22,     5,   144,   130,   132,   105,  3745,    29,    18,
     187,    51,   158,   218,   251,   150,   221,   150,    66,   279,
     103,   147,    98,     4,    34,   291,   105,   318,     9,   246,
     130,  2347,   150,  1344,    11,   170,   150,     5,   150,     4,
     149,   289,   151,  1041,     9,   293,     5,   147,   107,   888,
     509,  4088,   170,   155,  1083,   231,   170,   522,   170,  1344,
     320,   218,   300,   150,  1327,   258,   103,    11,  1066,     5,
     318,  3650,   150,  3652,   251,    83,   251,  3778,   520,    22,
     247,   289,   524,   170,   141,   293,    29,   163,  1360,   231,
    3382,   371,   170,   535,   553,   916,   289,   903,  1538,   229,
     565,   277,   294,   562,   309,   944,  1378,   170,  1815,   369,
     318,   120,  1552,    11,    22,   954,    30,   512,   381,  1289,
    4157,   516,    66,   389,  1293,   295,   267,   966,  1314,  1315,
      96,   190,   370,   308,   425,   103,  1322,   532,    36,   423,
     151,   389,   218,   423,   103,   221,   272,   155,  1504,    11,
     207,   188,   309,   236,   300,  3893,   918,   236,   295,   169,
    1600,   427,   423,   969,   306,   295,   333,   103,    66,   350,
    2621,   405,   272,   210,    36,   302,   393,    96,   197,  4046,
     427,   389,   110,   108,  2917,   254,   363,  4025,   318,   103,
     427,   340,   337,   320,   296,   504,  1312,  1313,  2989,   404,
     340,   427,   423,   427,    66,  1321,   385,  1563,   292,   295,
     423,  1245,   410,  1236,  1284,  1238,  3974,   350,   423,  2989,
     304,   350,   423,  1574,   376,   331,   332,   350,  1305,   502,
    3522,  4118,  3555,   309,   507,   427,   423,   423,   364,   421,
     549,   550,   337,   425,   585,   369,     8,   703,  1462,    11,
    1279,  1607,  2386,   350,   427,   295,   427,   427,   503,  3838,
     325,  1082,   423,  1574,   364,  1086,  1087,   587,  3774,  3371,
     354,   361,   381,  1079,   373,  1114,  1845,   410,  3570,  1302,
     289,   419,  1129,  1854,   584,   585,   584,   389,   296,  1574,
     427,   426,   425,   191,  3312,   380,   414,   415,  3316,  1136,
    1189,  3235,   414,   415,   325,  1136,   380,   596,   426,   598,
       8,   600,   426,   423,   426,   422,  4017,   606,  3362,   423,
     629,   596,   424,   598,   426,   600,   894,   583,   404,   423,
     423,   606,   607,   608,   423,   794,  3858,   905,   423,   426,
     649,   427,   807,  2872,  1225,   804,   423,   656,   426,   423,
     659,   660,   661,   423,  1175,   692,   423,   265,   585,   692,
    1181,   756,   757,   636,   427,  3098,   421,   610,   423,   423,
     425,   419,   390,   423,   340,   626,  4077,   414,   415,   414,
     415,   389,   325,  2442,   657,  2444,  3678,   390,   423,  1173,
    1850,   409,   692,  3685,   694,   694,   694,   694,   694,   694,
     859,   674,   414,   415,   150,   423,   409,  1228,  1221,  2877,
    1231,  1232,   423,    22,  1530,  1531,   424,    96,   426,   159,
     423,   340,   695,  3929,   389,   820,  1777,   678,   108,   191,
    1857,  2565,  2566,   414,   415,   343,  1503,   345,  1505,   416,
     417,   418,   419,   371,   369,   840,   841,   244,  1515,   414,
     415,  1518,    96,    96,     5,   682,   707,    98,    18,  1526,
    1527,    70,   857,   103,    24,   103,  1777,   658,    77,  1290,
      96,   662,  1539,  1540,    42,  3762,  1826,   103,     5,   754,
      20,   132,    18,  1550,  1777,   247,    11,   302,   107,   884,
     885,   350,  1777,  1383,  2314,   104,   410,   748,    44,   105,
      40,    18,    97,   183,  2905,   152,   390,   421,   241,   423,
     424,   425,   241,   427,   823,     5,   414,   415,   416,   417,
     418,   419,   163,   152,    83,   409,  1877,  2586,    22,  1880,
     106,  3187,   245,  1474,  1475,  2560,     5,    22,  2563,  2564,
     694,  2857,  2567,   694,   694,  2604,   694,   694,    94,   247,
     133,   180,  2577,   142,   416,   417,   418,   419,    64,   150,
     120,   834,  1560,   159,    23,   174,  1877,  1406,   427,  1880,
    4076,   190,   153,  4079,    74,   302,  1415,   218,   173,   251,
     221,   854,   855,   856,   120,   229,  2013,   193,  1427,    52,
     108,   167,  3915,   231,   903,  1880,   155,    60,   166,  1412,
     247,  2061,   170,   120,   350,   231,  3939,   916,   423,     3,
    4116,  2927,   112,    74,   153,     5,  3637,   862,   918,  3906,
     918,   115,  2681,  3641,    60,   231,   423,   108,  3646,  1468,
     115,  3649,  1471,   229,  1473,   375,   182,  1476,   206,   228,
     949,   916,   369,   410,   184,  3747,   132,  2051,   410,   411,
     412,   112,   414,   415,   416,   417,   418,   419,   425,     8,
     969,   340,    11,  1402,   410,   183,   191,   103,   309,   320,
     943,   311,   315,   279,  3570,   152,  1438,   977,   921,   425,
     923,    75,   925,   229,   927,   236,   929,   930,   931,   369,
     423,  1538,   965,   936,   423,  4018,   996,    11,   258,  1040,
     340,  1899,   183,     8,   330,  1552,    11,   333,   145,   236,
      74,   423,   410,   411,   412,   306,   414,   415,   416,   417,
     418,   419,   258,  1536,   333,   184,  1026,   340,   311,   289,
      18,   125,   313,  1042,  4026,   245,    24,   377,   244,     8,
    1040,   258,    11,  1052,   339,   340,   236,   210,   112,   389,
    1948,  3856,   424,  1062,   322,   427,  1221,   340,   318,   259,
     341,   307,    84,   404,  2204,  2205,    74,   236,  3870,  2209,
    1079,   163,   289,  1082,   313,   154,   251,  1086,  1087,   375,
      74,   175,   318,   423,   257,  1122,  1123,  1107,  1125,  1122,
    1123,   382,  1125,   304,   377,   231,   154,   423,   259,   151,
     236,   318,   341,   196,   112,  3334,   389,  1082,  1203,  2249,
    2250,  1086,  1087,   191,  2000,  3344,   229,  3835,   112,  1092,
     120,   427,  1122,  1123,  1266,  1125,   218,   304,  1396,   151,
     311,   210,   120,  3360,   320,     0,   272,  1405,   106,   357,
     423,  3526,   191,   354,   344,  1413,  1414,  3325,  3700,   285,
     352,   369,   210,  1930,   291,   145,   289,   179,  1253,  1254,
    1255,  1256,  3330,  1431,    75,   155,  1139,   245,  2439,   263,
     159,  3723,   194,   159,  3342,  2446,    32,   191,  2229,  3981,
     170,   358,   204,   344,  2235,   318,   191,  1138,   369,   414,
     415,   416,   417,   418,   419,   259,  1291,  1292,   247,   167,
    1175,   170,  1297,  3217,   226,  2075,  1181,   249,   260,  3978,
    3979,   421,  3703,   124,  2083,   425,   258,   309,  2229,  1361,
     108,   350,   191,   245,  2235,  3686,  1171,  1200,   364,   115,
    2989,   117,   120,  3703,  1243,  1377,  1395,   421,   426,  1214,
     229,   425,   247,   229,  2229,  1404,  4048,  1412,  1343,   424,
    2235,   259,   427,  1228,   141,   111,  1231,  1232,  2035,  2036,
    2037,  2038,   375,   249,   343,   259,   345,   105,   362,   258,
     258,   323,  1367,  1368,  1369,  1370,   370,   299,   247,   373,
     344,  2441,   352,   304,  1257,   343,  1428,   345,   367,   200,
     201,  3752,   105,   293,   389,  2912,  3312,   105,   427,  2069,
    3316,   289,   213,  1816,   383,   427,   271,   145,   298,   367,
    1283,  1470,  2719,  2322,    76,  1290,  3041,  1856,   318,   289,
     207,   391,  3047,  3048,  3049,  3050,  3051,  3052,  4097,  3148,
     318,   371,   427,   354,   106,  4137,   344,   131,  1433,   177,
     382,   103,   115,  1782,   117,   231,  2441,   258,   318,   371,
     344,  2751,   389,   271,  1363,   241,   243,   258,   115,  3193,
     117,  3195,   411,   412,   177,   414,   415,   416,   417,   418,
     419,  1536,  2638,  2638,   274,   371,  2638,   171,  2638,  2638,
    2638,   269,   139,   423,  1905,   193,   375,   352,   289,   375,
     427,    18,  1913,   231,  1915,   167,   240,    24,  3859,   258,
     414,   415,   416,   417,   418,   419,   308,  2174,  3869,   414,
     415,   416,   417,   418,   419,    95,    95,   318,   231,   197,
    2471,  2472,  2473,   231,  2707,   302,   391,   423,  3657,  3658,
    4026,   342,     5,   344,   352,   258,     9,   312,  1438,  3795,
    1438,   410,   411,   412,  1417,   414,   415,   416,   417,   418,
     419,   350,   329,  1426,   304,  2222,  1724,   151,  1897,   318,
    2471,  2472,  2473,   141,  1437,   340,   289,   145,   241,   231,
     293,   279,   258,   391,   231,  1496,    78,  2391,    83,   236,
     424,   423,  1577,   427,   241,   179,  2253,  1487,  1487,  1487,
    1487,  1487,  1487,   120,   354,   318,   175,   102,  2669,  3588,
     194,  1474,  1475,   289,   354,  1448,   312,  1450,   383,  1452,
     204,  1454,  1439,  1456,  1523,   117,   279,  1460,  2204,  2205,
    3905,  2288,   423,  2209,   320,    11,    32,   290,   133,   207,
     103,  1482,  2583,    39,   340,   342,   258,   217,   217,   219,
     219,  1516,  1517,  2412,  3918,   115,  1495,   117,   291,  1524,
      36,   314,  2603,  1528,  1529,  3389,  3390,  1502,  2064,    84,
     293,  2447,     3,  2249,  2250,   243,   389,   289,  1543,   139,
    1545,   293,  2583,   369,  3094,   389,   278,   383,    19,  1579,
      66,  2120,   389,   390,  3673,   318,  3675,  2772,  3944,    38,
    2096,  1566,  2603,  1568,   150,   145,   318,    20,  2583,   356,
     145,   303,   141,  2124,   258,   299,   145,   343,   365,   345,
      59,  2796,  1621,   427,   170,   165,   423,    40,  2603,   308,
     165,  3850,     4,    80,   306,  3641,   151,     9,    11,  1602,
    3646,  1773,  2402,  3649,    75,   289,  1778,  2777,  1611,  1781,
    2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,
    1809,  1816,   173,    36,   179,   390,  1815,  2204,  2205,    50,
     342,  1803,  2209,  3679,   318,    68,   236,   245,   207,   194,
    2810,   241,   250,    76,   409,   422,   311,   390,  2949,   204,
     427,   165,     5,    66,   125,    48,   306,    10,   423,    21,
    1832,    82,   308,  2427,    26,    18,   409,  2338,   197,  2839,
    2840,   226,  2249,  2250,   243,   340,   311,   389,   390,  2312,
     423,    34,     8,  1855,   311,    11,  1811,  1812,  1813,  2931,
     423,     8,   342,  1818,    11,  1820,     9,  1822,  1823,   170,
     423,   258,    28,  2647,   175,   340,  1878,    57,    58,  3464,
    3465,   423,   377,   340,   258,   245,   137,   258,   424,    36,
      76,   427,  1725,  1742,  1727,    42,  1898,  2270,   427,  1901,
    3280,  2812,   289,  2819,  1764,  1764,  1787,  1742,  1789,   389,
     390,  3787,   377,   423,   299,   289,  1918,   168,   289,    66,
     377,    48,   418,  1925,   389,   422,   356,   423,   423,   425,
     427,   318,   389,    38,  2315,   365,  1938,  2968,  2969,  1726,
     343,  2812,   345,   423,   318,  1947,  2074,   318,   191,   192,
    3060,  2221,  3062,  2223,  2224,  3065,  1911,  3067,   423,  3835,
    2088,  2089,   263,  2738,  2092,   406,   423,  2812,   154,  1838,
    2098,   424,   424,   306,   427,   427,  2799,  2800,   418,  2378,
    2379,     8,  2381,   423,    11,   425,   193,   173,   245,   425,
     421,   234,   423,   250,   425,   424,   248,  2913,   427,   300,
     248,    28,  3589,  3590,  3591,  3592,   245,   258,  1963,   342,
     424,   306,   424,   427,  2744,   427,  1971,  1972,  1973,  1974,
    1975,  1976,   350,   170,   210,  2153,   424,   424,   424,   427,
     427,   427,   145,  2616,  2400,   191,   424,   338,   289,   427,
     424,  1874,   293,   427,   191,   192,   297,   342,   424,   389,
     390,   427,   303,   406,    26,    27,   389,   390,  2837,   310,
     424,   362,    38,   427,   250,  3759,  1935,   318,   424,   370,
    1905,   427,   373,  2984,   421,   326,   423,  2988,  1913,  2990,
    1915,   245,   424,   334,  3703,   427,   424,   234,   406,   427,
     423,   247,   389,   390,   389,   390,  4045,   407,   408,  2054,
     247,  1970,   424,   424,   424,   427,   427,   427,  2507,  1978,
    3110,    83,  2742,  2984,  2595,  2596,  2597,  2988,     8,  2990,
     424,    11,   424,   427,  2079,   427,  2081,   423,   423,   425,
     102,   424,   424,   384,   427,   427,  2155,   423,    28,   425,
    2159,  3726,  3129,  2988,   424,  2990,   248,   427,  3277,  4025,
    3170,   302,   303,   424,  2928,  2929,   427,   343,   193,   345,
     424,   133,  1997,   427,   191,  2034,  3154,   416,   354,   233,
    3789,   414,   415,   416,   417,   418,   419,   427,   364,  2806,
       8,   367,   343,    11,   345,  2018,   149,  2637,   424,  2058,
     343,   427,   345,  2053,  2053,  2064,   424,   424,   424,   427,
      28,   427,   424,   424,   424,  2021,   427,   427,   424,   232,
     233,   427,  2167,   424,   424,  2961,   427,   427,   424,   424,
     247,   427,   427,   424,    48,   424,   427,  2096,   427,   423,
    2629,  2777,  2631,   150,  2780,  2781,  2782,  2783,  2784,  2785,
    2786,  2787,  2788,  2789,   189,  2270,   424,   311,   424,   427,
     426,  2617,   423,  2619,   410,   411,   412,   425,   414,   415,
     416,   417,   418,   419,   424,  2393,   426,   414,   415,   416,
     417,   418,   419,   318,   424,   424,   340,   427,   427,   423,
    2299,    60,  3282,  3283,  3664,   302,   303,    66,   311,  2124,
    2879,   392,  2308,  2839,  2840,   425,   424,    76,  3057,   427,
     424,   191,   424,   427,   423,   427,   424,  2332,  2866,   427,
     389,   390,   424,   377,  2680,   427,   424,   340,  2717,   427,
    2869,  2870,   956,   957,   103,   389,   105,   424,  2347,   424,
     427,  2459,   427,  2461,   424,  2339,  2340,   427,  2737,   311,
     598,   599,   600,   245,   145,   603,   604,   605,   424,   205,
     105,   427,  2253,     0,   377,   613,   697,   247,   699,   423,
     424,  2363,   426,   191,  2745,  3317,   389,  3319,   340,   424,
    2777,   245,   427,  2780,  2781,  2782,  2783,  2784,  2785,  2786,
    2787,  2788,  2789,   410,   411,   412,   371,   414,   415,   416,
     417,   418,   419,  2253,   424,   240,   424,   427,   177,   427,
     423,  1554,   423,  2810,  1557,   377,   197,  2267,   308,   381,
    3326,  2539,   424,   423,    60,   427,  2544,   389,   389,   247,
    2293,  2294,  2295,    31,   424,   424,  2286,   427,   427,   231,
     392,   424,  2839,  2840,   427,   424,    83,   424,   427,  2299,
     427,  3357,  3036,    38,   424,   424,  2315,   427,   427,  2350,
     423,   423,   231,  2408,    38,  2410,  2411,   236,   359,  2292,
     258,   145,    73,   275,   134,   134,   423,   134,  2328,  2328,
    2328,  2328,  2328,  2328,   392,   134,  3743,   134,  2313,   427,
    2315,   134,   129,   134,   134,   245,   134,  2347,  2490,     8,
    2350,   134,    11,   272,   141,  2497,   134,   245,   145,   134,
     134,   340,   423,   150,    31,  2338,   285,   146,   155,  3288,
     205,   158,   145,   160,   145,   245,   423,    36,     5,     5,
     410,   411,   412,    42,   414,   415,   416,   417,   418,   419,
     423,  2400,   423,   268,   423,   423,   423,   423,   423,     5,
     187,   826,  3179,     5,   423,   423,   423,    66,   423,  3569,
     423,   423,   423,  2555,     5,   423,     5,   423,   423,   423,
     207,  2586,   423,  2691,  3110,  3476,    21,  2695,   423,  2697,
     423,  2699,  2700,   423,    31,   423,   423,   423,   255,  2604,
    2708,   423,   410,   411,   412,   364,   414,   415,   416,   417,
     418,   419,   427,    50,    31,    86,   243,    31,   205,   145,
    3600,   243,   145,   318,   251,  3476,   350,   350,  2477,  3609,
     306,  2739,   425,    68,   350,  3526,   350,   306,   350,   350,
     306,   350,   245,   310,   350,    82,  3626,  3627,   350,   350,
    3881,  3476,  3883,   236,   175,    68,  2505,  3264,   423,   245,
     241,   350,   370,   350,    76,   423,   129,   166,   258,   296,
     427,   170,   371,   371,    97,  3526,   350,   350,   141,   350,
      48,   919,   145,   118,   922,    48,   924,   952,   926,    50,
     928,   350,   191,   192,   932,   350,  3057,   249,   350,    49,
     137,    37,   350,    37,   350,   306,   427,   206,   350,   350,
     245,  2560,   147,   340,  2563,  2564,   245,   152,  2567,   191,
    2719,    82,   392,  3110,   187,  2707,   389,   423,  2577,   380,
     423,   168,  3486,  2582,    31,   234,   363,  2586,   423,  3478,
    2722,    30,    20,   134,   207,    95,   231,   103,   247,   383,
     371,   423,   213,  3132,  3133,  2604,  3282,  3283,  2740,   386,
     197,   388,   389,   198,   241,   382,   231,    31,  2617,   145,
    2619,  2586,    31,   197,   307,   134,   137,   371,  2593,  2594,
     243,   134,   371,  2598,   240,   423,   134,   134,   251,  2604,
     350,   235,   150,   385,   421,   348,   406,   424,   425,   426,
      11,  2650,   223,   423,  3772,   223,   318,   168,   348,   350,
    2623,  2746,   150,   352,   423,   427,   423,  2632,   424,   427,
     164,   164,   172,   322,   423,  3204,  3205,  3206,   371,  3809,
    2679,  2680,  2672,  2672,   427,  2648,   187,   246,   241,  3377,
     275,   350,  2655,   427,   424,  3604,  2659,   350,  3209,   306,
    2690,  2690,    75,   306,   423,   371,   293,   236,  2857,   236,
     297,  2674,   195,   195,   350,   423,   303,   217,   129,   219,
     308,   306,   197,   310,   236,   245,   350,   312,  1143,   229,
     141,   318,   427,   252,   145,   289,   350,   244,  2701,   326,
     306,  2704,   350,   315,   279,  3282,  3283,   334,   350,   191,
     363,    31,   371,   191,   191,   340,   191,   257,   191,   371,
    3473,   410,   411,   412,   244,   414,   415,   416,   417,   418,
     419,   423,   410,    30,   359,  2738,   187,   421,  2927,   421,
    2745,   350,   293,   423,   295,   350,   297,   410,   134,   350,
    3940,   315,   303,   350,   294,   145,   207,   384,   383,   310,
     147,   388,   389,   423,  1219,   241,   134,   318,   421,    31,
     315,   424,   425,   245,   245,   326,  2847,   162,   162,   145,
    2952,    31,   134,   334,  2823,   245,  2857,   245,   328,   145,
     315,   170,   243,  3737,  2989,   170,   170,   423,   427,    19,
     251,   392,   156,   220,   245,  3348,  2849,  2850,  2851,  2852,
     427,    48,   240,   340,   197,   150,   406,  2847,  2943,  2944,
    2945,  2946,   262,   150,  3905,   254,   424,  2857,   424,   424,
    1285,     8,   424,   384,    11,   424,   424,  2876,   424,   424,
     424,   424,   350,   406,  3016,   427,   424,  3019,   424,  1304,
     424,  2854,  2855,  2856,   424,   386,   424,  3654,   423,    36,
      13,  3810,   423,    13,  3905,    42,   377,   424,   386,  3438,
    3439,   296,  3441,   207,   410,   245,   248,  4078,   245,   423,
     173,   423,   392,   350,  3600,   181,   236,   134,   134,    66,
      21,   207,   263,  3191,  1349,   350,   215,   215,   263,   368,
    3198,  3199,   215,  3523,   350,   350,   306,   350,   350,   306,
    3626,  3627,   363,   350,   306,   350,   350,   306,   134,   318,
     350,    37,   191,    54,   191,  3874,   191,   191,   191,  3878,
    3879,   191,   191,     3,   424,   421,    67,    68,   221,   424,
     309,   207,   249,   359,   410,    76,  1401,   291,    96,    80,
    2989,   389,   244,   427,  3669,   245,   350,   427,   159,   424,
     423,   371,  3891,   424,   371,   306,    97,  3006,   306,   306,
    3009,   427,  3011,   248,   132,  3875,   132,  3876,   191,   126,
     150,    11,   421,  3108,  2989,   145,  3005,   118,   424,   166,
    3029,  3030,   424,   170,   382,    58,   150,   424,   424,   423,
    3005,   424,  3041,   423,   423,   136,   427,   158,  3047,  3048,
    3049,  3050,  3051,  3052,   191,   192,   147,  3814,  3057,   424,
     424,   152,  3061,  3600,   246,   145,   424,    31,   424,   206,
     359,   371,  3609,  4114,   359,   371,   350,   181,   350,   350,
     350,   350,   173,   424,   424,   306,   424,   145,   306,  3626,
    3627,    66,  3057,    96,   231,   359,   191,   234,   191,   422,
     424,  3100,  3101,  3102,  3103,  3070,  3071,   198,    44,   422,
     247,   195,    18,  4114,   389,   424,  3081,   423,    24,    31,
     423,  4162,   427,   145,   392,   424,   176,    71,   342,  4170,
     389,   423,   315,  3809,  3097,  3100,   427,   427,   350,  4114,
     424,   155,   150,   191,   191,   191,  3777,   191,   150,    85,
     284,  3409,  3410,  3116,    48,   387,   247,  1572,    64,   424,
     423,  4162,   424,  3312,   424,   423,   427,  3316,  3167,  4170,
    3849,   387,   253,   109,   194,   424,  3139,  3680,   194,   423,
      48,   160,   424,   424,   275,   322,   241,  4162,   124,   427,
     350,   150,   128,  3348,   389,  4170,    66,   410,   236,   236,
     359,  3459,  3460,   134,   191,  3708,   410,   113,   110,   300,
     146,  3968,   427,   304,   120,   306,   427,   123,   236,   422,
     152,   312,    22,    23,   315,   161,  3225,    27,   150,   371,
     315,    31,    32,    33,   121,    35,   371,   385,    38,    39,
      96,    41,  4102,    43,  3209,   389,   423,   150,   423,   340,
     178,   342,   248,   150,   423,   346,   423,   284,   327,   376,
     424,   424,   388,   354,   194,   423,   423,   261,   359,   175,
     424,   424,  3809,   410,   411,   412,   245,   414,   415,   416,
     417,   418,   419,  3415,   285,   424,   389,   423,   145,    31,
     423,   236,   383,   216,   173,  3427,   423,   133,   249,  3828,
     236,   424,    60,   303,   303,   248,    60,    48,   244,  3838,
      48,   423,   251,   342,   423,   371,  3574,   140,  3576,  3577,
     245,   276,  3312,   229,   248,   231,  3316,   248,   116,  3587,
     375,   284,    31,   376,   150,   241,  3299,  3300,  3301,  3302,
     427,   277,   282,   249,   386,   427,  3345,   145,   389,   121,
     245,    31,   258,   245,   389,  3440,  3885,   423,  3369,   424,
     423,    48,   424,   108,   302,  3355,  3355,   302,    17,  3454,
     423,   369,   172,   173,   174,   175,    28,   177,   178,   694,
     180,   181,   182,   289,   184,  3364,   186,   293,   188,   133,
     190,   276,   423,  1269,   194,   195,   196,  2020,   751,  3364,
    3980,  1087,  2315,  1887,  2988,  2452,  1942,  3729,  3476,  2582,
    3891,  3768,   318,  3543,  3772,  3158,  3516,  3776,  2385,  2113,
    4052,  4101,     8,  3679,  4009,    11,  3405,     0,  4066,  3916,
    3959,  4008,  2389,  1379,  3160,  3121,  2011,  2011,  2984,  2472,
    3405,  1364,  3127,  2649,  2006,  3129,  1861,  4106,  4170,  2603,
      36,  4162,  2588,  3418,  3419,  4073,    42,  3542,  3423,  3424,
    3710,  1356,  4060,  3989,  3713,  3464,  3465,    26,   374,   945,
    3212,  3855,  3168,  3976,  1851,  3170,  3940,   550,  2542,  3478,
      66,  4084,  4164,  3482,   673,  3484,  3760,  1726,  3487,  3488,
    1727,  1439,  3641,  2328,  3151,  2910,   686,  3646,  3356,  2329,
    3649,  1762,  1132,  1113,  2341,  1131,  2335,  3653,  1761,  1134,
      83,  1745,  2355,     8,  2347,    31,    11,  2857,  3836,  3498,
    3318,  2911,   678,  1987,  2822,  3680,  3812,  2814,  4040,  1138,
    3679,  4039,  2332,  3498,    50,  2267,  4043,  2176,  2265,  2906,
    3539,    36,   128,  3533,  3533,  3803,  1603,    42,  3703,    -1,
       0,    -1,    -1,  3708,    -1,    -1,   129,    -1,  3707,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    82,    -1,   141,  3568,
      -1,    66,   145,  1988,    -1,    -1,    -1,   150,    -1,    -1,
     166,    -1,   155,    -1,   170,   158,    -1,   160,    -1,    -1,
    3589,  3590,  3591,  3592,  3743,    -1,  3681,  3682,  3683,  3857,
      -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,  3572,
      -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,
     206,   137,    -1,    -1,    -1,    -1,    -1,    -1,  3886,    -1,
      -1,    -1,    -1,    83,   207,    -1,    -1,    -1,  3787,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,  3641,   168,    -1,    -1,    -1,  3646,    -1,    -1,  3649,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,   166,    -1,    -1,    -1,   170,    -1,    -1,   251,   129,
      -1,   197,    -1,    -1,    -1,    -1,  3835,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,   145,   191,   192,    -1,    -1,
     150,  3786,   502,    -1,  3703,   155,    -1,   507,   158,   509,
     160,   206,   512,    -1,   514,    -1,   516,    -1,    -1,    -1,
     520,    -1,   522,   296,   524,   525,  2141,  3726,    -1,    -1,
      -1,  3730,   532,  3666,    -1,   535,   322,   187,  3703,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,
      -1,    -1,   247,   553,    -1,    -1,    -1,   207,   558,    -1,
      -1,    -1,   562,    -1,    -1,   565,    -1,   340,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,  3864,
     580,   297,    -1,  3746,    -1,   585,    -1,   303,    -1,    -1,
     363,    -1,    -1,   243,   310,    -1,    -1,  3882,    -1,  3884,
      -1,   251,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,    -1,    -1,   386,  3777,   388,   389,    -1,   334,    -1,
      -1,  3976,    -1,    -1,    -1,    -1,   626,   322,   414,   415,
     416,   417,   418,   419,    -1,    -1,   636,   637,  4096,    -1,
      -1,     8,    -1,    -1,    11,  3835,   296,    -1,   421,    -1,
      -1,   424,   425,   426,    -1,   655,    -1,   657,   658,    -1,
     660,    28,   662,    -1,    -1,    -1,    -1,  4016,   384,    36,
      -1,    -1,   388,    -1,   674,    42,  4025,    -1,   678,    -1,
      -1,    -1,    -1,    -1,   684,    -1,    -1,    -1,    -1,  3974,
     340,    -1,  3891,    -1,    -1,   695,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,  3868,  4055,   707,    -1,    -1,
      -1,    -1,    -1,   363,    -1,    -1,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,    -1,    -1,  4013,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   386,    -1,   388,   389,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   756,   757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   421,    -1,    -1,   424,   425,   426,    -1,  4063,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2403,    -1,
      -1,    -1,    -1,    -1,   794,    -1,    -1,    -1,    -1,   166,
      -1,    -1,     8,   170,   804,    11,    -1,   807,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    21,  4166,  4103,    -1,
     820,    -1,    28,    -1,   191,   192,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,   834,    -1,    42,    -1,    -1,   206,
     840,   841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,   854,   855,   856,   857,    -1,   859,
      66,    -1,    67,    -1,   231,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,  2494,
     247,  2496,    -1,   250,   884,   885,    -1,    -1,    -1,  4120,
      -1,    -1,    -1,    31,  4084,  4084,  4084,  4084,  4084,  4084,
      -1,    -1,    -1,   903,    -1,    -1,    -1,   907,    -1,    -1,
      -1,    -1,    50,   118,    -1,  4114,   916,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2540,    -1,    -1,    -1,    -1,
    4120,  4120,  4120,  4120,  4120,  4120,    -1,    -1,   938,   939,
      -1,    -1,   147,   943,    82,   945,  2561,   152,    -1,  4114,
      -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
     166,    -1,   962,  4162,   170,   965,    -1,    -1,   968,   969,
      -1,  4170,    -1,    -1,  4164,  4164,  4164,  4164,  4164,  4164,
      -1,   981,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,    -1,   137,
     206,    -1,    -1,    -1,    -1,  4170,    -1,    -1,    -1,  1009,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,   234,    -1,
     168,    -1,    -1,    -1,    -1,    -1,    -1,  1037,  1038,    -1,
    1040,   247,   247,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,  2668,    -1,   422,    -1,  1057,    -1,   197,
      -1,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     275,    -1,    -1,    -1,    -1,    -1,    -1,  2692,     8,  1079,
      -1,    11,    -1,    -1,    -1,    -1,  1086,  1087,    -1,    -1,
      -1,    -1,  1092,    -1,    -1,  1095,    -1,    -1,    -1,    -1,
      -1,   306,    -1,    -1,    -1,    -1,    36,   312,    -1,    -1,
     315,    -1,    42,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1124,    -1,    -1,    -1,  1128,  1129,
      -1,    -1,    -1,    -1,    -1,   340,    66,    -1,  1138,  1139,
    1140,   346,  2757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   359,   293,  1156,     8,    -1,   297,
      11,  2776,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,   310,    -1,    -1,    -1,    -1,    28,   383,    -1,
     318,    -1,    -1,  1183,    -1,    36,  2801,    -1,   326,    -1,
      -1,    42,    -1,    -1,  1194,    -1,   334,    -1,   128,    -1,
    1200,    -1,    -1,  1203,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,    -1,    66,    -1,     8,    -1,    -1,
      11,  1221,  2837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    28,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    36,   384,    -1,    -1,    -1,
     388,    42,    -1,  1253,  1254,  1255,  1256,  1257,    -1,    -1,
      -1,   191,   192,    -1,    -1,    -1,  1266,    -1,  1268,    -1,
      -1,    -1,    -1,    -1,    -1,    66,   206,    -1,    -1,    -1,
      -1,  1281,    -1,  1283,    -1,    -1,    -1,    -1,     3,    -1,
      -1,  1291,  1292,     8,    -1,    -1,    11,  1297,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,   166,    31,   247,    -1,   170,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   192,    -1,  1343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,
      -1,  1361,    -1,    -1,    -1,    -1,    -1,  1367,  1368,  1369,
    1370,    -1,    -1,    -1,    -1,   166,    -1,  1377,    -1,   170,
     231,    -1,    -1,   234,    -1,    -1,  1386,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    -1,  1395,   247,    -1,    -1,   250,
     191,   192,  1402,    -1,  1404,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1412,    -1,    -1,   206,    -1,  1417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1426,    -1,  1428,    -1,
      -1,    -1,  1432,  1433,    -1,    -1,    -1,  1437,    -1,  1439,
     231,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   166,    -1,    -1,    -1,   170,   247,    -1,    -1,   250,
      -1,    -1,  1462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1470,   322,    -1,    -1,  1474,  1475,   191,   192,    -1,    -1,
      -1,    -1,  1482,    -1,   414,   415,   416,   417,   418,   419,
      -1,   206,    -1,    -1,    -1,  1495,  1496,    -1,    -1,  1499,
      -1,    -1,    -1,  1503,    -1,  1505,    -1,    -1,    -1,    -1,
      -1,    -1,  1512,    -1,    -1,  1515,   231,    -1,  1518,   234,
      -1,  3136,    -1,    -1,    -1,    -1,  1526,  1527,    -1,    -1,
      -1,   322,   247,    -1,  1534,   250,  1536,  1537,  1538,  1539,
    1540,    -1,    -1,    -1,    -1,    -1,    -1,  1547,  1548,    -1,
    1550,     8,  1552,  1553,    11,    -1,  1556,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    -1,
      -1,    -1,    -1,  1573,    -1,    -1,   427,  1577,  1578,    36,
      -1,    -1,  1582,    -1,    -1,    42,  1586,    -1,  1588,  1589,
    1590,  1591,  1592,  1593,  1594,  1595,  1596,    -1,  1598,    -1,
      -1,     8,  1602,  1603,    11,  1605,    -1,   322,    -1,    66,
      -1,  1611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    36,
      -1,    18,    -1,    -1,    -1,    42,   427,    24,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      -1,   128,    -1,  3288,    -1,    24,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,    -1,    -1,    -1,   166,
      -1,    -1,    -1,   170,    -1,    64,    -1,    -1,    -1,    -1,
      -1,   128,    -1,    -1,    -1,  1725,   113,  1727,    -1,  1729,
      -1,    -1,    -1,   120,   191,   192,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,
      -1,    -1,    -1,   170,   113,  1765,    -1,  1767,    -1,    -1,
      -1,   120,  3387,  1773,   123,    -1,    -1,   234,  1778,    -1,
      -1,  1781,  1782,    -1,   191,   192,    -1,  1787,   175,  1789,
     247,    -1,    -1,  3408,    -1,    -1,    -1,    -1,    -1,   206,
      -1,    -1,    -1,  1803,  1804,  3420,    -1,    -1,    -1,  1809,
      -1,  1811,  1812,  1813,    -1,  1815,  1816,    -1,  1818,    -1,
    1820,    -1,  1822,  1823,    -1,    -1,   175,   234,    -1,    -1,
      -1,    -1,  1832,    -1,    -1,    -1,     8,    -1,    -1,    11,
     247,    -1,   229,  3458,   231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   241,  1855,    -1,  1857,    -1,    -1,
      -1,    -1,   249,  1863,    36,   322,    -1,    -1,  1868,    -1,
      42,   258,    -1,    -1,  1874,    -1,    -1,    -1,  1878,    -1,
     229,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1890,  1891,   241,    -1,    66,    -1,    -1,  1897,  1898,    -1,
     249,  1901,   289,    -1,    -1,    -1,   293,    -1,    -1,   258,
      -1,  1911,    -1,    -1,    -1,   322,    -1,    -1,  1918,    -1,
      -1,    -1,    -1,    -1,    -1,  1925,    -1,    -1,    -1,    -1,
      -1,   318,    -1,    -1,  1934,    -1,  1936,  1937,  1938,    -1,
     289,    -1,    -1,    -1,   293,    -1,    -1,  1947,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   128,   414,   415,   416,
     417,   418,   419,  1963,    -1,    -1,    -1,    -1,    -1,   318,
      -1,  1971,  1972,  1973,  1974,  1975,  1976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1986,   374,    -1,  3604,
      -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,   416,
     417,   418,   419,  2013,    -1,    -1,    -1,  2017,  2018,   191,
     192,    -1,  2022,    -1,    -1,   374,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,   206,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2047,    -1,    -1,
      -1,    -1,    28,    -1,  2054,  2055,    -1,    -1,    -1,    -1,
      36,    -1,   234,    -1,  2064,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,  2079,
    2080,  2081,  2082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,  2096,    -1,    -1,    -1,
      -1,  2101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,  2151,    -1,    -1,    -1,  2155,    -1,    -1,    28,  2159,
      -1,    -1,    -1,    -1,    -1,    -1,    36,  2167,    -1,    -1,
      -1,    -1,    42,     8,  2174,  2175,    11,    -1,    -1,    -1,
      -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,    24,    -1,
     166,    -1,    -1,    28,   170,  3810,    66,    -1,    -1,    -1,
      -1,    36,    -1,    -1,  2204,  2205,    -1,    42,    -1,  2209,
      -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,  2221,  2222,  2223,  2224,  3840,    -1,    -1,    64,    -1,
     206,    66,    -1,    -1,  2234,    -1,    -1,  2237,    -1,  2239,
    2240,    -1,   414,   415,   416,   417,   418,   419,    -1,  2249,
    2250,    -1,    -1,  2253,    -1,   231,    -1,    -1,   234,  3874,
      -1,    -1,    -1,  3878,  3879,    -1,  2266,    -1,  2268,    -1,
    2270,   247,  2272,    -1,   250,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,    -1,   120,    -1,    -1,   123,  2288,    -1,
      -1,    -1,  2292,    -1,    -1,    -1,   166,    -1,    -1,  2299,
     170,  2301,  2302,  2303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2315,    -1,     8,  2318,    -1,
      11,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,  2329,
      -1,   166,    -1,    -1,  2334,   170,   206,    -1,  2338,   175,
      -1,  2341,    -1,    -1,    -1,    36,   322,  2347,    -1,    -1,
    2350,    42,    -1,    -1,  2354,    -1,   191,   192,    -1,    -1,
      -1,   231,    -1,  2363,   234,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,    -1,    66,    -1,   247,    -1,    -1,
     250,    -1,    -1,    -1,  2384,    -1,  2386,    -1,    -1,    -1,
      -1,  2391,    -1,   229,    -1,   231,   231,    -1,    -1,   234,
    2400,    -1,    -1,    18,    -1,   241,    -1,    -1,  2408,    24,
    2410,  2411,   247,   249,    -1,   250,    -1,    -1,    -1,    -1,
      -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   410,   411,   412,   128,   414,   415,
     416,   417,   418,   419,    -1,    -1,    -1,    -1,   424,    64,
      -1,    -1,   322,   289,    -1,    -1,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,   318,    -1,    -1,    -1,    -1,   322,    -1,    -1,
    2490,    -1,    -1,    -1,    -1,    -1,    -1,  2497,   113,    -1,
     191,   192,    -1,    -1,    -1,   120,    -1,    -1,   123,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,
     410,   411,   412,   234,   414,   415,   416,   417,   418,   419,
      -1,    -1,    -1,    -1,   424,  2555,   247,    -1,    -1,    -1,
     175,    -1,    -1,    -1,    -1,  2565,  2566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,    -1,    -1,    -1,   424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   229,    -1,   231,  2617,    -1,  2619,
      -1,    -1,    -1,  2623,    -1,    -1,   241,    -1,    -1,    -1,
      -1,   322,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   258,    -1,    -1,    -1,  2647,  2648,    -1,
      -1,    -1,    -1,    -1,    -1,  2655,    -1,    -1,    -1,  2659,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2674,    -1,    -1,    -1,   293,    -1,
    2680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2701,    -1,   318,  2704,    -1,    -1,  2707,    -1,    -1,
      -1,  2711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2719,
      -1,    -1,  2722,   414,   415,   416,   417,   418,   419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2738,    -1,
    2740,    -1,    -1,    -1,    -1,   826,  2746,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2754,    -1,    -1,    -1,    -1,   374,
      -1,    -1,    -1,  2763,    -1,    -1,    -1,    -1,    -1,  2769,
      -1,  2771,    -1,    -1,    -1,    -1,    -1,  2777,    -1,    -1,
    2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,
      -1,    -1,    -1,  2793,  2794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2806,    -1,    -1,    -1,
    2810,    -1,    -1,    -1,  2814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2824,    -1,    -1,  2827,    -1,  2829,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2838,  2839,
    2840,    -1,    -1,    -1,  2844,    -1,    -1,  2847,    -1,    -1,
      -1,    -1,    -1,    -1,  2854,  2855,  2856,  2857,  2858,    -1,
      -1,    -1,  2862,  2863,    -1,    -1,    -1,  2867,    -1,    -1,
      -1,   952,    -1,  2873,    -1,  2875,    -1,  2877,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2900,     7,    -1,    -1,    -1,    -1,  2906,    13,    14,    -1,
    2910,    -1,  2912,    19,    -1,    21,    -1,    -1,    -1,    -1,
      26,    -1,    28,    -1,    -1,    -1,    -1,  2927,  2928,  2929,
      -1,  2931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      46,    -1,    -1,  2943,  2944,  2945,  2946,    -1,    -1,    -1,
      -1,    -1,  2952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,  2974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,    -1,    -1,
      -1,  1082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,  3016,    -1,    -1,  3019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3033,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,   113,    -1,
      -1,    -1,  1143,    -1,    -1,   120,    -1,    -1,   123,    -1,
      -1,    -1,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   187,    -1,   189,    -1,   191,    -1,   193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3097,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3108,  1190,
    3110,    -1,    -1,    -1,    -1,    -1,  3116,   172,    -1,    -1,
     175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1219,  3139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3148,    -1,
      -1,    21,    -1,    -1,  3154,    -1,    -1,    -1,  3158,    -1,
    3160,    -1,   217,    33,   219,    -1,    -1,    -1,    -1,    -1,
      -1,  3171,  3172,    -1,   229,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    54,    -1,   241,     8,    -1,    -1,
      11,    -1,    -1,  3193,   249,  3195,    -1,    67,    -1,    -1,
      -1,    -1,   257,   258,  1285,    -1,    76,    28,    -1,    -1,
      80,    -1,  3212,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,  1304,    -1,    -1,    -1,    97,  3228,    -1,
      -1,    -1,    -1,   103,   289,    -1,    -1,    -1,   293,   294,
      -1,    -1,    -1,  1324,    -1,    66,    -1,    -1,   118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   318,  3264,    -1,   136,    -1,  1349,    -1,
      -1,    -1,    -1,   328,  3274,  3275,    -1,   147,    -1,    -1,
      -1,    -1,  3282,  3283,   154,    -1,    -1,  3287,   158,    -1,
      -1,    -1,    -1,  3293,  3294,    -1,    -1,  3297,    -1,  3299,
    3300,  3301,  3302,   173,    -1,    -1,  3306,    -1,    -1,  3309,
      -1,    -1,  3312,    -1,    -1,    -1,  3316,    -1,    -1,   374,
    1401,    -1,  3322,    -1,    -1,  3325,    -1,    -1,    -1,    -1,
    3330,    -1,    -1,    -1,    -1,    -1,  3336,    -1,    -1,    -1,
     210,    -1,  3342,    -1,    -1,   166,    -1,    -1,  3348,   170,
      -1,    -1,    -1,    -1,    -1,    -1,  3356,    -1,    -1,    -1,
    3360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3369,
     191,   192,  3372,    -1,    -1,    -1,    -1,   247,    -1,    -1,
     250,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,  3389,
    3390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   510,    -1,  3406,    -1,    -1,    -1,
     231,   517,    -1,   234,    -1,  3415,    -1,    -1,    -1,    -1,
     526,   527,    -1,    -1,    -1,   531,   247,  3427,    -1,   250,
     300,    -1,    -1,    -1,    -1,   541,   306,    -1,    -1,    -1,
    3440,    -1,   312,    -1,    -1,   315,    -1,    -1,   554,    -1,
      -1,    -1,    -1,    -1,  3454,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   568,    -1,    -1,   571,    -1,   573,    -1,   575,
     340,    -1,   342,   343,    -1,   345,   346,    -1,  3478,    -1,
      -1,    -1,    -1,    -1,   354,    -1,  3486,    -1,    -1,   359,
      -1,  1572,    -1,    -1,   364,    -1,    -1,   367,    -1,    -1,
     370,   322,    -1,    -1,   610,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   383,  3514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   632,    -1,   634,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3542,  3543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,    -1,  3572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     686,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3588,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,    -1,
    3600,    -1,    -1,   424,    -1,    -1,    -1,    -1,    -1,  3609,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3626,  3627,    -1,    -1,
    3630,    -1,    -1,    -1,    -1,    -1,    -1,  3637,    -1,    -1,
      -1,  3641,    -1,    -1,    -1,    -1,  3646,    -1,    -1,  3649,
    3650,    -1,  3652,    -1,  3654,  3655,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3673,    -1,  3675,    -1,   783,    -1,  3679,
    3680,  3681,  3682,  3683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   809,    -1,    -1,    -1,  3707,  3708,    -1,
     816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3737,    -1,    -1,
      -1,    -1,    -1,  3743,    -1,    -1,  3746,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   860,    -1,    -1,    -1,    -1,  3759,
      -1,  3761,    -1,    -1,  1845,    -1,    -1,    -1,    -1,  1850,
    1851,    -1,  3772,    -1,    -1,    -1,    -1,  3777,    -1,    -1,
    1861,    -1,    -1,    -1,    -1,    -1,  3786,  3787,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3809,
      -1,    -1,  3812,    -1,  3814,   921,    -1,   923,    28,   925,
      -1,   927,    -1,   929,   930,   931,    36,    -1,    -1,    -1,
     936,  3831,    42,    -1,    -1,  3835,    -1,    -1,  3838,    -1,
      -1,    -1,    -1,    -1,  3844,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     0,    -1,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3864,    -1,    -1,    14,  3868,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    26,
      27,  3881,  3882,  3883,  3884,    -1,    -1,    -1,    -1,    -1,
      -1,  3891,    -1,    -1,    41,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1988,    -1,    -1,
      -1,    -1,    -1,  3913,    61,    -1,    63,    64,    -1,    -1,
      -1,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    81,    -1,    83,    -1,    -1,   553,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   562,    -1,
      -1,    -1,    99,    -1,    -1,   102,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    -1,    -1,   114,  3968,   116,
      -1,    -1,    -1,   120,  3974,    -1,  3976,    -1,    -1,   126,
    2061,   191,   192,  3983,    -1,    -1,   133,    -1,   135,    -1,
      -1,    -1,    -1,    -1,   141,    -1,   206,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1113,   155,    -1,
      -1,    -1,    -1,  4013,    -1,    -1,  4016,    -1,    -1,    -1,
      -1,   231,    -1,    -1,   234,  4025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,  4039,
     250,   655,  4042,  4043,    -1,  4045,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4055,    -1,    -1,    -1,    -1,
    2141,   208,   209,  4063,    -1,    -1,  1172,   214,    -1,    -1,
     684,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,   233,    -1,  4088,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4098,    -1,
      -1,    -1,    28,  4103,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,   322,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,   286,
      66,   288,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,
      -1,   298,    -1,    -1,   301,    -1,    -1,  4157,   305,    -1,
      -1,    -1,    -1,   310,   311,    -1,  4166,    -1,    -1,    -1,
      -1,   318,    -1,    -1,   321,    -1,    -1,    -1,    -1,    -1,
     794,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     804,    -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     357,    -1,   826,    -1,   424,    -1,    -1,    -1,    -1,   366,
      -1,    -1,    -1,     8,    -1,   372,    11,    -1,    -1,    -1,
     377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,   389,    28,   170,   859,  1352,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,  1365,
      -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,    -1,    -1,   426,
     206,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   907,    -1,    -1,    -1,  1403,    -1,    -1,
      -1,  1407,    -1,    -1,    -1,   231,    -1,    -1,   234,    -1,
    1416,    -1,  1418,    -1,  1420,    -1,    -1,    -1,    -1,  1425,
      -1,   247,  2403,    -1,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   952,    -1,
      -1,    -1,  1448,    -1,  1450,    -1,  1452,    -1,  1454,    -1,
    1456,    -1,    -1,    -1,  1460,    -1,    -1,    -1,    -1,    -1,
    2441,  2442,    -1,  2444,    -1,    -1,    -1,   981,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1009,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,
      -1,    -1,    -1,  2494,    -1,  2496,    -1,    -1,    -1,    -1,
      -1,   206,    -1,  1037,  1038,    -1,  1040,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1057,    -1,    -1,   231,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2540,
      -1,    -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2561,  1095,  1096,    -1,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,    -1,    -1,    -1,    -1,   424,    -1,
      -1,    -1,    -1,    -1,    -1,  2586,    -1,    -1,    -1,    -1,
    1124,    -1,    -1,    -1,  1128,  1129,    -1,    -1,    -1,    -1,
      21,    -1,    -1,  2604,    -1,    -1,    -1,    -1,    -1,  1143,
      -1,    -1,    -1,    -1,    -1,  1149,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1190,    -1,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2668,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,
    2681,    -1,   103,    -1,    -1,  1219,    -1,    -1,    -1,    -1,
      -1,  2692,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   136,    -1,    -1,    -1,   424,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,    -1,    -1,    -1,    -1,   158,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,  1775,
      -1,  1285,   173,  1779,  1780,    -1,  2757,  1783,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1793,    -1,    -1,
    1304,    -1,    -1,    -1,  1800,  2776,    -1,   198,    -1,    -1,
    1806,  1807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1324,  1817,    -1,  1819,    -1,    -1,    -1,    -1,    -1,    -1,
    2801,    -1,    -1,    -1,    -1,    -1,    -1,  1833,   826,    -1,
    1344,    -1,  1838,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2837,    -1,  1864,  1865,
    1866,  1867,    -1,    -1,    -1,  1871,  1872,    -1,    -1,     8,
      -1,    -1,    11,  1879,   275,    -1,  1882,    -1,    -1,    -1,
    1886,  1395,    -1,    -1,    -1,    -1,    -1,  1401,    -1,    28,
    1404,    -1,    -1,    -1,    -1,    -1,  1902,    36,    -1,   300,
      -1,    -1,    -1,    42,    -1,   306,  1912,    -1,  1914,    -1,
      -1,   312,    -1,    -1,   315,    -1,  1922,  1923,  1924,    -1,
    1926,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,  1939,  1940,  1941,    -1,    -1,    -1,   340,
      -1,   342,    -1,  1949,  1950,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   354,   952,    -1,  1470,    -1,   359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,  1503,
      -1,  1505,    -1,    -1,    -1,    -1,    -1,    28,  1512,    -1,
      -1,  1515,    -1,  2009,  1518,    36,    -1,    -1,  2989,    -1,
      -1,    42,  1526,  1527,    -1,    -1,    -1,    -1,    -1,    -1,
    1534,    -1,    -1,  1537,  1538,  1539,  1540,   166,    -1,    -1,
      -1,   170,    -1,  1547,  1548,    66,  1550,    -1,  1552,  1553,
      -1,    -1,  1556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,  1572,  1573,
    1574,    -1,    -1,    -1,  1578,    -1,    -1,   206,  1582,    -1,
      -1,    -1,  1586,    -1,  1588,  1589,  1590,  1591,  1592,  1593,
    1594,  1595,  1596,    -1,  1598,    -1,    -1,    -1,    -1,  1603,
      -1,  1605,   231,    -1,    -1,   234,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,   247,    -1,
      -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,   166,    -1,    -1,    -1,   170,
      -1,  2147,    -1,    -1,    -1,  1143,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,  3136,    -1,    66,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,   206,    -1,    -1,    36,    -1,
      -1,    -1,    -1,   322,    42,    -1,    -1,    -1,    -1,  3170,
      -1,    -1,  1190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,   234,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,  1729,   247,    -1,    -1,   250,
      -1,  1219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,  1777,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,    -1,   191,   192,    -1,   424,    -1,  1285,    -1,    -1,
    1804,   322,    -1,    -1,    -1,  1809,  3277,   206,    -1,    -1,
      -1,  1815,    -1,    -1,    -1,    -1,  1304,  3288,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,   234,  1324,    -1,    -1,    -1,
      -1,  1845,    -1,   191,   192,    -1,  1850,  1851,   247,    -1,
      -1,   250,    -1,    -1,    -1,    -1,    -1,  1861,   206,    -1,
      -1,  1349,    -1,    -1,    -1,    -1,    -1,    -1,  2364,  2365,
      -1,    -1,    -1,  1877,    -1,    -1,  1880,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,   234,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   247,
      -1,    -1,   250,   424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1401,    -1,    -1,  3387,    -1,    -1,    -1,
      -1,    -1,    -1,   322,  2420,  2421,    -1,    -1,  2424,    -1,
      -1,    -1,  2428,  2429,  2430,    -1,    -1,  3408,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  3420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,  2462,  2463,  2464,  2465,
      36,    -1,    -1,    -1,   322,    -1,    42,    -1,    -1,    -1,
      -1,    -1,  1986,    -1,  1988,    -1,    -1,  3458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,  2498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,    -1,    -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2551,    -1,  2061,    -1,    -1,
    2556,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,    -1,    -1,    -1,    -1,   424,    -1,   655,    -1,
      -1,    -1,    -1,    -1,  1572,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2101,    -1,    -1,
     166,    -1,    -1,    -1,   170,    -1,    -1,   684,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1605,    -1,    -1,
      -1,    -1,  2618,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,  2628,  3604,    -1,    -1,    -1,  2141,    -1,    -1,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2155,    -1,    -1,    -1,  2159,    -1,    -1,  2654,    -1,
    2656,    -1,    -1,    -1,    -1,   231,    -1,    -1,   234,    -1,
    2174,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2693,    -1,    -1,
    2204,  2205,    -1,    -1,    -1,  2209,    -1,    -1,    -1,    -1,
    2706,    -1,    -1,    -1,    -1,    -1,    -1,  2221,  2222,  2223,
    2224,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
    2234,  2235,  3703,  2237,    -1,  2239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2249,  2250,    -1,    -1,  2253,
      -1,    -1,     8,    -1,    -1,    11,   322,    -1,    -1,    -1,
      -1,    -1,  2266,    -1,  2268,    -1,    -1,    -1,  2272,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,  2288,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2299,    -1,  2301,  2302,  2303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,  2318,    -1,    -1,    -1,  3789,    -1,
      -1,    -1,    -1,    -1,    -1,  2329,    -1,    -1,    -1,    -1,
    2334,    -1,    -1,    -1,    -1,    -1,    -1,  2341,    -1,  3810,
      -1,    -1,    -1,  2347,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,    -1,    -1,    -1,  1845,   424,    -1,
      -1,    -1,  1850,  1851,    -1,    -1,    -1,    -1,    -1,  3840,
      -1,    -1,    -1,  1861,    -1,    -1,    -1,    -1,    -1,    -1,
    2384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2403,
      -1,    -1,    -1,  3874,   981,    -1,    -1,  3878,  3879,    -1,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1009,    -1,    -1,   191,   192,  2441,  2442,    -1,
    2444,    -1,  2938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1037,  1038,    -1,  1040,    -1,    -1,    -1,  2471,  2472,  2473,
      -1,    -1,    -1,    -1,    -1,   231,  2972,    -1,   234,    -1,
    1057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2494,   247,  2496,    -1,   250,    -1,    -1,    -1,    -1,    -1,
    1988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3012,    -1,  1095,    -1,
      -1,  3017,  3018,    -1,  3020,  3021,  3022,  3023,  3024,  3025,
    3026,    -1,    -1,    -1,    -1,    -1,  2540,    -1,    -1,  3035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1124,    -1,    -1,
      -1,  1128,  1129,    -1,    -1,    -1,    -1,  2561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,  2061,    -1,    -1,    -1,    -1,    -1,  2583,
      -1,    -1,  2586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2603,
    2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,  3105,
    3106,    -1,    -1,  3109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2141,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,  2668,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,  2692,    11,
      -1,  3187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    36,  2719,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
    2754,    -1,    -1,  2757,    -1,    -1,    -1,    -1,    -1,  2763,
      -1,    -1,    -1,    -1,    -1,  2769,    -1,  2771,    -1,    -1,
      -1,    -1,  2776,  2777,    -1,    -1,  2780,  2781,  2782,  2783,
    2784,  2785,  2786,  2787,  2788,  2789,    -1,    -1,    -1,  2793,
    2794,    -1,    -1,    -1,    -1,    -1,    -1,  2801,    -1,    -1,
      -1,    -1,  2806,    -1,    -1,    -1,  2810,    -1,  2812,    -1,
    2814,    -1,    -1,  2301,  2302,  2303,    -1,    -1,    -1,    -1,
    2824,    -1,   144,  2827,    -1,  2829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2837,  2838,  2839,  2840,    -1,    -1,    -1,
    2844,    -1,    -1,  2847,   166,    -1,    -1,    -1,   170,    -1,
      -1,    -1,    -1,  2857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2867,    -1,    -1,    -1,    -1,    -1,   191,
     192,  2875,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2900,    -1,    -1,    -1,
      -1,  3397,  2906,    -1,    -1,    -1,    -1,    -1,  2912,   231,
      -1,    -1,   234,    -1,    -1,  2403,    -1,    -1,    -1,    -1,
    3416,  3417,    -1,  2927,    -1,   247,    -1,    -1,   250,    -1,
      -1,    -1,  3428,  3429,    -1,  1512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2441,  2442,    -1,  2444,  1534,    -1,    -1,
    1537,    -1,    -1,  1540,    -1,   826,    -1,    -1,    -1,    -1,
    1547,  1548,    -1,    -1,    -1,    -1,  1553,    -1,    -1,  1556,
    2984,    -1,    -1,    -1,  2988,  2989,  2990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1573,    -1,    -1,    -1,
     322,  1578,    -1,    -1,    -1,  1582,  2494,    -1,  2496,  1586,
      -1,  1588,  1589,  1590,  1591,  1592,  1593,  1594,  1595,  1596,
      -1,  1598,    -1,    -1,    -1,    -1,  1603,    -1,  1605,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3559,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2561,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,  3580,    -1,    11,    -1,   410,   411,
     412,   952,   414,   415,   416,   417,   418,   419,  2586,    -1,
      -1,    -1,    -1,    28,    -1,    -1,  3110,    32,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,  2604,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3136,    -1,    -1,  1053,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1729,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3170,  3171,  3172,    -1,
    3666,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
    2668,    36,    -1,    -1,    -1,    -1,   111,    42,    -1,    -1,
      -1,  1109,    -1,  2681,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2692,    -1,   826,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3228,    -1,    -1,  1804,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3264,    -1,  3758,    -1,    -1,    -1,   191,   192,    -1,  2757,
    3274,  3275,    -1,  3277,    -1,    -1,    -1,    -1,  3282,  3283,
      -1,   206,  1143,  3287,  3288,    -1,    -1,    -1,  2776,  3293,
    3294,    -1,    -1,  3297,    -1,    -1,    -1,    -1,    -1,  3795,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,  3312,   234,
      -1,   166,  3316,  2801,    -1,   170,    -1,    -1,    -1,    -1,
      -1,  3325,   247,    -1,    -1,   250,  3330,    -1,    -1,  1190,
      -1,    -1,   952,    -1,    -1,    -1,   191,   192,  3342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2837,
      -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,  1219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3372,    -1,
      -1,    -1,    -1,   826,    -1,    -1,   231,    -1,    -1,   234,
      -1,    -1,    -1,  3387,    -1,    -1,    -1,    -1,    -1,  2877,
      -1,    -1,   247,    -1,    -1,   250,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,  3408,    -1,    -1,    -1,    -1,  1986,
      -1,    -1,    -1,    -1,   269,    -1,  3420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1304,    -1,    -1,   371,    -1,  3944,    -1,
      -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1324,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,  3476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,    -1,    -1,    -1,    -1,   410,   411,   412,  1349,   414,
     415,   416,   417,   418,   419,    -1,    -1,    -1,    -1,   952,
      -1,  2989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3514,    -1,    -1,    -1,  4010,    -1,    -1,  1435,    -1,    -1,
      -1,    -1,  3526,  1143,  2101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,  3569,    -1,    -1,    -1,    -1,
    1190,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,  1510,    -1,    -1,    -1,  3600,    -1,  2175,  1219,
    3604,    -1,    -1,    -1,    -1,  3609,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,  1533,    -1,    -1,    -1,    -1,
    1538,    -1,  3626,  3627,    -1,    -1,  3630,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3641,    -1,    -1,
    1558,  1559,  3646,  1561,  2221,  3649,  2223,  2224,  3136,    -1,
    3654,  3655,    -1,    -1,    -1,    -1,    -1,  2234,    -1,    -1,
    2237,    -1,  2239,    -1,    -1,  1285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3679,    -1,    -1,    -1,    -1,
      -1,    -1,  3170,  1601,  1304,    -1,    -1,    -1,   145,  2266,
    1143,  2268,    -1,   150,    -1,  2272,    -1,    -1,    -1,  3703,
      -1,    -1,    -1,  3707,  1324,    -1,    -1,    -1,    -1,   166,
      -1,  1572,    -1,   170,    -1,    -1,    -1,    -1,  1636,    -1,
      -1,    -1,    -1,    -1,  2301,  2302,  2303,    -1,    -1,  1349,
      -1,    -1,    -1,    -1,   191,   192,    -1,  1190,    -1,  3743,
      -1,  2318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
      -1,    -1,  2329,    -1,    -1,    -1,    -1,  2334,    -1,    -1,
      -1,    -1,    -1,    -1,  2341,    -1,  1219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,   234,    -1,    -1,
      -1,  1401,    21,  3787,    -1,  3789,    -1,    -1,    -1,  3277,
     247,    -1,    -1,   250,    33,    -1,    -1,    -1,    -1,    -1,
    3288,    -1,    -1,    -1,    -1,  3809,  3810,  2384,  3812,    -1,
    3814,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
    1738,    -1,    -1,    -1,    -1,    -1,    -1,  3831,    67,    -1,
    1748,  3835,  1285,  1751,    -1,    -1,  3840,  3325,    -1,    -1,
      -1,    80,  3330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1304,    -1,    -1,  3342,    -1,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
    3874,  1324,    -1,    -1,  3878,  3879,    -1,    -1,    -1,   118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1349,   136,    -1,  3387,
      -1,  3905,    -1,    -1,    -1,    -1,    -1,    -1,   147,  3913,
      -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,    -1,   158,
    3408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   826,    -1,
      -1,    -1,  3420,    -1,   173,    -1,  3940,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1401,    -1,
      -1,    -1,  1572,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,    -1,  3968,    -1,    -1,    -1,    -1,    -1,
    3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3983,
      -1,    -1,    -1,    -1,  1845,    -1,   826,    -1,    -1,  1850,
    1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,
      -1,    -1,  4016,    -1,    -1,    -1,    -1,    -1,   257,    -1,
      -1,  4025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   275,    -1,  4042,  4043,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4055,    -1,    -1,   952,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,    -1,    -1,   304,    -1,   306,    -1,    -1,
      -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,
      -1,  3569,    -1,    -1,  4088,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4098,    -1,    -1,    -1,    -1,    -1,
      -1,   340,    -1,   342,    -1,    -1,    -1,   346,    -1,    -1,
    4114,    -1,   952,    -1,    -1,   354,  3604,    -1,    -1,  1572,
     359,    -1,    -1,    -1,    -1,    -1,    -1,  1988,    -1,    -1,
      -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4157,    -1,    -1,    -1,    -1,  4162,   826,
      -1,    -1,  4166,    -1,    -1,    -1,  4170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2754,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2763,    -1,    -1,    -1,
      -1,    -1,  2769,    -1,  2771,    -1,    -1,    -1,    -1,    -1,
    2061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3703,  2793,  2794,    -1,    -1,
       8,    -1,    -1,    11,    -1,  1845,    -1,    -1,    -1,    -1,
    1850,  1851,    -1,    -1,    -1,    -1,    -1,  2814,    -1,    -1,
      28,  1861,    -1,    31,    -1,  1143,    -1,  2824,    36,    -1,
    2827,    -1,  2829,    -1,    42,    -1,    -1,    -1,    -1,    -1,
    2178,  2838,    -1,    -1,    -1,    -1,    -1,  2844,    -1,    -1,
    2847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
    2141,    -1,  2200,    -1,  2202,   952,  2204,  2205,  2206,    -1,
    2867,  2209,  1190,    -1,    -1,  2213,    -1,    -1,  2875,    -1,
    2877,  3789,  2220,  1143,    -1,    -1,    -1,  2225,    -1,    -1,
      -1,    -1,    -1,  2231,    -1,    -1,    -1,    -1,  2236,    -1,
      -1,  1219,  3810,  2900,    -1,    -1,    -1,  2245,    -1,  2906,
      -1,  2249,  2250,    -1,  2252,  2912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2264,    -1,    -1,    -1,
    1190,    -1,  3840,  2271,    -1,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,    -1,    -1,    -1,  1988,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,  1219,
      -1,    -1,   170,    -1,    -1,    -1,  3874,  1285,    -1,  2307,
    3878,  3879,  1845,    -1,    -1,    -1,    -1,  1850,  1851,    -1,
      -1,    -1,    -1,   191,   192,    -1,  1304,    -1,  1861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2061,    -1,   231,    -1,  1285,   234,    -1,    -1,    -1,
      -1,  1349,  3940,    -1,    -1,    -1,    -1,    -1,    -1,   247,
      -1,    -1,   250,    -1,  1304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1143,    -1,  2396,    -1,
       8,    -1,    -1,    11,  1324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,  1401,    -1,    -1,    -1,    -1,    36,  1349,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,  2141,    -1,  1190,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,  1988,    -1,    -1,    66,    -1,
      -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2441,  2442,    -1,  2444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3171,  3172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1285,    -1,
      -1,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,    -1,  2494,    -1,  2496,    -1,  1304,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3228,    -1,    -1,    -1,    -1,    -1,  1324,    -1,    -1,
      -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
      -1,  2589,    -1,    -1,  1572,    -1,    -1,    -1,   206,  2540,
      -1,    -1,  1349,    -1,    -1,    -1,    -1,    -1,  2141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3274,  3275,    -1,
    2561,    -1,    -1,   231,    -1,    -1,   234,    -1,    -1,    -1,
    3287,    -1,    -1,    -1,    -1,    -1,  3293,  3294,    -1,   247,
    3297,    -1,   250,    -1,    -1,  2586,    -1,    -1,    -1,    -1,
      -1,    -1,  1572,    -1,  1401,    -1,   264,    -1,    -1,    -1,
      -1,    -1,    -1,  2604,    -1,    -1,    -1,    -1,  3325,    -1,
      -1,     8,    -1,  3330,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,  2403,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,  2710,    -1,   322,  3372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2668,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2681,  2441,  2442,    -1,  2444,    -1,    -1,    -1,    -1,    -1,
      -1,  2692,    -1,    -1,    -1,  2753,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2774,  2775,    -1,  2777,
      -1,    -1,  2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,
    2788,  2789,  2790,    -1,  2494,    -1,  2496,    -1,    -1,    -1,
      -1,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,    -1,    -1,    -1,    -1,  2757,  2815,    -1,    -1,
    2818,    -1,  2820,    -1,    -1,  1572,    -1,  2825,  2826,   166,
      -1,    -1,    -1,   170,    -1,  2776,    -1,    -1,    -1,    -1,
    2540,  2839,  2840,  2841,    -1,  2843,    -1,    -1,  2846,    -1,
      -1,    -1,    -1,    -1,   191,   192,    -1,  3514,    -1,    -1,
    2801,  2561,    -1,    -1,    -1,    -1,    -1,  1845,    -1,   206,
    2403,     8,  1850,  1851,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1861,    -1,  2883,  2586,    -1,    -1,    -1,
      -1,    28,    -1,    -1,   231,  2893,  2837,   234,    -1,    36,
      -1,    -1,    -1,    -1,  2604,    42,    -1,    -1,  2441,  2442,
     247,  2444,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1845,  2924,    -1,    -1,    66,
    1850,  1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2494,    -1,  2496,    -1,    -1,    -1,    -1,  2668,    -1,
      -1,    -1,    -1,  3630,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2681,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,  2692,    -1,    -1,    -1,    -1,    -1,  3655,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2540,    -1,    -1,
    1988,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2561,   166,
      -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2989,    -1,
      -1,    -1,    -1,  2586,   191,   192,    -1,  2757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1988,   206,
      -1,  2604,    -1,   410,   411,   412,  2776,   414,   415,   416,
     417,   418,   419,  2061,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,   234,  1845,    -1,
      -1,  2801,    -1,  1850,  1851,    -1,    -1,    -1,    -1,    -1,
     247,    -1,  3110,   250,  1861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,  2668,    11,  2837,    -1,    -1,
      -1,  2061,    -1,    -1,    -1,    -1,    -1,    -1,  2681,    -1,
      -1,    -1,    -1,    28,    -1,  3812,    31,    -1,    -1,  2692,
      -1,    36,    -1,  2141,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,  3831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,  3136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2141,    -1,    -1,  2757,    -1,    -1,    -1,    -1,  3170,
      -1,  3229,    -1,    -1,  3232,  3233,  3234,    -1,    -1,  3237,
      -1,  1988,    -1,  2776,  3242,  3243,  3244,  3245,  3246,  3247,
    3248,  3249,  3250,  3251,  3252,  3253,  3913,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2801,    -1,
      -1,    -1,    -1,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,  3281,  3282,  3283,  3284,    -1,  3286,  2989,
      -1,   166,  3290,  3291,  3292,   170,    -1,  3295,    -1,    -1,
    3298,    -1,    -1,    -1,  2837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2061,    -1,   191,   192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3983,    -1,    -1,  3327,
      -1,   206,    -1,    -1,    -1,    -1,  3277,    -1,    -1,    -1,
      -1,  3339,    -1,    -1,    -1,    -1,    -1,  3288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3353,   231,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4042,  4043,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2403,    -1,    -1,    -1,    -1,
      -1,  4088,    -1,    -1,    -1,    -1,  3136,    -1,    -1,    -1,
      -1,  4098,    -1,    -1,    -1,    -1,  3387,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2989,    -1,    -1,    -1,
      -1,    -1,    -1,  2441,  2442,    -1,  2444,  3408,    -1,    -1,
    3170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3420,
      -1,    -1,    -1,  2403,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2494,  3458,  2496,  3517,
      -1,  2441,  2442,    -1,  2444,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2540,    -1,    -1,    -1,    -1,    -1,  3566,  3567,
      -1,    -1,    -1,    -1,  2494,    -1,  2496,  3277,    -1,    -1,
      -1,    -1,    -1,  2561,    -1,    -1,    -1,    -1,  3288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,
      -1,    -1,  3600,  3136,    -1,    -1,    -1,    -1,  2586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3614,    -1,  3616,    -1,
    2540,    -1,    -1,  3621,  3622,  3623,  2604,    -1,  3626,  3627,
    3628,  3629,    -1,  3631,    -1,    -1,    -1,  3170,    -1,    -1,
      -1,  2561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2403,    -1,    -1,    -1,
      -1,    -1,    -1,  3604,    -1,    -1,  2586,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3677,
      -1,    -1,    -1,    -1,  2604,    -1,    -1,  3387,    -1,    -1,
    2668,    -1,    -1,    -1,  2441,  2442,    -1,  2444,    -1,    -1,
      -1,    -1,    -1,  2681,    -1,    -1,    -1,    -1,  3408,     8,
      -1,    -1,    11,    -1,  2692,    -1,    -1,    -1,    -1,    -1,
    3420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,  3277,    -1,    -1,  2494,  2668,  2496,
      -1,  3749,    -1,    -1,    -1,  3288,    -1,    -1,  3458,    -1,
      -1,  2681,  3703,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,  2692,    -1,    -1,    -1,    -1,    -1,    -1,  2757,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2540,    -1,    -1,    -1,    -1,  2776,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3808,  3809,    -1,    -1,  2561,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,  2801,    -1,    -1,  3824,  3825,  3826,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,    28,  2586,
      -1,    31,    -1,    -1,    -1,  3843,    36,    -1,  3789,    -1,
      -1,    -1,    42,    -1,  3387,    -1,  2776,  2604,    -1,  2837,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,  3810,
      -1,   170,    -1,    -1,    -1,  3408,    66,    -1,    -1,    -1,
      -1,  2801,    -1,    -1,    -1,    -1,    -1,  3420,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,  3840,
      -1,    -1,    -1,    -1,  3604,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2837,    -1,    -1,
      -1,  2668,    -1,    -1,     8,  3458,    -1,    11,    -1,    -1,
      -1,    -1,   231,  3874,  2681,   234,    -1,  3878,  3879,    -1,
      -1,    -1,    -1,    -1,    28,  2692,    -1,    -1,   247,    -1,
    3948,   250,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
    3958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
     170,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,   192,  3703,    -1,    -1,    -1,    -1,    -1,    -1,
    2757,  2989,    -1,    -1,    -1,    -1,   206,  4015,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,  2776,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,   234,    -1,    -1,    -1,   347,    -1,
      -1,    -1,    -1,    -1,  2801,    -1,  4054,   247,    -1,    -1,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2989,
      -1,  3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   166,    -1,    -1,    -1,   170,    -1,    -1,  3789,
    2837,    -1,    -1,  4091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,
    3810,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,  4136,    -1,
    3840,    -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3136,    -1,
      -1,    -1,    -1,   247,    -1,    -1,   250,    -1,    -1,    -1,
    3703,    -1,    -1,    -1,  3874,    -1,    -1,    -1,  3878,  3879,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3136,    -1,    -1,    -1,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,  2989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3170,    -1,    -1,    -1,    -1,    -1,  3789,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3810,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3840,    -1,    -1,
    3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,    -1,    -1,    -1,    -1,
      -1,  3874,    -1,    -1,    -1,  3878,  3879,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3170,    -1,    -1,    -1,    -1,    -1,    -1,
    3408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3458,    -1,
      -1,  3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3703,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3703,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3604,    -1,    -1,
      -1,    -1,  3840,    -1,    -1,    -1,    -1,    -1,    -1,  3789,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3810,    -1,    -1,    -1,    -1,    -1,  3874,    -1,    -1,    -1,
    3878,  3879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3874,    -1,  3703,    -1,  3878,  3879,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3810,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,  3874,    -1,    -1,
      30,  3878,  3879,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,   415,   416,    -1,    -1,    -1,
      -1,    -1,    -1,   423,   424,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,   415,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   423,   424,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
      -1,   204,   205,   206,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,    -1,   232,
     233,   234,   235,    -1,    -1,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,    -1,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
      -1,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,   405,   406,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,   424,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,    -1,   135,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,    -1,   204,   205,   206,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,    -1,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,    -1,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,   404,   405,   406,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,   424,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
     415,    -1,    -1,    -1,    -1,    -1,   421,   422,   423,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     414,   415,   416,    -1,    -1,    -1,    -1,    -1,    -1,   423,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   414,   415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   414,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,   415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   423,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     414,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   414,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,    -1,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   414,   415,    -1,    -1,     3,     4,     5,     6,
       7,   423,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,
       7,    -1,     9,    10,    -1,    -1,   423,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,   423,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,    -1,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,    -1,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,   415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   423,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,    -1,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
      -1,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,   414,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
      -1,    -1,    -1,     9,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,   414,   415,
     416,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,   228,   229,   230,    -1,   232,   233,    -1,   235,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,    -1,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
      -1,    -1,     8,     9,    -1,    -1,    -1,   423,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,    -1,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,   405,
     406,    -1,    -1,    -1,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,    -1,
      -1,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,    -1,
     232,   233,    -1,   235,    -1,   237,   238,   239,   240,   241,
     242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     252,    -1,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,    -1,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,    -1,    -1,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,    -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,    -1,
     382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,    -1,    -1,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,   229,   230,    -1,   232,   233,    -1,   235,    -1,   237,
     238,   239,   240,   241,   242,    -1,   244,    -1,    -1,   247,
     248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,    -1,   297,
     298,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,    -1,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,    -1,    -1,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,    -1,    -1,   365,   366,   367,
     368,   369,    -1,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,
      -1,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,    -1,   232,   233,
      -1,   235,    -1,   237,   238,   239,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,    -1,    -1,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,    -1,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,    -1,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,     3,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,    -1,     3,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,    -1,   204,   205,   206,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,    -1,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,    -1,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,    -1,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,   404,   405,   406,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,   416,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,    -1,   204,
     205,   206,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,    -1,   232,   233,   234,
     235,    -1,    -1,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,    -1,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,    -1,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,    -1,   354,
      -1,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,    -1,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
      -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,   404,
     405,   406,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,   416,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,     4,     5,    -1,
      -1,    -1,     9,   414,   415,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,     4,     5,    -1,    -1,    -1,     9,   414,   415,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
       9,   414,   415,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,   150,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,     4,
       5,    -1,    -1,    -1,     9,   414,   415,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,   205,   206,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
     205,   206,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,   246,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,    -1,   232,   233,    -1,   235,    -1,   237,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,    -1,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,    -1,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,    -1,   232,   233,    -1,
     235,    -1,   237,   238,   239,   240,   241,   242,    -1,   244,
      -1,    -1,   247,   248,   249,    -1,    -1,   252,    -1,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,    -1,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,    -1,    -1,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,    -1,    -1,
     365,   366,   367,   368,   369,    -1,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,    -1,   382,   383,   384,
      -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
      -1,   232,   233,    -1,   235,    -1,   237,   238,   239,   240,
     241,   242,    -1,   244,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,    -1,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,    -1,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,    -1,
      -1,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,    -1,    -1,   365,   366,   367,   368,   369,    -1,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
      -1,   382,   383,   384,    -1,    -1,   387,    -1,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,    -1,   232,   233,    -1,   235,    -1,
     237,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,   252,    -1,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,    -1,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,    -1,   204,   205,   206,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,    -1,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,    -1,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,   405,   406,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,    -1,   135,
     136,   137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,    -1,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,    -1,   204,   205,
     206,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,    -1,   232,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,    -1,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
      -1,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,    -1,   354,    -1,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,    -1,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,   405,
     406,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,    -1,   232,
     233,    -1,   235,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,   252,
      -1,    -1,    -1,   256,   257,   258,   259,   260,    -1,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,    -1,   300,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,    -1,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,    -1,   204,   205,   206,    -1,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,    -1,   238,
     239,   240,   241,   242,    -1,   244,    -1,    -1,   247,   248,
     249,    -1,    -1,    -1,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,    -1,    -1,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,    -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,    -1,    -1,   365,   366,   367,   368,
     369,    -1,    -1,   372,   373,   374,   375,   376,    -1,   378,
      -1,   380,   381,   382,   383,   384,    -1,    -1,   387,    -1,
      -1,   390,   391,   392,   393,   394,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,   405,   406,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,    -1,   135,
     136,   137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,    -1,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,    -1,   204,   205,
     206,    -1,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,    -1,   238,   239,   240,   241,   242,    -1,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,    -1,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
      -1,    -1,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,    -1,    -1,   352,    -1,   354,    -1,
      -1,   357,   358,   359,   360,   361,   362,    -1,    -1,   365,
     366,   367,   368,   369,    -1,    -1,   372,   373,   374,   375,
     376,    -1,   378,    -1,   380,   381,   382,   383,   384,    -1,
      -1,   387,    -1,    -1,   390,   391,   392,   393,   394,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,   405,
     406,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
      -1,   204,   205,   206,    -1,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,    -1,   232,
     233,   234,   235,    -1,    -1,   238,   239,   240,   241,   242,
      -1,   244,    -1,    -1,   247,   248,   249,    -1,    -1,    -1,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,    -1,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,    -1,    -1,   338,   339,    -1,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,    -1,    -1,   352,
      -1,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
      -1,    -1,   365,   366,   367,   368,   369,    -1,    -1,   372,
     373,   374,   375,   376,    -1,   378,    -1,   380,   381,   382,
     383,   384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,
     393,   394,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,   405,   406,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,    -1,   135,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,    -1,   204,   205,   206,    -1,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,    -1,   232,   233,   234,   235,    -1,    -1,   238,   239,
     240,   241,   242,    -1,   244,    -1,    -1,   247,   248,   249,
      -1,    -1,    -1,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,    -1,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,    -1,    -1,   338,   339,
      -1,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
      -1,    -1,   352,    -1,   354,    -1,    -1,   357,   358,   359,
     360,   361,   362,    -1,    -1,   365,   366,   367,   368,   369,
      -1,    -1,   372,   373,   374,   375,   376,    -1,   378,    -1,
     380,   381,   382,   383,   384,    -1,    -1,   387,    -1,    -1,
     390,   391,   392,   393,   394,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,   405,   406,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,    -1,   204,   205,   206,
      -1,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,    -1,   232,   233,   234,   235,    -1,
      -1,   238,   239,   240,   241,   242,    -1,   244,    -1,    -1,
     247,   248,   249,    -1,    -1,    -1,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
      -1,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,    -1,
      -1,   338,   339,    -1,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,    -1,    -1,   352,    -1,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,    -1,    -1,   365,   366,
     367,   368,   369,    -1,    -1,   372,   373,   374,   375,   376,
      -1,   378,    -1,   380,   381,   382,   383,   384,    -1,    -1,
     387,    -1,    -1,   390,   391,   392,   393,   394,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,   405,   406,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    -1,    -1,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,    -1,    -1,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,    -1,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,    -1,   181,   182,   183,
     184,    -1,    -1,    -1,    -1,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,    -1,
     204,   205,   206,    -1,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,    -1,   228,   229,    -1,    -1,   232,   233,
     234,   235,    -1,    -1,   238,    -1,   240,   241,   242,    -1,
     244,    -1,    -1,   247,   248,   249,    -1,    -1,    -1,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    -1,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,   312,   313,
     314,   315,   316,    -1,   318,    -1,   320,   321,   322,   323,
      -1,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,    -1,    -1,   338,   339,    -1,   341,   342,   343,
     344,   345,   346,    -1,    -1,    -1,    -1,    -1,   352,    -1,
     354,    -1,    -1,   357,   358,   359,   360,   361,   362,    -1,
      -1,   365,   366,   367,   368,   369,    -1,    -1,   372,   373,
     374,   375,   376,    -1,    -1,    -1,   380,   381,   382,   383,
     384,    -1,    -1,   387,    -1,    -1,   390,   391,   392,   393,
     394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,   405,   406
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   133,
     135,   141,   155,   208,   209,   214,   222,   233,   270,   281,
     286,   288,   293,   298,   301,   305,   310,   311,   318,   321,
     328,   340,   357,   366,   372,   377,   389,   423,   430,   431,
     432,   433,   439,   440,   442,   443,   444,   445,   446,   447,
     448,   450,   451,   455,   465,   467,   468,   471,   472,   473,
     484,   487,   488,   503,   539,   545,   546,   553,   559,   561,
     563,   564,   567,   570,   571,   575,   576,   585,   589,   590,
     591,   595,   596,   598,   599,   600,   613,   614,   615,   616,
     627,   628,   635,   636,   639,   640,   641,   642,   643,   648,
     650,   653,   657,   661,   662,   672,   673,   676,   681,   692,
     711,   714,   715,   716,   719,   722,   724,   726,   729,   732,
     733,   734,   741,   742,   744,   745,   746,   751,   753,   754,
     758,   759,   762,   763,   764,   766,   767,   768,   769,   771,
     774,   775,   780,   786,   789,   791,   792,   797,   799,   803,
     810,   814,   815,   816,   817,   818,   819,   822,   849,   352,
     391,   747,    21,    67,    80,    97,   103,   118,   136,   147,
     152,   158,   173,   198,   247,   275,   300,   306,   312,   315,
     340,   342,   346,   354,   359,   370,   383,   560,   747,     3,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    33,    34,    36,    37,    39,    40,    41,    42,
      43,    45,    46,    48,    49,    50,    51,    52,    55,    56,
      57,    58,    59,    61,    62,    63,    64,    65,    67,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     140,   142,   143,   144,   146,   148,   152,   153,   154,   156,
     157,   159,   161,   162,   163,   164,   165,   167,   168,   169,
     171,   172,   173,   174,   175,   176,   178,   180,   181,   182,
     183,   184,   185,   186,   188,   190,   193,   195,   196,   197,
     198,   199,   200,   201,   203,   205,   208,   209,   210,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   227,   228,   229,   230,   232,   233,   235,   237,
     238,   239,   240,   241,   242,   244,   247,   248,   249,   252,
     256,   257,   258,   259,   260,   261,   262,   263,   265,   266,
     267,   268,   269,   270,   271,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   297,   298,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     312,   313,   314,   315,   316,   318,   319,   320,   321,   323,
     324,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   338,   339,   341,   342,   343,   344,   345,   346,
     348,   349,   352,   353,   354,   355,   357,   358,   359,   360,
     361,   362,   365,   366,   367,   368,   369,   372,   373,   374,
     375,   376,   377,   378,   380,   382,   383,   384,   387,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   811,   954,   966,   969,
     970,   381,   776,   245,   271,   747,    44,   494,   815,    21,
      33,    54,    67,    76,    97,   103,   118,   136,   147,   154,
     158,   210,   247,   250,   300,   306,   315,   342,   343,   345,
     346,   354,   359,   364,   367,   370,   504,   631,   682,   693,
      22,   270,   954,   811,    22,   265,   343,   345,     5,   197,
     720,   721,   963,    21,    33,    54,    67,    80,    97,   118,
     136,   147,   152,   158,   173,   247,   257,   300,   304,   306,
     312,   315,   340,   342,   346,   354,   359,   370,   383,   560,
     644,   747,   954,    83,   381,   423,   539,   775,   781,   789,
     792,   797,   803,   810,   814,     9,    15,    22,    39,   142,
     148,   150,   170,   199,   228,   273,   287,   414,   415,   658,
     659,   811,   962,   965,    22,    83,   285,   311,   663,   664,
     665,   966,   966,   959,   963,   340,   825,   658,   966,   352,
     954,   257,    97,   173,   339,   340,   727,   305,   966,    22,
     316,   348,   352,   457,   966,    19,   155,   663,   664,   271,
     747,   966,   196,    22,   115,   827,    55,    77,   210,   224,
     300,   306,   316,   348,   352,   394,   456,   457,    22,   316,
     348,   352,   457,   352,   246,   858,   952,   966,   825,   416,
     966,   151,   423,   777,   423,   948,   283,   820,   821,   954,
     815,   816,   819,     0,   426,   776,   129,   187,   251,   363,
     828,   829,   815,   817,   818,   108,   183,   369,   427,     3,
      38,    44,    73,    84,    90,   149,   151,   166,   179,   191,
     192,   194,   204,   206,   226,   234,   253,   254,   255,   299,
     322,   381,   960,   966,   967,   969,   971,   646,   966,   646,
     955,   966,   274,   646,   646,   954,   966,    96,   340,   671,
     960,   964,   966,   952,   240,     8,    62,   140,   410,   411,
     412,   414,   415,   416,   417,   418,   419,   718,   915,   916,
     966,   964,   954,   952,   954,   858,   954,   308,   954,   646,
     215,   964,   952,   197,   105,   193,   231,   279,   748,   749,
     750,   952,   958,   966,    21,    54,    67,    68,    76,    80,
      97,   118,   136,   147,   152,   173,   198,   247,   300,   304,
     306,   312,   315,   340,   342,   346,   354,   359,   383,   560,
     651,   963,   952,   350,   960,   954,   423,   646,   354,   955,
     646,   165,   954,    96,   340,   343,   345,   964,   343,   345,
      62,   140,   718,   291,   964,   452,   966,   954,   954,   308,
     954,   646,   215,   964,   312,   340,   383,    80,   173,   152,
     304,   358,   554,    22,   954,   812,   464,   963,   966,   721,
     165,   960,   954,   165,   725,   165,   955,    96,   340,   165,
     960,   165,   953,   954,    62,   140,   165,   718,    48,   165,
     953,   165,   954,   165,   954,   165,   954,   308,   165,   954,
     165,   215,   953,   197,   165,   645,   646,   423,   790,   504,
     781,   377,   381,   775,   782,   783,   784,   966,   776,   965,
     659,   660,    22,   660,   965,   660,    22,   660,   965,   660,
     660,   660,   965,   962,   962,   811,   660,   274,   423,   423,
     522,   522,   522,   245,   350,   427,   522,   858,   859,   427,
     743,   963,   423,   787,    48,   954,   954,   952,   966,    38,
     406,   193,   425,   248,   248,   245,   150,   963,   350,   145,
     654,   245,     4,     6,     7,     8,    10,    30,    43,    45,
      46,    53,    54,    57,    58,    65,    87,    88,    89,    90,
      91,    92,    93,   100,   101,   119,   134,   138,   139,   143,
     157,   185,   186,   188,   203,   211,   212,   225,   227,   231,
     236,   237,   239,   247,   256,   266,   280,   302,   317,   324,
     336,   348,   349,   353,   355,   356,   364,   370,   378,   396,
     397,   398,   399,   400,   401,   402,   403,   414,   415,   416,
     423,   815,   870,   873,   876,   877,   878,   880,   881,   882,
     883,   886,   887,   891,   893,   894,   913,   917,   936,   941,
     949,   950,   960,   961,   962,   963,   966,   963,    22,   469,
     951,   952,   316,   456,   103,   463,   963,   464,   963,    38,
      59,   456,   406,   749,   248,   150,   350,   410,    38,   406,
     193,   750,   423,   952,   416,   421,   425,   942,   943,   859,
     149,   151,   381,   772,   773,   775,   149,   778,   103,   891,
     946,   947,   820,   427,   423,   779,   424,   424,   432,   952,
      22,   115,   826,   826,    48,   826,   141,   145,   207,   243,
     832,   834,   835,   844,   846,   847,   828,   829,   150,   189,
     858,   860,   948,   423,   621,   943,   258,   289,   318,   425,
     647,   258,   289,   318,   258,   289,   318,   389,   434,   465,
     466,   677,    18,   120,   258,   318,   476,   318,    18,   120,
     369,   449,   392,   858,    50,    82,   137,   168,   258,   289,
     297,   303,   310,   318,   326,   334,   384,   466,   705,   712,
     423,   694,   289,   449,    18,    24,    64,   113,   120,   123,
     175,   229,   231,   241,   249,   258,   289,   293,   318,   374,
     474,   475,   579,     4,   415,   551,   965,   646,   646,   423,
     717,   425,   170,   289,   434,   441,   258,   289,    49,    95,
     172,   217,   219,   229,   257,   289,   294,   318,   328,   474,
     548,   549,   258,   382,   579,   587,   289,   318,   474,   258,
     289,   293,   318,    74,   112,   259,   344,   245,    18,    24,
     120,   258,   289,   318,   485,   486,   145,   289,   318,   434,
     466,   289,   318,   474,   954,   205,   105,   246,   393,   427,
     748,   371,   770,   245,   960,   423,   954,    96,   340,   960,
     240,    62,   140,   718,   954,   308,   954,   197,   646,   522,
     331,   332,   490,   963,   423,   621,   622,    60,     3,    43,
      45,    46,    57,    58,   100,   101,   143,   185,   186,   188,
     225,   227,   239,   280,   319,   324,   348,   349,   378,   867,
     869,   871,   873,   875,   877,   878,   879,   881,   882,   886,
     887,   967,   969,   150,   423,   617,   954,   434,    31,   765,
     231,   434,   392,   165,   952,   434,   646,   646,   617,   504,
     434,    38,   453,   359,   586,   258,   562,    74,   112,   259,
     344,    20,    40,   184,   601,    31,   617,   145,   434,   952,
     165,   540,   952,   952,   646,    73,   683,   960,   954,   560,
      44,    94,   182,   229,   307,   134,   621,    51,   295,   477,
     134,   423,   134,   392,   134,   694,   134,   427,   165,   646,
     165,   646,   134,   717,   953,   134,   134,   245,   134,   477,
     134,    74,   112,   259,   344,   134,   245,   134,   145,   165,
     165,   464,   134,   427,   477,   891,   920,   340,   424,   427,
     139,   245,   356,   461,   464,   551,   785,   781,   660,   811,
     660,   811,   660,   811,   660,   811,   660,   811,   811,   811,
     660,   811,   423,   523,   524,   966,   523,    22,    97,   147,
     152,   197,   198,   306,   312,   340,   342,   666,   951,   953,
     665,   170,   427,   800,   963,   867,   923,    31,   953,   146,
     728,   728,   728,   205,   966,   145,   145,   666,   953,   305,
     966,   464,   245,   423,   944,   421,   815,   924,   380,   884,
     891,   940,   423,   884,   884,   423,   423,   423,   423,   872,
     872,   268,   815,   423,   423,   874,   423,   423,   423,   423,
      57,    58,   884,   891,   423,   872,   423,   423,   423,   423,
     423,   390,   409,   423,   888,   423,   888,   423,   423,   815,
     423,   423,   423,   423,   423,   423,   423,   423,   891,   891,
     815,   891,   920,   943,   963,    58,   423,   885,   423,   963,
       3,     8,    11,    28,    31,    36,    42,    66,   166,   170,
     191,   192,   206,   231,   234,   247,   250,   322,   410,   411,
     412,   414,   415,   416,   417,   418,   419,   915,   917,   919,
     255,   891,   189,   427,   823,   423,   963,   943,   106,   167,
     470,   427,    59,   103,   464,    31,     3,   103,   210,   462,
     551,   887,   963,    78,   117,   900,    86,   103,   458,   459,
     461,   551,   103,   458,   205,   952,   891,     3,    22,    26,
      27,    28,    29,    30,    31,    32,    35,    47,    53,    54,
      60,    66,    68,    76,    83,    87,    88,    89,    91,    92,
      93,   103,   105,   111,   115,   116,   122,   126,   129,   139,
     141,   145,   147,   150,   155,   158,   160,   170,   177,   187,
     189,   202,   207,   211,   212,   231,   236,   243,   245,   246,
     250,   251,   264,   272,   285,   296,   311,   317,   325,   337,
     340,   347,   350,   351,   356,   363,   364,   370,   371,   379,
     385,   386,   388,   389,   416,   957,   968,   969,   970,   971,
     972,   942,    79,   294,   649,   424,   427,   776,   424,   427,
     821,   953,    31,   779,   817,   817,   830,   831,   891,   817,
     142,   228,   841,   279,   320,   369,    22,   836,   891,   837,
     839,   891,   893,   844,   845,   835,   834,   832,   833,   145,
     847,   832,   844,   860,   952,    31,   966,   318,   416,   923,
     258,   289,   318,   350,   350,   306,   957,   425,   350,   350,
     306,   350,   350,   342,   456,   760,   145,   155,   170,   298,
     678,   679,    60,    76,   130,   147,   272,   364,   520,   521,
      76,   103,   231,   350,   103,   231,   306,   306,   568,    21,
      54,    67,    80,   118,   147,   152,   247,   306,   312,   315,
     340,   346,   359,   383,   560,   954,   289,   318,   474,   245,
     551,   310,   350,   350,   236,   551,   107,   190,   306,   295,
     705,   713,   170,   180,   252,   319,   379,   424,   695,   698,
     699,   700,   702,   867,   967,   350,   370,    68,   130,   511,
     520,   966,    68,   730,   245,   304,   354,    76,   730,    25,
     292,   304,   354,   952,   175,   241,   646,   423,   350,   350,
     423,   480,   342,   389,   390,   480,    76,   427,     4,   258,
     371,   371,   230,   867,   258,   318,   718,    97,   350,   436,
     466,   350,   350,   551,    48,   550,   551,   551,    95,   217,
     219,    48,   350,   434,   306,   434,   229,   549,   350,   236,
     963,   579,   350,   730,   306,   350,   350,   480,   480,   646,
     646,   646,   646,   952,    37,   376,    37,    37,   350,    37,
     350,   306,   427,    93,   370,   597,   964,   350,   436,   350,
     306,   258,   289,   279,   290,   314,   460,   748,   958,   966,
     952,   621,   867,   245,   392,   694,   551,   646,   646,   717,
     191,   245,    74,   112,   259,   344,   245,   646,   191,   389,
     495,   434,     3,   623,   624,   617,   423,   869,    31,    30,
     868,    98,   163,   218,   221,   309,   404,   423,   889,   890,
     647,   872,   646,   618,   619,   968,    20,   755,   867,   134,
     565,   954,   231,   423,   592,   435,   631,   371,   383,   435,
     964,    83,   155,   454,   503,   545,   600,   661,   681,   751,
     963,   587,   588,   954,   213,   646,   646,   646,   646,   241,
     108,   183,   357,   369,   602,   603,   127,   423,   597,   435,
     547,   548,   231,    31,   241,   423,   541,   522,   145,   684,
     958,   423,   696,    31,   197,   389,   390,   813,   307,   960,
     477,   867,   955,   165,   954,   960,   477,   953,   954,   134,
     371,   134,   371,   718,   477,   477,   953,   954,   952,   954,
     954,   954,   952,   953,   597,   134,   134,   477,   645,   646,
     424,   427,   952,   781,   783,   811,   811,   811,   811,   811,
     811,   523,   424,   427,   424,   153,   313,   341,   953,    96,
     315,   670,   671,   953,   240,   953,   951,   951,   953,   350,
     389,   674,    16,   132,   302,   320,   801,   858,   235,   802,
     424,   427,   788,   792,   797,   803,   814,   350,   664,   663,
     664,   150,   156,   675,   966,    21,    68,   118,   147,   152,
     198,   306,   312,   340,   359,   383,   560,   655,   920,   942,
     422,   920,   924,   925,   423,   385,   937,   938,   891,   920,
     962,   962,   920,     3,    98,   163,   218,   221,   309,   404,
     926,   927,   963,   962,   920,   920,   962,   962,   884,   884,
     891,   718,   891,   928,   414,   415,   892,   893,   913,   917,
     930,   424,   920,   891,   920,   931,   348,   406,   962,   962,
     891,    47,   150,   202,   351,   891,   920,   934,   920,   223,
     893,   891,   898,   899,   900,   223,   891,   900,   424,   427,
     318,   962,   962,   889,   867,   891,   968,   348,    35,   337,
     945,   646,   891,   423,   815,   935,   115,   117,   139,   231,
     236,   241,   356,   365,   891,    42,   166,   170,   206,   322,
     423,   891,   350,   891,   891,   891,   891,   891,   891,   891,
     891,   891,   891,    22,    29,   325,   914,   302,   423,   913,
     154,   210,   340,   343,   345,   367,   824,   952,   950,   150,
     850,    22,   115,   379,   416,   424,   700,   891,   921,   922,
     967,   952,   352,   423,   963,   427,   424,   422,   428,   164,
     164,   477,   952,   773,   774,   952,   946,   424,   423,   427,
      32,   111,   371,   690,   423,   838,   965,   246,   241,   848,
     848,   427,   302,   303,   840,   845,   833,   371,   798,   103,
     423,   793,   814,   966,   423,   804,   805,   806,   807,   808,
     966,   424,   424,   350,   350,   306,   964,   954,   954,   957,
     964,   954,   954,   964,   955,   954,    75,   761,   300,   370,
     663,   306,   155,   663,   423,   954,   371,   685,   195,   195,
     371,   423,   538,   954,   236,   964,   891,   236,   954,   954,
     350,   569,   960,   423,   646,   646,   646,    96,   340,   671,
      62,   140,   718,   954,   646,   954,   646,   308,   646,   646,
     197,   159,   229,   258,   375,   572,   573,   574,   350,   730,
     306,   236,   107,   190,   964,   954,   245,   954,   252,   967,
     424,   427,   700,   702,   699,   702,   967,   647,   964,   953,
     511,   867,   966,   954,   954,    22,   370,   954,   165,   954,
     165,   966,   304,   354,   304,   354,   954,    22,   370,   954,
     952,    18,   120,   318,   580,   581,   582,   583,   968,   964,
     954,   482,   483,   968,   954,   244,    64,   244,   954,   475,
     350,   956,   966,   956,   427,   424,   427,   350,   306,   955,
     964,     3,    75,   125,   175,   263,   362,   370,   373,   437,
     964,   954,   551,   646,   954,   551,   954,   551,   964,   954,
     954,   954,   964,   954,    18,    24,   120,   258,   289,   318,
     258,   289,   318,   617,   289,   318,   289,   318,   289,   866,
     966,   963,   966,   165,   966,   964,   954,   954,   954,    18,
     486,   315,   964,   954,   954,   350,   350,    72,   361,   279,
     191,    31,   646,   191,   191,   371,   371,   191,   236,   652,
     963,   646,   646,   646,   646,   646,   646,   191,   652,   244,
     150,   350,   489,   423,   491,   492,   410,   424,   427,   891,
      30,   868,   867,   421,   421,   350,   350,   350,   423,   350,
     962,   872,   424,   427,   410,   602,    75,   124,   200,   201,
     213,   258,   342,   344,   756,   513,   954,   150,   306,   382,
     566,   573,   574,   134,   424,   511,   593,   594,   315,    19,
     170,   300,   338,   437,   438,   145,   956,   952,   453,   250,
     504,   147,   963,   617,   617,   617,   617,   241,   245,   250,
     423,   864,   865,   866,   315,   134,   133,   814,   646,   206,
     505,   507,   509,   511,   517,   520,   542,   543,   966,   389,
     390,   534,    31,   963,   245,   424,   697,   698,   703,    31,
     197,   297,   388,   704,   705,   706,   245,   464,   162,   162,
     145,   621,    31,   134,   477,   694,   646,   956,   646,   956,
     717,   245,   477,   477,   245,   477,   315,   145,   464,   477,
     891,   423,   424,   524,   170,   170,   170,   392,   953,   427,
     551,   552,   158,   667,   668,   964,    19,   675,   132,   320,
     132,   320,   302,   369,   220,   867,   954,   150,   245,   667,
      48,   477,   960,   340,   960,   240,   197,   646,   424,   422,
     422,   427,   920,   891,   122,   938,   939,    31,   424,   424,
     424,   424,   424,   150,   424,   424,   424,   424,   424,   427,
     424,   264,   929,   424,   892,   892,    11,   170,   191,   247,
     410,   411,   412,   414,   415,   416,   417,   418,   419,   917,
     892,   424,   424,   145,   150,   932,   933,   424,   406,   424,
     424,    31,   934,   920,   934,   934,   150,   424,   424,   968,
     262,   902,    31,   424,   427,   891,   968,   427,   891,   944,
     891,   966,   424,   424,   406,   892,   892,   128,   920,   150,
     115,   117,   139,   236,   241,   356,   365,   423,   128,   337,
     945,   891,   935,   891,   350,   718,   891,   423,   815,   343,
     345,   343,   345,   952,   825,   825,   825,   423,   815,   851,
     852,   853,   858,   861,   894,   960,   966,   386,   862,   921,
     921,   922,   424,   254,   906,    13,   424,   427,   829,   749,
     962,   889,   459,   891,   779,   788,   831,   247,   915,   918,
     407,   408,   691,   891,   840,   951,   802,   802,   837,   851,
     386,   863,   377,   794,   795,   966,   296,   796,   808,   809,
     427,   850,   410,   944,   964,   954,   954,   207,   953,   953,
     245,   953,   248,   245,   891,   521,   956,   423,   423,   423,
     538,   173,   523,   611,   477,   464,   621,   867,   392,   646,
     646,   646,   717,    74,   112,   259,   344,   954,   555,   954,
     159,   375,   350,   555,   572,   579,   954,   954,   954,   181,
     236,   647,   698,   702,   702,   418,   513,   120,   293,   318,
     476,   731,   134,   477,   134,   477,   954,   954,   954,   954,
     582,   583,   582,   424,   427,   584,   963,   424,   427,   410,
     425,   964,   258,   289,   318,    18,   120,   258,   289,   318,
     867,   230,   867,   964,   954,   207,   263,   236,   963,   263,
     953,   368,   350,   215,   215,   215,   350,   350,   306,   350,
     350,   306,   350,   306,   350,   306,   350,   477,   867,    20,
      40,   318,   731,   134,   477,   350,   954,   964,   954,   652,
     867,   191,   652,   652,   956,   956,   652,   191,   191,   191,
     191,   191,   191,   652,   490,   498,   499,   968,    44,    85,
     109,   124,   128,   146,   161,   236,   244,   277,   493,   247,
     414,   415,   551,   620,   702,   918,   963,   972,     3,   624,
     424,   421,   424,   962,   422,   962,   163,   218,   890,   218,
     890,   890,   962,   221,   424,   619,   620,   245,   207,   410,
     757,   757,   757,   757,   757,   757,   757,    60,    66,    76,
     103,   105,   177,   231,   236,   272,   285,   364,   514,   515,
     516,   434,   464,   954,   464,   249,   577,   952,   424,   427,
     954,   953,   158,   300,   953,   962,   359,   522,   291,   340,
      96,   523,   952,   603,   625,   626,   963,   424,   427,   954,
     952,   954,   389,   544,   423,   506,   952,   424,   427,   424,
     427,   244,   480,   244,   245,   535,   814,   350,   952,   424,
     427,   103,   410,   707,   963,   464,   340,   701,   702,   389,
     706,   708,   108,   183,   311,   369,   739,   159,   814,   477,
     867,   954,   477,   371,   477,   371,   477,   477,   952,   952,
     954,   597,   477,   966,   306,   306,   306,   953,   671,   427,
     964,   389,   427,   669,   248,   132,   132,   953,   666,   477,
     964,   621,   694,   551,   646,   191,   924,   424,   347,   891,
     126,   867,   891,   891,   891,   932,   867,   892,   115,   117,
     231,   241,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   891,   891,   933,   932,   888,   888,   867,   424,
     424,   424,   920,   424,   427,    48,   893,   424,   968,   899,
     269,   335,   901,   424,   427,   382,   895,    31,   424,   885,
     963,   891,    28,    28,   891,   424,   891,   150,   423,   923,
     891,   892,   892,   128,   128,   891,   424,   128,   891,   825,
     825,   825,   825,   952,   952,   952,   815,   852,   853,    31,
     854,   966,   427,    84,   151,   179,   194,   204,   226,   299,
     855,   854,    31,   854,   966,   423,   943,   891,   158,   842,
     427,   828,   829,   828,   424,   906,   423,   907,   966,   891,
     906,   963,   379,   922,   424,   424,   422,   424,   423,   691,
     424,   246,    86,   891,   796,   424,   427,   944,   949,   424,
     427,   805,   863,   946,   757,   153,   313,   341,   680,   145,
     680,   424,   423,   526,   527,   687,   894,   966,   523,   523,
     611,   958,   424,   105,   177,   231,   612,    31,   954,   371,
     371,   646,   646,   646,   646,   647,   964,   350,   181,   418,
     359,   231,   480,    96,   231,   330,   333,   480,   359,   954,
     966,   581,   483,   620,   968,   350,   350,   306,   152,   247,
     333,   629,   630,   152,   247,   637,   638,   350,   350,   306,
     424,   424,   424,   965,   963,   963,   963,   954,   145,   145,
     291,   145,   165,   964,   954,   954,   964,   954,   954,   954,
     954,   954,   954,   954,    66,   478,   963,   963,   359,   966,
     954,   579,   424,   652,   191,   191,   652,   652,   652,   652,
     652,   652,   371,   496,   497,   424,   427,   416,   423,   461,
     500,   551,   765,   963,   765,   231,   277,   765,   765,   611,
     962,   389,   390,   422,   422,   424,   889,   952,   757,   103,
     962,   963,   103,   963,   103,   963,   103,   963,   103,   954,
     103,   954,   103,   954,   423,   646,   954,   892,   106,   167,
     105,   236,   195,   952,   708,   565,   423,   592,   594,   577,
     953,   953,   867,    31,   952,   392,   145,   604,   424,   427,
     866,   577,   241,   423,   790,    96,   229,   508,   510,   512,
     520,   966,   534,   518,   176,   533,   509,   543,    71,   342,
     536,   389,   752,   963,   685,   703,   891,   891,   427,   423,
     704,   617,   350,   555,   424,   477,   956,   956,   477,   477,
     315,   953,   953,   953,   551,   155,   668,   675,   150,   191,
     191,   191,   191,   236,   656,   963,   891,   424,   424,   933,
     150,   115,   117,   241,   423,   424,   395,   897,   920,   284,
      48,   387,   387,   424,   891,   229,   891,   427,   896,   869,
     889,   892,   892,   891,   923,   424,    28,    28,   891,   891,
     128,   891,   424,   952,   952,   952,   952,   424,   966,   423,
     852,   194,   253,   856,   852,   856,   194,   855,   856,   194,
     423,   966,   423,   921,    48,   160,   843,   424,   424,   906,
     908,   966,   922,   906,   963,   718,   241,   814,   795,   410,
     808,   796,   965,   350,   663,   150,   611,   891,   424,   427,
     389,    66,   688,   688,   424,   424,   708,   106,   167,   105,
     373,   867,   956,   956,   954,   359,   236,   236,   965,   966,
     867,   477,   477,   410,   964,   954,   954,   962,   962,   867,
     427,   962,   962,   427,   964,   954,   954,   953,   953,   646,
     953,   134,   646,   867,   477,   477,   191,   652,   652,   434,
     110,   499,   461,   501,   502,   963,   963,   236,   416,   523,
     963,   963,   422,   152,   180,   152,   150,   610,   965,   891,
     231,   515,   708,   522,   371,   537,   578,   582,   315,   371,
     814,   423,   954,   121,   605,   385,   607,   963,   646,   505,
      96,   424,   427,   389,   535,   131,   171,   423,   534,   108,
     120,   269,   954,    52,    60,   210,   150,   423,   963,   700,
     709,   710,   967,   708,   952,   178,   556,   477,   477,   477,
     954,   248,   477,   667,   656,   656,   656,   656,   892,   150,
     423,   923,   423,   424,   427,   424,   893,   284,   424,   376,
     327,   424,   424,   424,   892,   892,   891,   854,   423,   953,
     852,   245,   371,   857,   852,   194,   852,   865,   423,   865,
     966,   424,   920,   891,   388,   903,   906,   906,   261,   909,
     424,   889,   424,   811,   948,   667,   245,   667,   424,   708,
     527,   247,   718,   646,   371,   646,   689,   689,   285,   708,
     537,   424,   478,   620,   423,   960,   718,   630,   423,   423,
     638,   389,   291,   389,   389,   145,   478,   652,   491,   963,
     424,   427,   523,   671,    31,   723,   723,   952,   611,   424,
     537,   216,   525,   173,   424,   427,   954,   956,   752,   577,
     302,   329,   606,   423,   133,   506,   424,   510,   249,   536,
      22,    70,    77,   104,   174,   333,   519,   519,   951,   535,
     303,   303,    60,   248,    60,   646,   686,   687,   702,   424,
     427,   862,   555,   229,   375,   557,   558,   477,   892,   923,
     424,   898,   920,    48,   229,   405,   953,   424,   891,   423,
     852,   857,   424,   865,   424,   904,   905,   966,    48,   828,
     906,   669,   680,   477,   688,   537,   423,   646,   690,   690,
     952,   537,   611,   371,   479,   923,   694,   145,   633,   717,
     923,   923,   645,   646,   645,   646,   953,   477,   502,   723,
      34,   169,   145,   151,   260,   323,   245,   529,   530,   531,
     342,   582,   577,   140,   632,   891,   276,   534,   533,   513,
     424,   536,   248,   248,   424,   427,   704,   709,   116,   375,
     555,   424,   424,   424,   284,   376,   424,   953,   424,   427,
      31,   920,   278,   303,   910,   150,   689,   386,   528,   718,
     691,   691,   522,   611,   891,   424,   251,   308,   282,   634,
     633,   424,   424,   389,   121,   108,   369,   245,   531,   245,
     530,   954,   646,    31,   424,   960,   535,   534,   389,   481,
     687,   708,    23,   184,   740,   424,   905,   907,    42,    86,
     360,   891,   911,   912,   911,   424,   667,   690,   423,   611,
     424,   525,   960,    48,   634,   646,   302,    51,   229,   295,
     318,   532,   532,   629,   423,   536,   535,   480,   536,   232,
     423,   735,   737,   742,   792,   797,   803,   814,   912,   302,
     144,   267,   144,   267,   477,   691,   891,   529,   694,   646,
     607,    17,   103,   236,     4,   608,   609,   962,   963,   968,
     536,   862,   736,   737,   738,   815,   816,    28,   424,   611,
     133,   424,   427,   424,   426,   912,   276,   609,   738,   960,
     423,   608,   424
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */





/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 656 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			;}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 663 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 670 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 790 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 801 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 811 "gram.y"
    {;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 812 "gram.y"
    {;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 821 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 822 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 826 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 827 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 832 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 837 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 841 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 846 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 851 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 855 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 859 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 864 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 868 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 921 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); ;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 924 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 928 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 932 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 936 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 940 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 954 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 972 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 982 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 983 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 988 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1006 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1018 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1039 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1046 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1065 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1072 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1089 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1107 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1117 "gram.y"
    { (yyval.ival) = +1; ;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1118 "gram.y"
    { (yyval.ival) = -1; ;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1131 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1138 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1155 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1167 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1178 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1179 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1183 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1184 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1212 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 1218 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1224 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1233 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1241 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 1249 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1256 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1263 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1271 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1282 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1290 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1298 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 1306 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1314 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1325 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1333 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1341 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1348 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 1357 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 1359 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 1365 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 1366 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 1370 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); ;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 1372 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 1375 "gram.y"
    { (yyval.str) = "read uncommitted"; ;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 1376 "gram.y"
    { (yyval.str) = "read committed"; ;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 1377 "gram.y"
    { (yyval.str) = "repeatable read"; ;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 1378 "gram.y"
    { (yyval.str) = "serializable"; ;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 1382 "gram.y"
    { (yyval.str) = "true"; ;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 1383 "gram.y"
    { (yyval.str) = "false"; ;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 1384 "gram.y"
    { (yyval.str) = "on"; ;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 1390 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 1403 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 1407 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 1411 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 1426 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 1448 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 1449 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 1450 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 1454 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 1455 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 1456 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 1460 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 1461 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 1466 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 1473 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 1480 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 1487 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 1494 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 1503 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 1504 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 1510 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 1516 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 1522 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 1528 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 1534 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 1544 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred    = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 1553 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 1554 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 1558 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 1559 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 1568 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 1583 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 1589 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 1595 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 1601 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 1619 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 1627 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 1635 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 1643 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 1653 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 1654 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 1660 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 1668 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 1676 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 1685 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 1693 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 1701 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 1710 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 1719 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 1728 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 1737 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 1747 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 1760 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 1774 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 1782 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 1790 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 1800 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 1810 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 1817 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 1824 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 1832 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 1840 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 1848 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 1856 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 1864 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 1871 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 1878 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 1886 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 1893 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 1900 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 1908 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 1916 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 1924 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 1932 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 1940 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 1948 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 1958 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 1965 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 1973 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 1981 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 1989 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 1996 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2005 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); ;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2006 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2010 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; ;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2011 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; ;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2012 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ ;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2017 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2024 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2028 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2029 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2033 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2036 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2037 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2041 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2042 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2048 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2052 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2056 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2061 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2076 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2088 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2089 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2095 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2104 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2114 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2124 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2149 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2155 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2183 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2204 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2217 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2218 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2227 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2228 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2229 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2232 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2233 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2238 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2239 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2244 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2248 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2252 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2256 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2260 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2264 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2268 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2272 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2276 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2280 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2284 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2288 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2297 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2300 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2305 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2308 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2313 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2316 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2320 "gram.y"
    {;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2321 "gram.y"
    {;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2327 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2331 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2338 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2344 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2345 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2346 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); ;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2347 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); ;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2348 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2353 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2357 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2364 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2377 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2393 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2408 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2424 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2447 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2448 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2449 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2450 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2451 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2452 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2453 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; ;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2454 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; ;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2458 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2459 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2463 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2464 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2469 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2473 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2480 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2484 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2490 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2491 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2492 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2496 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2497 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2501 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(3) - (3)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2520 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 2539 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 2540 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 2545 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 2552 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 2553 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2555 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 2586 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 2593 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2600 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2611 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2622 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (4)]);
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2631 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2640 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2673 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2680 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2687 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2694 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2713 "gram.y"
    {
					InhRelation *n = makeNode(InhRelation);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2722 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2723 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); ;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2724 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2728 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; ;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2729 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; ;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2730 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; ;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 2731 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; ;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 2732 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; ;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 2733 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; ;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 2743 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 2750 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 2755 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 2768 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 2782 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 2797 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 2811 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 2827 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 2844 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 2864 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 2865 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 2869 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 2870 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 2874 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 2880 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 2884 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 2892 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 2896 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 2902 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 2904 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 2908 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 2913 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 2919 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 2920 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 2931 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 2933 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); ;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 2935 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); ;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 2937 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); ;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 2939 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 2942 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 2945 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 2949 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; ;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 2950 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; ;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 2951 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; ;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 2952 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; ;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 2953 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; ;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 2956 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 2957 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 2962 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 2963 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); ;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 2964 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); ;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 2965 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 2968 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; ;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 2969 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; ;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 2970 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; ;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 2971 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 2974 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 2975 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 2978 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 2979 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 2982 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 2993 "gram.y"
    {
					/*
					 * When the SelectStmt is a set-operation tree, we must
					 * stuff the INTO information into the leftmost component
					 * Select, because that's where analyze.c will expect
					 * to find it.	Similarly, the output column names must
					 * be attached to that Select's target list.
					 */
					SelectStmt *n = findLeftmostSelect((SelectStmt *) (yyvsp[(6) - (7)].node));
					if (n->intoClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE AS cannot specify INTO"),
								 parser_errposition(exprLocation((Node *) n->intoClause))));
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					n->intoClause = (yyvsp[(4) - (7)].into);
					/* Implement WITH NO DATA by forcing top-level LIMIT 0 */
					if (!(yyvsp[(7) - (7)].boolean))
						((SelectStmt *) (yyvsp[(6) - (7)].node))->limitCount = makeIntConst(0, -1);
					(yyval.node) = (yyvsp[(6) - (7)].node);
				;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3018 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
				;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3029 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3030 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3034 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3035 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3040 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (1)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = NULL;
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3059 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3060 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3061 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3075 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3087 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3095 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3096 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3099 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3100 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3104 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3108 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3112 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3116 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3120 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3124 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3128 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3132 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3136 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3140 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3144 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3148 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3153 "gram.y"
    {;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3154 "gram.y"
    {;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3158 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); ;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3160 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3164 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); ;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3167 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3168 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3181 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3194 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3207 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3208 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3216 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3217 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3221 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3222 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3226 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3227 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3231 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3232 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3237 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(4) - (5)].str);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3245 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3255 "gram.y"
    {;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3256 "gram.y"
    {;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3267 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3276 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3277 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3291 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3298 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3315 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3323 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3334 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3336 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3341 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3345 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3349 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3361 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3371 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3373 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3378 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3391 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3401 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3411 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3420 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3429 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3438 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3448 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3457 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3467 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3477 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3487 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3496 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3505 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3514 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3523 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3532 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3541 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3550 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3559 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3568 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3577 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3586 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3604 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3614 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3615 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); ;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3616 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3617 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); ;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3621 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3622 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3626 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3627 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3638 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3646 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(7) - (8)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3663 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3671 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3682 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3683 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3688 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3692 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3699 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3704 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3708 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3715 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3719 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 3724 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3729 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 3736 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 3742 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 3747 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 3759 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3771 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 3772 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3777 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 3778 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3782 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 3783 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 3794 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 3802 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 3819 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 3828 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 3836 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 3855 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (8)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (8)].range);
					n->base.tableElts = (yyvsp[(5) - (8)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 3870 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (11)].range);
					n->base.tableElts = (yyvsp[(8) - (11)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 3885 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 3886 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 3891 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 3895 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 3901 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 3913 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 3930 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 3941 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 3942 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 3943 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); ;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 3954 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 3962 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 3979 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4000 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4021 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4042 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4043 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; ;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4044 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; ;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4049 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4051 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4073 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); ;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4075 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); ;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4077 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); ;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4079 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4081 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); ;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4086 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4090 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4100 "gram.y"
    {;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4101 "gram.y"
    {;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4105 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4106 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4110 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4111 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4115 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4116 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4117 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4122 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4127 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4128 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4129 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4133 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); ;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4134 "gram.y"
    { (yyval.range) = NULL; ;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4139 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4141 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4167 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; ;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4168 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; ;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4169 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; ;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4170 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; ;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4171 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; ;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4177 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4187 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4210 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4229 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = NULL;
					n->property = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4252 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4262 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4273 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4283 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4293 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4304 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4313 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4320 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4329 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4338 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4347 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4356 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4365 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4375 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4378 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4379 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4383 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4387 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4393 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); ;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4394 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); ;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4395 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); ;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4396 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); ;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4397 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4400 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4401 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4404 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4407 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4408 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4417 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4423 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4424 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4428 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4430 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4441 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (6)].list);
				 n->newVal = (yyvsp[(6) - (6)].str);
				 n->newValNeighbor = NULL;
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 ;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4450 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = false;
				 (yyval.node) = (Node *) n;
			 ;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4459 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 ;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4484 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4497 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4498 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4503 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4514 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4524 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4533 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4543 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4551 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4552 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4555 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4556 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4559 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4560 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); ;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4561 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4565 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4578 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4584 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4594 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4603 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4614 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4615 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4620 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4628 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4640 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4649 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4661 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4670 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4691 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4701 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4719 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4728 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4739 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4740 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4741 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4742 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4743 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4744 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4745 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4746 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4747 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4748 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4749 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4750 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; ;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4751 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; ;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4752 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; ;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4753 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; ;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4757 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4758 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4761 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4762 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4766 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); ;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4768 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4781 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4791 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4792 "gram.y"
    { (yyval.boolean) = true; ;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4793 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4820 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4829 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4838 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4847 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4856 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4865 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4874 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4884 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 4893 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4902 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 4911 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 4920 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 4929 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 4938 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 4946 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 4954 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 4962 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 4972 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 4973 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 4974 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 4975 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 4976 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 4977 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 4978 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 4979 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 4980 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 4981 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 4982 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 4983 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 4984 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 4985 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 4986 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 4987 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; ;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 4988 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; ;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 4992 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 4993 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5009 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5020 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5031 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5042 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5053 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5064 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5065 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5069 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5070 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5071 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5072 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5073 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5074 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5075 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5076 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5079 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5080 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5091 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5097 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5105 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5113 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5121 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5129 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5137 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5145 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5153 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5161 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5169 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5177 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5185 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5193 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5201 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5209 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5217 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5225 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5234 "gram.y"
    {;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5235 "gram.y"
    {;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5238 "gram.y"
    {;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5239 "gram.y"
    {;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5251 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5267 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5281 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5306 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5308 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5310 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5312 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5319 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5327 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); ;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5328 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); ;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5332 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5339 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5346 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5353 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5367 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5375 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5383 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5391 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5399 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5407 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5415 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5423 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5431 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5439 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5447 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5455 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5463 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5471 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5482 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5483 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5487 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5497 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5510 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5511 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5515 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); ;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5517 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); ;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5522 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5538 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5551 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5561 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5572 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5573 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5576 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5577 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5588 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5597 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5598 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5603 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5607 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5611 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5623 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5636 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5650 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5665 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; ;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5666 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; ;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5667 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; ;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5682 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->indexOid = InvalidOid;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5699 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5700 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5704 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5705 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5709 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5710 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5714 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5715 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; ;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5718 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); ;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5719 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); ;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5728 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5739 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5750 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5762 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5763 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5766 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5767 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5768 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5771 "gram.y"
    { (yyval.ival) = SORTBY_ASC; ;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5772 "gram.y"
    { (yyval.ival) = SORTBY_DESC; ;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5773 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; ;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5776 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; ;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5777 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; ;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5778 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; ;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5796 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5808 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5821 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5834 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5835 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5838 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5839 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5843 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5844 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5852 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5853 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5857 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5859 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5874 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5883 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5892 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5901 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5910 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5921 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; ;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5922 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; ;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5923 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5924 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5925 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; ;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5936 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5950 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 5952 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 5958 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 5968 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
			    ;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 5972 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    ;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 5977 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    ;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 5986 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 5987 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 5995 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 5999 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6003 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6007 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6011 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6015 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6019 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6023 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6027 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6031 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6035 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6039 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6043 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6051 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6055 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6059 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6063 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6068 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6070 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6076 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6077 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6081 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6093 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6097 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6112 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6122 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6123 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6145 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = extractArgTypes((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6155 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = extractArgTypes((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6168 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6178 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6191 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6201 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6214 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6222 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6224 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6226 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); ;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6231 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6233 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6246 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6254 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6255 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6260 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6264 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6277 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6288 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6299 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6310 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; ;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6311 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; ;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6312 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; ;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6317 "gram.y"
    {
					DropCastStmt *n = makeNode(DropCastStmt);
					n->sourcetype = (yyvsp[(5) - (9)].typnam);
					n->targettype = (yyvsp[(7) - (9)].typnam);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6327 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6328 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6343 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6351 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6361 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6373 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6374 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6377 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6378 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6389 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6398 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6406 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6414 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6422 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6431 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6439 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6447 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6456 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6465 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6473 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6482 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6491 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6500 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6509 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6518 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6528 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6538 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6547 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6555 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6563 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6571 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6580 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6589 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6597 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6605 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6613 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6621 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6629 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6641 "gram.y"
    { (yyval.ival) = COLUMN; ;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6642 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6645 "gram.y"
    { (yyval.ival) = 1; ;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6646 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6657 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6666 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6674 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6682 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6690 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6698 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6707 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6716 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6725 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6734 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6742 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6750 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6758 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6766 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6774 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6782 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6790 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6798 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6814 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6823 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6831 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6839 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6847 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6855 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6864 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6872 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6880 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6889 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6898 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6907 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6915 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6923 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6931 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6939 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6947 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6955 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6974 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6988 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6989 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6990 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6996 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 7002 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 7018 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 7019 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 7022 "gram.y"
    { (yyval.ival) = CMD_SELECT; ;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 7023 "gram.y"
    { (yyval.ival) = CMD_UPDATE; ;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 7024 "gram.y"
    { (yyval.ival) = CMD_DELETE; ;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 7025 "gram.y"
    { (yyval.ival) = CMD_INSERT; ;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 7029 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 7030 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 7031 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 7037 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 7047 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 7068 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 7077 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 7078 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 7082 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 7091 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 7097 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 7116 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 7123 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 7130 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 7137 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 7144 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 7151 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 7158 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 7166 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 7174 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 7182 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 7190 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 7198 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 7205 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 7212 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 7220 "gram.y"
    {;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 7221 "gram.y"
    {;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 7222 "gram.y"
    {;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 7227 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); ;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 7230 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 7233 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 7236 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); ;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7239 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7246 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7248 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7250 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7256 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7270 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (8)].range);
					n->view->relpersistence = (yyvsp[(2) - (8)].ival);
					n->aliases = (yyvsp[(5) - (8)].list);
					n->query = (yyvsp[(7) - (8)].node);
					n->replace = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7281 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (10)].range);
					n->view->relpersistence = (yyvsp[(4) - (10)].ival);
					n->aliases = (yyvsp[(7) - (10)].list);
					n->query = (yyvsp[(9) - (10)].node);
					n->replace = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7294 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7300 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7306 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7311 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7322 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7338 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7347 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7348 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7353 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7357 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7361 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7365 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7369 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7373 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7377 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7381 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7385 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7389 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7393 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7397 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7401 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7405 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7409 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7413 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7422 "gram.y"
    {;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7423 "gram.y"
    {;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7435 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7442 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7453 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7463 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7464 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7469 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7483 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7490 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7507 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7520 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7529 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7537 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7545 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7554 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7564 "gram.y"
    {;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7565 "gram.y"
    {;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7577 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7587 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7597 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7607 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7617 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7627 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7635 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7657 "gram.y"
    {
			  CreateConversionStmt *n = makeNode(CreateConversionStmt);
			  n->conversion_name = (yyvsp[(4) - (10)].list);
			  n->for_encoding_name = (yyvsp[(6) - (10)].str);
			  n->to_encoding_name = (yyvsp[(8) - (10)].str);
			  n->func_name = (yyvsp[(10) - (10)].list);
			  n->def = (yyvsp[(2) - (10)].boolean);
			  (yyval.node) = (Node *)n;
			;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7679 "gram.y"
    {
			       ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(3) - (4)].range);
				   n->indexname = (yyvsp[(4) - (4)].str);
				   n->verbose = (yyvsp[(2) - (4)].boolean);
				   (yyval.node) = (Node*)n;
				;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7687 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = NULL;
				   n->indexname = NULL;
				   n->verbose = (yyvsp[(2) - (2)].boolean);
				   (yyval.node) = (Node*)n;
				;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7696 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(5) - (5)].range);
				   n->indexname = (yyvsp[(3) - (5)].str);
				   n->verbose = (yyvsp[(2) - (5)].boolean);
				   (yyval.node) = (Node*)n;
				;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7706 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7707 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7720 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7734 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7748 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7760 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7772 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7788 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7789 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7793 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; ;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7794 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; ;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7795 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; ;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7796 "gram.y"
    { (yyval.ival) = VACOPT_FULL; ;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7801 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7813 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7827 "gram.y"
    {;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7828 "gram.y"
    {;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7832 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7833 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7836 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7837 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7840 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7841 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7845 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7846 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7860 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7867 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7877 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7884 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7904 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7908 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7915 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7921 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7922 "gram.y"
    { (yyval.str) = "analyze"; ;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7923 "gram.y"
    { (yyval.str) = "verbose"; ;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7927 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7928 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7929 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7940 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7949 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7950 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7968 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					n->into = NULL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7977 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (8)].str);
					n->params = (yyvsp[(8) - (8)].list);
					(yyvsp[(4) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					n->into = (yyvsp[(4) - (8)].into);
					if ((yyvsp[(4) - (8)].into)->colNames)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("column name list not allowed in CREATE TABLE / AS EXECUTE")));
					/* ... because it's not implemented, but it could be */
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7992 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7993 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 8004 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 8010 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 8016 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 8022 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 8038 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 8048 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 8054 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 8060 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 8069 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 8071 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 8076 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 8086 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 8087 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 8100 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 8112 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 8113 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 8125 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 8135 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); ;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 8136 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 8139 "gram.y"
    { (yyval.ival) = AccessShareLock; ;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 8140 "gram.y"
    { (yyval.ival) = RowShareLock; ;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 8141 "gram.y"
    { (yyval.ival) = RowExclusiveLock; ;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 8142 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; ;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 8143 "gram.y"
    { (yyval.ival) = ShareLock; ;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 8144 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; ;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 8145 "gram.y"
    { (yyval.ival) = ExclusiveLock; ;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 8146 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 8149 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 8150 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 8166 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 8179 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 8180 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); ;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 8184 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 8185 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 8190 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 8198 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 8226 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 8236 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 8237 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); ;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 8248 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 8258 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 8261 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 8262 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; ;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 8263 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; ;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 8264 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; ;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 8265 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; ;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 8268 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 8269 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; ;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 8270 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 8323 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 8324 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 8338 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 8340 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 8347 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 8355 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 8363 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 8371 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 8379 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 8387 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 8397 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 8398 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 8428 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 8440 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 8442 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 8461 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 8465 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 8469 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 8484 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 8491 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 8500 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8501 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8505 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8516 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); ;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8517 "gram.y"
    { (yyval.with) = NULL; ;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8522 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
				;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8531 "gram.y"
    { (yyval.into) = NULL; ;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8540 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8545 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8550 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8555 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8560 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8565 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8570 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8575 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8580 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8586 "gram.y"
    {;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8587 "gram.y"
    {;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8590 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8591 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8592 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8599 "gram.y"
    { (yyval.list) = list_make1(NIL); ;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8600 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); ;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8601 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8602 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8606 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8607 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8611 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8615 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); ;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8616 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); ;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8620 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8629 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8641 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); ;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8642 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8643 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); ;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8644 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); ;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8648 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8649 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); ;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8654 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8656 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8666 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); ;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8671 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8674 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8678 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8680 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8687 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8697 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); ;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8698 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8699 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); ;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8707 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8711 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8712 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8715 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8716 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8721 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8722 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8726 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8727 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8731 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8732 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8736 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8737 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8741 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8742 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8747 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8755 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8765 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8766 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8772 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8778 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8795 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8796 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8800 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8801 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8812 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8816 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8821 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8828 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8836 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8843 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8853 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8863 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8891 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8898 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8902 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8928 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8932 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8944 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8957 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8971 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8982 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8997 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 9003 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 9008 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 9014 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 9020 "gram.y"
    { (yyval.jtype) = JOIN_FULL; ;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 9021 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; ;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 9022 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; ;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 9023 "gram.y"
    { (yyval.jtype) = JOIN_INNER; ;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 9027 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 9028 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 9040 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); ;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 9041 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 9047 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 9054 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 9061 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 9068 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 9078 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 9079 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 9093 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 9097 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 9104 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 9113 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 9118 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 9119 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 9124 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 9126 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 9133 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 9138 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 9139 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 9144 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 9148 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 9154 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 9183 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 9188 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 9195 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 9200 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 9206 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 9211 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 9220 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); ;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 9222 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); ;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 9224 "gram.y"
    {  (yyval.list) = NIL; ;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 9228 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 9229 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 9230 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 9231 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 9232 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 9234 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 9239 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 9268 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 9269 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 9270 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 9271 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 9283 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 9289 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 9296 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 9297 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 9304 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 9309 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 9314 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 9319 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 9324 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 9329 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 9334 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 9339 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 9345 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 9351 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 9357 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 9364 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 9385 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 9395 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 9399 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 9407 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 9411 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 9419 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 9431 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 9452 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 9456 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 9462 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 9466 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 9479 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 9498 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 9521 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 9523 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 9525 "gram.y"
    { (yyval.str) = "varchar"; ;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 9527 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 9529 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9531 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9535 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9536 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9540 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9541 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9549 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9558 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9566 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9575 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9586 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9593 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9594 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9595 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9600 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9602 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); ;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9604 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); ;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9606 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9608 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); ;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9610 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9612 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9617 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9622 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9628 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9636 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9641 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9648 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9654 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9659 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9663 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9692 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9694 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9696 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9704 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9726 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9728 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9730 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9732 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9734 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9736 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9738 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9740 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9742 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9744 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9746 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9749 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9751 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9753 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9756 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9758 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9760 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9763 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9765 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9778 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9780 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9793 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9795 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9808 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9810 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9824 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9837 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9850 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9863 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9886 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9893 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9900 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9907 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9914 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9918 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9925 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9932 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9939 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9946 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9953 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9960 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9964 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9972 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9976 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9986 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9993 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 10000 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 10013 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 10026 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 10045 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 10066 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 10076 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 10083 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 10099 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 10104 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 10122 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 10124 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 10126 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 10128 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 10130 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 10132 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 10134 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 10136 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 10138 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 10140 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 10142 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 10144 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 10146 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 10148 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 10150 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 10152 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 10154 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 10158 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 10163 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 10167 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 10171 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 10176 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 10192 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 10193 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 10195 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 10210 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 10222 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 10224 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 10226 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 10236 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 10259 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 10269 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 10279 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 10287 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 10305 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 10318 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 10331 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 10344 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 10357 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 10370 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 10387 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 10400 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 10423 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 10444 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 10454 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 10467 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 10484 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 10497 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 10507 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 10520 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 10530 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 10543 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 10556 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 10569 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 10582 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 10595 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 10608 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 10621 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); ;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 10623 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 10636 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 10654 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 10668 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 10684 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 10706 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 10722 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 10735 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 10748 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 10761 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 10765 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 10772 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 10780 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 10788 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 10792 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 10796 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 10800 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 10804 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 10808 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 10823 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 10827 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 10836 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 10840 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 10844 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 10849 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 10863 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 10865 "gram.y"
    { (yyval.node) = makeNullAConst(-1); ;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 10869 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); ;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 10871 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); ;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 10873 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); ;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 10875 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); ;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 10878 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 10881 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 10882 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 10886 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 10894 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 10903 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; ;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 10904 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; ;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 10907 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 10908 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 10909 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 10915 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 10919 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 10923 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 10927 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 10937 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 10938 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 10942 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); ;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 10944 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); ;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 10949 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 10957 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); ;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 10959 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 10972 "gram.y"
    { (yyval.windef) = NULL; ;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 10977 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 11002 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 11003 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 11006 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 11007 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 11019 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 11037 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 11043 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 11053 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 11070 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 11115 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 11123 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 11131 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 11139 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 11147 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 11167 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 11168 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 11169 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); ;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 11172 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 11173 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 11174 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; ;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 11177 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 11178 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 11181 "gram.y"
    { (yyval.str) = "+"; ;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 11182 "gram.y"
    { (yyval.str) = "-"; ;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 11183 "gram.y"
    { (yyval.str) = "*"; ;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 11184 "gram.y"
    { (yyval.str) = "/"; ;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 11185 "gram.y"
    { (yyval.str) = "%"; ;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 11186 "gram.y"
    { (yyval.str) = "^"; ;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 11187 "gram.y"
    { (yyval.str) = "<"; ;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 11188 "gram.y"
    { (yyval.str) = ">"; ;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 11189 "gram.y"
    { (yyval.str) = "="; ;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 11193 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 11195 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 11200 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 11202 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 11207 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 11209 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 11211 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); ;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 11213 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); ;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 11215 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); ;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 11217 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); ;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 11229 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 11233 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 11240 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 11244 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 11250 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 11254 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 11264 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); ;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 11265 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); ;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 11269 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 11273 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 11277 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 11282 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 11283 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 11289 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 11292 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 11299 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 11300 "gram.y"
    { (yyval.str) = "year"; ;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 11301 "gram.y"
    { (yyval.str) = "month"; ;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 11302 "gram.y"
    { (yyval.str) = "day"; ;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 11303 "gram.y"
    { (yyval.str) = "hour"; ;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 11304 "gram.y"
    { (yyval.str) = "minute"; ;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 11305 "gram.y"
    { (yyval.str) = "second"; ;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 11306 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 11317 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 11321 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 11328 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 11334 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 11335 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 11352 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 11356 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 11361 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 11365 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 11380 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 11384 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 11388 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 11391 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 11394 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 11395 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 11396 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 11400 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 11406 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); ;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 11417 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 11430 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 11431 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 11436 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 11446 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 11447 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 11450 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 11451 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 11455 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 11459 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 11466 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 11470 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 11474 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 11481 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 11490 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 11491 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 11495 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 11496 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 11511 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 11513 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 11521 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 11522 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 11530 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 11541 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 11542 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 11546 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 11562 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 11570 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 11578 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 11599 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 11600 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 11612 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 11616 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 11643 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 11645 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 11649 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 11652 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 11655 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 11657 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 11659 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 11661 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 11672 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 11674 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 11685 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 11689 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 11693 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 11697 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 11701 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 11710 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 11717 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
								    (errcode(ERRCODE_SYNTAX_ERROR),
								     errmsg("type modifier cannot have parameter name"),
								     parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 11742 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 11746 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 11752 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 11769 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 11773 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 11777 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 11782 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 11783 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 11784 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 11786 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 11787 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 11788 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 11804 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 11805 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 11806 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 11811 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 11812 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 11813 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 11819 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 11820 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 11821 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 11822 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 11823 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;



/* Line 1455 of yacc.c  */
#line 36016 "gram.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (&yylloc, yyscanner, yymsg);
	  }
	else
	  {
	    yyerror (&yylloc, yyscanner, YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc, yyscanner);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 12273 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* findLeftmostSelect()
 * Find the leftmost component SelectStmt in a set-operation parsetree.
 */
static SelectStmt *
findLeftmostSelect(SelectStmt *node)
{
	while (node && node->op != SETOP_NONE)
		node = node->larg;
	Assert(node && IsA(node, SelectStmt) && node->larg == NULL);
	return node;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr    *x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

