
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
                if (N) \
			(Current) = (Rhs)[1]; \
		else \
		        (Current) = (Rhs)[0]; \
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char     pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int 	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
			        fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in other functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn's cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = mm_strdup("");
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char temp[20];
			char *original_var;
			bool skip_set_var = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(temp, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable) && (!strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement"))))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar && ptr->variable->type->type != ECPGt_char && ptr->variable->type->type != ECPGt_unsigned_char && ptr->variable->type->type != ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, mm_strdup("1"), ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
				sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar || ptr->variable->type->type == ECPGt_char || ptr->variable->type->type == ECPGt_unsigned_char || ptr->variable->type->type == ECPGt_string) && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				if (ptr->variable->type->type == ECPGt_varchar)
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				else
					sprintf(temp, "%d, (", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_struct || ptr->variable->type->type == ECPGt_union)
			{
				sprintf(temp, "%d)))", ecpg_internal_var);
				newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.members, ptr->variable->type->type, ptr->variable->type->type_name, ptr->variable->type->struct_sizeof), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct || ptr->variable->type->u.element->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newvar = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->variable->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->variable->type->u.element->u.members, ptr->variable->type->u.element->type, ptr->variable->type->u.element->type_name, ptr->variable->type->u.element->struct_sizeof), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type, ptr->variable->type->u.element->size, ptr->variable->type->u.element->counter), ptr->variable->type->size), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->variable->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->variable->type->type, ptr->variable->type->size, ptr->variable->type->counter), 0);
				sprintf(temp, "%d, &(", ecpg_internal_var++);
			}

			/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
			if (!skip_set_var)
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(temp, "%d))", ecpg_internal_var);

				if (ptr->indicator->type->type == ECPGt_struct || ptr->indicator->type->type == ECPGt_union)
				{
					sprintf(temp, "%d)))", ecpg_internal_var);
					newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.members, ptr->indicator->type->type, ptr->indicator->type->type_name, ptr->indicator->type->struct_sizeof), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct || ptr->indicator->type->u.element->type == ECPGt_union)
					{
						sprintf(temp, "%d)))", ecpg_internal_var);
						newind = new_variable(cat_str(4, mm_strdup("(*("), mm_strdup(ptr->indicator->type->u.element->type_name), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_struct_type(ptr->indicator->type->u.element->u.members, ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->type_name, ptr->indicator->type->u.element->struct_sizeof), 0);
						sprintf(temp, "%d, (", ecpg_internal_var++);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type, ptr->indicator->type->u.element->size, ptr->indicator->type->u.element->counter), ptr->indicator->type->size), 0);
						sprintf(temp, "%d, &(", ecpg_internal_var++);
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, (", ecpg_internal_var++);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("), mm_strdup(ecpg_type_name(ptr->indicator->type->type)), mm_strdup(" *)(ECPGget_var("), mm_strdup(temp)), ECPGmake_simple_type(ptr->indicator->type->type, ptr->indicator->type->size, ptr->variable->type->counter), 0);
					sprintf(temp, "%d, &(", ecpg_internal_var++);
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				result = cat_str(5, result, mm_strdup("ECPGset_var("), mm_strdup(temp), mm_strdup(original_var), mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && !strcmp(cur->function, current_function)))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char * dimension, char * length, enum ECPGttype type_enum, char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
	     type_enum == ECPGt_union) &&
	    initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 189 of yacc.c  */
#line 536 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EXCEPT = 461,
     EXCLUDE = 462,
     EXCLUDING = 463,
     EXCLUSIVE = 464,
     EXECUTE = 465,
     EXISTS = 466,
     EXPLAIN = 467,
     EXTENSION = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LABEL = 528,
     LANGUAGE = 529,
     LARGE_P = 530,
     LAST_P = 531,
     LC_COLLATE_P = 532,
     LC_CTYPE_P = 533,
     LEADING = 534,
     LEAST = 535,
     LEFT = 536,
     LEVEL = 537,
     LIKE = 538,
     LIMIT = 539,
     LISTEN = 540,
     LOAD = 541,
     LOCAL = 542,
     LOCALTIME = 543,
     LOCALTIMESTAMP = 544,
     LOCATION = 545,
     LOCK_P = 546,
     MAPPING = 547,
     MATCH = 548,
     MAXVALUE = 549,
     MINUTE_P = 550,
     MINVALUE = 551,
     MODE = 552,
     MONTH_P = 553,
     MOVE = 554,
     NAME_P = 555,
     NAMES = 556,
     NATIONAL = 557,
     NATURAL = 558,
     NCHAR = 559,
     NEXT = 560,
     NO = 561,
     NONE = 562,
     NOT = 563,
     NOTHING = 564,
     NOTIFY = 565,
     NOTNULL = 566,
     NOWAIT = 567,
     NULL_P = 568,
     NULLIF = 569,
     NULLS_P = 570,
     NUMERIC = 571,
     OBJECT_P = 572,
     OF = 573,
     OFF = 574,
     OFFSET = 575,
     OIDS = 576,
     ON = 577,
     ONLY = 578,
     OPERATOR = 579,
     OPTION = 580,
     OPTIONS = 581,
     OR = 582,
     ORDER = 583,
     OUT_P = 584,
     OUTER_P = 585,
     OVER = 586,
     OVERLAPS = 587,
     OVERLAY = 588,
     OWNED = 589,
     OWNER = 590,
     PARSER = 591,
     PARTIAL = 592,
     PARTITION = 593,
     PASSING = 594,
     PASSWORD = 595,
     PLACING = 596,
     PLANS = 597,
     POSITION = 598,
     PRECEDING = 599,
     PRECISION = 600,
     PRESERVE = 601,
     PREPARE = 602,
     PREPARED = 603,
     PRIMARY = 604,
     PRIOR = 605,
     PRIVILEGES = 606,
     PROCEDURAL = 607,
     PROCEDURE = 608,
     QUOTE = 609,
     RANGE = 610,
     READ = 611,
     REAL = 612,
     REASSIGN = 613,
     RECHECK = 614,
     RECURSIVE = 615,
     REF = 616,
     REFERENCES = 617,
     REINDEX = 618,
     RELATIVE_P = 619,
     RELEASE = 620,
     RENAME = 621,
     REPEATABLE = 622,
     REPLACE = 623,
     REPLICA = 624,
     RESET = 625,
     RESTART = 626,
     RESTRICT = 627,
     RETURNING = 628,
     RETURNS = 629,
     REVOKE = 630,
     RIGHT = 631,
     ROLE = 632,
     ROLLBACK = 633,
     ROW = 634,
     ROWS = 635,
     RULE = 636,
     SAVEPOINT = 637,
     SCHEMA = 638,
     SCROLL = 639,
     SEARCH = 640,
     SECOND_P = 641,
     SECURITY = 642,
     SELECT = 643,
     SEQUENCE = 644,
     SEQUENCES = 645,
     SERIALIZABLE = 646,
     SERVER = 647,
     SESSION = 648,
     SESSION_USER = 649,
     SET = 650,
     SETOF = 651,
     SHARE = 652,
     SHOW = 653,
     SIMILAR = 654,
     SIMPLE = 655,
     SMALLINT = 656,
     SOME = 657,
     STABLE = 658,
     STANDALONE_P = 659,
     START = 660,
     STATEMENT = 661,
     STATISTICS = 662,
     STDIN = 663,
     STDOUT = 664,
     STORAGE = 665,
     STRICT_P = 666,
     STRIP_P = 667,
     SUBSTRING = 668,
     SYMMETRIC = 669,
     SYSID = 670,
     SYSTEM_P = 671,
     TABLE = 672,
     TABLES = 673,
     TABLESPACE = 674,
     TEMP = 675,
     TEMPLATE = 676,
     TEMPORARY = 677,
     TEXT_P = 678,
     THEN = 679,
     TIME = 680,
     TIMESTAMP = 681,
     TO = 682,
     TRAILING = 683,
     TRANSACTION = 684,
     TREAT = 685,
     TRIGGER = 686,
     TRIM = 687,
     TRUE_P = 688,
     TRUNCATE = 689,
     TRUSTED = 690,
     TYPE_P = 691,
     UNBOUNDED = 692,
     UNCOMMITTED = 693,
     UNENCRYPTED = 694,
     UNION = 695,
     UNIQUE = 696,
     UNKNOWN = 697,
     UNLISTEN = 698,
     UNLOGGED = 699,
     UNTIL = 700,
     UPDATE = 701,
     USER = 702,
     USING = 703,
     VACUUM = 704,
     VALID = 705,
     VALIDATE = 706,
     VALIDATOR = 707,
     VALUE_P = 708,
     VALUES = 709,
     VARCHAR = 710,
     VARIADIC = 711,
     VARYING = 712,
     VERBOSE = 713,
     VERSION_P = 714,
     VIEW = 715,
     VOLATILE = 716,
     WHEN = 717,
     WHERE = 718,
     WHITESPACE_P = 719,
     WINDOW = 720,
     WITH = 721,
     WITHOUT = 722,
     WORK = 723,
     WRAPPER = 724,
     WRITE = 725,
     XML_P = 726,
     XMLATTRIBUTES = 727,
     XMLCONCAT = 728,
     XMLELEMENT = 729,
     XMLEXISTS = 730,
     XMLFOREST = 731,
     XMLPARSE = 732,
     XMLPI = 733,
     XMLROOT = 734,
     XMLSERIALIZE = 735,
     YEAR_P = 736,
     YES_P = 737,
     ZONE = 738,
     NULLS_FIRST = 739,
     NULLS_LAST = 740,
     WITH_TIME = 741,
     POSTFIXOP = 742,
     UMINUS = 743
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 463 "preproc.y"

	double	dval;
	char	*str;
	int     ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 214 of yacc.c  */
#line 1077 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1102 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   98861

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  508
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  686
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2688
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4826

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   743

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   495,     2,     2,
     500,   501,   493,   491,   503,   492,   502,   494,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   505,   504,
     488,   487,   489,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   498,     2,   499,   496,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   506,     2,   507,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   490,   497
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   264,   270,   272,   273,   276,   277,   280,
     281,   284,   287,   291,   295,   297,   301,   305,   308,   310,
     312,   315,   318,   321,   325,   329,   335,   341,   342,   346,
     352,   358,   363,   367,   373,   377,   383,   389,   396,   398,
     400,   404,   410,   417,   422,   424,   425,   428,   429,   431,
     433,   435,   437,   439,   441,   444,   448,   452,   456,   460,
     464,   468,   472,   476,   479,   485,   488,   491,   494,   497,
     501,   505,   509,   511,   515,   517,   521,   523,   525,   528,
     531,   534,   536,   538,   540,   542,   544,   546,   548,   552,
     559,   561,   563,   565,   567,   569,   570,   572,   574,   577,
     581,   586,   590,   593,   596,   598,   602,   607,   613,   618,
     621,   626,   628,   630,   632,   634,   636,   639,   642,   645,
     648,   653,   658,   663,   668,   670,   674,   677,   681,   686,
     693,   700,   707,   713,   719,   726,   733,   738,   747,   750,
     754,   761,   766,   770,   774,   778,   782,   786,   791,   796,
     800,   804,   808,   812,   816,   820,   825,   830,   834,   837,
     841,   844,   847,   851,   855,   858,   861,   863,   867,   870,
     872,   874,   875,   878,   879,   882,   883,   887,   890,   891,
     893,   897,   901,   903,   909,   913,   918,   920,   924,   929,
     936,   941,   950,   953,   956,   967,   974,   976,   978,   980,
     982,   984,   986,   990,   993,   994,   996,   998,  1002,  1006,
    1008,  1010,  1014,  1018,  1022,  1026,  1031,  1034,  1036,  1037,
    1040,  1041,  1045,  1046,  1048,  1049,  1051,  1055,  1058,  1060,
    1062,  1064,  1068,  1069,  1071,  1075,  1077,  1089,  1104,  1115,
    1129,  1131,  1133,  1136,  1139,  1142,  1145,  1147,  1148,  1150,
    1151,  1155,  1156,  1158,  1162,  1164,  1168,  1170,  1172,  1174,
    1176,  1178,  1182,  1187,  1190,  1191,  1195,  1197,  1199,  1202,
    1205,  1207,  1211,  1216,  1221,  1224,  1230,  1232,  1235,  1238,
    1241,  1245,  1249,  1253,  1254,  1256,  1258,  1260,  1262,  1264,
    1266,  1270,  1272,  1278,  1286,  1290,  1299,  1304,  1314,  1326,
    1330,  1331,  1333,  1337,  1339,  1342,  1345,  1348,  1349,  1351,
    1355,  1359,  1366,  1371,  1372,  1374,  1376,  1379,  1382,  1383,
    1387,  1391,  1394,  1396,  1398,  1401,  1404,  1409,  1410,  1413,
    1416,  1419,  1420,  1424,  1429,  1434,  1435,  1438,  1439,  1444,
    1445,  1449,  1455,  1459,  1460,  1462,  1466,  1468,  1471,  1475,
    1476,  1482,  1487,  1489,  1490,  1492,  1495,  1498,  1500,  1503,
    1507,  1510,  1513,  1516,  1519,  1523,  1527,  1529,  1533,  1535,
    1536,  1538,  1541,  1543,  1545,  1549,  1556,  1567,  1569,  1570,
    1572,  1575,  1578,  1579,  1582,  1585,  1587,  1588,  1594,  1602,
    1604,  1605,  1612,  1615,  1616,  1620,  1626,  1632,  1641,  1644,
    1645,  1648,  1651,  1654,  1660,  1663,  1664,  1667,  1675,  1686,
    1693,  1700,  1707,  1714,  1722,  1730,  1740,  1750,  1757,  1764,
    1773,  1782,  1791,  1800,  1807,  1814,  1822,  1831,  1838,  1845,
    1853,  1856,  1859,  1862,  1865,  1867,  1870,  1872,  1873,  1880,
    1889,  1897,  1904,  1909,  1910,  1912,  1916,  1921,  1923,  1927,
    1929,  1932,  1935,  1938,  1941,  1943,  1945,  1956,  1959,  1960,
    1963,  1966,  1968,  1969,  1974,  1981,  1987,  1992,  1997,  2006,
    2018,  2022,  2025,  2027,  2031,  2033,  2039,  2048,  2050,  2052,
    2054,  2062,  2072,  2081,  2097,  2118,  2120,  2122,  2125,  2127,
    2131,  2133,  2135,  2137,  2141,  2143,  2147,  2148,  2150,  2151,
    2153,  2155,  2160,  2161,  2163,  2167,  2168,  2170,  2172,  2174,
    2176,  2179,  2180,  2181,  2184,  2187,  2189,  2192,  2195,  2198,
    2205,  2214,  2223,  2228,  2234,  2239,  2244,  2249,  2253,  2261,
    2270,  2277,  2284,  2291,  2298,  2303,  2309,  2313,  2315,  2319,
    2323,  2325,  2327,  2329,  2331,  2333,  2335,  2339,  2343,  2347,
    2349,  2353,  2357,  2359,  2360,  2362,  2366,  2373,  2382,  2391,
    2405,  2407,  2411,  2417,  2424,  2429,  2437,  2440,  2442,  2443,
    2446,  2447,  2450,  2455,  2456,  2458,  2459,  2466,  2475,  2484,
    2486,  2490,  2496,  2502,  2510,  2520,  2528,  2538,  2544,  2551,
    2558,  2563,  2565,  2567,  2569,  2571,  2574,  2576,  2578,  2580,
    2582,  2584,  2586,  2590,  2594,  2598,  2602,  2604,  2608,  2610,
    2613,  2616,  2620,  2626,  2629,  2632,  2633,  2640,  2648,  2656,
    2664,  2673,  2682,  2689,  2698,  2708,  2718,  2726,  2737,  2745,
    2754,  2763,  2772,  2781,  2783,  2785,  2787,  2789,  2791,  2793,
    2795,  2797,  2799,  2801,  2803,  2805,  2807,  2809,  2812,  2814,
    2818,  2820,  2822,  2831,  2841,  2851,  2861,  2871,  2874,  2875,
    2877,  2880,  2882,  2884,  2886,  2888,  2890,  2892,  2894,  2896,
    2899,  2902,  2906,  2911,  2917,  2922,  2928,  2932,  2937,  2941,
    2946,  2948,  2951,  2955,  2959,  2963,  2967,  2972,  2977,  2981,
    2985,  2990,  2995,  3000,  3005,  3007,  3009,  3011,  3012,  3020,
    3028,  3039,  3041,  3043,  3046,  3051,  3057,  3059,  3063,  3066,
    3069,  3072,  3075,  3077,  3080,  3083,  3088,  3092,  3095,  3098,
    3101,  3105,  3108,  3111,  3117,  3123,  3129,  3131,  3135,  3137,
    3140,  3144,  3145,  3147,  3151,  3154,  3161,  3168,  3178,  3182,
    3183,  3187,  3188,  3194,  3197,  3198,  3202,  3206,  3210,  3218,
    3226,  3237,  3239,  3241,  3243,  3258,  3260,  3261,  3263,  3264,
    3266,  3267,  3270,  3271,  3273,  3277,  3283,  3289,  3297,  3300,
    3301,  3303,  3306,  3307,  3309,  3311,  3312,  3314,  3316,  3317,
    3327,  3340,  3348,  3351,  3352,  3356,  3359,  3361,  3365,  3369,
    3372,  3374,  3378,  3382,  3386,  3389,  3392,  3394,  3396,  3398,
    3400,  3403,  3405,  3407,  3409,  3411,  3416,  3422,  3424,  3428,
    3432,  3434,  3437,  3442,  3448,  3450,  3452,  3454,  3456,  3460,
    3464,  3467,  3470,  3473,  3476,  3478,  3481,  3484,  3486,  3488,
    3490,  3494,  3497,  3498,  3501,  3503,  3507,  3513,  3515,  3518,
    3520,  3521,  3527,  3535,  3541,  3549,  3555,  3563,  3567,  3573,
    3579,  3585,  3587,  3591,  3594,  3596,  3599,  3601,  3604,  3616,
    3627,  3638,  3641,  3644,  3645,  3655,  3658,  3659,  3664,  3669,
    3674,  3676,  3678,  3680,  3681,  3689,  3696,  3703,  3710,  3717,
    3724,  3732,  3742,  3752,  3759,  3766,  3773,  3780,  3787,  3795,
    3804,  3814,  3823,  3830,  3837,  3844,  3850,  3856,  3865,  3874,
    3883,  3892,  3899,  3909,  3911,  3912,  3915,  3916,  3924,  3931,
    3938,  3945,  3952,  3959,  3967,  3977,  3987,  3994,  4003,  4012,
    4021,  4030,  4037,  4044,  4052,  4059,  4067,  4074,  4081,  4088,
    4095,  4102,  4110,  4118,  4126,  4136,  4146,  4153,  4160,  4167,
    4176,  4185,  4194,  4201,  4215,  4217,  4219,  4223,  4227,  4229,
    4231,  4233,  4235,  4237,  4239,  4241,  4242,  4244,  4246,  4248,
    4250,  4252,  4254,  4255,  4262,  4271,  4275,  4278,  4279,  4282,
    4285,  4288,  4291,  4295,  4299,  4302,  4305,  4308,  4311,  4315,
    4318,  4324,  4329,  4333,  4337,  4341,  4343,  4345,  4346,  4350,
    4353,  4356,  4358,  4361,  4363,  4367,  4370,  4372,  4373,  4382,
    4393,  4397,  4402,  4407,  4408,  4411,  4417,  4420,  4421,  4425,
    4429,  4433,  4437,  4441,  4445,  4449,  4453,  4457,  4461,  4465,
    4469,  4473,  4478,  4482,  4486,  4488,  4489,  4495,  4502,  4507,
    4510,  4511,  4516,  4520,  4526,  4533,  4538,  4545,  4552,  4558,
    4566,  4568,  4569,  4576,  4588,  4600,  4612,  4626,  4636,  4648,
    4659,  4664,  4667,  4673,  4676,  4677,  4682,  4688,  4694,  4699,
    4706,  4708,  4712,  4714,  4716,  4718,  4720,  4723,  4728,  4730,
    4732,  4734,  4735,  4737,  4738,  4740,  4741,  4745,  4746,  4749,
    4754,  4758,  4764,  4766,  4768,  4770,  4772,  4774,  4776,  4778,
    4780,  4784,  4787,  4789,  4791,  4793,  4795,  4797,  4798,  4804,
    4809,  4813,  4814,  4816,  4818,  4820,  4822,  4827,  4836,  4840,
    4841,  4848,  4850,  4855,  4858,  4860,  4864,  4867,  4871,  4872,
    4880,  4883,  4884,  4890,  4894,  4895,  4898,  4901,  4904,  4908,
    4910,  4914,  4916,  4919,  4921,  4922,  4931,  4933,  4937,  4939,
    4941,  4945,  4951,  4954,  4956,  4960,  4968,  4970,  4972,  4973,
    4977,  4980,  4983,  4986,  4987,  4990,  4993,  4995,  4997,  5001,
    5005,  5007,  5010,  5015,  5020,  5023,  5027,  5033,  5039,  5041,
    5043,  5053,  5055,  5058,  5063,  5068,  5073,  5076,  5080,  5082,
    5086,  5093,  5095,  5096,  5099,  5101,  5102,  5106,  5110,  5115,
    5120,  5125,  5130,  5134,  5137,  5139,  5141,  5142,  5144,  5146,
    5147,  5149,  5155,  5157,  5158,  5160,  5161,  5165,  5167,  5171,
    5176,  5180,  5183,  5186,  5188,  5190,  5192,  5193,  5196,  5201,
    5207,  5210,  5214,  5216,  5218,  5220,  5222,  5226,  5227,  5229,
    5231,  5233,  5235,  5237,  5241,  5242,  5245,  5246,  5248,  5252,
    5254,  5255,  5257,  5260,  5265,  5270,  5273,  5274,  5277,  5281,
    5284,  5285,  5287,  5291,  5293,  5296,  5298,  5301,  5307,  5314,
    5320,  5322,  5325,  5327,  5332,  5336,  5341,  5347,  5352,  5358,
    5363,  5369,  5372,  5377,  5379,  5382,  5385,  5388,  5390,  5392,
    5393,  5398,  5401,  5403,  5406,  5409,  5414,  5416,  5420,  5422,
    5425,  5429,  5431,  5434,  5435,  5438,  5443,  5444,  5446,  5447,
    5449,  5453,  5457,  5460,  5464,  5470,  5477,  5480,  5484,  5488,
    5493,  5494,  5496,  5498,  5500,  5502,  5504,  5507,  5513,  5515,
    5517,  5519,  5521,  5524,  5528,  5532,  5533,  5535,  5537,  5539,
    5541,  5543,  5546,  5549,  5552,  5555,  5558,  5560,  5564,  5565,
    5567,  5569,  5571,  5573,  5579,  5582,  5584,  5586,  5588,  5590,
    5596,  5599,  5602,  5605,  5607,  5611,  5615,  5618,  5620,  5621,
    5625,  5626,  5632,  5635,  5641,  5644,  5646,  5649,  5653,  5654,
    5656,  5658,  5660,  5662,  5664,  5666,  5670,  5674,  5678,  5682,
    5686,  5690,  5694,  5695,  5697,  5702,  5704,  5708,  5712,  5718,
    5721,  5724,  5728,  5732,  5736,  5740,  5744,  5748,  5752,  5756,
    5760,  5764,  5767,  5770,  5774,  5778,  5781,  5785,  5791,  5796,
    5803,  5807,  5813,  5818,  5825,  5830,  5837,  5843,  5851,  5855,
    5858,  5863,  5866,  5870,  5874,  5879,  5883,  5888,  5892,  5897,
    5903,  5910,  5917,  5925,  5932,  5940,  5947,  5955,  5959,  5964,
    5969,  5976,  5979,  5983,  5988,  5990,  5994,  5997,  6000,  6004,
    6008,  6012,  6016,  6020,  6024,  6028,  6032,  6036,  6040,  6043,
    6046,  6052,  6059,  6066,  6074,  6078,  6083,  6085,  6087,  6090,
    6095,  6097,  6099,  6101,  6104,  6107,  6110,  6113,  6115,  6120,
    6126,  6133,  6142,  6149,  6157,  6165,  6171,  6173,  6175,  6180,
    6182,  6187,  6189,  6194,  6196,  6201,  6203,  6205,  6207,  6209,
    6211,  6213,  6220,  6225,  6230,  6235,  6240,  6247,  6253,  6259,
    6265,  6270,  6277,  6282,  6287,  6292,  6297,  6303,  6311,  6319,
    6329,  6335,  6340,  6347,  6353,  6361,  6369,  6377,  6380,  6384,
    6388,  6392,  6397,  6398,  6403,  6405,  6409,  6413,  6415,  6417,
    6419,  6422,  6425,  6426,  6429,  6434,  6439,  6446,  6449,  6450,
    6452,  6456,  6460,  6463,  6466,  6467,  6474,  6476,  6477,  6481,
    6482,  6485,  6488,  6489,  6491,  6496,  6499,  6502,  6505,  6508,
    6511,  6516,  6520,  6526,  6528,  6530,  6532,  6534,  6536,  6538,
    6540,  6542,  6544,  6546,  6548,  6550,  6552,  6554,  6556,  6561,
    6563,  6568,  6570,  6575,  6577,  6580,  6582,  6585,  6587,  6591,
    6593,  6597,  6599,  6603,  6605,  6609,  6613,  6617,  6620,  6622,
    6626,  6630,  6631,  6633,  6635,  6637,  6639,  6641,  6643,  6645,
    6647,  6652,  6656,  6659,  6663,  6664,  6668,  6672,  6675,  6678,
    6680,  6681,  6684,  6687,  6691,  6694,  6696,  6698,  6702,  6708,
    6710,  6713,  6718,  6721,  6722,  6724,  6725,  6727,  6730,  6733,
    6736,  6740,  6746,  6748,  6751,  6752,  6755,  6757,  6758,  6760,
    6762,  6764,  6768,  6772,  6774,  6778,  6782,  6785,  6787,  6789,
    6791,  6795,  6797,  6800,  6802,  6806,  6808,  6810,  6812,  6814,
    6816,  6818,  6820,  6823,  6825,  6827,  6829,  6831,  6833,  6836,
    6842,  6845,  6849,  6856,  6858,  6860,  6862,  6864,  6866,  6868,
    6870,  6872,  6874,  6877,  6880,  6882,  6884,  6886,  6888,  6890,
    6892,  6894,  6896,  6898,  6900,  6902,  6904,  6906,  6908,  6910,
    6912,  6914,  6916,  6918,  6920,  6922,  6924,  6926,  6928,  6930,
    6932,  6934,  6936,  6938,  6940,  6942,  6944,  6946,  6948,  6950,
    6952,  6954,  6956,  6958,  6960,  6962,  6964,  6966,  6968,  6970,
    6972,  6974,  6976,  6978,  6980,  6982,  6984,  6986,  6988,  6990,
    6992,  6994,  6996,  6998,  7000,  7002,  7004,  7006,  7008,  7010,
    7012,  7014,  7016,  7018,  7020,  7022,  7024,  7026,  7028,  7030,
    7032,  7034,  7036,  7038,  7040,  7042,  7044,  7046,  7048,  7050,
    7052,  7054,  7056,  7058,  7060,  7062,  7064,  7066,  7068,  7070,
    7072,  7074,  7076,  7078,  7080,  7082,  7084,  7086,  7088,  7090,
    7092,  7094,  7096,  7098,  7100,  7102,  7104,  7106,  7108,  7110,
    7112,  7114,  7116,  7118,  7120,  7122,  7124,  7126,  7128,  7130,
    7132,  7134,  7136,  7138,  7140,  7142,  7144,  7146,  7148,  7150,
    7152,  7154,  7156,  7158,  7160,  7162,  7164,  7166,  7168,  7170,
    7172,  7174,  7176,  7178,  7180,  7182,  7184,  7186,  7188,  7190,
    7192,  7194,  7196,  7198,  7200,  7202,  7204,  7206,  7208,  7210,
    7212,  7214,  7216,  7218,  7220,  7222,  7224,  7226,  7228,  7230,
    7232,  7234,  7236,  7238,  7240,  7242,  7244,  7246,  7248,  7250,
    7252,  7254,  7256,  7258,  7260,  7262,  7264,  7266,  7268,  7270,
    7272,  7274,  7276,  7278,  7280,  7282,  7284,  7286,  7288,  7290,
    7292,  7294,  7296,  7298,  7300,  7302,  7304,  7306,  7308,  7310,
    7312,  7314,  7316,  7318,  7320,  7322,  7324,  7326,  7328,  7330,
    7332,  7334,  7336,  7338,  7340,  7342,  7344,  7346,  7348,  7350,
    7352,  7354,  7356,  7358,  7360,  7362,  7364,  7366,  7368,  7370,
    7372,  7374,  7376,  7378,  7380,  7382,  7384,  7386,  7388,  7390,
    7392,  7394,  7396,  7398,  7400,  7402,  7404,  7406,  7408,  7410,
    7412,  7414,  7416,  7418,  7420,  7422,  7424,  7426,  7428,  7430,
    7432,  7434,  7436,  7438,  7440,  7442,  7444,  7446,  7448,  7450,
    7452,  7454,  7456,  7458,  7460,  7462,  7464,  7466,  7468,  7470,
    7472,  7474,  7476,  7478,  7480,  7482,  7484,  7486,  7488,  7490,
    7492,  7494,  7496,  7498,  7500,  7502,  7504,  7506,  7508,  7510,
    7512,  7514,  7516,  7518,  7520,  7522,  7524,  7526,  7528,  7530,
    7532,  7534,  7536,  7538,  7540,  7542,  7544,  7546,  7548,  7550,
    7552,  7554,  7556,  7558,  7560,  7562,  7564,  7566,  7568,  7570,
    7572,  7574,  7576,  7578,  7580,  7582,  7584,  7586,  7588,  7590,
    7592,  7594,  7596,  7598,  7600,  7602,  7604,  7606,  7608,  7610,
    7612,  7614,  7616,  7618,  7620,  7622,  7624,  7626,  7628,  7630,
    7632,  7634,  7636,  7638,  7639,  7642,  7647,  7651,  7654,  7656,
    7658,  7660,  7662,  7664,  7665,  7674,  7677,  7683,  7687,  7690,
    7693,  7697,  7705,  7707,  7709,  7711,  7712,  7715,  7718,  7720,
    7721,  7723,  7727,  7729,  7732,  7733,  7736,  7737,  7740,  7741,
    7743,  7747,  7752,  7756,  7758,  7760,  7762,  7764,  7767,  7768,
    7771,  7776,  7777,  7780,  7783,  7786,  7788,  7790,  7798,  7802,
    7804,  7806,  7808,  7810,  7813,  7814,  7816,  7820,  7824,  7828,
    7832,  7833,  7838,  7844,  7850,  7851,  7853,  7855,  7857,  7860,
    7863,  7865,  7868,  7869,  7877,  7878,  7884,  7885,  7890,  7893,
    7896,  7897,  7900,  7902,  7904,  7906,  7908,  7910,  7912,  7914,
    7916,  7918,  7920,  7922,  7928,  7931,  7933,  7937,  7940,  7943,
    7947,  7948,  7954,  7956,  7957,  7963,  7966,  7969,  7971,  7973,
    7975,  7978,  7981,  7985,  7987,  7990,  7993,  7997,  8001,  8006,
    8009,  8011,  8014,  8016,  8018,  8021,  8024,  8028,  8030,  8032,
    8034,  8036,  8037,  8039,  8043,  8049,  8050,  8053,  8054,  8056,
    8059,  8063,  8066,  8068,  8070,  8072,  8073,  8075,  8077,  8079,
    8081,  8083,  8086,  8089,  8093,  8094,  8096,  8099,  8101,  8106,
    8110,  8115,  8119,  8122,  8124,  8128,  8130,  8132,  8134,  8136,
    8139,  8142,  8144,  8147,  8150,  8152,  8154,  8156,  8161,  8166,
    8171,  8176,  8181,  8183,  8184,  8188,  8192,  8197,  8199,  8203,
    8207,  8212,  8214,  8218,  8222,  8224,  8226,  8228,  8235,  8237,
    8241,  8245,  8252,  8254,  8258,  8262,  8264,  8266,  8269,  8272,
    8274,  8276,  8278,  8280,  8282,  8284,  8286,  8288,  8290,  8292,
    8294,  8296,  8298,  8300,  8302,  8304,  8309,  8314,  8316,  8318,
    8323,  8328,  8332,  8333,  8341,  8343,  8344,  8345,  8353,  8357,
    8362,  8366,  8368,  8370,  8372,  8375,  8379,  8385,  8388,  8394,
    8397,  8399,  8401,  8403,  8405,  8407,  8409,  8411,  8413,  8415,
    8417,  8419,  8421,  8423,  8425,  8427,  8429,  8431,  8433,  8435,
    8437,  8439,  8441,  8443,  8445,  8447,  8449,  8451,  8453,  8455,
    8457,  8459,  8461,  8463,  8465,  8467,  8469,  8471,  8473,  8475,
    8477,  8479,  8481,  8483,  8485,  8487,  8489,  8491,  8493,  8495,
    8497,  8499,  8501,  8503,  8505,  8507,  8509,  8511,  8513,  8515,
    8517,  8519,  8521,  8523,  8525,  8527,  8529,  8531,  8533,  8535,
    8537,  8539,  8541,  8543,  8545,  8547,  8549,  8551,  8553,  8555,
    8557,  8559,  8561,  8563,  8565,  8567,  8569,  8571,  8573,  8575,
    8577,  8579,  8581,  8583,  8585,  8587,  8589,  8591,  8593,  8597,
    8599,  8600,  8602,  8605,  8607,  8610,  8612,  8614,  8616,  8619,
    8622,  8624,  8626,  8628,  8630,  8632,  8634,  8636,  8638,  8640,
    8642,  8644,  8646,  8648,  8650,  8652,  8654,  8657,  8661,  8663,
    8666,  8668,  8672,  8674,  8678,  8680,  8682,  8684,  8686,  8688,
    8690,  8692,  8694,  8696,  8698,  8700,  8702,  8704,  8706,  8708,
    8710,  8712,  8714,  8716,  8718,  8720,  8722,  8724,  8726,  8728,
    8730,  8732,  8734,  8736,  8738,  8740,  8742,  8744,  8746,  8748,
    8750,  8752,  8754,  8756,  8758,  8760,  8762,  8764,  8766,  8768,
    8770,  8772,  8774,  8776,  8778,  8780,  8782,  8784,  8786,  8788,
    8790,  8792,  8794,  8796,  8798,  8800,  8803,  8807,  8810,  8814,
    8816,  8820,  8824,  8828,  8832,  8836,  8840,  8842,  8844,  8845,
    8848,  8851,  8853,  8855,  8858,  8860,  8862,  8864,  8865
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     509,     0,    -1,  1045,    -1,   835,    -1,   836,    -1,   753,
      -1,   841,    -1,   704,    -1,   644,    -1,   647,    -1,   653,
      -1,   667,    -1,   672,    -1,   788,    -1,   526,    -1,   809,
      -1,   810,    -1,   623,    -1,   551,    -1,   562,    -1,   520,
      -1,   518,    -1,   844,    -1,   843,    -1,   676,    -1,   522,
      -1,   521,    -1,   851,    -1,   549,    -1,   565,    -1,   846,
      -1,   727,    -1,   546,    -1,   566,    -1,  1047,    -1,   691,
      -1,   799,    -1,   845,    -1,   840,    -1,   641,    -1,   648,
      -1,   662,    -1,   668,    -1,   769,    -1,   525,    -1,   705,
      -1,   712,    -1,   713,    -1,   630,    -1,   529,    -1,   622,
      -1,   581,    -1,   638,    -1,   677,    -1,   511,    -1,   517,
      -1,   673,    -1,   831,    -1,  1188,    -1,   886,    -1,   693,
      -1,   873,    -1,   550,    -1,   796,    -1,   692,    -1,   801,
      -1,   652,    -1,   666,    -1,   528,    -1,   716,    -1,   717,
      -1,   718,    -1,   636,    -1,   818,    -1,   720,    -1,   640,
      -1,   690,    -1,   523,    -1,   524,    -1,   675,    -1,   839,
      -1,   866,    -1,   857,    -1,   734,    -1,   738,    -1,   749,
      -1,   758,    -1,   868,    -1,   821,    -1,   830,    -1,   875,
      -1,   819,    -1,   863,    -1,   719,    -1,   803,    -1,   792,
      -1,   791,    -1,   793,    -1,   806,    -1,   739,    -1,   750,
      -1,   811,    -1,   730,    -1,   890,    -1,   823,    -1,   725,
      -1,   822,    -1,   879,    -1,   848,    -1,   543,    -1,   533,
      -1,   545,    -1,   828,    -1,  1124,    -1,  1050,    -1,  1067,
      -1,  1125,    -1,  1107,    -1,  1122,    -1,  1108,    -1,  1068,
      -1,  1112,    -1,  1134,    -1,  1126,    -1,  1113,    -1,  1142,
      -1,  1144,    -1,  1137,    -1,  1129,    -1,  1145,    -1,  1148,
      -1,  1150,    -1,    -1,   160,   377,  1039,   512,   513,    -1,
     466,    -1,    -1,   513,   516,    -1,    -1,   514,   515,    -1,
      -1,   340,  1178,    -1,   340,   313,    -1,   202,   340,  1178,
      -1,   439,   340,  1178,    -1,   252,    -1,   152,   284,  1040,
      -1,   450,   445,  1178,    -1,   447,  1029,    -1,  1180,    -1,
     515,    -1,   415,  1038,    -1,    96,  1029,    -1,   377,  1029,
      -1,   247,   377,  1029,    -1,   247,   235,  1029,    -1,   160,
     447,  1039,   512,   513,    -1,   101,   377,  1039,   512,   514,
      -1,    -1,   247,   174,  1031,    -1,   101,   377,  1039,   519,
     544,    -1,   101,   447,  1039,   512,   514,    -1,   101,   447,
    1039,   544,    -1,   197,   377,  1029,    -1,   197,   377,   242,
     211,  1029,    -1,   197,   447,  1029,    -1,   197,   447,   242,
     211,  1029,    -1,   160,   235,  1039,   512,   513,    -1,   101,
     235,  1039,   527,   447,  1029,    -1,    95,    -1,   197,    -1,
     197,   235,  1029,    -1,   197,   235,   242,   211,  1029,    -1,
     160,   383,   530,   115,  1039,   531,    -1,   160,   383,  1158,
     531,    -1,  1158,    -1,    -1,   531,   532,    -1,    -1,   581,
      -1,   758,    -1,   622,    -1,   677,    -1,   738,    -1,   828,
      -1,   395,   534,    -1,   395,   287,   534,    -1,   395,   393,
     534,    -1,   535,   427,   536,    -1,   535,   487,   536,    -1,
     535,   427,   180,    -1,   535,   487,   180,    -1,   535,   227,
     163,    -1,   425,   483,   540,    -1,   429,   826,    -1,   393,
     136,   108,   429,   826,    -1,   132,  1178,    -1,   383,  1178,
      -1,   301,   541,    -1,   377,   542,    -1,   393,   115,   542,
      -1,   393,   115,   180,    -1,   471,   325,   976,    -1,  1157,
      -1,   535,   502,  1158,    -1,   537,    -1,   536,   503,   537,
      -1,   539,    -1,   628,    -1,   356,   438,    -1,   356,   149,
      -1,   367,   356,    -1,   391,    -1,   433,    -1,   216,    -1,
     322,    -1,   542,    -1,  1178,    -1,  1180,    -1,   963,  1178,
     965,    -1,   963,   500,  1038,   501,  1178,   965,    -1,   628,
      -1,   180,    -1,   287,    -1,  1178,    -1,   180,    -1,    -1,
    1158,    -1,  1178,    -1,   370,   535,    -1,   370,   425,   483,
      -1,   370,   429,   270,   282,    -1,   370,   393,   115,    -1,
     370,    99,    -1,   395,   534,    -1,   543,    -1,   398,   535,
    1191,    -1,   398,   425,   483,  1191,    -1,   398,   429,   270,
     282,  1191,    -1,   398,   393,   115,  1191,    -1,   398,    99,
      -1,   395,   154,   547,   548,    -1,    99,    -1,  1027,    -1,
     183,    -1,   244,    -1,   138,    -1,   191,    99,    -1,   191,
     420,    -1,   191,   422,    -1,   191,   342,    -1,   101,   417,
     934,   552,    -1,   101,   250,  1028,   552,    -1,   101,   389,
    1028,   552,    -1,   101,   460,  1028,   552,    -1,   553,    -1,
     552,   503,   553,    -1,    95,   589,    -1,    95,   145,   589,
      -1,   101,   807,  1158,   554,    -1,   101,   807,  1158,   197,
     308,   313,    -1,   101,   807,  1158,   395,   308,   313,    -1,
     101,   807,  1158,   395,   407,  1040,    -1,   101,   807,  1158,
     395,   558,    -1,   101,   807,  1158,   370,   558,    -1,   101,
     807,  1158,   395,   410,  1158,    -1,   197,   807,   242,   211,
    1158,   555,    -1,   197,   807,  1158,   555,    -1,   101,   807,
    1158,   808,   436,   943,   556,   557,    -1,    95,   598,    -1,
     451,   153,  1030,    -1,   197,   153,   242,   211,  1030,   555,
      -1,   197,   153,  1030,   555,    -1,   395,   466,   321,    -1,
     395,   467,   321,    -1,   141,   322,  1030,    -1,   395,   467,
     141,    -1,   200,   431,  1030,    -1,   200,   102,   431,  1030,
      -1,   200,   369,   431,  1030,    -1,   200,   431,    99,    -1,
     200,   431,   447,    -1,   190,   431,  1030,    -1,   190,   431,
      99,    -1,   190,   431,   447,    -1,   200,   381,  1030,    -1,
     200,   102,   381,  1030,    -1,   200,   369,   381,  1030,    -1,
     190,   381,  1030,    -1,   252,  1028,    -1,   306,   252,  1028,
      -1,   318,   723,    -1,   308,   318,    -1,   335,   427,  1039,
      -1,   395,   419,  1030,    -1,   395,   558,    -1,   370,   558,
      -1,   656,    -1,   395,   180,   967,    -1,   197,   180,    -1,
     128,    -1,   372,    -1,    -1,   143,   723,    -1,    -1,   448,
     967,    -1,    -1,   500,   560,   501,    -1,   466,   558,    -1,
      -1,   561,    -1,   560,   503,   561,    -1,  1160,   487,   697,
      -1,  1160,    -1,  1160,   502,  1160,   487,   697,    -1,  1160,
     502,  1160,    -1,   101,   436,   723,   563,    -1,   564,    -1,
     563,   503,   564,    -1,    95,   114,   942,   555,    -1,   197,
     114,   242,   211,  1158,   555,    -1,   197,   114,  1158,   555,
      -1,   101,   114,  1158,   808,   436,   943,   556,   555,    -1,
     140,   887,    -1,   140,    99,    -1,   158,   572,  1028,   600,
     573,   567,   568,   574,   512,   569,    -1,   158,   891,   427,
     568,   512,   569,    -1,   227,    -1,   427,    -1,  1178,    -1,
     408,    -1,   409,    -1,   570,    -1,   500,   576,   501,    -1,
     570,   571,    -1,    -1,   121,    -1,   321,    -1,   186,   842,
    1178,    -1,   313,   842,  1178,    -1,   162,    -1,   238,    -1,
     354,   842,  1178,    -1,   205,   842,  1178,    -1,   223,   354,
     601,    -1,   223,   354,   493,    -1,   223,   308,   313,   601,
      -1,   201,  1178,    -1,   121,    -1,    -1,   466,   321,    -1,
      -1,   575,   187,  1178,    -1,    -1,   448,    -1,    -1,   577,
      -1,   576,   503,   577,    -1,  1160,   578,    -1,   539,    -1,
     628,    -1,   493,    -1,   500,   579,   501,    -1,    -1,   580,
      -1,   579,   503,   580,    -1,   539,    -1,   160,   582,   417,
    1028,   500,   583,   501,   611,   612,   613,   614,    -1,   160,
     582,   417,   242,   308,   211,  1028,   500,   583,   501,   611,
     612,   613,   614,    -1,   160,   582,   417,  1028,   318,   723,
     584,   612,   613,   614,    -1,   160,   582,   417,   242,   308,
     211,  1028,   318,   723,   584,   612,   613,   614,    -1,   422,
      -1,   420,    -1,   287,   422,    -1,   287,   420,    -1,   231,
     422,    -1,   231,   420,    -1,   444,    -1,    -1,   585,    -1,
      -1,   500,   586,   501,    -1,    -1,   587,    -1,   585,   503,
     587,    -1,   588,    -1,   586,   503,   588,    -1,   589,    -1,
     595,    -1,   598,    -1,   590,    -1,   598,    -1,  1158,   943,
     591,    -1,  1158,   466,   326,   591,    -1,   591,   592,    -1,
      -1,   153,  1030,   593,    -1,   593,    -1,   594,    -1,   143,
     723,    -1,   308,   313,    -1,   313,    -1,   441,   785,   615,
      -1,   349,   272,   785,   615,    -1,   137,   500,   967,   501,
      -1,   180,   968,    -1,   362,  1028,   600,   603,   607,    -1,
     182,    -1,   308,   182,    -1,   254,   183,    -1,   254,   244,
      -1,   283,  1028,   596,    -1,   596,   248,   597,    -1,   596,
     208,   597,    -1,    -1,   181,    -1,   154,    -1,   251,    -1,
     410,    -1,   147,    -1,    99,    -1,   153,  1030,   599,    -1,
     599,    -1,   137,   500,   967,   501,   688,    -1,   441,   500,
     601,   501,   785,   615,   688,    -1,   441,   616,   688,    -1,
     349,   272,   500,   601,   501,   785,   615,   688,    -1,   349,
     272,   616,   688,    -1,   207,   762,   500,   604,   501,   785,
     615,   606,   688,    -1,   224,   272,   500,   601,   501,   362,
    1028,   600,   603,   607,   688,    -1,   500,   601,   501,    -1,
      -1,   602,    -1,   601,   503,   602,    -1,  1158,    -1,   293,
     228,    -1,   293,   337,    -1,   293,   400,    -1,    -1,   605,
      -1,   604,   503,   605,    -1,   764,   466,   795,    -1,   764,
     466,   324,   500,   795,   501,    -1,   463,   500,   967,   501,
      -1,    -1,   608,    -1,   609,    -1,   608,   609,    -1,   609,
     608,    -1,    -1,   322,   446,   610,    -1,   322,   185,   610,
      -1,   306,    94,    -1,   372,    -1,   128,    -1,   395,   313,
      -1,   395,   180,    -1,   253,   500,  1027,   501,    -1,    -1,
     466,   558,    -1,   466,   321,    -1,   467,   321,    -1,    -1,
     322,   148,   197,    -1,   322,   148,   185,   380,    -1,   322,
     148,   346,   380,    -1,    -1,   419,  1030,    -1,    -1,   448,
     250,   419,  1030,    -1,    -1,   448,   250,  1034,    -1,  1028,
     618,   612,   613,   614,    -1,   500,   619,   501,    -1,    -1,
     620,    -1,   619,   503,   620,    -1,  1158,    -1,   466,   173,
      -1,   466,   306,   173,    -1,    -1,   160,   582,   389,  1028,
     624,    -1,   101,   389,  1028,   625,    -1,   625,    -1,    -1,
     626,    -1,   625,   626,    -1,   126,   628,    -1,   172,    -1,
     306,   172,    -1,   249,   627,   628,    -1,   294,   628,    -1,
     296,   628,    -1,   306,   294,    -1,   306,   296,    -1,   334,
     125,   723,    -1,   405,   512,   628,    -1,   371,    -1,   371,
     512,   628,    -1,   125,    -1,    -1,  1177,    -1,   492,  1177,
      -1,  1040,    -1,   628,    -1,   629,   503,   628,    -1,   160,
     770,   631,   637,   274,   542,    -1,   160,   770,   631,   637,
     274,   542,   236,   632,   633,   635,    -1,   435,    -1,    -1,
    1030,    -1,  1030,   724,    -1,   255,   632,    -1,    -1,   452,
     632,    -1,   306,   452,    -1,   634,    -1,    -1,   197,   637,
     274,   542,   555,    -1,   197,   637,   274,   242,   211,   542,
     555,    -1,   352,    -1,    -1,   160,   419,  1030,   639,   290,
    1178,    -1,   335,  1030,    -1,    -1,   197,   419,  1030,    -1,
     197,   419,   242,   211,  1030,    -1,   160,   213,  1030,   512,
     642,    -1,   160,   213,   242,   308,   211,  1030,   512,   642,
      -1,   642,   643,    -1,    -1,   383,  1030,    -1,   459,   542,
      -1,   227,   542,    -1,   101,   213,  1030,   446,   645,    -1,
     645,   646,    -1,    -1,   427,   542,    -1,   101,   213,  1030,
     527,    98,  1036,   698,    -1,   101,   213,  1030,   527,   131,
     500,   943,   108,   943,   501,    -1,   101,   213,  1030,   527,
     144,   723,    -1,   101,   213,  1030,   527,   157,   723,    -1,
     101,   213,  1030,   527,   195,   723,    -1,   101,   213,  1030,
     527,   229,   748,    -1,   101,   213,  1030,   527,   637,   274,
    1030,    -1,   101,   213,  1030,   527,   324,   795,   794,    -1,
     101,   213,  1030,   527,   324,   139,   723,   448,  1032,    -1,
     101,   213,  1030,   527,   324,   217,   723,   448,  1032,    -1,
     101,   213,  1030,   527,   383,  1030,    -1,   101,   213,  1030,
     527,   417,   723,    -1,   101,   213,  1030,   527,   423,   385,
     336,   723,    -1,   101,   213,  1030,   527,   423,   385,   189,
     723,    -1,   101,   213,  1030,   527,   423,   385,   421,   723,
      -1,   101,   213,  1030,   527,   423,   385,   151,   723,    -1,
     101,   213,  1030,   527,   389,   723,    -1,   101,   213,  1030,
     527,   460,   723,    -1,   101,   213,  1030,   527,   224,   417,
     723,    -1,   101,   213,  1030,   527,   224,   173,   469,  1030,
      -1,   101,   213,  1030,   527,   392,  1030,    -1,   101,   213,
    1030,   527,   436,   723,    -1,   160,   224,   173,   469,  1030,
     651,   654,    -1,   236,   632,    -1,   306,   236,    -1,   452,
     632,    -1,   306,   452,    -1,   649,    -1,   650,   649,    -1,
     650,    -1,    -1,   197,   224,   173,   469,  1030,   555,    -1,
     197,   224,   173,   469,   242,   211,  1030,   555,    -1,   101,
     224,   173,   469,  1030,   651,   656,    -1,   101,   224,   173,
     469,  1030,   650,    -1,   326,   500,   655,   501,    -1,    -1,
     659,    -1,   655,   503,   659,    -1,   326,   500,   657,   501,
      -1,   658,    -1,   657,   503,   658,    -1,   659,    -1,   395,
     659,    -1,    95,   659,    -1,   197,   660,    -1,   660,   661,
      -1,  1160,    -1,  1178,    -1,   160,   392,  1030,   663,   665,
     224,   173,   469,  1030,   654,    -1,   436,  1178,    -1,    -1,
     459,  1178,    -1,   459,   313,    -1,   664,    -1,    -1,   197,
     392,  1030,   555,    -1,   197,   392,   242,   211,  1030,   555,
      -1,   101,   392,  1030,   664,   656,    -1,   101,   392,  1030,
     664,    -1,   101,   392,  1030,   656,    -1,   160,   224,   417,
    1028,   669,   392,  1030,   654,    -1,   160,   224,   417,   242,
     308,   211,  1028,   669,   392,  1030,   654,    -1,   500,   670,
     501,    -1,   500,   501,    -1,   671,    -1,   670,   503,   671,
      -1,   589,    -1,   101,   224,   417,   934,   552,    -1,   160,
     447,   292,   222,   674,   392,  1030,   654,    -1,   170,    -1,
     447,    -1,  1039,    -1,   197,   447,   292,   222,   674,   392,
    1030,    -1,   197,   447,   292,   242,   211,   222,   674,   392,
    1030,    -1,   101,   447,   292,   222,   674,   392,  1030,   656,
      -1,   160,   431,  1030,   678,   679,   322,  1028,   681,   684,
     210,   353,  1036,   500,   685,   501,    -1,   160,   153,   431,
    1030,    97,   679,   322,  1028,   687,   688,   222,   198,   379,
     684,   210,   353,  1036,   500,   685,   501,    -1,   117,    -1,
      97,    -1,   261,   318,    -1,   680,    -1,   679,   327,   680,
      -1,   260,    -1,   185,    -1,   446,    -1,   446,   318,   601,
      -1,   434,    -1,   222,   682,   683,    -1,    -1,   198,    -1,
      -1,   379,    -1,   406,    -1,   462,   500,   967,   501,    -1,
      -1,   686,    -1,   685,   503,   686,    -1,    -1,  1038,    -1,
    1177,    -1,  1178,    -1,  1160,    -1,   227,  1028,    -1,    -1,
      -1,   688,   689,    -1,   308,   182,    -1,   182,    -1,   254,
     244,    -1,   254,   183,    -1,   308,   450,    -1,   197,   431,
    1030,   322,  1028,   555,    -1,   197,   431,   242,   211,  1030,
     322,  1028,   555,    -1,   160,   110,  1030,   137,   500,   967,
     501,   688,    -1,   197,   110,  1030,   555,    -1,   160,    98,
    1036,   698,   694,    -1,   160,    98,  1036,   699,    -1,   160,
     324,   795,   694,    -1,   160,   436,   723,   694,    -1,   160,
     436,   723,    -1,   160,   436,   723,   108,   500,   940,   501,
      -1,   160,   436,   723,   108,   204,   500,   702,   501,    -1,
     160,   423,   385,   336,   723,   694,    -1,   160,   423,   385,
     189,   723,   694,    -1,   160,   423,   385,   421,   723,   694,
      -1,   160,   423,   385,   151,   723,   694,    -1,   160,   144,
     723,   694,    -1,   160,   144,   723,   227,   723,    -1,   500,
     695,   501,    -1,   696,    -1,   695,   503,   696,    -1,  1160,
     487,   697,    -1,  1160,    -1,   779,    -1,  1044,    -1,   994,
      -1,   628,    -1,  1178,    -1,   500,   999,   501,    -1,   500,
     493,   501,    -1,   500,   700,   501,    -1,   701,    -1,   700,
     503,   701,    -1,  1180,   487,   697,    -1,   703,    -1,    -1,
    1178,    -1,   703,   503,  1178,    -1,   101,   436,   723,    95,
     453,  1178,    -1,   101,   436,   723,    95,   453,  1178,   117,
    1178,    -1,   101,   436,   723,    95,   453,  1178,    97,  1178,
      -1,   160,   324,   139,   723,   708,   222,   436,   943,   448,
    1032,   709,   108,   706,    -1,   707,    -1,   706,   503,   707,
      -1,   324,  1038,   795,   710,   711,    -1,   324,  1038,   795,
     794,   710,   711,    -1,   229,  1038,  1036,   771,    -1,   229,
    1038,   500,   999,   501,  1036,   771,    -1,   410,   943,    -1,
     180,    -1,    -1,   217,   723,    -1,    -1,   222,   385,    -1,
     222,   328,   125,   723,    -1,    -1,   359,    -1,    -1,   160,
     324,   217,   723,   448,  1032,    -1,   101,   324,   217,   723,
     448,  1032,    95,   706,    -1,   101,   324,   217,   723,   448,
    1032,   197,   714,    -1,   715,    -1,   714,   503,   715,    -1,
     324,  1038,   500,   999,   501,    -1,   229,  1038,   500,   999,
     501,    -1,   197,   324,   139,   723,   448,  1032,   555,    -1,
     197,   324,   139,   242,   211,   723,   448,  1032,   555,    -1,
     197,   324,   217,   723,   448,  1032,   555,    -1,   197,   324,
     217,   242,   211,   723,   448,  1032,   555,    -1,   197,   334,
     125,  1029,   555,    -1,   358,   334,   125,  1029,   427,  1030,
      -1,   197,   721,   242,   211,   722,   555,    -1,   197,   721,
     722,   555,    -1,   417,    -1,   389,    -1,   460,    -1,   250,
      -1,   224,   417,    -1,   436,    -1,   195,    -1,   144,    -1,
     157,    -1,   383,    -1,   213,    -1,   423,   385,   336,    -1,
     423,   385,   189,    -1,   423,   385,   421,    -1,   423,   385,
     151,    -1,   723,    -1,   722,   503,   723,    -1,  1158,    -1,
    1158,   724,    -1,   502,  1033,    -1,   724,   502,  1033,    -1,
     434,   901,   935,   726,   555,    -1,   156,   241,    -1,   371,
     241,    -1,    -1,   146,   322,   728,   723,   268,   729,    -1,
     146,   322,    98,  1036,   698,   268,   729,    -1,   146,   322,
     229,  1036,   771,   268,   729,    -1,   146,   322,   324,   795,
     794,   268,   729,    -1,   146,   322,   153,  1030,   322,   723,
     268,   729,    -1,   146,   322,   381,  1030,   322,   723,   268,
     729,    -1,   146,   322,   381,  1030,   268,   729,    -1,   146,
     322,   431,  1030,   322,   723,   268,   729,    -1,   146,   322,
     324,   139,   723,   448,  1032,   268,   729,    -1,   146,   322,
     324,   217,   723,   448,  1032,   268,   729,    -1,   146,   322,
     275,   317,   628,   268,   729,    -1,   146,   322,   131,   500,
     943,   108,   943,   501,   268,   729,    -1,   146,   322,   637,
     274,   723,   268,   729,    -1,   146,   322,   423,   385,   336,
     723,   268,   729,    -1,   146,   322,   423,   385,   189,   723,
     268,   729,    -1,   146,   322,   423,   385,   421,   723,   268,
     729,    -1,   146,   322,   423,   385,   151,   723,   268,   729,
      -1,   145,    -1,   174,    -1,   383,    -1,   250,    -1,   389,
      -1,   417,    -1,   195,    -1,   436,    -1,   460,    -1,   144,
      -1,   157,    -1,   419,    -1,   213,    -1,   377,    -1,   224,
     417,    -1,   392,    -1,   224,   173,   469,    -1,  1178,    -1,
     313,    -1,   387,   273,   731,   322,   732,   723,   268,   733,
      -1,   387,   273,   731,   322,    98,  1036,   698,   268,   733,
      -1,   387,   273,   731,   322,   229,  1036,   771,   268,   733,
      -1,   387,   273,   731,   322,   275,   317,   628,   268,   733,
      -1,   387,   273,   731,   322,   637,   274,   723,   268,   733,
      -1,   222,   542,    -1,    -1,   145,    -1,   224,   417,    -1,
     383,    -1,   389,    -1,   417,    -1,   195,    -1,   436,    -1,
     460,    -1,  1178,    -1,   313,    -1,   218,   735,    -1,   299,
     735,    -1,   218,   735,  1192,    -1,   218,   225,   887,  1193,
      -1,   218,   225,   736,   887,  1193,    -1,   218,   116,   887,
    1193,    -1,   218,   116,   736,   887,  1193,    -1,   299,   225,
     887,    -1,   299,   225,   736,   887,    -1,   299,   116,   887,
      -1,   299,   116,   736,   887,    -1,   887,    -1,   736,   887,
      -1,   305,   737,   887,    -1,   350,   737,   887,    -1,   219,
     737,   887,    -1,   276,   737,   887,    -1,    92,  1040,   737,
     887,    -1,   364,  1040,   737,   887,    -1,  1040,   737,   887,
      -1,    99,   737,   887,    -1,   225,  1040,   737,   887,    -1,
     225,    99,   737,   887,    -1,   116,  1040,   737,   887,    -1,
     116,    99,   737,   887,    -1,   227,    -1,   247,    -1,   736,
      -1,    -1,   232,   740,   322,   743,   427,   744,   746,    -1,
     375,   740,   322,   743,   227,   744,   555,    -1,   375,   232,
     325,   222,   740,   322,   743,   227,   744,   555,    -1,   741,
      -1,    99,    -1,    99,   351,    -1,    99,   500,   601,   501,
      -1,    99,   351,   500,   601,   501,    -1,   742,    -1,   741,
     503,   742,    -1,   388,   600,    -1,   362,   600,    -1,   160,
     600,    -1,  1158,   600,    -1,  1027,    -1,   417,  1027,    -1,
     389,  1027,    -1,   224,   173,   469,  1029,    -1,   224,   392,
    1029,    -1,   229,   747,    -1,   174,  1029,    -1,   274,  1029,
      -1,   275,   317,   629,    -1,   383,  1029,    -1,   419,  1029,
      -1,    99,   418,   247,   383,  1029,    -1,    99,   390,   247,
     383,  1029,    -1,    99,   230,   247,   383,  1029,    -1,   745,
      -1,   744,   503,   745,    -1,  1039,    -1,   235,  1039,    -1,
     466,   232,   325,    -1,    -1,   748,    -1,   747,   503,   748,
      -1,  1036,   771,    -1,   232,   741,   427,  1029,   751,   752,
      -1,   375,   741,   227,  1029,   752,   555,    -1,   375,    96,
     325,   222,   741,   227,  1029,   752,   555,    -1,   466,    96,
     325,    -1,    -1,   233,   125,  1039,    -1,    -1,   101,   180,
     351,   754,   756,    -1,   754,   755,    -1,    -1,   247,   383,
    1029,    -1,   222,   377,  1029,    -1,   222,   447,  1029,    -1,
     232,   740,   322,   757,   427,   744,   746,    -1,   375,   740,
     322,   757,   227,   744,   555,    -1,   375,   232,   325,   222,
     740,   322,   757,   227,   744,   555,    -1,   418,    -1,   230,
      -1,   390,    -1,   160,   759,   250,   760,   761,   322,  1028,
     762,   500,   763,   501,   559,   614,   938,    -1,   441,    -1,
      -1,   150,    -1,    -1,  1034,    -1,    -1,   448,  1032,    -1,
      -1,   764,    -1,   763,   503,   764,    -1,  1158,   765,   766,
     767,   768,    -1,   970,   765,   766,   767,   768,    -1,   500,
     967,   501,   765,   766,   767,   768,    -1,   143,   723,    -1,
      -1,   723,    -1,   448,   723,    -1,    -1,   109,    -1,   188,
      -1,    -1,   484,    -1,   485,    -1,    -1,   160,   770,   229,
    1036,   773,   374,   778,   781,   785,    -1,   160,   770,   229,
    1036,   773,   374,   417,   500,   787,   501,   781,   785,    -1,
     160,   770,   229,  1036,   773,   781,   785,    -1,   327,   368,
      -1,    -1,   500,   772,   501,    -1,   500,   501,    -1,   775,
      -1,   772,   503,   775,    -1,   500,   774,   501,    -1,   500,
     501,    -1,   780,    -1,   774,   503,   780,    -1,   776,   777,
     779,    -1,   777,   776,   779,    -1,   777,   779,    -1,   776,
     779,    -1,   779,    -1,   247,    -1,   329,    -1,   257,    -1,
     247,   329,    -1,   456,    -1,  1159,    -1,   779,    -1,   943,
      -1,  1159,   724,   495,   436,    -1,   396,  1159,   724,   495,
     436,    -1,   775,    -1,   775,   180,   967,    -1,   775,   487,
     967,    -1,   783,    -1,   781,   783,    -1,   127,   322,   313,
     258,    -1,   374,   313,   322,   313,   258,    -1,   411,    -1,
     245,    -1,   403,    -1,   461,    -1,   214,   387,   184,    -1,
     214,   387,   267,    -1,   387,   184,    -1,   387,   267,    -1,
     159,   628,    -1,   380,   628,    -1,   544,    -1,   108,   784,
      -1,   274,   542,    -1,   465,    -1,   782,    -1,  1178,    -1,
    1178,   503,  1178,    -1,   466,   694,    -1,    -1,   777,   779,
      -1,   786,    -1,   787,   503,   786,    -1,   101,   229,   748,
     789,   790,    -1,   782,    -1,   789,   782,    -1,   372,    -1,
      -1,   197,   229,  1036,   771,   555,    -1,   197,   229,   242,
     211,  1036,   771,   555,    -1,   197,    98,  1036,   698,   555,
      -1,   197,    98,   242,   211,  1036,   698,   555,    -1,   197,
     324,   795,   794,   555,    -1,   197,   324,   242,   211,   795,
     794,   555,    -1,   500,   943,   501,    -1,   500,   943,   503,
     943,   501,    -1,   500,   307,   503,   943,   501,    -1,   500,
     943,   503,   307,   501,    -1,   991,    -1,  1158,   502,   795,
      -1,   193,   797,    -1,   798,    -1,   797,   798,    -1,  1178,
      -1,   274,   542,    -1,   160,   131,   500,   943,   108,   943,
     501,   466,   229,   748,   800,    -1,   160,   131,   500,   943,
     108,   943,   501,   467,   229,   800,    -1,   160,   131,   500,
     943,   108,   943,   501,   466,   257,   800,    -1,   108,   246,
      -1,   108,   111,    -1,    -1,   197,   131,   802,   500,   943,
     108,   943,   501,   555,    -1,   242,   211,    -1,    -1,   363,
     804,  1028,   805,    -1,   363,   416,  1030,   805,    -1,   363,
     174,  1030,   805,    -1,   250,    -1,   417,    -1,   223,    -1,
      -1,   101,    98,  1036,   698,   366,   427,  1030,    -1,   101,
     144,   723,   366,   427,  1030,    -1,   101,   157,   723,   366,
     427,  1030,    -1,   101,   174,  1031,   366,   427,  1031,    -1,
     101,   229,   748,   366,   427,  1030,    -1,   101,   235,  1039,
     366,   427,  1039,    -1,   101,   637,   274,  1030,   366,   427,
    1030,    -1,   101,   324,   139,   723,   448,  1032,   366,   427,
    1030,    -1,   101,   324,   217,   723,   448,  1032,   366,   427,
    1030,    -1,   101,   383,  1030,   366,   427,  1030,    -1,   101,
     417,   934,   366,   427,  1030,    -1,   101,   389,  1028,   366,
     427,  1030,    -1,   101,   460,  1028,   366,   427,  1030,    -1,
     101,   250,  1028,   366,   427,  1030,    -1,   101,   224,   417,
     934,   366,   427,  1030,    -1,   101,   417,   934,   366,   807,
    1030,   427,  1030,    -1,   101,   224,   417,   934,   366,   807,
    1030,   427,  1030,    -1,   101,   431,  1030,   322,  1028,   366,
     427,  1030,    -1,   101,   377,  1039,   366,   427,  1039,    -1,
     101,   447,  1039,   366,   427,  1039,    -1,   101,   419,  1030,
     366,   427,  1030,    -1,   101,   419,  1030,   395,   558,    -1,
     101,   419,  1030,   370,   558,    -1,   101,   423,   385,   336,
     723,   366,   427,  1030,    -1,   101,   423,   385,   189,   723,
     366,   427,  1030,    -1,   101,   423,   385,   421,   723,   366,
     427,  1030,    -1,   101,   423,   385,   151,   723,   366,   427,
    1030,    -1,   101,   436,   723,   366,   427,  1030,    -1,   101,
     436,   723,   366,   114,  1030,   427,  1030,   555,    -1,   145,
      -1,    -1,   395,   173,    -1,    -1,   101,    98,  1036,   698,
     395,   383,  1030,    -1,   101,   144,   723,   395,   383,  1030,
      -1,   101,   157,   723,   395,   383,  1030,    -1,   101,   195,
     723,   395,   383,  1030,    -1,   101,   213,   723,   395,   383,
    1030,    -1,   101,   229,   748,   395,   383,  1030,    -1,   101,
     324,   795,   794,   395,   383,  1030,    -1,   101,   324,   139,
     723,   448,  1032,   395,   383,  1030,    -1,   101,   324,   217,
     723,   448,  1032,   395,   383,  1030,    -1,   101,   417,   934,
     395,   383,  1030,    -1,   101,   423,   385,   336,   723,   395,
     383,  1030,    -1,   101,   423,   385,   189,   723,   395,   383,
    1030,    -1,   101,   423,   385,   421,   723,   395,   383,  1030,
      -1,   101,   423,   385,   151,   723,   395,   383,  1030,    -1,
     101,   389,  1028,   395,   383,  1030,    -1,   101,   460,  1028,
     395,   383,  1030,    -1,   101,   224,   417,   934,   395,   383,
    1030,    -1,   101,   436,   723,   395,   383,  1030,    -1,   101,
      98,  1036,   698,   335,   427,  1039,    -1,   101,   144,   723,
     335,   427,  1039,    -1,   101,   157,   723,   335,   427,  1039,
      -1,   101,   174,  1031,   335,   427,  1039,    -1,   101,   195,
     723,   335,   427,  1039,    -1,   101,   229,   748,   335,   427,
    1039,    -1,   101,   637,   274,  1030,   335,   427,  1039,    -1,
     101,   275,   317,   628,   335,   427,  1039,    -1,   101,   324,
     795,   794,   335,   427,  1039,    -1,   101,   324,   139,   723,
     448,  1032,   335,   427,  1039,    -1,   101,   324,   217,   723,
     448,  1032,   335,   427,  1039,    -1,   101,   383,  1030,   335,
     427,  1039,    -1,   101,   436,   723,   335,   427,  1039,    -1,
     101,   419,  1030,   335,   427,  1039,    -1,   101,   423,   385,
     189,   723,   335,   427,  1039,    -1,   101,   423,   385,   151,
     723,   335,   427,  1039,    -1,   101,   224,   173,   469,  1030,
     335,   427,  1039,    -1,   101,   392,  1030,   335,   427,  1039,
      -1,   160,   770,   381,  1030,   108,   322,   816,   427,  1028,
     938,   193,   817,   812,    -1,   309,    -1,   814,    -1,   500,
     813,   501,    -1,   813,   504,   815,    -1,   815,    -1,   890,
      -1,   868,    -1,   879,    -1,   873,    -1,   819,    -1,   814,
      -1,    -1,   388,    -1,   446,    -1,   185,    -1,   260,    -1,
     261,    -1,   100,    -1,    -1,   197,   381,  1030,   322,  1028,
     555,    -1,   197,   381,   242,   211,  1030,   322,  1028,   555,
      -1,   310,  1158,   820,    -1,   503,  1178,    -1,    -1,   285,
    1158,    -1,   443,  1158,    -1,   443,   493,    -1,    91,   824,
      -1,   118,   824,   827,    -1,   405,   429,   827,    -1,   148,
     824,    -1,   203,   824,    -1,   378,   824,    -1,   382,  1158,
      -1,   365,   382,  1158,    -1,   365,  1158,    -1,   378,   824,
     427,   382,  1158,    -1,   378,   824,   427,  1158,    -1,   347,
     429,  1178,    -1,   148,   348,  1178,    -1,   378,   348,  1178,
      -1,   468,    -1,   429,    -1,    -1,   270,   282,   538,    -1,
     356,   323,    -1,   356,   470,    -1,   182,    -1,   308,   182,
      -1,   825,    -1,   826,   503,   825,    -1,   826,   825,    -1,
     826,    -1,    -1,   160,   582,   460,  1028,   600,   108,   890,
     829,    -1,   160,   327,   368,   582,   460,  1028,   600,   108,
     890,   829,    -1,   466,   137,   325,    -1,   466,   129,   137,
     325,    -1,   466,   287,   137,   325,    -1,    -1,   286,  1035,
      -1,   160,   174,  1031,   512,   832,    -1,   832,   833,    -1,
      -1,   419,   834,  1030,    -1,   419,   834,   180,    -1,   290,
     834,  1178,    -1,   290,   834,   180,    -1,   421,   834,  1030,
      -1,   421,   834,   180,    -1,   201,   834,  1178,    -1,   201,
     834,  1038,    -1,   201,   834,   180,    -1,   277,   834,  1178,
      -1,   277,   834,   180,    -1,   278,   834,  1178,    -1,   278,
     834,   180,    -1,   152,   284,   834,  1040,    -1,   335,   834,
    1030,    -1,   335,   834,   180,    -1,   487,    -1,    -1,   101,
     174,  1031,   512,   837,    -1,   101,   174,  1031,   395,   419,
    1030,    -1,   101,   174,  1031,   544,    -1,   837,   838,    -1,
      -1,   152,   284,   834,  1040,    -1,   197,   174,  1031,    -1,
     197,   174,   242,   211,  1031,    -1,   160,   195,   723,   842,
     943,   591,    -1,   101,   195,   723,   554,    -1,   101,   195,
     723,   197,   308,   313,    -1,   101,   195,   723,   395,   308,
     313,    -1,   101,   195,   723,    95,   598,    -1,   101,   195,
     723,   197,   153,  1030,   555,    -1,   108,    -1,    -1,   101,
     423,   385,   189,   723,   694,    -1,   101,   423,   385,   151,
     723,    95,   292,   222,  1029,   466,   722,    -1,   101,   423,
     385,   151,   723,   101,   292,   222,  1029,   466,   722,    -1,
     101,   423,   385,   151,   723,   101,   292,   368,   723,   466,
     723,    -1,   101,   423,   385,   151,   723,   101,   292,   222,
    1029,   368,   723,   466,   723,    -1,   101,   423,   385,   151,
     723,   197,   292,   222,  1029,    -1,   101,   423,   385,   151,
     723,   197,   292,   242,   211,   222,  1029,    -1,   160,   708,
     157,   723,   222,  1178,   427,  1178,   227,   723,    -1,   141,
     853,  1028,   847,    -1,   141,   853,    -1,   141,   853,  1034,
     322,  1028,    -1,   448,  1034,    -1,    -1,   449,   854,   855,
     853,    -1,   449,   854,   855,   853,  1028,    -1,   449,   854,
     855,   853,   851,    -1,   449,   500,   849,   501,    -1,   449,
     500,   849,   501,  1028,   856,    -1,   850,    -1,   849,   503,
     850,    -1,   852,    -1,   458,    -1,   226,    -1,   228,    -1,
     852,   853,    -1,   852,   853,  1028,   856,    -1,   104,    -1,
     103,    -1,   458,    -1,    -1,   228,    -1,    -1,   226,    -1,
      -1,   500,  1029,   501,    -1,    -1,   212,   858,    -1,   212,
     852,   853,   858,    -1,   212,   458,   858,    -1,   212,   500,
     859,   501,   858,    -1,   890,    -1,   868,    -1,   879,    -1,
     873,    -1,   886,    -1,  1047,    -1,   866,    -1,   860,    -1,
     859,   503,   860,    -1,   861,   862,    -1,  1158,    -1,   852,
      -1,   458,    -1,   539,    -1,   628,    -1,    -1,   347,  1066,
     864,   108,   865,    -1,   347,  1066,   227,  1111,    -1,   500,
     999,   501,    -1,    -1,   890,    -1,   868,    -1,   879,    -1,
     873,    -1,   210,  1066,   867,  1190,    -1,   160,   582,   417,
     617,   108,   210,  1066,   867,    -1,   500,   996,   501,    -1,
      -1,   898,   260,   266,  1028,   869,   872,    -1,   890,    -1,
     500,   870,   501,   890,    -1,   180,   454,    -1,   871,    -1,
     870,   503,   871,    -1,  1158,  1020,    -1,   373,  1025,  1191,
      -1,    -1,   898,   185,   227,   936,   874,   939,   872,    -1,
     448,   927,    -1,    -1,   291,   901,   935,   876,   878,    -1,
     247,   877,   297,    -1,    -1,    93,   397,    -1,   379,   397,
      -1,   379,   209,    -1,   397,   446,   209,    -1,   397,    -1,
     397,   379,   209,    -1,   209,    -1,    93,   209,    -1,   312,
      -1,    -1,   898,   446,   936,   395,   880,   926,   939,   872,
      -1,   881,    -1,   880,   503,   881,    -1,   882,    -1,   883,
      -1,   884,   487,  1022,    -1,   500,   885,   501,   487,  1024,
      -1,  1158,  1020,    -1,   884,    -1,   885,   503,   884,    -1,
     179,   887,   888,   171,   889,   222,   890,    -1,  1030,    -1,
    1171,    -1,    -1,   888,   306,   384,    -1,   888,   384,    -1,
     888,   121,    -1,   888,   259,    -1,    -1,   466,   239,    -1,
     467,   239,    -1,   892,    -1,   891,    -1,   500,   892,   501,
      -1,   500,   891,   501,    -1,   894,    -1,   893,   905,    -1,
     893,   904,   920,   909,    -1,   893,   904,   908,   921,    -1,
     895,   893,    -1,   895,   893,   905,    -1,   895,   893,   904,
     920,   909,    -1,   895,   893,   904,   908,   921,    -1,   894,
      -1,   891,    -1,   388,   903,  1025,   899,   926,   938,   918,
     919,   979,    -1,   925,    -1,   417,   934,    -1,   893,   440,
     902,   893,    -1,   893,   264,   902,   893,    -1,   893,   206,
     902,   893,    -1,   466,   896,    -1,   466,   360,   896,    -1,
     897,    -1,   896,   503,   897,    -1,  1030,   856,   108,   500,
     865,   501,    -1,   895,    -1,    -1,   266,   900,    -1,  1191,
      -1,    -1,   422,   901,  1028,    -1,   420,   901,  1028,    -1,
     287,   422,   901,  1028,    -1,   287,   420,   901,  1028,    -1,
     231,   422,   901,  1028,    -1,   231,   420,   901,  1028,    -1,
     444,   901,  1028,    -1,   417,  1028,    -1,  1028,    -1,   417,
      -1,    -1,    99,    -1,   192,    -1,    -1,   192,    -1,   192,
     322,   500,   996,   501,    -1,    99,    -1,    -1,   905,    -1,
      -1,   328,   125,   906,    -1,   907,    -1,   906,   503,   907,
      -1,   967,   448,   994,   768,    -1,   967,   767,   768,    -1,
     910,   911,    -1,   911,   910,    -1,   910,    -1,   911,    -1,
     908,    -1,    -1,   284,   912,    -1,   284,   912,   503,   913,
      -1,   218,   917,   914,   916,   323,    -1,   320,   913,    -1,
     320,   915,   916,    -1,   967,    -1,    99,    -1,   967,    -1,
    1040,    -1,   500,   967,   501,    -1,    -1,   969,    -1,   379,
      -1,   380,    -1,   219,    -1,   305,    -1,   235,   125,   996,
      -1,    -1,   237,   967,    -1,    -1,   922,    -1,   222,   356,
     323,    -1,   920,    -1,    -1,   923,    -1,   922,   923,    -1,
     222,   446,   924,   878,    -1,   222,   397,   924,   878,    -1,
     318,  1027,    -1,    -1,   454,  1024,    -1,   925,   503,  1024,
      -1,   227,   927,    -1,    -1,   928,    -1,   927,   503,   928,
      -1,   934,    -1,   934,   930,    -1,   937,    -1,   937,   930,
      -1,   937,   108,   500,   941,   501,    -1,   937,   108,  1158,
     500,   941,   501,    -1,   937,  1158,   500,   941,   501,    -1,
     891,    -1,   891,   930,    -1,   929,    -1,   500,   929,   501,
     930,    -1,   500,   929,   501,    -1,   928,   161,   271,   928,
      -1,   928,   931,   271,   928,   933,    -1,   928,   271,   928,
     933,    -1,   928,   303,   931,   271,   928,    -1,   928,   303,
     271,   928,    -1,   108,  1158,   500,  1029,   501,    -1,   108,
    1158,    -1,  1158,   500,  1029,   501,    -1,  1158,    -1,   228,
     932,    -1,   281,   932,    -1,   376,   932,    -1,   256,    -1,
     330,    -1,    -1,   448,   500,  1029,   501,    -1,   322,   967,
      -1,  1028,    -1,  1028,   493,    -1,   323,  1028,    -1,   323,
     500,  1028,   501,    -1,   934,    -1,   935,   503,   934,    -1,
     934,    -1,   934,  1158,    -1,   934,   108,  1158,    -1,   970,
      -1,   463,   967,    -1,    -1,   463,   967,    -1,   463,   163,
     318,   887,    -1,    -1,   941,    -1,    -1,   942,    -1,   941,
     503,   942,    -1,  1158,   943,   556,    -1,   945,   944,    -1,
     396,   945,   944,    -1,   945,   107,   498,  1038,   499,    -1,
     396,   945,   107,   498,  1038,   499,    -1,   945,   107,    -1,
     396,   945,   107,    -1,   944,   498,   499,    -1,   944,   498,
    1189,   499,    -1,    -1,   947,    -1,   949,    -1,   951,    -1,
     955,    -1,   962,    -1,   963,   965,    -1,   963,   500,  1038,
     501,   965,    -1,   949,    -1,   952,    -1,   956,    -1,   962,
      -1,  1159,   948,    -1,  1159,   724,   948,    -1,   500,   996,
     501,    -1,    -1,   262,    -1,   263,    -1,   401,    -1,   120,
      -1,   357,    -1,   220,   950,    -1,   196,   345,    -1,   178,
     948,    -1,   177,   948,    -1,   316,   948,    -1,   123,    -1,
     500,  1038,   501,    -1,    -1,   953,    -1,   954,    -1,   953,
      -1,   954,    -1,   122,   960,   500,   996,   501,    -1,   122,
     960,    -1,   957,    -1,   958,    -1,   957,    -1,   958,    -1,
     959,   500,  1038,   501,   961,    -1,   959,   961,    -1,   135,
     960,    -1,   134,   960,    -1,   455,    -1,   302,   135,   960,
      -1,   302,   134,   960,    -1,   304,   960,    -1,   457,    -1,
      -1,   135,   395,  1158,    -1,    -1,   426,   500,  1038,   501,
     964,    -1,   426,   964,    -1,   425,   500,  1038,   501,   964,
      -1,   425,   964,    -1,   265,    -1,   486,   483,    -1,   467,
     425,   483,    -1,    -1,   481,    -1,   298,    -1,   175,    -1,
     240,    -1,   295,    -1,   966,    -1,   481,   427,   298,    -1,
     175,   427,   240,    -1,   175,   427,   295,    -1,   175,   427,
     966,    -1,   240,   427,   295,    -1,   240,   427,   966,    -1,
     295,   427,   966,    -1,    -1,   386,    -1,   386,   500,  1038,
     501,    -1,   969,    -1,   967,    88,   943,    -1,   967,   143,
     723,    -1,   967,   113,   425,   483,   967,    -1,   491,   967,
      -1,   492,   967,    -1,   967,   491,   967,    -1,   967,   492,
     967,    -1,   967,   493,   967,    -1,   967,   494,   967,    -1,
     967,   495,   967,    -1,   967,   496,   967,    -1,   967,   488,
     967,    -1,   967,   489,   967,    -1,   967,   487,   967,    -1,
     967,   993,   967,    -1,   993,   967,    -1,   967,   993,    -1,
     967,   105,   967,    -1,   967,   327,   967,    -1,   308,   967,
      -1,   967,   283,   967,    -1,   967,   283,   967,   205,   967,
      -1,   967,   308,   283,   967,    -1,   967,   308,   283,   967,
     205,   967,    -1,   967,   243,   967,    -1,   967,   243,   967,
     205,   967,    -1,   967,   308,   243,   967,    -1,   967,   308,
     243,   967,   205,   967,    -1,   967,   399,   427,   967,    -1,
     967,   399,   427,   967,   205,   967,    -1,   967,   308,   399,
     427,   967,    -1,   967,   308,   399,   427,   967,   205,   967,
      -1,   967,   268,   313,    -1,   967,   269,    -1,   967,   268,
     308,   313,    -1,   967,   311,    -1,   989,   332,   989,    -1,
     967,   268,   433,    -1,   967,   268,   308,   433,    -1,   967,
     268,   216,    -1,   967,   268,   308,   216,    -1,   967,   268,
     442,    -1,   967,   268,   308,   442,    -1,   967,   268,   192,
     227,   967,    -1,   967,   268,   308,   192,   227,   967,    -1,
     967,   268,   318,   500,   999,   501,    -1,   967,   268,   308,
     318,   500,   999,   501,    -1,   967,   119,  1021,   968,   105,
     968,    -1,   967,   308,   119,  1021,   968,   105,   968,    -1,
     967,   119,   414,   968,   105,   968,    -1,   967,   308,   119,
     414,   968,   105,   968,    -1,   967,   247,  1011,    -1,   967,
     308,   247,  1011,    -1,   967,   995,   990,   891,    -1,   967,
     995,   990,   500,   967,   501,    -1,   441,   891,    -1,   967,
     268,   194,    -1,   967,   268,   308,   194,    -1,   969,    -1,
     968,    88,   943,    -1,   491,   968,    -1,   492,   968,    -1,
     968,   491,   968,    -1,   968,   492,   968,    -1,   968,   493,
     968,    -1,   968,   494,   968,    -1,   968,   495,   968,    -1,
     968,   496,   968,    -1,   968,   488,   968,    -1,   968,   489,
     968,    -1,   968,   487,   968,    -1,   968,   993,   968,    -1,
     993,   968,    -1,   968,   993,    -1,   968,   268,   192,   227,
     968,    -1,   968,   268,   308,   192,   227,   968,    -1,   968,
     268,   318,   500,   999,   501,    -1,   968,   268,   308,   318,
     500,   999,   501,    -1,   968,   268,   194,    -1,   968,   268,
     308,   194,    -1,  1017,    -1,  1037,    -1,  1175,  1020,    -1,
     500,   967,   501,  1020,    -1,  1012,    -1,   970,    -1,   891,
      -1,   891,  1019,    -1,   211,   891,    -1,   107,   891,    -1,
     107,  1000,    -1,   989,    -1,  1036,   500,   501,   982,    -1,
    1036,   500,   997,   501,   982,    -1,  1036,   500,   456,   998,
     501,   982,    -1,  1036,   500,   997,   503,   456,   998,   501,
     982,    -1,  1036,   500,   997,   905,   501,   982,    -1,  1036,
     500,    99,   997,   904,   501,   982,    -1,  1036,   500,   192,
     997,   904,   501,   982,    -1,  1036,   500,   493,   501,   982,
      -1,   165,    -1,   168,    -1,   168,   500,  1038,   501,    -1,
     169,    -1,   169,   500,  1038,   501,    -1,   288,    -1,   288,
     500,  1038,   501,    -1,   289,    -1,   289,   500,  1038,   501,
      -1,   166,    -1,   170,    -1,   394,    -1,   447,    -1,   164,
      -1,   167,    -1,   131,   500,   967,   108,   943,   501,    -1,
     215,   500,  1002,   501,    -1,   333,   500,  1004,   501,    -1,
     343,   500,  1006,   501,    -1,   413,   500,  1007,   501,    -1,
     430,   500,   967,   108,   943,   501,    -1,   432,   500,   124,
    1010,   501,    -1,   432,   500,   279,  1010,   501,    -1,   432,
     500,   428,  1010,   501,    -1,   432,   500,  1010,   501,    -1,
     314,   500,   967,   503,   967,   501,    -1,   142,   500,   996,
     501,    -1,   234,   500,   996,   501,    -1,   280,   500,   996,
     501,    -1,   473,   500,   996,   501,    -1,   474,   500,   300,
    1160,   501,    -1,   474,   500,   300,  1160,   503,   973,   501,
      -1,   474,   500,   300,  1160,   503,   996,   501,    -1,   474,
     500,   300,  1160,   503,   973,   503,   996,   501,    -1,   475,
     500,   969,   978,   501,    -1,   476,   500,   974,   501,    -1,
     477,   500,   976,   967,   977,   501,    -1,   478,   500,   300,
    1160,   501,    -1,   478,   500,   300,  1160,   503,   967,   501,
      -1,   479,   500,   967,   503,   971,   972,   501,    -1,   480,
     500,   976,   967,   108,   945,   501,    -1,   459,   967,    -1,
     459,   306,   453,    -1,   503,   404,   482,    -1,   503,   404,
     306,    -1,   503,   404,   306,   453,    -1,    -1,   472,   500,
     974,   501,    -1,   975,    -1,   974,   503,   975,    -1,   967,
     108,  1160,    -1,   967,    -1,   194,    -1,   155,    -1,   346,
     464,    -1,   412,   464,    -1,    -1,   339,   969,    -1,   339,
     969,   125,   361,    -1,   339,   125,   361,   969,    -1,   339,
     125,   361,   969,   125,   361,    -1,   465,   980,    -1,    -1,
     981,    -1,   980,   503,   981,    -1,  1158,   108,   983,    -1,
     331,   983,    -1,   331,  1158,    -1,    -1,   500,   984,   985,
     904,   986,   501,    -1,  1158,    -1,    -1,   338,   125,   996,
      -1,    -1,   355,   987,    -1,   380,   987,    -1,    -1,   988,
      -1,   119,   988,   105,   988,    -1,   437,   344,    -1,   437,
     221,    -1,   163,   379,    -1,   967,   344,    -1,   967,   221,
      -1,   379,   500,   996,   501,    -1,   379,   500,   501,    -1,
     500,   996,   503,   967,   501,    -1,   106,    -1,   402,    -1,
      99,    -1,    85,    -1,   992,    -1,   491,    -1,   492,    -1,
     493,    -1,   494,    -1,   495,    -1,   496,    -1,   488,    -1,
     489,    -1,   487,    -1,    85,    -1,   324,   500,   795,   501,
      -1,   991,    -1,   324,   500,   795,   501,    -1,   991,    -1,
     324,   500,   795,   501,    -1,   283,    -1,   308,   283,    -1,
     243,    -1,   308,   243,    -1,   967,    -1,   996,   503,   967,
      -1,   998,    -1,   997,   503,   998,    -1,   967,    -1,   777,
      90,   967,    -1,   943,    -1,   999,   503,   943,    -1,   498,
     996,   499,    -1,   498,  1001,   499,    -1,   498,   499,    -1,
    1000,    -1,  1001,   503,  1000,    -1,  1003,   227,   967,    -1,
      -1,  1180,    -1,   481,    -1,   298,    -1,   175,    -1,   240,
      -1,   295,    -1,   386,    -1,  1178,    -1,   967,  1005,  1008,
    1009,    -1,   967,  1005,  1008,    -1,   341,   967,    -1,   968,
     247,   968,    -1,    -1,   967,  1008,  1009,    -1,   967,  1009,
    1008,    -1,   967,  1008,    -1,   967,  1009,    -1,   996,    -1,
      -1,   227,   967,    -1,   222,   967,    -1,   967,   227,   996,
      -1,   227,   996,    -1,   996,    -1,   891,    -1,   500,   996,
     501,    -1,   130,  1016,  1013,  1015,   203,    -1,  1014,    -1,
    1013,  1014,    -1,   462,   967,   424,   967,    -1,   199,   967,
      -1,    -1,   967,    -1,    -1,  1158,    -1,  1158,  1019,    -1,
     502,  1033,    -1,   502,   493,    -1,   498,   967,   499,    -1,
     498,   967,   505,   967,   499,    -1,  1018,    -1,  1019,  1018,
      -1,    -1,  1020,  1018,    -1,   112,    -1,    -1,   967,    -1,
     180,    -1,  1022,    -1,  1023,   503,  1022,    -1,   500,  1023,
     501,    -1,  1026,    -1,  1025,   503,  1026,    -1,   967,   108,
    1160,    -1,   967,  1180,    -1,   967,    -1,   493,    -1,  1028,
      -1,  1027,   503,  1028,    -1,  1158,    -1,  1158,  1019,    -1,
    1030,    -1,  1029,   503,  1030,    -1,  1158,    -1,  1158,    -1,
    1158,    -1,  1160,    -1,  1158,    -1,  1178,    -1,  1159,    -1,
    1158,  1019,    -1,  1038,    -1,  1177,    -1,  1178,    -1,  1176,
      -1,    84,    -1,  1036,  1178,    -1,  1036,   500,   997,   501,
    1178,    -1,   946,  1178,    -1,   963,  1178,   965,    -1,   963,
     500,  1038,   501,  1178,   965,    -1,   433,    -1,   216,    -1,
     313,    -1,  1172,    -1,  1170,    -1,    86,    -1,  1158,    -1,
    1038,    -1,  1172,    -1,   491,  1038,    -1,   492,  1038,    -1,
      91,    -1,    92,    -1,    93,    -1,    94,    -1,    95,    -1,
      96,    -1,    97,    -1,    98,    -1,   100,    -1,   101,    -1,
     102,    -1,   110,    -1,   111,    -1,   113,    -1,   114,    -1,
     116,    -1,   117,    -1,   118,    -1,   125,    -1,   126,    -1,
     127,    -1,   128,    -1,   129,    -1,   132,    -1,   133,    -1,
     136,    -1,   138,    -1,   139,    -1,   140,    -1,   141,    -1,
     144,    -1,   146,    -1,   147,    -1,   148,    -1,   149,    -1,
     151,    -1,   154,    -1,   155,    -1,   156,    -1,   157,    -1,
     158,    -1,   159,    -1,   162,    -1,   171,    -1,   172,    -1,
     173,    -1,   174,    -1,   176,    -1,   179,    -1,   181,    -1,
     183,    -1,   184,    -1,   185,    -1,   186,    -1,   187,    -1,
     189,    -1,   190,    -1,   191,    -1,   194,    -1,   195,    -1,
     196,    -1,   197,    -1,   198,    -1,   200,    -1,   201,    -1,
     202,    -1,   204,    -1,   205,    -1,   207,    -1,   208,    -1,
     209,    -1,   210,    -1,   212,    -1,   213,    -1,   214,    -1,
     217,    -1,   219,    -1,   221,    -1,   223,    -1,   225,    -1,
     229,    -1,   230,    -1,   231,    -1,   233,    -1,   236,    -1,
     238,    -1,   239,    -1,   241,    -1,   242,    -1,   244,    -1,
     245,    -1,   246,    -1,   248,    -1,   249,    -1,   250,    -1,
     251,    -1,   252,    -1,   253,    -1,   255,    -1,   259,    -1,
     260,    -1,   261,    -1,   267,    -1,   270,    -1,   272,    -1,
     273,    -1,   274,    -1,   275,    -1,   276,    -1,   277,    -1,
     278,    -1,   282,    -1,   285,    -1,   286,    -1,   287,    -1,
     290,    -1,   291,    -1,   292,    -1,   293,    -1,   294,    -1,
     296,    -1,   297,    -1,   299,    -1,   300,    -1,   301,    -1,
     305,    -1,   306,    -1,   309,    -1,   310,    -1,   312,    -1,
     315,    -1,   317,    -1,   318,    -1,   319,    -1,   321,    -1,
     324,    -1,   325,    -1,   326,    -1,   334,    -1,   335,    -1,
     336,    -1,   337,    -1,   338,    -1,   339,    -1,   340,    -1,
     342,    -1,   344,    -1,   347,    -1,   348,    -1,   346,    -1,
     350,    -1,   351,    -1,   352,    -1,   353,    -1,   354,    -1,
     355,    -1,   356,    -1,   358,    -1,   359,    -1,   360,    -1,
     361,    -1,   363,    -1,   364,    -1,   365,    -1,   366,    -1,
     367,    -1,   368,    -1,   369,    -1,   370,    -1,   371,    -1,
     372,    -1,   374,    -1,   375,    -1,   377,    -1,   378,    -1,
     380,    -1,   381,    -1,   382,    -1,   383,    -1,   384,    -1,
     385,    -1,   387,    -1,   389,    -1,   390,    -1,   391,    -1,
     392,    -1,   393,    -1,   395,    -1,   397,    -1,   398,    -1,
     400,    -1,   403,    -1,   404,    -1,   405,    -1,   406,    -1,
     407,    -1,   408,    -1,   409,    -1,   410,    -1,   411,    -1,
     412,    -1,   415,    -1,   416,    -1,   418,    -1,   419,    -1,
     420,    -1,   421,    -1,   422,    -1,   423,    -1,   429,    -1,
     431,    -1,   434,    -1,   435,    -1,   436,    -1,   437,    -1,
     438,    -1,   439,    -1,   442,    -1,   443,    -1,   444,    -1,
     445,    -1,   446,    -1,   449,    -1,   450,    -1,   451,    -1,
     452,    -1,   453,    -1,   457,    -1,   459,    -1,   460,    -1,
     461,    -1,   464,    -1,   467,    -1,   468,    -1,   469,    -1,
     470,    -1,   471,    -1,   482,    -1,   483,    -1,   119,    -1,
     120,    -1,   122,    -1,   123,    -1,   135,    -1,   142,    -1,
     177,    -1,   178,    -1,   211,    -1,   215,    -1,   220,    -1,
     234,    -1,   257,    -1,   263,    -1,   265,    -1,   280,    -1,
     302,    -1,   304,    -1,   307,    -1,   314,    -1,   316,    -1,
     329,    -1,   333,    -1,   343,    -1,   345,    -1,   357,    -1,
     379,    -1,   396,    -1,   401,    -1,   413,    -1,   425,    -1,
     426,    -1,   430,    -1,   432,    -1,   455,    -1,   472,    -1,
     473,    -1,   474,    -1,   475,    -1,   476,    -1,   477,    -1,
     478,    -1,   479,    -1,   480,    -1,   115,    -1,   121,    -1,
     150,    -1,   161,    -1,   167,    -1,   226,    -1,   228,    -1,
     243,    -1,   256,    -1,   268,    -1,   269,    -1,   271,    -1,
     281,    -1,   283,    -1,   303,    -1,   311,    -1,   330,    -1,
     331,    -1,   332,    -1,   376,    -1,   399,    -1,   458,    -1,
      99,    -1,   103,    -1,   104,    -1,   105,    -1,   106,    -1,
     107,    -1,   108,    -1,   109,    -1,   112,    -1,   124,    -1,
     130,    -1,   131,    -1,   137,    -1,   143,    -1,   145,    -1,
     153,    -1,   160,    -1,   164,    -1,   165,    -1,   166,    -1,
     168,    -1,   169,    -1,   170,    -1,   180,    -1,   182,    -1,
     188,    -1,   192,    -1,   193,    -1,   199,    -1,   203,    -1,
     206,    -1,   216,    -1,   218,    -1,   222,    -1,   224,    -1,
     227,    -1,   232,    -1,   235,    -1,   237,    -1,   247,    -1,
     254,    -1,   264,    -1,   266,    -1,   279,    -1,   284,    -1,
     288,    -1,   289,    -1,   308,    -1,   313,    -1,   320,    -1,
     322,    -1,   323,    -1,   327,    -1,   328,    -1,   341,    -1,
     349,    -1,   362,    -1,   373,    -1,   388,    -1,   394,    -1,
     402,    -1,   414,    -1,   417,    -1,   424,    -1,   428,    -1,
     433,    -1,   441,    -1,   447,    -1,   448,    -1,   456,    -1,
     462,    -1,   463,    -1,   465,    -1,   466,    -1,    -1,  1045,
    1046,    -1,  1167,  1049,   510,   504,    -1,  1167,   510,   504,
      -1,  1167,  1069,    -1,  1074,    -1,  1186,    -1,    73,    -1,
     506,    -1,   507,    -1,    -1,   160,   582,   417,   617,   108,
    1048,   890,   621,    -1,   113,  1110,    -1,     9,   427,  1051,
    1058,  1059,    -1,     9,   427,   180,    -1,     9,  1060,    -1,
     174,  1051,    -1,  1052,  1055,  1057,    -1,  1053,   505,  1054,
    1057,   494,  1052,  1063,    -1,  1062,    -1,  1178,    -1,  1031,
      -1,    -1,  1180,  1174,    -1,    85,  1056,    -1,  1054,    -1,
      -1,  1158,    -1,  1158,   502,  1056,    -1,    74,    -1,   505,
    1038,    -1,    -1,   108,  1110,    -1,    -1,   447,  1060,    -1,
      -1,  1061,    -1,  1061,   494,  1061,    -1,  1061,    21,   125,
    1061,    -1,  1061,   448,  1061,    -1,  1039,    -1,  1178,    -1,
    1172,    -1,  1174,    -1,    85,  1064,    -1,    -1,  1158,  1065,
      -1,  1158,  1065,    85,  1064,    -1,    -1,   487,  1038,    -1,
     487,  1180,    -1,   487,  1172,    -1,  1030,    -1,  1062,    -1,
     179,   887,   888,   171,   889,   222,  1066,    -1,   210,   244,
    1111,    -1,  1070,    -1,  1081,    -1,  1083,    -1,   628,    -1,
     503,   628,    -1,    -1,   965,    -1,   481,   427,   295,    -1,
     481,   427,   386,    -1,   175,   427,   175,    -1,   298,   427,
     298,    -1,    -1,  1076,  1075,  1078,  1077,    -1,  1167,   118,
     179,    34,   504,    -1,  1167,   203,   179,    34,   504,    -1,
      -1,  1079,    -1,  1070,    -1,    73,    -1,  1079,  1070,    -1,
    1079,    73,    -1,  1083,    -1,  1080,  1083,    -1,    -1,    70,
    1082,  1090,  1106,  1162,   944,   504,    -1,    -1,  1087,  1090,
    1084,  1103,   504,    -1,    -1,  1090,  1085,  1103,   504,    -1,
    1093,   504,    -1,   505,  1038,    -1,    -1,  1088,  1089,    -1,
    1088,    -1,  1089,    -1,    56,    -1,    67,    -1,    65,    -1,
      50,    -1,    51,    -1,    69,    -1,  1099,    -1,  1095,    -1,
    1091,    -1,  1162,   500,  1071,  1072,   501,    -1,  1162,  1073,
      -1,  1097,    -1,   204,  1156,  1092,    -1,   204,  1092,    -1,
     204,  1156,    -1,   506,  1184,   507,    -1,    -1,  1097,  1094,
     506,  1080,   507,    -1,  1093,    -1,    -1,  1098,  1096,   506,
    1080,   507,    -1,    43,  1156,    -1,   440,  1156,    -1,    43,
      -1,   440,    -1,  1100,    -1,  1102,  1101,    -1,    44,    35,
      -1,    44,    35,   262,    -1,    44,    -1,    44,   262,    -1,
      44,    25,    -1,    44,    25,   262,    -1,    44,    25,    25,
      -1,    44,    25,    25,   262,    -1,    44,   134,    -1,    35,
      -1,    35,   262,    -1,   262,    -1,    25,    -1,    25,   262,
      -1,    25,    25,    -1,    25,    25,   262,    -1,     5,    -1,
     134,    -1,   196,    -1,    36,    -1,    -1,  1104,    -1,  1103,
     503,  1104,    -1,  1106,  1161,   944,  1086,  1105,    -1,    -1,
     487,  1185,    -1,    -1,   493,    -1,   493,   493,    -1,   179,
     406,  1180,    -1,    15,  1109,    -1,  1110,    -1,   163,    -1,
      99,    -1,    -1,  1031,    -1,   180,    -1,  1062,    -1,  1062,
      -1,    71,    -1,    17,   887,    -1,    17,    99,    -1,    28,
     887,  1114,    -1,    -1,  1115,    -1,   448,  1119,    -1,  1116,
      -1,   448,    37,    14,  1181,    -1,   448,    14,  1030,    -1,
     266,    37,    14,  1181,    -1,   266,    14,  1030,    -1,   266,
    1030,    -1,  1120,    -1,  1120,   503,  1119,    -1,  1121,    -1,
    1172,    -1,  1170,    -1,  1038,    -1,   491,  1038,    -1,   492,
    1038,    -1,  1177,    -1,   491,  1177,    -1,   492,  1177,    -1,
    1178,    -1,  1176,    -1,  1179,    -1,    13,   258,  1066,  1116,
      -1,    13,  1123,  1066,  1116,    -1,    13,  1123,  1066,  1117,
      -1,    13,   258,  1066,  1118,    -1,    13,  1123,  1066,  1118,
      -1,    29,    -1,    -1,     3,    14,  1181,    -1,   176,    14,
    1181,    -1,    18,    14,  1181,  1127,    -1,  1128,    -1,  1127,
     503,  1128,    -1,  1174,   487,  1133,    -1,   395,    14,  1181,
    1130,    -1,  1131,    -1,  1130,   503,  1131,    -1,  1133,   487,
    1132,    -1,  1038,    -1,  1174,    -1,    10,    -1,    18,    14,
    1181,   453,  1132,  1135,    -1,  1136,    -1,  1135,   503,  1136,
      -1,  1174,   487,  1141,    -1,   395,    14,  1181,   453,  1132,
    1138,    -1,  1139,    -1,  1138,   503,  1139,    -1,  1141,   487,
    1140,    -1,  1177,    -1,  1132,    -1,   492,  1177,    -1,   492,
    1038,    -1,  1178,    -1,     8,    -1,   173,    -1,    11,    -1,
      12,    -1,    22,    -1,    23,    -1,    24,    -1,   300,    -1,
      26,    -1,    27,    -1,   345,    -1,    31,    -1,    32,    -1,
      33,    -1,   436,    -1,   395,     4,   487,  1143,    -1,   395,
       4,   427,  1143,    -1,   322,    -1,   319,    -1,   395,   152,
     427,  1110,    -1,   395,   152,   487,  1110,    -1,   395,   152,
    1110,    -1,    -1,   436,  1146,  1162,   268,  1090,   944,  1147,
      -1,    30,    -1,    -1,    -1,    45,  1149,  1160,   268,  1090,
     944,  1147,    -1,    46,    38,  1151,    -1,    46,   308,    16,
    1151,    -1,    46,    40,  1151,    -1,   156,    -1,    39,    -1,
      42,    -1,    20,  1030,    -1,    19,   427,  1030,    -1,   193,
    1030,   500,  1168,   501,    -1,   193,     6,    -1,     7,  1030,
     500,  1168,   501,    -1,     7,  1030,    -1,  1153,    -1,  1154,
      -1,     6,    -1,     7,    -1,     8,    -1,    10,    -1,    11,
      -1,    12,    -1,    16,    -1,    19,    -1,    20,    -1,    21,
      -1,    22,    -1,    23,    -1,    24,    -1,    26,    -1,    27,
      -1,    31,    -1,    32,    -1,    33,    -1,    34,    -1,    37,
      -1,    38,    -1,    39,    -1,    40,    -1,    42,    -1,     9,
      -1,    13,    -1,    15,    -1,    28,    -1,    45,    -1,    46,
      -1,     5,    -1,    25,    -1,    29,    -1,    35,    -1,    43,
      -1,    36,    -1,    44,    -1,  1160,    -1,  1180,    -1,  1041,
      -1,  1042,    -1,  1165,    -1,  1152,    -1,  1163,    -1,   134,
      -1,   454,    -1,  1180,    -1,  1164,    -1,  1042,    -1,  1152,
      -1,  1163,    -1,   134,    -1,   454,    -1,  1180,    -1,  1164,
      -1,  1043,    -1,  1152,    -1,  1163,    -1,  1155,    -1,  1161,
      -1,  1155,    -1,   134,    -1,   163,    -1,   258,    -1,   262,
      -1,   427,    -1,   440,    -1,   454,    -1,  1163,    -1,  1165,
      -1,  1162,    -1,  1041,    -1,  1044,    -1,  1154,    -1,   152,
      -1,  1180,    -1,  1042,    -1,  1043,    -1,  1153,    -1,    50,
      -1,    51,    -1,    56,    -1,    65,    -1,    67,    -1,    70,
      -1,    69,    -1,  1041,    -1,  1165,    -1,   152,    -1,   175,
      -1,   240,    -1,   295,    -1,   298,    -1,   386,    -1,   481,
      -1,  1169,    -1,  1166,   503,  1169,    -1,    41,    -1,    -1,
    1184,    -1,  1174,  1173,    -1,  1174,    -1,  1174,  1173,    -1,
    1062,    -1,  1174,    -1,  1174,    -1,    22,  1174,    -1,    22,
    1030,    -1,    72,    -1,    87,    -1,    83,    -1,    81,    -1,
      82,    -1,    76,    -1,    77,    -1,    78,    -1,    75,    -1,
      84,    -1,    80,    -1,    71,    -1,    79,    -1,  1030,    -1,
    1062,    -1,  1187,    -1,   500,   501,    -1,   500,  1183,   501,
      -1,  1182,    -1,  1183,  1182,    -1,  1185,    -1,  1184,   503,
    1185,    -1,  1183,    -1,   506,  1184,   507,    -1,  1187,    -1,
     500,    -1,   501,    -1,   503,    -1,   504,    -1,  1180,    -1,
    1038,    -1,  1177,    -1,  1178,    -1,   493,    -1,   491,    -1,
     492,    -1,   494,    -1,   495,    -1,   313,    -1,    47,    -1,
      48,    -1,    49,    -1,    50,    -1,    51,    -1,    52,    -1,
      53,    -1,    54,    -1,    55,    -1,    56,    -1,    57,    -1,
      58,    -1,    60,    -1,    59,    -1,    61,    -1,    62,    -1,
      63,    -1,    64,    -1,    65,    -1,    66,    -1,    67,    -1,
      68,    -1,    70,    -1,    69,    -1,     5,    -1,   204,    -1,
     240,    -1,   262,    -1,    25,    -1,   295,    -1,   298,    -1,
     386,    -1,    35,    -1,    36,    -1,    43,    -1,    44,    -1,
     481,    -1,   134,    -1,   220,    -1,   427,    -1,   440,    -1,
     455,    -1,   498,    -1,   499,    -1,   487,    -1,   505,    -1,
     176,  1066,    -1,   176,   347,  1066,    -1,   176,    99,    -1,
     176,   347,    99,    -1,  1038,    -1,   500,  1189,   501,    -1,
    1189,   491,  1189,    -1,  1189,   492,  1189,    -1,  1189,   493,
    1189,    -1,  1189,   494,  1189,    -1,  1189,   495,  1189,    -1,
    1178,    -1,  1158,    -1,    -1,  1115,  1191,    -1,  1191,  1115,
      -1,  1115,    -1,  1191,    -1,   266,  1166,    -1,  1117,    -1,
    1191,    -1,  1116,    -1,    -1,  1192,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1363,  1363,  1366,  1368,  1370,  1372,  1374,  1376,  1378,
    1380,  1382,  1384,  1386,  1388,  1390,  1392,  1394,  1396,  1398,
    1400,  1402,  1404,  1406,  1408,  1410,  1412,  1414,  1416,  1418,
    1436,  1438,  1440,  1442,  1444,  1446,  1448,  1450,  1452,  1454,
    1456,  1458,  1460,  1462,  1464,  1466,  1468,  1470,  1472,  1474,
    1476,  1478,  1480,  1482,  1484,  1486,  1488,  1490,  1492,  1496,
    1498,  1500,  1502,  1504,  1506,  1508,  1510,  1512,  1514,  1516,
    1518,  1520,  1522,  1524,  1526,  1528,  1530,  1532,  1534,  1536,
    1538,  1540,  1542,  1544,  1546,  1548,  1550,  1552,  1554,  1556,
    1558,  1560,  1562,  1569,  1571,  1573,  1575,  1577,  1579,  1581,
    1583,  1585,  1587,  1589,  1591,  1597,  1599,  1601,  1603,  1605,
    1607,  1609,  1611,  1613,  1619,  1629,  1633,  1639,  1643,  1653,
    1663,  1664,  1678,  1685,  1691,  1702,  1708,  1717,  1724,  1730,
    1739,  1746,  1754,  1759,  1767,  1772,  1778,  1783,  1789,  1794,
    1800,  1804,  1808,  1812,  1816,  1820,  1824,  1828,  1832,  1840,
    1844,  1848,  1852,  1856,  1860,  1868,  1876,  1885,  1887,  1895,
    1903,  1911,  1919,  1923,  1931,  1935,  1943,  1951,  1959,  1963,
    1971,  1975,  1983,  1987,  1995,  2000,  2006,  2011,  2017,  2021,
    2025,  2029,  2033,  2037,  2045,  2049,  2053,  2061,  2065,  2069,
    2073,  2077,  2081,  2085,  2089,  2093,  2098,  2102,  2106,  2110,
    2114,  2118,  2126,  2130,  2138,  2142,  2150,  2154,  2168,  2172,
    2176,  2180,  2188,  2192,  2196,  2200,  2208,  2212,  2216,  2220,
    2224,  2228,  2232,  2240,  2244,  2249,  2255,  2259,  2267,  2271,
    2275,  2279,  2283,  2291,  2295,  2303,  2307,  2311,  2315,  2319,
    2328,  2336,  2340,  2348,  2352,  2360,  2368,  2372,  2376,  2380,
    2388,  2392,  2396,  2400,  2408,  2412,  2420,  2424,  2428,  2432,
    2436,  2440,  2444,  2448,  2452,  2456,  2460,  2464,  2468,  2472,
    2476,  2480,  2484,  2488,  2492,  2496,  2500,  2504,  2508,  2512,
    2516,  2520,  2524,  2528,  2532,  2536,  2540,  2544,  2548,  2552,
    2556,  2560,  2564,  2568,  2572,  2576,  2580,  2588,  2592,  2600,
    2604,  2609,  2615,  2620,  2626,  2631,  2637,  2645,  2650,  2656,
    2660,  2668,  2672,  2676,  2680,  2688,  2696,  2700,  2708,  2712,
    2716,  2720,  2728,  2733,  2741,  2752,  2763,  2767,  2775,  2779,
    2783,  2791,  2795,  2803,  2808,  2814,  2818,  2822,  2826,  2830,
    2834,  2838,  2842,  2846,  2850,  2854,  2858,  2866,  2871,  2877,
    2882,  2888,  2893,  2899,  2904,  2910,  2914,  2922,  2930,  2934,
    2938,  2942,  2947,  2953,  2957,  2965,  2973,  2977,  2981,  2985,
    2993,  2997,  3001,  3005,  3009,  3013,  3017,  3022,  3028,  3033,
    3039,  3044,  3050,  3054,  3062,  3066,  3074,  3078,  3082,  3090,
    3094,  3102,  3110,  3118,  3123,  3129,  3133,  3137,  3141,  3149,
    3153,  3157,  3161,  3165,  3169,  3173,  3181,  3185,  3189,  3193,
    3201,  3209,  3213,  3218,  3224,  3228,  3232,  3236,  3240,  3244,
    3252,  3256,  3264,  3268,  3272,  3276,  3280,  3284,  3288,  3296,
    3301,  3307,  3311,  3319,  3327,  3331,  3336,  3341,  3347,  3351,
    3359,  3363,  3371,  3376,  3382,  3386,  3390,  3394,  3399,  3405,
    3413,  3421,  3425,  3429,  3433,  3437,  3445,  3450,  3456,  3460,
    3464,  3469,  3475,  3479,  3483,  3488,  3494,  3499,  3505,  3510,
    3516,  3524,  3532,  3537,  3543,  3547,  3555,  3563,  3567,  3572,
    3578,  3586,  3594,  3599,  3605,  3609,  3617,  3621,  3625,  3629,
    3633,  3637,  3641,  3645,  3649,  3653,  3657,  3661,  3669,  3674,
    3680,  3684,  3688,  3696,  3700,  3708,  3712,  3720,  3725,  3731,
    3735,  3743,  3748,  3754,  3758,  3766,  3771,  3777,  3781,  3789,
    3794,  3800,  3808,  3813,  3819,  3823,  3831,  3835,  3843,  3848,
    3854,  3858,  3862,  3870,  3878,  3883,  3889,  3897,  3901,  3905,
    3909,  3913,  3917,  3921,  3925,  3929,  3933,  3937,  3941,  3945,
    3949,  3953,  3957,  3961,  3965,  3969,  3973,  3977,  3981,  3989,
    3997,  4001,  4005,  4009,  4017,  4021,  4029,  4034,  4040,  4044,
    4052,  4056,  4064,  4069,  4075,  4079,  4087,  4095,  4099,  4107,
    4111,  4115,  4119,  4127,  4135,  4143,  4151,  4159,  4164,  4170,
    4174,  4182,  4187,  4193,  4197,  4205,  4209,  4213,  4221,  4225,
    4233,  4237,  4245,  4249,  4257,  4265,  4273,  4281,  4285,  4289,
    4297,  4301,  4309,  4317,  4321,  4329,  4333,  4337,  4345,  4349,
    4357,  4361,  4365,  4369,  4373,  4381,  4386,  4392,  4397,  4403,
    4407,  4415,  4420,  4426,  4430,  4435,  4441,  4445,  4449,  4453,
    4461,  4466,  4473,  4475,  4483,  4487,  4491,  4495,  4499,  4507,
    4511,  4519,  4528,  4537,  4541,  4545,  4549,  4553,  4557,  4561,
    4565,  4569,  4573,  4577,  4581,  4585,  4593,  4601,  4605,  4613,
    4617,  4625,  4629,  4633,  4637,  4641,  4649,  4653,  4661,  4669,
    4673,  4681,  4689,  4694,  4700,  4704,  4712,  4716,  4720,  4728,
    4736,  4740,  4748,  4752,  4756,  4760,  4764,  4772,  4777,  4783,
    4788,  4794,  4798,  4803,  4809,  4815,  4821,  4829,  4833,  4841,
    4845,  4853,  4857,  4865,  4869,  4877,  4881,  4889,  4897,  4905,
    4909,  4917,  4921,  4925,  4929,  4933,  4937,  4941,  4945,  4949,
    4953,  4957,  4961,  4965,  4969,  4973,  4981,  4985,  4993,  4997,
    5005,  5009,  5017,  5025,  5029,  5034,  5040,  5044,  5048,  5052,
    5056,  5060,  5064,  5068,  5072,  5076,  5080,  5084,  5088,  5092,
    5096,  5100,  5104,  5112,  5116,  5120,  5124,  5128,  5132,  5136,
    5140,  5144,  5148,  5152,  5156,  5160,  5164,  5168,  5172,  5176,
    5184,  5188,  5196,  5200,  5204,  5208,  5212,  5220,  5225,  5231,
    5235,  5239,  5243,  5247,  5251,  5255,  5259,  5267,  5271,  5279,
    5283,  5287,  5291,  5297,  5303,  5309,  5315,  5321,  5327,  5333,
    5343,  5354,  5365,  5376,  5387,  5398,  5409,  5425,  5441,  5457,
    5468,  5484,  5495,  5511,  5526,  5530,  5538,  5543,  5549,  5557,
    5561,  5569,  5573,  5577,  5581,  5585,  5593,  5597,  5605,  5609,
    5613,  5617,  5625,  5629,  5633,  5637,  5641,  5645,  5649,  5653,
    5657,  5661,  5665,  5669,  5673,  5677,  5685,  5689,  5697,  5701,
    5709,  5714,  5720,  5724,  5732,  5740,  5748,  5752,  5760,  5765,
    5771,  5776,  5782,  5790,  5795,  5801,  5805,  5809,  5817,  5821,
    5825,  5833,  5837,  5841,  5849,  5857,  5862,  5868,  5873,  5879,
    5884,  5890,  5895,  5901,  5905,  5913,  5917,  5921,  5929,  5934,
    5940,  5944,  5949,  5955,  5959,  5964,  5970,  5974,  5979,  5985,
    5989,  5993,  6001,  6006,  6012,  6016,  6024,  6028,  6036,  6040,
    6048,  6052,  6060,  6064,  6068,  6072,  6076,  6084,  6088,  6092,
    6096,  6100,  6108,  6116,  6124,  6128,  6132,  6140,  6144,  6148,
    6156,  6160,  6168,  6172,  6176,  6180,  6184,  6188,  6192,  6196,
    6200,  6204,  6208,  6212,  6216,  6224,  6228,  6232,  6236,  6244,
    6248,  6256,  6261,  6267,  6275,  6279,  6287,  6295,  6299,  6307,
    6312,  6318,  6322,  6330,  6334,  6342,  6346,  6354,  6358,  6362,
    6366,  6374,  6378,  6386,  6394,  6398,  6406,  6410,  6418,  6422,
    6426,  6434,  6438,  6443,  6449,  6457,  6462,  6468,  6472,  6476,
    6484,  6488,  6496,  6501,  6507,  6511,  6515,  6519,  6523,  6527,
    6531,  6535,  6539,  6543,  6547,  6551,  6555,  6559,  6563,  6567,
    6571,  6575,  6579,  6583,  6587,  6591,  6595,  6599,  6603,  6607,
    6611,  6615,  6619,  6627,  6632,  6638,  6643,  6649,  6653,  6657,
    6661,  6665,  6669,  6673,  6677,  6681,  6685,  6689,  6693,  6697,
    6701,  6705,  6709,  6713,  6717,  6725,  6729,  6733,  6737,  6741,
    6745,  6749,  6753,  6757,  6761,  6765,  6769,  6773,  6777,  6781,
    6785,  6789,  6793,  6801,  6809,  6813,  6817,  6825,  6829,  6837,
    6841,  6845,  6849,  6853,  6861,  6866,  6872,  6876,  6880,  6884,
    6892,  6896,  6901,  6907,  6911,  6919,  6927,  6932,  6938,  6946,
    6950,  6958,  6962,  6966,  6970,  6974,  6978,  6982,  6986,  6990,
    6994,  6998,  7002,  7006,  7010,  7018,  7022,  7027,  7033,  7037,
    7041,  7045,  7049,  7057,  7061,  7065,  7073,  7078,  7084,  7088,
    7096,  7101,  7106,  7112,  7118,  7126,  7134,  7139,  7145,  7149,
    7153,  7157,  7161,  7165,  7169,  7173,  7177,  7181,  7185,  7189,
    7193,  7197,  7201,  7205,  7213,  7218,  7224,  7228,  7236,  7244,
    7249,  7255,  7263,  7267,  7275,  7283,  7287,  7291,  7295,  7299,
    7307,  7312,  7318,  7326,  7330,  7334,  7338,  7342,  7346,  7354,
    7362,  7366,  7370,  7378,  7383,  7389,  7393,  7397,  7401,  7405,
    7413,  7417,  7425,  7429,  7433,  7437,  7445,  7449,  7457,  7461,
    7469,  7474,  7480,  7485,  7491,  7496,  7502,  7507,  7513,  7517,
    7521,  7525,  7533,  7537,  7541,  7545,  7549,  7553,  7557,  7565,
    7569,  7577,  7585,  7589,  7593,  7601,  7605,  7610,  7616,  7622,
    7632,  7637,  7643,  7647,  7651,  7655,  7663,  7665,  7673,  7678,
    7684,  7692,  7696,  7700,  7708,  7712,  7720,  7728,  7733,  7739,
    7747,  7752,  7758,  7766,  7771,  7777,  7781,  7785,  7789,  7793,
    7797,  7801,  7805,  7813,  7818,  7824,  7832,  7836,  7844,  7848,
    7856,  7864,  7872,  7880,  7884,  7892,  7945,  7949,  7962,  7964,
    7968,  7972,  7976,  7985,  7991,  7995,  8003,  8007,  8015,  8019,
    8027,  8031,  8035,  8039,  8043,  8047,  8051,  8055,  8063,  8067,
    8075,  8079,  8083,  8087,  8091,  8095,  8103,  8107,  8115,  8119,
    8127,  8135,  8140,  8146,  8151,  8153,  8159,  8163,  8167,  8171,
    8175,  8179,  8183,  8187,  8191,  8199,  8204,  8210,  8214,  8219,
    8225,  8229,  8233,  8238,  8244,  8249,  8255,  8263,  8267,  8275,
    8279,  8287,  8291,  8295,  8299,  8307,  8312,  8318,  8322,  8327,
    8335,  8339,  8347,  8351,  8359,  8367,  8371,  8376,  8382,  8390,
    8394,  8402,  8406,  8414,  8419,  8425,  8430,  8436,  8440,  8448,
    8453,  8459,  8463,  8471,  8475,  8483,  8488,  8494,  8498,  8506,
    8511,  8517,  8521,  8529,  8533,  8537,  8541,  8545,  8549,  8553,
    8557,  8563,  8567,  8571,  8579,  8583,  8587,  8591,  8595,  8599,
    8607,  8611,  8615,  8619,  8627,  8631,  8635,  8639,  8647,  8652,
    8658,  8662,  8670,  8674,  8678,  8682,  8690,  8694,  8702,  8706,
    8710,  8718,  8726,  8731,  8737,  8741,  8747,  8753,  8758,  8764,
    8768,  8776,  8784,  8786,  8788,  8792,  8796,  8800,  8808,  8818,
    8829,  8838,  8842,  8846,  8850,  8854,  8858,  8862,  8870,  8874,
    8878,  8882,  8890,  8894,  8902,  8907,  8913,  8917,  8921,  8925,
    8929,  8933,  8937,  8941,  8945,  8949,  8953,  8961,  8966,  8972,
    8976,  8984,  8988,  8996,  9004,  9012,  9016,  9024,  9028,  9036,
    9044,  9052,  9056,  9060,  9064,  9068,  9072,  9080,  9085,  9091,
    9096,  9102,  9106,  9110,  9114,  9122,  9130,  9134,  9139,  9145,
    9149,  9153,  9157,  9161,  9165,  9169,  9173,  9177,  9181,  9185,
    9189,  9193,  9198,  9204,  9208,  9216,  9220,  9224,  9228,  9232,
    9236,  9240,  9244,  9248,  9252,  9256,  9260,  9264,  9268,  9272,
    9276,  9280,  9284,  9288,  9292,  9296,  9300,  9304,  9308,  9312,
    9316,  9320,  9324,  9328,  9332,  9336,  9340,  9344,  9348,  9352,
    9356,  9360,  9364,  9368,  9372,  9376,  9380,  9384,  9388,  9392,
    9396,  9400,  9404,  9408,  9412,  9416,  9420,  9424,  9428,  9432,
    9436,  9440,  9445,  9449,  9457,  9461,  9465,  9469,  9473,  9477,
    9481,  9485,  9489,  9493,  9497,  9501,  9505,  9509,  9513,  9517,
    9521,  9525,  9529,  9533,  9537,  9541,  9549,  9553,  9557,  9561,
    9565,  9569,  9573,  9577,  9581,  9585,  9589,  9593,  9601,  9605,
    9609,  9613,  9617,  9621,  9625,  9629,  9633,  9637,  9641,  9645,
    9649,  9653,  9657,  9661,  9665,  9669,  9673,  9677,  9681,  9685,
    9689,  9693,  9697,  9701,  9705,  9709,  9713,  9717,  9721,  9725,
    9729,  9733,  9737,  9741,  9745,  9749,  9753,  9757,  9761,  9765,
    9769,  9773,  9777,  9781,  9785,  9789,  9793,  9801,  9805,  9813,
    9817,  9821,  9826,  9832,  9840,  9844,  9852,  9856,  9864,  9868,
    9876,  9880,  9885,  9891,  9895,  9899,  9903,  9911,  9916,  9922,
    9926,  9934,  9942,  9946,  9951,  9957,  9965,  9969,  9976,  9981,
    9987,  9992,  9997, 10003, 10007, 10015, 10019, 10023, 10027, 10031,
   10039, 10043, 10047, 10055, 10059, 10063, 10071, 10075, 10083, 10087,
   10091, 10095, 10099, 10103, 10107, 10111, 10115, 10123, 10127, 10135,
   10139, 10147, 10151, 10155, 10159, 10163, 10167, 10175, 10179, 10187,
   10191, 10199, 10203, 10211, 10215, 10223, 10227, 10231, 10239, 10243,
   10251, 10256, 10262, 10266, 10270, 10274, 10278, 10282, 10286, 10290,
   10298, 10302, 10310, 10318, 10323, 10329, 10333, 10337, 10341, 10345,
   10350, 10356, 10364, 10372, 10376, 10380, 10388, 10392, 10400, 10408,
   10412, 10420, 10428, 10433, 10439, 10444, 10450, 10454, 10462, 10466,
   10470, 10474, 10482, 10486, 10495, 10497, 10505, 10510, 10516, 10520,
   10528, 10532, 10540, 10548, 10552, 10560, 10564, 10568, 10572, 10580,
   10584, 10592, 10596, 10604, 10608, 10616, 10624, 10632, 10640, 10648,
   10656, 10664, 10668, 10676, 10680, 10684, 10688, 10692, 10696, 10700,
   10704, 10708, 10712, 10716, 10720, 10724, 10728, 10729, 10734, 10740,
   10748, 10752, 10753, 10757, 10765, 10769, 10773, 10777, 10781, 10785,
   10789, 10793, 10797, 10801, 10805, 10809, 10813, 10817, 10821, 10825,
   10829, 10833, 10837, 10841, 10845, 10849, 10853, 10857, 10861, 10865,
   10869, 10873, 10877, 10881, 10885, 10889, 10893, 10897, 10901, 10905,
   10909, 10913, 10917, 10921, 10925, 10929, 10933, 10937, 10941, 10945,
   10949, 10953, 10957, 10961, 10965, 10969, 10973, 10977, 10981, 10985,
   10989, 10993, 10997, 11001, 11005, 11009, 11013, 11017, 11021, 11025,
   11029, 11033, 11037, 11041, 11045, 11049, 11053, 11057, 11061, 11065,
   11069, 11073, 11077, 11081, 11085, 11089, 11093, 11097, 11101, 11105,
   11109, 11113, 11117, 11121, 11125, 11129, 11133, 11137, 11141, 11145,
   11149, 11153, 11157, 11161, 11165, 11169, 11173, 11177, 11181, 11185,
   11189, 11193, 11197, 11201, 11205, 11209, 11213, 11217, 11221, 11225,
   11229, 11233, 11237, 11241, 11245, 11249, 11253, 11257, 11261, 11265,
   11269, 11273, 11277, 11281, 11285, 11289, 11293, 11297, 11301, 11305,
   11309, 11313, 11317, 11321, 11325, 11329, 11333, 11337, 11341, 11345,
   11349, 11353, 11357, 11361, 11365, 11369, 11373, 11377, 11381, 11385,
   11389, 11393, 11397, 11401, 11405, 11409, 11413, 11417, 11421, 11425,
   11429, 11433, 11437, 11441, 11445, 11449, 11453, 11457, 11461, 11465,
   11469, 11473, 11477, 11481, 11485, 11489, 11493, 11497, 11501, 11505,
   11509, 11513, 11517, 11521, 11525, 11529, 11533, 11537, 11541, 11545,
   11549, 11553, 11557, 11561, 11565, 11569, 11573, 11577, 11581, 11585,
   11589, 11593, 11597, 11601, 11605, 11609, 11613, 11617, 11621, 11625,
   11629, 11633, 11637, 11641, 11645, 11649, 11653, 11657, 11661, 11665,
   11669, 11673, 11677, 11681, 11685, 11689, 11693, 11697, 11701, 11705,
   11709, 11713, 11717, 11725, 11729, 11733, 11737, 11741, 11745, 11749,
   11753, 11757, 11761, 11765, 11769, 11773, 11777, 11781, 11785, 11789,
   11793, 11797, 11801, 11805, 11809, 11813, 11817, 11821, 11825, 11829,
   11833, 11837, 11841, 11845, 11849, 11853, 11857, 11861, 11865, 11869,
   11873, 11877, 11881, 11885, 11889, 11893, 11897, 11905, 11909, 11913,
   11917, 11921, 11925, 11929, 11933, 11937, 11941, 11945, 11949, 11953,
   11957, 11961, 11965, 11969, 11973, 11977, 11981, 11985, 11989, 11997,
   12001, 12005, 12009, 12013, 12017, 12021, 12025, 12029, 12033, 12037,
   12041, 12045, 12049, 12053, 12057, 12061, 12065, 12069, 12073, 12077,
   12081, 12085, 12089, 12093, 12097, 12101, 12105, 12109, 12113, 12117,
   12121, 12125, 12129, 12133, 12137, 12141, 12145, 12149, 12153, 12157,
   12161, 12165, 12169, 12173, 12177, 12181, 12185, 12189, 12193, 12197,
   12201, 12205, 12209, 12213, 12217, 12221, 12225, 12229, 12233, 12237,
   12241, 12245, 12249, 12253, 12257, 12261, 12265, 12269, 12273, 12277,
   12281, 12285, 12289, 12299, 12300, 12303, 12304, 12305, 12311, 12312,
   12313, 12314, 12315, 12328, 12328, 12337, 12353, 12355, 12358, 12360,
   12364, 12376, 12392, 12396, 12407, 12408, 12411, 12423, 12432, 12433,
   12436, 12437, 12438, 12441, 12442, 12445, 12446, 12449, 12450, 12453,
   12455, 12457, 12459, 12463, 12470, 12477, 12493, 12527, 12537, 12540,
   12542, 12555, 12556, 12558, 12560, 12564, 12577, 12584, 12645, 12654,
   12656, 12657, 12660, 12662, 12663, 12666, 12667, 12668, 12669, 12670,
   12677, 12676, 12686, 12688, 12690, 12691, 12694, 12695, 12696, 12697,
   12700, 12701, 12705, 12704, 12721, 12719, 12735, 12734, 12748, 12754,
   12755, 12758, 12760, 12761, 12764, 12765, 12766, 12767, 12770, 12771,
   12774, 12782, 12799, 12807, 12830, 12936, 12970, 12972, 12974, 12978,
   12982, 12981, 13032, 13034, 13033, 13048, 13054, 13061, 13066, 13069,
   13070, 13073, 13074, 13075, 13076, 13077, 13078, 13079, 13087, 13095,
   13098, 13099, 13100, 13101, 13102, 13103, 13111, 13119, 13120, 13121,
   13124, 13125, 13128, 13130, 13134, 13222, 13223, 13230, 13231, 13232,
   13238, 13247, 13250, 13251, 13252, 13253, 13256, 13257, 13258, 13261,
   13263, 13271, 13272, 13278, 13286, 13287, 13290, 13291, 13294, 13299,
   13306, 13311, 13318, 13325, 13325, 13327, 13334, 13335, 13338, 13339,
   13340, 13341, 13342, 13343, 13344, 13345, 13346, 13352, 13359, 13371,
   13377, 13384, 13392, 13393, 13405, 13416, 13427, 13431, 13432, 13435,
   13440, 13444, 13445, 13448, 13454, 13462, 13465, 13472, 13476, 13477,
   13480, 13483, 13487, 13488, 13491, 13497, 13505, 13506, 13515, 13524,
   13536, 13537, 13538, 13539, 13540, 13541, 13542, 13543, 13544, 13545,
   13546, 13547, 13548, 13549, 13550, 13557, 13558, 13561, 13562, 13569,
   13570, 13571, 13578, 13577, 13594, 13595, 13602, 13601, 13671, 13677,
   13683, 13691, 13697, 13703, 13709, 13715, 13721, 13727, 13733, 13739,
   13750, 13751, 13754, 13755, 13756, 13757, 13758, 13759, 13760, 13761,
   13762, 13763, 13764, 13765, 13766, 13767, 13768, 13769, 13770, 13771,
   13772, 13773, 13774, 13775, 13776, 13777, 13780, 13781, 13782, 13783,
   13784, 13785, 13789, 13790, 13791, 13792, 13793, 13794, 13795, 13798,
   13801, 13802, 13803, 13804, 13805, 13806, 13807, 13808, 13821, 13822,
   13823, 13824, 13825, 13826, 13827, 13832, 13833, 13834, 13835, 13836,
   13837, 13843, 13844, 13845, 13846, 13847, 13848, 13849, 13850, 13851,
   13852, 13853, 13856, 13857, 13858, 13859, 13860, 13863, 13864, 13865,
   13866, 13869, 13870, 13871, 13872, 13873, 13874, 13875, 13892, 13893,
   13894, 13897, 13898, 13899, 13900, 13901, 13902, 13906, 13906, 13909,
   13915, 13916, 13919, 13921, 13926, 13936, 13947, 13954, 13955, 13956,
   13959, 13992, 13994, 13996, 13999, 14009, 14019, 14029, 14030, 14033,
   14035, 14036, 14037, 14040, 14042, 14050, 14051, 14052, 14056, 14057,
   14061, 14062, 14065, 14066, 14069, 14070, 14071, 14072, 14073, 14076,
   14077, 14078, 14079, 14080, 14081, 14082, 14083, 14084, 14085, 14086,
   14087, 14088, 14089, 14090, 14091, 14092, 14093, 14094, 14095, 14096,
   14097, 14098, 14099, 14100, 14101, 14102, 14103, 14104, 14105, 14106,
   14107, 14108, 14109, 14110, 14111, 14112, 14113, 14114, 14115, 14116,
   14117, 14118, 14119, 14120, 14121, 14122, 14123, 14124, 14125, 14126,
   14127, 14128, 14129, 14130, 14131, 14134, 14135, 14136, 14137, 14140,
   14141, 14142, 14143, 14144, 14145, 14146, 14147, 14148, 14151, 14152,
   14153, 14154, 14155, 14158, 14159, 14162, 14163, 14174, 14175
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,    61,    60,    62,
     742,    43,    45,    42,    47,    37,    94,   743,    91,    93,
      40,    41,    46,    44,    59,    58,   123,   125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   508,   509,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   511,   512,   512,   513,   513,   514,   514,
     515,   515,   515,   515,   515,   515,   515,   515,   515,   516,
     516,   516,   516,   516,   516,   517,   518,   519,   519,   520,
     521,   522,   523,   523,   524,   524,   525,   526,   527,   527,
     528,   528,   529,   529,   530,   530,   531,   531,   532,   532,
     532,   532,   532,   532,   533,   533,   533,   534,   534,   534,
     534,   534,   534,   534,   534,   534,   534,   534,   534,   534,
     534,   534,   535,   535,   536,   536,   537,   537,   538,   538,
     538,   538,   539,   539,   539,   539,   540,   540,   540,   540,
     540,   540,   540,   541,   541,   541,   542,   542,   543,   543,
     543,   543,   543,   544,   544,   545,   545,   545,   545,   545,
     546,   547,   547,   548,   548,   549,   550,   550,   550,   550,
     551,   551,   551,   551,   552,   552,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   554,   554,   555,
     555,   555,   556,   556,   557,   557,   558,   559,   559,   560,
     560,   561,   561,   561,   561,   562,   563,   563,   564,   564,
     564,   564,   565,   565,   566,   566,   567,   567,   568,   568,
     568,   569,   569,   570,   570,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   571,   572,   572,   573,
     573,   574,   574,   575,   575,   576,   576,   577,   578,   578,
     578,   578,   578,   579,   579,   580,   581,   581,   581,   581,
     582,   582,   582,   582,   582,   582,   582,   582,   583,   583,
     584,   584,   585,   585,   586,   586,   587,   587,   587,   588,
     588,   589,   590,   591,   591,   592,   592,   592,   592,   593,
     593,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     595,   596,   596,   596,   597,   597,   597,   597,   597,   597,
     598,   598,   599,   599,   599,   599,   599,   599,   599,   600,
     600,   601,   601,   602,   603,   603,   603,   603,   604,   604,
     605,   605,   606,   606,   607,   607,   607,   607,   607,   608,
     609,   610,   610,   610,   610,   610,   611,   611,   612,   612,
     612,   612,   613,   613,   613,   613,   614,   614,   615,   615,
     616,   617,   618,   618,   619,   619,   620,   621,   621,   621,
     622,   623,   624,   624,   625,   625,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   627,   627,
     628,   628,   628,   629,   629,   630,   630,   631,   631,   632,
     632,   633,   633,   634,   634,   635,   635,   636,   636,   637,
     637,   638,   639,   639,   640,   640,   641,   641,   642,   642,
     643,   643,   643,   644,   645,   645,   646,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   648,
     649,   649,   649,   649,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   657,   657,   658,
     658,   658,   658,   659,   660,   661,   662,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   667,   668,   668,
     669,   669,   670,   670,   671,   672,   673,   674,   674,   674,
     675,   675,   676,   677,   677,   678,   678,   678,   679,   679,
     680,   680,   680,   680,   680,   681,   681,   682,   682,   683,
     683,   684,   684,   685,   685,   685,   686,   686,   686,   686,
     687,   687,   688,   688,   689,   689,   689,   689,   689,   690,
     690,   691,   692,   693,   693,   693,   693,   693,   693,   693,
     693,   693,   693,   693,   693,   693,   694,   695,   695,   696,
     696,   697,   697,   697,   697,   697,   698,   698,   699,   700,
     700,   701,   702,   702,   703,   703,   704,   704,   704,   705,
     706,   706,   707,   707,   707,   707,   707,   708,   708,   709,
     709,   710,   710,   710,   711,   711,   712,   713,   713,   714,
     714,   715,   715,   716,   716,   717,   717,   718,   719,   720,
     720,   721,   721,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   721,   721,   721,   721,   722,   722,   723,   723,
     724,   724,   725,   726,   726,   726,   727,   727,   727,   727,
     727,   727,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   727,   728,   728,   728,   728,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   728,   728,   728,
     729,   729,   730,   730,   730,   730,   730,   731,   731,   732,
     732,   732,   732,   732,   732,   732,   732,   733,   733,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   736,   736,   737,   737,   738,   739,
     739,   740,   740,   740,   740,   740,   741,   741,   742,   742,
     742,   742,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   744,   744,   745,   745,
     746,   746,   747,   747,   748,   749,   750,   750,   751,   751,
     752,   752,   753,   754,   754,   755,   755,   755,   756,   756,
     756,   757,   757,   757,   758,   759,   759,   760,   760,   761,
     761,   762,   762,   763,   763,   764,   764,   764,   765,   765,
     766,   766,   766,   767,   767,   767,   768,   768,   768,   769,
     769,   769,   770,   770,   771,   771,   772,   772,   773,   773,
     774,   774,   775,   775,   775,   775,   775,   776,   776,   776,
     776,   776,   777,   778,   779,   779,   779,   780,   780,   780,
     781,   781,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   783,   783,   783,   783,   784,
     784,   785,   785,   786,   787,   787,   788,   789,   789,   790,
     790,   791,   791,   792,   792,   793,   793,   794,   794,   794,
     794,   795,   795,   796,   797,   797,   798,   798,   799,   799,
     799,   800,   800,   800,   801,   802,   802,   803,   803,   803,
     804,   804,   805,   805,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   807,   807,   808,   808,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   810,   810,   810,   810,   810,
     810,   810,   810,   810,   810,   810,   810,   810,   810,   810,
     810,   810,   810,   811,   812,   812,   812,   813,   813,   814,
     814,   814,   814,   814,   815,   815,   816,   816,   816,   816,
     817,   817,   817,   818,   818,   819,   820,   820,   821,   822,
     822,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   824,   824,   824,   825,   825,
     825,   825,   825,   826,   826,   826,   827,   827,   828,   828,
     829,   829,   829,   829,   830,   831,   832,   832,   833,   833,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   834,   834,   835,   835,   836,   837,
     837,   838,   839,   839,   840,   841,   841,   841,   841,   841,
     842,   842,   843,   844,   844,   844,   844,   844,   844,   845,
     846,   846,   846,   847,   847,   848,   848,   848,   848,   848,
     849,   849,   850,   850,   850,   850,   851,   851,   852,   852,
     853,   853,   854,   854,   855,   855,   856,   856,   857,   857,
     857,   857,   858,   858,   858,   858,   858,   858,   858,   859,
     859,   860,   861,   861,   861,   862,   862,   862,   863,   863,
     864,   864,   865,   865,   865,   865,   866,   866,   867,   867,
     868,   869,   869,   869,   870,   870,   871,   872,   872,   873,
     874,   874,   875,   876,   876,   877,   877,   877,   877,   877,
     877,   877,   877,   878,   878,   879,   880,   880,   881,   881,
     882,   883,   884,   885,   885,   886,   887,   887,   888,   888,
     888,   888,   888,   889,   889,   889,   890,   890,   891,   891,
     892,   892,   892,   892,   892,   892,   892,   892,   893,   893,
     894,   894,   894,   894,   894,   894,   895,   895,   896,   896,
     897,   898,   898,   899,   899,   899,   900,   900,   900,   900,
     900,   900,   900,   900,   900,   901,   901,   902,   902,   902,
     903,   903,   903,   903,   904,   904,   905,   906,   906,   907,
     907,   908,   908,   908,   908,   909,   909,   910,   910,   910,
     911,   911,   912,   912,   913,   914,   914,   914,   915,   916,
     916,   917,   917,   918,   918,   919,   919,   920,   920,   921,
     921,   922,   922,   923,   923,   924,   924,   925,   925,   926,
     926,   927,   927,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   929,   929,   929,   929,   929,   929,
     930,   930,   930,   930,   931,   931,   931,   931,   932,   932,
     933,   933,   934,   934,   934,   934,   935,   935,   936,   936,
     936,   937,   938,   938,   939,   939,   939,   940,   940,   941,
     941,   942,   943,   943,   943,   943,   943,   943,   944,   944,
     944,   945,   945,   945,   945,   945,   945,   945,   946,   946,
     946,   946,   947,   947,   948,   948,   949,   949,   949,   949,
     949,   949,   949,   949,   949,   949,   949,   950,   950,   951,
     951,   952,   952,   953,   954,   955,   955,   956,   956,   957,
     958,   959,   959,   959,   959,   959,   959,   960,   960,   961,
     961,   962,   962,   962,   962,   963,   964,   964,   964,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   966,   966,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,   967,   967,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   971,   971,   972,
     972,   972,   972,   973,   974,   974,   975,   975,   976,   976,
     977,   977,   977,   978,   978,   978,   978,   979,   979,   980,
     980,   981,   982,   982,   982,   983,   984,   984,   985,   985,
     986,   986,   986,   987,   987,   988,   988,   988,   988,   988,
     989,   989,   989,   990,   990,   990,   991,   991,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   993,   993,   994,
     994,   995,   995,   995,   995,   995,   995,   996,   996,   997,
     997,   998,   998,   999,   999,  1000,  1000,  1000,  1001,  1001,
    1002,  1002,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1004,  1004,  1005,  1006,  1006,  1007,  1007,  1007,  1007,  1007,
    1007,  1008,  1009,  1010,  1010,  1010,  1011,  1011,  1012,  1013,
    1013,  1014,  1015,  1015,  1016,  1016,  1017,  1017,  1018,  1018,
    1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,  1022,
    1023,  1023,  1024,  1025,  1025,  1026,  1026,  1026,  1026,  1027,
    1027,  1028,  1028,  1029,  1029,  1030,  1031,  1032,  1033,  1034,
    1035,  1036,  1036,  1037,  1037,  1037,  1037,  1037,  1037,  1037,
    1037,  1037,  1037,  1037,  1037,  1037,  1037,  1037,  1038,  1039,
    1040,  1040,  1040,  1040,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,  1042,
    1042,  1042,  1042,  1042,  1042,  1042,  1042,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1045,  1045,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1048,  1047,  1049,  1050,  1050,  1050,  1050,
    1051,  1051,  1051,  1051,  1052,  1052,  1053,  1054,  1055,  1055,
    1056,  1056,  1056,  1057,  1057,  1058,  1058,  1059,  1059,  1060,
    1060,  1060,  1060,  1061,  1061,  1061,  1062,  1063,  1063,  1064,
    1064,  1065,  1065,  1065,  1065,  1066,  1066,  1067,  1068,  1069,
    1070,  1070,  1071,  1072,  1072,  1073,  1073,  1073,  1073,  1073,
    1075,  1074,  1076,  1077,  1078,  1078,  1079,  1079,  1079,  1079,
    1080,  1080,  1082,  1081,  1084,  1083,  1085,  1083,  1083,  1086,
    1086,  1087,  1087,  1087,  1088,  1088,  1088,  1088,  1089,  1089,
    1090,  1090,  1090,  1090,  1090,  1090,  1091,  1091,  1091,  1092,
    1094,  1093,  1095,  1096,  1095,  1097,  1097,  1098,  1098,  1099,
    1099,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,  1100,
    1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,  1101,
    1102,  1102,  1103,  1103,  1104,  1105,  1105,  1106,  1106,  1106,
    1107,  1108,  1109,  1109,  1109,  1109,  1110,  1110,  1110,  1111,
    1111,  1112,  1112,  1113,  1114,  1114,  1115,  1115,  1116,  1116,
    1117,  1117,  1118,  1119,  1119,  1120,  1120,  1120,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1122,  1122,  1122,
    1122,  1122,  1123,  1123,  1124,  1125,  1126,  1127,  1127,  1128,
    1129,  1130,  1130,  1131,  1132,  1132,  1133,  1134,  1135,  1135,
    1136,  1137,  1138,  1138,  1139,  1140,  1140,  1140,  1140,  1140,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1142,  1142,  1143,  1143,  1144,
    1144,  1144,  1146,  1145,  1147,  1147,  1149,  1148,  1150,  1150,
    1150,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1152,  1152,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1154,  1154,  1154,  1154,
    1154,  1154,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1156,
    1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1158,  1158,
    1158,  1158,  1158,  1158,  1158,  1159,  1159,  1159,  1159,  1159,
    1159,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,
    1160,  1160,  1161,  1161,  1161,  1161,  1161,  1162,  1162,  1162,
    1162,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1164,  1164,
    1164,  1165,  1165,  1165,  1165,  1165,  1165,  1166,  1166,  1167,
    1168,  1168,  1169,  1169,  1170,  1171,  1172,  1173,  1173,  1173,
    1174,  1175,  1176,  1177,  1178,  1178,  1178,  1178,  1178,  1179,
    1180,  1180,  1180,  1181,  1181,  1182,  1182,  1182,  1183,  1183,
    1184,  1184,  1185,  1185,  1186,  1186,  1186,  1186,  1186,  1187,
    1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  1188,  1188,  1188,  1188,  1189,
    1189,  1189,  1189,  1189,  1189,  1189,  1189,  1189,  1190,  1190,
    1190,  1190,  1190,  1191,  1191,  1192,  1192,  1193,  1193
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     5,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     6,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     3,
       4,     3,     2,     2,     1,     3,     4,     5,     4,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       4,     4,     4,     4,     1,     3,     2,     3,     4,     6,
       6,     6,     5,     5,     6,     6,     4,     8,     2,     3,
       6,     4,     3,     3,     3,     3,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     4,     1,     3,     4,     6,
       4,     8,     2,     2,    10,     6,     1,     1,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     2,     1,     0,     2,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     3,     0,     1,     3,     1,    11,    14,    10,    13,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     3,     4,     2,     0,     3,     1,     1,     2,     2,
       1,     3,     4,     4,     2,     5,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     3,     8,     4,     9,    11,     3,
       0,     1,     3,     1,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     5,     3,     0,     1,     3,     1,     2,     3,     0,
       5,     4,     1,     0,     1,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     1,     3,     1,     0,
       1,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     6,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     6,     8,
       8,     8,     8,     6,     6,     7,     8,     6,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     6,     8,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,     2,     0,     2,
       2,     1,     0,     4,     6,     5,     4,     4,     8,    11,
       3,     2,     1,     3,     1,     5,     8,     1,     1,     1,
       7,     9,     8,    15,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     6,
       8,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     6,     8,     8,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     1,     3,     1,     2,
       2,     3,     5,     2,     2,     0,     6,     7,     7,     7,
       8,     8,     6,     8,     9,     9,     7,    10,     7,     8,
       8,     8,     8,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     3,
       1,     1,     8,     9,     9,     9,     9,     2,     0,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     3,     4,     5,     4,     5,     3,     4,     3,     4,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       4,     4,     4,     4,     1,     1,     1,     0,     7,     7,
      10,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     1,     2,     2,     4,     3,     2,     2,     2,
       3,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,    14,     1,     0,     1,     0,     1,
       0,     2,     0,     1,     3,     5,     5,     7,     2,     0,
       1,     2,     0,     1,     1,     0,     1,     1,     0,     9,
      12,     7,     2,     0,     3,     2,     1,     3,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     7,     6,     6,     6,     6,     6,
       7,     9,     9,     6,     6,     6,     6,     6,     7,     8,
       9,     8,     6,     6,     6,     5,     5,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     6,     6,
       6,     6,     6,     7,     9,     9,     6,     8,     8,     8,
       8,     6,     6,     7,     6,     7,     6,     6,     6,     6,
       6,     7,     7,     7,     9,     9,     6,     6,     6,     8,
       8,     8,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     6,     8,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     8,    10,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     6,     4,     6,     6,     5,     7,
       1,     0,     6,    11,    11,    11,    13,     9,    11,    10,
       4,     2,     5,     2,     0,     4,     5,     5,     4,     6,
       1,     3,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     1,     0,     5,     4,
       3,     0,     1,     1,     1,     1,     4,     8,     3,     0,
       6,     1,     4,     2,     1,     3,     2,     3,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     8,     1,     3,     1,     1,
       3,     5,     2,     1,     3,     7,     1,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     1,     2,     4,     4,     4,     2,     3,     1,     3,
       6,     1,     0,     2,     1,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     0,     3,     1,     3,     4,
       3,     2,     2,     1,     1,     1,     0,     2,     4,     5,
       2,     3,     1,     1,     1,     1,     3,     0,     1,     1,
       1,     1,     1,     3,     0,     2,     0,     1,     3,     1,
       0,     1,     2,     4,     4,     2,     0,     2,     3,     2,
       0,     1,     3,     1,     2,     1,     2,     5,     6,     5,
       1,     2,     1,     4,     3,     4,     5,     4,     5,     4,
       5,     2,     4,     1,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     1,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     3,     5,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     3,     5,     4,     6,
       3,     5,     4,     6,     4,     6,     5,     7,     3,     2,
       4,     2,     3,     3,     4,     3,     4,     3,     4,     5,
       6,     6,     7,     6,     7,     6,     7,     3,     4,     4,
       6,     2,     3,     4,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     4,     5,
       6,     8,     6,     7,     7,     5,     1,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     7,     2,     3,     3,
       3,     4,     0,     4,     1,     3,     3,     1,     1,     1,
       2,     2,     0,     2,     4,     4,     6,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     1,     3,     3,     3,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     2,     3,     0,     3,     3,     2,     2,     1,
       0,     2,     2,     3,     2,     1,     1,     3,     5,     1,
       2,     4,     2,     0,     1,     0,     1,     2,     2,     2,
       3,     5,     1,     2,     0,     2,     1,     0,     1,     1,
       1,     3,     3,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     5,
       2,     3,     6,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     2,     4,     3,     2,     1,     1,
       1,     1,     1,     0,     8,     2,     5,     3,     2,     2,
       3,     7,     1,     1,     1,     0,     2,     2,     1,     0,
       1,     3,     1,     2,     0,     2,     0,     2,     0,     1,
       3,     4,     3,     1,     1,     1,     1,     2,     0,     2,
       4,     0,     2,     2,     2,     1,     1,     7,     3,     1,
       1,     1,     1,     2,     0,     1,     3,     3,     3,     3,
       0,     4,     5,     5,     0,     1,     1,     1,     2,     2,
       1,     2,     0,     7,     0,     5,     0,     4,     2,     2,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     2,     1,     3,     2,     2,     3,
       0,     5,     1,     0,     5,     2,     2,     1,     1,     1,
       2,     2,     3,     1,     2,     2,     3,     3,     4,     2,
       1,     2,     1,     1,     2,     2,     3,     1,     1,     1,
       1,     0,     1,     3,     5,     0,     2,     0,     1,     2,
       3,     2,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     2,     2,     3,     0,     1,     2,     1,     4,     3,
       4,     3,     2,     1,     3,     1,     1,     1,     1,     2,
       2,     1,     2,     2,     1,     1,     1,     4,     4,     4,
       4,     4,     1,     0,     3,     3,     4,     1,     3,     3,
       4,     1,     3,     3,     1,     1,     1,     6,     1,     3,
       3,     6,     1,     3,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     1,     1,     4,
       4,     3,     0,     7,     1,     0,     0,     7,     3,     4,
       3,     1,     1,     1,     2,     3,     5,     2,     5,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     2,     3,     1,
       3,     3,     3,     3,     3,     3,     1,     1,     0,     2,
       2,     1,     1,     2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2213,     0,     2,     1,  2643,  2647,  2651,  2652,  2569,  2653,
    2654,  2619,  2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,
    2628,  2629,  2630,  2632,  2631,  2633,  2634,  2635,  2636,  2637,
    2638,  2639,  2640,  2642,  2641,  2591,  2220,  2588,  2585,  2586,
    2587,  2592,  2590,  2583,  2584,  1828,  2656,  2644,  2657,  2645,
    2646,  2648,  2649,  2618,  2650,  2658,  2659,  2660,  2655,  2663,
    2614,  2615,  2613,  2616,  2617,  2661,  2662,  2605,  2606,  2607,
    2608,  2664,  2221,  2222,  2610,  2214,  2218,  2280,  2351,  2611,
    2612,  2609,  2219,  2604,  2351,     0,  2472,  2473,  2474,     0,
    2475,  2476,  2477,  2403,  2365,  2478,     0,     0,  2479,  2480,
    2481,  2482,  2483,  2484,  2485,  2486,     0,  2487,  2488,  2489,
    2490,  2350,  2491,  2492,  2493,  2494,  2495,  2327,  2333,  2456,
       0,  2307,  2308,  2304,  2306,  2305,  2309,  2292,  1117,   520,
    1199,  1198,     0,  2117,  1117,  2073,  2074,  2118,  2075,  2076,
    2077,   245,     0,  1201,  2078,     0,  1117,  2119,   348,   913,
    2120,  2121,  2235,     0,  2079,  2080,     0,     0,     0,   520,
    1117,     0,     0,  2081,  1312,  2082,     0,  2083,  2122,  2123,
       0,  2084,  2124,  2125,  2085,  2086,  2087,  2126,  2127,  2128,
    2088,  2129,  2130,     0,     0,  1326,     0,  2089,  2131,  2090,
    2091,     0,  2132,  2092,  2093,  2094,  2133,  2134,  2135,  2095,
    2096,  2097,     0,  2098,     0,     0,     0,     0,     0,  2136,
    1117,  2099,     0,     0,  1333,     0,  2100,     0,  2137,  2101,
       0,  2102,     0,  2103,  2104,  2105,  2106,  1326,  2452,  2328,
       0,  1203,     0,  2107,  2138,     0,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,     0,     0,    54,    55,    21,
      20,    26,    25,    77,    78,    44,    14,    68,    49,   110,
     109,   111,    32,    28,    62,    18,    19,    29,    33,    51,
      50,    17,    48,    72,    52,    75,    39,     8,     9,    40,
      66,    10,    41,    67,    11,    42,    12,    56,    79,    24,
      53,    76,    35,    64,    60,     7,    45,    46,    47,    69,
      70,    71,    93,    74,   105,    31,   102,    83,    84,    99,
      85,   100,     5,    86,    43,    13,    96,    95,    97,    63,
      36,    65,    94,    98,    15,    16,   101,    73,    91,    88,
     106,   104,   112,    89,    57,     3,     4,    80,    38,     6,
      23,    22,    37,    30,   108,    27,  1201,    82,    92,    81,
      87,    61,    90,   107,    59,   103,  1299,  1286,  1335,  1298,
    1311,     0,  1301,  2548,  2549,    34,  1312,   114,   115,   120,
    2217,  2269,  2270,  2271,  2351,  2302,  2303,  2296,  2312,  2322,
    2311,  2315,  2323,  2310,  2329,     0,   117,   119,   121,   124,
     118,   113,   116,   123,   128,   122,   127,   125,   126,   129,
     130,   131,  2550,  1512,  2547,    58,  2287,  2286,     0,  2351,
       0,  2496,  2497,  2498,  2499,  2500,  2501,  2551,  2552,  2553,
    2554,  2555,  2557,  2556,  2580,  1834,  1835,  1836,  1837,  1838,
    1839,  1840,  1841,  1842,  1843,  1844,  1845,  1846,  1847,  1848,
    1849,  1850,  1851,  1852,  1853,  1854,  1855,  1856,  1857,  1858,
    2523,  1859,  1860,  1861,  1862,  1863,  1864,  1865,  1866,  1867,
    1868,  1869,  2560,  1870,  1871,  1872,  1873,  1874,  1875,  1876,
    1877,  1878,  1879,  1880,  2561,  1881,  1882,  1883,  1884,  1885,
    1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,
    1896,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,  1905,
    1906,  1907,  1908,  1909,  1910,  1911,  1912,  1913,  1914,  1915,
    1916,  1917,  1918,  1919,  1920,  2562,  1921,  1922,  1923,  1924,
    1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,  1933,  1934,
    1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  2563,
    1954,  1955,  2564,  1956,  1957,  1958,  1959,  1960,  1961,  1962,
    1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,
    1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1983,  1981,
    1982,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,
    1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,
    2003,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,
    2013,  2014,  2565,  2015,  2016,  2017,  2018,  2019,  2020,  2021,
    2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,
    2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,
    2042,  2235,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,
    2051,  2052,  2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,
    2524,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,
    2070,  2566,  2071,  2072,  2253,  2558,  2520,  2228,  2249,  2521,
    2470,  2471,  1829,  2522,  2519,  2559,  2255,  2576,  2254,  2518,
    2402,     0,     0,  2364,  2363,  2367,  2366,  2368,  2361,  2362,
    1806,  2256,  2372,  2371,  1276,  2575,  1805,  1277,     0,  2374,
    2502,  2503,  2504,  2505,  2507,  2506,  2508,  2139,  2140,  2141,
    2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2533,
    2151,  2152,  2153,  2546,  2154,  2155,  2534,  2156,  2157,  2158,
    2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,
    2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,
    2179,  2535,  2536,  2180,  2181,  2182,  2183,  2184,  2185,  2186,
    2187,  2188,  2189,  2190,  2191,  2192,  2193,  2194,  2195,  2196,
    2197,  2198,  2199,  2200,  2201,  2202,  2537,  2203,  2204,  2538,
    2205,  2206,  2207,  2539,  2208,  2209,  2210,  2211,  2212,  2543,
    2544,  2545,  2532,  2325,  2509,  2531,  2542,  2540,  2541,  2335,
    2331,  2339,  2334,     0,     0,     0,     0,  2351,  1116,  1115,
    1101,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2225,     0,  1127,
     323,   322,  1200,  1181,   520,     0,  1104,   347,     0,     0,
       0,     0,     0,     0,     0,     0,   697,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,     0,     0,   371,
     370,     0,     0,     0,   885,   376,     0,     0,     0,     0,
     508,  2234,  2229,  2239,     0,  2232,  2233,  2518,     0,  2667,
    1981,  2265,  2266,  2665,  2028,  1278,   246,   249,   247,   248,
       0,   983,   984,   986,     0,     0,   996,   728,   729,     0,
     727,   731,     0,     0,     0,   724,     0,     0,     0,     0,
     730,   722,     0,   721,     0,     0,     0,   726,     0,   723,
       0,     0,  1105,     0,  2317,  2318,  1923,  1239,   377,     0,
       0,  1312,     0,  1201,  1208,  1218,  1213,  1215,  1214,  1216,
    1212,  1217,  1835,   827,  1849,   827,  1913,   824,   825,   827,
     827,   827,  1996,     0,     0,   799,     0,   810,  1830,   827,
    1831,  2576,   832,   430,   430,   430,     0,   831,   836,   430,
    1098,  1134,  1810,  1325,     0,  1849,  1913,   800,  1097,  2043,
    1231,     0,     0,  1000,     0,  1001,     0,  2011,  1109,   232,
    2516,  2020,  2103,  2043,  2517,   228,  2511,  2512,  2514,   202,
    2515,  2513,  2510,  1839,     0,     0,   831,     0,  1106,  1107,
     788,  1332,  1330,     0,     0,     0,  1857,     0,  1870,  1948,
     225,  2007,  2012,  2020,  2103,  2043,  2070,   184,     0,   239,
    2020,  2103,  2043,     0,  1127,     0,  1302,  1412,  1801,     0,
       0,  2326,  1100,  1099,  1202,     0,  1205,     0,  1377,  1993,
    1306,  1308,  1207,  1299,     0,     0,  2216,  1196,  1329,  1329,
       0,  1329,     0,  1291,  1299,  1294,  1298,     0,     0,     0,
       0,  1117,     0,  2294,  2322,  2301,  2357,  2298,     0,     0,
    2347,  2343,  2340,  2348,  2349,  2342,  2330,  1501,  1502,  1503,
    1500,  1513,  1499,     0,  2275,  1504,  2314,  2281,     0,  2289,
    2288,  2593,  2594,  2404,  2227,  2246,     0,     0,     0,     0,
       0,     0,     0,  2373,  2375,  2377,  2337,  2336,  2332,     0,
       0,     0,     0,  2462,  2463,  2461,     0,  2458,  2460,     0,
    2357,     0,  2527,  2521,  2530,     0,  1811,  2522,  2519,  2518,
       0,   738,     0,   135,   874,     0,     0,     0,  1805,     0,
       0,     0,     0,     0,     0,     0,  1706,  1861,  1909,  1716,
    1714,  1715,  1708,  1709,  1710,  1711,  1712,  1713,     0,   981,
    1707,     0,   135,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,   135,     0,     0,     0,  1121,     0,     0,     0,
    1123,  1126,  1102,  1184,     0,  1801,     0,     0,   772,   763,
       0,   773,   764,   769,   775,     0,     0,   766,     0,     0,
     776,     0,   765,   767,   778,   768,   774,     0,     0,   770,
     771,     0,     0,  1113,   430,     0,     0,     0,     0,     0,
       0,   135,  1171,  1922,   135,     0,     0,   375,   374,   135,
     373,   372,  1861,  1909,     0,   912,   135,     0,   177,   588,
     523,     0,     0,   657,  1951,   135,     0,     0,     0,     0,
     888,     0,     0,   507,   520,     0,  2238,  2244,     0,  2236,
    2405,  2668,  2666,  2360,     0,   987,   226,   227,   985,  1922,
       0,   301,     0,     0,  1922,  1162,     0,   725,  1922,     0,
    1922,   170,  1803,  1861,  1909,  1922,     0,     0,  1922,   162,
    1922,     0,  1922,   301,  1922,   524,     0,  1922,     0,  1922,
    1951,   164,     0,  1922,   301,   736,     0,     0,  2598,  2602,
       0,  2600,  2595,  2316,  2370,  2369,  2268,     0,  2678,     0,
    1278,  1210,  2524,  1224,  1223,     0,  1219,  1227,  1222,  1312,
     827,   826,     0,   827,     0,  2687,   827,     0,   827,     0,
    2687,   827,     0,     0,     0,   827,  1832,  1833,     0,     0,
    2686,  2684,  2685,   801,   811,     0,   833,     0,     0,   840,
     839,   838,     0,     0,     0,   841,  1416,  1254,     0,   808,
       0,   806,     0,  1095,  1112,     0,     0,     0,     0,  1003,
    1003,  1003,  1108,   231,   229,     0,     0,     0,     0,     0,
       0,  1114,     0,     0,     0,     0,  2582,  1817,  1717,  2581,
       0,  2074,  2075,  2076,  1775,     0,  2523,  2077,  2078,  1629,
    1616,  1625,  1630,  1617,  1619,  1626,  2079,  2080,  1894,  2081,
    2082,  1824,  2083,  2084,  1456,  2086,  2087,  2088,  1621,  1623,
    2089,  2090,     0,  1825,  2092,  2093,  1969,  2095,  2096,  2098,
    2099,  1627,  2101,  2102,  2103,  2104,  2105,  2106,  1823,     0,
    1628,  2107,  2109,  2110,  2111,  2112,  2113,  2114,  2115,  2116,
       0,     0,  1798,     0,  1602,     0,  1448,  1449,  1471,  1472,
    1450,  1477,  1478,  1490,  1451,     0,  1797,  1515,  1601,  1607,
       0,  1600,  1596,  1315,  1793,     0,  1597,  1813,  1776,  1827,
    1826,  2576,  1784,  1816,  1814,  1815,     0,     0,     0,   195,
       0,     0,  2451,   241,     0,   242,  1799,  2020,   185,   224,
     197,   223,   198,   196,     0,  1859,   186,     0,   193,     0,
       0,     0,     0,     0,     0,     0,   235,  1103,     0,  1414,
    1413,     0,     0,  1782,  1802,   745,     0,  1194,  1195,  1193,
       0,  1190,  1192,  1204,  1201,  1789,  1788,  1790,     0,  1307,
       0,     0,     0,  1289,  1288,  1207,  1327,  1328,     0,     0,
       0,     0,     0,     0,     0,     0,  1370,  1343,  1344,  1346,
    1367,  1371,     0,  1295,     0,     0,  1418,     0,  1378,  2215,
    2357,  2358,     0,  2352,     0,  2351,  2351,  2345,  2344,  2341,
       0,     0,     0,     0,     0,     0,     0,  2272,   502,  2274,
     500,     0,     0,  2248,     0,  2252,  2250,     0,  2397,  2400,
       0,  2398,  2399,  2401,     0,  2406,  2407,     0,     0,     0,
    2589,     0,     0,  2388,  2376,  2383,  2385,  2387,  2386,  2395,
    2391,  2394,  2396,  2338,  2351,  2469,     0,  2464,  2467,     0,
    2459,     0,     0,     0,  1812,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,   134,  1160,   234,  1158,
       0,     0,     0,     0,     0,  1165,     0,   168,   169,   535,
     520,     0,     0,     0,     0,     0,   945,     0,     0,     0,
       0,     0,     0,   946,   944,   947,   954,   967,   970,     0,
     864,     0,     0,     0,  1034,     0,     0,  1034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   251,
     254,   296,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,   487,   499,     0,     0,     0,
       0,     0,   496,     0,   135,   252,   481,   484,     0,     0,
     597,   596,  1034,     0,   250,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     315,   316,     0,     0,     0,   139,   161,     0,     0,   253,
       0,  2282,     0,  1122,  1119,  1120,     0,  1125,     0,  1180,
       0,     0,     0,     0,     0,   777,     0,     0,  1861,  1909,
       0,     0,     0,     0,     0,     0,   350,   329,   330,   135,
     328,     0,     0,   654,     0,  1459,  1488,  1466,  1488,  1488,
    1455,  1455,  1468,  1457,  1495,     0,  1488,  1455,  1460,     0,
    1458,  1498,  1498,  1483,     0,  1440,  1441,  1442,  1443,  1469,
    1470,  1444,  1475,  1476,  1445,  1512,  2528,  1455,  2529,  2526,
    2525,     0,     0,   664,     0,  1137,  1170,     0,     0,   529,
       0,  1922,     0,   137,   698,     0,   655,     0,   137,     0,
     173,     0,   592,     0,     0,     0,     0,     0,     0,   616,
     615,     0,     0,     0,   656,     0,   137,   483,  1922,     0,
     473,   430,     0,   887,   890,     0,     0,     0,  2242,  2237,
    2240,     0,  2230,  2244,  1281,  1283,  1282,     0,  1280,     0,
     301,   299,   300,   652,   995,     0,     0,     0,     0,   301,
       0,     0,  1922,     0,  1922,     0,     0,   301,   301,     0,
       0,     0,     0,   593,     0,   735,   733,   732,   734,     0,
       0,     0,     0,     0,  1922,   301,     0,     0,   720,  2596,
       0,     0,  2599,     0,  2319,  1727,     0,  2681,  1236,  2682,
       0,     0,  1312,     0,   213,   214,   212,  1225,   215,  1226,
    1221,  1209,     0,   819,     0,  2687,  2688,   804,     0,   814,
       0,  2687,   802,     0,   815,   812,   813,     0,     0,     0,
    2683,  2567,  2573,   818,     0,     0,   431,   433,     0,     0,
    1880,     0,  1914,  1940,  1941,  2012,  2016,     0,  2038,     0,
     842,   869,   837,     0,     0,  1264,   809,   807,  1096,  1229,
    1733,     0,  1312,     0,  1002,   999,   998,   997,   230,   203,
       0,     0,     0,   871,  2011,  1111,   787,   520,     0,     0,
    1605,  1606,  1487,  1474,  1774,     0,     0,  1482,  1481,     0,
       0,     0,     0,  1464,  1463,  1462,  1604,  1741,     0,  1461,
       0,     0,     0,     0,  1488,  1488,  1486,  1535,     0,  1465,
       0,     0,  1754,     0,  1760,     0,     0,     0,  1494,     0,
    1492,     0,     0,  1571,     0,     0,     0,     0,     0,     0,
       0,     0,  1519,  1520,  1602,  1727,     0,  1603,  1820,     0,
       0,  1480,     0,  1512,  1717,     0,     0,     0,     0,  1787,
       0,  1725,     0,     0,  1549,  1723,     0,  1551,     0,     0,
       0,  1716,  1714,  1715,  1708,  1709,  1710,  1711,  1712,  1713,
    1721,  1532,     0,  1796,     0,  1531,     0,     0,  1380,  1314,
       0,  1818,  1777,     0,  2574,  2577,  1598,  2448,  2447,  2446,
    2445,  2416,     0,  2410,  2411,     0,  2449,  2450,   243,   244,
     240,     0,     0,   200,   199,     0,   221,   222,   192,   220,
       0,   216,   217,  1669,  1668,   201,   191,   189,   187,   204,
     206,   207,   190,   188,   238,   236,     0,     0,     0,  1779,
    1778,  1808,  1783,     0,     0,   301,  2351,  1188,     0,  1185,
    1792,     0,  1309,     0,     0,  1197,  1305,  1304,  1336,  1337,
     905,  1303,  1361,  1362,  1357,     0,  1376,  1376,  1353,  1347,
    1352,  1350,     0,  1354,  1515,  1369,  1293,  1341,  1342,  1345,
    1292,     0,  1372,  1370,  1346,  1251,     0,     0,  1419,     0,
       0,  2359,  2357,  2297,  1440,  2351,  2290,  2351,  2346,  2278,
    1506,  1507,  1508,  1509,  1510,  1511,  2279,     0,  2276,  1505,
    2277,   501,     0,     0,     0,  2245,     0,  2226,  2251,  2382,
    2491,  2414,     0,  2415,     0,     0,  2379,     0,  2389,  2392,
    2390,  2393,     0,  1440,  2570,  2465,  2570,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,     0,     0,
       0,     0,     0,  2038,   233,  1156,     0,     0,     0,     0,
     873,   872,     0,     0,   892,     0,     0,     0,  1168,   421,
       0,   298,     0,     0,     0,     0,     0,     0,   533,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   567,  1034,     0,   605,     0,
     952,     0,     0,     0,     0,   953,   950,   951,  2012,   969,
     968,   966,   927,   929,   928,     0,   931,   915,     0,   916,
       0,     0,   926,   934,   932,     0,     0,     0,  1902,   256,
     268,     0,  1033,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   288,     0,   291,   290,     0,     0,     0,
       0,   295,     0,     0,     0,   294,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   982,     0,     0,   156,   159,
       0,     0,   486,   498,     0,   490,   491,   488,   492,   493,
       0,     0,     0,     0,     0,     0,   485,     0,   590,   589,
     595,     0,     0,     0,     0,     0,  1026,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   607,   608,     0,   609,     0,   160,     0,     0,
       0,     0,     0,     0,   211,  1118,  1124,  1183,  1809,  1182,
       0,     0,     0,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     334,     0,   679,  2525,   653,     0,  1440,     0,  1436,  1432,
    1501,  1500,  1499,     0,  1446,  1455,  1452,   665,     0,   667,
     670,     0,  1135,   394,     0,   526,   567,     0,     0,     0,
     166,     0,     0,     0,   133,   177,   377,     0,   176,   178,
     180,   181,   182,   179,   183,   587,   591,     0,   522,     0,
       0,     0,     0,     0,   617,   621,   620,   624,   622,     0,
     618,     0,  1428,     0,   155,   480,   482,     0,  2223,     0,
     379,   461,     0,     0,     0,   889,     0,     0,     0,     0,
       0,  2243,     0,     0,     0,     0,  1279,     0,   973,     0,
    1163,  1922,   301,     0,   971,   171,  1804,     0,     0,     0,
       0,     0,   975,   717,   163,     0,   301,   301,   525,     0,
     301,   165,     0,     0,     0,   517,   301,   737,  2597,  2603,
    2601,  1238,     0,  2679,  2680,   473,  1283,  1211,  1220,   816,
     823,   805,   822,   821,   803,   820,   817,  2381,     0,     0,
    2572,     0,   834,     0,   429,     0,     0,     0,   848,     0,
       0,   847,   862,   849,     0,   851,   844,   843,   852,     0,
       0,   871,     0,  1261,     0,  1259,     0,  1417,  1263,  1252,
    1230,     0,  1228,  1233,  1235,  1234,  1232,     0,     0,     0,
     831,     0,     0,   301,  1110,     0,   789,   794,     0,     0,
       0,   791,   792,   793,   795,   796,     0,     0,     0,  1737,
       0,  1738,     0,     0,     0,  1773,  1769,     0,     0,     0,
       0,     0,  1745,  1746,  1747,  1744,  1748,  1743,     0,     0,
    1749,  1742,     0,     0,     0,     0,     0,  1485,  1484,     0,
       0,     0,     0,     0,     0,     0,  1574,  1607,     0,     0,
    1701,     0,  1727,  1759,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,  1727,  1765,     0,     0,     0,     0,
    1667,     0,  1664,     0,     0,     0,     0,  1784,     0,     0,
       0,     0,  1821,  1516,  1533,  1795,     0,  1786,     0,     0,
    1517,  1540,     0,  1766,  1567,     0,  1572,  1555,     0,  1548,
       0,  1553,  1557,  1536,  1787,  1726,     0,  1724,     0,     0,
    1534,     0,  1529,  1527,  1528,  1521,  1522,  1523,  1524,  1525,
    1526,  1530,  1705,  1703,  1704,     0,     0,     0,  1552,  1916,
    1948,     0,  1326,  1326,  1326,  1313,  1324,  1794,     0,  1423,
       0,     0,     0,     0,  1684,     0,  1731,     0,  1729,  1811,
    2579,  2578,  1785,     0,     0,     0,  1800,     0,     0,  1512,
       0,   237,  1415,  1780,     0,   743,   744,   742,  1440,  1207,
    1191,  1187,  1186,  1791,  1206,  1312,     0,   903,   904,     0,
     908,     0,     0,  1355,  1368,     0,  1264,  1264,     0,  1359,
    1360,  1351,  1297,  1296,     0,  1426,     0,     0,  1248,  1241,
    1420,     0,  1380,  1266,  1268,  1269,     0,  1784,  2295,  2353,
    2300,  2321,  2291,  2324,  1514,  2273,  2313,     0,  2247,  2417,
    2418,     0,  2408,  2409,  2378,  2384,  2455,     0,  2571,     0,
       0,   677,   676,     0,     0,     0,  1056,  1005,  1038,   741,
    1057,  1006,  1039,  1058,  1007,  1157,     0,  1159,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   642,   301,  1166,  1059,   297,  1167,  1040,  1041,
       0,   534,     0,     0,   539,   540,   541,     0,     0,   542,
    1861,  1909,     0,   547,   553,   557,   548,     0,   558,   554,
       0,     0,     0,     0,     0,   564,   566,     0,     0,     0,
       0,     0,   948,   949,  1060,  1008,     0,  1042,   930,  1455,
     914,     0,     0,   925,     0,   924,  1455,  1455,  1009,   167,
     257,   394,  1036,   274,   287,   282,   283,   281,  1922,   301,
    1922,   301,     0,     0,     0,     0,   284,   279,   280,   276,
     289,  1838,  1895,  2021,     0,   577,   579,     0,   584,   292,
    1017,     0,   309,   312,   293,   272,   275,   273,   269,   255,
       0,     0,  1807,     0,     0,   977,     0,     0,     0,   158,
    1022,     0,     0,   144,     0,     0,     0,     0,   138,   148,
    1066,  1013,   489,   494,  1015,   497,  1051,   495,  1072,  1014,
       0,  1046,  1068,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1172,     0,     0,     0,     0,     0,   301,
       0,   686,  1036,  1922,   301,  1067,     0,  1031,  1054,     0,
     317,     0,  1023,  1016,  1052,     0,     0,   209,   208,   210,
       0,     0,     0,     0,     0,     0,     0,     0,   781,   752,
     780,     0,     0,     0,     0,     0,     0,     0,   746,   349,
     326,   327,     0,     0,   325,   331,   678,     0,     0,     0,
    1437,  1433,     0,     0,     0,     0,     0,     0,  1453,   666,
       0,     0,     0,     0,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1136,  1164,   135,     0,     0,     0,   528,   566,   573,
       0,   601,   604,     0,   602,     0,     0,     0,     0,     0,
     149,   136,     0,   706,   430,   172,     0,     0,     0,   521,
     663,   661,   660,   662,     0,     0,     0,   683,     0,  1427,
    1429,     0,     0,     0,     0,   381,     0,     0,   378,   382,
     386,   387,   388,     0,   474,   476,     0,     0,   465,     0,
       0,     0,   919,     0,   937,   920,     0,     0,     0,   957,
     962,   958,   940,     0,   505,  2241,  2235,  1284,  1285,     0,
     301,     0,     0,   568,   301,     0,   301,     0,   301,   301,
       0,  1093,   594,     0,   649,     0,     0,   301,   719,  1728,
       0,     0,  2380,  2568,   835,   432,     0,     0,     0,     0,
     846,     0,   503,   850,     0,   861,   856,   858,     0,   865,
    1262,  1255,  1257,  1256,     0,     0,  1253,  1734,   718,     0,
       0,   301,     0,   866,     0,   790,     0,     0,     0,     0,
    1331,  1735,  1736,     0,     0,     0,     0,  1770,     0,     0,
    1642,  1618,  1620,  1454,  1632,     0,  1467,  1643,  1644,  1622,
    1624,     0,  1718,     0,     0,  1633,  1576,  1577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,  1588,  1634,  1700,     0,     0,  1757,  1758,  1635,
    1497,  1498,  1498,     0,     0,  1764,     0,     0,     0,  1640,
    1645,     0,     0,     0,     0,  1651,     0,  1672,     0,     0,
       0,  1599,  1728,  1489,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,  1573,  1556,  1550,     0,  1554,  1558,     0,
       0,     0,     0,  1542,  1568,  1538,     0,     0,  1544,     0,
    1569,  1326,  1326,  1326,  1326,  1323,     0,     0,     0,     0,
    1390,  1379,  1381,  1392,  1383,  1385,  1421,     0,  1801,     0,
    1364,  1335,  1335,     0,  1684,     0,  1608,     0,  1684,     0,
       0,  2430,  2432,  2433,  2434,  2435,  2436,  2438,  2439,  2441,
    2442,  2443,  2431,  2437,  2440,  2444,  2421,  2422,     0,  2412,
    2413,   194,     0,   218,   205,     0,  2455,  1189,     0,  1338,
       0,  1719,   908,   906,   907,  1340,     0,     0,  1375,  1374,
    1373,  1348,  1250,     0,  1248,  1243,     0,  1244,  1784,     0,
    1240,  1273,     0,     0,  1426,     0,  1272,     0,  2355,  2283,
       0,     0,  2454,  2457,  2468,  2466,  2293,  1055,  1004,  1037,
    1155,   876,   877,     0,   875,     0,     0,     0,   420,   891,
       0,     0,     0,   642,     0,     0,   424,  1169,   536,   537,
       0,     0,   555,     0,     0,   544,     0,     0,     0,     0,
     543,   560,   509,   561,   563,     0,   562,   565,   570,  1018,
       0,  1053,   942,     0,  1455,   917,   922,   923,     0,   391,
       0,     0,     0,   258,     0,     0,   271,     0,   266,   285,
     277,   286,   278,   581,   582,   580,   576,     0,   583,   585,
     306,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,  1043,     0,     0,
     141,   140,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     318,   303,     0,     0,     0,     0,     0,   320,     0,     0,
    1061,  1010,   747,     0,     0,   748,   756,     0,     0,   749,
       0,     0,     0,     0,     0,     0,   758,   352,     0,   355,
     362,   335,   339,  1171,     0,  1171,     0,   340,  1171,   336,
    1171,   333,   680,     0,  1969,  1708,  1709,   674,   681,   671,
     673,   672,   675,   642,     0,     0,     0,  1438,     0,  2669,
    2677,  2676,     0,  1512,   668,   669,     0,  1155,  1154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     406,     0,     0,   400,     0,     0,   962,   393,   396,   397,
     529,   532,   530,   531,     0,   559,     0,   600,     0,   573,
     151,     0,     0,   152,   150,     0,     0,   377,     0,     0,
     623,   626,   619,     0,   682,   684,   658,     0,   573,     0,
    1239,   479,     0,   461,   413,   457,     0,   472,     0,   459,
     458,   460,     0,   467,  1133,     0,   892,   918,     0,     0,
       0,   955,   959,   956,     0,     0,   933,     0,   941,   911,
    1088,  1089,  1086,  1087,     0,     0,  2258,  1275,  2267,   974,
       0,   301,   972,     0,   713,     0,   715,   976,   301,   301,
     610,     0,   518,   476,     0,     0,     0,     0,   845,   863,
       0,   859,     0,     0,   828,   868,  1260,  1258,   871,     0,
     829,   870,     0,     0,     0,     0,     0,  1739,  1473,     0,
    1772,  1768,     0,  1740,     0,  1752,  1751,  1575,  1753,     0,
    1594,     0,     0,  1586,  1584,  1585,  1578,  1579,  1580,  1581,
    1582,  1583,  1587,  1762,  1761,  1755,  1756,  1493,  1491,     0,
    1637,  1638,  1639,  1763,  1646,     0,  1852,  1673,  1650,  1666,
    1665,     0,     0,     0,  1653,     0,     0,  1662,     0,  1702,
    1479,  1512,  1518,     0,     0,  1541,  1767,  1559,     0,     0,
       0,  1537,     0,     0,     0,     0,  1546,  1718,     0,     0,
       0,     0,     0,     0,  1317,  1316,  1322,  1299,     0,  1392,
       0,  1391,  1403,     0,     0,  1409,  1407,     0,  1409,     0,
    1409,     0,  1384,     0,  1386,  1403,     0,  1802,  1422,     0,
    1366,     0,     0,  1334,     0,  1684,  1615,  1687,  1682,  1683,
    1732,  1609,  1819,     0,  1730,  1684,     0,     0,     0,  1781,
    2453,  1310,     0,  1339,  1356,  1349,     0,  1424,  1249,     0,
       0,  1246,     0,     0,     0,  1267,  1248,  1270,  2299,     0,
    2354,  2419,  2420,     0,   882,   883,   881,     0,     0,     0,
     642,     0,     0,   438,     0,   899,   899,     0,     0,   426,
     470,   962,   645,     0,     0,   643,     0,   556,     0,     0,
     552,   550,   549,   551,   510,  1071,     0,   943,     0,   935,
       0,   263,  1035,     0,     0,     0,   262,     0,   301,   301,
     578,   310,   311,   314,     0,     0,     0,     0,     0,     0,
     707,   690,     0,     0,   708,   709,     0,     0,     0,   979,
     980,   978,   145,   142,   143,   146,  1019,     0,     0,     0,
       0,     0,  1070,  1030,  1050,  1069,  1028,  1048,  1027,  1047,
    1029,  1049,  1021,     0,  1431,   688,   687,     0,   301,   301,
     612,     0,   750,     0,     0,   751,   762,   760,   759,   761,
     753,   353,   135,     0,   332,     0,   360,     0,   358,   357,
     359,     0,   346,     0,     0,     0,     0,     0,   651,     0,
       0,     0,  1434,     0,     0,     0,     0,     0,     0,  1439,
    1447,   641,     0,  1146,  1145,  1144,  1148,  1147,  1150,  1149,
    1141,  1140,  1153,  1152,  1139,  1138,  1143,  1142,     0,   398,
       0,   404,   408,   409,   407,   399,   962,   430,   469,   527,
       0,     0,   603,   598,   154,   153,     0,     0,     0,     0,
     628,   632,   659,     0,  1430,   606,     0,   379,  1237,     0,
    2224,     0,   384,   389,   390,     0,   465,   410,     0,   461,
     383,   475,     0,     0,   471,     0,  1128,     0,     0,   921,
     938,   939,     0,     0,   962,   961,     0,   512,     0,  2231,
     301,   569,   301,   301,  1094,   650,     0,   855,   854,   853,
     504,     0,   857,   301,     0,     0,     0,     0,     0,   798,
     782,   797,  1771,  1631,  1641,  1750,     0,     0,  1595,     0,
       0,  1636,  2108,     0,     0,     0,     0,  1670,  1671,  1652,
       0,  1960,  1657,     0,     0,     0,  1822,  1565,  1563,  1560,
       0,  1561,     0,     0,  1543,  1539,     0,  1545,  1570,  1321,
    1320,  1319,  1318,  1394,  1401,     0,  1382,     0,  1408,  1404,
       0,  1405,     0,     0,  1406,     0,     0,  1401,     0,     0,
       0,     0,  1678,  1684,  1684,  1610,  1689,  1686,     0,  1612,
    2423,     0,  2426,  2424,  2425,  2429,  1512,     0,     0,  1242,
    1245,  1247,     0,  1274,  1265,  2356,  1161,     0,     0,     0,
     422,     0,   962,     0,     0,     0,   902,   902,     0,   962,
     469,   647,   646,   644,   648,     0,   545,   546,  1020,   936,
     259,   260,   261,   264,   303,   270,   265,     0,  1064,  1011,
    1044,     0,     0,   696,     0,     0,     0,     0,  1065,  1012,
    1045,     0,     0,     0,  1177,     0,   302,   303,   319,  1032,
       0,   754,   755,   334,     0,   356,   365,     0,   363,   337,
     342,     0,   344,   343,   338,   341,  1435,     0,   993,   993,
    2670,  2671,  2672,  2673,  2674,  2675,     0,   642,  1151,     0,
       0,   395,   469,   437,     0,   401,     0,   574,     0,     0,
    1133,   379,   573,   627,     0,     0,     0,   685,   381,     0,
     477,     0,   380,     0,     0,   467,     0,     0,     0,   465,
       0,   462,     0,   466,     0,     0,     0,     0,     0,   960,
       0,   964,     0,   932,   909,  1423,     0,   516,  2257,  2261,
     994,   714,   716,   611,   860,   867,   301,   783,   784,   785,
     786,  1590,     0,     0,     0,     0,  1647,     0,  1648,  1675,
    1674,  1654,  1658,     0,  1655,  1656,  1562,  1566,  1564,  1547,
    1393,     0,     0,  1395,     0,     0,  1397,  1399,     0,     0,
       0,     0,     0,  1805,  1684,  1363,  1365,     0,  1300,  1613,
    1614,     0,  1335,  1684,  2428,  2427,   219,  1720,  1425,  1271,
     861,     0,   301,   899,   469,   439,  1969,   440,   898,     0,
     900,   905,   905,     0,   469,   642,   538,   305,   313,     0,
       0,   703,   691,     0,     0,   710,     0,     0,     0,     0,
       0,   301,   757,   324,   351,   361,     0,   345,   993,     0,
     990,   989,   640,     0,   403,   402,     0,   448,     0,   572,
       0,   573,   700,  1129,   586,   629,   630,   625,     0,     0,
     461,   457,   478,   385,   394,   368,   419,   418,   415,   414,
     416,   417,   412,   411,     0,   467,   463,   464,     0,  1130,
       0,  1179,     0,   893,   963,     0,     0,     0,   511,     0,
       0,   515,   506,     0,  2259,   830,  1591,     0,  1592,     0,
       0,     0,  1660,  1659,     0,  1402,  1411,     0,  1398,  1396,
    1387,     0,  1389,  1677,  1679,     0,     0,  1692,  1611,   878,
       0,   879,   902,   443,     0,   901,   908,   908,   430,   642,
     423,     0,   267,     0,   694,     0,   705,   703,     0,     0,
    1173,     0,  1174,  1175,  1178,   321,   364,   988,   992,   991,
       0,   434,   435,   436,     0,   405,   444,   445,     0,   575,
     599,     0,     0,     0,     0,   465,   461,   392,   456,   366,
    1131,  1132,   308,     0,   962,   965,  1092,   514,   513,  2262,
    2264,  2263,     0,  1593,  1663,  1649,  1676,  1661,  1400,     0,
    1388,     0,     0,  1688,     0,     0,     0,     0,   905,     0,
     642,     0,   896,   895,   437,   425,   304,     0,     0,   701,
     704,   692,   705,   712,   711,     0,     0,     0,     0,     0,
     446,     0,   447,   468,   699,     0,   631,     0,   467,   465,
       0,   467,   894,   910,  1091,  1090,  1312,  2260,  1410,  1680,
    1681,  2073,     0,  2048,     0,  1690,  1693,  1691,  1685,   301,
     908,     0,   427,   441,   448,     0,     0,   693,  1176,   632,
     453,     0,   452,     0,   450,   449,   689,   635,   369,   467,
     307,  1423,  1074,  1312,  1073,  1075,  1083,  1080,  1082,  1081,
    1079,     0,  1697,  1696,  1695,  1699,  1698,   880,   897,     0,
     642,   695,   702,     0,   451,   455,   454,     0,   633,   636,
     639,   637,   638,   367,   884,     0,  1084,  1078,  1299,  1286,
       0,   442,   428,     0,   613,     0,  1076,  1312,  1694,     0,
     634,  1077,     0,   635,     0,   614
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   246,   247,  1687,  2550,  2438,  3210,  3211,   248,
     249,  1751,   250,   251,   252,   253,   254,   255,   256,  1700,
     257,   258,  1267,  1890,  2558,   259,  2324,  1048,  2198,  2199,
    2495,  2200,  2188,  1540,  1988,  1688,  1716,   261,   262,  1534,
    2180,   263,   264,   265,  1739,  1740,  1695,  1933,  4074,  4632,
    2425,  4731,  3061,  3062,   266,  1790,  1791,   267,   268,  3162,
    1829,  3164,  3165,  3681,   858,  2519,  4092,  4093,  3668,  3669,
    4099,  4367,  4368,   269,  1887,  3237,  3763,  3238,  4171,  3239,
    4172,  3240,  4173,  3192,  3727,  3728,  3729,  3241,  4177,  4572,
    3242,  2339,  1389,  2015,  2016,  4547,  3992,  3993,  4700,  4655,
    4656,  4657,  4764,  4179,  3248,  3773,  4184,  4395,  2972,  1909,
    2591,  3243,  3244,  4170,   270,   271,  2585,  1766,  1767,  2444,
    3687,  3303,   272,  1284,  3561,  4437,  4591,  4592,   273,   846,
     274,  1894,   275,   276,  2545,  3197,   277,  2348,  2981,   278,
     279,  3005,  3006,  3007,   280,   281,  3735,  4396,  1741,  3054,
    3055,  3056,  3057,  3598,   282,  1892,  1771,  2567,   283,   284,
     285,  2549,  3203,  3204,   286,   287,  2484,   288,   289,   290,
    1902,  2579,  2580,  4161,  4404,  4557,  4406,  4797,  4798,  4387,
    3546,  4005,   291,   292,   293,   294,  1873,  2538,  2539,  3688,
    1673,  1833,  2521,  2522,  3753,  3754,   295,   296,  4040,  4041,
     888,  4662,  4636,  4711,   297,   298,  4044,  4045,   299,   300,
     301,   302,   303,   941,  1334,  1335,  1679,   304,  2215,   305,
    1242,  3149,   306,  1424,  2717,  4220,   307,   975,  1361,  1362,
     308,   309,   986,  2700,   988,  2029,  3305,  3306,  3824,  2671,
    1171,   310,   311,  2681,  2703,   312,  1690,  2330,  2331,  3987,
     313,   889,  1914,  2594,  2967,  4582,  3994,  4316,  4511,  2890,
    3495,   314,   890,  1720,  2388,  2597,  3253,  3254,  2390,  2855,
    3785,  2392,  3255,  3260,  3261,  3262,  3781,  3789,  4431,  4432,
     315,  1718,  2381,   316,   317,   318,  1746,  1188,   319,   911,
     912,   320,  4540,   321,  1303,   322,  1006,  2045,   323,  2403,
    3584,   324,   325,   326,  4774,  4805,  4806,  4807,  3794,  4736,
     327,  4776,  1403,   329,   330,   331,   849,  1210,  1211,  1212,
     332,  4186,   333,   334,  2542,  3191,  3709,   335,   336,  2325,
    2957,   337,   338,   339,  1877,   340,   341,   342,   343,  1809,
     344,  1570,  1571,   345,   346,   853,  1066,  1574,  1582,   347,
     954,  1355,  1356,  1357,  1990,   348,  1407,  2692,   955,  1348,
     956,  2908,  3506,  3507,  3510,   957,  2905,   352,  2035,  2686,
    2689,   958,  2912,  2913,  2914,  2915,  2916,  3512,   959,   977,
    1294,  2605,   960,  1494,   357,   358,   359,  1075,  1070,  1071,
     361,  2158,  2845,   994,  1588,  1033,  1082,  3943,  2228,  2229,
    2249,  2250,  1597,  1598,  2239,  2241,  2892,  2242,  2901,  2234,
    3940,  4282,  2245,  2246,  1600,  1601,  2896,   362,  2849,  3441,
    3442,  3443,  3921,  3931,  4269,  4476,  3444,  1397,  1607,  3445,
    3450,  3504,  3228,  3229,  3230,  2393,  2529,  1855,  1495,  1856,
    2536,  1496,  2079,  1858,  1497,  1498,  1499,  1861,  1500,  1501,
    1502,  1503,  2063,  2121,  1504,  1505,  2098,  1114,  1115,  1975,
    2755,  1507,  1508,  3887,  4244,  4233,  2781,  2782,  2195,  3883,
    3393,  4488,  4613,  4614,  3951,  3948,  4286,  4492,  4696,  4745,
    4746,  1509,  2835,  2150,  1190,  1510,  3690,  2152,  2775,  2857,
    2858,  2309,  2061,  2722,  2738,  2739,  2752,  3354,  2759,  2764,
    3377,  3378,  2776,  2804,  1511,  2725,  2726,  3338,  2065,  1512,
    1563,  1564,  2166,  2799,  1577,  1578,  1068,  1513,  1514,  2030,
    1057,  4472,  1312,   696,  3071,  2210,  1214,   991,  1515,  1516,
    1517,  3307,  1628,   675,   676,  1152,   800,     2,    75,   961,
    3234,   366,   367,   892,   893,   894,  1286,  1287,  1919,  1922,
    1633,  2287,   677,   678,   705,  4199,  4438,  4594,   947,   368,
     369,   370,   371,  1629,  2283,  1116,    76,    84,    77,  1117,
     408,   409,  2265,   372,   817,   373,  1610,  1096,  3518,   374,
     375,   376,   377,   378,   944,   379,  1098,   380,  1099,   381,
     382,   383,   384,  1106,   385,  1612,  1613,  3980,  1614,   386,
     387,   698,   699,  1346,   388,   389,  1133,  1134,  1380,  1381,
    1639,  1654,  1655,  1656,   390,   692,   391,   392,   393,  1645,
    1646,   394,  2173,  2174,  2292,  2175,   395,  2929,  2930,   396,
    3476,  3477,  4293,  3478,   397,  2169,   398,   399,  1060,  3523,
     400,   813,   401,  1147,   679,   680,   681,  1154,   803,  1019,
     706,  1156,  3058,   805,   806,   683,   684,   685,  2010,    78,
    2937,  2011,  1519,   707,  1520,  2164,  1521,  1522,  1523,  1524,
    1525,  1662,   689,  1123,  1338,  1339,  2938,  1341,    82,  1342,
     405,  3702,  1978,  1382,  1996,  1997
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4176
static const int yypact[] =
{
   -4176,   383,  9939, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, 22225, -4176,
   -4176, -4176, -4176, -4176, 96481,   795, -4176, -4176, -4176, 61109,
   -4176, -4176, -4176,   263, 66367, -4176, 69713,   956, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, 73537, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, 53927,   754, -4176,
     442, -4176, -4176, -4176, -4176, -4176, -4176, -4176,   -29, 10806,
   -4176, -4176, 70191, -4176,   333, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, 70669,   480, -4176,   729,   887, -4176,   100,  9926,
   -4176, -4176, 62065, 67323, -4176, -4176, 74015,   240,  2104,  9524,
     -29, 21744, 74493, -4176,  2072, -4176, 50539, -4176, -4176, -4176,
   66845, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, 80707,  2823,   723, 51026, -4176, -4176, -4176,
   -4176, 80707, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, 74971, -4176,  1096,   367, 81185, 81663, 63977, -4176,
    1106, -4176, 80707,   978,  1334, 52969, -4176, 82141, -4176, -4176,
    1044, -4176, 75449, -4176, -4176, -4176, -4176,   723, -4176, 53927,
   48120,   233,  1032, -4176, -4176, 82619, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176,  2041,  1036, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176,   480, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176,   749, -4176,   689,   783,
    1249,   277,  1067, -4176, -4176, -4176, 15714, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, 97906,  1062, -4176, -4176, -4176,  1192,
   -4176,  1362, -4176, -4176, -4176,  1529, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176,   140, -4176, -4176, -4176, -4176,  1887, 96956,
   73537, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, 61587, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,   185, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, 73537, 73537, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, 73537,  1506,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,   497,
    1707, -4176, -4176, 53927,  2075,  2075,  1964, 97906, -4176, -4176,
   -4176, 54885, 80707, 80707, 80707,  1730, 80707, 80707,   320, 54885,
   80707, 80707,  1721, 43724, -4176, 80707, 80707, 80707, 80707, 75449,
   80707,  1820, 80707, 80707, 83097, 80707,  1832, -4176,  2194,  1182,
   -4176, -4176, -4176, 80707,  8348,  2823, -4176, -4176, 80707,  1711,
   54885, 80707,  1736, 80707,  1835, 80707, -4176, 80707, 83575,   324,
    1480, 80707,  1796, 44215,  1912, 80707, 80707, 80707, 80707, -4176,
   -4176,  1905, 80707, 80707, -4176, -4176, 84053,  1108,  2129,  2019,
     592, -4176, -4176,  2265,  1814, -4176, -4176,  2273, 73537, -4176,
   71147, -4176, -4176, -4176,  2250, -4176, -4176, -4176, -4176, -4176,
   64455,  2104, -4176, -4176, 55364, 80707,  2120, -4176, -4176, 84531,
   -4176, -4176,   346, 55843, 85009, -4176, 44706,  2229, 85487, 85965,
   -4176, -4176, 86443, -4176, 86921,  1981, 87399, -4176, 87877, -4176,
    2106, 88355, -4176, 14174, -4176,  1889,  2050,  1891,  1332, 73537,
   73537,  1498, 39377,   480, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176,   153,  1866, 51513,   616, 52000, -4176, -4176,   878,
    1421,  1453,   153,  2315,  2315,    58, 73537, -4176, -4176,  1866,
   -4176,   452,   445,  1917,  1917,  1917,  2103,   386, -4176,  1917,
   -4176, -4176, -4176, -4176, 75449, 51513, 52000, -4176,  1911,  2823,
     148,  2352, 80707, -4176, 80707, -4176, 80707, 80707, -4176, -4176,
   -4176,  2346,  1997,  2218, -4176,  2010, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176,  2173,  2184,  2193,   155,  2823,  2097, -4176,
    2306, -4176,  2198, 27102,  1270, 73537,  2823, 52487, 75927, 94569,
     389, 64455,  2823, 88833,  2048,  1182,  2212, -4176,   503, -4176,
    2425,  2074,  2299,   166,  1182, 41305, -4176,  2087,   355, 75449,
   98381, -4176, -4176, -4176, -4176,   342,  2355, 27598, -4176, 80707,
    2043, -4176,  2096,  2099,  2121,  1249, -4176, 80707,  1444,  1444,
    2514,  1444,  1725,  1728, -4176,  2333, -4176,  2417,  2401, 75449,
    1032,   -29,  2168, -4176, -4176, -4176,  2188, -4176,  2181,  2187,
   -4176,   727,  2426, -4176, -4176, -4176, -4176,  2272,  2277,  2282,
    2292,  2232,  2302,   200, -4176, -4176, -4176, -4176,  2533, -4176,
   -4176, -4176, -4176, -4176, -4176,  2635,  2619, 62065, 62065,   488,
     571,   165,   313, -4176, -4176, -4176,  2492, -4176, -4176,  2489,
   80707,  2353, 80707, -4176, -4176, -4176, 89311, -4176, -4176,  2075,
    2188,  2283, -4176,   270, -4176,   355, -4176,   280,   328,   347,
    1489,  2286,  1545,  1818, -4176,   877,  2398,   189,    -8,  2334,
   75449,  2697,  2289,   317,  3963,   200, -4176, 80707, 80707, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,  2307, -4176,
   -4176,  2300,  1537,   958,  6977,  1196,  4780,  1651,   911,  2484,
     782,  2590,  1931,  5070, 80707,  2313, -4176,  2543,  2644,   448,
   -4176,   161, -4176,  2395,  2538,   424, 54885,  2347, -4176, -4176,
   80707, -4176, -4176, -4176, -4176,   357, 54885, -4176,  2548, 45197,
   -4176, 80707, -4176, -4176, -4176, -4176, -4176,  2481, 80707, -4176,
   -4176,  2581, 80707, -4176,  1917,  1198,  2370,  2744, 58238,   157,
   80707,  2419,  2774,  2586,  2419,  2434, 89789, -4176, -4176,  2419,
   -4176, -4176, 80707, 80707,  2412,  1373,  2419,  2807,  2810,  2495,
    2593,   930,   917,   120,  2716,  2419, 80707, 90267, 80707, 80707,
    2794, 54885, 80707, -4176,  2601, 76405, -4176,  2452,  2265, -4176,
   -4176, -4176, -4176, -4176,  1340, -4176, -4176, -4176, -4176,  2734,
    2283,   404,  2749,  2461,  2757, -4176,  2510, -4176,  2761,  2289,
    2771,  2483, -4176, 90745, 91223,  2779,  2307, 80707,  2785,  2483,
    2790,  2675,  2798,   404,  2802, -4176,   995,  2816,  2708,  2820,
    1885,  2483, 64933,  2822,   101, -4176, 16808, 14174, -4176, 14953,
    1548, -4176, -4176, -4176, -4176, -4176, -4176, 31070,   572,  2618,
   -4176, -4176,  1032, -4176, -4176,  1753, -4176, 50052, -4176,  1498,
    1866, -4176, 73537,  1866, 73537,    58,  1866, 73537,  1866, 73537,
      58,  1866, 73537, 73537, 73537,  1866, -4176, -4176,  2004,  1568,
   -4176, -4176, -4176, -4176, -4176, 73537,  2536, 80707, 80707, -4176,
   -4176, -4176, 67801, 80707, 68279, -4176, -4176,    46, 73537, -4176,
   73537, -4176,  2823, -4176, -4176,  2050, 58238,  2933, 80707,  2830,
    2830,  2830, -4176, -4176, -4176,  2773, 80707,  2834,  2846, 67801,
   80707, -4176, 91701, 64455,  2747,  2575, -4176, -4176, -4176, -4176,
    1795,  2858,   169,  2873, 31070,  2582,   258,   258,  2585, -4176,
   -4176, -4176,   373,  2588,  2589, -4176,   433,   433,  2746,  2594,
    2596, -4176,   458,  2597, -4176,  2939,   468,  2599,  2603,  2604,
    2033,   258, 31070, -4176,  2605,   433,  2607,  2609,  2611,  2962,
    2614, -4176,  2970,  2615,   399,   408,  2616,  2620, -4176,  2594,
   -4176,   425,  2623,  2628,  2630,  2631,  2632,  2633,  2634,  2636,
   31070, 31070, -4176, 26110,   355,  2823, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176,   103, -4176,   533,  5371, -4176, -4176,  2787,
   31070, -4176, -4176,   551, -4176,   623, -4176, -4176,   355, -4176,
   -4176,   398, -4176, -4176, -4176, -4176,  1809,  1809,   194, -4176,
   70191, 70191, -4176, -4176,  1401,  2640, -4176,  1861, -4176, -4176,
   -4176, -4176, -4176, -4176, 62543,  2985, -4176,   967,   161,  1689,
    2972, 49078, 49565,  2872,  2872,  2862, -4176, -4176, 80707, -4176,
   -4176, 31070, 47162, -4176,   355,    87,  2877, -4176, -4176, -4176,
    1813, -4176, -4176, -4176,   480, -4176, 12868, -4176,  1822,  2043,
   80707, 80707,  3038, -4176, -4176,  2096, -4176, -4176,  1249,  1249,
   31070,  1249,   924,  1145, 28094, 31070,  2926,  2829,   581,   158,
    2934, -4176,  1725,  1728, 75449, 80707, 92179,  2762, -4176, -4176,
    2188,  2666,  1757, -4176, 60153, 97431, 97431,  2898, -4176, -4176,
    1602,  1094,  2776,  2865,  2315,  1071,  1609, -4176, -4176,  2661,
   -4176,  2988, 70191,  2721, 62065, -4176, -4176, 80707, -4176, -4176,
   76883, -4176, -4176, -4176,  2026,  2668, -4176,  2682, 80707,  3158,
   -4176,  1609,  1609, -4176, -4176,  2671, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, 97906,  2677, 80707, -4176,  2681,  2683,
   -4176, 98381, 47641,  1547,   355,  2748,  2755,  2806, 53927,  2690,
    2758,  2766,  2812,  2772,  2775, 95047, -4176, -4176, -4176, -4176,
    1263,  1581,  1064,  2778,  1040, -4176,  2814, -4176, -4176, -4176,
    3153, 80707,  5391,  2879,   200,  2819, -4176,  2781,  2782,  2890,
     200,   697, 95525, -4176, -4176, -4176, -4176, -4176,  3950, 24648,
   -4176,  2788,  2765, 63021,  3073,  2897,   884,  1719,   350, 80707,
    2973,  2906, 80707,  2727,  2803,  2804,  2729,  1120,  3079,  2731,
   -4176, -4176,  2900,  2791,  2792, 57280,  1387, 45688,  3064,  2815,
   -4176,   744,  2817,  2818,   200, -4176,  3116,   200,   200,  1863,
    3127,  2827,   190,  1331,  2419,  2731,  1614, -4176,  2828,  1692,
   -4176,  2931,   135,  1839,  2731,  2832,  2833,  2729,  2729, 80707,
   80707, 80707, 80707, 80707,   119,  3147,  3148,  2836,   144,  2881,
    2763, -4176, 71625,  2840, 94569, -4176, -4176,  2843,  1870,  2731,
    1232, -4176,  1694, -4176, -4176, -4176,  1182, -4176, 80707, -4176,
   80707,  2283, 58238,  2951,  2808, -4176,  2289,   200, 80707, 80707,
    2307,  1405,  1082,  2953, 80707,  3008,  2837, -4176, -4176,  2419,
   -4176, 47641,  2412, -4176,  2783, -4176,  2845, -4176,  2845,  2845,
    2789,  2789,  2805, -4176, -4176,  2033,  2845,  2789, -4176, 59196,
   -4176,  1683,  1726, -4176,  3177,  3179, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176,  1532, -4176,  1884, -4176, -4176,
   -4176, 80707, 53927, -4176,  3207, -4176, -4176, 58238,  3096, -4176,
   80707,  3000,  2809, -4176,  3131,  2866, -4176,  2853, -4176, 80707,
    1283,  2823,  2856, 80707,  3026, 80707, 80707, 80707, 80707, -4176,
   -4176,  3001,   669,    75, -4176, 71625, -4176,  1614,  3010,  3213,
     552,  1917,  3101, -4176, 80707,  2831,  3221,  3056, -4176, -4176,
    2842,  2315, -4176,  2452, -4176,  1906, -4176,  2949, -4176, 54885,
     404, -4176, -4176, -4176, -4176, 58238, 80707, 92657, 54885,   404,
   80707, 80707,  3124,  2891,  3129,  2894, 45688,   404,   124, 80707,
   80707, 80707, 80707, -4176, 80707, -4176, -4176, -4176, -4176, 80707,
   80707, 80707, 71625,  3134,  3135,   404, 80707, 80707, -4176, -4176,
   20546,  1653, -4176, 14174, -4176, 12868,  1862,  2872, -4176,  1506,
   80707,  1567,  1498, 68757, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, 73537, -4176, 73537,    58, -4176, -4176, 73537, -4176,
   73537,    58, -4176, 73537, -4176, -4176, -4176, 73537, 80707,  3324,
    2844, -4176,   398, -4176, 80707,  1895, -4176, -4176,  1901,   642,
   80707,   283, 54885, 80707,  3033, 80707, 80707, 80707, 80707,  2925,
    2640,  1298, -4176,   309, 75449,  3041, -4176, -4176, -4176, -4176,
   -4176,  1909,  2041,  1026, -4176, -4176, -4176, -4176, -4176, -4176,
   68279, 66845,  3128,    83, 80707, -4176, -4176,  2093, 31070, 26606,
   -4176, -4176, -4176,  2854, 12868,  2896, 31070, -4176, -4176, 31070,
    2315,  2315, 31070, -4176, -4176, -4176, -4176,  3216,  2315, -4176,
   31070, 31070,  2315,  2315,  2845,  2845, -4176,  4563, 31070, -4176,
   45688, 31070, 32558, 24151, 31070,  2945,  2876,  2315, -4176,  2315,
   -4176, 31070, 25614, -4176, 31070,  3071, 33550, 31070,  1689,  3072,
   31070,  1689,  3287,  3287,  2770,  6593,  2875,   355, -4176,  2981,
    2315, -4176,  2315,  1052,   204, 58238, 31070, 53927,  2954,   208,
   80707, 31070,  2880,  2063, -4176, 31070,  1151, -4176,  2883, 31070,
    2957, 31070, 31070, 31070, 31070, 31070, 31070, 31070, 31070, 31070,
   -4176, 34514,   222, -4176,   423,  1085, 69235, 27102,  3161, -4176,
   23654, -4176,   236, 73537, -4176, -4176,   355, -4176, -4176, -4176,
   -4176, -4176,  2026,  2882, -4176,  2908, -4176, -4176, -4176, -4176,
   -4176, 80707,  2985, -4176, -4176,  2964, -4176, -4176, -4176, -4176,
     716, -4176, -4176, -4176, -4176, -4176, -4176, -4176,  2893, -4176,
   -4176, -4176, -4176,  2893, -4176, -4176,  2872,  2899,  3646, -4176,
   -4176, -4176, -4176,  3156,  3157,   404, 97906, 80707,   342, 72103,
   -4176, 27598, -4176,  1920,  2902, -4176,  3139, -4176,  2903, -4176,
   10225,  3139, -4176, -4176,   163,  3082,  3090,  3090, -4176,  2907,
   12868, -4176,  1953, 12868,  2027, -4176, -4176, -4176, -4176, -4176,
   -4176,  1289, -4176,  2926,   158,  2963,   895, 80707, -4176, 41787,
    1949, -4176,  2188, -4176, -4176, 22700, -4176, 23177, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176,  2911, -4176, -4176,
   -4176, -4176,   200,  2912,  3382, -4176, 62065, -4176, -4176, -4176,
    3324, -4176,  2273, -4176,  2273,  3412, -4176, 73537, -4176, -4176,
   -4176, -4176,  1007, -4176, 14174, -4176, 14174, -4176,  2922,  1925,
    2998,  2999,  3045, 80707, 80707, 80707, -4176, 53927, 80707, 80707,
   80707, 80707, 80707, 80707, -4176,  3277,   -39, 66845,  3047, 65411,
   -4176, -4176,  2932, 80707,  2983,  3162,  3163,   713, -4176, -4176,
   80707, -4176,  3120, 80707, 31070,  3125, 80707, 80707,  3012, 54885,
    2941, 80707, 80707, 80707,   534, 54885, 46179, 80707, 80707, 80707,
   80707,  3057, 80707, 80707,  3169,   724,   162,  1894,  2731,  3132,
   -4176,  1124, 80707, 80707,  3122, -4176, -4176, -4176, 64455, -4176,
   -4176, -4176,  3117, -4176, -4176, 59196, -4176, -4176,  1938, -4176,
   58717, 56322, -4176, -4176,   739, 80707, 80707, 80707,   838, -4176,
   -4176, 58238, -4176, 80707, 80707, 80707, 72581, 93135, 93613,  1392,
    1425, 80707, 73059, -4176, 80707, -4176, -4176, 54406, 80707, 80707,
   53927, -4176, 80707,  3130,   184, -4176, 80707,  5698,  3021, 80707,
   80707,  2946,  1991,  3023,  3070, -4176, 80707, 80707,  1399, -4176,
   80707, 80707, -4176, -4176,   200, -4176, -4176, -4176, -4176, -4176,
   80707, 80707,   200, 80707,   200,  1259, -4176, 80707, -4176, -4176,
   -4176, 80707, 80707, 80707, 80707, 80707, -4176, -4176,  1376,  1412,
    1671,  1676,  3092, 80707,  2823, 80707, 94091, 80707, 80707, 80707,
   80707,  1507, -4176, -4176,  3067, -4176, 80707,  1399, 80707, 80707,
    3042,  3043,   118,  3104, -4176, -4176, -4176, -4176, -4176, -4176,
    3197,  3360, 80707, -4176,  3203,  3204,  3025,  3027,  3206,  1775,
   80707, 80707, 80707, 80707, 80707, 80707,  3210,  1775,  3159,    72,
    2979,  1996, -4176,  2994, -4176, 31070,  3376, 58238,  2986,  2987,
    3059, -4176,  3060,  2315, -4176,  2016, -4176, -4176,  2044, -4176,
    3002,   669,  1644, -4176, 80707,   604,   706,  3279, 37917,  3100,
    2383,  3266, 80707, 80707,  2383, -4176,  2642, 66845, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176,  3270, -4176,  2823,
    2412,  2412,  2412,  2412, -4176, -4176, -4176, -4176,  3180,  1706,
   -4176,  2995, 80707,  3105,  2383, -4176,  1614,  3288,  3290, 80707,
   63499,  1976,  3395,  2823,  3184, -4176, 25131,  4175,  3187, 64455,
   76405, -4176,  3018,  3276,  3280,  3294, -4176,  2283, -4176,  3410,
   -4176,  3309,   404,  2289, -4176,  2483, -4176, 80707, 80707, 80707,
   80707,  2307, -4176, -4176,  2483,  3199,   404,   404, -4176,  3200,
     404,  2483,  3136,  3301, 64455, -4176,   101, -4176, -4176, -4176,
   -4176, -4176, 31070, -4176, -4176,  3024,  1906, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, 73537,  2273,
   -4176,  2053, -4176, 80707, -4176,  3284,  3285,  3292,  2483,  3058,
   80707,  3031, -4176,  2483,   200,  2483,  2640,  2640,  2483, 77361,
    3430,  3304,   128, -4176,   598,   964,  3249, -4176, -4176, -4176,
   -4176, 58238, -4176, -4176, -4176, -4176, -4176, 80707,   182,  3225,
    3048, 77361,  3429,   404, -4176, 54885, -4176, -4176,  3138, 54885,
    3240, -4176, -4176, -4176, -4176, -4176,  3286, 80707,  2059, -4176,
    1674, -4176,  1747, 31070, 31070,   215, -4176, 11451,  2092,  3061,
    3062,  2107, -4176, -4176, -4176, -4176, -4176, -4176,  3063,  3331,
   -4176, -4176,  3066,  2112,  2115,  3068,  3074, -4176, -4176,  5972,
    3077, 12018,  3078, 32558, 32558,   808, -4176, -4176, 32558,  3080,
   -4176,  2128, 10292,  3065,  3083,  3076, -4176,  3084,  3085, 11502,
   28590, 31070, 28590, 28590, 12161,  3065,  3086,  2131, 53927,  3222,
   12284,  2135, -4176, 31070, 53927,  6048, 31070, -4176, 31070, 80707,
    3087,  3095, -4176, -4176,  4563, -4176,  3089, -4176, 32558, 32558,
   -4176,  4891, 26110, -4176, -4176,  3338, -4176, -4176,  1693, -4176,
    3091, -4176, -4176,  5712,   220, 31070,  2880, 31070,  3146, 45688,
    4296, 31070,  3193,  4879,  4879,   614,   614,   142,   142,   142,
    1672,  1085, -4176, -4176, -4176,  3097,  2614, 31070, -4176,  1876,
    2234, 80707,  5501,  8564, 10833, -4176, -4176, -4176, 35988,  3149,
   31070, 31070, 31070,  3108,  3283,  3521, 12868,   810, -4176,  3525,
   -4176, -4176, -4176,   242,  3412,  2026, -4176,  1182,  2315,  1052,
   50052, -4176, -4176, -4176, 31070, -4176, -4176, -4176, -4176,  2096,
   -4176, -4176, -4176, -4176, -4176,  2041, 31070, -4176, -4176,   700,
    1988, 31070,  1953, -4176, -4176, 80707,  3041,  3041, 31070, -4176,
   -4176, -4176, -4176, -4176, 35988,  3155,  3165, 40823,  3243, -4176,
   -4176, 80707,   192, -4176, -4176, -4176,  3133, -4176, -4176, -4176,
    1472, -4176, -4176, -4176, -4176, -4176, -4176,  3118, -4176,  3123,
   -4176,  3140, -4176, -4176, -4176, -4176,   196,  3141,  3126,  3143,
     -70, -4176, -4176, 80707, 80707, 80707, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176,  3339, -4176, 80707, 80707,
    3310, 80707,  3306,  3311, 31070,   331, 80707,  3137,  3145,  1075,
    3384, 80707, -4176,   404, -4176, -4176, 12868, -4176, -4176, -4176,
   64455, -4176,  2283, 58238, -4176, -4176, -4176,  3166, 80707, -4176,
   80707, 80707,  2307, -4176, -4176, -4176, -4176,  1226, -4176, -4176,
   80707, 80707,    64,  3219, 80707, -4176,  1012,  2931, 80707, 80707,
   80707,  3389, -4176, -4176, -4176, -4176,  3336, -4176, -4176,  1884,
   -4176, 56322, 58717, -4176, 58717, -4176,  1884,  1808, -4176,  2483,
   -4176, -4176,   554, -4176, -4176, -4176, -4176, -4176,  3439,   404,
    3440,   404, 80707, 80707, 80707, 80707, -4176, -4176, -4176, -4176,
   -4176, 53927, 53927, 53927,  2179, -4176, -4176,  2823, -4176, -4176,
   -4176,  2183, -4176,  1500, -4176, -4176, -4176, -4176, -4176, -4176,
   80707,  1563, -4176,   839, 58238, -4176, 57759, 80707, 80707, -4176,
   -4176,  3370,  3315, -4176,  1784,  3316, 80707,  3212, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
    3232, -4176, -4176, -4176,  3368,  3371,  3372,  3235,  3241,  3289,
    3244,  3246,  3295, -4176,  3250,  3296,  3256,  3312,  3267,   404,
   58238,  2055,  3303,  3485,   404, -4176,  3273, -4176, -4176,  3587,
   -4176, 80707, -4176, -4176, -4176, 80707, 80707, -4176, -4176, -4176,
    1775, 58238,  3436,  1775,  1775, 80707, 80707,  1775, -4176, -4176,
   -4176,  3438,  3441,  3442,  3444,  3446,  3447,  1775, -4176, -4176,
   -4176, -4176,  1198, 53927, -4176,  3420, -4176,  2250, 43233,  7302,
    3209,  2987,  3215,  2315, 38895,  1051,  3421,  3217, -4176, -4176,
   53927, 43233,  1874,  3424,  3233,  3233,  3233,  3233,  3233,  3233,
    3233, -4176,  2138,  2419, 64455, 80707, 64455, -4176,   706,  3396,
   80707, -4176, -4176,  2191, -4176, 80707, 80707,   842, 80707,  2315,
   -4176, -4176,  3291, -4176,  1917,  1283,  3353,  1111,  3550, -4176,
   -4176, -4176, -4176, -4176, 80707, 80707,   669,  2823,  3227,  3223,
   -4176, 80707, 80707, 73537,  2041,  3229, 80707,  3231,  3234, -4176,
   -4176, -4176, -4176,  2197, -4176, 58238,   599,  3409,  3413,  2041,
    3313, 80707, -4176,  2211,    98, -4176,  2823, 64455, 56801, -4176,
    2600, -4176, -4176,   942,  3500, -4176, 80707, -4176, -4176, 40341,
     404, 58238, 80707, -4176,   404,  3298,   404,  3299,   404,   404,
   80707, -4176, -4176, 80707, -4176, 80707, 71625,   404, -4176, 12868,
   80707,  3516, -4176, -4176, -4176, -4176,  3356,  3361,  3365, 80707,
    2483, 54885, -4176,  3247, 80707,  1368, -4176, -4176,  3427, -4176,
   -4176, -4176, -4176, -4176,  3540,  3544, -4176, -4176, -4176, 80707,
   67801,   167, 80707, -4176,  2283, -4176,  2289,   200, 80707,  3486,
   -4176, -4176, -4176,  3257,  2217, 12211, 31070, -4176,  3555, 58238,
   -4176, -4176, -4176, -4176, -4176, 31070, -4176, -4176, -4176, -4176,
   -4176, 31070, -4176, 31070,  3533, -4176,  3673,  3673, 58238, 32558,
    1282,  2607, 32558, 32558, 32558, 32558, 32558, 32558, 32558, 32558,
   32558, 35010,   577, -4176, -4176, 31070, 31070,  3541,  3533, -4176,
   -4176,  1617,  1617, 58238,  3261,  3065,  3265,  3268, 31070, -4176,
   -4176,  2223, 34032,  3271, 53927, -4176, 31070, 10646,  2227,  3308,
   12798,   355,  7369, -4176,  3633,  2823, 31070,  1715,  2132, 31070,
    2247, 31070,  3552, -4176, -4176, -4176,  3281, -4176, -4176, 58238,
   31070, 32558, 32558,  5909, -4176,  6955, 31070,  3282,  7007, 26110,
   -4176,   723,   723,   723,   723, -4176, 80707, 80707, 80707, 35506,
   77839,  3293,  1959, -4176, 77839, 78317, -4176,  3297,   355, 31070,
    3536,   520,   520,  3300,  3283, 42269, -4176, 31070,  1390, 29086,
    3302, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176,  3305, -4176,  3307, -4176,
   -4176,   161,  3317, -4176, -4176,  9443,   196, -4176,  3318, -4176,
    3320, -4176,  1988, -4176, -4176, -4176,  7422,  3459,  2640, -4176,
   -4176, -4176,  3293, 29582,  3243, -4176,  2252, -4176, -4176, 27102,
   -4176, -4176,  2260, 41787,  3155, 27598,   355,  2315,  3319, -4176,
    2273,   242, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
    3233,  2483,  2483,   731,  2483,  3563,   731,  7872, -4176, -4176,
   36470, 80707, 80707, -4176, 80707,  2263,  1583, -4176, -4176, -4176,
    3678, 80707, -4176,  3340,  3342, -4176, 80707, 80707, 80707, 80707,
   -4176, -4176,  2286, -4176, -4176, 80707, -4176, -4176, -4176, -4176,
    3366, -4176, -4176,  3529,  1846, -4176, -4176, -4176,  3362,  2138,
     187,  2729,   171, -4176,  3363, 80707, -4176, 80707, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, 54406, -4176, -4176,
   -4176, 53927, 43233, 53927, -4176,  3373,  3375,  3422,   899,    97,
    3380,  3383,  3426,  3321,  3322,  3323, -4176, -4176,   153,  2823,
   -4176, -4176,  2823,  2483,  2823, 80707,  3570,   804,  1948, 80707,
   80707, 80707, 80707, 80707, 80707, 80707, 80707, 80707, 80707, 80707,
   -4176,  3670,  2823,  2823,  3643,  3381, 80707, -4176, 80707,  2931,
   -4176, -4176, -4176,  3326,  1775, -4176, -4176,  3553,  3560, -4176,
    1775,  1775,  1775,  1775,  1775,  1775, -4176,   109,  2271, -4176,
   38400, -4176, -4176,  2774,  2823,  2774,  1467, -4176,  2774, -4176,
    2774, -4176, -4176,  2994,  3320,  2315,  1609, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176,  2315,  2036,  3332, -4176, 39859, -4176,
   -4176, -4176,  1939,  1052, -4176, -4176, 80707,  3233, -4176,  2838,
    2393,  2587,  2786, 78795, 79273, 79751,  3330, 80707, 80707, 32558,
   -4176,  1457,  1099, -4176,  3561, 80707,  3369, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176,  3334, -4176,  2809, -4176, 80707,  3396,
    2483, 80707, 80707,  2483, -4176, 58238,  3724,  1332, 90267,  3367,
    3335,  3617, -4176,  3341,  3337, -4176, -4176, 80707,  3396,   580,
    1891,  3377, 65889,  1976, -4176,  3588, 63499, -4176, 80707, -4176,
   -4176, -4176,  3696,  3431,  3379,  2823,  2983, -4176, 56322, 31070,
   31070, -4176,  3343, -4176,  3351,  4562, -4176,  2412, -4176, -4176,
   -4176, -4176, -4176, -4176,  3428, 80707,  3768, -4176, -4176, -4176,
    3355,   404, -4176, 80707, -4176, 80707, -4176, -4176,   404,   404,
   -4176,  3462, -4176, -4176,  2041, 80707, 80707, 80707,  2483, -4176,
     200, -4176,  3626, 77361, -4176, -4176, -4176, -4176,    83,  3632,
   -4176, -4176,  3592,  3593,  3594,  3595,  1914, -4176, -4176, 31070,
   12868, -4176,  3364, 12868,  7907, 12868,  3541, -4176,   933,  3637,
   -4176,   174,  3378,   933,  2182,  2182,   366,   366,   134,   134,
     134,  3673,   577, 12868, 12868, -4176, -4176, -4176, -4176,  3374,
   -4176, -4176, -4176,  3065, -4176, 31566,  3505,  3743, -4176, -4176,
   -4176,  3405,  3407,  3386, -4176, 31070, 32062,  3385, 59196, -4176,
   -4176,  1052,  1618, 32558, 32558,  1670, -4176,   767, 31070, 58238,
    2276,  1670,  2154,  2246, 31070, 31070,  7693,   223, 31070,  8191,
   80707, 80707, 80707, 80707, -4176, -4176, -4176, 37434,  1959,  3393,
   80707, -4176,  3390, 35988,  3608,  3551, -4176, 35988,  3551,  1660,
    3551,  3609, -4176, 42751, -4176,  3398, 23654,  1857, 12868,  3757,
    3648, 31070,  3394, -4176,  3399,  3283, -4176, 96003, -4176, -4176,
   12868, -4176, -4176, 31070, -4176,  3283,   242,  1020,  2823, -4176,
   -4176, -4176, 45688, -4176, -4176, -4176,  3581, 12868, -4176,  2041,
   80707,   355,   563,  3414, 80707, -4176,  3243, -4176, -4176, 14174,
   -4176, -4176, -4176,   153, -4176, -4176, -4176,  3477, 66845,  3680,
   -4176, 31070,  2298, -4176,  3443,  3762,    99,  2317,  2320,  1583,
   -4176,  3369, -4176,  1509,   123, -4176, 58238, -4176, 80707, 80707,
   -4176, -4176, -4176, -4176,  2690, -4176, 80707, -4176,  3472, -4176,
    3597, -4176, -4176,  3599,   153, 80707, -4176, 58238,   404,   404,
   -4176, -4176, -4176,  3432, 80707, 80707, 80707,  2315,  2315, 58238,
    3415, -4176,  2315,  2315,  3417, -4176, 80707, 80707, 80707, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, 80707, 80707, 80707,
   80707,  3702, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, 80707, -4176, -4176, -4176, 58238,   404,   404,
   -4176,  3649, -4176,  1775,  1775, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176,  2419,  3729, -4176, 53927, -4176, 60631, -4176, -4176,
   -4176,  2823, -4176,  2823,  3610, 48599,  2823,  2823,  1583,  3423,
    1579,  3695, -4176,  2111, 39859, 39859, 39859, 39859, 39859, -4176,
   -4176,  3700,   153, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, 31070, -4176,
    1303,   933, -4176, -4176, -4176, -4176,  3369,  1917,  3480,   604,
   53927,  3538, -4176, -4176,  2483,  2483,  3483,  2041,   636, 80707,
    3734,  3471, -4176,  2823, -4176, -4176, 80707, 63499, -4176,  1030,
   -4176,  2328, -4176, -4176, -4176,  3469,  3413,  1687,  3437,  1976,
   -4176, -4176,   145, 80707, -4176,  1053, -4176,  3711,  3449, -4176,
   12868, 12868,  2823, 59675,  2600, -4176, 80707,  3685, 80707, -4176,
     404, -4176,   404,   404, -4176, -4176, 80707,  2483,  2483,  2483,
   -4176,  3616, -4176,   404, 77361,  1914,  1914,  1914,  1914, -4176,
   -4176, -4176, 12868, -4176, -4176, -4176, 32558,  3715, -4176,  3450,
   58238, -4176,  3452,  2331,  2336, 33550,  3582, -4176, -4176, -4176,
    8406,  3491, 12868,  3542,  3454,  3455, -4176,   659,   659,   767,
    2339, -4176, 32558, 32558,  1670,  1670, 31070,  1670, -4176, -4176,
   -4176, -4176, -4176, 77839,  3453, 80707,  1959, 35988, -4176, -4176,
    2330, -4176, 35988,  3676, -4176, 35988, 80707,  3458, 80707,  1178,
   31070, 31070,  3496,  3283,  3283, -4176,  3625, -4176,  3463, -4176,
   -4176,  1609, -4176, -4176, -4176, -4176,  1052,  3464, 73537, -4176,
   -4176, -4176,  1032, -4176, -4176, -4176, -4176, 77361,  3644, 77361,
    1583,  8551,  3369, 36470, 46670, 80707, 80229, 80229,  3607,  3369,
    3480, -4176, -4176, -4176, -4176,  3470, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176,  3670, -4176, -4176, 43233, -4176, -4176,
   -4176, 36952, 45688, -4176,   899,  3475,  3478,    97, -4176, -4176,
   -4176,  1565,   811,  3506,  2483,  3758, -4176,  3670, -4176, -4176,
    1775, -4176, -4176,  2979,  2823, -4176, -4176,  2351, -4176, -4176,
   -4176, 80707, -4176,  3335, -4176, -4176, -4176, 54885,  3871,  3871,
   -4176,  1971,  1971, -4176, -4176, -4176, 80707, -4176, -4176,  8994,
    3668, -4176,  3480,  3689,  3733, -4176,  2368, -4176, 80707, 80707,
    3379, 63499,  3396, -4176,    47,  3487,  3775, -4176,  3229,  3489,
   -4176,  3813, -4176, 65889,  3662,  3431,   875,   875, 80707,  3413,
    3611, -4176,  3612, -4176,  3857,  3671,  3858, 80707, 36470, -4176,
   58717, -4176,  2376, -4176, -4176,  3149, 80707,   605, -4176,  3510,
   -4176, -4176, -4176, -4176, -4176, -4176,   167, -4176, -4176, -4176,
   -4176,  1237, 32558, 58238,  2390, 31070, -4176, 31070, -4176,  3873,
   -4176, -4176, -4176,   154, -4176, -4176, -4176,   659,   659,  1670,
   -4176, 80707,  2394, -4176, 31070,  3499, -4176, -4176, 35988,  2330,
    2407, 80707,  2416, 58238,  3283,  3065, 12868, 80707, -4176, -4176,
   -4176,  3875,  3675,  3283, -4176, -4176, -4176, -4176, -4176, -4176,
    1368,   731,   167,  3762,  3480, -4176,  3501, -4176, -4176, 80707,
   -4176,   256,   256, 80707,  3480, -4176, -4176,  3557, -4176, 58238,
    2289,    66, -4176, 58238, 58238, -4176, 80707, 80707, 80707, 80707,
   80707,   404, -4176, -4176, -4176, -4176, 60631,  3335,  3871,   243,
   -4176, -4176, -4176,  1636, -4176, -4176,  1165,  3686,  3590, -4176,
   53927,  3396,  3790, -4176, -4176, -4176, -4176, -4176, 31070,  3657,
    1976,  3588, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176,  2436,  3431, -4176, -4176,  3687, -4176,
    3688, -4176,  2440, -4176, -4176,  4562, 59675,  3822, -4176,  3564,
   80707, -4176, -4176,  2512,  3932, -4176,  1237,  2451, -4176,  2455,
    2464,  3658,  3565, -4176,  2470, -4176, 12868, 80707, -4176, -4176,
   -4176,  2474, -4176,  3517, -4176,  3913, 31070,  1357, -4176, -4176,
    3796, -4176, 80229,  3567, 45688, -4176,  1988,  1988,  1917, -4176,
    1583, 31070, -4176,  2490, -4176,   993,  3667,  3810,  2503,  2504,
    3531,  3569,  3531, -4176,  2483, -4176, -4176, -4176, -4176, -4176,
    3838, -4176, -4176, -4176,   228, -4176,  3716,  3717, 80707, -4176,
   -4176, 80707,  3933,  9017, 54885,  3413,  1976,  2138, -4176, -4176,
   -4176, -4176,  3574, 36470,  2600, -4176,   198, -4176, -4176, -4176,
   -4176, -4176, 80707, -4176, -4176, -4176, -4176, -4176, -4176,  2509,
   -4176, 80707,  3546,  3065, 30078, 30078,  3543, 77361,   256,  3547,
   -4176,  3548, -4176, -4176,  3689,  1583, 12868, 54885,  3923, -4176,
   -4176, -4176,  3667, -4176, -4176, 80707,  3674,   788,   788,  3865,
   -4176,  3613, -4176, -4176, -4176,   899, -4176,  3554,  3431,  3413,
    2729,  3431, -4176, -4176, -4176, -4176,  2387, -4176, -4176, -4176,
   -4176, 33054,  3677,   546, 10924, -4176, -4176, -4176, -4176,   167,
    1988, 31070,  1583, -4176,  3686,  2289, 80707, -4176, -4176,  3471,
   -4176,  3961, -4176,  1087, -4176, -4176,  3415, 53448, -4176,  3431,
   -4176,  3149, -4176,  2067, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176,  3952, -4176, -4176, -4176, -4176, -4176, -4176, -4176,  9290,
   -4176, -4176, -4176,  3850, -4176, -4176, -4176,  2522, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176,  1688, -4176, -4176,  1740,  2121,
   30574, -4176,  1583,  3708, -4176, 53448, -4176,  2067, -4176, 54885,
   -4176, -4176,  3566, 53448,  2525, -4176
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4176, -4176,  3710, -4176, -1133,  -186,  2285,  -622, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,  2905,
   -4176, -4176, -4176,  1526, -4176, -4176,   -37,  1595,  2532,  1215,
   -4176, -1332, -4176, -4176,  -809,   275,  -961, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176,  -980,  1659,  1055,  2379, -2408, -4176,
   -1688, -4176, -4176,   487, -4176, -4176,  1608, -4176, -4176, -4176,
     928,  -272, -4176, -4176, -4176, -4176, -4176, -4176, -4176,    -3,
   -4176, -4176,  -442, -1798,  -116,   -72,  -312, -4176, -4176,   332,
    -313, -1684, -4176, -2932, -4176,   -35, -4176, -4176, -4176,  -316,
   -1651,  1141,  -967, -1347,  1445,  -594, -4176,  -202, -4176,  -642,
    -544,  -542,  -603,  -445, -3605, -3989, -3769, -2987,  1148, -4176,
   -4176, -4176,   356, -4176, -1780, -4176, -4176,  2216, -1602, -4176,
    -826, -4176, -4176, -4176, -2916, -4176, -4176, -4176, -4176,   -85,
   -4176, -4176, -4176, -4176,   395, -4176, -4176, -4176, -4176, -4176,
   -4176, -2647,  1580,  1582, -4176, -4176, -3569, -4176, -1166, -4176,
     530, -2953,  1077, -4176, -4176, -4176,  2238, -4176, -4176, -4176,
   -4176,   396, -4176,   393, -4176, -4176, -1799, -4176, -4176, -1774,
   -4176,  1603,   920, -4176, -4176, -4176,  -616,  -676,  -666, -4176,
   -3411, -4176, -4176, -4176, -4176, -4176, -1213, -4176,   970, -3043,
   -1188, -4176, -4176,   985, -4176, -4176, -4176, -4176,  -571,  -189,
    2274, -4176,  -481,  -553, -4176, -4176, -4176,  -185, -4176, -4176,
   -4176, -4176, -4176, -4176, -1939,  8857, -1781, -4176, -4176, -4176,
   -4176, -2454, -4176, -4176, -4176, -1640, -4176,  3975,    14,  1045,
   -1773, -4176,  -197,  -113,  2780, -1365, -2648,   343,  -335, -4176,
   -1984, -4176, -4176, -4176, -2540, -4176, -4176, -4176, -4176, -3385,
   -1768, -4176, -4176, -4176,   391, -4176, -3956, -3779, -4034, -3400,
   -3358, -4176, -4176, -1303, -4176, -4176, -4176, -1610,  1778, -1682,
   -4176, -2312,   392, -3616,  -979, -3190, -4176, -3544,  -414, -4176,
   -4176, -4176, -4176, -4176, -4176, -4176, -1293,  -860, -4176, -4176,
    3262, -4176, -3670, -4176, -4176, -4176, -4176,  1139, -4176, -1541,
    1054, -4176, -4176, -4176, -4176, -4176,  -561,  -639, -4176, -4176,
   -4176,   285, -4176, -4176, -4176, -4176,  1941, -1169,  -978,  3142,
   -1767,  -221, -4176, -4176, -4176, -4176, -2978, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -1402, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176,  1962,  1963,  -102,  -198, -4176, -4176, -1466, -4176,
    -796, -4176,  2200, -4176, -4176, -4176, -4176,  1296,   286,   426,
     -76, -4176, -4176,   217, -3303,   -75, -4176, -4176, -4176, -4176,
    -333,   -69, -4176,   672, -4176, -4176, -2749, -4176,   295,     1,
    2839,  1542,   -58,  1158,  -241,  -208,  -204,   -77,  3144,  2612,
   -4176, -4176, -4176,  -184,  1576, -4176, -1077,  -353, -4176,  1307,
    -888,  1940,  2602,  2617, -4176,  1300, -4176, -4176,  1320, -4176,
   -4176, -4176,  -886,  1965, -4176,  2621,  1979, -4176,  1305,  1315,
   -3274,   781, -3278,   293, -1040,  -254,  -142,  3167,  2625, -4176,
   -4175,   717, -4176, -3339, -2348,  -282, -2083, -1805, -4176, -4176,
   -1400,  8717, -4176, -4176, -4176, 15995, 16798, -4176, -4176, 17110,
   17117, -4176, -1262,   823, 17309,  3352, -1419, -1829, -1491, 14912,
   -2200,   840, -2600, -4176, -4176, -4176,  -225,   843,   232, -4176,
   -4176, -4176, -4176,  -457, -2770,  -456, -4176, -4176, -4176,  -460,
   -3335,  1619, -4176,  -812, -4176, 16053,  1349, -4176, -1316, -2705,
   -2698, -1372, -1931, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -2221, -3174,  -743,  1424, -4176, -4176,  1518, -4176, -4176, -4176,
   -1534, -1120, -2616,  1432, -2101, -4176, -1076,   738,  2091, -1019,
   10425,  1297, 12802,  -137, -2359, -1487, -1735, -4176,  2007, -4176,
    1570,  2940,  -154,   102,   -68,     7, -3008, -4176, -4176,   300,
   -4176, -4176, -4176,  3618,   983, -4176,  2965, -4176,  1657,  2337,
   -4176, -4176,  1977,  -930,   -49, -4176,  -418, -4176,  -127, -4176,
   -4176, -4176,   186, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
   -4176, -4176,  2650, -4176, -4176, -1431, -4176, -4176, -4176, -4176,
   -4176,  3892,  -297, -4176,  3327,  -293, -4176, -4176, -4176, -4176,
   -4176, -4176, -4176, -4176, -4176,  2658,  2012, -4176,  3150, -4176,
   -4176, -4176,   -38,  2870, -4176, -4176, -4176, -1165,  -582,  3152,
    3154,  1974, -4176, -4176, -4176, -4176, -4176, -4176, -4176, -4176,
    1983, -4176, -4176,  1416, -2117,  1990, -4176, -4176,   766, -4176,
   -4176,   334, -4176,   770, -4176,  2760, -4176, -4176, -4176,   802,
   -4176, -4176, -4176,  -558, 10076,    27,   -53,    73,  1278, -4176,
    4707,  8304,   -93,  2678,    18,  7502, 14633,   796, -4176,  3885,
    1989,  1635,  -997, -4176,  3691,  2291, 13955, -4176,  -995,     5,
     409, -4176,    -2,  -658, -1144,  2961,  -725, -1921, -4176,  4299,
   -4176, -3211, -4176, -1025,  3329, -1198
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2530
static const yytype_int16 yytable[] =
{
      81,   360,   350,   351,  1074,  1083,  1939,    79,  1602,   353,
     363,  1025,   979,  1264,  1608,   891,   363,  1390,  1391,  1535,
     355,  1189,  1395,  1947,   804,  1987,   903,  2636,  1556,  1770,
    2212,  1976,   979,   887,  2041,  1674,  2534,  2391,  2672,  2399,
    2338,  2018,  1807,  1059,  2526,   697,  2073,  2074,  2421,   363,
    1131,  1886,  2640,  3321,  2052,  2863,  2100,   987,  1832,  1750,
    1904,  1189,   953,  3158,   801,  2089,  1316,  1548,   804,  1795,
    3788,  3073,  2400,  2497,   940,  1000,   404,  1093,  3023,  3025,
    1056,  1094,   404,   697,  3456,   364,  2535,   360,  3566,  2466,
    2467,   364,  2559,   363,   847,  1026,   403,   703,  3593,  3579,
    3595,  1295,   403,   895,   902,   402,  2583,   709,   801,  2389,
    2560,   402,  1930,   902,  1189,   404,  2561,  2562,  1875,  2225,
    2883,  1879,  2563,  2564,   364,  3119,  1883,  1135,  2721,  2272,
    2274,  2275,  3999,  1888,  3963,  1657,   804,  1659,  3705,  1017,
    2212,  3309,  1906,   851,   402,  3451,  3452,  1017,  1077,  1017,
     897,  3989,  1085,   902,  3453,  1351,  1086,   905,  4176,   404,
    3691,   363,  3511,  2632,  2456,  3918,  3932,  3934,   364,  4194,
    4153,  3401,  2002,  3691,  2067,  2068,   801,  2116,  1047,  2595,
     976,  2920,  4148,  1977,  2266,  2266,  2408,  4415,   402,  4165,
     802,  2316,  1717,  3213,  1596,  1972,  1599,  1635,  1636,  2086,
     976,  3968,  1689,  3865,  2171,  1022,  1126,  3710,  3711,  3712,
    3713,  3714,  3715,  1022,  1765,  1022,  1774,  4317,  1340,   799,
    2936,   857,  3358,  1799,  2940,   424,  3522,   404,  1903,  1931,
    2125,  2462,  1542,  2473,   802,   424,   364,   424,  2119,    45,
    1290,  1796,  4315,  2213, -1488, -1488, -1488, -1488,  3446,    45,
    3461, -1488,  1931,  3462,  3463,  2128,   402,  1148,  2478,  3276,
    4587,  3278,  -135,   799,  3464,  3465,  3466,  3137,  3467,  3468,
     407,  -135,   424,  3469,  3470,  3471,  -135,  1826,  3779,  2581,
    2402,    43,  4108,  4512,  1697,  2130,    45,  1627,  4635,   360,
     350,   351,   690,  2033,  2792,  1931,  -354,   353,  4734,  3160,
    3563,  3516,   802, -1706,  3446,  4323,   363,  2402,   355,  1016,
   -1706, -1812, -1812, -1812, -1812,  1107,  2702,  1016, -1812,  1016,
    2797,  2832, -1722,  1979,  1378,  3066,  4042,  1648,  2833, -1722,
    4420,   799,  2797, -1488, -1488, -1488, -1488,  3310,  2958,   906,
   -1488,   363,  4421,  1206,  4022, -2528, -2528, -2528, -2528,  1742,
    1649,  2344, -2528,   260,  4648, -2529, -2529, -2529, -2529,  3567,
   -2528,  1122, -2529,   328,   349,  2887,  4227,  2341,  4228,  1820,
   -2529,  2989,   404,   354,  2117,  1405,  1592,  1528,   365,  1807,
    1108,   364,  1420,     3,  1871,   424,  1698,  -738,    37,    38,
      39,    40,   403, -1488,    43,    44,  1426,  1650,  2162,    45,
     818,   402,  2682, -2526, -2526, -2526, -2526,   404,  2959,  3319,
   -2526,    80,  1697,  4717,  3336,  3472,   364,  1189, -2526,  2848,
    2163,  4043, -2525, -2525, -2525, -2525,  4555,   403,  3174, -2525,
    4575,  1207,  1378,  2100,  3526,  1109,   402, -2525,  1110,   819,
    2073,  2074,  1594,  3171,  2888,   130,   131,  2089, -2121, -2121,
   -2121, -2121,  2409,  4556,  3358, -2121,  2669,  4320,  2214,  4735,
    4602,  1064,  1087, -2121,    37,    38,    39,    40,  2332,  1208,
     424,    44,  4583,  1932, -1498, -1498, -1498, -1498,  1595,  4023,
     814, -1498,   815, -1498, -1498, -1498, -1498,  4113,  2159,  4649,
   -1498,  4422,  4229,  1169,  1678,  4020,  1932,  1255,   688,  3161,
   -1483, -1483, -1483, -1483,   891,  3067,  1379, -1483, -1455, -1455,
   -1455, -1455,   848,  2504,  1698, -1455,  3564,  1209,  2683,  1306,
    1150,   691,  1136,  1965,  1094,  3311,  1111,  2508,  2204,  2205,
    1814,  1989,  1931, -1468, -1468, -1468, -1468,  1088,  2334,  1932,
   -1468,  1002,  3473, -1495, -1495, -1495, -1495,  1638,  1641,  2034,
   -1495,  3567,  3983,  3356,  3357,  2335,  3138,  4091,  3372,  4032,
   -1483,   896,  2461,  1991,  1129,  1130,  1745,   913,  1567,  1539,
    1568,  2479,  2474,  4324,  4419,  2582,  2067,  2068,  4024,  4310,
    2526,  4025,   907,  2212,  2086,  3780,  1941,  3474,  4698,  3008,
    2034,  1670,   895,   992,  3691,  1120,  4804,  1561,  3407,  3408,
     245,  1562,  4392,  2120,  1967,  2460, -1706,  3539,    37,    38,
      39,    40,  1971,  3027,  2056,    44, -1958,  1003,  1644,  2524,
    1872,  1112,  2798,  2500,  2834, -1722,  2062,  1941,  2212,  2452,
    3370,  2454,  2862,  1127,  3421,  1699,  4603,  2496,  2149,   897,
    1113,   260,   902,   902,   973,   974,  4565,  2172,  1406,  4266,
    4434,   328,   349,  4270,   973,   974,  1686,  1872,  1394,  1122,
     908,   354,   909,  2891,  1806,  3358,   365,  2661,  1416, -1488,
    3823,  2420,  4225,  4304,  4718,  2670,  4728,  2724,  3475,  1128,
    2336,  -135,  -135,  1721,  3946,  1394,  3652,  1163,  2684,  3655,
    3656,   973,  1626,  3659,  3174,  3513,  2520,  1196,    37,    38,
      39,    40,  2125,  3666,  2288,    44,  2685,  2987,  3022,  4541,
    3576,  1074,  3577,  3030,  2253,  2062,  2254,  4732, -2256,  2410,
    1139,  2189,  2368,  1089,  4622,  2201,  2201,  2128,  1251,  4122,
    1550,  2411,  1603,  1065,  1561,  2184, -1812,  1170,  1562,  2380,
    4769,  1256,  2718,  2720,  1428,   363, -1809,  3358,  3480,   363,
     816,  3580,  1617,  2728,  1637,  1359,  2731,  2130, -1488,  1137,
     801,  3954,   818,  1307,  2743,  2744,  1135,  4783,  4504,  1241,
   -2528,  1804,  2337,  1292,  1815,  4514,  1932,  2761,  2763,   809,
   -2529,  2412,  1305,  1004,  1005,  1176,  3657,  3658,  2777,   810,
    2439,    37,    38,    39,    40,  3486,  1386,  2651,    44,  1592,
    1569,   819,  2836,  2654,  1651,  1652,  4669,  3312,  1360,   410,
    1366,   404,  1371,  1393,  2644,   404, -1958,  2156,  1375,  1159,
     364,  1281,  2747,  2748,   364,  3009,  1972,  1159, -2526,  1378,
    2949,  3194,  1349,  4554,  2922,   403,  2922,  1640,  1378,  3446,
     402,  1366,  1371,   967,   402,  3360, -1455, -2525,  1080,  1122,
    1354,   902,  1396,  1561,  2575,  2125,  3689,  1562,  1159,  3367,
    3368,  3369,  3370,   968,  3202,  1594,  2095,  1085,  4647,  3689,
    2589,  1086,  2665, -2121,   360,  2095, -1958,  1784,  2370,  4197,
    2128,  2376, -1910,  1785,  2375,  2096,   802,  2435,   811,  1394,
    4784, -1958,  3971,  1428,  2096,  1078,  3358,  1345,  4166,  2097,
   -2256,   902,  1293,  4381,  4382,  4383,  4384,  4385,  2099, -1287,
    2130,  4589,  1159,   808,  2391,   799,  4760,  1396,  1805, -1455,
    3769,  1159,  1561,  2837,  3581, -1483,  1562,  3360,  2442,  2576,
    1551,  2445,  2446,  2072,  3608,  1189,  1379,  4480,   852,  4482,
    3995,    81,  3001, -1290,  2592,  1387,  3786,  1606,    79,  3582,
    1350,  2988,  2643,  1079,  2589,  4665, -2256,   808,  2078,  4768,
    3001,  3984,  4771,  1572,  2377,  1365,  1854,  1370, -1495,  4674,
     708,  1017,  1691,  1282,  4566,  1017,  4543,  1384,  1364,  1786,
    1369, -1287,  4660,  3361,  2456,  4470,  1122,  3195,   697,  1618,
    1552,  2505,   363,  4473,  2117,  3313,  1399,  1401,  4477,  1532,
    4803,  4479,  1538,  1021,  3788,  1416,  1546,  2676,  2677,  1398,
    1400,  1021,  3002,  1021,  1899, -1290,   812,  1080,  1428,  1379,
    1132,  3358,  4567,  3941,  3490,   808,  4058,  1283,  1702,  4568,
    3002,  1159,  2666,  2122,  1900, -2530,  3609,  1022,    35,   424,
    3483,  1022,    37,    38,    39,    40,    41,    42,    43,    44,
     896,   854,  2590,    45,  2157,  3359,  4569,  4590,   404,  3003,
    2667,  4729,  1779,  3196, -1910,  1159,  2157,   364,  3365,  3366,
    3367,  3368,  3369,  3370,  1692,  2906,  3360,  3741,  1566,   424,
    4167,  1895,    37,    38,    39,    40,  2621,   402,    43,    44,
    1426,  1650,   424,    45,  4761,    37,    38,    39,    40,  2420,
    1780,    43,    44,  2577,  4630,   967,    45,  2146,  2147,  2148,
    2149,  4626,  4627,   122,   207,  2578,  4620,  1787,  1630,  1896,
   -1910,  3985, -1287,  2160,  2040,   968,  4570,  3790,  4037,  1081,
    4733,   126,  3361,  3846,  1189,  3178,  4401,  1660,  1080,  1794,
     993,  1016,  4611,  2232, -1942,  1016,  1955,  2186,  1788,  3986,
    3365,  3366,  3367,  3368,  3369,  3370, -1290,  3866,  3004,  3848,
    4762,  2970,  3853,  3854,  3855,  3856,  3857,  3858,  3859,  3860,
    3861,  3862,  4059,  2125,  3610,  4285,  3004,  1789,  1901,  4527,
    1630,  2871,  4424,  4763,  1956,  4289,  2647,  1179,  1180,  1181,
    4425,  1182,  1183,  1184,  1185,  1186,  1187,  4397,  2128,  1917,
    4082,  3360,  3791,  4410,  4608,  3611,  4085,  4086,  4087,  4088,
    4089,  4090,  1693,  2971,  1159, -1287,  2868,  2340,  4705,  3742,
    2344,  3902,  3903,  4038,  1159,  4303, -1455,  2530,  2130,  2233,
    2750,  4279,  1844,  2511,  3612,   855,   356, -1455,  3574,  2072,
   -1455,  1678, -1455,  3954,  2341,  3027,  1870,  1781,  3001, -1290,
   -1287,  1030,  1074, -1287,  2187,  4288,  3113,  3361,  2144,  2145,
    2146,  2147,  2148,  2149,  1243,  2405,  1897,  4795,  4702,  4703,
    2814,  2512,  1694,    37,    38,    39,    40,  4528,  1189,  1159,
      44,  4144,   360,   214, -1290,  4571,  2966, -1290,  4213,  4752,
    3689,  2270,  1108,  1752,  4518,  3362,  3363,  3364,  4750,  3365,
    3366,  3367,  3368,  3369,  3370,  1657,   859,  1659,  3012,  4039,
    3274,  3458,   222,  3459,  1941,  2406,   818,  3819,  3002,  1297,
     913,  4708,   356,  3446,  1753,  3358, -1942,  3446,  3279,  3691,
    3792,  1957,  1782,  4515,    81,    81,  4411,    81,  -892,  2391,
    4426,    79,    79,  3314,    79,  1159,  2271,  1109,  2345,   232,
    2531,  1898,    80,  2133,  2134,   819,  1345,  3220,  3221,  3222,
    3223,   235,  1630,  1993,  1206,  1995,  2278,  2303,  1999,  2279,
    2001,  1094,  2342,  2004,  2005,  2006,  2219,  3556,  4709,  4812,
    2226,  2227, -1942,  2231,  1086,  1086,  2013,  1086,  3793,  2273,
    2040,  3013,  4788,  4651,  2815,  2907,  2137,  1135,  2816,  2036,
    4796,  2037,  3837,  1073,  1870,  4545,  4781,  3334,  1404,  4164,
    3315,  3575,  4145,  3487,  3977,  3557,  1958,  2559,  2513,  3270,
    3362,  3363,  3364,  2346,  3365,  3366,  3367,  3368,  3369,  3370,
    1001,  2447,  1159,  1031,  2817,  2560,  1421,  1111,  1111,   945,
    3716,  2561,  2562,  2556,  4202,  1529,  4203,  2563,  2564,  1541,
    1297,  1543,  1207,  2697,  1027,  3385,  2925,  2280,   973,  1626,
    1159,  1924,  1606,  2432,  3004,    37,    38,    39,    40,  2211,
      35,  3104,    44,  1054,  3849,  4818,  3850,  3105,    41,    42,
    1111,   697,   697,  3719,  3788,  2326,  3410,  3811,  1159,  1159,
    1208,  1159,  2176,  2177,   363,  2327,  2992,  1276,  1651,  1652,
    1276,  2235,  4652,  2514,  2153, -2530,  1080,  1061,  1159,   801,
    2328,  1925,  4291,  4489,  4490,  2557,  -571,  4623,  1084,  4141,
    4588,  2116,  1733,  2970,   356,  1277,  1032,  4629,  3748,  1941,
    2501,  1768,  1067,  2532,  1100,   818,   688,   688,  1209,  2422,
    1076,  1661,  2236,  1586,  1189,  2192,   363,   363,   363,  2040,
    2818,  3081,  1630,  2448,  1101,  2449,  1630,  1630,  3770,  1159,
     404,   801,  3558,   870,  1102,  4653,  4446,  2490,  1278,   364,
    1090,  1278,    74,  3106,   819,  3542,  2144,  2145,  2146,  2147,
    2148,  2149,  1648,   697,  2178,  2211,  2423,  2424,  1159,   402,
    3851,  2237,  1159,  1159,  2285,  2543,   363,  4659,  2491,  1926,
    3852,  3082,  3129,   363,   870,  1649,  1827,  1828,  1785,   808,
     363,  4390,   404,   404,   404,  2364,  3723,  1017,  3092,   872,
    2420,   364,   364,   364,  3545,   801,  3095,  3178,  3097,  4361,
    4362,  2281,  4667,   403,   403,   802,  1587,   214,  2329,  2934,
    4142,   402,   402,   402,  1017,  2179,  1927,  3559,   967,  4326,
    4327,  3083,  3724,  2609,  1830,  1769,  2299,  2301,   948,  4500,
     872,  4502,   404,  1103,   799,  3725,   222,  3446,   968,   404,
    1870,   364,  3446,  2509,  4678,  3446,   404,   949,   364,  4484,
     967,  3459,   403,  1022,  2272,   364,  2236, -1959,  1924,  2307,
      43,   402,  4321,  4247,  4248,    45,  1097,  1526,   402,  3555,
     968,  4143,  2554,   232,  1786,   402,  2125,  2530,   950,  1630,
    1022,  3107,  4694,  3995,  2453,  1630,   799,  1870,  2332, -1984,
    2584,  3455,  2433,  4618,  1928,  1104,  1017,  2510,  3365,  3366,
    3367,  3368,  3369,  3370,  2333,  2237,   978,  4695,  2646,  3084,
    1754,  1297,  3108,  1870,  3726,    80,    80,  3110,    80,   245,
    2422,   802,   879,  4322,   880,  2124,   978,  1527,  2125,  1630,
    2125,  2130,  1630,  1630,  2680,  4002,  1297,    37,    38,    39,
      40,  3109,  1108,  3042,    44,  4104,   885,  2269,  3111,  2540,
     799,  4014,  2434,  2128,  1748,  2128,  1755,  1016,  2334,  2129,
    3264,  1105,  1022,   879,  3549,   880,  3183,  2423,  2424,  2610,
    1428,  1941,  1015,  3358,   363,  2335,  3044,  3112,  4377,  4000,
    1870,  2038,  1053,  2130,  1016,  2130,  3088,   885,  4002,   801,
    3893,  4105,  1630,  3043,  1675,  3287,  1926,  1109,  3995,  2523,
    2531,  2420,  1297,  -377,  3822,  1021,  4378,  4003,  3085,  1021,
    4292,  3568,  2270,  2793,  2193,  3184,  3086,  1870,  3302,  3087,
      37,    38,    39,    40,  2699,  1676,  3045,    44,  4650,    37,
      38,    39,    40,  1756,  2402,  3088,    44,  2862, -2320, -1959,
     404,  3823,  2407,  1927,  4120,  1870,  3498,  3750,  3446,   364,
    1680,  1354,  2310,  2194,  1677,  3412,   214,  3413,  3925,  3481,
    4003,  4004,  2687,  4021,  4026,  4416,  1016,  2271,  3605,   402,
    1257, -1984,  1258,  1749,  2118,   360,  4532,  -157,  1757,  3414,
    1758,  1681,  1872,  2311,  2123,   222,  3926,  2132,  1111,  2878,
    2455,  3185,  3186,  1094,  2161, -1959,  4517,  1159,     8,  3606,
    2336,  4272,  -157,  1870,  3187,  4417,  1159,  2698,  2133,  2134,
    1682,  3928,  2312,  1592,  4004,   802, -1334,  1593,  1760,  4531,
   -1334,  1928,   232,  1297,  1132,  3829,  2191, -1984,  3607,  3427,
    1297,  1297,  3867,  3868,   235,   360,  2693,  2694,    81,  1138,
    3174,    81,  2716,  2695,   799,    79,  1544,  3517,    79,  3188,
    1149,  2137,  2862,  3360,  2696,  1762,  1775,  3602,  1111,    37,
      38,    39,    40,  2649,  2138,  2650,    44,  2182,   245,  2652,
    3292,  2653,  3603,  1686,  2655,  2458,  3415,  1189,  2656,  1594,
    1367,  3416, -1334,  2532,  1372,  1373,  1374,  1776,  2008,  1764,
    1159,  1777,  2337,  3833,  1385,  3689,  4451,  3384,  3225,  3386,
    3387,  4526,  2533,  3226,  2795,  2447,  3930,  3114,  1175,  3361,
    4552,  2009,  3116,   688,  2201,  1595,  1778,  3900, -1334,  4749,
    2492,  1973,  4467,  4468,  3202,  1974,  1159,  1159,  4305,   363,
    3730,  2493,  4246,  3189,  1159,  3190,  3115,  1159,  1941,   820,
    1159,  3117,  3873,  3995,   801,  2741,   424,  3491,  1159,  1159,
    2893,  1164,  1140,  4245,  2095,  2494,  1159,   856,  3148,  1159,
    1159,  1159,  1159,   967,  1141,  1142,  2391,  3620,   424,  1159,
    1159,   942,  1159,  2096,  1159,  1159,  1204,  1962,  1159,   356,
    1073,  4174,    45,   968,  1143,  2414,  1572,  1144,  4584,  3031,
    3924,  1344,   424,  1870,  1159,   404,  3417,  1963,  2167,  1159,
    2960,  2168,  2963,  1159,   364,  3418,  3832,  1159,  1245,  1159,
    1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,   363,  1159,
    2095,  1028,  3642,  1683,   402,  1159,  1973,  2448,  1159,  2449,
    2639,  2144,  2145,  2146,  2147,  2148,  2149,  2084,  2085,  2096,
    4060,  3548,  3643,  3331,  3178,   130,   131,  2642,  2459,    37,
      38,    39,    40,  2097,  1684,  2954,    44,  3925,   207,  4816,
    4061,  2705,  4817,  2095,  3997,  3998,  3706,   363,  2909,   363,
     802,  3226,  3362,  3363,  3364,  1198,  3365,  3366,  3367,  3368,
    3369,  3370,  2096,  1685,   404,  3926,  1260,  1428,  1261,  1159,
    3358,  1311,  2463,   364,  2211,  1319,  2099,  4219,  1205,   799,
    3927,  1145,   948,  1084,   403,  1331,  1248,  3894,  2706,  1428,
    3928,  1583,  3358,   402, -1287,  3172,  3332,  3746,  1122,   363,
    3333,   949,  4596,  2489,  1982,  2805,  1983,  2806,  2422,  4252,
    2262,  2263,  3929,   404,   801,   404,  1250,  1428,  1146,  1280,
    3358,  4101,   364,  4103,   364,  3716,  4106,  3010,  4107,  2807,
    1265,  3717,   950,   403,  1686,   403,  1279,  1630,  2707,  2422,
    1271,  3718,   402,  2059,   402,   245,  3431,  1793,  3432,  3079,
    2565,   207,    81,  3578,    81,  2423,  2424,  1660,  2072,    79,
    2317,    79,  1807,  2422,  2217,   404,  2218,  2708,  3719,  1288,
    3720,    35,  2709,  2220,   364,  2221,  1794,  3063,  3937,    41,
      42,  1428,  2899,  2900,  3358,  3930,  2423,  2424,  4098,  2420,
    2783,  4018,  1159,  2786,   402,   424,  2072,  1159,  2317,   363,
    1285,  4253,   363,  1159,  1317,  1561,  3491, -1812,   808,  1562,
    2423,  2424,  1302,  2641,   801,  2642,  1326,   801,  2710,  3491,
    2420,  2808,  2603,  2604,  3942,  3944,  2809,   191,   910,    80,
    1332,  2810,    80,  1870,  2072,  3731,  1678,  3733,  1870,  1870,
     802,  1347,  3721,  4538,  2420,   943,  2662,  1686,  2663,  1870,
    3360,    45,  2664,  2212,  2663,  1992, -1358, -1358,  1994,  3317,
    2690,  1998,  2691,  2000,  1402,   404,  2003,  1388,   404,   799,
    2007,  2884,  3360,  1941,   364,  1392,  2942,   364,  2691,   214,
    4114,  4115,  4116,  4117,  4118,  2244,  3089,  2862,  4119,  3020,
    3217,  3021,  3246,  3247,   402,   834,  3722,   402,  3783,  1630,
    3360,  3723,  2262,  2918,    35,   214,  3361,  1630,   222,  1630,
     214,  1413,    41,    42,  4116,  4117,  4118,  4496,    37,    38,
      39,    40,  3493,  3494,   808,    44,  2711,  1408,  3361,  3206,
    1414,  1021,  2712,  4080,   222,  3089,  2740,  3724,  1415,   222,
     802,  3924,  3075,   802,  3076,   232,  2811,  3166,  1417,  3167,
    3725,  3834,  4110,  4111,  3460,  2812,  3361,   235,  1021,  1418,
    2713,  4430,  1416,    74,  3360,  1419,  2072,   356,  2317,   799,
    1425,   232,   799,  1159,  1422,  1870,   232,  4250,  1423,  2714,
     951,  1547,   978,   235,   978,  3081,   978,  1549,   235,  1078,
    1553,   245,   978,  1376,  1377,  3179,  1580,  3180,  3089,  2046,
    2047, -1335,  3089,  2715,  3294, -1335,  2663,  1554,  3925,  4234,
    3330,  1074,  2642,  3499,  3500,   978,   978,   245, -1085,  1555,
    3361, -1085,   952,  4126,  4195,  4447,  4448,  4449,  4450,  3726,
    1560,  1573,  3089,    35,   424,  3082,  3926,  4640,  2060,  4642,
    1021,    41,    42,  3340,  1870,  2642,  1581,  1079,    45,  2869,
    1583,  3927,  4114,  4115,  4116,  4117,  4118,  2076,  3343,  1122,
    2642,  3928,  4380,  3347,  1948,  2642,  3348, -1335,  2642,  3362,
    3363,  3364,  1584,  3365,  3366,  3367,  3368,  3369,  3370,  3374,
    3207,  2642,  3390,  3929,  2642,  3083,  3395,  2103,  3396,  1590,
    1159,  3362,  3363,  3364,  1604,  3365,  3366,  3367,  3368,  3369,
    3370,  2114,  4474, -1335,  3433,  1589,  3434,  1591,  3436,  3437,
    3438,  1080,    37,    38,    39,    40,  1074,  1605,   808,    44,
   -2530, -2530,  1609,  3365,  3366,  3367,  3368,  3369,  3370,  1630,
    3596,  1611,  3597,   978,  3600,  3391,  3601,  1615,  1619,  1870,
    2031,  3398,  3737,  1616,  3738,   688,  4772,   191,  3767,  1620,
    3768,  3550,  1653,  1159,  1621,  2043,  3930,  1159,  3256,  1622,
     363,  1661,  3777,    80,  3778,    80,   363,  2053,  3838,  1623,
    2642,  1159,  1159,  3084,  3874,   801,  3875,  1703,  3884,  1625,
    3885,   801,  1624,  3362,  3363,  3364,  1631,  3365,  3366,  3367,
    3368,  3369,  3370,  1632,  1634,   978,  1084,  1084,  3896,  1084,
    2642,  1159,  1159,  3969,  1663,  3970,  1159,  1664,  4373,  1704,
    3208,  3973,  4174,  3974,  4001,  4366,  2663,  4128,  1159,  1159,
    1159,  1159,  4094,  1081,  4095,   214,   404,  4251,  4475,  2691,
    1666,  1159,   404,  1672,  1159,   364,  1159,  1543,  1678,  1719,
    3491,   364,  3613,  1696,  3615,   864,  1159,  1159,  3209,  4312,
    1159,  4313,  1747,  1701,   222,   402,  1783,  1745,   360,  2693,
    2694,   402,  1792,  1159,  1705,  1159,  2695,  1801,  4318,  1159,
    2663,  4319,  3085,  2663,  1703,  1802,  1803,  2696,  1151,  4412,
    3086,  4413,  4456,  3087,  4457,  1159,  1172,  4458,  3641,  2642,
    4466,   232,  2691,  1808,  4100,  1706,  1159,  1812,  1159,  1159,
    1159,   802,  4535,   235,  4536,  1824,  1704,   802,  4454,  3653,
    1810,    37,    38,    39,    40,  1817,  1822,  1246,    44,  4549,
    1831,  4550,  1159,   870,  3257,  1630,  1674,  4585,  2223,  4586,
     799,  1834,  1876,  3121,  1159,  1686,   799,  4773,  4271,  1159,
    4274,  4598,  -886,  2691,  1878,  4605,  1159,  1941,    37,    38,
      39,    40,  1159,  1880,  4430,    44,    74,    74,  4610,    74,
    3757,  1705,  1872,    37,    38,    39,    40,  4612,  3150,  3757,
      44,  1300,  1889,   808,    45,  -174,  3150,   978,  1893,   872,
    1309,  1891,  2756, -1459, -1459, -1459, -1459,  4668,  1905,  2181,
   -1459,  4672,  1706,  4673,  1913,  1929,  2779,  4301, -1466, -1466,
   -1466, -1466,  4683,   834,  2691, -1466,  4684,  1921,  3396,  4363,
    1934,  1935,  1159,  3031,  4485,  4685,  4130,  2642,  1936,  3216,
     207,  4688,  1938,  1941,  1709,  4690, -1299,  3757,  3219,  1937,
    1710,  1870,  1940,   363,   363,   363,  1941,  1711, -1299,  3800,
    1946,  4707, -1299,  2691,  4210,  1794,  1949,  1951,   801,   801,
     801,  1950,  3250,  1713,  4713,  4714,  2691,  2691,  1297,  1952,
    4738,  1714,  1941,  1954, -1457, -1457, -1457, -1457,  4123,  1870,
    1870, -1457,  1870,  4814,  4537,  4815,  4825,  1959,  4815,   674,
    1960,  1961,  1707,  1966, -1299,  1980,  2014, -1460, -1460, -1460,
   -1460,  2042,  4770,  1297, -1460, -1458, -1458, -1458, -1458,   404,
     404,   404, -1458,  2044, -1299,  2048,  2050,  3842,   364,   364,
     364,  1715,   879,  1708,   880,  3259,  3787,   207,  2051,  2057,
    3670,  1709,  1870,   882,  1870,  2058,  3847,  1710,   402,   402,
     402,  4597,  2066,   884,  1711,  2069,   885,  2540,  2070,  2071,
   -1299,  2075,  1712,  2185,   245,   363,  2077,  2080, -1299,  2081,
    1713,  3869,  4297,  2082,  2083,  2088,  3760,  2090,  1714,  2091,
     801,  2092,   363,   808,  2093,  2094,  2101,   978,  1870,  2154,
    2102,   978,   978,  2104,   802,   802,   802,   801,  2105,   891,
    2106,  2107,  2108,  2109,  2110,  2196,  2111,  2040,  1378,  1870,
     356,  4600,  3798,  2181,  2206,  2216,  2224,  4633,  1593,  1595,
    1189,  4638,  4639,   799,   799,   799,  2251,  2259,  1715,  2261,
    2268,   404,  1111,  2276,  2282,  3683,  1870,  2284,  2286,  2295,
     364,  2294,  2297,  1630,  2302,  2313,  3761,  2304,   404,  1870,
    4393, -2472,  2314,  2306,   902,  2318,  1630,   364,  1074,  2315,
     402,  3774,  2317,  2319,  2277,  2320,  1377,  2347,  1074,  2321,
     356,  2369,  2322,  2374,  4366,  2343,  2371,   402,  2372,  2373,
   -1299,  3797,  2396,   808,  2291,  2395,   808,  4634,  2402,  2404,
     902,  2298,  2300,  1811,  2415,  2414,  4499,  2417,  4637,  2420,
    2418,  2419,  2426,  1816,  2427,  2428,   802,  2615,  2436,  2429,
    2430,  2443,  2437,  1870,  2440,  2441,  2624,  3910,  3911,  3912,
    3913,  2349,  2450,   802,  2451,  2457,  1870,  1733,  2631,  2464,
    2465,  2475,  2476,  2477,  2480,   799,  2481,  2486,  1561,  1870,
    2488,  1583,  1562,  2502,   978,  2515,  2517,  2503,  2124,  1297,
     978,  2125,   799,  2525,  2350,  2527,  2528,    35,  1915,  2072,
    2803,    37,    38,    39,    40,    41,    42,  2351,    44,  1159,
    4693,  3879,  2062,  2518,  2541,  2078,  2128,  2544,  2547,  2548,
    2352,   866,  2129,  2553,  2552,  1769,  2569,  2668,  2587,  2574,
    2673,  2588,  2675,  2593,   978,  2678,   363,   978,   978,  2598,
    2599,  2596,  1630,  2606,  1159,  2617,  2130,  1870,  2658,  2618,
    2619,   801,  2620,  1159,  2600,  2633,  2634,  2659,  2353,  1159,
    2674,  1159,  2679,  2688,  2723,  2701,  1870,  1159,  2724,  2766,
    1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,
    2765,  2778,  2784,  1159,  1159,  2125,  2789,  2354,  2788,  2796,
    2802,  1870,  2355,  2819,  2821,  2864,  1159,   978,  2848,  1297,
    1159,  2732,   404,  2867,  1159,  2865,  2870,  2875,  2876,  4574,
    2872,   364,  2885,  1079,  1159,  2894,  2886,  1159,  2895,  1159,
    2898,  2904,  2924,  2926,   356,  4617,  2927,  1870,  1159,  1159,
    1159,   402,  2171,  2941,  1159,  2943,  2944,  1159,  2945,  2956,
    2961,  2966,  2964,  2974,  2968,  2969,  2131,  1159,  2977,  2980,
    2132,  2983,  2997,  3000,  3016,  3011,  3018,  1159,  3070,  3074,
    3077,  3065,  4791,  3078,  4507,  1159,  2733,  1159,  3118,  3131,
    3139,  2133,  2134,  4156,  4052,  3140,  3599,   802,  3141,  3135,
    3136,  3143,  3144,  3145,  3147,  3146,  2135,  2356,  3157,  3163,
    3159,  3168,  4521,  3170,  3173,  3174,  3175,  3176,  3212,  3181,
    3200,  2601,  3205,  3621,  3218,  3227,   799,  3231,  3224,  3232,
    3233,  1159,  1189,  3249,  2137,   834,  3251,  1159,  3063,  3263,
    4033,  2734,  3266,  1159,  2735,  3267,  3269,  2138,  3271,  3268,
    3272,  3280,  3283,  3286,  3290,  3491,  3308,  3299,  3285,   363,
    1189,  3296,  3297,   363,  3301,   363,  2357,  2702,  1159,  3298,
      74,  3671,  2358,    74,   801,  2359,  3316,  3320,   801,  3150,
     801,  1394,  3150,  3150,  3322,  3325,  3150,  3327,  3345,  3380,
    3328,  3392,  3341,  3342,  3344,  3411,  3150,  3346,  2642,  3349,
    2360,  1830,  3406,  3426,   808,  3350,  2361,  3692,  3352,  3355,
     808,  3373,  3672,  3701,  3379,  3381,  3382,  3389,  3404,  2362,
    3692,  3419,  2140,  2756,  2756,   404,  3405,  3429,  2756,   404,
    1870,   404,  2736,  1297,   364,  1297,  3673,  1630,   364,  3454,
     364,  3457,  3449,  2363,  3455,  -932,  3509,  2040,  3503,  3505,
    3515,  3674,  3519,  3530,   402,  3675,  3520,  3521,   402,  1973,
     402,  3535,  3533,  3536,  3544,  3551,  3755,  3540,  2756,  2756,
    2729,  2730,  3524,  3676,  3525,  3541,  3565,  3572,  2742,  3573,
    3585,  3587,  2745,  2746,  3618,  3619,  3622,  3624,  3677,  3625,
    3626,  4704,  3629,  3627,  3628,  3782,  1297,  2767,  3630,  2768,
     802,  3632,  3631,  3633,   802,  1630,   802,  3635,  3634,  3636,
    2141,  2142,  2143,  3637,  2144,  2145,  2146,  2147,  2148,  2149,
    2790,  2281,  2791,  3029,  3639,  3638,  3646,  2737,  3644,   799,
    3648,  2473,  1953,   799,  3654,   799,  3660,  3694,  3707,  3661,
    3662,  2757,  3663,  1968,  3664,  3665,  3695,  1159,  3703,  2279,
    3708,  3747,  3734,  3749,  4325,  2757,  3757,  3745,  3756,  3762,
    3771,  2124,  3765,  3678,  2125,  3772,  3795,  3766,  3814,  3815,
    3775,  3679,  2291,  1870,  3816,  4334,  3803,  3805,  3817,  3826,
    3820,  2126,  3825,  3827,  3836,  2059,  3797,  4343,  3841,  2128,
    3376,  3358,  3870,  3375,  4701,  2129,  3871,  3886,  2119,  3872,
    1173,  3939,  3878,  2838,  3680,  1192,  1870,  1159,  1159,  3898,
     686,  3899,  3965,  3907,  1202,  3988,  4006,  4017,  4008,  2130,
    4009,  4308,  4057,  4016,  3957,  4357,  3923,  3936,  4019,  4027,
    4034,  3945,  4035,  3955,   978,  4036,  3979,  4046,  3956,  4048,
    4047,  1259,  1189,  4073,  3891,  1266,  4022,  4077,  3958,  3961,
    3962,  4083,  4049,  4050,  4051,  1630,  1275,  4081,  4084,  4306,
    4138,  4112,  4157,  4146,  4150,  3787,  4159,  1159,  2663,  4160,
    4163,  4178,  4162,  4169,  4182,  4185,  4192,   808,   808,   808,
    4183,  4193,   978,  4198,  4206,  4196,  4200,   980,  4211,  4214,
    4215,  4216,  4217,  4218,  4226,  4223,  4235,  3952,  4236,  4237,
    4332,  4238,  1653,  1159,    74,  4231,    74,   980,  4230,  4267,
    4275,  4268,  4280,  1159,  1159,  4281,  1870,  4239,  4243,  2131,
    4265,  1159,  1159,  2132,  4263,  4283,  1159,  1870,  4278,  4298,
    4284,  4302,  1159,  1159,  4307,  4315,  1159,  4309,  4329,  4314,
    4330,  4299,  4331,  4355,  2133,  2134,  4364,  4360,  4344,  4337,
    4347,  1159,  4376,  4371,  4379,  1159,  3460,  4386,  4394,  2135,
    4398,  4399,  4403,  4405,  1159,  4414,  2607,  4418,  4427,  1159,
    4436,  4444,  4452,  4460,  4462,  2613,  4463,  4478,  2040,  4428,
    4453,  1159,  4455,  4471,  2136,  4464,  4465,  2137,  4481,   808,
    2114,  4487,  4294,  4491,  4493,  4497,  4501,  3300,  4388,  4513,
    2138,  4516,  4529,  2139,  2803,  4523,   808,    81,  4524,  4539,
    4530,  4145,  4546,  4548,    79,  4559,  4562,  4558,  4564,  1159,
    4561,  4576,  4577,  3430,  4578,  4580,  4579,  4593,  4601,  4607,
    4616,  4624,  3670,  1080,  1870,  4631,  3440,  4661,  4654,  4658,
    4664,  3692,  4670,  4671,   978,  4676,  4677,  4682,  4687,  4686,
    4691,  4692,   978,  4697,   978,  1870,  4710,   363,  4053,  1172,
    4699,  4054,  4635,  4055,  1967,  4715,  4716,  1870,  4719,  4721,
    4730,  4725,   801,   356,  4748,  2140,  3947,  4751,  4756,  4753,
    4717,  4075,  4076,  4759,  4767,  4794,  4782,  4810,  1723,  4718,
    4813,  4819,  3440,  3150,  1724,  1073,  4823,   674,   674,  3150,
    3150,  3150,  3150,  3150,  3150,  1870,  1092,  1703,  1722,  1297,
    2487,  3215,   363,  4102,  2203,  3484,  3069,  3583,  4031,  3130,
    3667,  4533,  4365,   404,  4646,  4409,  4560,   801,  4180,  4400,
    4563,  4573,   364,  3177,  1725,  4391,  3538,  3701,  3295,  1704,
    4754,  4505,  4790,  4722,  4720,  4765,  4666,  3543,  4125,  4127,
    4129,  4131,   402,  2586,  4181,  4149,  3198,  4030,  3199,  3594,
    2566,  4152,  4151,  2141,  2142,  2143,  1159,  2144,  2145,  2146,
    2147,  2148,  2149,  4793,  3182,  2873,  3752,  4824,   404,  4820,
    3704,  2874,  3682,  1726,  4766,  4522,  4712,   364,  2551,  4757,
    1727,   997,  4525,  1728,  1705,  4619,  4212,  4188,   802,  3024,
    4189,  2040,  4675,  1298,  2032,  4775,  3645,   402,  4821,  4553,
    2880,  3488,  2881,  2648,  4187,  3975,  4168,  4300,  3291,  1981,
     808,  1870,  2222,  3489,  2903,  1706,  1557,   799,  3501,  2756,
    2248,  3641,  2756,  2756,  2756,  2756,  2756,  2756,  2756,  2756,
    2756,  2756,  3497,  1579,  2247,  1729,  2897,  3514,  2902,  3502,
    3919,  2252,  4273,   802,  1159,  4609,  1565,  3890,  1870,  2255,
    4599,  3976,  3877,  1159,  4739,  4747,  4740,  2040,  3492,  3880,
    3424,  2040,  2040,  3337,   978,  4221,  3422,  3972,  2847,  3796,
    1159,  1159,   799,  1923,  1159,  3531,  3532,  3265,  3534,  1125,
    2602,  2756,  2756,  2928,  4737,  1159,  2267,  1095,  2260,  1730,
    1159,  1731,  1343,  1159,  2919,  2039,  2935,  2932,  1159,  1159,
    3479,  1732,  1642,  3256,  1643,  2933,  3981,  2170,  3960,  1733,
    4290,  3982,  2264,  1118,  3293,  2939,  4495,  1970,  1734,  4498,
    1671,    83,  1703,  2660,  1383,     0,     0,     0,     0,  2608,
       0,  1159,     0,     0,     0,     0,     0,     0,  2614,     0,
     207,     0,  2379,     0,  1709,     0,  2622,  2623,     0,  1735,
    1710,     0,     0,  1736,  1704,  1870,     0,  1711,     0,  1159,
       0,     0,  1630,     0,  2635,  1794,     0,     0,     0,     0,
       0,     0,     0,  1713,     0,     0,  2982,     0,  1737,     0,
       0,  1714,  1172,     0,     0,     0,  4295,  4296,     0,     0,
       0,     0,  2757,  2757,     0,  1159,     0,  2757,     0,     0,
       0,  2124,     0,  3623,  2125,     0,     0,     0,    80,  1705,
       0,     0,   356,   808,     0,     0,     0,   808,     0,   808,
       0,  2126,     0,     0,     0,     0,     0,   356,     0,  2128,
       0,  1715,     0,     0,  1738,  2129,     0,  2757,  2757,     0,
    1706,     0,     0,     0,     0,     0,  1159,   356,  1870,     0,
       0,     0,     0,     0,     0,  2291,     0,     0,  3482,  2130,
     978,     0,     0,     0,     0,     0,     0,     0,     0,  3257,
    1159,  1870,     0,  1159,     0,  1159,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1159,     0,     0,     0,  1159,     0,     0,     0,
       0,  1870,   363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3150,  3150,     0,     0,     0,   801,     0,     0,
       0,     0,     0,  3740,     0,  3743,  1297,     0,     0,     0,
    4369,     0,  4370,     0,     0,  4374,  4375,  1870,     0,     0,
       0,  1870,  1870,  3701,  3701,  3701,  3701,  3701,     0,     0,
       0,     0,  4809,     0,     0,     0,     0,     0,     0,  2131,
       0,     0,     0,  2132,     0,   207,     0,     0,   404,  3258,
       0,     0,     0,     0,     0,  1710,  1159,   364,     0,  2756,
       0,     0,  1711,     0,  2133,  2134,     0,     0,     0,     0,
    1794,     0,  4407,     0,   674,     0,     0,   402,  1713,  2135,
       0,     0,     0,     0,  1870,     0,  1714,  2114,     0,     0,
       0,  4681,     0,     0,  2877,     0,  3818,  3917,     0,     0,
    1865,  4429,     0,     0,  2136,     0,     0,  2137,     0,     0,
       0,     0,     0,     0,  1159,     0,  3828,     0,     0,     0,
    2138,     0,     0,   802,  4221,  4221,  4221,  4221,     0,  1159,
       0,     0,     0,     0,     0,     0,  1715,     0,     0,     0,
    3259,     0,     0,     0,     0,     0,     0,     0,  2124,     0,
       0,  2125,   799,   980,     0,   980,     0,   980,     0,   360,
    4777,  4778,  1159,   980,     0,     0,     0,  4779,     0,     0,
    3256,  1159,     0,     0,  4800,     0,  2128,     0,  4780,     0,
       0,     0,  2129,     0,     0,     0,   980,   980,     0,  1703,
       0,     0,  1159,  1159,     0,  2140,   360,  4777,  4778,   363,
       0,     0,     0,     0,  4779,  1159,  2130,     0,     0,     0,
       0,     0,  3324,     0,   801,  4780,  3326,     0,     0,     0,
       0,  1704,  4800,     0,     0,     0,     0,     0,     0,     0,
    4800,     0,  2485,  2756,  2756,     0,     0,     0,   978,  1159,
     360,  4777,  4778,  3696,  3699,     0,  3692,   363,  4779,  1159,
       0,   978,     0,     0,     0,   363,     0,     0,  1865,  4780,
       0,     0,   801,     0,     0,   404,     0,     0,     0,  3150,
     801,     0,  4801,  4534,   364,     0,  1705,     0,     0,  3744,
       0,     0,     0,  2141,  2142,  2143,     0,  2144,  2145,  2146,
    2147,  2148,  2149,     0,   402,     0,   682,     0,     0,     0,
       0,   700,     0,     0,   980,     0,  2131,  1706,  1159,     0,
    2132,     0,     0,   404,     0,     0,     0,  1159,   686,   686,
    4801,   404,   364,  1658,     0,     0,     0,     0,  4801,  2555,
     364,  2133,  2134,     0,     0,     0,  3257,     0,     0,   700,
     802,     0,   402,     0,     0,  2485,  2135,     0,     0,     0,
     402,     0,     0,     0,     0,  3447,     0,     0,     0,   700,
       0,     0,     0,     0,     0,     0,   980,     0,     0,   799,
       0,  2136,     0,     0,  2137,  1723,     0,   989,     0,     0,
       0,  1724,     0,     0,     0,     0,     0,  2138,   802,     0,
     990,   808,     0,     0,     0,     0,   802,   978,   998,  2190,
       0,     0,  2485,     0,     0,     0,     0,     0,     0,     0,
       0,  3447,     0,  1008,     0,   989,     0,   799,     0,  1029,
       0,  1725,     0,     0,     0,   799,     0,     0,     0,  1058,
       0,     0,   207,     0,     0,     0,  1709,  1063,     0,     0,
       0,     0,  1710,     0,     0,  1297,   808,     0,     0,  1711,
       0,     0,     0,     0,     0,     0,     0,  1794,     0,     0,
       0,     0,  2140,     0,  2124,  1713,     0,  2125,     0,     0,
    1726,     0,   356,  1714,     0,     0,  2124,  1727,  2757,  2125,
    1728,  2757,  2757,  2757,  2757,  2757,  2757,  2757,  2757,  2757,
    2757,  3273,  2128,     0,     0,     0,     0,     0,  2129,     0,
       0,     0,     0,     0,  2128,  3281,  3282,     0,     0,  3284,
    2129,  2757,     0,     0,     0,  3288,     0,     0,     0,     0,
       0,     0,  2130,  1715,  1865,     0,     0,  3259,     0,     0,
       0,     0,  1729,     0,  2130,     0,     0,     0,  4154,  4155,
    2757,  2757,     0,     0,     0,     0,     0,     0,   980,     0,
    2141,  2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,
       0,     0,     0,     0,     0,     0,  2756,     0,     0,     0,
       0,  1865,     0,     0,     0,  4459,     0,     0,     0,     0,
       0,  3440,  3323,     0,     0,  3440,  1730,  3978,  1731,     0,
       0,     0,  2756,  2756,     0,     0,  3409,  1865,  1732,     0,
       0,     0,     0,     0,     0,     0,  1733,     0,     0,     0,
       0,     0,  4207,  4208,  4209,  1734,     0,     0,     0,     0,
       0,     0,  2131,     0,     0,     0,  2132,   356,     0,     0,
       0,     0,     0,     0, -2530,     0,     0,     0,  2132,     0,
       0,     0,     0,     0,     0,     0,  1772,  2133,  2134,     0,
    1736,     0,     0,     0,     0,     0,     0,     0,     0,  2133,
    2134,     0,  2135,     0,  1865,  1723,     0,     0,     0,     0,
       0,  1724,   978,     0, -2530,  1773,  4802,     0,     0,     0,
       0,     0,     0,  1865,     0,     0,     0,     0,   978,     0,
    2137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1865,  2137,  2138,     0,     0,     0,     0,     0,     0,
       0,  1725,     0,     0,     0,  2138,     0,     0,     0,     0,
       0,     0,     0,     0,  4802,     0,   674,     0,     0,  1865,
       0,  1738,  4802,     0,     0,     0,     0,     0,   980,     0,
     978,     0,   980,   980,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2946,     0,  1376,  1377,     0,  2950,     0,
    1726,  2953,     0,     0,  4109,     0,     0,  1727,  3699,     0,
    1728,     0,     0,     0,     0,     0,     0,     0,  2140,  4124,
       0,     0,     0,  2975,     0,     0,     0,  1865,     0,     0,
   -2530,     0,  2756,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1172,     0,
       0,     0,  3014,     0,     0,   356,     0,     0,     0,     0,
       0,     0,  1729,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3028,     0,     0,  2757,     0,
       0,     0,     0,     0,     0,     0,   808,     0,   700,     0,
       0,     0,  3547,     0,  4351,  4352,     0,  4354,  3059,     0,
       0,     0,     0,     0,     0,     0,     0, -2530, -2530,     0,
    2144,  2145,  2146,  2147,  2148,  2149,  1730,  3080,  1731,     0,
    3090,     0,  2144,  2145,  2146,  2147,  2148,  2149,  1732,     0,
     978,     0,     0,     0,     0,   980,  1733,  3098,     0,     0,
       0,   980,     0,     0,  3102,  1734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3125,  3586,     0,
    3588,     0,     0,     0,     0,  3440,  3132,     0,     0,     0,
    3440,     0,     0,  3440,     0,     0,  1797,     0,     0,     0,
    1736,     0,    35,     0,     0,   980,  3447,     0,   980,   980,
      41,    42,     0,     0,     0,     0,  2124,     0,     0,  2125,
       0,     0,     0,     0,     0,  1798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2126,  1865,     0,  2127,
       0,     0,     0,     0,  2128,     0,  1723,     0,     0,     0,
    2129,     0,  1724,     0,     0,     0,     0,     0,  3640,     0,
       0,     0,     0,  3647,     0,     0,     0,     0,   980,     0,
       0,     0,  2757,  2757,  2130,     0,     0,     0,     0,     0,
       0,  1738,     0,     0,     0,     0,     0,  2291,  1155,  1161,
    1161,   700,  1725,  1161,  1168,     0,  1155,   682,  1058,     0,
    1191,     0,   682,     0,  1058,     0,  1058,  3447,     0,    74,
    1161,   682,  1058,   978,     0,     0,     0,     0,     0,     0,
    1215,     0,     0,   808,     0,  1058,     0,  1155,     0,     0,
    1161,     0,   700,     0,  1161,     0,     0,     0,   682,     0,
    1191,  1726,   682,  1268,     0,     0,     0,     0,  1727,     0,
    1161,  1728,     0,   682,   978,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4341,  4342,     0,
       0,   808,  4345,  4346,  2131,     0,     0,  1296,  2132,   808,
       0,  1155,     0,     0,     0,     0,   700,     0,     0,     0,
    1155,     0,     0,  1191,     0,     0,  3440,     0,     0,  2133,
    2134,     0,     0,  1729,     0,     0,     0,     0,  1161,  3799,
       0,     0,     0,  3802,  2135,  3804,     0,  3806,  3807,  1358,
       0, -2039,     0,     0,     0,     0,  3812,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2136,
       0,     0,  2137,     0,  3699,  3699,  3699,  3699,  3699,     0,
       0,     0,   978,     0,     0,  2138,     0,  1730,  2139,  1731,
    3830,  1058,     0,     0,     0,     0,     0, -2039,     0,  1732,
       0,     0,     0,  1058,  1412,     0,     0,  1733,     0, -2039,
       0,     0,     0, -2039,     0,     0,  1734,     0, -2039,     0,
       0,     0,     0, -2039,     0,     0, -2039,  1865, -2039,     0,
    1518,     0,  1865,  1865,   700,  1058,     0,     0,  1296,     0,
       0,     0,     0,  1865,     0,     0,     0,  2366,     0,     0,
       0,  1736,  1058,     0,     0, -2039,  1058,     0,  4604,     0,
    2140,     0,     0,     0,  1518,     0,     0,     0,  4604,     0,
       0,     0,     0,     0,  1058, -2039,  2367,     0,     0,     0,
       0,     0,     0,  1723,     0,     0,  1058,  2124,     0,  1724,
    2125,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2039,     0,     0,     0,  2128,     0,  4644,     0, -2039,
       0,  2129,     0,     0,   682,   682,     0,     0,     0,  1725,
       0,     0,  1738,     0,     0,  2757,     0,     0,     0,     0,
       0,     0,     0,     0,  2757,  2130,     0,     0,  2141,  2142,
    2143,  4494,  2144,  2145,  2146,  2147,  2148,  2149,     0,     0,
       0,  2757,  2757,     0, -2039,     0,     0,  1058,     0,  1865,
       0,     0,     0,  3527,  1161,  1161,     0,     0,  1726,     0,
       0,     0,     0,     0,   356,  1727,     0,     0,  1728,     0,
       0,     0,     0,     0,  4689,     0,     0,   978,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3420,   993,     0,
       0,     0,     0,  1155,     0,   980,     0,     0,     0,     0,
    3447,  4808,     0,  1155,  3447,     0,  1191,     0,     0,     0,
       0, -2039,     0,     0,     0,     0,     0,     0,  1865,  1161,
    1729,     0,     0,     0,     0, -2530,     0,     0,     0,  2132,
       0,     0,     0,  1058, -2039,     0, -2039, -2039,     0,  1161,
    1161,     0,     0,   980,     0,   356,     0,   686,     0,     0,
    2133,  2134,     0,  1058,  1058,  1058,  1161,     0,  1155,     0,
       0,     0,  1920,  1658,  2124, -2530,     0,  2125,     0, -2039,
       0,     0, -2039, -2039,  1730, -2039,  1731,     0,     0,     0,
    3604,     0,     0,     0,     0,     0,  1732,  3616,     0,     0,
    1161,  1161,  2128,  2137,  1733,     0,     0,     0,  2129,     0,
       0,     0,     0,  1734,     0,     0,  2138,     0,     0,  1296,
       0,     0,     0,  1865,     0,     0,     0,     0,     0,     0,
       0,     0,  2130,     0,  1518,     0,     0,  2124,     0,     0,
    2125,     0,     0,     0,  1296,     0,     0,     0,  1736,     0,
       0,  2757,     0,     0,     0,  3650,     0,  2126,     0,     0,
       0,     0,     0,     0,     0,  2128,     0,     0,     0,     0,
       0,  2129,     0,  1737,  2017,  2017,     0,     0,     0,  1058,
       0,   989,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2530,     0,     0,  3904,  2130,     0,     0,     0,     0,
       0,     0,     0,  2049,     0,     0,  1058,     0,     0,  2055,
    1296,     0,     0,  2124,     0,   980,  2125,     0,     0,     0,
       0,  1518,     0,   980,     0,   980,     0,     0,     0,  1738,
       0,     0, -2530,  2126,     0,     0,  2132,     0,     0,     0,
       0,  2128,     0,  4679,     0,     0,     0,  2129,     0,  1518,
       0,     0,     0,     0,     0,     0,     0,  2133,  2134,     0,
    4201,     0,     0,     0,     0,     0,     0,  4204,  4205,     0,
       0,  2130, -2530,     0,     0,     0,     0,  1518,  1518,     0,
    1518,     0,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,
       0,     0,     0,     0,     0,  2131,     0,  1518,     0,  2132,
    2137,     0,     0,     0,     0,     0,  2485,     0,     0,     0,
       0,     0,     0,  2138,     0,     0,     0,   700,   700,     0,
    2133,  2134,     0,     0,  3821,     0,     0,     0,     0,     0,
       0,  1296,     0,     0,     0,  2135,     0,     0,  1296,  1296,
       0,     0,  3831,     0,     0,  1058,     0,     0,  1518,     0,
       0,     0,     0,     0,  3447,     0,     0,     0,     0,  3447,
    2136,     0,  3447,  2137,     0,     0,     0,     0,     0,     0,
       0,  2131,     0,     0,     0,  2132,  2138,  1518,     0,  2139,
       0,  1518,  1518,     0,     0,     0,     0,     0, -2530,     0,
       0,  1058,  1058,  2258,     0,     0,  2133,  2134,     0,     0,
    3447,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2135,     0,     0,     0,  1865,     0,  4799,     0,   700,
       0,   682,     0,     0,     0,     0,     0,     0,  4520,     0,
       0,     0,     0,     0,     0,     0,  2136,     0,     0,  2137,
       0,     0,     0,     0,     0,   980,     0,     0,     0,     0,
       0,  2140,  2138,  1865,  1865,  2139,  1865,     0,     0,     0,
       0,     0,     0,     0,  1172,  4799,     0,     0,     0,     0,
       0,     0,     0,  4799,     0,     0,     0,     0,     0,     0,
    2144,  2145,  2146,  2147,  2148,  2149,     0,  4335,  4336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1865,     0,  1865,     0,
    2401,     0,     0,     0,     0,  3447,  1058,     0,     0,  1161,
       0,     0,     0,     0,     0,     0,     0,  2140,     0,     0,
       0,     0,     0,     0,  1191,     0,     0,  4358,  4359,  2141,
    2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,
       0,     0,  1865,     0,     0,  3351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3447,  1161,  1161,  1161,  1161,
    1058,     0,     0,  1865,     0,     0,     0,     0,     0,   682,
       0,     0,     0,     0,     0,  4015,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2498,     0,  1058,     0,     0,
    1865,     0,     0,     0,     0,  1161,  1161,     0,     0,     0,
       0,  1161,     0,  1865,     0,  2141,  2142,  2143,     0,  2144,
    2145,  2146,  2147,  2148,  2149,     0,     0,     0,     0,     0,
       0,  3399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   980,     0,     0,     0,     0,     0,     0,     0,  4062,
       0,     0,  4065,     0,     0,     0,     0,     0,  1161,  4440,
       0,  4441,  4442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4445,     0,     0,     0,   682,  1865,     0,     0,
       0,     0,  1161,  1161,  1161,  1161,     0,     0,     0,     0,
    1865,     0,   682,     0,     0,     0,     0,     0,     0,     0,
       0,  2498,     0,  1865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1155,     0,     0,     0,
       0,     0,     0,   700,     0,  1155,     0,     0,     0,     0,
       0,     0,     0,  1191,     0,     0,     0,     0,  1058,     0,
       0,     0,     0,     0,     0,     0,     0,  1058,     0,   682,
       0,  4727,     0,  1161,  1161,     0,     0,     0,  2124,     0,
    3447,  2125,     0,     0,     0,     0,     0,  1058,     0,     0,
    1358,  1865,     0,     0,     0,     0,     0,     0,  2126,     0,
       0,     0,     0,     0,     0,     0,  2128,     0,     0,     0,
    1865,     0,  2129,     0,  4755,     0,     0,     0,     0,     0,
       0,  2017,     0,     0,     0,     0,     0,     0,     0,  1155,
       0,     0,     0,  1058,  1058,  1865,  2130,     0,     0,     0,
       0,  1058,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   989,   989,     0,
       0,  2704,     0,     0,     0,  1518,  1518,     0,     0,     0,
       0,  1865,     0,  1518,     0,     0,  1518,     0,     0,  1518,
       0,     0,     0,     0,     0,     0,     0,  1518,  1518,     0,
       0,     0,     0,     0,     0,  1518,     0,  1191,  1518,  1518,
    1518,  1518,     0,     0,     0,     0,     0,     0,  1518,  1518,
       0,  1518,     0,  1518,  1518,     0,     0,  1518,     0,     0,
       0,     0,     0,     0,     0,  4595,  4822,     0,     0,     0,
       0,     0,     0,  1518,     0,     0,  2131,  1161,  1518,     0,
    2132,     0,  1518,     0,     0,     0,  1518,     0,  1518,  1518,
    1518,  1518,  1518,  1518,  1518,  1518,  1518,     0,  1518,   980,
       0,  2133,  2134,  1058,  1518,     0,     0,  1518,     0,     0,
       0,     0,   980,     0,     0,     0,  2135,     0,     0,     0,
       0,  4621,     0,     0,     0,     0,     0,     0,  1058,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2136,     0,     0,  2137,     0,     0,     0,     0,     0,
    4645,     0,     0,     0,     0,     0,     0,  2138,     0,     0,
    2139,     0,     0,     0,  1058,     0,  1058,     0,  1518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2910,     0,  2917,     0,     0,     0,
       0,     0,     0,     0,  4338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4348,     0,     0,     0,
       0,     0,  2140,   682,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   980,     0,
     682,     0,     0,     0,     0,   682,     0,     0,   682,   700,
       0,     0,     0,     0,   989,     0,   989,     0,     0,     0,
    2124,     0,     0,  2125,     0,     0,     0,     0,     0,     0,
     682,  1518,     0,     0,     0,     0,  1155,     0,  1161,  1161,
    1161,     0,  1155,  1191,     0,  1161,     0,  1161,  2128,  1161,
    1161,     0,  1723,     0,  2129,     0,     0,     0,  1724,   682,
    2141,  2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,
       0,     0,  2124,     0,  2787,  2125,     0,  1865,  2130,     0,
       0,     0,   682,  1754,  2401,     0,     0,     0,     0,     0,
    3032,     0,     0,     0,     0,  3041,     0,     0,  1725,     0,
    2128,  1058,     0,     0,     0,   682,  2129,     0,  4787,     0,
    1865,     0,     0,     0,     0,     0,  3072,  3072,     0,     0,
       0,     0,     0,   700,   682,     0,     0,   682,     0,  1755,
    2130,     0,     0,     0,     0,     0,     0,  1161,     0,     0,
    3905,     0,     0,     0,   682,     0,     0,  1726,     0,     0,
       0,   682,     0,     0,  1727,     0,     0,  1728,     0,     0,
    3120,     0,  3122,  3124,   682,     0,     0,     0,     0,     0,
       0,     0,     0,   682,     0,     0,     0,     0, -2530,     0,
       0,     0,  2132,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  3908,     0,     0,     0,     0,  1161,  1161,  1161,
    1161,  1161,  1161,  2133,  2134,     0,  1756,     0,     0,  1729,
       0,     0,  1518,     0,     0,     0,     0,     0, -2530,     0,
    1865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2530,  1865,     0,     0,  2132,  2401,     0,     0,     0,  3072,
    1058,     0,     0,     0,   989,     0,  2137,     0,     0,     0,
       0,  1757,     0,  1758,     0,  2133,  2134,     0,     0,  2138,
       0,     0,     0,  1759,     0,  1731,     0,     0,     0,  3120,
   -2530,     0,     0,   980,     0,  1732,  1161,  3245,     0,     0,
       0,     0,     0,  1733,     0,     0,  1296,  1920,     0,   980,
       0,  1760,  1734,     0,     0,     0,     0,     0,  2137,     0,
       0,     0,     0,     0,  1161,  3072,  1161,  3072,     0,     0,
       0,  2138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1296,     0,  1761,     0,     0,     0,  1736,  1762,  1518,
       0,     0,     0,     0, -2530,     0,     0,     0,  1865,     0,
       0,   980,     0,     0,     0,     0,     0,     0,     0,     0,
    2017,     0,  1763,     0,     0,     0,     0,     0,     0,  1865,
       0,     0,  1764,     0,     0,     0,   682,  2124,     0,     0,
    2125,  1865,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2530,  2126,   682,     0,
       0,     0,  1155,     0,     0,  2128,  1155,     0,     0,     0,
       0,  2129,     0,     0,  1161,     0,     0,     0,  1738,  1865,
    1518,  1518,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2130,  2144,  2145,  2146,  2147,
    2148,  2149,     0,     0,  2124,     0,     0,  2125,     0,     0,
    1518,  1518,     0,     0,     0,  1518,     0,     0,     0,     0,
       0,     0,     0,     0,  2126,     0,     0,  1518,  1518,  1518,
    1518,     0,  2128,     0,     0,     0,     0,     0,  2129,     0,
    1518,     0,     0,  1518,     0,  1518,  3403,     0,  2144,  2145,
    2146,  2147,  2148,  2149,     0,  1518,  1518,  2124,     0,  1518,
    2125,   980,  2130,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1518,     0,  1518,     0,  1191,  2126,  1518,     0,
       0,     0,     0,     0,     0,  2128,     0,     0,     0,     0,
       0,  2129,     0,     0,  1518,  2131,     0,     0,  1058,  2132,
       0,     0,     0,     0,     0,  3448,     0,  1518,  1518,  1518,
       0,     0,     0,     0,     0,  2130,     0,     0,     0,     0,
    2133,  2134,     0,     0,     0,     0,     0,  1296,     0,     0,
       0,  1518,  1865,     0,     0,  2135,     0,     0,     0,     0,
       0,     0,     0,  1518,     0,     0,     0,     0,  1518,     0,
       0,     0,  1058,     0,     0,  1518,     0,     0,     0,     0,
    2136,  3448,  2131,  2137,  3508,     0,  2132,     0,  2917,   807,
       0,     0,     0,     0,     0,     0,  2138,     0,     0,  2139,
       0,     0,     0,     0,     0,     0,     0,  2133,  2134,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     682,     0,  2135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,     0,  2131,     0,     0,     0,  2132,
       0,  1518,     0,  3072,   980,     0,     0,  2136,  2017,     0,
    2137,     0,     0,     0,     0,     0,     0,  1296,     0,  1865,
    2133,  2134,     0,  2138,     0,  1161,  2139,  1161,  1161,     0,
       0,  2140,     0,     0,     0,  2135,     0,     0,     0,  1020,
       0,     0,     0,     0,     0,   980,     0,  1020,     0,  1020,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2136,   807,     0,  2137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2138,     0,     0,  2139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2140,     0,
       0,     0,     0,     0,     0,     0,     0,   682,  2124,     0,
       0,  2125,  1865,     0,   682,     0,     0,     0,     0,  2141,
    2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,
       0,     0,     0,  3693,     0,  1865,  2128,     0,     0,     0,
       0,     0,  2129,   980,     0,     0,     0,     0,     0,     0,
       0,  2140,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1865,  2130,     0,     0,     0,
       0,     0,   682,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3072,  3072,     0,     0,  2141,  2142,  2143,     0,
    2144,  2145,  2146,  2147,  2148,  2149,     0,     0,     0,     0,
    3889,  1865,     0,     0,     0,  1865,  1865,     0,     0,     0,
       0,  3700,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4256,     0,
       0,  1296,     0,  1296,     0,     0,     0,  1058,     0,  2141,
    2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,
       0,     0,     0,  3964,     0,     0,     0,     0,     0,     0,
       0,  2017,  1058,     0,     0,     0, -2530,     0,     0,  1058,
    2132,     0,     0,  1058,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2124,  1058,     0,
    2125,  2133,  2134,     0,  1296,     0,     0,     0,     0,     0,
       0,     0,     0,   700,     0,     0, -2530,  2126,     0,     0,
       0,     0,     0,     0,     0,  2128,     0,  1058,     0,     0,
    1058,  2129,  2124,   682,     0,  2125,     0,  3813,     0,     0,
       0,     0,     0,     0,  2137,     0,     0,     0,  1155,     0,
       0,   682,  2126,     0,     0,  2130,     0,  2138,     0,     0,
    2128,     0,     0,     0,     0,     0,  2129,  1058,   980,   682,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,  1518,     0,     0,     0,     0,     0,     0,
    2130,     0,  1518,     0,     0,     0,     0,     0,  1518,     0,
    1518,     0,     0,     0,     0,     0,  1518,     0,     0,  1518,
    1518,  1518,  1518,  1518,  1518,  1518,  1518,  1518,  1518,     0,
       0,     0,  1518,  1518,     0,     0,     0,     0,     0,     0,
       0,     0, -2530,     0,     0,  1518,     0,     0,     0,  1518,
       0,     0,     0,  1518,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1518,     0,  2131,  1518,     0,  1518,  2132,
       0,     0,     0,     0,     0,     0,     0,  1518,  1518,  1518,
       0,     0,     0,  1518,     0,     0,  1518,     0,     0,     0,
    2133,  2134,     0,  1058,  1058,  1058,  3448,  3922,     0,     0,
    2131,  3922,  3935,     0,  2132,  2135,  1518,     0,     0,     0,
       0,     0,  3949,     0,  1518,     0,  1518,     0,     0,     0,
       0,     0,     0,     0,     0,  2133,  2134,     0,     0,     0,
    2136,     0,     0,  2137,  2144,  2145,  2146,  2147,  2148,  2149,
    2135,     0,     0,     0,     0,     0,  2138,     0,     0,  2139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1518,     0,     0,     0,     0,  2136,  1518,     0,  2137,     0,
    2917,     0,  1518,     0,     0,     0,     0,     0,     0,     0,
       0,  2138,     0,     0,  2139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3996,  2017,  2017,
       0,  2498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,  1161,  1161,  1161,     0,     0,     0,
       0,  2140,   682,     0,     0,     0,  2124,     0,     0,  2125,
       0,     0,     0,     0,  4680,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4029,     0,  2126,     0,     0,     0,
       0,     0,     0,     0,  2128,     0,  2140,     0,     0,     0,
    2129,     0,     0,     0,     0,   807,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  2130,     0,   682,     0,     0,   682,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4078,     0,     0,     0,     0,     0,  2141,
    2142,  2143,  1157,  2144,  2145,  2146,  2147,  2148,  2149,     0,
       0,     0,     0,  3990,     0,     0,     0,  1296,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2141,  2142,  2143,     0,  2144,  2145,
    2146,  2147,  2148,  2149,     0,  3700,     0,     0,  4224,     0,
       0,     0,     0,  1058,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,  1161,  1157,  1518,     0,     0,     0,
       0,     0,  1058,     0,  2131,     0,     0,     0,  2132,     0,
       0,     0,     0,     0,     0,  2401,  1216,     0,     0,     0,
       0,     0,     0,     0,     0,  1058,     0,     0,     0,  2133,
    2134,     0,     0,     0,  3120,     0,     0,     0,     0,  4175,
       0,     0,     0,  2401,  2135,  3813,     0,     0,     0,  1217,
       0,     0,     0,     0,     0,     0,  1518,  1518,     0,     0,
       0,  2124,  1218,  1219,  2125,     0,     0,     0,     0,  2136,
       0,  1220,  2137,     0,     0,  1221,     0,     0,     0,     0,
    3072,  2126,  3072,     0,     0,  2138,     0,     0,  2139,  2128,
       0,     0,  1222,     0,     0,  2129,     0,     0,     0,     0,
     682,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,  1020,     0,  1223,     0,  1020,  1518,     0,     0,  2130,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1224,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,  1225,     0,     0,     0,     0,  1226,     0,     0,
       0,     0,  1518,     0,     0,     0,     0,     0,     0,     0,
    2140,     0,  1518,  1518,     0,     0,     0,     0,  1227,     0,
    1518,  1518,     0,     0,     0,  1518,     0,     0,     0,     0,
       0,  1518,  1518,     0,     0,  1518,     0,  1058,  1058,  1058,
    1058,     0,     0,  1228,  3922,     0,     0,  4264,     0,     0,
    3448,     0,     0,     0,  3448,     0,  2124,     0,     0,  2125,
    4277,     0,     0,  1518,     0,     0,     0,     0,  1518,  2131,
       0,     0,     0,  2132,  4287,     0,  2126,     0,     0,     0,
    1518,     0,     0,     0,  2128,     0,     0,     0,     0,  1191,
    2129,     0,  1229,     0,  2133,  2134,     0,  3508,  2141,  2142,
    2143,  2917,  2144,  2145,  2146,  2147,  2148,  2149,     0,  2135,
       0,     0,  4258,     0,  2130,   989,     0,     0,  1518,     0,
     834,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2136,  3072,  3072,  2137,  1157,     0,
       0,     0,     0,     0, -2041,  1230,     0,     0,  1157,  1231,
    2138,  1232,  4333,  2139,     0,     0,     0,  1233,     0,     0,
    1234,   682,     0,     0,     0,     0,     0,     0,     0,     0,
    1868,     0,     0,   682,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1235,  1161,  1236,     0,     0,
   -2041,  1237,     0,     0,     0,     0,     0,     0,     0,  1238,
    1161,     0, -2041,  1157,  1239,     0, -2041,     0,     0,     0,
       0, -2041,     0,     0,  2131,     0, -2041,     0,  2132, -2041,
       0, -2041,     0,     0,  1296,  2140,     0,     0,  1240,     0,
       0,     0,  2017,     0,     0,     0,     0,     0,     0,  2133,
    2134,  3700,  3700,  3700,  3700,  3700,     0,     0, -2041,     0,
       0,     0,     0,     0,  2135,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1518,     0,     0, -2041,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2136,
       0,     0,  2137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,  2401,  2138,     0,     0,  2139,     0,
       0,     0,     0,     0, -2041,     0,     0,     0,     0,     0,
       0,     0, -2041,  2141,  2142,  2143,     0,  2144,  2145,  2146,
    2147,  2148,  2149,  1058,     0,  4439,     0,  4461,  1868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   682,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1518,     0,     0,  1157, -2041,     0,     0,
       0,     0,  1518,     0,     0,     0,     0,     0,     0,     0,
    2140,     0,     0,     0,     0,     0,     0,     0,     0,  1518,
    1518,     0,     0,  1518,  1157,     0,     0,     0,     0,     0,
    3922,     0,     0,     0,  3448,     0,     0,     0,     0,  3448,
       0,   993,  3448,  3120,     0,  4483,     0,  1518,  1518,     0,
       0,     0,  1157,  1157,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0, -2041,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,   682,     0,   682,     0,     0,     0,
    3996,  1191,  1161,  1161,  1161,     0,     0, -2041,     0, -2041,
   -2041,     0,     0,     0,     0,     0,     0,     0,  2141,  2142,
    2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,  1155,  1191,
       0,     0,  4503,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2041,  1157,   807, -2041, -2041,     0, -2041,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2017,  2124,
       0,     0,  2125,     0,  1155,     0,     0,     0,     0,     0,
       0,     0,  1157,  1058,     0,     0,  1157,  1157,     0,  2126,
       0,     0,  2124,     0,     0,  2125,  3072,  2128,  2401,     0,
       0,     0,     0,  2129,     0,     0,     0,     0,     0,     0,
    4175,     0,  2126,     0,     0,  1058,     0,     0,     0,     0,
    2128,     0,     0,     0,  1161,  3996,  2129,  2130,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1518,
    2130,     0,  1518,     0,  1518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1868,     0,     0,     0,     0,     0,
     807,  1518,     0,     0,     0,  3448,     0,  1020,  4483,     0,
       0,     0,     0,     0,  4615,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1020,     0,  1161,     0,     0,     0,
    1058,  1868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,  1161,  1161,  1161,  2131,     0,     0,
       0,  2132,     0,  1296,     0,     0,     0,  1868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2131,     0,  2133,  2134,  2132,  1518,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2135,     0,     0,
       0,     0,     0,     0,     0,  2133,  2134,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1020,     0,     0,     0,
    2135,     0,  2136,     0,     0,  2137,     0,     0,     0,     0,
       0,     0,     0,     0,  1868,     0,     0,     0,  2138,     0,
       0,  2139,     0,  1518,     0,  2136,     0,     0,  2137,  1161,
       0,  1191,     0,  1868,     0,     0,     0,     0,  1518,     0,
       0,  2138,     0,     0,  2139,     0,     0,     0,     0,     0,
       0,  1868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,  1155,     0,     0,   807,  2124,     0,     0,  2125,  1868,
    3996,     0,     0,     0,     0,     0,     0,     0,     0,  4439,
       0,     0,     0,  2140,     0,  2126,     0,     0,  4615,     0,
       0,  1518,  1518,  2128,   682,     0,     0,     0,     0,  2129,
       0,     0,     0,     0,  1155,     0,  2140,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,  2130,     0,     0,     0,  1868,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,  1518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1518,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2141,  2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,
    2149,     0,     0,     0,     0,  4544,     0,     0,     0,     0,
       0,     0,     0,     0,  2141,  2142,  2143,     0,  2144,  2145,
    2146,  2147,  2148,  2149,     0,     0,     0,  1518,  4726,     0,
       0,     0,     0,     0,  1157,     0,  1155,     0,  2124,     0,
       0,  2125,     0,  2131,     0,     0,     0,  2132,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2126,     0,
       0,     0,  1867,     0,     0,     0,  2128,     0,  2133,  2134,
    1157,  1157,  2129,     0,     0,     0,     0,     0,  1157,     0,
       0,  1157,     0,  2135,  1157,     0,     0,     0,     0,     0,
       0,     0,  1157,  1157,     0,     0,  2130,     0,     0,     0,
    1157,     0,     0,  1157,  1157,  1157,  1157,     0,  2136,     0,
       0,  2137,     0,  1157,  1157,     0,  1157,     0,  1157,  1157,
       0,     0,  1157,     0,  2138,     0,     0,  2139,     0,     0,
       0,     0,   914,     0,     0,     0,     0,  1868,  1157,   807,
       0,     0,     0,  1157,   915,     0,     0,  1157,     0,     0,
       0,  1157,     0,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,     0,  1157,     0,   916,     0,     0,     0,  1157,
       0,     0,  1157,     0,     0,     0,     0,     0,   917,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1160,
    1162,   918,     0,  1165,  1166,     0,  2131,     0,     0,  2140,
    2132,     0,     0,     0,     0,     0,     0,     0,   919,     0,
    1200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1867,  2133,  2134,     0,     0,     0,     0,     0,     0,   920,
    1249,     0,     0,  1157,  1252,     0,  2135,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   921,     0,     0,
    1273,     0,     0,     0,     0,     0,     0,     0,   922,     0,
       0,  2136,     0,   923,  2137,     0,     0,     0,     0,   924,
       0,     0,     0,     0,     0,     0,     0,  2138,     0,     0,
    2139,     0,     0,     0,   925,     0,     0,  2141,  2142,  2143,
       0,  2144,  2145,  2146,  2147,  2148,  2149,     0,     0,     0,
       0,  4811,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   807,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2140,     0,     0,     0,  1157,     0,   926,     0,
       0,  1157,     0,     0,     0,     0,     0,  1157,   927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   834,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,     0,     0,
       0,     0,  1868,  1868,     0,     0,     0,     0,     0,     0,
       0,   928,     0,  1868,     0,   929,     0,   930,     0,     0,
       0,     0,     0,   931,     0,     0,   932,     0,     0,   807,
       0,     0,   807,     0,     0,     0,     0,     0,     0,     0,
    2141,  2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,
       0,   933,  3959,   934,     4,     0,     0,   935,     0,     0,
       0,     0,     0,     0,     0,   936,     0,     0,     0,     0,
     937,     0,     0,     0,     5,  1857,     0,     0,     0,     0,
       0,   938,     0,     0,     6,     7,  1867,     0,     0,     0,
       8,     0,     9,    10,   939,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,    36,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,  2394,   860,    45,     0,  1157,     0,  1868,
       0,     0,     0,     0,  1743,  1744,   861,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1867,
       0,     0,     0,     0,     0,     0,     0,   862,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     863,     0,     0,    46,     0,     0,     0,     0,     0,   864,
       0,     0,     0,  -698,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1868,  1825,
     865,     0,     0,     0,     0,     0,   866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1867,     0,     0,  1884,
    1885,   867,     0,  1857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1867,  1912,     0,     0,   868,
       0,     0,     0,    47,  1157,     0,     0,     0,     0,     0,
     869,     0,     0,  1867,     0,     0,     0,   870,     0,    48,
       0,   871,     0,     0,     0,     0,     0,     0,     0,     0,
    1943,  1945,     0,     0,     0,     0,  -886,     0,     0,    49,
       0,  1867,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,  1157,     0,   872,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  1157,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     0,  1867,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     873,     0,    53,   874,     0,  1157,  1157,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  1157,  1157,  1157,     0,     0,     0,     0,
     807,     0,     0,  1018,     0,  1157,   807,     0,  1157,     0,
    1157,  1018,     0,  1018,     0,     0,     0,     0,     0,     0,
    1157,  1157,     0,   875,  1157,     0,     0,     0,     0,   876,
    2124,     0,     0,  2125,     0,  -377,     0,  1157,   877,  1157,
       0,     0,     0,  1157,     0,    54,     0,     0,     0,     0,
    2126,     0,     0,     0,  2887,     0,     0,     0,  2128,  1157,
       0,     0,     0,  -377,  2129,   878,   879,     0,   880,   881,
    1157,     0,  1157,  1157,  1157,     0,     0,   882,     0,     0,
       0,     0,   883,     0,     0,     0,    55,   884,  2130,     0,
     885,     0,     0,   886,     0,     0,  1157,  2124,     0,    56,
    2125,     0,     0,     0,     0,     0,  -377,     0,  1157,  1857,
       0,     0,     0,  1157,    57,     0,     0,  2126,     0,     0,
    1157,     0,     0,     0,     0,  2128,  1157,     0,     0,     0,
       0,  2129,     0,  2888,     0,     0,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,  1867,
      60,    61,    62,    63,    64,  2130,  1857,    65,    66,    67,
      68,     0,    69,    70,    71,    72,    73,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1857,     0,  2859,     0,  1157,     0,  2131,     0,
       0,     0,  2132,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1868,     0,     0,     0,     0,
       0,     0,     0,  2133,  2134,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2135,     0,
       0,     0,     0,     0,  3375,     0,     0,     0,     0,  3376,
       0,     0,     0,  1868,  1868,     0,  1868,     0,     0,  1857,
       0,     0,     0,  2136,     0,  2131,  2137,     0,     0,  2132,
       0,     0,     0,     0,     0,     0,     0,     0,  1857,  2138,
       0,     0,  2139,   807,   807,   807,     0,     0,     0,     0,
    2133,  2134,     0,     0,     0,     0,  1857,     0,     0,     0,
       0,     0,     0,     0,     0,  2135,  1868,     0,  1868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2416,
       0,     0,     0,     0,  1857,     0,     0,     0,     0,     0,
    2136,     0,     0,  2137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2138,     0,     0,  2139,
       0,     0,  1868,     0,  2140,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2468,  2469,  2470,  2471,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,     0,
       0,     0,  1857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   807,     0,     0,     0,     0,
    1868,     0,     0,  2889,     0,  2506,  2507,     0,     0,     0,
       0,  2516,   807,  1868,     0,     0,     0,     0,     0,  3019,
       0,  2140,     0,     0,  2394,  3026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1867,     0,     0,     0,     0,
       0,     0,  2141,  2142,  2143,     0,  2144,  2145,  2146,  2147,
    2148,  2149,     0,     0,     0,     0,     0,     0,  2537,     0,
       0,  2124,     0,     0,  2125,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1868,     0,     0,
       0,  2126,  2570,  2571,  2572,  2573,     0,     0,     0,  2128,
    1868,     0,     0,     0,     0,  2129,     0,     0,     0,     0,
       0,     0,     0,  1868,     0,     0,     0,     0,     0,  2141,
    2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,  2130,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2637,     0,     0,     0,     0,     0,
       0,  1867,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,  1868,  1857,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,  1157,     0,  1157,     0,     0,     0,     0,
    1868,  1157,     0,     0,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,     0,     0,     0,  1157,  1157,     0,
       0,     0,     0,     0,     0,  1868,     0,     0,     0,  2131,
    1157,     0,     0,  2132,  1157,     0,   807,  1153,  1157,     0,
    2394,     0,     0,     0,   821,  1153,     0,     0,  1157,     0,
       0,  1157,     0,  1157,  2133,  2134,     0,     0,     0,     0,
       0,  1868,  1157,  1157,  1157,     0,     0,     0,  1157,  2135,
       0,  1157,     0,     0,     0,     0,  1153,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
     822,  1157,     0,     0,  2136,     0,     0,  2137,     0,  1157,
       0,  1157,     0,   823,     0,     0,     0,     0,     0,     0,
    2138,     0,     0,  2139,     0,     0,     0,     0,     0,     0,
     824,     0,     0,     0,     0,     0,   825,  2800,     0,     0,
    1153,     0,  3881, -2053,     0,  1867,     0,     0,     0,  1153,
       0,   826,     0,     0,     0,  1157,     0,     0,     0,  2124,
       0,  1157,  2125,     0,     0,     0,     0,  1157,     0,   827,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2126,
     828,     0,     0,     0,     0,   829,     0,  2128,     0, -2053,
       0,   830,  1157,  2129,     0,  2140,     0,     0,     0,     0,
       0, -2053,     0,     0,     0, -2053,   831,     0,  3882,     0,
   -2053,     0,     0,     0,     0, -2053,     0,  2130, -2053,     0,
   -2053,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   832,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2053,     0,   807,
       0,     0,  1857,   807,  1868,   807,     0,  1857,  1857,  1153,
       0,     0,     0,     0,     0,  1018,     0, -2053,  1857,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     833,     0,     0,  2141,  2142,  2143,     0,  2144,  2145,  2146,
    2147,  2148,  2149,  1153,     0,  4785,     0,     0,     0,     0,
       0,     0,     0, -2053,  2859,  2859,  2859,     0,   834,     0,
       0, -2053,     0,     0,     0,     0,     0,  2131,     0,     0,
       0,  2132,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   835,     0,     0,     0,     0,     0,   836,
       0,     0,  2133,  2134,     0,   837,     0,     0,   838,     0,
       0,     0,     0,     0,     0,     0, -2053,  2135,  2984,  2985,
    2986,     0,     0,     0,     0,  2994,     0,  2996,     0,  2998,
    2999,  1157,     0,   839,     0,   840,     0,     0,     0,   841,
       0,     0,  2136,     0,     0,  2137,     0,   842,     0,     0,
       0,     0,   843,     0,  1857,     0,     0,  1868,  2138,     0,
     993,  2139,     0,   844,     0,     0,  1174,     0,     0,     0,
       0,     0,  1194,     0,     0,     0,   845,     0,  4786,     0,
    1203,     0,     0, -2053,     0,     0,     0,     0,  1213,     0,
    1868,  1157,  1157,  1244,     0,     0,     0,  1867,     0,     0,
       0,     0,  1153,     0,     0,     0, -2053,     0, -2053, -2053,
       0,     0,  1153,     0,     0,     0,     0,  3093,     0,     0,
       0,     0,     0,  1857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2140,  1866,  2394,  3026,     0,  3026,     0,
       0, -2053,     0,     0, -2053, -2053,     0, -2053,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1153,     0,  3142,
       0,     0,     0,     0,     0,     0,     0,  3151,  3152,  3153,
    3154,  3155,  3156,     0,     0,     0,     0,  1157,  1867,     0,
    1867,     0,     0,     0,     0,     0,     0,  1157,  1157,     0,
    1868,     0,     0,     0,     0,  1157,  1157,     0,     0,     0,
    1157,  1868,     0,     0,     0,     0,  1157,  1157,  1857,     0,
    1157,  2141,  2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,
    2149,     0,     0,  1153,  1867,  1157,     0,     0,     0,  1157,
       0,  1411,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,  1157,     0,  1867,  3235,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,  3026,     0,  3275,     0,  3277,     0,     0,     0,
    1559,     0,  1866,     0,     0,  3026,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,     0,     0,     0,     0,     0,  1868,     0,
    1153,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1868,
       0,     0,     0,     0,     0,     0,  2124,     0,  1153,  2125,
       0,  1868,     0,     0,     0,     0,     0,     0,     0,  1867,
       0,     0,     0,     0,     0,     0,  2126,     0,     0,  3339,
       0,     0,  3026,     0,  2128,     0,  1153,  1153,     0,  1153,
    2129,     0,     0,     0,  3329,  1867,     0,     0,     0,  1868,
       0,     0,     0,     0,     0,     0,  1153,  2124,     0,     0,
    2125,     0,     0,     0,  2130,     0,     0,   807,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2126,     0,     0,
    3383,     0,     0,     0,     0,  2128,     0,     0,     0,     0,
       0,  2129,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1153,     0,     0,
    1157,     0,     0,  1867,     0,  2130,     0,     0,     0,     0,
       0,     0,   807,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1867,     0,     0,     0,  1153,     0,     0,     0,
    1153,  1153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1882,     0,     0,     0,     0,     0,  1867,     0,     0,
       0,     0,     0,     0,  2131,  1868,     0,     0,  2132,     0,
    1857,  1907,  1910,  1911,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2133,
    2134,     0,     0,  1867,     0,     0,     0,     0,  1157,     0,
       0,     0,  1868,     0,  2135,     0,     0,  1157,  1857,  1857,
       0,  1857,     0,     0,     0,  2131,     0,     0,  1866,  2132,
       0,     0,     0,     0,  1157,  1157,     0,     0,  1157,  2136,
       0,  1018,  2137,  2859,     0,     0,     0,     0,     0,  1157,
    2133,  2134,     0,     0,  1157,  2138,     0,  1157,  2139,     0,
       0,     0,  1157,  1157,     0,  2135,     0,     0,  1018,     0,
       0,  1857,     0,  1857,     0,  1866,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2136,     0,     0,  2137,     0,  1157,     0,  1536,     0,     0,
       0,  1866,     0,     0,     0,     0,  2138,     0,     0,  2139,
       0,     0,     0,     0,     0,     0,     0,  1857,     0,  1868,
       0,     0,     0,  1157,  1536,  3552,     0,  3553,  3554,     0,
    2140,     0,     0,     0,     0,     0,     0,     0,  1857,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1018,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,  1857,     0,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1857,     0,
       0,  2140,     0,     0,     0,     0,  3026,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1866,     0,     0,     0,     0,
    1157,     0,  1868,     0,     0,     0,     0,     0,  2141,  2142,
    2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,     0,
       0,     0,     0,  1866,  1157,  1868,     0,  1157,     0,  1157,
       0,     0,  1857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1857,  1157,     0,     0,     0,
    1157,     0,     0,  2207,     0,  1868,     0,     0,  1857,  2141,
    2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,
       0,     0,     0,     0,     0,  1153,     0,     0,     0,     0,
       0,  1866,     0,     0,  1153,     0,     0,     0,     0,     0,
       0,  1868,     0,     0,     0,  1868,  1868,     0,     0,     0,
    2256,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1867,
       0,     0,   807,     0,     0,     0,  1857,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1857,     0,     0,     0,     0,
       0,     0,  2394,     0,     0,     0,     0,     0,  1868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1153,     0,
    1857,     0,     0,  2124,     0,     0,  2125,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,  2126,     0,     0,     0,     0,     0,     0,
       0,  2128,     0,  1157,  1153,  1153,  1857,  2129,     0,     0,
       0,     0,  1153,     0,     0,  1153,     0,     0,  1153,     0,
       0,     0,     0,     0,  2413,     0,  1153,  1153,     0,     0,
       0,  2130,     0,     0,  1153,     0,  1157,  1153,  1153,  1153,
    1153,     0,     0,     0,     0,  1157,     0,  1153,  1153,     0,
    1153,     0,  1153,  1153,     0,  3835,  1153,     0,     0,     0,
       0,     0,  1867,     0,     0,     0,  1157,  1157,     0,     0,
       0,  1866,  1153,  1867,     0,     0,     0,  1153,  2472,  1157,
       0,  1153,     0,     0,     0,  1153,     0,  1153,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,     0,  1153,     0,     0,
       0,     0,     0,  1153,     0,  2499,  1153,     0,     0,     0,
    2859,     0,     0,  1157,     0,  2859,  2124,     0,     0,  2125,
       0,     0,     0,  1157,     0,     0,     0,  2859,     0,     0,
       0,  2131,     0,     0,     0,  2132,  2126,     0,     0,   807,
       0,     0,     0,     0,  2128,     0,     0,     0,     0,     0,
    2129,     0,     0,     0,     0,     0,  2133,  2134,     0,     0,
       0,     0,     0,     0,     0,     0,  2124,  1153,     0,  2125,
       0,  2135,     0,     0,  2130,     0,     0,     0,     0,     0,
    1867,     0,  1157,     0,     0,     0,  2126,   807,     0,  1857,
       0,  1157,     0,     0,  2128,   807,  2136,     0,     0,  2137,
    2129,  1867,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2138,  1867,     0,  2139,     0,     0,     0,     0,
       0,     0,     0,     0,  2130,     0,     0,     0,     0,  3353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2124,
       0,     0,  2125,     0,     0,     0,  2626,     0,     0,     0,
       0,  1867,     0,     0,     0,  2630,     0,     0,  3388,  2126,
       0,     0,  3394,     0,     0,     0,     0,  2128,     0,     0,
       0,     0,     0,  2129,  2131,  2645,     0,     0,  2132,     0,
       0,     0,     0,  4010,  4011,  4012,  4013,  2140,     0,     0,
    1153,     0,     0,     0,     0,  1153,     0,  2130,     0,  2133,
    2134,  1153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2135,     0,     0,     0,     0,     0,
       0,  1536,  1536,     0,  2131,     0,     0,     0,  2132,     0,
       0,  1866,  1857,     0,     0,     0,  1866,  1866,     0,  2136,
       0,     0,  2137,     0,     0,     0,     0,  1866,     0,  2133,
    2134,     0,     0,     0,     0,  2138,     0,     0,  2139,     0,
       0,     0,     0,     0,  2135,  1857,     0,  4433,     0,     0,
       0,     0,     0,     0,     0,  2141,  2142,  2143,     0,  2144,
    2145,  2146,  2147,  2148,  2149,     0,     0,     0,     0,  2136,
       0,     0,  2137,     0,     0,     0,     0,  2131,     0,     0,
       0,  2132,     0,     0,  1867,  2138,     0,     0,  2139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2133,  2134,     0,     0,     0,     0,     0,     0,
    2140,     0,     0,     0,     0,     0,     0,  2135,     0,     0,
       0,     0,     0,     0,  4139,     0,     0,     0,     0,     0,
       0,  2846,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2136,     0,     0,  2137,     0,     0,     0,     0,
       0,  1153,     0,  1866,     0,  1857,  2866,     0,  2138,     0,
    2140,  2139,     0,     0,     0,     0,  1857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3839,     0,     0,     0,     0,
       0,  3026,  2879,     0,  2882,     0,     0,     0,  2141,  2142,
    2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1866,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2140,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2141,  2142,
    2143,     0,  2144,  2145,  2146,  2147,  2148,  2149,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1153,     0,
       0,     0,     0,  1857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3026,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1857,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1857,  1867,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1866,     0,     0,
       0,  2141,  2142,  2143,     0,  2144,  2145,  2146,  2147,  2148,
    2149,  1153,     0,     0,     0,  1153,     0,  1867,     0,     0,
       0,     0,     0,     0,  1857,     0,     0,     0,     0,  1153,
    1153,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1867,     0,     0,     0,  1867,  1867,  1153,
    1153,     0,     0,     0,  1153,     0,     0,     0,     0,  3050,
       0,     0,     0,     0,     0,     0,  1153,  1153,  1153,  1153,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1153,
       0,     0,  1153,     0,  1153,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1153,  1153,     0,     0,  1153,     0,
       0,     0,     0,  2124,     0,     0,  2125,     0,     0,     0,
    4433,  1153,     0,  1153,     0,     0,     0,  1153,   704,     0,
       0,     0,     0,  2126,     0,     0,  3888,     0,   704,     0,
       0,  2128,     0,  1153,     0,     0,  4353,  2129,     0,     0,
       0,     0,     0,     0,  1153,     0,  1153,  1153,  1153,     0,
    4356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2130,     0,     0,   704,     0,     0,  1857,     0,     0,
    1153,     0,     0,  2124,     0,   901,  2125,     0,   704,     0,
       0,     0,  1153,     0,   901,     0,     0,  1153,   704,     0,
       0,     0,     0,  2126,  1153,     0,     0,     0,  3214,     0,
    1153,  2128,     0,     0,     0,     0,     0,  2129,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   901,     0,     0,     0,     0,     0,
       0,  2130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4408,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1072,     0,     0,
    1153,  2131,     0,     0,     0,  2132,     0,     0,     0,     0,
       0,     0,     0,     0,  1857,     0,     0,     0,     0,  1866,
       0,     0,     0,     0,     0,     0,  2133,  2134,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1866,  1866,     0,
    1866,     0,     0,     0,     0,     0,  2136,     0,     0,  2137,
       0,  2131,     0,     0,     0,  2132,     0,     0,     0,     0,
       0,     0,  2138,     0,     0,  2139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2133,  2134,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1857,     0,     0,
    1866,  2135,  1866,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1857,     0,  4508,  4510,  4510,     0,  2136,     0,     0,  2137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2138,     0,     0,  2139,  1866,  2140,     0,     0,
    1857,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1121,     0,     0,     0,     0,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1857,     0,     0,     0,
    1857,  1857,     0,     0,  1866,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1866,     0,     0,
       0,     0,     0,     0,     0,     0,  3435,  2140,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4581,  2141,  2142,  2143,     0,  2144,
    2145,  2146,  2147,  2148,  2149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,  1866,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1866,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1866,     0,     0,
       0,     0,     0,     0,     0,  2141,  2142,  2143,     0,  2144,
    2145,  2146,  2147,  2148,  2149,     0,  4625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1153,     0,     0,
       0,     0,     0,     0,  4641,     0,  4643,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1153,     0,     0,  1866,     0,     0,     0,     0,
       0,  1153,     0,     0,     0,     0,     0,  1153,     0,  1153,
       0,     0,     0,     0,  1866,  1153,     0,     0,  1153,  1153,
    1153,  1153,  1153,  1153,  1153,  1153,  1153,  1153,     0,     0,
       0,  1153,  1153,     0,     0,     0,     0,     0,     0,  1866,
       0,     0,     0,     0,  1153,     0,     0,     0,  1153,     0,
       0,     0,  1153,     0,     0,     0,     0,     0,     0,  4510,
       0,     0,  1153,     0,     0,  1153,     0,  1153,     0,     0,
       0,     0,     0,   901,   901,  1866,  1153,  1153,  1153,     0,
       0,     0,  1153,     0,     0,  1153,     0,     0,     0,     0,
    1121,     0,     0,     0,     0,  1153,     0,     0,  4724,     0,
       0,     0,     0,     0,     0,  1153,     0,     0,     0,     0,
       0,     0,     0,  1153,     0,  1153,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4758,     0,     0,     0,     0,     0,     0,  1153,
       0,     0,     0,     0,     0,  1153,     0,     0,     0,     0,
       0,  1153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4792,     0,     0,  1153,     0,     0,     0,
       0,     0,     0,     0,     0,  3736,     0,     0,     0,  1167,
       0,     0,     0,     0,     0,     0,     0,     0,  1193,     0,
    1195,     0,  1197,     0,  1199,     0,     0,     0,     0,     0,
    3751,     0,     0,     0,     0,     0,     0,  3759,     0,     0,
       0,  3764,     0,  1247,     0,     0,     0,     0,     0,     0,
    1254,     0,     0,     0,     0,     0,  3776,     0,  1866,  1269,
    1270,     0,     0,     0,  1272,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1121,     0,   901,     0,     0,  3808,     0,     0,  3809,     0,
       0,     0,     0,     0,     0,     0,     0,  1301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1321,     0,     0,  1323,     0,  1325,     0,  1328,     0,
       0,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,   704,   901,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,     0,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1153,     0,   704,   704,     0,
       0,     0,     0,     0,  1409,     0,  1410,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1866,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1121,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1866,  1153,  1153,     0,     0,     0,
       0,  3914,  3915,  3916,     0,     0,     0,     0,     0,     0,
       0,  1072,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1153,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1665,     0,  1667,     0,     0,     0,  1669,     0,
       0,  1153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1153,  1153,     0,  1866,     0,     0,     0,     0,  1153,
    1153,     0,     0,     0,  1153,  1866,     0,     0,     0,     0,
    1153,  1153,     0,     0,  1153,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1153,
       0,     0,     0,  1153,     0,     0,  1800,     0,     0,     0,
       0,     0,  1153,     0,     0,     0,     0,  1153,     0,     0,
       0,     0,  1813,     0,     0,     0,     0,     0,     0,  1153,
       0,     0,     0,  1821,     0,     0,     0,     0,     0,     0,
    1823,     0,     0,     0,   687,     0,     0,     0,     0,   701,
       0,   701,  1874,     0,     0,     0,     0,     0,     0,     0,
       0,   701,     0,     0,     0,     0,     0,  1153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1866,     0,  1916,     0,     0,   701,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,     0,
       0,     0,     0,  1866,     0,     0,     0,   701,   701,     0,
       0,   701,     0,     0,     0,  1866,     0,   701,     0,     0,
       0,   981,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4121,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,     0,     0,     0,     0,     0,     0,     0,     0,
    4147,     0,     0,  1866,     0,     0,     0,   701,     0,     0,
       0,     0,     0,     0,   704,     0,   704,     0,     0,   704,
       0,   704,     0,  4158,   704,   704,   704,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     5,
     704,     0,   704,     0,     0,     0,     0,     0,     0,     6,
       7,     0,     0,     0,  1153,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,  1866,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1153,     0,     0,     0,  1866,     0,    46,     0,
       0,  1153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1153,  1153,
       0,     0,  1153,     0,     0,  4259,  4260,  4261,  4262,     0,
       0,     0,     0,  1153,     0,     0,     0,     0,  1153,     0,
       0,  1153,     0,     0,     0,     0,  1153,  1153,     0,     0,
       0,     0,     0,     0,     0,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,     0,  1072,     0,     0,     0,     0,     0,     0,  1153,
       0,     0,     0,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1866,    49,     0,     0,  1153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,     0,     0,  2289,
       0,     0,  2289,     0,     0,     0,     0,     0,     0,     0,
    2296,     0,     0,  1153,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2305,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2365,  1153,     0,  1866,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1153,  1866,
       0,  1153,     0,  1153,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1153,     0,     0,     0,  1153,     0,     0,     0,     0,  1866,
      54,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1866,   701,     0,     0,  1866,
    1866,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    56,     0,     0,     0,     0,     0,
       0,  4435,     0,     0,     0,     0,     0,     0,     0,    57,
       0,     0,     0,     0,  1153,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   701,   701,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,    59,  1866,   701,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1336,     0,     0,     0,     0,    71,
    1337,     0,  2546,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1153,     0,     0,  2568,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2612,
    1153,     0,     0,  2616,     0,     0,     0,     0,     0,  1153,
       0,     0,  2625,     0,  2627,     0,  2628,     0,     0,     0,
       0,  2629,     0,     0,     0,     0,     0,     0,     0,     0,
    1153,  1153,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1153,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   704,     0,   704,     0,     0,     0,
     704,     0,   704,     0,     0,   704,     0,     0,     0,   704,
    2657,  4542,     0,     0,     0,     0,     0,  1153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1153,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,  1289,   701,     0,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1153,     0,     0,     0,
       0,     0,     0,     0,     0,  1153,     0,     0,     0,     0,
       0,   701,     0,     0,   701,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   981,
       0,   981,     0,     0,     0,     0,     0,   687,     0,     0,
       0,   701,     0,     0,     0,     0,     0,     0,  4628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     981,   981,     0,     0,     0,     0,     0,     0,     4,     0,
       0,     0,     0,     0,     0,  2860,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
     701,     0,   701,     0,     0,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   687,   687,     0,     0,  1647,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1121,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2947,  2948,     0,     0,
       0,  2951,  2952,     0,     0,  2955,     0,     0,     0,     0,
     687,     0,     0,     0,     0,  2965,     0,     0,     0,     0,
       0,     0,  2973,     0,     0,     0,     0,     0,  2978,  2979,
       0,     0,     0,     0,     0,     0,     0,    47,     0,  2993,
       0,  2995,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,  3015,     0,     0,     0,     0,
    3017,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3033,  3034,  3037,  3039,
       0,     0,     0,  3046,  3049,    50,     0,     0,     0,     0,
       0,  3060,     0,     0,  3064,     0,     0,     0,  3068,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3091,     0,     0,     0,     0,    51,     0,
       0,    52,     0,  3094,     0,  3096,     0,     0,     0,     0,
       0,     0,     0,  3099,  3100,  3101,    53,  3103,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3126,  3127,  3128,     0,     0,     0,     0,     0,     0,     0,
    3133,  3134,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,     0,     0,     0,   701,     0,   701,
       0,     0,   701,     0,   701,     0,     0,   701,   701,   701,
       0,     0,     0,  2012,     0,     0,     0,     0,     0,    54,
     701,     0,     0,     0,     0,     0,  3193,     0,     0,     0,
       0,     0,     0,   701,     0,   701,     0,     0,     0,     0,
     701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      55,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,     0,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1336,  1158,     0,     0,     0,    71,     0,
    1121,     0,  1158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2165,     0,     0,     0,
       0,     0,     0,     0,     0,   701,   701,     0,     0,     0,
       0,     0,     0,  1158,     0,     0,     0,     0,     0,  3318,
       0,     0,   687,     0,     0,     0,   687,   687,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1158,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2293,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,     0,     0,     0,     0,   687,  1158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1158,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,     0,   687,   687,     0,     0,     0,    85,     0,     0,
       0,     0,     0,    89,     0,     0,     0,    93,     0,    94,
       0,    96,    97,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   106,     0,     0,     0,  3528,  3529,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   119,
     120,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3560,  3562,     0,   128,  3562,     0,     0,     0,
    3569,  3570,  3571,     0,     0,   129,     0,   130,   131,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1091,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3589,  3590,  3591,  3592,     0,  1158,
       0,     0,   141,     0,   142,   143,     0,     0,     0,  1158,
     145,     0,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   148,     0,   149,     0,     0,     0,     0,     0,
    3617,  1869,     0,     0,     0,     0,     0,     0,   152,     0,
     153,     0,     0,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   157,     0,   158,     0,     0,
       0,   159,     0,     0,  1158,     0,     0,   160,     0,     0,
       0,     0,     0,     0,   162,     0,   164,     0,     0,     0,
       0,     0,   166,  3649,     0,     0,     0,     0,  3651,     0,
       0,     0,     0,     0,     0,  1506,   170,   701,     0,   701,
       0,     0,     0,   701,     0,   701,     0,     0,   701,     0,
       0,     0,   701,     0,     0,     0,     0,  2165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
    1158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3732,     0,   183,
     184,     0,     0,     0,     0,   185,     0,  3739,     0,     0,
       0,     0,     0,   186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   191,     0,     0,     0,     0,     0,
       0,     0,     0,  3758,     0,   901,     0,     0,     0,  1869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   202,     0,     0,     0,     0,     0,  1158,     0,     0,
       0,   901,   204,     0,  3801,     0,     0,   205,     0,   206,
       0,     0,     0,     0,   207,     0,     0,  3810,     0,   208,
       0,     0,   210,     0,     0,  1158,   212,     0,     0,     0,
       0,   213,   214,     0,     0,     0,     0,     0,     0,   215,
       0,  2012,   217,     0,     0,     0,     0,     0,  2861,   220,
       0,     0,     0,  1158,  1158,     0,  1158,  2293,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1158,     0,     0,     0,     0,   227,     0,
     228,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,   231,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,     0,     0,     0,  1158,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   245,     0,     0,     0,  -132,     0,
       0,     0,     0,  1158,     0,     0,     0,  1158,  1158,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,     0,
       0,   687,     0,     0,     0,     0,     0,  2931,     0,  1647,
       0,     0,   701,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2064,     0,     0,     0,
       0,     0,  1869,  4007,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2087,     0,     0,     0,  1869,     0,
       0,     0,     0,     0,     0,     0,     0,  4028,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,     0,  2112,  2113,     0,  2115,     0,   687,     0,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2155,     0,     0,     0,     0,  4056,     0,     0,
       0,     0,  4063,  4064,     0,  4066,  4067,  4068,  4069,  4070,
    4071,  4072,     0,     0,     0,  1869,     0,     0,     0,     0,
    4079,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,     0,     0,     0,     0,     0,
       0,     0,     0,  2208,     0,     0,     0,     0,     0,     0,
       0,     0,  1869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2230,     0,     0,     0,  2240,  2243,     0,     0,
    1869,     0,     0,     0,     0,  4133,  4135,  4137,     0,     0,
    4140,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1158,     0,     0,     0,     0,     0,  1869,     0,
       0,  1158,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3562,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   701,  2012,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1158,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1158,  1158,     0,     0,     0,     0,     0,     0,  1158,
       0,     0,  1158,     0,     0,  1158,     0,     0,     0,     0,
       0,     0,     0,  1158,  1158,     0,     0,     0,     0,     0,
       0,  1158,     0,     0,  1158,  1158,  1158,  1158,     0,     0,
       0,     0,     0,     0,  1158,  1158,     0,  1158,     0,  1158,
    1158,     0,     0,  1158,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1869,  1158,
       0,     0,     0,     0,  1158,     0,     0,     0,  1158,     0,
       0,     0,  1158,     0,  1158,  1158,  1158,  1158,  1158,  1158,
    1158,  1158,  1158,     0,  1158,     0,     0,     0,     0,     0,
    1158,     0,     0,  1158,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     4,     0,     0,     0,     0,  4328,     0,
    2293,     0,     0,     0,     0,   687,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,  4339,  4340,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,  4349,
    4350,     9,    10,     0,  1158,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1158,  2727,     0,
       0,     0,  1158,     0,     0,  4423,     0,     0,  1158,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2749,     0,     0,  2751,     0,     0,  2762,     0,  4443,     0,
       0,     0,    47,  2769,  2774,     0,     0,     0,  1869,  2780,
       0,     0,  2785,  1869,  1869,     0,     0,     0,    48,     0,
       0,     0,     0,     0,  1869,     0,     0,     0,  2794,     0,
       0,     0,     0,  2801,     0,     0,     0,  2813,    49,     0,
       0,  2820,     0,  2822,  2823,  2824,  2825,  2826,  2827,  2828,
    2829,  2830,     0,  2831,     0,     0,     0,     0,     0,  1506,
      50,     0,  2856,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     704,     0,     0,    51,     0,     0,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    53,     0,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1158,     0,
    1869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,     0,
       0,     0,     0,     0,    54,     0,     0,     0,     0,     0,
    4551,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   701,     0,     0,     0,     0,  1869,
       0,     0,     0,     0,     0,    55,     0,     0,  3562,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,    56,     0,
       0,     0,     0,     0,     0,     0,  2976,     0,     0,     0,
       0,     0,     0,    57,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1158,     0,     0,     0,     0,
       0,     0,   687,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,    59,     0,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1336,  1969,
       0,     0,     0,    71,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1158,     0,
       0,     0,  1158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,  1158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,  1158,     0,     0,
       0,  1158,  3562,     0,     0,     0,     0,     0,     0,     0,
       0,  1859,     0,  1158,  1158,  1158,  1158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,     0,     0,  1158,
       0,  1158,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1158,  1158,     0,     0,  1158,     0,  3169,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1158,     0,
    1158,     0,     0,     0,  1158,     0,     0,     0,     0,     0,
    4723,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1158,     0,     0,     0,     0,  2931,     0,     0,     0,     0,
       0,  1158,     0,  1158,  1158,  1158,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1158,
       0,     0,     0,     0,  1158,     0,     0,     0,     0,     0,
       0,  1158,     0,     0,     0,     0,     0,  1158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3289,     0,     0,   687,     0,  2151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1158,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1869,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,     0,     0,  2151,
       0,     0,     0,     0,     0,     0,  3335,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,  1869,     0,  1869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2774,     0,  2774,  2774,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3397,     0,     0,  3400,     0,
    3402,     0,     0,     0,     0,     0,     0,  1869,     0,  1869,
       0,     0,     0,     0,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3423,     0,  3425,
       0,     0,     0,  3428,     0,     0,     0,     0,     0,     0,
    1859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1869,     0,     0,     0,     0,     0,     0,
       0,     0,  2856,  2856,  2856,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,   687,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2230,     0,
       0,  1869,     0,  3496,     0,     0,     0,  1859,     0,     0,
    2243,     0,     0,     0,  1869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1859,     0,     0,     0,  3537,     0,  1869,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1869,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,     0,     0,     0,     0,     0,
       0,     0,  2293,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1859,     0,     0,     0,  1158,     0,     0,     0,   687,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1158,
       0,     0,  1869,     0,     0,     0,     0,     0,  1158,   687,
       0,     0,     0,     0,  1158,     0,  1158,     0,     0,     0,
       0,  1869,  1158,     0,     0,  1158,  1158,  1158,  1158,  1158,
    1158,  1158,  1158,  1158,  1158,     0,     0,     0,  1158,  1158,
       0,     0,     0,     0,     0,     0,  1869,     0,     0,     0,
       0,  1158,     0,     0,     0,  1158,     0,     0,  2151,  1158,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1158,
       0,     0,  1158,     0,  1158,     0,  1860,     0,     0,     0,
       0,     0,  1869,  1158,  1158,  1158,     0,     0,     0,  1158,
       0,     0,  1158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1158,     0,     0,     0,     0,   687,     0,     0,
       0,     0,  1158,     0,     0,     0,     0,     0,     0,     0,
    1158,     0,  1158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2151,     0,     0,
    1859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,     0,     0,     0,
    2151,     0,  1158,     0,     0,  2758,     0,     0,  1158,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2151,  2151,     0,  2151,     0,
       0,     0,     0,  1158,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1860,     0,     0,     0,  2151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3840,     0,
       0,     0,     0,   701,     0,     0,     0,  3843,     0,     0,
       0,  2151,     0,  3844,     0,  3845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2151,     0,     0,     0,  3863,  3864,     0,
       0,     0,   687,  2151,     0,     0,  2151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2780,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3892,     0,
       0,  3895,     0,  3897,     0,     0,     0,     0,     0,     0,
       0,     0,  3901,     0,     0,     0,     0,     0,  3906,     0,
       0,  3909,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1158,     0,     0,     0,     0,     0,  1862,     0,
       0,  3938,     0,     0,     0,  1863,     0,     0,     0,  3950,
       0,  2856,     0,     0,     0,     0,     0,     0,  1869,     0,
    1859,     0,     0,     0,     0,  1859,  1859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1869,  1158,  1158,     0,  3967,     0,     0,     0,     0,
       0,  1506,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1860,     0,  1158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1158,     0,
       0,     0,     0,     0,     0,     0,  1862,  1860,  1158,  1158,
       0,  1869,  1859,  1863,     0,     0,  1158,  1158,     0,     0,
       0,  1158,  1869,     0,     0,     0,     0,  1158,  1158,     0,
       0,  1158,     0,  1860,     0,     0,     0,     0,   687,     0,
       0,     0,     0,     0,     0,     0,  1158,  1864,     0,     0,
    1158,     0,     0,     0,     0,     0,     0,     0,     0,  1158,
       0,     0,     0,     0,  1158,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,     0,     0,     0,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1860,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1158,     0,     0,     0,     0,  1860,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1869,
       0,     0,     0,     0,     0,     0,     0,  1860,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1869,     0,     0,  1860,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,     0,     0,
       0,  4190,  4191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1869,     0,     0,     0,     0,  1864,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1860,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1158,     0,     0,     0,     0,     0,     0,     0,     0,
    2151,     0,  1862,     0,     0,     0,     0,     0,     0,  1863,
       0,     0,     0,     0,     0,     0,     0,  4240,  4242,     0,
       0,     0,  2151,     0,  2151,     0,  2758,  2758,  3371,     0,
    4249,  2758,     0,     0,     0,  2151,  4254,  4255,     0,     0,
    4257,     0,  2151,     0,     0,     0,  1869,  2151,     0,  1862,
       0,     0,     0,  2151,     0,     0,  1863,     0,  2151,     0,
       0,     0,     0,     0,     0,     0,     0,  2151,  2856,     0,
       0,  2758,  2758,  2856,  2151,  1862,     0,     0,     0,  1158,
       0,     0,  1863,  1869,     0,  2856,  2151,     0,  1158,     0,
       0,     0,     0,  2151,     0,  2151,  2151,  2151,  2151,  2151,
    2151,  2151,  2151,  2151,  2151,  1158,  1158,     0,     0,  1158,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1158,     0,     0,  4311,     0,  1158,     0,     0,  1158,  2151,
       0,     0,     0,  1158,  1158,     0,     0,     0,     0,     0,
       0,     0,  1862,  1860,     0,     0,     0,     0,     0,  1863,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,     0,  1158,     0,  1863,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,  1863,     0,     0,     0,
    1869,     0,     0,     0,  1158,     0,     0,     0,  1859,     0,
       0,  1864,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,  1863,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1158,     0,     0,     0,     0,     0,  1859,  1859,     0,  1859,
       0,     0,     0,     0,     0,     0,     0,     0,  1864,  2151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,     0,
    4389,     0,  1863,     0,  1864,     0,     0,     0,     0,     0,
       0,  1158,     0,  1869,     0,     0,     0,     0,     0,  1859,
       0,  1859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1158,  1869,     0,  1158,     0,
    1158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1158,     0,     0,
       0,  1158,     0,     0,     0,  1859,  1869,     0,     0,     0,
       0,  1864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,     0,     0,
    1864,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1869,     0,     0,     0,  1869,  1869,  1864,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,  4469,     0,
       0,     0,     0,     0,     0,     0,  1859,     0,     0,     0,
       0,     0,     0,  1860,     0,     0,  1864,     0,  1860,  1860,
       0,  1158,     0,  4486,     0,     0,     0,     0,     0,  1860,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1869,
       0,     0,  2151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,     0,
    1859,     0,  1863,     0,  1864,     0,     0,     0,     0,  1158,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1158,     0,  1859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1158,     0,     0,
       0,     0,     0,     0,     0,     0,  1158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1860,     0,  1158,  1158,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,     0,     0,
    1158,     0,  2151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2780,     0,     0,
       0,     0,     0,     0,  1158,     0,     0,     0,  1859,     0,
       0,     0,     0,     0,  1158,     0,  4606,     0,  2151,     0,
       0,     0,     0,     0,  1860,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3371,
    3371,     0,  2758,     0,  1859,  2758,  2758,  2758,  2758,  2758,
    2758,  2758,  2758,  2758,  2758,  3371,     0,     0,     0,     0,
       0,     0,     0,     0,  1864,     0,     0,     0,     0,     0,
       0,     0,     0,  1158,     0,     0,     0,     0,     0,     0,
    2151,     0,  1158,  2151,     0,  2151,     0,     0,     0,     0,
    3371,  3371,     0,     0,     0,     0,     0,     0,     0,     0,
    4663,     0,     0,     0,  2758,  2758,  2151,     0,  2151,     0,
       0,  2151,     0,     0,     0,     0,     0,     0,     0,  1860,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,     0,
    1862,  1862,  1863,     0,     0,     0,     0,  1863,  1863,     0,
       0,  1862,     0,     0,     0,     0,     0,     0,  1863,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2151,     0,
       0,     0,     0,  4706,     0,     0,     0,     0,     0,  2151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2151,     0,     0,     0,     0,     0,     0,  1859,     0,     0,
       0,     0,     0,     0,     0,     0,  4744,  4744,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,  1863,     0,     0,     0,     0,     0,
       0,     0,     0,  4744,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1864,     0,     0,     0,     0,  1864,
    1864,     0,     0,     0,     0,     0,  1862,     0,     0,     0,
    1864,     0,     0,  1863,     0,     0,     0,     0,     0,     0,
       0,     0,  4744,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2758,  1859,     0,     0,     0,     0,     0,     0,
       0,  1860,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,     0,     0,     0,  1863,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1860,
    1860,     0,  1860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1860,     0,  1860,     0,     0,     0,     0,     0,
       0,     0,     0,  1859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2151,  1859,     0,  2151,  2151,  2151,     0,
       0,  3371,     0,     0,     0,  1864,  3371,  3371,  3371,  3371,
    3371,  3371,  3371,  3371,  3371,  3371,  2151,  2151,  1860,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1860,
       0,     0,     0,     0,     0,  2151,  2758,  2758,  2151,     0,
    2151,     0,     0,     0,  2151,  3371,  3371,     0,     0,  2151,
       0,     0,  2151,     0,     0,     0,  1860,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1860,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2151,     0,     0,     0,     0,     0,     0,     0,     0,
    1864,  1859,     0,  2151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2151,     0,  1859,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,     0,     0,
       0,     0,     0,  1860,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1860,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1860,
       0,     0,  1859,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1862,     0,     0,     0,     0,     0,     0,
    1863,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1862,  1862,     0,  1862,     0,     0,  1860,  1863,  1863,
       0,  1863,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1860,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1860,     0,     0,  1862,     0,  1862,     0,     0,     0,
       0,  1863,     0,  1863,  3371,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1860,     0,     0,
       0,     0,     0,     0,     0,  1859,     0,     0,     0,     0,
    1862,     0,     0,     0,     0,     0,     0,  1863,     0,     0,
       0,     0,     0,  2151,  2151,     0,     0,     0,     0,     0,
       0,  1862,     0,     0,     0,     0,     0,     0,  1863,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2151,     0,     0,  1862,  2758,
       0,     0,     0,     0,     0,  1863,     0,     0,     0,     0,
       0,  1862,  1864,  2151,     0,  2151,     0,     0,  1863,     0,
    3371,  3371,  2151,     0,     0,  2758,  2758,  2151,  2151,     0,
    2151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1864,  1864,  1859,  1864,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,     0,
       0,     0,  1863,     0,  2151,     0,     0,     0,  1862,     0,
       0,     0,     0,     0,     0,  1863,     0,     0,     0,     0,
       0,  1862,     0,  1864,     0,  1864,     0,     0,  1863,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1860,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1859,     0,     0,     0,  1864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2151,     0,     0,     0,     0,     0,  1859,  1862,
    1864,     0,     0,     0,     0,     0,  1863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,     0,     0,     0,     0,  1863,     0,  1864,  1859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1864,     0,     0,  1862,     0,     0,     0,     0,     0,     0,
    1863,     0,     0,     0,  3371,  2758,     0,     0,     0,     0,
       0,     0,     0,     0,  1859,     0,     0,     0,  1859,  1859,
    3371,  3371,  2151,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,  1863,     0,     0,  2151,
       0,     0,     0,  1860,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,  1864,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1864,     0,     0,
       0,     5,     0,     0,     0,     0,  1860,     0,     0,     0,
    1864,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1864,  3371,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2151,
       0,     0,     0,     0,     0,     0,     0,  1864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,     0,     0,  1860,     0,     0,     0,
       0,     0,  1864,     0,     0,     0,     0,  1860,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1862,     0,     0,     0,  2151,     0,     0,  1863,
       0,     0,     0,     0,     0,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,  2151,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2151,     0,     0,
       0,     0,     0,     0,  1860,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1860,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1860,     0,     0,
       0,    51,  2151,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1862,     0,     0,     0,    53,
       0,     0,  1863,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1860,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,     0,     0,     0,     0,  1863,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    54,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    55,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,    57,     0,     0,     0,  1863,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,  1863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    58,  1860,     0,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1336,  2638,     0,     0,
       0,    71,     0,     0,  1864,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1862,     0,     0,     0,
       0,     0,     0,  1863,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1860,     0,  1862,     0,     0,
       0,     0,     0,     0,  1863,     0,     0,     0,     0,  1862,
       0,     0,     0,     0,     0,     0,  1863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,  1863,     0,     0,  1864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1860,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1860,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1860,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1864,     0,  1860,     0,     0,
       0,  1860,  1860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,     0,     0,
    1862,     0,     0,     0,     0,     0,     0,  1863,  1864,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1862,     0,     0,
       0,     0,     0,     0,  1863,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1864,
    1862,     0,     0,     0,     0,     0,     0,  1863,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1862,     0,     0,     0,     0,     0,     0,
    1863,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1862,     0,     0,     0,     0,     0,     0,
    1863,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1862,
       0,     0,     0,  1862,  1862,     0,  1863,     0,     0,     0,
    1863,  1863,     0,     0,     0,     0,  1864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,  1864,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,     0,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,  1864,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,  1864,     0,
       0,     0,  1864,  1864,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   717,   433,   434,   435,   718,   719,   720,
     721,   722,   723,   724,   436,   437,   725,   438,   439,   133,
     440,   441,   442,   135,   136,   137,   138,   139,   726,   443,
     444,   445,   446,   447,   727,   728,   448,   449,   729,   140,
     451,   730,   452,   453,   454,   455,   144,   731,   456,   732,
     457,   458,   459,   460,   147,   461,   733,   734,   463,   464,
     465,   466,   467,   468,   735,   150,   469,   736,   737,   738,
     739,   151,   740,   741,   742,   470,   471,   472,   473,   474,
     475,   154,   155,   476,   743,   477,   744,   478,   479,   480,
     481,   482,   745,   483,   484,   485,   746,   747,   486,   487,
     488,   489,   490,   748,   491,   492,   493,   749,   494,   495,
     750,   496,   497,   498,   499,   163,   500,   501,   502,   165,
     751,   503,   752,   504,   167,   505,   753,   506,   754,   507,
     168,   755,   169,   508,   509,   510,   756,   511,   171,   757,
     512,   758,   513,   514,   515,   516,   517,   172,   518,   519,
     520,   759,   521,   522,   523,   524,   525,   526,   760,   527,
     173,   174,   761,   528,   529,   530,   762,   175,   763,   176,
     764,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,   765,   180,   181,   540,   182,   766,   541,
     542,   543,   767,   768,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,   188,   189,   556,
     557,   190,   769,   558,   559,   192,   560,   770,   193,   561,
     194,   562,   563,   564,   771,   565,   772,   773,   566,   567,
     568,   774,   775,   195,   196,   197,   198,   199,   569,   570,
     571,   572,   573,   574,   575,   776,   576,   200,   577,   201,
     578,   579,   580,   777,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,   778,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   779,   602,   603,
     209,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,   780,   614,   615,   616,   617,   618,   781,   619,
     216,   620,   621,   218,   622,   219,   782,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   221,   783,   633,
     634,   784,   635,   636,   637,   638,   639,   640,   785,   223,
     224,   786,   787,   642,   225,   643,   226,   788,   644,   645,
     646,   647,   648,   649,   789,   790,   650,   651,   652,   653,
     654,   791,   792,   655,   656,   657,   658,   659,   793,   233,
     794,   661,   234,   662,   663,   664,   795,   796,   665,   797,
     798,   666,   667,   668,   669,   670,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   671,   672,   673,    85,     0,
       0,    86,    87,    88,    89,    90,    91,    92,    93,     0,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     943,   104,   105,   106,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
     119,   120,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   129,     0,   130,   131,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
     133,     0,     0,   134,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,   141,     0,   142,   143,   144,     0,     0,
       0,   145,     0,   146,     0,   147,     0,     0,     0,     0,
       0,     0,     0,   148,     0,   149,   150,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,   152,
       0,   153,   154,   155,   156,     0,     0,     0,     0,     0,
   -1312,     0,     0,     0,     0,     0,   157,     0,   158,     0,
       0,     0,   159,     0,     0,     0,     0,     0,   160,   161,
       0,     0,     0,     0,     0,   162,   163,   164,     0,     0,
     165,     0,     0,   166,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,   170,     0,   171,
       0,     0,     0,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   173,   174,     0,     0, -1312,     0,     0,   175,     0,
     176,     0,     0,   177,   178,     0,   179,     0,     0,     0,
       0,     0,     0,     0,     0,   180,   181,     0,   182,     0,
     183,   184,     0,     0,     0,     0,   185,     0,     0,     0,
       0,     0,     0,     0,   186,     0,     0,   187,   188,   189,
       0,     0,   190,     0,     0,   191,   192,     0,     0,   193,
       0,   194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   195,   196,   197,   198,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,     0,     0,     0,   205,     0,
     206,     0,     0,     0,     0,   207,     0,     0,     0,     0,
     208,   209,     0,   210,   211,     0,     0,   212,     0,     0,
       0,     0,   213,   214,     0,     0,     0,     0,     0,     0,
     215,   216,     0,   217,   218,     0,   219,     0,     0,     0,
     220,     0,     0,     0,     0,     0,     0,     0,   221,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,     0,     0,   225,     0,   226,     0,   227,
       0,   228,     0,     0,     0,   229,     0,     0,   230,     0,
       0, -1312,     0,     0,   231,     0,     0,     0,     0,   232,
     233,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,     0,     0,     0,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   245,   104,   105,     0,  -132,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115,     0,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,   171,     0,     0,     0,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   173,   174,     0,     0,
       0,     0,     0,   175,     0,   176,     0,     0,   177,   178,
       0,   179,     0,     0,     0,     0,     0,     0,     0,     0,
     180,   181,     0,   182,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,   188,   189,     0,     0,   190,     0,     0,
       0,   192,     0,     0,   193,     0,   194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   195,
     196,   197,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   209,     0,     0,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,     0,     0,   218,
       0,   219,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,     0,     0,
     225,     0,   226,     0,     0,     0,     0,     0,     0,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   233,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,     0,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,  2921,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,     0,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,     0,     0,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   173,   174,     0,     0,     0,     0,     0,
     175,     0,   176,     0,     0,   177,   178,     0,   179,     0,
       0,     0,     0,     0,     0,     0,     0,   180,   181,     0,
     182,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
     188,   189,     0,     0,   190,     0,     0,     0,   192,     0,
       0,   193,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   195,   196,   197,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,   211,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,     0,     0,   218,     0,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,     0,     0,   225,     0,   226,
       0,     0,     0,     0,     0,     0,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,     0,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,  2923,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1426,  1427,  1428,
      45,  1429,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,  2850,   433,   434,   435,     0,     0,     0,
       0,  1430,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,   135,  1431,   137,  1432,  1433,     0,   443,
     444,   445,   446,   447,  1434,  1435,   448,   449,  1436,  1437,
     451,     0,   452,   453,   454,   455,  1438,     0,   456,     0,
     457,   458,   459,   460,   147,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   150,   469,     0,  1439,  1440,
    1441,  1442,  1443,  1444,  1445,   470,   471,   472,   473,   474,
     475,  1446,  1447,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,  2851,     0,   486,   487,
    1448,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1449,   500,   501,   502,  1450,
    1451,   503,     0,   504,  1452,   505,     0,   506,     0,   507,
     168,     0,   169,   508,   509,   510,     0,   511,  1453,     0,
     512,     0,   513,   514,   515,   516,   517,   172,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     173,   174,     0,   528,   529,   530,  1454,  1455,     0,  1456,
       0,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,     0,  1457,   181,   540,   182,     0,   541,
     542,   543,  1458,  1459,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1460,   188,  1461,   556,
     557,   190,  1462,   558,   559,   192,   560,  1463,  1464,   561,
    1465,   562,   563,   564,     0,   565,     0,     0,  1466,   567,
     568,     0,     0,   195,   196,   197,   198,  1467,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1468,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1469,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,  1470,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1471,   619,
     216,   620,   621,   218,   622,  1472,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,  1473,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,  1474,
    1475,     0,     0,   642,  1476,   643,  1477,  1478,   644,   645,
     646,   647,   648,   649,     0,  1479,   650,   651,   652,   653,
     654,  1480,     0,   655,   656,   657,   658,   659,   660,  1481,
    2852,   661,   234,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,  1489,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,  1490,  1491,  2853,     0,     0,
       0,     0,     0,     0,  1493,  2854,   710,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   711,   104,   105,   414,
     712,     0,   107,   108,   109,   110,   713,   714,   112,   113,
     114,   115,     0,   116,   715,   716,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,   424,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1426,  1427,  1428,    45,  1429,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,  1430,     0,
       0,   436,   437,     0,   438,   439,   133,   440,   441,   442,
     135,  1431,   137,  1432,  1433,     0,   443,   444,   445,   446,
     447,  1434,  1435,   448,   449,  1436,  1437,   451,     0,   452,
     453,   454,   455,  1438,     0,   456,     0,   457,   458,   459,
     460,   147,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   150,   469,     0,  1439,  1440,  1441,  1442,  1443,
    1444,  1445,   470,   471,   472,   473,   474,   475,  1446,  1447,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1448,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,  1449,   500,   501,   502,  1450,  1451,   503,     0,
     504,  1452,   505,     0,   506,     0,   507,   168,     0,   169,
     508,   509,   510,     0,   511,  1453,     0,   512,     0,   513,
     514,   515,   516,   517,   172,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   173,   174,     0,
     528,   529,   530,  1454,  1455,     0,  1456,     0,   531,   177,
     178,   532,   179,   533,   534,   535,   536,   537,   538,   539,
       0,  1457,   181,   540,   182,     0,   541,   542,   543,  1458,
    1459,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1460,   188,  1461,   556,   557,   190,  1462,
     558,   559,   192,   560,  1463,  1464,   561,  1465,   562,   563,
     564,     0,   565,     0,     0,  1466,   567,   568,     0,     0,
     195,   196,   197,   198,  1467,   569,   570,   571,   572,   573,
     574,   575,     0,   576,  1468,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1469,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
    1470,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,  1471,   619,   216,   620,   621,
     218,   622,  1472,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,  1473,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,  1474,  1475,     0,     0,
     642,  1476,   643,  1477,  1478,   644,   645,   646,   647,   648,
     649,     0,  1479,   650,   651,   652,   653,   654,  1480,     0,
     655,   656,   657,   658,   659,   660,  1481,     0,   661,   234,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,  1482,  1483,  1484,  1485,  1486,  1487,
    1488,  1489,   671,   672,   673,     0,     0,     0,     0,     0,
       0,     0,  1490,  1491,     0,     0,     0,     0,     0,     0,
       0,  1493,  2760,   710,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   711,   104,   105,   414,   712,     0,   107,
     108,   109,   110,   713,   714,   112,   113,   114,   115,     0,
     116,   715,   716,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,     0,  1835,   137,
    1836,  1837,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,  1838,  1839,   451,     0,   452,   453,   454,   455,
       0,     0,   456,     0,   457,   458,   459,   460,   147,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   150,
     469,     0,     0,     0,     0,   151,     0,     0,     0,   470,
     471,   472,   473,   474,   475,  1840,  1841,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1448,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,     0,
     500,   501,   502,     0,     0,   503,     0,   504,  1842,   505,
       0,   506,     0,   507,   168,     0,   169,   508,   509,   510,
       0,   511,     0,     0,   512,     0,   513,   514,   515,   516,
     517,   172,   518,   519,   520,  2382,   521,   522,   523,   524,
     525,   526,     0,   527,   173,  2383,     0,   528,   529,   530,
    1454,  1843,     0,  1844,     0,   531,   177,   178,   532,   179,
     533,   534,   535,   536,   537,   538,   539,     0,     0,   181,
     540,   182,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1845,   188,  1846,   556,   557,     0,     0,   558,   559,   192,
     560,     0,     0,   561,  1847,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,  2384,   196,   197,
     198,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,     0,   577,     0,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,  1848,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,  2385,   620,   621,   218,   622,  1850,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,  1851,  1852,     0,     0,   642,     0,   643,
       0,     0,   644,   645,   646,   647,   648,   649,     0,     0,
     650,   651,   652,   653,   654,     0,     0,   655,   656,   657,
     658,   659,     0,  1853,  2386,   661,   234,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   671,
     672,   673,     0,     0,     0,     0,   710,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,  2387,
      98,    99,   100,   101,   102,   103,   711,   104,   105,   414,
     712,     0,   107,   108,   109,   110,   713,   714,   112,   113,
     114,   115,     0,   116,   715,   716,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,   133,   440,   441,   442,
       0,  1835,   137,  1836,  1837,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,  1838,  1839,   451,     0,   452,
     453,   454,   455,     0,     0,   456,     0,   457,   458,   459,
     460,   147,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   150,   469,     0,     0,     0,     0,   151,     0,
       0,     0,   470,   471,   472,   473,   474,   475,  1840,  1841,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1448,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,     0,   500,   501,   502,     0,     0,   503,     0,
     504,  1842,   505,     0,   506,     0,   507,   168,     0,   169,
     508,   509,   510,     0,   511,     0,     0,   512,     0,   513,
     514,   515,   516,   517,   172,   518,   519,   520,  2382,   521,
     522,   523,   524,   525,   526,     0,   527,   173,  2383,     0,
     528,   529,   530,  1454,  1843,     0,  1844,     0,   531,   177,
     178,   532,   179,   533,   534,   535,   536,   537,   538,   539,
       0,     0,   181,   540,   182,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1845,   188,  1846,   556,   557,     0,     0,
     558,   559,   192,   560,     0,     0,   561,  1847,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
    2384,   196,   197,   198,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,     0,   577,     0,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1848,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,  2385,   620,   621,
     218,   622,  1850,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,  1851,  1852,     0,     0,
     642,     0,   643,     0,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,     0,  1853,  2386,   661,   234,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   671,   672,   673,     0,     0,     0,     0,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,  3252,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,     0,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1426,  1427,  1428,
      45,  1429,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,  1430,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,   135,  1431,   137,  1432,  1433,  2770,   443,
     444,   445,   446,   447,  1434,  1435,   448,   449,  1436,  1437,
     451,     0,   452,   453,   454,   455,  1438,     0,   456,     0,
     457,   458,   459,   460,   147,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   150,   469,     0,  1439,  1440,
    1441,  1442,  1443,  1444,  1445,   470,   471,   472,   473,   474,
     475,  1446,  1447,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1448,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1449,   500,   501,   502,  1450,
    1451,   503,     0,   504,  1452,   505,     0,   506,     0,   507,
     168,  2771,   169,   508,   509,   510,     0,   511,  1453,     0,
     512,     0,   513,   514,   515,   516,   517,   172,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     173,   174,     0,   528,   529,   530,  1454,  1455,     0,  1456,
       0,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,  2772,  1457,   181,   540,   182,     0,   541,
     542,   543,  1458,  1459,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1460,   188,  1461,   556,
     557,   190,  1462,   558,   559,   192,   560,  1463,  1464,   561,
    1465,   562,   563,   564,     0,   565,     0,     0,  1466,   567,
     568,     0,     0,   195,   196,   197,   198,  1467,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1468,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1469,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,  1470,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1471,   619,
     216,   620,   621,   218,   622,  1472,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,  1473,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,  1474,
    1475,     0,  2773,   642,  1476,   643,  1477,  1478,   644,   645,
     646,   647,   648,   649,     0,  1479,   650,   651,   652,   653,
     654,  1480,     0,   655,   656,   657,   658,   659,   660,  1481,
       0,   661,   234,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,  1489,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,  1490,  1491,     0,     0,     0,
       0,     0,     0,     0,  1493,   710,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   711,   104,   105,   414,   712,
       0,   107,   108,   109,   110,   713,   714,   112,   113,   114,
     115,     0,   116,   715,   716,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1426,  1427,  1428,    45,  1429,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1430,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
    1431,   137,  1432,  1433,     0,   443,   444,   445,   446,   447,
    1434,  1435,   448,   449,  1436,  1437,   451,     0,   452,   453,
     454,   455,  1438,     0,   456,     0,   457,   458,   459,   460,
     147,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   150,   469,     0,  1439,  1440,  1441,  1442,  1443,  1444,
    1445,   470,   471,   472,   473,   474,   475,  1446,  1447,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1448,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1449,   500,   501,   502,  1450,  1451,   503,     0,   504,
    1452,   505,     0,   506,     0,   507,   168,     0,   169,   508,
     509,   510,     0,   511,  1453,     0,   512,     0,   513,   514,
     515,   516,   517,   172,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   173,   174,     0,   528,
     529,   530,  1454,  1455,     0,  1456,     0,   531,   177,   178,
     532,   179,   533,   534,   535,   536,   537,   538,   539,     0,
    1457,   181,   540,   182,     0,   541,   542,   543,  1458,  1459,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1460,   188,  1461,   556,   557,   190,  1462,   558,
     559,   192,   560,  1463,  1464,   561,  1465,   562,   563,   564,
       0,   565,     0,     0,  1466,   567,   568,     0,     0,   195,
     196,   197,   198,  1467,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1468,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1469,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1470,
     606,   607,   608,   609,   610,   611,   612,   613,   214,   614,
     615,   616,   617,   618,  1471,   619,   216,   620,   621,   218,
     622,  1472,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,  1473,     0,   633,   634,   222,   635,   636,
     637,   638,   639,   640,     0,  1474,  1475,     0,     0,   642,
    1476,   643,  1477,  1478,   644,   645,   646,   647,   648,   649,
       0,  1479,   650,   651,   652,   653,   654,  1480,     0,   655,
     656,   657,   658,   659,  1352,  1481,     0,   661,   234,   662,
     663,   664,     0,     0,   665,     0,   235,   666,   667,   668,
     669,   670,   236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
    1489,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,  1490,  1491,     0,     0,     0,     0,     0,     0,     0,
    1493,   710,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   711,   104,   105,   414,   712,     0,   107,   108,   109,
     110,   713,   714,   112,   113,   114,   115,     0,   116,   715,
     716,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1426,
    1427,  1428,    45,  1429,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,  1430,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,   135,  1431,   137,  1432,  1433,
       0,   443,   444,   445,   446,   447,  1434,  1435,   448,   449,
    1436,  1437,   451,     0,   452,   453,   454,   455,  1438,     0,
     456,     0,   457,   458,   459,   460,   147,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   150,   469,     0,
    1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,   471,   472,
     473,   474,   475,  1446,  1447,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1448,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,  1449,   500,   501,
     502,  1450,  1451,   503,     0,   504,  1452,   505,     0,   506,
       0,   507,   168,     0,   169,   508,   509,   510,     0,   511,
    1453,     0,   512,     0,   513,   514,   515,   516,   517,   172,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   173,   174,     0,   528,   529,   530,  1454,  1455,
       0,  1456,     0,   531,   177,   178,   532,   179,   533,   534,
     535,   536,   537,   538,   539,     0,  1457,   181,   540,   182,
       0,   541,   542,   543,  1458,  1459,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1460,   188,
    1461,   556,   557,   190,  1462,   558,   559,   192,   560,  1463,
    1464,   561,  1465,   562,   563,   564,     0,   565,     0,     0,
    1466,   567,   568,     0,     0,   195,   196,   197,   198,  1467,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1468,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1469,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,  1470,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
    1471,   619,   216,   620,   621,   218,   622,  1472,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,  1473,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   640,
       0,  1474,  1475,     0,     0,   642,  1476,   643,  1477,  1478,
     644,   645,   646,   647,   648,   649,     0,  1479,   650,   651,
     652,   653,   654,  1480,     0,   655,   656,   657,   658,   659,
     660,  1481,     0,   661,   234,   662,   663,   664,     0,     0,
     665,     0,     0,   666,   667,   668,   669,   670,   236,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,   672,   673,
       0,     0,     0,     0,     0,     0,     0,  1490,  1491,     0,
       0,     0,     0,     0,  2059,  2719,  1493,   710,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   711,   104,   105,
     414,   712,     0,   107,   108,   109,   110,   713,   714,   112,
     113,   114,   115,     0,   116,   715,   716,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1426,  1427,  1428,    45,  1429,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,  1430,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,   135,  1431,   137,  1432,  1433,     0,   443,   444,   445,
     446,   447,  1434,  1435,   448,   449,  1436,  1437,   451,     0,
     452,   453,   454,   455,  1438,     0,   456,     0,   457,   458,
     459,   460,   147,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   150,   469,     0,  1439,  1440,  1441,  1442,
    1443,  1444,  1445,   470,   471,   472,   473,   474,   475,  1446,
    1447,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1448,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1449,   500,   501,   502,  1450,  1451,   503,
       0,   504,  1452,   505,     0,   506,     0,   507,   168,     0,
     169,   508,   509,   510,     0,   511,  1453,     0,   512,     0,
     513,   514,   515,   516,   517,   172,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   173,   174,
       0,   528,   529,   530,  1454,  1455,     0,  1456,     0,   531,
     177,   178,   532,   179,   533,   534,   535,   536,   537,   538,
     539,     0,  1457,   181,   540,   182,     0,   541,   542,   543,
    1458,  1459,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1460,   188,  1461,   556,   557,   190,
    1462,   558,   559,   192,   560,  1463,  1464,   561,  1465,   562,
     563,   564,     0,   565,     0,     0,  1466,   567,   568,     0,
       0,   195,   196,   197,   198,  1467,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1468,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,  1469,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,  1470,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,  1471,   619,   216,   620,
     621,   218,   622,  1472,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,  1473,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   640,     0,  1474,  1475,     0,
       0,   642,  1476,   643,  1477,  1478,   644,   645,   646,   647,
     648,   649,     0,  1479,   650,   651,   652,   653,   654,  1480,
       0,   655,   656,   657,   658,   659,   660,  1481,     0,   661,
     234,   662,   663,   664,     0,     0,   665,     0,     0,   666,
     667,   668,   669,   670,   236,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,  1489,   671,   672,   673,     0,     0,     0,     0,
       0,     0,     0,  1490,  1491,  1492,     0,     0,     0,     0,
       0,     0,  1493,   710,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   711,   104,   105,   414,   712,     0,   107,
     108,   109,   110,   713,   714,   112,   113,   114,   115,     0,
     116,   715,   716,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1426,  1427,  1428,    45,  1429,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,  1430,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,   135,  1431,   137,
    1432,  1433,     0,   443,   444,   445,   446,   447,  1434,  1435,
     448,   449,  1436,  1437,   451,     0,   452,   453,   454,   455,
    1438,     0,   456,     0,   457,   458,   459,   460,   147,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   150,
     469,     0,  1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,
     471,   472,   473,   474,   475,  1446,  1447,   476,  1575,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1448,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,  1449,
     500,   501,   502,  1450,  1451,   503,     0,   504,  1452,   505,
       0,   506,     0,   507,   168,     0,   169,   508,   509,   510,
       0,   511,  1453,     0,   512,     0,   513,   514,   515,   516,
     517,   172,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   173,   174,     0,   528,   529,   530,
    1454,  1455,     0,  1456,     0,   531,   177,   178,   532,   179,
     533,   534,   535,   536,   537,   538,   539,     0,  1457,   181,
     540,   182,     0,   541,   542,   543,  1458,  1459,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1460,   188,  1461,   556,   557,   190,  1462,   558,   559,   192,
     560,  1463,  1464,   561,  1465,   562,   563,   564,     0,   565,
       0,     0,  1466,   567,   568,     0,     0,   195,   196,   197,
     198,  1467,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1468,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,  1469,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,  1470,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,  1471,   619,   216,   620,   621,   218,   622,  1472,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,  1473,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,  1474,  1475,     0,     0,   642,  1476,   643,
    1477,  1478,   644,   645,   646,   647,   648,   649,     0,  1479,
     650,   651,   652,   653,   654,  1480,     0,   655,   656,   657,
     658,   659,   660,  1481,     0,   661,   234,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
     236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,
     672,   673,     0,     0,     0,     0,     0,     0,     0,  1490,
    1491,     0,     0,     0,     0,     0,     0,     0,  1493,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,     0,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1426,  1427,  1428,
      45,  1429,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,  2238,   433,   434,   435,     0,     0,     0,
       0,  1430,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,   135,  1431,   137,  1432,  1433,     0,   443,
     444,   445,   446,   447,  1434,  1435,   448,   449,  1436,  1437,
     451,     0,   452,   453,   454,   455,  1438,     0,   456,     0,
     457,   458,   459,   460,   147,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   150,   469,     0,  1439,  1440,
    1441,  1442,  1443,  1444,  1445,   470,   471,   472,   473,   474,
     475,  1446,  1447,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1448,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1449,   500,   501,   502,  1450,
    1451,   503,     0,   504,  1452,   505,     0,   506,     0,   507,
     168,     0,   169,   508,   509,   510,     0,   511,  1453,     0,
     512,     0,   513,   514,   515,   516,   517,   172,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     173,   174,     0,   528,   529,   530,  1454,  1455,     0,  1456,
       0,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,     0,  1457,   181,   540,   182,     0,   541,
     542,   543,  1458,  1459,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1460,   188,  1461,   556,
     557,   190,  1462,   558,   559,   192,   560,  1463,  1464,   561,
    1465,   562,   563,   564,     0,   565,     0,     0,  1466,   567,
     568,     0,     0,   195,   196,   197,   198,  1467,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1468,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1469,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,  1470,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1471,   619,
     216,   620,   621,   218,   622,  1472,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,  1473,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,  1474,
    1475,     0,     0,   642,  1476,   643,  1477,  1478,   644,   645,
     646,   647,   648,   649,     0,  1479,   650,   651,   652,   653,
     654,  1480,     0,   655,   656,   657,   658,   659,   660,  1481,
       0,   661,   234,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,  1489,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,  1490,  1491,     0,     0,     0,
       0,     0,     0,     0,  1493,   710,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   711,   104,   105,   414,   712,
       0,   107,   108,   109,   110,   713,   714,   112,   113,   114,
     115,     0,   116,   715,   716,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1426,  1427,  1428,    45,  1429,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1430,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
    1431,   137,  1432,  1433,     0,   443,   444,   445,   446,   447,
    1434,  1435,   448,   449,  1436,  1437,   451,     0,   452,   453,
     454,   455,  1438,     0,   456,     0,   457,   458,   459,   460,
     147,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   150,   469,     0,  1439,  1440,  1441,  1442,  1443,  1444,
    1445,   470,   471,   472,   473,   474,   475,  1446,  1447,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1448,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1449,   500,   501,   502,  1450,  1451,   503,     0,   504,
    1452,   505,     0,   506,     0,   507,   168,  2771,   169,   508,
     509,   510,     0,   511,  1453,     0,   512,     0,   513,   514,
     515,   516,   517,   172,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   173,   174,     0,   528,
     529,   530,  1454,  1455,     0,  1456,     0,   531,   177,   178,
     532,   179,   533,   534,   535,   536,   537,   538,   539,     0,
    1457,   181,   540,   182,     0,   541,   542,   543,  1458,  1459,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1460,   188,  1461,   556,   557,   190,  1462,   558,
     559,   192,   560,  1463,  1464,   561,  1465,   562,   563,   564,
       0,   565,     0,     0,  1466,   567,   568,     0,     0,   195,
     196,   197,   198,  1467,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1468,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1469,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1470,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1471,   619,   216,   620,   621,   218,
     622,  1472,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,  1473,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,  1474,  1475,     0,     0,   642,
    1476,   643,  1477,  1478,   644,   645,   646,   647,   648,   649,
       0,  1479,   650,   651,   652,   653,   654,  1480,     0,   655,
     656,   657,   658,   659,   660,  1481,     0,   661,   234,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
    1489,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,  1490,  1491,     0,     0,     0,     0,     0,     0,     0,
    1493,   710,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   711,   104,   105,   414,   712,     0,   107,   108,   109,
     110,   713,   714,   112,   113,   114,   115,     0,   116,   715,
     716,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1426,
    1427,  1428,    45,  1429,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,  1430,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,   135,  1431,   137,  1432,  1433,
       0,   443,   444,   445,   446,   447,  1434,  1435,   448,   449,
    1436,  1437,   451,     0,   452,   453,   454,   455,  1438,     0,
     456,     0,   457,   458,   459,   460,   147,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   150,   469,     0,
    1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,   471,   472,
     473,   474,   475,  1446,  1447,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1448,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,  1449,   500,   501,
     502,  1450,  1451,   503,     0,   504,  1452,   505,     0,   506,
       0,   507,   168,     0,   169,   508,   509,   510,     0,   511,
    1453,     0,   512,     0,   513,   514,   515,   516,   517,   172,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   173,   174,     0,   528,   529,   530,  1454,  1455,
       0,  1456,     0,   531,   177,   178,   532,   179,   533,   534,
     535,   536,   537,   538,   539,     0,  1457,   181,   540,   182,
       0,   541,   542,   543,  1458,  1459,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1460,   188,
    1461,   556,   557,   190,  1462,   558,   559,   192,   560,  1463,
    1464,   561,  1465,   562,   563,   564,     0,   565,     0,     0,
    1466,   567,   568,     0,     0,   195,   196,   197,   198,  1467,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1468,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1469,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,  1470,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
    1471,   619,   216,   620,   621,   218,   622,  1472,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,  1473,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   640,
       0,  1474,  1475,     0,     0,   642,  1476,   643,  1477,  1478,
     644,   645,   646,   647,   648,   649,     0,  1479,   650,   651,
     652,   653,   654,  1480,     0,   655,   656,   657,   658,   659,
     660,  1481,  3953,   661,   234,   662,   663,   664,     0,     0,
     665,     0,     0,   666,   667,   668,   669,   670,   236,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,   672,   673,
       0,     0,     0,     0,     0,     0,     0,  1490,  1491,     0,
       0,     0,     0,     0,     0,     0,  1493,   710,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   711,   104,   105,
     414,   712,     0,   107,   108,   109,   110,   713,   714,   112,
     113,   114,   115,     0,   116,   715,   716,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1426,  1427,  1428,    45,  1429,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,  1430,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,   135,  1431,   137,  1432,  1433,     0,   443,   444,   445,
     446,   447,  1434,  1435,   448,   449,  1436,  1437,   451,     0,
     452,   453,   454,   455,  1438,     0,   456,     0,   457,   458,
     459,   460,   147,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   150,   469,  3966,  1439,  1440,  1441,  1442,
    1443,  1444,  1445,   470,   471,   472,   473,   474,   475,  1446,
    1447,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1448,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1449,   500,   501,   502,  1450,  1451,   503,
       0,   504,  1452,   505,     0,   506,     0,   507,   168,     0,
     169,   508,   509,   510,     0,   511,  1453,     0,   512,     0,
     513,   514,   515,   516,   517,   172,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   173,   174,
       0,   528,   529,   530,  1454,  1455,     0,  1456,     0,   531,
     177,   178,   532,   179,   533,   534,   535,   536,   537,   538,
     539,     0,  1457,   181,   540,   182,     0,   541,   542,   543,
    1458,  1459,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1460,   188,  1461,   556,   557,   190,
    1462,   558,   559,   192,   560,  1463,  1464,   561,  1465,   562,
     563,   564,     0,   565,     0,     0,  1466,   567,   568,     0,
       0,   195,   196,   197,   198,  1467,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1468,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,  1469,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,  1470,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,  1471,   619,   216,   620,
     621,   218,   622,  1472,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,  1473,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   640,     0,  1474,  1475,     0,
       0,   642,  1476,   643,  1477,  1478,   644,   645,   646,   647,
     648,   649,     0,  1479,   650,   651,   652,   653,   654,  1480,
       0,   655,   656,   657,   658,   659,   660,  1481,     0,   661,
     234,   662,   663,   664,     0,     0,   665,     0,     0,   666,
     667,   668,   669,   670,   236,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,  1489,   671,   672,   673,     0,     0,     0,     0,
       0,     0,     0,  1490,  1491,     0,     0,     0,     0,     0,
       0,     0,  1493,   710,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   711,   104,   105,   414,   712,     0,   107,
     108,   109,   110,   713,   714,   112,   113,   114,   115,     0,
     116,   715,   716,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1426,  1427,  1428,    45,  1429,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,  1430,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,  4741,  1431,   137,
    1432,  1433,     0,   443,   444,   445,   446,   447,  1434,  1435,
     448,   449,  1436,  1437,   451,     0,   452,   453,   454,   455,
    1438,     0,   456,     0,   457,   458,   459,   460,   147,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   150,
     469,  4742,  1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,
     471,   472,   473,   474,   475,  1446,  1447,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1448,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,  1449,
     500,   501,   502,  1450,  1451,   503,     0,   504,  1452,   505,
       0,   506,     0,   507,   168,     0,   169,   508,   509,   510,
       0,   511,  1453,     0,   512,     0,   513,   514,   515,   516,
     517,   172,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   173,   174,     0,   528,   529,   530,
    1454,  1455,     0,  1456,     0,   531,   177,   178,   532,   179,
     533,   534,   535,   536,   537,   538,   539,     0,  1457,   181,
     540,   182,     0,   541,   542,   543,  1458,  1459,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1460,   188,  1461,   556,   557,   190,  1462,   558,   559,   192,
     560,  1463,  1464,   561,  1465,   562,   563,   564,     0,   565,
       0,     0,  1466,   567,   568,     0,     0,   195,   196,   197,
     198,  1467,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1468,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,  1469,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,  1470,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,  1471,   619,   216,   620,   621,   218,   622,  1472,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,  1473,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,  1474,  1475,     0,     0,   642,  1476,   643,
    1477,  1478,   644,   645,   646,  4743,   648,   649,     0,  1479,
     650,   651,   652,   653,   654,  1480,     0,   655,   656,   657,
     658,   659,   660,  1481,     0,   661,   234,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
     236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,
     672,   673,     0,     0,     0,     0,     0,     0,     0,  1490,
    1491,     0,     0,     0,     0,     0,     0,     0,  1493,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,     0,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1426,  1427,  1428,
      45,  1429,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,  1430,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,   135,  1431,   137,  1432,  1433,     0,   443,
     444,   445,   446,   447,  1434,  1435,   448,   449,  1436,  1437,
     451,     0,   452,   453,   454,   455,  1438,     0,   456,     0,
     457,   458,   459,   460,   147,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   150,   469,  4742,  1439,  1440,
    1441,  1442,  1443,  1444,  1445,   470,   471,   472,   473,   474,
     475,  1446,  1447,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1448,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1449,   500,   501,   502,  1450,
    1451,   503,     0,   504,  1452,   505,     0,   506,     0,   507,
     168,     0,   169,   508,   509,   510,     0,   511,  1453,     0,
     512,     0,   513,   514,   515,   516,   517,   172,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     173,   174,     0,   528,   529,   530,  1454,  1455,     0,  1456,
       0,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,     0,  1457,   181,   540,   182,     0,   541,
     542,   543,  1458,  1459,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1460,   188,  1461,   556,
     557,   190,  1462,   558,   559,   192,   560,  1463,  1464,   561,
    1465,   562,   563,   564,     0,   565,     0,     0,  1466,   567,
     568,     0,     0,   195,   196,   197,   198,  1467,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1468,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1469,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,  1470,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1471,   619,
     216,   620,   621,   218,   622,  1472,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,  1473,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,  1474,
    1475,     0,     0,   642,  1476,   643,  1477,  1478,   644,   645,
     646,  4743,   648,   649,     0,  1479,   650,   651,   652,   653,
     654,  1480,     0,   655,   656,   657,   658,   659,   660,  1481,
       0,   661,   234,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,  1489,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,  1490,  1491,     0,     0,     0,
       0,     0,     0,     0,  1493,   710,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   711,   104,   105,   414,   712,
       0,   107,   108,   109,   110,   713,   714,   112,   113,   114,
     115,     0,   116,   715,   716,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1426,  1427,  1428,    45,  1429,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1430,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
    1431,   137,  1432,  1433,     0,   443,   444,   445,   446,   447,
    1434,  1435,   448,   449,  1436,  1437,   451,     0,   452,   453,
     454,   455,  1438,     0,   456,     0,   457,   458,   459,   460,
     147,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   150,   469,     0,  1439,  1440,  1441,  1442,  1443,  1444,
    1445,   470,   471,   472,   473,   474,   475,  1446,  1447,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1448,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1449,   500,   501,   502,  1450,  1451,   503,     0,   504,
    1452,   505,     0,   506,     0,   507,   168,     0,   169,   508,
     509,   510,     0,   511,  1453,     0,   512,     0,   513,   514,
     515,   516,   517,   172,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   173,   174,     0,   528,
     529,   530,  1454,  1455,     0,  1456,     0,   531,   177,   178,
     532,   179,   533,   534,   535,   536,   537,   538,   539,     0,
    1457,   181,   540,   182,     0,   541,   542,   543,  1458,  1459,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1460,   188,  1461,   556,   557,   190,  1462,   558,
     559,   192,   560,  1463,  1464,   561,  1465,   562,   563,   564,
       0,   565,     0,     0,  1466,   567,   568,     0,     0,   195,
     196,   197,   198,  1467,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1468,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1469,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1470,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1471,   619,   216,   620,   621,   218,
     622,  1472,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,  1473,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,  1474,  1475,     0,     0,   642,
    1476,   643,  1477,  1478,   644,   645,   646,   647,   648,   649,
       0,  1479,   650,   651,   652,   653,   654,  1480,     0,   655,
     656,   657,   658,   659,   660,  1481,     0,   661,   234,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
    1489,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,  1490,  1491,     0,     0,     0,     0,     0,     0,     0,
    1493,   710,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   711,   104,   105,   414,   712,     0,   107,   108,   109,
     110,   713,   714,   112,   113,   114,   115,     0,   116,   715,
     716,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1426,
    1427,  1428,    45,  1429,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,  1430,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,   135,  1431,   137,  1432,  1433,
       0,   443,   444,   445,   446,   447,  1434,  1435,   448,   449,
    1436,  1437,   451,     0,   452,   453,   454,   455,  1438,     0,
     456,     0,   457,   458,   459,   460,   147,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   150,   469,     0,
    1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,   471,   472,
     473,   474,   475,  1446,  1447,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1448,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,  1449,   500,   501,
     502,  1450,  1451,   503,     0,   504,  1452,   505,     0,   506,
       0,   507,   168,     0,   169,   508,   509,   510,     0,   511,
    1453,     0,   512,     0,   513,   514,   515,   516,   517,   172,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   173,   174,     0,   528,   529,   530,  1454,  1455,
       0,  1456,     0,   531,   177,   178,   532,   179,   533,   534,
     535,   536,   537,   538,   539,     0,  1457,   181,   540,   182,
       0,   541,   542,   543,  1458,  1459,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1460,   188,
    1461,   556,   557,   190,  1462,   558,   559,   192,   560,  1463,
    1464,   561,  1465,   562,   563,   564,     0,   565,     0,     0,
    1466,   567,   568,     0,     0,   195,   196,   197,   198,  1467,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1468,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1469,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,  1470,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
    1471,   619,   216,   620,   621,   218,   622,  1472,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,  1473,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   640,
       0,  1474,  1475,     0,     0,   642,  1476,   643,  1477,  1478,
     644,   645,   646,   647,   648,   649,     0,  1479,   650,   651,
     652,   653,   654,  1480,     0,   655,   656,   657,   658,   659,
     660,  1481,     0,   661,   234,   662,   663,   664,     0,     0,
     665,     0,     0,   666,   667,   668,   669,   670,  4232,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,   672,   673,
       0,     0,     0,     0,     0,     0,     0,  1490,  1491,     0,
       0,     0,     0,     0,     0,     0,  1493,   710,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   711,   104,   105,
     414,   712,     0,   107,   108,   109,   110,   713,   714,   112,
     113,   114,   115,     0,   116,   715,   716,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1426,  1427,  1428,    45,  1429,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,  1430,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,   135,  1431,   137,  1432,  1433,     0,   443,   444,   445,
     446,   447,  1434,  1435,   448,   449,  1436,  1437,   451,     0,
     452,   453,   454,   455,  1438,     0,   456,     0,   457,   458,
     459,   460,   147,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   150,   469,     0,  1439,  1440,  1441,  1442,
    1443,  1444,  1445,   470,   471,   472,   473,   474,   475,  1446,
    1447,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1448,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1449,   500,   501,   502,  1450,  1451,   503,
       0,   504,  1452,   505,     0,   506,     0,   507,   168,     0,
     169,   508,   509,   510,     0,   511,  1453,     0,   512,     0,
     513,   514,   515,   516,   517,   172,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   173,   174,
       0,   528,   529,   530,  1454,  1455,     0,  1456,     0,   531,
     177,   178,   532,   179,   533,   534,   535,   536,   537,   538,
     539,     0,  1457,   181,   540,   182,     0,   541,   542,   543,
    1458,  1459,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1460,   188,  1461,   556,  4241,   190,
    1462,   558,   559,   192,   560,  1463,  1464,   561,  1465,   562,
     563,   564,     0,   565,     0,     0,  1466,   567,   568,     0,
       0,   195,   196,   197,   198,  1467,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1468,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,  1469,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,  1470,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,  1471,   619,   216,   620,
     621,   218,   622,  1472,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,  1473,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   640,     0,  1474,  1475,     0,
       0,   642,  1476,   643,  1477,  1478,   644,   645,   646,   647,
     648,   649,     0,  1479,   650,   651,   652,   653,   654,  1480,
       0,   655,   656,   657,   658,   659,   660,  1481,     0,   661,
     234,   662,   663,   664,     0,     0,   665,     0,     0,   666,
     667,   668,   669,   670,   236,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,  1489,   671,   672,   673,     0,     0,     0,     0,
       0,     0,     0,  1490,  1491,     0,     0,     0,     0,     0,
       0,     0,  1493,   710,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   711,   104,   105,   414,   712,     0,   107,
     108,   109,   110,   713,   714,   112,   113,   114,   115,     0,
     116,   715,   716,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1426,  1427,  1428,    45,  1429,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,  1430,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,   135,  1431,   137,
    1432,  1433,     0,   443,   444,   445,   446,   447,  1434,  1435,
     448,   449,  1436,  1437,   451,     0,   452,   453,   454,   455,
    1438,     0,   456,     0,   457,   458,   459,   460,   147,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   150,
     469,     0,  1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,
     471,   472,   473,   474,   475,  1446,  1447,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1448,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,  1449,
     500,   501,   502,  1450,  1451,   503,     0,   504,  1452,   505,
       0,   506,     0,   507,   168,     0,   169,   508,   509,   510,
       0,   511,  1453,     0,   512,     0,   513,   514,   515,   516,
     517,   172,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   173,   174,     0,   528,   529,   530,
    1454,  1455,     0,  1456,     0,   531,   177,   178,   532,   179,
     533,   534,   535,   536,   537,   538,   539,     0,  1457,   181,
     540,   182,     0,   541,   542,   543,  1458,  1459,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1460,   188,  1461,   556,   557,   190,     0,   558,   559,   192,
     560,  1463,  1464,   561,  1465,   562,   563,   564,     0,   565,
       0,     0,  1466,   567,   568,     0,     0,   195,   196,   197,
     198,  1467,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1468,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,  1469,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,  1470,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,  1471,   619,   216,   620,   621,   218,   622,  1472,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,  1473,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,  1474,  1475,     0,     0,   642,  1476,   643,
    1477,  1478,   644,   645,   646,   647,   648,   649,     0,     0,
     650,   651,   652,   653,   654,  1480,     0,   655,   656,   657,
     658,   659,   660,  1481,     0,   661,   234,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
     236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,
     672,   673,     0,     0,     0,     0,     0,     0,     0,  2753,
    2754,     0,     0,     0,     0,     0,     0,     0,  1493,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,     0,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1426,  1427,  1428,
      45,  1429,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,  1430,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442, -2530,  1431,   137,  1432,  1433,     0,   443,
     444,   445,   446,   447,  1434,  1435,   448,   449,  1436,  1437,
     451,     0,   452,   453,   454,   455,  1438,     0,   456,     0,
     457,   458,   459,   460,   147,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   150,   469,  4742,  1439,  1440,
    1441,  1442,  1443,  1444,  1445,   470,   471,   472,   473,   474,
     475,  1446,  1447,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1448,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1449,   500,   501,   502,  1450,
    1451,   503,     0,   504,  1452,   505,     0,   506,     0,   507,
     168,     0,   169,   508,   509,   510,     0,   511,  1453,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     173,   174,     0,   528,   529,   530,  1454,  1455,     0,  1456,
       0,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,     0,  1457,   181,   540,     0,     0,   541,
     542,   543,  1458,  1459,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1460,   188,  1461,   556,
     557,   190,     0,   558,   559,   192,   560,  1463,  1464,   561,
    1465,   562,   563,   564,     0,   565,     0,     0,  1466,   567,
     568,     0,     0,   195,   196,   197,   198,  1467,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1468,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1469,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,  1470,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1471,   619,
     216,   620,   621,     0,   622,  1472,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,  1473,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,  1474,
    1475,     0,     0,   642,  1476,   643,  1477,  1478,   644,   645,
     646,  4743,   648,   649,     0,  1479,   650,   651,   652,   653,
     654,  1480,     0,   655,   656,   657,   658,   659,   660,  1481,
       0,   661,   234,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,  1489,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,  1490,  1491,     0,     0,     0,
       0,     0,     0,     0,  1493,   710,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   711,   104,   105,   414,   712,
       0,   107,   108,   109,   110,   713,   714,   112,   113,   114,
     115,     0,   116,   715,   716,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1426,  1427,     0,    45,  1429,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1430,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
    1431,   137,  1432,  1433,     0,   443,   444,   445,   446,   447,
    1434,  1435,   448,   449,  1436,  1437,   451,     0,   452,   453,
     454,   455,  1438,     0,   456,     0,   457,   458,   459,   460,
     147,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   150,   469,     0,  1439,  1440,  1441,  1442,  1443,  1444,
    1445,   470,   471,   472,   473,   474,   475,  1446,  1447,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1448,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1449,   500,   501,   502,  1450,  1451,   503,     0,   504,
    1452,   505,     0,   506,     0,   507,   168,     0,   169,   508,
     509,   510,     0,   511,  1453,     0,   512,     0,   513,   514,
     515,   516,   517,   172,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   173,   174,     0,   528,
     529,   530,  1454,  1455,     0,  1456,     0,   531,   177,   178,
     532,   179,   533,   534,   535,   536,   537,   538,   539,     0,
    1457,   181,   540,   182,     0,   541,   542,   543,  1458,  1459,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1460,   188,  1461,   556,   557,   190,     0,   558,
     559,   192,   560,  1463,  1464,   561,  1465,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
     196,   197,   198,  1467,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1468,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1469,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1470,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1471,   619,   216,   620,   621,   218,
     622,  1472,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,  1473,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,  1474,  1475,     0,     0,   642,
    1476,   643,  1477,  1478,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,  1480,     0,   655,
     656,   657,   658,   659,   660,  1481,     0,   661,   234,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
    1489,   671,   672,   673,     0,     0,     0,   710,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
    1493,    98,    99,   100,   101,   102,   103,   711,   104,   105,
     414,   712,     0,   107,   108,   109,   110,   713,   714,   112,
     113,   114,   115,     0,   116,   715,   716,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1426,  1427,     0,    45,  1429,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,  1430,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,   135,  1431,   137,  1432,  1433,     0,  3876,   444,   445,
     446,   447,  1434,  1435,   448,   449,  1436,  1437,   451,     0,
     452,   453,   454,   455,  1438,     0,   456,     0,   457,   458,
     459,   460,   147,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   150,   469,     0,  1439,  1440,  1441,  1442,
    1443,  1444,  1445,   470,   471,   472,   473,   474,   475,  1446,
    1447,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1448,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1449,   500,   501,   502,  1450,  1451,   503,
       0,   504,  1452,   505,     0,   506,     0,   507,   168,     0,
     169,   508,   509,   510,     0,   511,  1453,     0,   512,     0,
     513,   514,   515,   516,   517,   172,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   173,   174,
       0,   528,   529,   530,  1454,  1455,     0,  1456,     0,   531,
     177,   178,   532,   179,   533,   534,   535,   536,   537,   538,
     539,     0,  1457,   181,   540,   182,     0,   541,   542,   543,
    1458,  1459,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1460,   188,  1461,   556,   557,   190,
       0,   558,   559,   192,   560,  1463,  1464,   561,  1465,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,   196,   197,   198,  1467,   569,   570,   571,   572,
     573,   574,   575,     0,   576,  1468,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,  1469,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,  1470,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,  1471,   619,   216,   620,
     621,   218,   622,  1472,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,  1473,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   640,     0,  1474,  1475,     0,
       0,   642,  1476,   643,  1477,  1478,   644,   645,   646,   647,
     648,   649,     0,     0,   650,   651,   652,   653,   654,  1480,
       0,   655,   656,   657,   658,   659,   660,  1481,     0,   661,
     234,   662,   663,   664,     0,     0,   665,     0,     0,   666,
     667,   668,   669,   670,   236,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,  1489,   671,   672,   673,     0,     0,     0,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,  1493,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,     0,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,   424,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1426,  1427,  1428,
      45,  1429,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,  1430,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,     0,  1431,   137,  1432,  1433,     0,   443,
     444,   445,   446,   447,  1434,  1435,   448,   449,  1436,  1437,
     451,     0,   452,   453,   454,   455,  1438,     0,   456,     0,
     457,   458,   459,   460,   147,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   150,   469,     0,  1439,  1440,
    1441,  1442,  1443,  1444,  1445,   470,   471,   472,   473,   474,
     475,  1446,  1447,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1448,   489,   490,     0,   491,   492,   493,     0,   494,     0,
       0,   496,   497,   498,   499,  1449,   500,   501,   502,  1450,
    1451,   503,     0,   504,  1452,   505,     0,   506,     0,   507,
     168,     0,   169,   508,   509,   510,     0,   511,  1453,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     173,   174,     0,   528,   529,   530,  1454,  1455,     0,  1456,
       0,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,     0,  1457,   181,   540,     0,     0,   541,
     542,   543,  1458,  1459,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1460,   188,  1461,   556,
     557,   190,     0,   558,   559,   192,   560,  1463,  1464,   561,
    1465,   562,   563,   564,     0,   565,     0,     0,  1466,   567,
     568,     0,     0,   195,   196,   197,   198,  1467,   569,   570,
     571,   572,   573,   574,   575,     0,   576,  1468,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,  1469,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,  1470,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,  1471,   619,
     216,   620,   621,     0,   622,  1472,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,  1473,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,  1474,
    1475,     0,     0,   642,  1476,   643,  1477,  1478,   644,   645,
     646,   647,   648,   649,     0,  1479,   650,   651,   652,   653,
     654,  1480,     0,   655,   656,   657,   658,   659,   660,  1481,
       0,   661,   234,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,  1482,  1483,  1484,
    1485,  1486,  1487,  1488,  1489,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,  1490,  1491,     0,     0,     0,
       0,     0,     0,     0,  1493,   710,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   711,   104,   105,   414,   712,
       0,   107,   108,   109,   110,   713,   714,   112,   113,   114,
     115,     0,   116,   715,   716,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1426,  1427,  1428,    45,  1429,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,  1430,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,     0,
    1431,   137,  1432,  1433,     0,   443,   444,   445,   446,   447,
    1434,  1435,   448,   449,  1436,  1437,   451,     0,   452,   453,
     454,   455,  1438,     0,   456,     0,   457,   458,   459,   460,
     147,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   150,   469,     0,  1439,  1440,  1441,  1442,  1443,  1444,
    1445,   470,   471,   472,   473,   474,   475,  1446,  1447,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1448,   489,   490,     0,
     491,   492,   493,     0,   494,     0,     0,   496,   497,   498,
     499,  1449,   500,   501,   502,  1450,  1451,   503,     0,   504,
    1452,   505,     0,   506,     0,   507,   168,     0,   169,   508,
     509,   510,     0,   511,  1453,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   173,   174,     0,   528,
     529,   530,  1454,  1455,     0,  1456,     0,   531,   177,   178,
     532,   179,   533,   534,   535,   536,   537,   538,   539,     0,
    1457,   181,   540,     0,     0,   541,   542,   543,  1458,  1459,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1460,   188,  1461,   556,   557,   190,     0,   558,
     559,   192,   560,  1463,  1464,   561,  1465,   562,   563,   564,
       0,   565,     0,     0,  1466,   567,   568,     0,     0,   195,
     196,   197,   198,  1467,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1468,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1469,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,  1470,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1471,   619,   216,   620,   621,     0,
     622,  1472,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,  1473,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,  1474,  1475,     0,     0,   642,
    1476,   643,  1477,  1478,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,  1480,     0,   655,
     656,   657,   658,   659,   660,  1481,     0,   661,   234,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
    1489,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,  2753,  2754,     0,     0,     0,     0,     0,     0,     0,
    1493,   710,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   711,   104,   105,   414,   712,     0,   107,   108,   109,
     110,   713,   714,   112,   113,   114,   115,     0,   116,   715,
     716,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,   135,   136,   137,   138,   139,
       0,   443,   444,   445,   446,   447,     0,  1435,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,  1438,     0,
     456,     0,   457,   458,   459,   460,   147,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   150,   469,     0,
    1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,   471,   472,
     473,   474,   475,   154,   155,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   163,   500,   501,
     502,  1450,     0,   503,     0,   504,   167,   505,     0,   506,
       0,   507,   168,     0,   169,   508,   509,   510,     0,   511,
    1453,     0,   512,     0,   513,   514,   515,   516,   517,   172,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   173,   174,     0,   528,   529,   530,     0,   175,
       0,   176,     0,   531,   177,   178,   532,   179,   533,   534,
     535,   536,   537,   538,   539,     0,  1457,   181,   540,   182,
       0,   541,   542,   543,  1458,  1459,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,   188,
     189,   556,   557,   190,     0,   558,   559,   192,   560,     0,
    1464,   561,   194,   562,   563,   564,     0,   565,     0,  1055,
     566,   567,   568,     0,     0,   195,   196,   197,   198,  1467,
     569,   570,   571,   572,   573,   574,   575,     0,   576,  1468,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,   214,   614,   615,   616,   617,   618,
    1471,   619,   216,   620,   621,   218,   622,   219,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,  1473,
       0,   633,   634,   222,   635,   636,   637,   638,   639,   640,
       0,   223,   224,     0,     0,   642,  1476,   643,  1477,     0,
     644,   645,   646,   647,   648,   649,     0,     0,   650,   651,
     652,   653,   654,  1480,     0,   655,   656,   657,   658,   659,
    1352,   233,     0,   661,   234,   662,   663,   664,     0,     0,
     665,     0,   235,   666,   667,   668,   669,   670,   236,  1482,
    1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,   672,   673,
       0,     0,     0,   710,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,  3439,    98,    99,   100,
     101,   102,   103,   711,   104,   105,   414,   712,     0,   107,
     108,   109,   110,   713,   714,   112,   113,   114,   115,     0,
     116,   715,   716,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,   135,   136,   137,
     138,   139,     0,   443,   444,   445,   446,   447,     0,  1435,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
    1438,     0,   456,     0,   457,   458,   459,   460,   147,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   150,
     469,     0,  1439,  1440,  1441,  1442,  1443,  1444,  1445,   470,
     471,   472,   473,   474,   475,   154,   155,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   163,
     500,   501,   502,  1450,     0,   503,     0,   504,   167,   505,
       0,   506,     0,   507,   168,     0,   169,   508,   509,   510,
       0,   511,  1453,     0,   512,     0,   513,   514,   515,   516,
     517,   172,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   173,   174,     0,   528,   529,   530,
       0,   175,     0,   176,     0,   531,   177,   178,   532,   179,
     533,   534,   535,   536,   537,   538,   539,     0,  1457,   181,
     540,   182,     0,   541,   542,   543,  1458,  1459,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,   188,   189,   556,   557,   190,     0,   558,   559,   192,
     560,     0,  1464,   561,   194,   562,   563,   564,     0,   565,
       0,  1055,   566,   567,   568,     0,     0,   195,   196,   197,
     198,  1467,   569,   570,   571,   572,   573,   574,   575,     0,
     576,  1468,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,  1471,   619,   216,   620,   621,   218,   622,   219,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,  1473,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,   223,   224,     0,     0,   642,  1476,   643,
    1477,     0,   644,   645,   646,   647,   648,   649,     0,     0,
     650,   651,   652,   653,   654,  1480,     0,   655,   656,   657,
     658,   659,   660,   233,     0,   661,   234,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
     236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,  1489,   671,
     672,   673,     0,     0,     0,   710,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,  3439,    98,
      99,   100,   101,   102,   103,   711,   104,   105,   414,   712,
       0,   107,   108,   109,   110,   713,   714,   112,   113,   114,
     115,     0,   116,   715,   716,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,   135,
     136,   137,   138,   139,     0,   443,   444,   445,   446,   447,
       0,  1435,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,  1438,     0,   456,     0,   457,   458,   459,   460,
     147,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   150,   469,     0,  1439,  1440,  1441,  1442,  1443,  1444,
    1445,   470,   471,   472,   473,   474,   475,   154,   155,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   163,   500,   501,   502,  1450,     0,   503,     0,   504,
     167,   505,     0,   506,     0,   507,   168,     0,   169,   508,
     509,   510,     0,   511,  1453,     0,   512,     0,   513,   514,
     515,   516,   517,   172,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   173,   174,     0,   528,
     529,   530,     0,   175,     0,   176,     0,   531,   177,   178,
     532,   179,   533,   534,   535,   536,   537,   538,   539,     0,
    1457,   181,   540,   182,     0,   541,   542,   543,  1458,  1459,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,   188,   189,   556,   557,   190,     0,   558,
     559,   192,   560,     0,  1464,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
     196,   197,   198,  1467,   569,   570,   571,   572,   573,   574,
     575,     0,   576,  1468,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,  1471,   619,   216,   620,   621,   218,
     622,   219,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,  1473,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,   223,   224,     0,     0,   642,
    1476,   643,  1477,     0,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,  1480,     0,   655,
     656,   657,   658,   659,   660,   233,     0,   661,   234,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,  1482,  1483,  1484,  1485,  1486,  1487,  1488,
    1489,   671,   672,   673,     0,     0,     0,   710,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
    3991,    98,    99,   100,   101,   102,   103,   711,   104,   105,
     414,   712,     0,   107,   108,   109,   110,   713,   714,   112,
     113,   114,   115,     0,   116,   715,   716,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,   135,   136,   137,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,   456,     0,   457,   458,
     459,   460,   147,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   150,   469,     0,     0,     0,     0,   151,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   154,
     155,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   163,   500,   501,   502,   165,     0,   503,
       0,   504,   167,   505,     0,   506,     0,   507,   168,     0,
     169,   508,   509,   510,     0,   511,   171,     0,   512,     0,
     513,   514,   515,   516,   517,   172,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   173,   174,
       0,   528,   529,   530,     0,   175,     0,   176,     0,   531,
     177,   178,   532,   179,   533,   534,   535,   536,   537,   538,
     539,     0,   180,   181,   540,   182,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,   188,   189,   556,   557,   190,
       0,   558,   559,   192,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,   195,   196,   197,   198,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,   218,   622,   219,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   221,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   640,     0,   223,   224,     0,
       0,   642,   225,   643,   226,     0,   644,   645,   646,   647,
     648,   649,     0,     0,   650,   651,   652,   653,   654,     0,
       0,   655,   656,   657,   658,   659,   660,   233,     0,   661,
     234,   662,   663,   664,     0,     0,   665,     0,     0,   666,
     667,   668,   669,   670,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   671,   672,   673,     0,     0,     0,     0,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,  4519,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,  3920,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,   456,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0, -1390,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   154,   155,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   163,   500,   501,   502,   165,
       0,   503,     0,   504,   167,   505,     0,   506,     0,   507,
       0,     0, -1390,   508,   509,   510,     0,   511,   171,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
   -1390,   174,     0,   528,   529,   530,     0,   175,     0,   176,
       0,   531,     0,     0,   532, -1390,   533,   534,   535,   536,
     537,   538,   539,     0,   180, -1390,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187, -1390,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
   -1390,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   221,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,   223,
     224,     0,     0,   642,   225,   643,   226,     0,   644,   645,
     646,   647,   648,   649,     0,     0,   650,   651,   652,   653,
     654,     0,     0,   655,   656,   657,   658,   659,   660,   233,
       0,   661,     0,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   671,   672,   673,     0,     0,
       0,     0,     0,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,  1583,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,     0,     0,     0,     0,     0,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,  3201,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,   456,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   154,   155,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   163,   500,   501,   502,   165,  1984,   503,     0,   504,
     167,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   171,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   174,     0,   528,
     529,   530,     0,   175,     0,   176,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,  1985,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   221,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,   223,   224,     0,     0,   642,
     225,   643,   226,  1986,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,     0,     0,   655,
     656,   657,   658,   659,   660,   233,     0,   661,     0,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,   973,  1626,  4096,     0,     0,     0,     0,     0,     0,
    4097,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,     0,
       0,     0,     0,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,  3697,  3698,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     130,   131,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,   214,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,   222,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,  1352,   233,     0,   661,  1353,   662,   663,   664,     0,
       0,   665,     0,   235,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,     0,     0,     0,     0,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,   245,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,     0,     0,     0,     0,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,  3698,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,   424,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,   214,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,   222,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,  1352,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,   235,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,     0,     0,     0,     0,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,   245,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,   214,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
     222,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,  1352,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,   235,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,     0,     0,     0,
       0,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,   245,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,     0,
       0,     0,     0,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,  1558,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,     0,     0,     0,     0,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,  2911,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,     0,     0,     0,     0,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,  3947,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,     0,     0,     0,   710,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,  4276,    98,    99,   100,   101,   102,   103,   711,   104,
     105,   414,   712,     0,   107,   108,   109,   110,   713,   714,
     112,   113,   114,   115,     0,   116,   715,   716,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1176,    45,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   717,   433,   434,   435,   718,   719,   720,   721,
     722,   723,   724,   436,   437,   725,   438,   439,   133,   440,
     441,   442,     0,  1835,   137,  1836,  1837,   726,   443,   444,
     445,   446,   447,   727,   728,   448,   449,  1838,  1839,   451,
     730,   452,   453,   454,   455,     0,   731,   456,   732,   457,
     458,   459,   460,   147,   461,   462,   734,   463,   464,   465,
     466,   467,   468,   735,   150,   469,     0,   737,   738,   739,
     151,   740,   741,   742,   470,   471,   472,   473,   474,   475,
    1840,  1841,   476,   743,   477,   744,   478,   479,   480,   481,
     482,   745,   483,   484,   485,   746,   747,   486,   487,  1448,
     489,   490,   748,   491,   492,   493,   749,   494,   495,   750,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   751,
     503,   752,   504,  1842,   505,   753,   506,   754,   507,   168,
     755,   169,   508,   509,   510,   756,   511,     0,   757,   512,
     758,   513,   514,   515,   516,   517,   172,   518,   519,   520,
     759,   521,   522,   523,   524,   525,   526,   760,   527,   173,
       0,     0,   528,   529,   530,  1454,  1843,   763,  1844,   764,
     531,   177,   178,   532,   179,   533,   534,   535,   536,   537,
     538,   539,   765,     0,   181,   540,   182,   766,   541,   542,
     543,   767,   768,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1845,   188,  1846,   556,   557,
       0,   769,   558,   559,   192,   560,   770,     0,   561,  1847,
     562,   563,   564,   771,   565,   772,   773,  3684,   567,   568,
     774,   775,     0,   196,   197,   198,     0,   569,   570,   571,
     572,   573,   574,   575,   776,   576,     0,   577,     0,   578,
     579,   580,   777,   581,   582,   583,   584,   585,   586,   587,
    1848,   588,   589,   590,   591,   778,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   779,   602,   603,   209,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   780,   614,   615,   616,   617,   618,   781,   619,  2385,
     620,   621,   218,   622,  1850,   782,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,     0,   783,   633,   634,
     784,   635,   636,   637,   638,   639,   640,   785,  1851,  1852,
       0,   787,   642,     0,   643,     0,   788,   644,   645,   646,
     647,   648,   649,     0,   790,   650,   651,   652,   653,   654,
     791,   792,   655,   656,   657,   658,   659,     0,  1853,   794,
     661,   234,   662,   663,   664,   795,   796,   665,   797,   798,
     666,   667,   668,   669,   670,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   671,   672,   673,     0,     0,     0,
    1179,  1180,  1181,     0,  3685,  3686,  1184,  1185,  1186,  1187,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   414,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1176,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,     0,
     440,   441,   442,   135,   136,     0,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,  1177,   454,   455,   144,     0,   456,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   154,   155,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   163,   500,   501,   502,   165,
       0,  1178,     0,   504,   167,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   171,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   174,     0,   528,   529,   530,     0,   175,     0,   176,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   180,     0,   540,     0,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,     0,   189,   556,
     557,   190,     0,   558,   559,     0,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,     0,     0,     0,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
       0,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,     0,   622,   219,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   221,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,   223,
     224,     0,     0,   642,   225,   643,   226,     0,   644,   645,
     646,   647,   648,   649,     0,     0,   650,   651,   652,   653,
     654,     0,     0,   655,   656,   657,   658,   659,   660,   233,
       0,   661,     0,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   671,   672,   673,     0,     0,
       0,  1179,  1180,  1181,     0,  1182,  1183,  1184,  1185,  1186,
    1187,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1176,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,  1262,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,  1263,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,     0,
       0,     0,  1179,  1180,  1181,     0,  1182,  1183,  1184,  1185,
    1186,  1187,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1176,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   440,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,  1313,   454,   455,   144,     0,
     456,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   154,   155,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   163,   500,   501,
     502,   165,     0,  1314,     0,   504,   167,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     171,     0,   512,     0,   513,   514,   515,   516,  1315,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   174,     0,   528,   529,   530,     0,   175,
       0,   176,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   556,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   221,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   640,
       0,   223,   224,     0,     0,   642,   225,   643,   226,     0,
     644,   645,   646,   647,   648,   649,     0,     0,   650,   651,
     652,   653,   654,     0,     0,   655,   656,   657,   658,   659,
     660,   233,     0,   661,     0,   662,   663,   664,     0,     0,
     665,     0,     0,   666,   667,   668,   669,   670,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   671,   672,   673,
       0,     0,     0,  1179,  1180,  1181,     0,  1182,  1183,  1184,
    1185,  1186,  1187,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1176,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,  1818,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,  1819,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,     0,     0,     0,  1179,  1180,  1181,     0,  1182,  1183,
    1184,  1185,  1186,  1187,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1176,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,   456,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   154,   155,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   163,
     500,   501,   502,   165,     0,   503,     0,   504,   167,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   171,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   174,     0,   528,   529,   530,
       0,   175,     0,   176,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   221,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,   223,   224,     0,     0,   642,   225,   643,
     226,     0,   644,   645,   646,   647,   648,   649,     0,     0,
     650,   651,   652,   653,   654,     0,     0,   655,   656,   657,
     658,   659,   660,   233,     0,   661,     0,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   671,
     672,   673,     0,     0,     0,  1179,  1180,  1181,     0,  1182,
    1183,  1184,  1185,  1186,  1187,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1176,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,  2990,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,  2991,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,     0,     0,     0,  1179,  1180,  1181,     0,
    1182,  1183,  1184,  1185,  1186,  1187,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1176,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,   456,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   154,   155,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   163,   500,   501,   502,   165,     0,   503,     0,   504,
     167,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   171,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   174,     0,   528,
     529,   530,     0,   175,     0,   176,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,  4506,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   221,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,   223,   224,     0,     0,   642,
     225,   643,   226,     0,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,     0,     0,   655,
     656,   657,   658,   659,   660,   233,     0,   661,     0,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   671,   672,   673,     0,     0,     0,  1179,  1180,  1181,
       0,  1182,  1183,  1184,  1185,  1186,  1187,   710,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   711,   104,   105,
     414,   712,     0,   107,   108,   109,   110,   713,   714,   112,
     113,   114,   115,     0,   116,   715,   716,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   717,   433,   434,   435,   718,   719,   720,   721,   722,
     723,   724,   436,   437,   725,   438,   439,   133,   440,   441,
     442,   135,   136,   137,   138,   139,   726,   443,   444,   445,
     446,   447,   727,   728,   448,   449,   729,   140,   451,   730,
     452,   453,   454,   455,   144,   731,   456,   732,   457,   458,
     459,   460,   147,   461,   733,   734,   463,   464,   465,   466,
     467,   468,   735,   150,   469,   736,   737,   738,   739,   151,
     740,   741,   742,   470,   471,   472,   473,   474,   475,   154,
     155,   476,   743,   477,   744,   478,   479,   480,   481,   482,
     745,   483,   484,   485,   746,   747,   486,   487,   488,   489,
     490,   748,   491,   492,   493,   749,   494,   495,   750,   496,
     497,   498,   499,   163,   500,   501,   502,   165,   751,   503,
     752,   504,   167,   505,   753,   506,   754,   507,   168,   755,
     169,   508,   509,   510,   756,   511,   171,   757,   512,   758,
     513,   514,   515,   516,   517,   172,   518,   519,   520,   759,
     521,   522,   523,   524,   525,   526,   760,   527,   173,   174,
     761,   528,   529,   530,   762,   175,   763,   176,   764,   531,
     177,   178,   532,   179,   533,   534,   535,   536,   537,   538,
     539,   765,   180,   181,   540,   182,   766,   541,   542,   543,
     767,   768,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,   188,   189,   556,   557,   190,
     769,   558,   559,   192,   560,   770,   193,   561,   194,   562,
     563,   564,   771,   565,   772,   773,   566,   567,   568,   774,
     775,   195,   196,   197,   198,   199,   569,   570,   571,   572,
     573,   574,   575,   776,   576,   200,   577,   201,   578,   579,
     580,   777,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,   778,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   779,   602,   603,   209,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
     780,   614,   615,   616,   617,   618,   781,   619,   216,   620,
     621,   218,   622,   219,   782,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   221,   783,   633,   634,   784,
     635,   636,   637,   638,   639,   640,   785,   223,   224,   786,
     787,   642,   225,   643,   226,   788,   644,   645,   646,   647,
     648,   649,   789,   790,   650,   651,   652,   653,   654,   791,
     792,   655,   656,   657,   658,   659,   793,   233,   794,   661,
     234,   662,   663,   664,   795,   796,   665,   797,   798,   666,
     667,   668,   669,   670,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   671,   672,   673,   710,    86,    87,    88,
     411,    90,    91,    92,   412,  2209,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   711,   104,   105,   414,
     712,     0,   107,   108,   109,   110,   713,   714,   112,   113,
     114,   115,     0,   116,   715,   716,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,   133,   440,   441,   442,
       0,  1835,   137,  1836,  1837,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,  1838,  1839,   451,     0,   452,
     453,   454,   455,     0,     0,   456,     0,   457,   458,   459,
     460,   147,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   150,   469,     0,     0,     0,     0,   151,     0,
       0,     0,   470,   471,   472,   473,   474,   475,  1840,  1841,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1448,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,     0,   500,   501,   502,     0,     0,   503,     0,
     504,  1842,   505,     0,   506,     0,   507,   168,     0,   169,
     508,   509,   510,     0,   511,     0,     0,   512,     0,   513,
     514,   515,   516,   517,   172,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   173,     0,     0,
     528,   529,   530,  1454,  1843,     0,  1844,     0,   531,   177,
     178,   532,   179,   533,   534,   535,   536,   537,   538,   539,
       0,     0,   181,   540,   182,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1845,   188,  1846,   556,   557,     0,     0,
     558,   559,   192,   560,     0,     0,   561,  1847,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
       0,   196,   197,   198,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,     0,   577,     0,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1848,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,  1849,   620,   621,
     218,   622,  1850,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,  1851,  1852,     0,     0,
     642,     0,   643,     0,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,     0,  1853,     0,   661,   234,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   671,   672,   673,     0,    86,    87,    88,   411,
      90,    91,    92,   412,  2308,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,   456,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   154,   155,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   163,   500,   501,   502,   165,     0,   503,     0,   504,
     167,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   171,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   174,     0,   528,
     529,   530,     0,   175,     0,   176,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   221,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,   223,   224,     0,     0,   642,
     225,   643,   226,     0,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,     0,     0,   655,
     656,   657,   658,   659,   660,   233,     0,   661,     0,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   671,   672,   673,     0,    86,    87,    88,   411,    90,
      91,    92,   412,  1062,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,     0,    86,    87,    88,   411,    90,    91,
      92,   412,  4372,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   414,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
     424,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,     0,   440,   441,   442,   135,   136,     0,
     138,   139,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,   450,   140,   451,     0,   452,   453,   454,   455,
     144,     0,   456,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   154,   155,   476,  2197,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   163,
     500,   501,   502,   165,  1984,   503,     0,   504,   167,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   171,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   174,     0,   528,   529,   530,
       0,   175,     0,   176,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   180,     0,
     540,     0,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,     0,   189,   556,   557,   190,     0,   558,   559,     0,
     560,     0,   193,   561,   194,   562,   563,   564,     0,   565,
    1985,     0,   566,   567,   568,     0,     0,   195,     0,     0,
       0,   199,   569,   570,   571,   572,   573,   574,   575,     0,
     576,   200,   577,   201,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,     0,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,   216,   620,   621,     0,   622,   219,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   221,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,   223,   224,     0,     0,   642,   225,   643,
     226,  1986,   644,   645,   646,   647,   648,   649,     0,     0,
     650,   651,   652,   653,   654,     0,     0,   655,   656,   657,
     658,   659,   660,   233,     0,   661,     0,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   671,
     672,   673,     0,     0,     0,     0,     0,     0,     0,   973,
    1626,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,  2202,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,  1984,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,  1985,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,  1986,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,     0,
       0,     0,     0,     0,     0,     0,   973,  1626,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     414,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,   424,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,     0,   440,   441,
     442,   135,   136,     0,   138,   139,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,   450,   140,   451,     0,
     452,   453,   454,   455,   144,     0,   456,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   154,
     155,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   163,   500,   501,   502,   165,  1984,   503,
       0,   504,   167,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   171,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   174,
       0,   528,   529,   530,     0,   175,     0,   176,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   180,     0,   540,     0,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   187,     0,   189,   556,   557,   190,
       0,   558,   559,     0,   560,     0,   193,   561,   194,   562,
     563,   564,     0,   565,  1985,     0,   566,   567,   568,     0,
       0,   195,     0,     0,     0,   199,   569,   570,   571,   572,
     573,   574,   575,     0,   576,   200,   577,   201,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,   203,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,     0,   604,
     605,   211,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,   216,   620,
     621,     0,   622,   219,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   221,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   640,     0,   223,   224,     0,
       0,   642,   225,   643,   226,  1986,   644,   645,   646,   647,
     648,   649,     0,     0,   650,   651,   652,   653,   654,     0,
       0,   655,   656,   657,   658,   659,   660,   233,     0,   661,
       0,   662,   663,   664,     0,     0,   665,     0,     0,   666,
     667,   668,   669,   670,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   671,   672,   673,     0,     0,     0,     0,
       0,     0,     0,   973,  1626,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
     425,   962,   427,   428,   429,   430,   431,   432,   963,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   964,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   965,   167,
     505,     0,   506,     0,   966,     0,   967,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   968,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   969,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   970,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   971,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   972,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,     0,     0,     0,     0,     0,     0,     0,
     973,   974,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   414,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,   424,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,   425,   962,   427,
     428,   429,   430,   431,   432,   963,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,     0,   995,   441,   442,   135,   136,     0,   138,   139,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
     450,   140,   451,     0,   452,   453,   454,   455,   144,     0,
     456,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   154,   155,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   163,   500,   501,
     502,   165,     0,   503,     0,   965,   167,   505,     0,   506,
       0,   996,     0,   967,     0,   508,   509,   510,     0,   511,
     171,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   968,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   174,     0,   528,   529,   530,     0,   175,
       0,   176,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   969,   538,   539,     0,   180,     0,   540,     0,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,     0,
     189,   970,   557,   190,     0,   558,   559,     0,   560,     0,
     193,   561,   194,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,   195,     0,     0,     0,   199,
     569,   570,   571,   572,   573,   574,   575,     0,   576,   200,
     577,   201,   578,   579,   580,     0,   971,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,     0,   592,
     972,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,     0,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,   216,   620,   621,     0,   622,   219,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   221,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   640,
       0,   223,   224,     0,     0,   642,   225,   643,   226,     0,
     644,   645,   646,   647,   648,   649,     0,     0,   650,   651,
     652,   653,   654,     0,     0,   655,   656,   657,   658,   659,
     660,   233,     0,   661,     0,   662,   663,   664,     0,     0,
     665,     0,     0,   666,   667,   668,   669,   670,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   671,   672,   673,
       0,     0,     0,     0,     0,     0,     0,   973,   974,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,  1363,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
     967,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     968,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,     0,     0,     0,
       0,     0,     0,     0,   973,   974,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   414,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,   424,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,  1368,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,     0,   440,   441,   442,   135,
     136,     0,   138,   139,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,   450,   140,   451,     0,   452,   453,
     454,   455,   144,     0,   456,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   154,   155,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   163,   500,   501,   502,   165,     0,   503,     0,   504,
     167,   505,     0,   506,     0,   507,     0,   967,     0,   508,
     509,   510,     0,   511,   171,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   968,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   174,     0,   528,
     529,   530,     0,   175,     0,   176,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     180,     0,   540,     0,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   187,     0,   189,   556,   557,   190,     0,   558,
     559,     0,   560,     0,   193,   561,   194,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,   195,
       0,     0,     0,   199,   569,   570,   571,   572,   573,   574,
     575,     0,   576,   200,   577,   201,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,   203,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,     0,   604,   605,   211,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,   216,   620,   621,     0,
     622,   219,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   221,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,   223,   224,     0,     0,   642,
     225,   643,   226,     0,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,     0,     0,   655,
     656,   657,   658,   659,   660,   233,     0,   661,     0,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,   973,   974,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,   695,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,  1530,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,     0,     0,  1034,  1531,    86,    87,    88,   411,    90,
      91,    92,   412,  1035,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,  1036,   449,  1010,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,  1037,     0,  1038,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,  1039,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
    1040,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,  1041,   605,   211,   606,
     607,   608,  1042,   610,   611,   612,   613,     0,   614,   615,
     616,   617,  1043,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,  1044,   224,     0,     0,  1045,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,  1014,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
    1046,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,   710,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   711,   104,   105,   414,   712,     0,   107,
     108,   109,   110,   713,   714,   112,   113,   114,   115,     0,
     116,   715,   716,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   717,   433,   434,
     435,   718,   719,   720,   721,   722,   723,   724,   436,   437,
     725,   438,   439,   133,   440,   441,   442,   135,   136,   137,
     138,   139,   726,   443,   444,   445,   446,   447,   727,   728,
     448,   449,   729,   140,   451,   730,   452,   453,   454,   455,
     144,   731,   456,   732,   457,   458,   459,   460,   147,   461,
     733,   734,   463,   464,   465,   466,   467,   468,   735,   150,
     469,   736,   737,   738,   739,   151,   740,   741,   742,   470,
     471,   472,   473,   474,   475,   154,   155,   476,   743,   477,
     744,   478,   479,   480,   481,   482,   745,   483,   484,   485,
     746,   747,   486,   487,   488,   489,   490,   748,   491,   492,
     493,   749,   494,   495,   750,   496,   497,   498,   499,   163,
     500,   501,   502,   165,   751,   503,   752,   504,   167,   505,
     753,   506,   754,   507,   168,   755,   169,   508,   509,   510,
     756,   511,   171,   757,   512,   758,   513,   514,   515,   516,
     517,   172,   518,   519,   520,   759,   521,   522,   523,   524,
     525,   526,   760,   527,   173,   174,   761,   528,   529,   530,
     762,   175,   763,   176,   764,   531,   177,   178,   532,   179,
     533,   534,   535,   536,   537,   538,   539,   765,   180,   181,
     540,   182,   766,   541,   542,   543,   767,   768,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     187,   188,   189,   556,   557,   190,   769,   558,   559,   192,
     560,   770,   193,   561,   194,   562,   563,   564,   771,   565,
     772,   773,   566,   567,   568,   774,   775,   195,   196,   197,
     198,   199,   569,   570,   571,   572,   573,   574,   575,   776,
     576,   200,   577,   201,   578,   579,   580,   777,   581,   582,
     583,   584,   585,   586,   587,   203,   588,   589,   590,   591,
     778,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   779,   602,   603,   209,   604,   605,   211,   606,   607,
     608,   609,   610,   611,   612,   613,   780,   614,   615,   616,
     617,   618,   781,   619,   216,   620,   621,   218,   622,   219,
     782,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   221,   783,   633,   634,   784,   635,   636,   637,   638,
     639,   640,   785,   223,   224,   786,   787,   642,   225,   643,
     226,   788,   644,   645,   646,   647,   648,   649,   789,   790,
     650,   651,   652,   653,   654,   791,   792,   655,   656,   657,
     658,   659,   793,   233,   794,   661,   234,   662,   663,   664,
     795,   796,   665,   797,   798,   666,   667,   668,   669,   670,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   671,
     672,   673,   710,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   711,   104,   105,   414,   712,     0,   107,   108,
     109,   110,   713,   714,   112,   113,   114,   115,     0,   116,
     715,   716,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   717,   433,   434,   435,
     718,   719,   720,   721,   722,   723,   724,   436,   437,   725,
     438,   439,   133,   440,   441,   442,   135,   136,   137,   138,
     139,   726,   443,   444,   445,   446,   447,   727,   728,   448,
     449,   729,   140,   451,   730,   452,   453,   454,   455,   144,
     731,   456,   732,   457,   458,   459,   460,   147,   461,   733,
     734,   463,   464,   465,   466,   467,   468,   735,   150,   469,
     736,   737,   738,   739,   151,   740,   741,   742,   470,   471,
     472,   473,   474,   475,   154,   155,   476,   743,   477,   744,
     478,   479,   480,   481,   482,   745,   483,   484,   485,   746,
     747,   486,   487,   488,   489,   490,   748,   491,   492,   493,
     749,   494,   495,   750,   496,   497,   498,   499,   163,   500,
     501,   502,   165,   751,   503,   752,   504,   167,   505,   753,
     506,   754,   507,   168,   755,   169,   508,   509,   510,   756,
     511,   171,   757,   512,   758,   513,   514,   515,   516,   517,
     172,   518,   519,   520,   759,   521,   522,   523,   524,   525,
     526,   760,   527,   173,   174,   761,   528,   529,   530,   762,
     175,   763,   176,   764,   531,   177,   178,   532,   179,   533,
     534,   535,   536,   537,   538,   539,   765,   180,   181,   540,
     182,   766,   541,   542,   543,   767,   768,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
     188,   189,   556,   557,   190,   769,   558,   559,   192,   560,
     770,   193,   561,   194,   562,   563,   564,   771,   565,   772,
     773,   566,   567,   568,   774,   775,   195,   196,   197,   198,
     199,   569,   570,   571,   572,   573,   574,   575,   776,   576,
     200,   577,   201,   578,   579,   580,   777,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,   778,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     779,   602,   603,   209,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,   780,   614,   615,   616,   617,
     618,   781,   619,   216,   620,   621,   218,   622,   219,   782,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,   783,   633,   634,   784,   635,   636,   637,   638,   639,
     640,   785,   223,   224,   786,   787,   642,   225,   643,   226,
     788,   644,   645,   646,   647,   648,   649,   789,   790,   650,
     651,   652,   653,   654,   791,   792,   655,   656,   657,   658,
     659,   793,   233,   794,   661,   234,   662,   663,   664,   795,
     796,   665,   797,   798,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,   710,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   711,   104,   105,   414,   712,     0,   107,   108,   109,
     110,   713,   714,   112,   113,   114,   115,     0,   116,   715,
     716,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,  3051,   430,   431,   432,   717,   433,   434,   435,   718,
     719,   720,   721,   722,   723,   724,   436,   437,   725,   438,
     439,   133,   440,   441,   442,   135,   136,   137,   138,   139,
     726,   443,   444,   445,   446,   447,   727,   728,   448,   449,
     729,   140,   451,   730,   452,   453,   454,   455,   144,   731,
     456,   732,   457,   458,   459,   460,   147,   461,   733,   734,
     463,   464,   465,   466,   467,   468,   735,   150,   469,   736,
     737,   738,   739,   151,   740,   741,   742,   470,   471,   472,
     473,   474,   475,   154,   155,   476,   743,   477,   744,   478,
     479,   480,   481,   482,   745,   483,   484,   485,   746,   747,
     486,   487,   488,  3052,   490,   748,   491,   492,   493,   749,
     494,   495,   750,   496,   497,   498,   499,   163,   500,   501,
     502,   165,   751,   503,   752,   504,   167,   505,   753,   506,
     754,   507,   168,   755,   169,   508,   509,   510,   756,   511,
     171,   757,   512,   758,   513,   514,   515,   516,   517,   172,
     518,   519,   520,   759,   521,   522,   523,   524,   525,   526,
     760,   527,   173,   174,   761,   528,   529,   530,   762,   175,
     763,   176,   764,   531,   177,   178,   532,   179,   533,   534,
     535,   536,   537,   538,   539,   765,   180,   181,   540,   182,
     766,   541,   542,   543,   767,   768,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   187,   188,
     189,   556,   557,   190,   769,   558,   559,   192,   560,   770,
     193,   561,   194,   562,   563,   564,   771,   565,   772,   773,
     566,   567,   568,   774,   775,   195,   196,   197,   198,   199,
     569,   570,   571,   572,   573,   574,   575,   776,   576,   200,
     577,   201,   578,   579,   580,   777,   581,   582,   583,   584,
     585,   586,   587,   203,   588,   589,   590,   591,   778,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   779,
     602,   603,   209,   604,   605,   211,   606,   607,   608,   609,
     610,   611,   612,   613,   780,   614,   615,   616,   617,   618,
     781,  3053,   216,   620,   621,   218,   622,   219,   782,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   221,
     783,   633,   634,   784,   635,   636,   637,   638,   639,   640,
     785,   223,   224,   786,   787,   642,   225,   643,   226,   788,
     644,   645,   646,   647,   648,   649,   789,   790,   650,   651,
     652,   653,   654,   791,   792,   655,   656,   657,   658,   659,
     793,   233,   794,   661,   234,   662,   663,   664,   795,   796,
     665,   797,   798,   666,   667,   668,   669,   670,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   671,   672,   673,
     710,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     711,   104,   105,   414,   712,     0,   107,   108,   109,   110,
     713,   714,   112,   113,   114,   115,     0,   116,   715,   716,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
     133,   440,   441,   442,   135,   136,   137,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,   147,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   150,   469,     0,     0,
       0,     0,   151,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,   168,     0,   169,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,   172,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   173,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,   177,   178,   532,   179,   533,   534,   535,
     536,   537,   538,   539,     0,   180,   181,   540,   182,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,   188,   189,
     556,   557,   190,     0,   558,   559,   192,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,   196,   197,   198,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   209,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,   218,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,   234,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,   710,
      86,    87,    88,   411,    90,    91,    92,   412,     0,   413,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   711,
     104,   105,   414,   712,     0,   107,   108,   109,   110,   713,
     714,   112,   113,   114,   115,     0,   116,   715,   716,   415,
     416,     0,     0,     0,   417,   418,     0,     0,     0,     0,
     419,     0,     0,     0,     0,     0,     0,     0,     0,   420,
       0,   421,     0,   422,   423,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,     0,   433,   434,   435,     0,     0,     0,
       0,     0,     0,     0,   436,   437,     0,   438,   439,   133,
     440,   441,   442,   135,   136,   137,   138,   139,     0,   443,
     444,   445,   446,   447,     0,     0,   448,   449,   450,   140,
     451,     0,   452,   453,   454,   455,   144,     0,   456,     0,
     457,   458,   459,   460,   147,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   150,   469,     0,     0,     0,
       0,   151,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   154,   155,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   163,   500,   501,   502,   165,
       0,   503,     0,   504,   167,   505,     0,   506,     0,   507,
     168,     0,   169,   508,   509,   510,     0,   511,   171,     0,
     512,     0,   513,   514,   515,   516,  1299,   172,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     173,   174,     0,   528,   529,   530,     0,   175,     0,   176,
       0,   531,   177,   178,   532,   179,   533,   534,   535,   536,
     537,   538,   539,     0,   180,   181,   540,   182,     0,   541,
     542,   543,     0,     0,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   187,   188,   189,   556,
     557,   190,     0,   558,   559,   192,   560,     0,   193,   561,
     194,   562,   563,   564,     0,   565,     0,     0,   566,   567,
     568,     0,     0,   195,   196,   197,   198,   199,   569,   570,
     571,   572,   573,   574,   575,     0,   576,   200,   577,   201,
     578,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,   203,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     209,   604,   605,   211,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,     0,   619,
     216,   620,   621,   218,   622,   219,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   221,     0,   633,
     634,     0,   635,   636,   637,   638,   639,   640,     0,   223,
     224,     0,     0,   642,   225,   643,   226,     0,   644,   645,
     646,   647,   648,   649,     0,     0,   650,   651,   652,   653,
     654,     0,     0,   655,   656,   657,   658,   659,   660,   233,
       0,   661,   234,   662,   663,   664,     0,     0,   665,     0,
       0,   666,   667,   668,   669,   670,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   671,   672,   673,   710,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   711,   104,
     105,   414,   712,     0,   107,   108,   109,   110,   713,   714,
     112,   113,   114,   115,     0,   116,   715,   716,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,   133,   440,
     441,   442,   135,   136,   137,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,   147,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   150,   469,     0,     0,     0,     0,
     151,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,   168,
       0,   169,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,  1308,   172,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   173,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,   177,   178,   532,   179,   533,   534,   535,   536,   537,
     538,   539,     0,   180,   181,   540,   182,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,   188,   189,   556,   557,
     190,     0,   558,   559,   192,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,   196,   197,   198,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   209,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,   218,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,   234,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,   710,    86,    87,
      88,   411,    90,    91,    92,   412,     0,   413,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   711,   104,   105,
     414,   712,     0,   107,   108,   109,   110,   713,   714,   112,
     113,   114,   115,     0,   116,   715,   716,   415,   416,     0,
       0,     0,   417,   418,     0,     0,     0,     0,   419,     0,
       0,     0,     0,     0,     0,     0,     0,   420,     0,   421,
       0,   422,   423,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,     0,   433,   434,   435,     0,     0,     0,     0,     0,
       0,     0,   436,   437,     0,   438,   439,   133,   440,   441,
     442,     0,  1835,   137,  1836,  1837,     0,   443,   444,   445,
     446,   447,     0,     0,   448,   449,  1838,  1839,   451,     0,
     452,   453,   454,   455,     0,     0,   456,     0,   457,   458,
     459,   460,   147,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   150,   469,     0,     0,     0,     0,   151,
       0,     0,     0,   470,   471,   472,   473,   474,   475,  1840,
    1841,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1448,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,     0,   500,   501,   502,     0,     0,   503,
       0,   504,  1842,   505,     0,   506,     0,   507,   168,     0,
     169,   508,   509,   510,     0,   511,     0,     0,   512,     0,
     513,   514,   515,   516,   517,   172,   518,   519,   520,  2382,
     521,   522,   523,   524,   525,   526,     0,   527,   173,  2383,
       0,   528,   529,   530,  1454,  1843,     0,  1844,     0,   531,
     177,   178,   532,   179,   533,   534,   535,   536,   537,   538,
     539,     0,     0,   181,   540,   182,     0,   541,   542,   543,
       0,     0,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1845,   188,  1846,   556,   557,     0,
       0,   558,   559,   192,   560,     0,     0,   561,  1847,   562,
     563,   564,     0,   565,     0,     0,   566,   567,   568,     0,
       0,  2384,   196,   197,   198,     0,   569,   570,   571,   572,
     573,   574,   575,     0,   576,     0,   577,     0,   578,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,  1848,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   209,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,     0,   619,  2385,   620,
     621,   218,   622,  1850,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,     0,     0,   633,   634,     0,
     635,   636,   637,   638,   639,   640,     0,  1851,  1852,     0,
       0,   642,     0,   643,     0,     0,   644,   645,   646,   647,
     648,   649,     0,     0,   650,   651,   652,   653,   654,     0,
       0,   655,   656,   657,   658,   659,     0,  1853,  2386,   661,
     234,   662,   663,   664,     0,     0,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   671,   672,   673,   710,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   711,   104,   105,   414,
     712,     0,   107,   108,   109,   110,   713,   714,   112,   113,
     114,   115,     0,   116,   715,   716,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,   133,   440,   441,   442,
       0,  1835,   137,  1836,  1837,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,  1838,  1839,   451,     0,   452,
     453,   454,   455,     0,     0,   456,     0,   457,   458,   459,
     460,   147,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   150,   469,     0,     0,     0,     0,   151,     0,
       0,     0,   470,   471,   472,   473,   474,   475,  1840,  1841,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1448,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,     0,   500,   501,   502,     0,     0,   503,     0,
     504,  1842,   505,     0,   506,     0,   507,   168,     0,   169,
     508,   509,   510,     0,   511,     0,     0,   512,     0,   513,
     514,   515,   516,   517,   172,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   173,     0,     0,
     528,   529,   530,  1454,  1843,     0,  1844,     0,   531,   177,
     178,   532,   179,   533,   534,   535,   536,   537,   538,   539,
       0,     0,   181,   540,   182,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1845,   188,  1846,   556,   557,     0,     0,
     558,   559,   192,   560,  2374,     0,   561,  1847,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
       0,   196,   197,   198,     0,   569,   570,   571,   572,   573,
     574,   575,     0,   576,     0,   577,     0,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,  1848,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   209,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,  2385,   620,   621,
     218,   622,  1850,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,     0,     0,   633,   634,  3784,   635,
     636,   637,   638,   639,   640,     0,  1851,  1852,     0,     0,
     642,     0,   643,     0,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,     0,  1853,     0,   661,   234,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   671,   672,   673,   710,    86,    87,    88,   411,
      90,    91,    92,   412,     0,   413,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   711,   104,   105,   414,   712,
       0,   107,   108,   109,   110,   713,   714,   112,   113,   114,
     115,     0,   116,   715,   716,   415,   416,     0,     0,     0,
     417,   418,     0,     0,     0,     0,   419,     0,     0,     0,
       0,     0,     0,     0,     0,   420,     0,   421,     0,   422,
     423,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,     0,
     433,   434,   435,     0,     0,     0,     0,     0,     0,     0,
     436,   437,     0,   438,   439,   133,   440,   441,   442,     0,
    1835,   137,  1836,  1837,     0,   443,   444,   445,   446,   447,
       0,     0,   448,   449,  1838,  1839,   451,     0,   452,   453,
     454,   455,     0,     0,   456,     0,   457,   458,   459,   460,
     147,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   150,   469,     0,     0,     0,     0,   151,     0,     0,
       0,   470,   471,   472,   473,   474,   475,  1840,  1841,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1448,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,     0,   500,   501,   502,     0,     0,   503,     0,   504,
    1842,   505,     0,   506,     0,   507,   168,     0,   169,   508,
     509,   510,     0,   511,     0,     0,   512,     0,   513,   514,
     515,   516,   517,   172,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   173,     0,     0,   528,
     529,   530,  1454,  1843,     0,  1844,     0,   531,   177,   178,
     532,   179,   533,   534,   535,   536,   537,   538,   539,     0,
       0,   181,   540,   182,     0,   541,   542,   543,     0,     0,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1845,   188,  1846,   556,   557,  2431,     0,   558,
     559,   192,   560,     0,     0,   561,  1847,   562,   563,   564,
       0,   565,     0,     0,   566,   567,   568,     0,     0,     0,
     196,   197,   198,     0,   569,   570,   571,   572,   573,   574,
     575,     0,   576,     0,   577,     0,   578,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,  1848,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   209,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,     0,   619,  1849,   620,   621,   218,
     622,  1850,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,     0,     0,   633,   634,     0,   635,   636,
     637,   638,   639,   640,     0,  1851,  1852,     0,     0,   642,
       0,   643,     0,     0,   644,   645,   646,   647,   648,   649,
       0,     0,   650,   651,   652,   653,   654,     0,     0,   655,
     656,   657,   658,   659,     0,  1853,     0,   661,   234,   662,
     663,   664,     0,     0,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   671,   672,   673,   710,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   711,   104,   105,   414,   712,     0,
     107,   108,   109,   110,   713,   714,   112,   113,   114,   115,
       0,   116,   715,   716,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,   133,   440,   441,   442,     0,  1835,
     137,  1836,  1837,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,  1838,  1839,   451,     0,   452,   453,   454,
     455,     0,     0,   456,     0,   457,   458,   459,   460,   147,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     150,   469,     0,     0,     0,     0,   151,     0,     0,     0,
     470,   471,   472,   473,   474,   475,  1840,  1841,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1448,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
       0,   500,   501,   502,     0,     0,   503,     0,   504,  1842,
     505,     0,   506,     0,   507,   168,     0,   169,   508,   509,
     510,     0,   511,     0,     0,   512,     0,   513,   514,   515,
     516,   517,   172,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   173,     0,     0,   528,   529,
     530,  1454,  1843,     0,  1844,     0,   531,   177,   178,   532,
     179,   533,   534,   535,   536,   537,   538,   539,     0,     0,
     181,   540,   182,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1845,   188,  1846,   556,   557,  3614,     0,   558,   559,
     192,   560,     0,     0,   561,  1847,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,     0,   196,
     197,   198,     0,   569,   570,   571,   572,   573,   574,   575,
       0,   576,     0,   577,     0,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,  1848,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   209,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,  1849,   620,   621,   218,   622,
    1850,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,     0,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,  1851,  1852,     0,     0,   642,     0,
     643,     0,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,     0,  1853,     0,   661,   234,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     671,   672,   673,   710,    86,    87,    88,   411,    90,    91,
      92,   412,     0,   413,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   711,   104,   105,   414,   712,     0,   107,
     108,   109,   110,   713,   714,   112,   113,   114,   115,     0,
     116,   715,   716,   415,   416,     0,     0,     0,   417,   418,
       0,     0,     0,     0,   419,     0,     0,     0,     0,     0,
       0,     0,     0,   420,     0,   421,     0,   422,   423,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,     0,   433,   434,
     435,     0,     0,     0,     0,     0,     0,     0,   436,   437,
       0,   438,   439,   133,   440,   441,   442,     0,  1835,   137,
    1836,  1837,     0,   443,   444,   445,   446,   447,     0,     0,
     448,   449,  1838,  1839,   451,     0,   452,   453,   454,   455,
       0,     0,   456,     0,   457,   458,   459,   460,   147,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   150,
     469,     0,     0,     0,     0,   151,     0,     0,     0,   470,
     471,   472,   473,   474,   475,  1840,  1841,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1448,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,     0,
     500,   501,   502,     0,     0,   503,     0,   504,  1842,   505,
       0,   506,     0,   507,   168,     0,   169,   508,   509,   510,
       0,   511,     0,     0,   512,     0,   513,   514,   515,   516,
     517,   172,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   173,     0,     0,   528,   529,   530,
    1454,  1843,     0,  1844,     0,   531,   177,   178,   532,   179,
     533,   534,   535,   536,   537,   538,   539,     0,     0,   181,
     540,   182,     0,   541,   542,   543,     0,     0,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1845,   188,  1846,   556,   557,     0,     0,   558,   559,   192,
     560,     0,     0,   561,  1847,   562,   563,   564,     0,   565,
       0,     0,   566,   567,   568,     0,     0,     0,   196,   197,
     198,     0,   569,   570,   571,   572,   573,   574,   575,     0,
     576,     0,   577,     0,   578,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,  1848,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   209,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,     0,   619,  1849,   620,   621,   218,   622,  1850,
       0,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,     0,     0,   633,   634,     0,   635,   636,   637,   638,
     639,   640,     0,  1851,  1852,     0,     0,   642,     0,   643,
       0,     0,   644,   645,   646,   647,   648,   649,     0,     0,
     650,   651,   652,   653,   654,     0,     0,   655,   656,   657,
     658,   659,     0,  1853,     0,   661,   234,   662,   663,   664,
       0,     0,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   671,
     672,   673,   710,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   711,   104,   105,   414,   712,     0,   107,   108,
     109,   110,   713,   714,   112,   113,   114,   115,     0,   116,
     715,   716,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,   133,   440,   441,   442,     0,  1835,   137,  1836,
    1837,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,  1838,  1839,   451,     0,   452,   453,   454,   455,     0,
       0,   456,     0,   457,   458,   459,   460,   147,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   150,   469,
       0,     0,     0,     0,   151,     0,     0,     0,   470,   471,
     472,   473,   474,   475,  1840,  1841,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,  1448,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,     0,   500,
     501,   502,     0,     0,   503,     0,   504,  1842,   505,     0,
     506,     0,   507,   168,     0,   169,   508,   509,   510,     0,
     511,     0,     0,   512,     0,   513,   514,   515,   516,   517,
     172,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   173,     0,     0,   528,   529,   530,  1454,
    1843,     0,  1844,     0,   531,   177,   178,   532,   179,   533,
     534,   535,   536,   537,   538,   539,     0,     0,   181,   540,
     182,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1845,
     188,  1846,   556,   557,     0,     0,   558,   559,   192,   560,
       0,     0,   561,  1847,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,     0,   196,   197,   198,
       0,   569,   570,   571,   572,   573,   574,   575,     0,   576,
       0,   577,     0,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,  1848,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   209,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,  2385,   620,   621,   218,   622,  1850,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
       0,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,  1851,  1852,     0,     0,   642,     0,   643,     0,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,     0,  1853,     0,   661,   234,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   671,   672,
     673,   710,    86,    87,    88,   411,    90,    91,    92,   412,
       0,   413,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   711,   104,   105,   414,   712,     0,   107,   108,   109,
     110,   713,   714,   112,   113,   114,   115,     0,   116,   715,
     716,   415,   416,     0,     0,     0,   417,   418,     0,     0,
       0,     0,   419,     0,     0,     0,     0,     0,     0,     0,
       0,   420,     0,   421,     0,   422,   423,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,     0,   433,   434,   435,     0,
       0,     0,     0,     0,     0,     0,   436,   437,     0,   438,
     439,   133,   440,   441,   442,     0,  1835,   137,  1836,  1837,
       0,   443,   444,   445,   446,   447,     0,     0,   448,   449,
    1838,  1839,   451,     0,   452,   453,   454,   455,     0,     0,
     456,     0,   457,   458,   459,   460,   147,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   150,   469,     0,
       0,     0,     0,   151,     0,     0,     0,   470,   471,   472,
     473,   474,   475,  1840,  1841,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1448,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,     0,   500,   501,
     502,     0,     0,   503,     0,   504,  1842,   505,     0,   506,
       0,   507,   168,     0,   169,   508,   509,   510,     0,   511,
       0,     0,   512,     0,   513,   514,   515,   516,   517,   172,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   173,     0,     0,   528,   529,   530,  1454,  1843,
       0,  1844,     0,   531,   177,   178,   532,   179,   533,   534,
     535,   536,   537,   538,   539,     0,     0,   181,   540,   182,
       0,   541,   542,   543,     0,     0,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1845,   188,
    1846,   556,   557,     0,     0,   558,   559,   192,   560,     0,
       0,   561,  1847,   562,   563,   564,     0,   565,     0,     0,
     566,   567,   568,     0,     0,     0,   196,   197,   198,     0,
     569,   570,   571,   572,   573,   574,   575,     0,   576,     0,
     577,     0,   578,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,  1848,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   209,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
       0,   619,     0,   620,   621,   218,   622,  1850,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,     0,
       0,   633,   634,     0,   635,   636,   637,   638,   639,   640,
       0,  1851,  1852,     0,     0,   642,     0,   643,     0,     0,
     644,   645,   646,   647,   648,   649,     0,     0,   650,   651,
     652,   653,   654,     0,     0,   655,   656,   657,   658,   659,
       0,  1853,     0,   661,   234,   662,   663,   664,     0,     0,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   671,   672,   673,
     710,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     711,   104,   105,   414,   712,     0,   107,   108,   109,   110,
     713,   714,   112,   113,   114,   115,     0,   116,   715,   716,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
     133,   440,   441,   442,     0,     0,   137,     0,     0,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,     0,
       0,   451,     0,   452,   453,   454,   455,     0,     0,   456,
       0,   457,   458,   459,   460,   147,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   150,   469,     0,     0,
       0,     0,   151,     0,     0,     0,   470,   471,   472,   473,
     474,   475,     0,     0,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,     0,   500,   501,   502,
       0,     0,   503,     0,   504,     0,   505,     0,   506,     0,
     507,   168,     0,   169,   508,   509,   510,     0,   511,     0,
       0,   512,     0,   513,   514,   515,   516,   517,   172,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   173,     0,     0,   528,   529,   530,     0,     0,     0,
       0,     0,   531,   177,   178,   532,   179,   533,   534,   535,
     536,   537,   538,   539,     0,     0,   181,   540,   182,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,     0,   188,     0,
     556,   557,     0,     0,   558,   559,   192,   560,     0,     0,
     561,     0,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,     0,   196,   197,   198,     0,   569,
     570,   571,   572,   573,   574,   575,     0,   576,     0,   577,
       0,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   209,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,     0,   620,   621,   218,   622,     0,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,     0,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
       0,     0,     0,     0,   642,     0,   643,     0,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,     0,
       0,     0,   661,   234,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   717,   433,   434,   435,   718,   719,   720,   721,
     722,   723,   724,   436,   437,   725,   438,   439,   133,   440,
     441,   442,   135,   136,   137,   138,   139,   726,   443,   444,
     445,   446,   447,   727,   728,   448,   449,     0,   140,   451,
     730,   452,   453,   454,   455,   144,   731,   456,   732,   457,
     458,   459,   460,   147,   461,   733,   734,   463,   464,   465,
     466,   467,   468,   735,   150,   469,     0,   737,   738,   739,
     151,   740,   741,   742,   470,   471,   472,   473,     0,   475,
     154,   155,   476,   743,   477,   744,   478,   479,   480,   481,
     482,   745,   483,   484,   485,   746,   747,   486,   487,   488,
     489,   490,   748,   491,   492,   493,   749,   494,   495,   750,
     496,   497,   498,   499,   163,   500,   501,   502,   165,   751,
     503,   752,   504,   167,   505,   753,   506,   754,   507,   168,
     755,   169,   508,   509,   510,   756,   511,   171,   757,   512,
     758,   513,   514,     0,   516,   517,   172,   518,   519,   520,
     759,   521,   522,   523,   524,   525,   526,   760,   527,   173,
     174,     0,   528,   529,   530,     0,   175,   763,   176,   764,
     531,   177,   178,   532,   179,   533,   534,   535,   536,   537,
     538,   539,   765,   180,   181,   540,   182,   766,   541,   542,
     543,   767,   768,   544,   545,   546,   547,   548,     0,   550,
     551,     0,   553,   554,   555,   187,   188,   189,   556,   557,
     190,   769,   558,   559,   192,   560,   770,   193,   561,   194,
     562,   563,   564,   771,   565,   772,   773,   566,   567,   568,
     774,   775,   195,   196,   197,   198,   199,   569,   570,   571,
     572,   573,   574,   575,   776,   576,   200,   577,   201,   578,
     579,   580,   777,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,   778,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   779,   602,   603,   209,
     604,   605,   211,   606,   607,   608,   609,   610,   611,     0,
     613,   780,   614,   615,   616,   617,   618,   781,   619,   216,
     620,   621,   218,   622,   219,   782,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,   783,   633,   634,
     784,   635,   636,   637,   638,   639,   640,   785,   223,   224,
       0,   787,   642,   225,   643,   226,   788,   644,   645,   646,
     647,   648,   649,     0,   790,   650,   651,   652,   653,   654,
     791,   792,   655,   656,   657,   658,   659,     0,   233,   794,
     661,   234,   662,   663,   664,   795,   796,   665,   797,   798,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,     0,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,  1984,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,  1985,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,  1986,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,   641,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,  1124,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,  2183,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,  2332,   452,
     453,   454,   455,   144,     0,   456,  2397,   457,   458,   459,
     460,     0,   461,   462,  2333,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,  2398,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,  2335,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
    2336,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,  2337,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,  2332,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,  2333,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,  2398,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,  2335,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,  3236,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,  2336,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
    2337,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,  1023,   431,   432,   982,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   983,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,  1024,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,   984,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,   985,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,  1964,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     982,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   983,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,  2962,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,   984,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,   985,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,  2332,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,  2333,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,  2398,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,  2335,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,  2336,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
    2337,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   693,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
     694,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,   695,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   982,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   983,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,   984,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,   985,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,   898,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   899,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     900,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
    2019,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,  2020,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,  2021,   507,     0,     0,     0,
    2022,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,  2023,  2024,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,  2025,   610,   611,   612,   613,     0,
    2026,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,  2027,   635,
    2028,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   983,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,   984,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,   985,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     130,   131,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,  1353,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,  2008,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,  2290,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,  2839,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,  2840,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,  2841,   635,   636,  2842,   638,  2843,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,  2844,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   702,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,   424,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,   695,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,   424,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   850,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,  1291,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,  2482,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,  2483,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   130,   131,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
    3035,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,  3036,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,  3047,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,  3048,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,   424,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,   424,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   904,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,   424,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   946,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,   424,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     999,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,  1055,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,  1533,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,  1918,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,  2008,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
    2290,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,  3304,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,  3920,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,  3933,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,  4132,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,  4134,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,  4136,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,  4509,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,  1007,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,  1009,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,  1010,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,     0,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,  1011,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,  1012,   224,
       0,     0,  1013,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,  1014,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
    1049,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,  1010,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,     0,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,  1050,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,  1051,   224,     0,     0,
    1052,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,  1014,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,  1069,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,  1201,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,  1253,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,  1274,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,  1304,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,  1310,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,  1318,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,  1320,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,  1322,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,  1324,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,  1327,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,  1329,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,  1330,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,  1333,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,  1544,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,  1036,   449,  1010,   140,  1545,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,     0,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,  1040,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
    1041,   605,   211,   606,   607,   608,  1042,   610,   611,   612,
     613,     0,   614,   615,   616,   617,  1537,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,  1044,   224,
       0,     0,  1045,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,  1014,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,  1046,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,  1668,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,  1881,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,  1908,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,  1942,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,  1944,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,  2054,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,  2257,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,   448,   449,   450,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,   604,   605,   211,   606,
     607,   608,   609,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,     0,     0,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,   223,   224,     0,     0,   642,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,   660,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
     670,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,   448,
     449,   450,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,  2611,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,   604,   605,   211,   606,   607,   608,
     609,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,   636,   637,   638,   639,
     640,     0,   223,   224,     0,     0,   642,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,   660,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,   670,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,   448,   449,   450,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,  3038,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,   604,   605,   211,   606,   607,   608,   609,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
     223,   224,     0,     0,   642,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,   660,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,   670,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,  3040,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,   573,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,   606,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
     411,    90,    91,    92,   412,     0,   413,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   414,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   415,   416,     0,     0,
       0,   417,   418,     0,     0,     0,     0,   419,     0,     0,
       0,     0,     0,     0,     0,     0,   420,     0,   421,     0,
     422,   423,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
       0,   433,   434,   435,     0,     0,     0,     0,     0,     0,
       0,   436,   437,     0,   438,   439,     0,   440,   441,   442,
     135,   136,     0,   138,   139,     0,   443,   444,   445,   446,
     447,     0,     0,   448,   449,   450,   140,   451,     0,   452,
     453,   454,   455,   144,     0,   456,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   154,   155,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   163,   500,   501,   502,   165,     0,   503,     0,
     504,   167,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   171,     0,   512,     0,   513,
     514,   515,   516,  3123,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   174,     0,
     528,   529,   530,     0,   175,     0,   176,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   180,     0,   540,     0,     0,   541,   542,   543,     0,
       0,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   187,     0,   189,   556,   557,   190,     0,
     558,   559,     0,   560,     0,   193,   561,   194,   562,   563,
     564,     0,   565,     0,     0,   566,   567,   568,     0,     0,
     195,     0,     0,     0,   199,   569,   570,   571,   572,   573,
     574,   575,     0,   576,   200,   577,   201,   578,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,   203,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,     0,   604,   605,
     211,   606,   607,   608,   609,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,     0,   619,   216,   620,   621,
       0,   622,   219,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   221,     0,   633,   634,     0,   635,
     636,   637,   638,   639,   640,     0,   223,   224,     0,     0,
     642,   225,   643,   226,     0,   644,   645,   646,   647,   648,
     649,     0,     0,   650,   651,   652,   653,   654,     0,     0,
     655,   656,   657,   658,   659,   660,   233,     0,   661,     0,
     662,   663,   664,     0,     0,   665,     0,     0,   666,   667,
     668,   669,   670,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   671,   672,   673,    86,    87,    88,   411,    90,
      91,    92,   412,     0,   413,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   414,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   415,   416,     0,     0,     0,   417,
     418,     0,     0,     0,     0,   419,     0,     0,     0,     0,
       0,     0,     0,     0,   420,     0,   421,     0,   422,   423,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,     0,   433,
     434,   435,     0,     0,     0,     0,     0,     0,     0,   436,
     437,     0,   438,   439,     0,   440,   441,   442,   135,   136,
       0,   138,   139,     0,   443,   444,   445,   446,   447,     0,
       0,  1036,   449,  1010,   140,   451,     0,   452,   453,   454,
     455,   144,     0,   456,     0,   457,   458,   459,   460,     0,
     461,     0,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   154,   155,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     163,   500,   501,   502,   165,     0,   503,     0,   504,   167,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   171,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   174,     0,   528,   529,
     530,     0,   175,     0,   176,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   180,
       0,   540,     0,     0,   541,   542,   543,     0,     0,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
    1040,   187,     0,   189,   556,   557,   190,     0,   558,   559,
       0,   560,     0,   193,   561,   194,   562,   563,   564,     0,
     565,     0,     0,   566,   567,   568,     0,     0,   195,     0,
       0,     0,   199,   569,   570,   571,   572,   573,   574,   575,
       0,   576,   200,   577,   201,   578,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,   203,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,     0,  1041,   605,   211,   606,
     607,   608,  1042,   610,   611,   612,   613,     0,   614,   615,
     616,   617,  1537,     0,   619,   216,   620,   621,     0,   622,
     219,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   221,     0,   633,   634,     0,   635,   636,   637,
     638,   639,   640,     0,  1044,   224,     0,     0,  1045,   225,
     643,   226,     0,   644,   645,   646,   647,   648,   649,     0,
       0,   650,   651,   652,   653,   654,     0,     0,   655,   656,
     657,   658,   659,  1014,   233,     0,   661,     0,   662,   663,
     664,     0,     0,   665,     0,     0,   666,   667,   668,   669,
    1046,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     671,   672,   673,    86,    87,    88,   411,    90,    91,    92,
     412,     0,   413,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   414,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   415,   416,     0,     0,     0,   417,   418,     0,
       0,     0,     0,   419,     0,     0,     0,     0,     0,     0,
       0,     0,   420,     0,   421,     0,   422,   423,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,     0,   433,   434,   435,
       0,     0,     0,     0,     0,     0,     0,   436,   437,     0,
     438,   439,     0,   440,   441,   442,   135,   136,     0,   138,
     139,     0,   443,   444,   445,   446,   447,     0,     0,  1036,
     449,  1010,   140,   451,     0,   452,   453,   454,   455,   144,
       0,   456,     0,   457,   458,   459,   460,     0,   461,     0,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   154,   155,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   163,   500,
     501,   502,   165,     0,   503,     0,   504,   167,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   171,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   174,     0,   528,   529,   530,     0,
     175,     0,   176,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   180,     0,   540,
       0,     0,   541,   542,   543,     0,     0,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,  1040,   187,
       0,   189,   556,   557,   190,     0,   558,   559,     0,   560,
       0,   193,   561,   194,   562,   563,   564,     0,   565,     0,
       0,   566,   567,   568,     0,     0,   195,     0,     0,     0,
     199,   569,   570,   571,   572,   573,   574,   575,     0,   576,
     200,   577,   201,   578,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,   203,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,     0,  1041,   605,   211,   606,   607,   608,
    1042,   610,   611,   612,   613,     0,   614,   615,   616,   617,
    1537,     0,   619,   216,   620,   621,     0,   622,   219,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     221,     0,   633,   634,     0,   635,  2323,   637,   638,   639,
     640,     0,  1044,   224,     0,     0,  1045,   225,   643,   226,
       0,   644,   645,   646,   647,   648,   649,     0,     0,   650,
     651,   652,   653,   654,     0,     0,   655,   656,   657,   658,
     659,  1014,   233,     0,   661,     0,   662,   663,   664,     0,
       0,   665,     0,     0,   666,   667,   668,   669,  1046,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   671,   672,
     673,    86,    87,    88,   411,    90,    91,    92,   412,     0,
     413,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   414,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     415,   416,     0,     0,     0,   417,   418,     0,     0,     0,
       0,   419,     0,     0,     0,     0,     0,     0,     0,     0,
     420,     0,   421,     0,   422,   423,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,     0,   433,   434,   435,     0,     0,
       0,     0,     0,     0,     0,   436,   437,     0,   438,   439,
       0,   440,   441,   442,   135,   136,     0,   138,   139,     0,
     443,   444,   445,   446,   447,     0,     0,  1036,   449,  1010,
     140,   451,     0,   452,   453,   454,   455,   144,     0,   456,
       0,   457,   458,   459,   460,     0,   461,     0,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   154,   155,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   163,   500,   501,   502,
     165,     0,   503,     0,   504,   167,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   171,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   174,     0,   528,   529,   530,     0,   175,     0,
     176,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   180,     0,   540,     0,     0,
     541,   542,   543,     0,     0,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,  1040,   187,     0,   189,
     556,   557,   190,     0,   558,   559,     0,   560,     0,   193,
     561,   194,   562,   563,   564,     0,   565,     0,     0,   566,
     567,   568,     0,     0,   195,     0,     0,     0,   199,   569,
     570,   571,   572,   573,   574,   575,     0,   576,   200,   577,
     201,   578,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,   203,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,     0,  1041,   605,   211,   606,   607,   608,  2378,   610,
     611,   612,   613,     0,   614,   615,   616,   617,  1537,     0,
     619,   216,   620,   621,     0,   622,   219,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   221,     0,
     633,   634,     0,   635,   636,   637,   638,   639,   640,     0,
    1044,   224,     0,     0,  1045,   225,   643,   226,     0,   644,
     645,   646,   647,   648,   649,     0,     0,   650,   651,   652,
     653,   654,     0,     0,   655,   656,   657,   658,   659,  1014,
     233,     0,   661,     0,   662,   663,   664,     0,     0,   665,
       0,     0,   666,   667,   668,   669,  1046,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   671,   672,   673,    86,
      87,    88,   411,    90,    91,    92,   412,     0,   413,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   414,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   415,   416,
       0,     0,     0,   417,   418,     0,     0,     0,     0,   419,
       0,     0,     0,     0,     0,     0,     0,     0,   420,     0,
     421,     0,   422,   423,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,     0,   433,   434,   435,     0,     0,     0,     0,
       0,     0,     0,   436,   437,     0,   438,   439,     0,   440,
     441,   442,   135,   136,     0,   138,   139,     0,   443,   444,
     445,   446,   447,     0,     0,   448,   449,   450,   140,   451,
       0,   452,   453,   454,   455,   144,     0,   456,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     154,   155,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   163,   500,   501,   502,   165,     0,
     503,     0,   504,   167,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   171,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     174,     0,   528,   529,   530,     0,   175,     0,   176,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   180,     0,   540,     0,     0,   541,   542,
     543,     0,     0,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   187,     0,   189,   556,   557,
     190,     0,   558,   559,     0,   560,     0,   193,   561,   194,
     562,   563,   564,     0,   565,     0,     0,   566,   567,   568,
       0,     0,   195,     0,     0,     0,   199,   569,   570,   571,
     572,     0,   574,   575,     0,   576,   200,   577,   201,   578,
     579,   580,     0,   581,   582,   583,   584,   585,     0,   587,
     203,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,     0,
     604,   605,   211,     0,   607,   608,   609,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,     0,   619,   216,
     620,   621,     0,   622,   219,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   221,     0,   633,   634,
       0,   635,   636,   637,   638,   639,   640,     0,   223,   224,
       0,     0,   642,   225,   643,   226,     0,   644,   645,   646,
     647,   648,   649,     0,     0,   650,   651,   652,   653,   654,
       0,     0,   655,   656,   657,   658,   659,   660,   233,     0,
     661,     0,   662,   663,   664,     0,     0,   665,     0,     0,
     666,   667,   668,   669,   670,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   671,   672,   673,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115, -2284,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,   127,    35,     0,   406,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,   180,   181,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,   190,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,   196,   197,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
     218,     0,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,     0,
       0,   225,     0,   226,     0,     0,     0,     0,     0,     0,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115, -2285,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,   127,    35,     0,  1119,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,     0,     0,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   173,   174,     0,     0,     0,     0,     0,   175,
       0,   176,     0,     0,   177,   178,     0,   179,     0,     0,
       0,     0,     0,     0,     0,     0,   180,   181,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,   188,
     189,     0,     0,   190,     0,     0,     0,   192,     0,     0,
     193,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,     0,     0,   218,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,     0,     0,   225,     0,   226,     0,
       0,     0,     0,     0,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,   121,   122,     0,     0,     0,     0,   123,     0,     0,
       0,     0,     0,     0,     0,     0,   124,     0,   125,     0,
     126,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,   180,   181,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,   190,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,   196,   197,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
     218,     0,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,     0,
       0,   225,     0,   226,     0,     0,     0,     0,     0,     0,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,     0,     0,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   173,   174,     0,     0,     0,     0,     0,   175,
       0,   176,     0,     0,   177,   178,     0,   179,     0,     0,
       0,     0,     0,     0,     0,     0,   180,   181,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,   188,
     189,     0,     0,   190,     0,     0,     0,   192,     0,     0,
     193,     0,   194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   211,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,     0,     0,   218,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,     0,     0,   225,     0,   226,     0,
       0,     0,     0,     0,     0,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,     0,     0,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   173,   174,     0,
       0,     0,     0,     0,   175,     0,   176,     0,     0,   177,
     178,     0,   179,     0,     0,     0,     0,     0,     0,     0,
       0,   180,   181,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,   189,     0,     0,   190,     0,
       0,     0,   192,     0,     0,   193,     0,   194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,   196,   197,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
     218,     0,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,     0,
       0,   225,     0,   226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244
};

static const yytype_int16 yycheck[] =
{
       2,    78,    78,    78,   245,   358,  1309,     2,  1085,    78,
      78,   208,   166,   873,  1090,   152,    84,   984,   985,  1038,
      78,   833,   989,  1316,   117,  1357,   153,  1966,  1053,  1195,
    1564,  1347,   186,   149,  1406,  1155,  1865,  1719,  2022,  1723,
    1691,  1388,  1211,   227,  1849,    94,  1446,  1447,  1736,   117,
     708,  1264,  1973,  2701,  1419,  2172,  1475,   170,  1246,  1192,
    1273,   873,   164,  2517,   117,  1465,   926,  1045,   161,  1202,
    3260,  2430,  1723,  1808,   159,   202,    78,   374,  2390,  2391,
     222,   374,    84,   132,  2854,    78,  1867,   164,  3004,  1777,
    1778,    84,  1890,   161,   132,   208,    78,    96,  3051,  3031,
    3053,   910,    84,   152,   153,    78,  1905,   106,   161,  1719,
    1890,    84,  1300,   162,   926,   117,  1890,  1890,  1251,  1585,
    2221,  1254,  1890,  1890,   117,  2473,  1259,   709,  2059,  1620,
    1621,  1622,  3543,  1266,  3492,  1132,   229,  1132,  3181,   207,
    1674,  2681,  1275,   142,   117,  2850,  2851,   215,   346,   217,
     152,  3536,   360,   202,  2852,   951,   360,   156,  3763,   161,
    3168,   229,  2911,  1962,  1766,  3439,  3444,  3445,   161,  3785,
    3739,  2787,  1370,  3181,  1436,  1437,   229,  1493,   215,  1914,
     166,  2264,  3726,  1348,  1615,  1616,  1727,  4176,   161,  3758,
     117,  1678,  1171,  2552,  1082,  1339,  1082,  1127,  1128,  1461,
     186,  3504,  1163,  3377,    10,   207,    21,  3185,  3186,  3187,
    3188,  3189,  3190,   215,  1194,   217,  1196,  3996,   943,   117,
    2303,   121,    88,  1203,  2307,    72,    30,   229,   108,   128,
      88,  1772,  1041,   114,   161,    72,   229,    72,   135,    86,
     898,  1202,   143,   156,    75,    76,    77,    78,  2848,    86,
       8,    82,   128,    11,    12,   113,   229,   815,   114,  2618,
    4435,  2620,    72,   161,    22,    23,    24,   149,    26,    27,
      84,    81,    72,    31,    32,    33,    86,  1244,   180,   204,
     145,    81,  3693,  4317,    95,   143,    86,  1113,   222,   366,
     366,   366,    29,   247,  2123,   128,   187,   366,   100,   227,
     236,  2917,   229,    99,  2904,   182,   374,   145,   366,   207,
     106,    75,    76,    77,    78,   175,   233,   215,    82,   217,
     112,    99,    99,  1348,   266,   141,   229,    14,   106,   106,
     185,   229,   112,    75,    76,    77,    78,   209,   377,    99,
      82,   409,   197,   182,   173,    75,    76,    77,    78,  1175,
      37,   180,    82,    78,   111,    75,    76,    77,    78,  3006,
      90,   410,    82,    78,    78,   109,   192,   180,   194,  1229,
      90,  2355,   374,    78,  1494,   227,   218,  1035,    78,  1548,
     240,   374,   227,     0,   227,    72,   197,   395,    75,    76,
      77,    78,   374,   135,    81,    82,    83,    84,  1518,    86,
     429,   374,    93,    75,    76,    77,    78,   409,   447,   227,
      82,     2,    95,   185,   199,   173,   409,  1229,    90,   227,
      22,   324,    75,    76,    77,    78,   379,   409,   498,    82,
    4419,   270,   266,  1852,   504,   295,   409,    90,   298,   468,
    1840,  1841,   284,  2526,   188,   103,   104,  1847,    75,    76,
      77,    78,   102,   406,    88,    82,   173,  4001,   371,   261,
     306,   228,   185,    90,    75,    76,    77,    78,   137,   308,
      72,    82,  4428,   372,    75,    76,    77,    78,   320,   308,
      38,    82,    40,    75,    76,    77,    78,  3698,  1513,   246,
      82,   346,   318,   173,   502,   308,   372,   173,    89,   427,
      75,    76,    77,    78,   641,   321,   448,    82,    75,    76,
      77,    78,   179,  1816,   197,    82,   452,   356,   209,   173,
     817,   258,    25,  1332,   817,   397,   386,  1820,  1553,  1554,
     173,  1357,   128,    75,    76,    77,    78,   260,   207,   372,
      82,   174,   300,    75,    76,    77,    78,  1129,  1130,   503,
      82,  3198,  3530,  2753,  2754,   224,   438,   448,  2758,  3602,
     135,   152,   427,  1359,   691,   692,   500,   158,   226,   180,
     228,   427,   453,   450,  4179,   500,  1838,  1839,   407,  3990,
    2385,   410,   342,  2117,  1846,   487,   503,   345,  4622,   427,
     503,  1149,   641,   184,  3602,   409,  4771,   498,  2798,  2799,
     500,   502,  4146,   500,   503,  1771,   402,  2966,    75,    76,
      77,    78,  1337,  2394,  1423,    82,   227,   250,   453,  1832,
     500,   481,   414,  1811,   402,   402,   457,   503,  2162,  1762,
     496,  1764,  2166,   448,   414,   446,   482,  1806,   496,   641,
     500,   366,   691,   692,   491,   492,  4415,   453,   500,  3923,
    4194,   366,   366,  3927,   491,   492,   466,   500,   503,   708,
     420,   366,   422,   500,   503,    88,   366,  2014,   502,   500,
     503,   500,  3846,  3976,   446,   392,  4665,   462,   436,   494,
     349,   491,   492,   366,  3454,   503,  3140,   824,   379,  3143,
    3144,   491,   492,  3147,   498,   503,  1829,   839,    75,    76,
      77,    78,    88,  3157,  1634,    82,   397,   173,  2390,  4379,
    3022,   952,  3024,  2397,  1602,   457,  1602,  4673,   266,   369,
     813,  1547,  1702,   446,  4503,  1551,  1552,   113,   865,  3707,
     227,   381,  1085,   500,   498,  1544,   500,   417,   502,  1718,
    4729,   417,  2058,  2059,    85,   813,   322,    88,  2865,   817,
     308,   197,    25,  2069,   266,   953,  2072,   143,   500,   262,
     813,  3459,   429,   417,  2080,  2081,  1348,   221,  4312,   854,
     500,   323,   441,   900,   417,  4319,   372,  2093,  2094,    25,
     500,   431,   919,   416,   417,    85,  3145,  3146,  2104,    35,
    1751,    75,    76,    77,    78,  2878,   351,  1995,    82,   218,
     458,   468,   379,  2001,   491,   492,  4575,   209,   962,    14,
     964,   813,   966,   427,  1979,   817,   427,   266,   972,   821,
     813,   229,  2084,  2085,   817,  2366,  1970,   829,   500,   266,
    2317,   227,   948,  4402,  2265,   817,  2267,   266,   266,  3439,
     813,   995,   996,   227,   817,   268,   107,   500,   328,   898,
     952,   900,   994,   498,   185,    88,  3168,   502,   860,   493,
     494,   495,   496,   247,  2548,   284,   467,  1075,  4538,  3181,
     318,  1075,   230,   500,   951,   467,   487,    95,  1704,  3795,
     113,   184,   266,   101,  1710,   486,   813,  1747,   134,   503,
     344,   502,  3508,    85,   486,   206,    88,   946,   318,   500,
     448,   950,   904,  4114,  4115,  4116,  4117,  4118,   500,   160,
     143,   306,   914,   117,  2596,   813,   128,  1059,   470,   180,
     321,   923,   498,   500,   370,   500,   502,   268,  1754,   260,
     427,  1757,  1758,   500,    95,  1747,   448,  4276,   458,  4278,
    3540,   943,   236,   160,  1911,   500,  3258,  1089,   943,   395,
     949,   417,  1977,   264,   318,  4560,   504,   161,   500,  4728,
     236,   230,  4731,  1065,   267,   964,  1248,   966,   500,  4585,
      14,  1039,    95,   381,    99,  1043,  4387,   976,   964,   197,
     966,   232,  4551,   324,  2586,  4263,  1035,   383,  1037,   262,
     487,  1817,  1060,  4267,  2114,   397,   995,   996,  4272,  1037,
    4769,  4275,  1039,   207,  4194,   502,  1043,  2026,  2027,   995,
     996,   215,   306,   217,    97,   232,   262,   328,    85,   448,
     448,    88,   147,   503,   324,   229,   222,   435,  1170,   154,
     306,  1033,   390,   500,   117,   268,   197,  1039,    71,    72,
    2869,  1043,    75,    76,    77,    78,    79,    80,    81,    82,
     641,   322,   500,    86,   503,   247,   181,   452,  1060,   335,
     418,  4666,   151,   459,   448,  1067,   503,  1060,   491,   492,
     493,   494,   495,   496,   197,   180,   268,   235,  1060,    72,
     500,   151,    75,    76,    77,    78,  1946,  1060,    81,    82,
      83,    84,    72,    86,   306,    75,    76,    77,    78,   500,
     189,    81,    82,   434,  4515,   227,    86,   493,   494,   495,
     496,  4511,  4512,    51,   370,   446,  4501,   335,  1113,   189,
     504,   390,   373,   500,  1406,   247,   251,   185,   229,   440,
    4674,    69,   324,  3354,  1946,  2535,   500,  1132,   328,   395,
     417,  1039,  4481,   219,   266,  1043,   151,   180,   366,   418,
     491,   492,   493,   494,   495,   496,   373,  3378,   452,  3359,
     372,   448,  3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,
    3370,  3371,   368,    88,   335,  3945,   452,   395,   261,   368,
    1175,  2206,   129,   395,   189,  3955,  1982,   487,   488,   489,
     137,   491,   492,   493,   494,   495,   496,  4150,   113,  1284,
    3654,   268,   260,   173,  4478,   366,  3660,  3661,  3662,  3663,
    3664,  3665,   335,   500,  1216,   466,   500,   153,  4629,   377,
     180,  3421,  3422,   324,  1226,  3974,   487,   175,   143,   305,
    2090,  3936,   265,   151,   395,   348,    78,   498,  3019,   500,
     501,   502,   503,  3941,   180,  3026,  1248,   336,   236,   466,
     501,   273,  1493,   504,   287,  3953,  2469,   324,   491,   492,
     493,   494,   495,   496,   855,   381,   336,   180,  4626,  4627,
     119,   189,   395,    75,    76,    77,    78,   466,  2090,  1281,
      82,   182,  1359,   388,   501,   410,   448,   504,  3828,  4700,
    3602,   240,   240,   335,  4337,   487,   488,   489,  4698,   491,
     492,   493,   494,   495,   496,  2302,   148,  2302,   184,   410,
    2613,   501,   417,   503,   503,   431,   429,  3301,   306,   910,
     911,   328,   164,  3923,   366,    88,   448,  3927,  2621,  4337,
     388,   336,   421,  4320,  1336,  1337,   306,  1339,   500,  3021,
     287,  1336,  1337,   379,  1339,  1347,   295,   295,   308,   454,
     298,   421,   943,   268,   269,   468,  1405,  2570,  2571,  2572,
    2573,   466,  1357,  1362,   182,  1364,   295,  1664,  1367,   298,
    1369,  1664,   308,  1372,  1373,  1374,  1574,   151,   385,  4790,
    1588,  1589,   504,  1591,  1588,  1589,  1385,  1591,   446,   295,
    1672,   267,  4750,   228,   243,   500,   311,  1979,   247,  1398,
     313,  1400,  3333,   245,  1406,  4392,  4741,  2723,   999,  3757,
     446,  3021,   313,  2879,  3515,   189,   421,  3215,   336,  2607,
     487,   488,   489,   383,   491,   492,   493,   494,   495,   496,
     334,   172,  1434,    99,   283,  3215,  1027,   386,   386,   161,
     137,  3215,  3215,   160,  3803,  1036,  3805,  3215,  3215,  1040,
    1041,  1042,   270,   427,   348,  2771,  2282,   386,   491,   492,
    1462,   121,  1604,  1745,   452,    75,    76,    77,    78,  1562,
      71,    95,    82,   429,   192,  4810,   194,   101,    79,    80,
     386,  1530,  1531,   180,  4674,   222,  2802,  3286,  1490,  1491,
     308,  1493,  1530,  1531,  1562,   232,  2356,   389,   491,   492,
     389,   356,   337,   421,  1506,   268,   328,   229,  1510,  1562,
     247,   171,   492,  4283,  4284,   232,   504,  4504,   360,  3719,
    4436,  2837,   326,   448,   366,   417,   192,  4514,   417,   503,
    1812,   335,   500,   481,     5,   429,  1127,  1128,   356,   419,
     504,  1132,   397,    99,  2356,  1547,  1614,  1615,  1616,  1831,
     399,   152,  1547,   294,    25,   296,  1551,  1552,  3246,  1561,
    1562,  1614,   336,   231,    35,   400,  4214,   335,   460,  1562,
     503,   460,     2,   197,   468,   500,   491,   492,   493,   494,
     495,   496,    14,  1632,   183,  1678,   466,   467,  1590,  1562,
     308,   446,  1594,  1595,  1632,  1877,  1664,  4550,   366,   259,
     318,   202,    95,  1671,   231,    37,   408,   409,   101,   813,
    1678,   308,  1614,  1615,  1616,  1700,   313,  1685,  2444,   287,
     500,  1614,  1615,  1616,  2971,  1678,  2452,  3027,  2454,  4083,
    4084,  1626,  4564,  1615,  1616,  1562,   192,   388,   375,  2297,
     183,  1614,  1615,  1616,  1712,   244,   306,   421,   227,  4008,
    4009,   252,   349,  1935,  1245,   459,  1651,  1652,   160,  4307,
     287,  4309,  1664,   134,  1562,   362,   417,  4267,   247,  1671,
    1672,  1664,  4272,   268,  4590,  4275,  1678,   179,  1671,   501,
     227,   503,  1664,  1685,  3175,  1678,   397,   266,   121,  1671,
      81,  1664,   183,  3893,  3894,    86,   504,   427,  1671,  2992,
     247,   244,  1888,   454,   197,  1678,    88,   175,   210,  1704,
    1712,   335,   355,  4313,   383,  1710,  1614,  1719,   137,   266,
    1906,   331,   335,  4493,   384,   196,  1794,   322,   491,   492,
     493,   494,   495,   496,   153,   446,   166,   380,   171,   340,
     126,  1332,   366,  1745,   441,  1336,  1337,   335,  1339,   500,
     419,  1678,   420,   244,   422,    85,   186,   487,    88,  1754,
      88,   143,  1757,  1758,   466,   182,  1357,    75,    76,    77,
      78,   395,   240,   381,    82,   308,   444,   175,   366,  1872,
    1678,  3562,   395,   113,   247,   113,   172,  1685,   207,   119,
    2599,   262,  1794,   420,  2982,   422,   152,   466,   467,  1936,
      85,   503,   207,    88,  1872,   224,   381,   395,   229,  3544,
    1812,  1402,   217,   143,  1712,   143,  2438,   444,   182,  1872,
     105,   354,  1817,   431,   335,  2634,   259,   295,  4428,  1831,
     298,   500,  1423,   460,   466,  1039,   257,   254,   439,  1043,
    3957,  3007,   240,  2125,   155,   201,   447,  1849,  2674,   450,
      75,    76,    77,    78,  2051,   366,   431,    82,   222,    75,
      76,    77,    78,   249,   145,  2487,    82,  3401,   506,   448,
    1872,   503,   153,   306,  3703,  1877,  2895,  3224,  4478,  1872,
     335,  1983,   335,   194,   395,   192,   388,   194,   228,  2867,
     254,   308,  2034,  3581,  3582,   208,  1794,   295,   335,  1872,
     420,   448,   422,   366,  1495,  1982,  4360,   370,   294,   216,
     296,   366,   500,   366,  1505,   417,   256,   247,   386,  2216,
     306,   277,   278,  2216,  1515,   504,  4334,  1929,    41,   366,
     349,   271,   395,  1935,   290,   248,  1938,  2050,   268,   269,
     395,   281,   395,   218,   308,  1872,   218,   222,   334,  4357,
     222,   384,   454,  1544,   448,  3320,  1547,   504,   395,  2819,
    1551,  1552,  3381,  3382,   466,  2042,  2042,  2042,  1970,   262,
     498,  1973,  2057,  2042,  1872,  1970,   115,   505,  1973,   335,
      16,   311,  3516,   268,  2042,   371,   335,   487,   386,    75,
      76,    77,    78,  1992,   324,  1994,    82,   136,   500,  1998,
    2658,  2000,   502,   466,  2003,   313,   313,  2819,  2007,   284,
     965,   318,   284,   481,   969,   970,   971,   366,    14,   405,
    2022,   370,   441,  3326,   979,  4337,  4226,  2770,   322,  2772,
    2773,   466,   500,   327,  2127,   172,   376,   366,   317,   324,
    4399,    37,   366,  1634,  2870,   320,   395,  3419,   320,  4697,
     356,   503,  4252,  4253,  3738,   507,  2058,  2059,  3979,  2127,
    3193,   367,  3891,   419,  2066,   421,   395,  2069,   503,   128,
    2072,   395,  3388,  4673,  2127,  2077,    72,  2889,  2080,  2081,
    2234,   351,     7,  3888,   467,   391,  2088,   146,   313,  2091,
    2092,  2093,  2094,   227,    19,    20,  3778,   313,    72,  2101,
    2102,   160,  2104,   486,  2106,  2107,   274,   222,  2110,   951,
     952,  3762,    86,   247,    39,   252,  2218,    42,  4430,  2401,
     161,    71,    72,  2125,  2126,  2127,   433,   242,   319,  2131,
    2327,   322,  2329,  2135,  2127,   442,  3324,  2139,   427,  2141,
    2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2216,  2151,
     467,   210,    97,   335,  2127,  2157,   503,   294,  2160,   296,
     507,   491,   492,   493,   494,   495,   496,   134,   135,   486,
     222,  2980,   117,   499,  3574,   103,   104,   503,  1769,    75,
      76,    77,    78,   500,   366,  2322,    82,   228,   370,   501,
     242,    98,   504,   467,  3541,  3542,   322,  2265,  2256,  2267,
    2127,   327,   487,   488,   489,   385,   491,   492,   493,   494,
     495,   496,   486,   395,  2216,   256,   420,    85,   422,  2221,
      88,   924,   383,  2216,  2317,   928,   500,   313,    34,  2127,
     271,   156,   160,  1075,  2216,   938,   500,   105,   145,    85,
     281,   501,    88,  2216,   504,  2527,   499,  3214,  2297,  2317,
     503,   179,  4452,   383,   501,   192,   503,   194,   419,   105,
     503,   504,   303,  2265,  2317,  2267,   431,    85,   193,   250,
      88,  3673,  2265,  3675,  2267,   137,  3678,   383,  3680,   216,
     368,   143,   210,  2265,   466,  2267,   157,  2282,   195,   419,
     385,   153,  2265,   498,  2267,   500,   420,   366,   422,  2436,
    1891,   370,  2304,   495,  2306,   466,   467,  2302,   500,  2304,
     502,  2306,  3481,   419,   501,  2317,   503,   224,   180,   505,
     182,    71,   229,   501,  2317,   503,   395,  2420,  3448,    79,
      80,    85,   379,   380,    88,   376,   466,   467,  3670,   500,
    2108,   495,  2344,  2111,  2317,    72,   500,  2349,   502,  2417,
      85,   105,  2420,  2355,   125,   498,  3168,   500,  1562,   502,
     466,   467,   242,   501,  2417,   503,   385,  2420,   275,  3181,
     500,   308,   466,   467,  3451,  3452,   313,   310,   274,  1970,
     274,   318,  1973,  2385,   500,  3194,   502,  3196,  2390,  2391,
    2317,   500,   254,  4377,   500,   506,   501,   466,   503,  2401,
     268,    86,   501,  3937,   503,  1360,   379,   380,  1363,  2691,
     501,  1366,   503,  1368,   503,  2417,  1371,   500,  2420,  2317,
    1375,   501,   268,   503,  2417,   322,   501,  2420,   503,   388,
     491,   492,   493,   494,   495,  1595,  2438,  3971,   499,   501,
    2556,   503,   466,   467,  2417,   352,   308,  2420,  3257,  2444,
     268,   313,   503,   504,    71,   388,   324,  2452,   417,  2454,
     388,   115,    79,    80,   493,   494,   495,  4296,    75,    76,
      77,    78,   484,   485,  1678,    82,   383,   125,   324,    96,
     483,  1685,   389,  3649,   417,  2487,  2077,   349,   270,   417,
    2417,   161,   501,  2420,   503,   454,   433,   501,   325,   503,
     362,  3327,   466,   467,  2857,   442,   324,   466,  1712,   325,
     417,  4193,   502,   943,   268,   322,   500,  1359,   502,  2417,
     322,   454,  2420,  2525,   427,  2527,   454,  3899,   222,   436,
     458,   483,   962,   466,   964,   152,   966,   325,   466,   206,
     115,   500,   972,   973,   974,   501,   503,   503,  2550,  1410,
    1411,   218,  2554,   460,   501,   222,   503,   483,   228,  3875,
     501,  2802,   503,  2896,  2897,   995,   996,   500,   501,   270,
     324,   504,   500,   180,  3787,  4215,  4216,  4217,  4218,   441,
     493,   226,  2584,    71,    72,   202,   256,  4526,  1430,  4528,
    1794,    79,    80,   501,  2596,   503,   500,   264,    86,  2190,
     501,   271,   491,   492,   493,   494,   495,  1449,   501,  2658,
     503,   281,   501,   501,  1317,   503,   501,   284,   503,   487,
     488,   489,   501,   491,   492,   493,   494,   495,   496,   501,
     247,   503,   501,   303,   503,   252,   501,  1479,   503,   125,
    2642,   487,   488,   489,   227,   491,   492,   493,   494,   495,
     496,  1493,   322,   320,   420,  1079,   422,  1081,  2842,  2843,
    2844,   328,    75,    76,    77,    78,  2907,   266,  1872,    82,
     488,   489,   504,   491,   492,   493,   494,   495,   496,  2674,
     501,   493,   503,  1113,   501,  2778,   503,   506,   262,  2691,
    1393,  2784,   501,   506,   503,  2286,   309,   310,   501,   427,
     503,  2983,  1132,  2705,   427,  1408,   376,  2709,   108,   427,
    2778,  2302,   501,  2304,   503,  2306,  2784,  1420,   501,   427,
     503,  2723,  2724,   340,   501,  2778,   503,   127,   501,   427,
     503,  2784,   500,   487,   488,   489,   203,   491,   492,   493,
     494,   495,   496,   108,   125,  1175,  1588,  1589,   501,  1591,
     503,  2753,  2754,   501,   262,   503,  2758,   268,  4105,   159,
     377,   501,  4413,   503,   501,  4097,   503,   180,  2770,  2771,
    2772,  2773,   501,   440,   503,   388,  2778,   501,   448,   503,
     427,  2783,  2784,   500,  2786,  2778,  2788,  2378,   502,   500,
    3602,  2784,  3074,   395,  3076,   153,  2798,  2799,   415,   501,
    2802,   503,   502,   469,   417,  2778,   322,   500,  2885,  2885,
    2885,  2784,   222,  2815,   214,  2817,  2885,   504,   501,  2821,
     503,   501,   439,   503,   127,   282,   182,  2885,   821,   501,
     447,   503,   501,   450,   503,  2837,   829,   501,  3120,   503,
     501,   454,   503,   448,  3670,   245,  2848,   500,  2850,  2851,
    2852,  2778,   501,   466,   503,   274,   159,  2784,  4230,  3141,
     322,    75,    76,    77,    78,   317,   385,   860,    82,   501,
     500,   503,  2874,   231,   274,  2870,  3996,   501,  1581,   503,
    2778,   137,   108,  2474,  2886,   466,  2784,   500,  3928,  2891,
    3930,   501,   250,   503,   308,   501,  2898,   503,    75,    76,
      77,    78,  2904,   469,  4586,    82,  1336,  1337,   501,  1339,
     503,   214,   500,    75,    76,    77,    78,   501,  2509,   503,
      82,   914,   115,  2127,    86,   115,  2517,  1357,   335,   287,
     923,   436,  2092,    75,    76,    77,    78,   501,   222,   503,
      82,   501,   245,   503,   150,   211,  2106,  3972,    75,    76,
      77,    78,   501,   352,   503,    82,   501,   505,   503,  4092,
     211,   500,  2964,  3245,  4280,   501,   180,   503,   211,   327,
     370,   501,   211,   503,   374,   501,   206,   503,  2569,   469,
     380,  2983,   211,  3051,  3052,  3053,   503,   387,   218,  3271,
     211,   501,   222,   503,  3820,   395,   211,   322,  3051,  3052,
    3053,   211,  2593,   403,   501,   501,   503,   503,  2599,   211,
     501,   411,   503,   211,    75,    76,    77,    78,   180,  3021,
    3022,    82,  3024,   501,  4371,   503,   501,   211,   503,    89,
     322,   211,   335,   211,   264,   417,   500,    75,    76,    77,
      78,   108,  4730,  2634,    82,    75,    76,    77,    78,  3051,
    3052,  3053,    82,   223,   284,   282,   222,  3339,  3051,  3052,
    3053,   461,   420,   366,   422,   465,   466,   370,   222,   322,
    3163,   374,  3074,   431,  3076,   500,  3358,   380,  3051,  3052,
    3053,  4453,   500,   441,   387,   500,   444,  3180,   500,   500,
     320,   345,   395,   108,   500,  3163,   500,   500,   328,   500,
     403,  3383,  3962,   500,   500,   500,  3233,   500,   411,   500,
    3163,   500,  3180,  2317,   500,   500,   500,  1547,  3120,   332,
     500,  1551,  1552,   500,  3051,  3052,  3053,  3180,   500,  3266,
     500,   500,   500,   500,   500,   163,   500,  3419,   266,  3141,
    1982,  4457,  3269,   503,   282,   268,   108,  4519,   222,   320,
    3962,  4523,  4524,  3051,  3052,  3053,   222,   395,   461,   493,
     262,  3163,   386,   298,   503,  3167,  3168,   179,   447,   487,
    3163,   503,    14,  3168,   503,   427,  3234,   500,  3180,  3181,
    4147,   500,   427,   500,  3233,   427,  3181,  3180,  3429,   383,
    3163,  3249,   502,   427,  1624,   383,  1626,   383,  3439,   427,
    2042,   322,   427,   313,  4536,   427,   387,  3180,   427,   427,
     440,  3269,   447,  2417,  1644,   427,  2420,  4520,   145,   322,
    3269,  1651,  1652,  1216,   318,   252,  4302,   500,  4521,   500,
     427,   427,   153,  1226,   503,   335,  3163,  1940,   174,   448,
     448,   125,   427,  3245,   427,   427,  1949,  3431,  3432,  3433,
    3434,    98,   125,  3180,   427,   427,  3258,   326,  1961,   427,
     427,   114,   114,   427,   383,  3163,   503,   427,   498,  3271,
     427,   501,   502,   322,  1704,   322,   268,   469,    85,  2870,
    1710,    88,  3180,   500,   131,   108,   107,    71,  1281,   500,
    2132,    75,    76,    77,    78,    79,    80,   144,    82,  3301,
    4616,  3394,   457,   466,    97,   500,   113,   211,   308,   500,
     157,   180,   119,   460,   448,   459,   290,  2020,   308,   318,
    2023,   108,  2025,   222,  1754,  2028,  3394,  1757,  1758,   108,
     274,   500,  3327,   384,  3336,   211,   143,  3339,    14,   448,
     211,  3394,   448,  3345,   502,   211,   211,   503,   195,  3351,
     317,  3353,   427,   312,   500,   227,  3358,  3359,   462,   483,
    3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,
     425,   300,   300,  3375,  3376,    88,   395,   224,   503,   425,
     500,  3383,   229,   500,   427,   503,  3388,  1817,   227,  2980,
    3392,   175,  3394,   429,  3396,   487,   503,   241,   241,  4418,
     501,  3394,   500,   264,  3406,   323,   503,  3409,   318,  3411,
     503,   448,   501,   501,  2256,  4492,    34,  3419,  3420,  3421,
    3422,  3394,    10,   501,  3426,   427,   427,  3429,   383,   152,
     383,   448,   500,   313,   272,   272,   243,  3439,   313,   427,
     247,   500,   385,   274,   322,   313,   329,  3449,   427,   503,
     427,   321,  4755,   383,  4314,  3457,   240,  3459,   366,   392,
     356,   268,   269,  3745,  3618,   268,  3057,  3394,   108,   427,
     427,   268,   268,   448,   268,   448,   283,   324,   268,   500,
     321,   487,  4342,   107,   498,   498,   427,   427,   222,   487,
     211,  1921,   392,  3084,   224,   500,  3394,   392,   318,   211,
     210,  3503,  4314,   108,   311,   352,   322,  3509,  3601,   322,
    3603,   295,   494,  3515,   298,   239,   222,   324,   108,   239,
     211,   322,   322,   222,   500,  4337,    96,   469,   392,  3597,
    4342,   247,   247,  3601,   503,  3603,   383,   233,  3540,   247,
    1970,   121,   389,  1973,  3597,   392,   297,   322,  3601,  3140,
    3603,   503,  3143,  3144,   125,   417,  3147,   317,   227,   483,
     274,   339,   501,   501,   501,   227,  3157,   501,   503,   501,
     417,  3162,   483,   427,  2778,   501,   423,  3168,   501,   501,
    2784,   501,   162,  3174,   501,   501,   501,   501,   501,   436,
    3181,   500,   399,  2753,  2754,  3597,   501,   500,  2758,  3601,
    3602,  3603,   386,  3194,  3597,  3196,   186,  3602,  3601,   501,
    3603,    90,   463,   460,   331,    90,   373,  3899,   463,   454,
     487,   201,   504,   284,  3597,   205,   503,   487,  3601,   503,
    3603,   325,   322,   322,   250,   469,  3227,   500,  2798,  2799,
    2070,  2071,   501,   223,   501,   500,   427,   258,  2078,   313,
     211,   211,  2082,  2083,   284,   340,   340,   445,   238,   427,
     292,  4628,   427,   292,   292,  3256,  3257,  2097,   427,  2099,
    3597,   427,   383,   427,  3601,  3670,  3603,   427,   383,   383,
     487,   488,   489,   427,   491,   492,   493,   494,   495,   496,
    2120,  3686,  2122,  2396,   427,   383,   211,   481,   395,  3597,
     427,   114,  1323,  3601,   268,  3603,   268,   498,   284,   268,
     268,  2092,   268,  1334,   268,   268,   501,  3719,   501,   298,
     487,   368,   326,   173,  4006,  2106,   503,   436,   501,   500,
     321,    85,   501,   313,    88,   322,   236,   503,   222,   383,
     427,   321,  2172,  3745,   383,  4027,   448,   448,   383,   209,
     503,   105,   325,   209,   268,   498,  3814,  4039,   203,   113,
     227,    88,   501,   222,  4624,   119,   501,   459,   135,   501,
     830,   235,   501,  2154,   354,   835,  3778,  3779,  3780,   227,
      89,   500,   323,   501,   844,   222,   108,   258,   448,   143,
     448,  3988,   222,   427,   487,  4077,   503,   500,   436,   436,
     427,   501,   427,   501,  2234,   383,   487,   427,   503,   383,
     427,   871,  4624,   143,  3405,   875,   173,   436,   501,   501,
     500,   268,   501,   501,   501,  3820,   886,   501,   268,  3983,
     500,   499,   108,   272,   500,   466,   469,  3839,   503,   222,
     503,   253,   501,   466,   148,   466,   503,  3051,  3052,  3053,
     419,   500,  2282,    85,   392,   427,   501,   166,   232,   227,
     268,   268,   268,   268,   227,   501,   361,  3458,   125,   464,
    4024,   464,  2302,  3875,  2304,   501,  2306,   186,   500,   271,
     271,   330,   125,  3885,  3886,   237,  3888,   501,   503,   243,
     500,  3893,  3894,   247,   501,   501,  3898,  3899,   500,   318,
     501,   487,  3904,  3905,   427,   143,  3908,   227,   436,   466,
     313,  3969,   313,   211,   268,   269,   187,   268,   503,   487,
     503,  3923,   499,   313,   229,  3927,  4279,   227,   448,   283,
     392,   448,   198,   462,  3936,   466,  1929,   500,   227,  3941,
     255,   325,   227,   361,   453,  1938,   404,   271,  4230,   500,
     500,  3953,   500,   500,   308,   501,   501,   311,   500,  3163,
    2802,   465,  3957,   338,   501,   501,   322,  2670,  4122,   362,
     324,   501,   466,   327,  2816,   500,  3180,  3979,   500,   108,
     222,   313,   293,   250,  3979,   210,   173,   500,   326,  3991,
     501,   380,   380,  2835,   137,   137,   325,   487,   125,   500,
     125,   500,  4095,   328,  4006,   448,  2848,   217,   322,   419,
     353,  3602,   325,   325,  2444,   193,   452,    85,   453,   361,
     503,   108,  2452,   227,  2454,  4027,   359,  4095,  3619,  2022,
     463,  3622,   222,  3624,   503,   466,   198,  4039,   322,   322,
     466,   108,  4095,  2885,   501,   399,   500,   500,   125,   501,
     185,  3642,  3643,   379,   500,    94,   379,   105,    95,   446,
     210,   353,  2904,  3654,   101,  2907,   500,  1127,  1128,  3660,
    3661,  3662,  3663,  3664,  3665,  4077,   366,   127,  1173,  3670,
    1795,  2555,  4150,  3674,  1552,  2870,  2427,  3032,  3601,  2481,
    3162,  4363,  4095,  4095,  4536,  4167,  4408,  4150,  3766,  4157,
    4413,  4417,  4095,  2533,   141,  4140,  2965,  3698,  2663,   159,
    4704,  4313,  4754,  4657,  4656,  4718,  4561,  2969,  3709,  3710,
    3711,  3712,  4095,  1907,  3768,  3730,  2546,  3597,  2546,  3052,
    1892,  3738,  3736,   487,   488,   489,  4138,   491,   492,   493,
     494,   495,   496,  4759,  2541,   499,  3226,  4823,  4150,  4815,
    3180,   505,  3167,   190,  4725,  4344,  4637,  4150,  1884,  4712,
     197,   186,  4347,   200,   214,  4500,  3823,  3776,  4095,  2391,
    3778,  4453,  4586,   911,  1394,  4736,  3122,  4150,  4817,  4400,
    2218,  2885,  2219,  1983,  3775,  3513,  3760,  3970,  2646,  1350,
    3394,  4193,  1580,  2886,  2254,   245,  1054,  4095,  2898,  3359,
    1598,  4483,  3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,
    3370,  3371,  2892,  1069,  1597,   252,  2237,  2912,  2253,  2904,
    3439,  1600,  3929,  4150,  4226,  4479,  1059,  3404,  4230,  1604,
    4455,  3514,  3392,  4235,  4691,  4695,  4692,  4519,  2889,  3396,
    2816,  4523,  4524,  2725,  2674,  3836,  2814,  3509,  2157,  3266,
    4252,  4253,  4150,  1288,  4256,  2958,  2959,  2600,  2961,   641,
    1923,  3421,  3422,  2286,  4682,  4267,  1616,   375,  1610,   306,
    4272,   308,   945,  4275,  2262,  1405,  2302,  2294,  4280,  4281,
    2864,   318,  1130,   108,  1130,  2295,  3520,  1527,  3486,   326,
    3956,  3521,  1614,   408,  2659,  2306,  4291,  1336,   335,  4298,
    1150,     2,   127,  2012,   975,    -1,    -1,    -1,    -1,  1930,
      -1,  4313,    -1,    -1,    -1,    -1,    -1,    -1,  1939,    -1,
     370,    -1,   372,    -1,   374,    -1,  1947,  1948,    -1,   366,
     380,    -1,    -1,   370,   159,  4337,    -1,   387,    -1,  4341,
      -1,    -1,  4337,    -1,  1965,   395,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   403,    -1,    -1,  2349,    -1,   395,    -1,
      -1,   411,  2355,    -1,    -1,    -1,  3957,  3958,    -1,    -1,
      -1,    -1,  2753,  2754,    -1,  4377,    -1,  2758,    -1,    -1,
      -1,    85,    -1,  3086,    88,    -1,    -1,    -1,  3979,   214,
      -1,    -1,  3234,  3597,    -1,    -1,    -1,  3601,    -1,  3603,
      -1,   105,    -1,    -1,    -1,    -1,    -1,  3249,    -1,   113,
      -1,   461,    -1,    -1,   451,   119,    -1,  2798,  2799,    -1,
     245,    -1,    -1,    -1,    -1,    -1,  4428,  3269,  4430,    -1,
      -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,  2868,   143,
    2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,
    4452,  4453,    -1,  4455,    -1,  4457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4474,    -1,    -1,    -1,  4478,    -1,    -1,    -1,
      -1,  4483,  4550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4083,  4084,    -1,    -1,    -1,  4550,    -1,    -1,
      -1,    -1,    -1,  3206,    -1,  3208,  4097,    -1,    -1,    -1,
    4101,    -1,  4103,    -1,    -1,  4106,  4107,  4519,    -1,    -1,
      -1,  4523,  4524,  4114,  4115,  4116,  4117,  4118,    -1,    -1,
      -1,    -1,  4773,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,   370,    -1,    -1,  4550,   374,
      -1,    -1,    -1,    -1,    -1,   380,  4558,  4550,    -1,  3719,
      -1,    -1,   387,    -1,   268,   269,    -1,    -1,    -1,    -1,
     395,    -1,  4163,    -1,  1634,    -1,    -1,  4550,   403,   283,
      -1,    -1,    -1,    -1,  4586,    -1,   411,  3429,    -1,    -1,
      -1,  4593,    -1,    -1,  2215,    -1,  3299,  3439,    -1,    -1,
    1248,  4192,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,  4616,    -1,  3319,    -1,    -1,    -1,
     324,    -1,    -1,  4550,  4215,  4216,  4217,  4218,    -1,  4631,
      -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,    -1,
     465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,  4550,   962,    -1,   964,    -1,   966,    -1,  4736,
    4736,  4736,  4664,   972,    -1,    -1,    -1,  4736,    -1,    -1,
     108,  4673,    -1,    -1,  4767,    -1,   113,    -1,  4736,    -1,
      -1,    -1,   119,    -1,    -1,    -1,   995,   996,    -1,   127,
      -1,    -1,  4694,  4695,    -1,   399,  4773,  4773,  4773,  4767,
      -1,    -1,    -1,    -1,  4773,  4707,   143,    -1,    -1,    -1,
      -1,    -1,  2705,    -1,  4767,  4773,  2709,    -1,    -1,    -1,
      -1,   159,  4815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4823,    -1,  1792,  3893,  3894,    -1,    -1,    -1,  3168,  4741,
    4817,  4817,  4817,  3173,  3174,    -1,  4337,  4815,  4817,  4751,
      -1,  3181,    -1,    -1,    -1,  4823,    -1,    -1,  1406,  4817,
      -1,    -1,  4815,    -1,    -1,  4767,    -1,    -1,    -1,  4360,
    4823,    -1,  4767,  4364,  4767,    -1,   214,    -1,    -1,  3209,
      -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,    -1,  4767,    -1,    89,    -1,    -1,    -1,
      -1,    94,    -1,    -1,  1113,    -1,   243,   245,  4810,    -1,
     247,    -1,    -1,  4815,    -1,    -1,    -1,  4819,  1127,  1128,
    4815,  4823,  4815,  1132,    -1,    -1,    -1,    -1,  4823,  1889,
    4823,   268,   269,    -1,    -1,    -1,   274,    -1,    -1,   132,
    4767,    -1,  4815,    -1,    -1,  1905,   283,    -1,    -1,    -1,
    4823,    -1,    -1,    -1,    -1,  2848,    -1,    -1,    -1,   152,
      -1,    -1,    -1,    -1,    -1,    -1,  1175,    -1,    -1,  4767,
      -1,   308,    -1,    -1,   311,    95,    -1,   170,    -1,    -1,
      -1,   101,    -1,    -1,    -1,    -1,    -1,   324,  4815,    -1,
     183,  4095,    -1,    -1,    -1,    -1,  4823,  3327,   191,  1547,
      -1,    -1,  1962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2904,    -1,   206,    -1,   208,    -1,  4815,    -1,   212,
      -1,   141,    -1,    -1,    -1,  4823,    -1,    -1,    -1,   222,
      -1,    -1,   370,    -1,    -1,    -1,   374,   230,    -1,    -1,
      -1,    -1,   380,    -1,    -1,  4536,  4150,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,
      -1,    -1,   399,    -1,    85,   403,    -1,    88,    -1,    -1,
     190,    -1,  3814,   411,    -1,    -1,    85,   197,  3359,    88,
     200,  3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,
    3371,  2612,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,   113,  2626,  2627,    -1,    -1,  2630,
     119,  3392,    -1,    -1,    -1,  2636,    -1,    -1,    -1,    -1,
      -1,    -1,   143,   461,  1672,    -1,    -1,   465,    -1,    -1,
      -1,    -1,   252,    -1,   143,    -1,    -1,    -1,  3741,  3742,
    3421,  3422,    -1,    -1,    -1,    -1,    -1,    -1,  1357,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,    -1,  4226,    -1,    -1,    -1,
      -1,  1719,    -1,    -1,    -1,  4235,    -1,    -1,    -1,    -1,
      -1,  3923,  2703,    -1,    -1,  3927,   306,  3517,   308,    -1,
      -1,    -1,  4252,  4253,    -1,    -1,   205,  1745,   318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,
      -1,    -1,  3815,  3816,  3817,   335,    -1,    -1,    -1,    -1,
      -1,    -1,   243,    -1,    -1,    -1,   247,  3969,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   366,   268,   269,    -1,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,    -1,   283,    -1,  1812,    95,    -1,    -1,    -1,    -1,
      -1,   101,  3602,    -1,   283,   395,  4767,    -1,    -1,    -1,
      -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,  3618,    -1,
     311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1849,   311,   324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,   324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4815,    -1,  2286,    -1,    -1,  1877,
      -1,   451,  4823,    -1,    -1,    -1,    -1,    -1,  1547,    -1,
    3670,    -1,  1551,  1552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2313,    -1,  3685,  3686,    -1,  2318,    -1,
     190,  2321,    -1,    -1,  3694,    -1,    -1,   197,  3698,    -1,
     200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,  3709,
      -1,    -1,    -1,  2343,    -1,    -1,    -1,  1935,    -1,    -1,
     399,    -1,  4452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3301,    -1,
      -1,    -1,  2372,    -1,    -1,  4157,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,  1634,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2395,    -1,    -1,  3719,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4550,    -1,   641,    -1,
      -1,    -1,  2973,    -1,  4057,  4058,    -1,  4060,  2418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,   489,    -1,
     491,   492,   493,   494,   495,   496,   306,  2437,   308,    -1,
    2440,    -1,   491,   492,   493,   494,   495,   496,   318,    -1,
    3820,    -1,    -1,    -1,    -1,  1704,   326,  2457,    -1,    -1,
      -1,  1710,    -1,    -1,  2464,   335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2477,  3039,    -1,
    3041,    -1,    -1,    -1,    -1,  4267,  2486,    -1,    -1,    -1,
    4272,    -1,    -1,  4275,    -1,    -1,   366,    -1,    -1,    -1,
     370,    -1,    71,    -1,    -1,  1754,  3439,    -1,  1757,  1758,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,  2125,    -1,   108,
      -1,    -1,    -1,    -1,   113,    -1,    95,    -1,    -1,    -1,
     119,    -1,   101,    -1,    -1,    -1,    -1,    -1,  3119,    -1,
      -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,  1817,    -1,
      -1,    -1,  3893,  3894,   143,    -1,    -1,    -1,    -1,    -1,
      -1,   451,    -1,    -1,    -1,    -1,    -1,  3957,   821,   822,
     823,   824,   141,   826,   827,    -1,   829,   830,   831,    -1,
     833,    -1,   835,    -1,   837,    -1,   839,  3540,    -1,  3979,
     843,   844,   845,  3983,    -1,    -1,    -1,    -1,    -1,    -1,
     853,    -1,    -1,  4767,    -1,   858,    -1,   860,    -1,    -1,
     863,    -1,   865,    -1,   867,    -1,    -1,    -1,   871,    -1,
     873,   190,   875,   876,    -1,    -1,    -1,    -1,   197,    -1,
     883,   200,    -1,   886,  4024,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4037,  4038,    -1,
      -1,  4815,  4042,  4043,   243,    -1,    -1,   910,   247,  4823,
      -1,   914,    -1,    -1,    -1,    -1,   919,    -1,    -1,    -1,
     923,    -1,    -1,   926,    -1,    -1,  4478,    -1,    -1,   268,
     269,    -1,    -1,   252,    -1,    -1,    -1,    -1,   941,  3270,
      -1,    -1,    -1,  3274,   283,  3276,    -1,  3278,  3279,   952,
      -1,   160,    -1,    -1,    -1,    -1,  3287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,  4114,  4115,  4116,  4117,  4118,    -1,
      -1,    -1,  4122,    -1,    -1,   324,    -1,   306,   327,   308,
    3321,   994,    -1,    -1,    -1,    -1,    -1,   206,    -1,   318,
      -1,    -1,    -1,  1006,  1007,    -1,    -1,   326,    -1,   218,
      -1,    -1,    -1,   222,    -1,    -1,   335,    -1,   227,    -1,
      -1,    -1,    -1,   232,    -1,    -1,   235,  2385,   237,    -1,
    1033,    -1,  2390,  2391,  1037,  1038,    -1,    -1,  1041,    -1,
      -1,    -1,    -1,  2401,    -1,    -1,    -1,   366,    -1,    -1,
      -1,   370,  1055,    -1,    -1,   264,  1059,    -1,  4471,    -1,
     399,    -1,    -1,    -1,  1067,    -1,    -1,    -1,  4481,    -1,
      -1,    -1,    -1,    -1,  1077,   284,   395,    -1,    -1,    -1,
      -1,    -1,    -1,    95,    -1,    -1,  1089,    85,    -1,   101,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,    -1,    -1,    -1,   113,    -1,  4530,    -1,   328,
      -1,   119,    -1,    -1,  1127,  1128,    -1,    -1,    -1,   141,
      -1,    -1,   451,    -1,    -1,  4226,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4235,   143,    -1,    -1,   487,   488,
     489,  4291,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,  4252,  4253,    -1,   373,    -1,    -1,  1170,    -1,  2527,
      -1,    -1,    -1,  2943,  1177,  1178,    -1,    -1,   190,    -1,
      -1,    -1,    -1,    -1,  4736,   197,    -1,    -1,   200,    -1,
      -1,    -1,    -1,    -1,  4607,    -1,    -1,  4337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,   417,    -1,
      -1,    -1,    -1,  1216,    -1,  2234,    -1,    -1,    -1,    -1,
    3923,  4773,    -1,  1226,  3927,    -1,  1229,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,  2596,  1242,
     252,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,    -1,    -1,  1256,   463,    -1,   465,   466,    -1,  1262,
    1263,    -1,    -1,  2282,    -1,  4817,    -1,  2286,    -1,    -1,
     268,   269,    -1,  1276,  1277,  1278,  1279,    -1,  1281,    -1,
      -1,    -1,  1285,  2302,    85,   283,    -1,    88,    -1,   498,
      -1,    -1,   501,   502,   306,   504,   308,    -1,    -1,    -1,
    3070,    -1,    -1,    -1,    -1,    -1,   318,  3077,    -1,    -1,
    1313,  1314,   113,   311,   326,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,   335,    -1,    -1,   324,    -1,    -1,  1332,
      -1,    -1,    -1,  2691,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,  1347,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,  1357,    -1,    -1,    -1,   370,    -1,
      -1,  4452,    -1,    -1,    -1,  3135,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,   395,  1387,  1388,    -1,    -1,    -1,  1392,
      -1,  1394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   399,    -1,    -1,   205,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1416,    -1,    -1,  1419,    -1,    -1,  1422,
    1423,    -1,    -1,    85,    -1,  2444,    88,    -1,    -1,    -1,
      -1,  1434,    -1,  2452,    -1,  2454,    -1,    -1,    -1,   451,
      -1,    -1,   243,   105,    -1,    -1,   247,    -1,    -1,    -1,
      -1,   113,    -1,  4593,    -1,    -1,    -1,   119,    -1,  1462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,
    3801,    -1,    -1,    -1,    -1,    -1,    -1,  3808,  3809,    -1,
      -1,   143,   283,    -1,    -1,    -1,    -1,  1490,  1491,    -1,
    1493,    -1,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,  1510,    -1,   247,
     311,    -1,    -1,    -1,    -1,    -1,  3286,    -1,    -1,    -1,
      -1,    -1,    -1,   324,    -1,    -1,    -1,  1530,  1531,    -1,
     268,   269,    -1,    -1,  3304,    -1,    -1,    -1,    -1,    -1,
      -1,  1544,    -1,    -1,    -1,   283,    -1,    -1,  1551,  1552,
      -1,    -1,  3322,    -1,    -1,  1558,    -1,    -1,  1561,    -1,
      -1,    -1,    -1,    -1,  4267,    -1,    -1,    -1,    -1,  4272,
     308,    -1,  4275,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,   324,  1590,    -1,   327,
      -1,  1594,  1595,    -1,    -1,    -1,    -1,    -1,   399,    -1,
      -1,  1604,  1605,  1606,    -1,    -1,   268,   269,    -1,    -1,
    4313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   283,    -1,    -1,    -1,  2983,    -1,  4767,    -1,  1632,
      -1,  1634,    -1,    -1,    -1,    -1,    -1,    -1,  4341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,
      -1,    -1,    -1,    -1,    -1,  2674,    -1,    -1,    -1,    -1,
      -1,   399,   324,  3021,  3022,   327,  3024,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4377,  4815,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4823,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,   493,   494,   495,   496,    -1,  4028,  4029,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3074,    -1,  3076,    -1,
    1723,    -1,    -1,    -1,    -1,  4428,  1729,    -1,    -1,  1732,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,    -1,    -1,  1747,    -1,    -1,  4078,  4079,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,  3120,    -1,    -1,   503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4478,  1779,  1780,  1781,  1782,
    1783,    -1,    -1,  3141,    -1,    -1,    -1,    -1,    -1,  1792,
      -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1808,    -1,  1810,    -1,    -1,
    3168,    -1,    -1,    -1,    -1,  1818,  1819,    -1,    -1,    -1,
      -1,  1824,    -1,  3181,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,   503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,
      -1,    -1,  3632,    -1,    -1,    -1,    -1,    -1,  1871,  4200,
      -1,  4202,  4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4213,    -1,    -1,    -1,  1889,  3245,    -1,    -1,
      -1,    -1,  1895,  1896,  1897,  1898,    -1,    -1,    -1,    -1,
    3258,    -1,  1905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1914,    -1,  3271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,
      -1,    -1,    -1,  1936,    -1,  1938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1946,    -1,    -1,    -1,    -1,  1951,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1960,    -1,  1962,
      -1,  4664,    -1,  1966,  1967,    -1,    -1,    -1,    85,    -1,
    4673,    88,    -1,    -1,    -1,    -1,    -1,  1980,    -1,    -1,
    1983,  3339,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
    3358,    -1,   119,    -1,  4707,    -1,    -1,    -1,    -1,    -1,
      -1,  2014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,
      -1,    -1,    -1,  2026,  2027,  3383,   143,    -1,    -1,    -1,
      -1,  2034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2050,  2051,    -1,
      -1,  2054,    -1,    -1,    -1,  2058,  2059,    -1,    -1,    -1,
      -1,  3419,    -1,  2066,    -1,    -1,  2069,    -1,    -1,  2072,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2080,  2081,    -1,
      -1,    -1,    -1,    -1,    -1,  2088,    -1,  2090,  2091,  2092,
    2093,  2094,    -1,    -1,    -1,    -1,    -1,    -1,  2101,  2102,
      -1,  2104,    -1,  2106,  2107,    -1,    -1,  2110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4446,  4819,    -1,    -1,    -1,
      -1,    -1,    -1,  2126,    -1,    -1,   243,  2130,  2131,    -1,
     247,    -1,  2135,    -1,    -1,    -1,  2139,    -1,  2141,  2142,
    2143,  2144,  2145,  2146,  2147,  2148,  2149,    -1,  2151,  3168,
      -1,   268,   269,  2156,  2157,    -1,    -1,  2160,    -1,    -1,
      -1,    -1,  3181,    -1,    -1,    -1,   283,    -1,    -1,    -1,
      -1,  4502,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
    4531,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
     327,    -1,    -1,    -1,  2217,    -1,  2219,    -1,  2221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2257,    -1,  2259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4046,    -1,    -1,    -1,
      -1,    -1,   399,  2286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3327,    -1,
    2313,    -1,    -1,    -1,    -1,  2318,    -1,    -1,  2321,  2322,
      -1,    -1,    -1,    -1,  2327,    -1,  2329,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
    2343,  2344,    -1,    -1,    -1,    -1,  2349,    -1,  2351,  2352,
    2353,    -1,  2355,  2356,    -1,  2358,    -1,  2360,   113,  2362,
    2363,    -1,    95,    -1,   119,    -1,    -1,    -1,   101,  2372,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,    -1,    85,    -1,   501,    88,    -1,  3745,   143,    -1,
      -1,    -1,  2395,   126,  2397,    -1,    -1,    -1,    -1,    -1,
    2403,    -1,    -1,    -1,    -1,  2408,    -1,    -1,   141,    -1,
     113,  2414,    -1,    -1,    -1,  2418,   119,    -1,  4749,    -1,
    3778,    -1,    -1,    -1,    -1,    -1,  2429,  2430,    -1,    -1,
      -1,    -1,    -1,  2436,  2437,    -1,    -1,  2440,    -1,   172,
     143,    -1,    -1,    -1,    -1,    -1,    -1,  2450,    -1,    -1,
     205,    -1,    -1,    -1,  2457,    -1,    -1,   190,    -1,    -1,
      -1,  2464,    -1,    -1,   197,    -1,    -1,   200,    -1,    -1,
    2473,    -1,  2475,  2476,  2477,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2486,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,  2502,
      -1,    -1,   205,    -1,    -1,    -1,    -1,  2510,  2511,  2512,
    2513,  2514,  2515,   268,   269,    -1,   249,    -1,    -1,   252,
      -1,    -1,  2525,    -1,    -1,    -1,    -1,    -1,   283,    -1,
    3888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,  3899,    -1,    -1,   247,  2548,    -1,    -1,    -1,  2552,
    2553,    -1,    -1,    -1,  2557,    -1,   311,    -1,    -1,    -1,
      -1,   294,    -1,   296,    -1,   268,   269,    -1,    -1,   324,
      -1,    -1,    -1,   306,    -1,   308,    -1,    -1,    -1,  2582,
     283,    -1,    -1,  3602,    -1,   318,  2589,  2590,    -1,    -1,
      -1,    -1,    -1,   326,    -1,    -1,  2599,  2600,    -1,  3618,
      -1,   334,   335,    -1,    -1,    -1,    -1,    -1,   311,    -1,
      -1,    -1,    -1,    -1,  2617,  2618,  2619,  2620,    -1,    -1,
      -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2634,    -1,   366,    -1,    -1,    -1,   370,   371,  2642,
      -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,  4006,    -1,
      -1,  3670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2663,    -1,   395,    -1,    -1,    -1,    -1,    -1,    -1,  4027,
      -1,    -1,   405,    -1,    -1,    -1,  2679,    85,    -1,    -1,
      88,  4039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   399,   105,  2701,    -1,
      -1,    -1,  2705,    -1,    -1,   113,  2709,    -1,    -1,    -1,
      -1,   119,    -1,    -1,  2717,    -1,    -1,    -1,   451,  4077,
    2723,  2724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,   491,   492,   493,   494,
     495,   496,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
    2753,  2754,    -1,    -1,    -1,  2758,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,  2770,  2771,  2772,
    2773,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
    2783,    -1,    -1,  2786,    -1,  2788,  2789,    -1,   491,   492,
     493,   494,   495,   496,    -1,  2798,  2799,    85,    -1,  2802,
      88,  3820,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2815,    -1,  2817,    -1,  2819,   105,  2821,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,  2837,   243,    -1,    -1,  2841,   247,
      -1,    -1,    -1,    -1,    -1,  2848,    -1,  2850,  2851,  2852,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,    -1,  2870,    -1,    -1,
      -1,  2874,  4230,    -1,    -1,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2886,    -1,    -1,    -1,    -1,  2891,    -1,
      -1,    -1,  2895,    -1,    -1,  2898,    -1,    -1,    -1,    -1,
     308,  2904,   243,   311,  2907,    -1,   247,    -1,  2911,   117,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2943,    -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,   243,    -1,    -1,    -1,   247,
      -1,  2964,    -1,  2966,  3983,    -1,    -1,   308,  2971,    -1,
     311,    -1,    -1,    -1,    -1,    -1,    -1,  2980,    -1,  4337,
     268,   269,    -1,   324,    -1,  2988,   327,  2990,  2991,    -1,
      -1,   399,    -1,    -1,    -1,   283,    -1,    -1,    -1,   207,
      -1,    -1,    -1,    -1,    -1,  4024,    -1,   215,    -1,   217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,   229,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3070,    85,    -1,
      -1,    88,  4430,    -1,  3077,    -1,    -1,    -1,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,    -1,  4453,   113,    -1,    -1,    -1,
      -1,    -1,   119,  4122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4483,   143,    -1,    -1,    -1,
      -1,    -1,  3135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3145,  3146,    -1,    -1,   487,   488,   489,    -1,
     491,   492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,
     501,  4519,    -1,    -1,    -1,  4523,  4524,    -1,    -1,    -1,
      -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,  3194,    -1,  3196,    -1,    -1,    -1,  3200,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3224,  3225,    -1,    -1,    -1,   243,    -1,    -1,  3232,
     247,    -1,    -1,  3236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,  3251,    -1,
      88,   268,   269,    -1,  3257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3266,    -1,    -1,   283,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,  3280,    -1,    -1,
    3283,   119,    85,  3286,    -1,    88,    -1,  3290,    -1,    -1,
      -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,  3301,    -1,
      -1,  3304,   105,    -1,    -1,   143,    -1,   324,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,  3320,  4337,  3322,
      -1,    -1,    -1,    -1,    -1,  3328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3336,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,  3345,    -1,    -1,    -1,    -1,    -1,  3351,    -1,
    3353,    -1,    -1,    -1,    -1,    -1,  3359,    -1,    -1,  3362,
    3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,    -1,
      -1,    -1,  3375,  3376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   399,    -1,    -1,  3388,    -1,    -1,    -1,  3392,
      -1,    -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3406,    -1,   243,  3409,    -1,  3411,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3420,  3421,  3422,
      -1,    -1,    -1,  3426,    -1,    -1,  3429,    -1,    -1,    -1,
     268,   269,    -1,  3436,  3437,  3438,  3439,  3440,    -1,    -1,
     243,  3444,  3445,    -1,   247,   283,  3449,    -1,    -1,    -1,
      -1,    -1,  3455,    -1,  3457,    -1,  3459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
     308,    -1,    -1,   311,   491,   492,   493,   494,   495,   496,
     283,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3503,    -1,    -1,    -1,    -1,   308,  3509,    -1,   311,    -1,
    3513,    -1,  3515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   324,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3540,  3541,  3542,
      -1,  3544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3556,  3557,  3558,  3559,    -1,    -1,    -1,
      -1,   399,  3565,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,  4593,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3587,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,   399,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,   813,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   829,    -1,    -1,   143,    -1,  3629,    -1,    -1,  3632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3646,    -1,    -1,    -1,    -1,    -1,   487,
     488,   489,   860,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,   501,    -1,    -1,    -1,  3670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,  3698,    -1,    -1,   501,    -1,
      -1,    -1,    -1,  3706,    -1,    -1,   914,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3717,   923,  3719,    -1,    -1,    -1,
      -1,    -1,  3725,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,  3738,    98,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3748,    -1,    -1,    -1,   268,
     269,    -1,    -1,    -1,  3757,    -1,    -1,    -1,    -1,  3762,
      -1,    -1,    -1,  3766,   283,  3768,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    -1,    -1,    -1,  3779,  3780,    -1,    -1,
      -1,    85,   144,   145,    88,    -1,    -1,    -1,    -1,   308,
      -1,   153,   311,    -1,    -1,   157,    -1,    -1,    -1,    -1,
    3803,   105,  3805,    -1,    -1,   324,    -1,    -1,   327,   113,
      -1,    -1,   174,    -1,    -1,   119,    -1,    -1,    -1,    -1,
    3823,    -1,    -1,    -1,    -1,  1033,    -1,    -1,    -1,    -1,
      -1,  1039,    -1,   195,    -1,  1043,  3839,    -1,    -1,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1067,
      -1,    -1,   224,    -1,    -1,    -1,    -1,   229,    -1,    -1,
      -1,    -1,  3875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     399,    -1,  3885,  3886,    -1,    -1,    -1,    -1,   250,    -1,
    3893,  3894,    -1,    -1,    -1,  3898,    -1,    -1,    -1,    -1,
      -1,  3904,  3905,    -1,    -1,  3908,    -1,  3910,  3911,  3912,
    3913,    -1,    -1,   275,  3917,    -1,    -1,  3920,    -1,    -1,
    3923,    -1,    -1,    -1,  3927,    -1,    85,    -1,    -1,    88,
    3933,    -1,    -1,  3936,    -1,    -1,    -1,    -1,  3941,   243,
      -1,    -1,    -1,   247,  3947,    -1,   105,    -1,    -1,    -1,
    3953,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,  3962,
     119,    -1,   324,    -1,   268,   269,    -1,  3970,   487,   488,
     489,  3974,   491,   492,   493,   494,   495,   496,    -1,   283,
      -1,    -1,   501,    -1,   143,  3988,    -1,    -1,  3991,    -1,
     352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,  4008,  4009,   311,  1216,    -1,
      -1,    -1,    -1,    -1,   160,   377,    -1,    -1,  1226,   381,
     324,   383,  4025,   327,    -1,    -1,    -1,   389,    -1,    -1,
     392,  4034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1248,    -1,    -1,  4046,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,  4059,   419,    -1,    -1,
     206,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
    4073,    -1,   218,  1281,   436,    -1,   222,    -1,    -1,    -1,
      -1,   227,    -1,    -1,   243,    -1,   232,    -1,   247,   235,
      -1,   237,    -1,    -1,  4097,   399,    -1,    -1,   460,    -1,
      -1,    -1,  4105,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,  4114,  4115,  4116,  4117,  4118,    -1,    -1,   264,    -1,
      -1,    -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4138,    -1,    -1,   284,  1347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4166,  4167,   324,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,   320,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,  4196,    -1,  4198,    -1,   501,  1406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4226,    -1,    -1,  1434,   373,    -1,    -1,
      -1,    -1,  4235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4252,
    4253,    -1,    -1,  4256,  1462,    -1,    -1,    -1,    -1,    -1,
    4263,    -1,    -1,    -1,  4267,    -1,    -1,    -1,    -1,  4272,
      -1,   417,  4275,  4276,    -1,  4278,    -1,  4280,  4281,    -1,
      -1,    -1,  1490,  1491,    -1,  1493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1510,    -1,  4307,    -1,  4309,    -1,    -1,    -1,
    4313,  4314,  4315,  4316,  4317,    -1,    -1,   463,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,  4341,  4342,
      -1,    -1,   501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,  1561,  1562,   501,   502,    -1,   504,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4371,    85,
      -1,    -1,    88,    -1,  4377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1590,  4386,    -1,    -1,  1594,  1595,    -1,   105,
      -1,    -1,    85,    -1,    -1,    88,  4399,   113,  4401,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
    4413,    -1,   105,    -1,    -1,  4418,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,  4427,  4428,   119,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4452,
     143,    -1,  4455,    -1,  4457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,    -1,    -1,
    1678,  4474,    -1,    -1,    -1,  4478,    -1,  1685,  4481,    -1,
      -1,    -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1712,    -1,  4509,    -1,    -1,    -1,
    4513,  1719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4526,  4527,  4528,  4529,   243,    -1,    -1,
      -1,   247,    -1,  4536,    -1,    -1,    -1,  1745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,   268,   269,   247,  4558,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1794,    -1,    -1,    -1,
     283,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1812,    -1,    -1,    -1,   324,    -1,
      -1,   327,    -1,  4616,    -1,   308,    -1,    -1,   311,  4622,
      -1,  4624,    -1,  1831,    -1,    -1,    -1,    -1,  4631,    -1,
      -1,   324,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,  1849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4661,    -1,
      -1,  4664,    -1,    -1,  1872,    85,    -1,    -1,    88,  1877,
    4673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4682,
      -1,    -1,    -1,   399,    -1,   105,    -1,    -1,  4691,    -1,
      -1,  4694,  4695,   113,  4697,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,    -1,  4707,    -1,   399,    -1,    -1,    -1,
      -1,    -1,  4715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1929,    -1,   143,    -1,    -1,    -1,  1935,    -1,    -1,
    1938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4741,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4751,    -1,
      -1,    -1,    -1,  4756,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,   501,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,  4810,   501,    -1,
      -1,    -1,    -1,    -1,  2022,    -1,  4819,    -1,    85,    -1,
      -1,    88,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,  1248,    -1,    -1,    -1,   113,    -1,   268,   269,
    2058,  2059,   119,    -1,    -1,    -1,    -1,    -1,  2066,    -1,
      -1,  2069,    -1,   283,  2072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2080,  2081,    -1,    -1,   143,    -1,    -1,    -1,
    2088,    -1,    -1,  2091,  2092,  2093,  2094,    -1,   308,    -1,
      -1,   311,    -1,  2101,  2102,    -1,  2104,    -1,  2106,  2107,
      -1,    -1,  2110,    -1,   324,    -1,    -1,   327,    -1,    -1,
      -1,    -1,    98,    -1,    -1,    -1,    -1,  2125,  2126,  2127,
      -1,    -1,    -1,  2131,   110,    -1,    -1,  2135,    -1,    -1,
      -1,  2139,    -1,  2141,  2142,  2143,  2144,  2145,  2146,  2147,
    2148,  2149,    -1,  2151,    -1,   131,    -1,    -1,    -1,  2157,
      -1,    -1,  2160,    -1,    -1,    -1,    -1,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   822,
     823,   157,    -1,   826,   827,    -1,   243,    -1,    -1,   399,
     247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
     843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1406,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,   195,
     863,    -1,    -1,  2221,   867,    -1,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
     883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,   308,    -1,   229,   311,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
     327,    -1,    -1,    -1,   250,    -1,    -1,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,    -1,    -1,    -1,
      -1,   501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   399,    -1,    -1,    -1,  2344,    -1,   324,    -1,
      -1,  2349,    -1,    -1,    -1,    -1,    -1,  2355,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2385,    -1,    -1,
      -1,    -1,  2390,  2391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,  2401,    -1,   381,    -1,   383,    -1,    -1,
      -1,    -1,    -1,   389,    -1,    -1,   392,    -1,    -1,  2417,
      -1,    -1,  2420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
      -1,   417,   499,   419,     5,    -1,    -1,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,    -1,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    25,  1248,    -1,    -1,    -1,    -1,
      -1,   447,    -1,    -1,    35,    36,  1672,    -1,    -1,    -1,
      41,    -1,    43,    44,   460,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,  1719,    98,    86,    -1,  2525,    -1,  2527,
      -1,    -1,    -1,    -1,  1177,  1178,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1745,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2596,  1242,
     174,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1812,    -1,    -1,  1262,
    1263,   195,    -1,  1406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1831,  1279,    -1,    -1,   213,
      -1,    -1,    -1,   204,  2642,    -1,    -1,    -1,    -1,    -1,
     224,    -1,    -1,  1849,    -1,    -1,    -1,   231,    -1,   220,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1313,  1314,    -1,    -1,    -1,    -1,   250,    -1,    -1,   240,
      -1,  1877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2691,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,    -1,    -1,    -1,    -1,    -1,  2705,    -1,    -1,
      -1,  2709,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2723,  2724,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    -1,   298,    -1,  1935,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,   313,   327,    -1,  2753,  2754,    -1,    -1,    -1,
    2758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2770,  2771,  2772,  2773,    -1,    -1,    -1,    -1,
    2778,    -1,    -1,   207,    -1,  2783,  2784,    -1,  2786,    -1,
    2788,   215,    -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,
    2798,  2799,    -1,   377,  2802,    -1,    -1,    -1,    -1,   383,
      85,    -1,    -1,    88,    -1,   389,    -1,  2815,   392,  2817,
      -1,    -1,    -1,  2821,    -1,   386,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,   109,    -1,    -1,    -1,   113,  2837,
      -1,    -1,    -1,   417,   119,   419,   420,    -1,   422,   423,
    2848,    -1,  2850,  2851,  2852,    -1,    -1,   431,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,   427,   441,   143,    -1,
     444,    -1,    -1,   447,    -1,    -1,  2874,    85,    -1,   440,
      88,    -1,    -1,    -1,    -1,    -1,   460,    -1,  2886,  1672,
      -1,    -1,    -1,  2891,   455,    -1,    -1,   105,    -1,    -1,
    2898,    -1,    -1,    -1,    -1,   113,  2904,    -1,    -1,    -1,
      -1,   119,    -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,
     481,    -1,    -1,    -1,    -1,    -1,   487,    -1,    -1,  2125,
     491,   492,   493,   494,   495,   143,  1719,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1745,    -1,  2160,    -1,  2964,    -1,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,  3021,  3022,    -1,  3024,    -1,    -1,  1812,
      -1,    -1,    -1,   308,    -1,   243,   311,    -1,    -1,   247,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1831,   324,
      -1,    -1,   327,  3051,  3052,  3053,    -1,    -1,    -1,    -1,
     268,   269,    -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   283,  3074,    -1,  3076,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1732,
      -1,    -1,    -1,    -1,  1877,    -1,    -1,    -1,    -1,    -1,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,    -1,  3120,    -1,   399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1779,  1780,  1781,  1782,
      -1,    -1,    -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3163,    -1,    -1,    -1,    -1,
    3168,    -1,    -1,   448,    -1,  1818,  1819,    -1,    -1,    -1,
      -1,  1824,  3180,  3181,    -1,    -1,    -1,    -1,    -1,  2385,
      -1,   399,    -1,    -1,  2390,  2391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2401,    -1,    -1,    -1,    -1,
      -1,    -1,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,    -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3245,    -1,    -1,
      -1,   105,  1895,  1896,  1897,  1898,    -1,    -1,    -1,   113,
    3258,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3271,    -1,    -1,    -1,    -1,    -1,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,   143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1967,    -1,    -1,    -1,    -1,    -1,
      -1,  2527,    -1,    -1,    -1,    -1,    -1,    -1,  3336,    -1,
      -1,  3339,  2125,    -1,    -1,    -1,    -1,  3345,    -1,    -1,
      -1,    -1,    -1,  3351,    -1,  3353,    -1,    -1,    -1,    -1,
    3358,  3359,    -1,    -1,  3362,  3363,  3364,  3365,  3366,  3367,
    3368,  3369,  3370,  3371,    -1,    -1,    -1,  3375,  3376,    -1,
      -1,    -1,    -1,    -1,    -1,  3383,    -1,    -1,    -1,   243,
    3388,    -1,    -1,   247,  3392,    -1,  3394,   821,  3396,    -1,
    2596,    -1,    -1,    -1,    98,   829,    -1,    -1,  3406,    -1,
      -1,  3409,    -1,  3411,   268,   269,    -1,    -1,    -1,    -1,
      -1,  3419,  3420,  3421,  3422,    -1,    -1,    -1,  3426,   283,
      -1,  3429,    -1,    -1,    -1,    -1,   860,    -1,    -1,    -1,
      -1,  3439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     144,  3449,    -1,    -1,   308,    -1,    -1,   311,    -1,  3457,
      -1,  3459,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,   180,  2130,    -1,    -1,
     914,    -1,   346,   160,    -1,  2691,    -1,    -1,    -1,   923,
      -1,   195,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    85,
      -1,  3509,    88,    -1,    -1,    -1,    -1,  3515,    -1,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     224,    -1,    -1,    -1,    -1,   229,    -1,   113,    -1,   206,
      -1,   235,  3540,   119,    -1,   399,    -1,    -1,    -1,    -1,
      -1,   218,    -1,    -1,    -1,   222,   250,    -1,   412,    -1,
     227,    -1,    -1,    -1,    -1,   232,    -1,   143,   235,    -1,
     237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,  3597,
      -1,    -1,  2385,  3601,  3602,  3603,    -1,  2390,  2391,  1033,
      -1,    -1,    -1,    -1,    -1,  1039,    -1,   284,  2401,  1043,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,  1067,    -1,   221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,  2850,  2851,  2852,    -1,   352,    -1,
      -1,   328,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   377,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,   268,   269,    -1,   389,    -1,    -1,   392,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   373,   283,  2351,  2352,
    2353,    -1,    -1,    -1,    -1,  2358,    -1,  2360,    -1,  2362,
    2363,  3719,    -1,   417,    -1,   419,    -1,    -1,    -1,   423,
      -1,    -1,   308,    -1,    -1,   311,    -1,   431,    -1,    -1,
      -1,    -1,   436,    -1,  2527,    -1,    -1,  3745,   324,    -1,
     417,   327,    -1,   447,    -1,    -1,   831,    -1,    -1,    -1,
      -1,    -1,   837,    -1,    -1,    -1,   460,    -1,   344,    -1,
     845,    -1,    -1,   440,    -1,    -1,    -1,    -1,   853,    -1,
    3778,  3779,  3780,   858,    -1,    -1,    -1,  2983,    -1,    -1,
      -1,    -1,  1216,    -1,    -1,    -1,   463,    -1,   465,   466,
      -1,    -1,  1226,    -1,    -1,    -1,    -1,  2450,    -1,    -1,
      -1,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   399,  1248,  3021,  3022,    -1,  3024,    -1,
      -1,   498,    -1,    -1,   501,   502,    -1,   504,    -1,    -1,
      -1,  3839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1281,    -1,  2502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2510,  2511,  2512,
    2513,  2514,  2515,    -1,    -1,    -1,    -1,  3875,  3074,    -1,
    3076,    -1,    -1,    -1,    -1,    -1,    -1,  3885,  3886,    -1,
    3888,    -1,    -1,    -1,    -1,  3893,  3894,    -1,    -1,    -1,
    3898,  3899,    -1,    -1,    -1,    -1,  3904,  3905,  2691,    -1,
    3908,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,  1347,  3120,  3923,    -1,    -1,    -1,  3927,
      -1,  1006,    -1,    -1,    -1,    -1,    -1,    -1,  3936,    -1,
      -1,    -1,    -1,  3941,    -1,  3141,  2589,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3953,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1038,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3168,    -1,  2617,    -1,  2619,    -1,    -1,    -1,
    1055,    -1,  1406,    -1,    -1,  3181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3991,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1077,    -1,    -1,    -1,    -1,    -1,  4006,    -1,
    1434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4027,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,  1462,    88,
      -1,  4039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3245,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,   108,
      -1,    -1,  3258,    -1,   113,    -1,  1490,  1491,    -1,  1493,
     119,    -1,    -1,    -1,  2717,  3271,    -1,    -1,    -1,  4077,
      -1,    -1,    -1,    -1,    -1,    -1,  1510,    85,    -1,    -1,
      88,    -1,    -1,    -1,   143,    -1,    -1,  4095,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
     108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1561,    -1,    -1,
    4138,    -1,    -1,  3339,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,  4150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3358,    -1,    -1,    -1,  1590,    -1,    -1,    -1,
    1594,  1595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1256,    -1,    -1,    -1,    -1,    -1,  3383,    -1,    -1,
      -1,    -1,    -1,    -1,   243,  4193,    -1,    -1,   247,    -1,
    2983,  1276,  1277,  1278,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
     269,    -1,    -1,  3419,    -1,    -1,    -1,    -1,  4226,    -1,
      -1,    -1,  4230,    -1,   283,    -1,    -1,  4235,  3021,  3022,
      -1,  3024,    -1,    -1,    -1,   243,    -1,    -1,  1672,   247,
      -1,    -1,    -1,    -1,  4252,  4253,    -1,    -1,  4256,   308,
      -1,  1685,   311,  3459,    -1,    -1,    -1,    -1,    -1,  4267,
     268,   269,    -1,    -1,  4272,   324,    -1,  4275,   327,    -1,
      -1,    -1,  4280,  4281,    -1,   283,    -1,    -1,  1712,    -1,
      -1,  3074,    -1,  3076,    -1,  1719,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,    -1,    -1,   311,    -1,  4313,    -1,  1392,    -1,    -1,
      -1,  1745,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,  4337,
      -1,    -1,    -1,  4341,  1419,  2988,    -1,  2990,  2991,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4377,
      -1,    -1,    -1,    -1,    -1,  3168,    -1,    -1,  1812,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3181,    -1,
      -1,   399,    -1,    -1,    -1,    -1,  3602,  1831,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,    -1,
    4428,    -1,  4430,    -1,    -1,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,  1877,  4452,  4453,    -1,  4455,    -1,  4457,
      -1,    -1,  3245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3258,  4474,    -1,    -1,    -1,
    4478,    -1,    -1,  1558,    -1,  4483,    -1,    -1,  3271,   487,
     488,   489,    -1,   491,   492,   493,   494,   495,   496,    -1,
      -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,    -1,
      -1,  1935,    -1,    -1,  1938,    -1,    -1,    -1,    -1,    -1,
      -1,  4519,    -1,    -1,    -1,  4523,  4524,    -1,    -1,    -1,
    1605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3745,
      -1,    -1,  4550,    -1,    -1,    -1,  3339,    -1,    -1,    -1,
    4558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3358,    -1,    -1,    -1,    -1,
      -1,    -1,  3778,    -1,    -1,    -1,    -1,    -1,  4586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,    -1,
    3383,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,  4631,  2058,  2059,  3419,   119,    -1,    -1,
      -1,    -1,  2066,    -1,    -1,  2069,    -1,    -1,  2072,    -1,
      -1,    -1,    -1,    -1,  1729,    -1,  2080,  2081,    -1,    -1,
      -1,   143,    -1,    -1,  2088,    -1,  4664,  2091,  2092,  2093,
    2094,    -1,    -1,    -1,    -1,  4673,    -1,  2101,  2102,    -1,
    2104,    -1,  2106,  2107,    -1,  3328,  2110,    -1,    -1,    -1,
      -1,    -1,  3888,    -1,    -1,    -1,  4694,  4695,    -1,    -1,
      -1,  2125,  2126,  3899,    -1,    -1,    -1,  2131,  1783,  4707,
      -1,  2135,    -1,    -1,    -1,  2139,    -1,  2141,  2142,  2143,
    2144,  2145,  2146,  2147,  2148,  2149,    -1,  2151,    -1,    -1,
      -1,    -1,    -1,  2157,    -1,  1810,  2160,    -1,    -1,    -1,
    3936,    -1,    -1,  4741,    -1,  3941,    85,    -1,    -1,    88,
      -1,    -1,    -1,  4751,    -1,    -1,    -1,  3953,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,   105,    -1,    -1,  4767,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,  2221,    -1,    88,
      -1,   283,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
    4006,    -1,  4810,    -1,    -1,    -1,   105,  4815,    -1,  3602,
      -1,  4819,    -1,    -1,   113,  4823,   308,    -1,    -1,   311,
     119,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   324,  4039,    -1,   327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,   341,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,  1951,    -1,    -1,    -1,
      -1,  4077,    -1,    -1,    -1,  1960,    -1,    -1,   227,   105,
      -1,    -1,   108,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,   243,  1980,    -1,    -1,   247,    -1,
      -1,    -1,    -1,  3556,  3557,  3558,  3559,   399,    -1,    -1,
    2344,    -1,    -1,    -1,    -1,  2349,    -1,   143,    -1,   268,
     269,  2355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,  2026,  2027,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,  2385,  3745,    -1,    -1,    -1,  2390,  2391,    -1,   308,
      -1,    -1,   311,    -1,    -1,    -1,    -1,  2401,    -1,   268,
     269,    -1,    -1,    -1,    -1,   324,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,   283,  3778,    -1,  4193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,    -1,    -1,  4230,   324,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,   283,    -1,    -1,
      -1,    -1,    -1,    -1,  3717,    -1,    -1,    -1,    -1,    -1,
      -1,  2156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,  2525,    -1,  2527,    -1,  3888,  2181,    -1,   324,    -1,
     399,   327,    -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,
      -1,  4337,  2217,    -1,  2219,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,   488,
     489,    -1,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2642,    -1,
      -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4027,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4039,  4453,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2691,    -1,    -1,
      -1,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,  2705,    -1,    -1,    -1,  2709,    -1,  4483,    -1,    -1,
      -1,    -1,    -1,    -1,  4077,    -1,    -1,    -1,    -1,  2723,
    2724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4519,    -1,    -1,    -1,  4523,  4524,  2753,
    2754,    -1,    -1,    -1,  2758,    -1,    -1,    -1,    -1,  2414,
      -1,    -1,    -1,    -1,    -1,    -1,  2770,  2771,  2772,  2773,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2783,
      -1,    -1,  2786,    -1,  2788,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2798,  2799,    -1,    -1,  2802,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
    4586,  2815,    -1,  2817,    -1,    -1,    -1,  2821,    96,    -1,
      -1,    -1,    -1,   105,    -1,    -1,   108,    -1,   106,    -1,
      -1,   113,    -1,  2837,    -1,    -1,  4059,   119,    -1,    -1,
      -1,    -1,    -1,    -1,  2848,    -1,  2850,  2851,  2852,    -1,
    4073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,   142,    -1,    -1,  4230,    -1,    -1,
    2874,    -1,    -1,    85,    -1,   153,    88,    -1,   156,    -1,
      -1,    -1,  2886,    -1,   162,    -1,    -1,  2891,   166,    -1,
      -1,    -1,    -1,   105,  2898,    -1,    -1,    -1,  2553,    -1,
    2904,   113,    -1,    -1,    -1,    -1,    -1,   119,   186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
    2964,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4337,    -1,    -1,    -1,    -1,  2983,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3021,  3022,    -1,
    3024,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,
      -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4430,    -1,    -1,
    3074,   283,  3076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4453,    -1,  4315,  4316,  4317,    -1,   308,    -1,    -1,   311,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,   327,  3120,   399,    -1,    -1,
    4483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,    -1,    -1,    -1,    -1,  3141,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,
    4523,  4524,    -1,    -1,  3168,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2841,   399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4427,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2895,  3245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,    -1,  4509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3301,    -1,    -1,
      -1,    -1,    -1,    -1,  4527,    -1,  4529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3336,    -1,    -1,  3339,    -1,    -1,    -1,    -1,
      -1,  3345,    -1,    -1,    -1,    -1,    -1,  3351,    -1,  3353,
      -1,    -1,    -1,    -1,  3358,  3359,    -1,    -1,  3362,  3363,
    3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,    -1,    -1,
      -1,  3375,  3376,    -1,    -1,    -1,    -1,    -1,    -1,  3383,
      -1,    -1,    -1,    -1,  3388,    -1,    -1,    -1,  3392,    -1,
      -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,    -1,  4622,
      -1,    -1,  3406,    -1,    -1,  3409,    -1,  3411,    -1,    -1,
      -1,    -1,    -1,   691,   692,  3419,  3420,  3421,  3422,    -1,
      -1,    -1,  3426,    -1,    -1,  3429,    -1,    -1,    -1,    -1,
     708,    -1,    -1,    -1,    -1,  3439,    -1,    -1,  4661,    -1,
      -1,    -1,    -1,    -1,    -1,  3449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3457,    -1,  3459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4715,    -1,    -1,    -1,    -1,    -1,    -1,  3503,
      -1,    -1,    -1,    -1,    -1,  3509,    -1,    -1,    -1,    -1,
      -1,  3515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4756,    -1,    -1,  3540,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3200,    -1,    -1,    -1,   827,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   836,    -1,
     838,    -1,   840,    -1,   842,    -1,    -1,    -1,    -1,    -1,
    3225,    -1,    -1,    -1,    -1,    -1,    -1,  3232,    -1,    -1,
      -1,  3236,    -1,   861,    -1,    -1,    -1,    -1,    -1,    -1,
     868,    -1,    -1,    -1,    -1,    -1,  3251,    -1,  3602,   877,
     878,    -1,    -1,    -1,   882,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     898,    -1,   900,    -1,    -1,  3280,    -1,    -1,  3283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   915,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   929,    -1,    -1,   932,    -1,   934,    -1,   936,    -1,
      -1,    -1,    -1,    -1,    -1,  3320,    -1,    -1,    -1,    -1,
      -1,   949,   950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   964,    -1,   966,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   976,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3719,    -1,   995,   996,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,  1004,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3778,  3779,  3780,    -1,    -1,    -1,
      -1,  3436,  3437,  3438,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3839,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1140,    -1,  1142,    -1,    -1,    -1,  1146,    -1,
      -1,  3875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3885,  3886,    -1,  3888,    -1,    -1,    -1,    -1,  3893,
    3894,    -1,    -1,    -1,  3898,  3899,    -1,    -1,    -1,    -1,
    3904,  3905,    -1,    -1,  3908,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3923,
      -1,    -1,    -1,  3927,    -1,    -1,  1204,    -1,    -1,    -1,
      -1,    -1,  3936,    -1,    -1,    -1,    -1,  3941,    -1,    -1,
      -1,    -1,  1220,    -1,    -1,    -1,    -1,    -1,    -1,  3953,
      -1,    -1,    -1,  1231,    -1,    -1,    -1,    -1,    -1,    -1,
    1238,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,
      -1,    96,  1250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,    -1,    -1,    -1,    -1,    -1,  3991,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4006,    -1,  1282,    -1,    -1,   132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,  4027,    -1,    -1,    -1,   152,   153,    -1,
      -1,   156,    -1,    -1,    -1,  4039,    -1,   162,    -1,    -1,
      -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3725,    -1,    -1,  4077,    -1,    -1,    -1,   202,    -1,    -1,
      -1,    -1,    -1,    -1,  1362,    -1,  1364,    -1,    -1,  1367,
      -1,  1369,    -1,  3748,  1372,  1373,  1374,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1385,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,
    1398,    -1,  1400,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,  4138,    -1,    -1,    43,    44,    -1,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4226,    -1,    -1,    -1,  4230,    -1,   134,    -1,
      -1,  4235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4252,  4253,
      -1,    -1,  4256,    -1,    -1,  3910,  3911,  3912,  3913,    -1,
      -1,    -1,    -1,  4267,    -1,    -1,    -1,    -1,  4272,    -1,
      -1,  4275,    -1,    -1,    -1,    -1,  4280,  4281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,  1580,    -1,    -1,    -1,    -1,    -1,    -1,  4313,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4337,   240,    -1,    -1,  4341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,  1637,
      -1,    -1,  1640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1648,    -1,    -1,  4377,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1666,   295,
      -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1701,  4428,    -1,  4430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4452,  4453,
      -1,  4455,    -1,  4457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4474,    -1,    -1,    -1,  4478,    -1,    -1,    -1,    -1,  4483,
     386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4519,   641,    -1,    -1,  4523,
    4524,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,
      -1,  4196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
      -1,    -1,    -1,    -1,  4558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   691,   692,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   481,    -1,    -1,    -1,    -1,
      -1,   487,  4586,   708,    -1,   491,   492,   493,   494,   495,
      -1,    -1,   498,   499,   500,    -1,    -1,    -1,    -1,   505,
     506,    -1,  1880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4616,    -1,    -1,  1893,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1937,
    4664,    -1,    -1,  1941,    -1,    -1,    -1,    -1,    -1,  4673,
      -1,    -1,  1950,    -1,  1952,    -1,  1954,    -1,    -1,    -1,
      -1,  1959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4694,  4695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4707,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1992,    -1,  1994,    -1,    -1,    -1,
    1998,    -1,  2000,    -1,    -1,  2003,    -1,    -1,    -1,  2007,
    2008,  4386,    -1,    -1,    -1,    -1,    -1,  4741,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4751,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   897,   898,    -1,   900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4810,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4819,    -1,    -1,    -1,    -1,
      -1,   946,    -1,    -1,   949,   950,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   962,    -1,   964,
      -1,   966,    -1,    -1,    -1,    -1,    -1,   972,    -1,    -1,
      -1,   976,    -1,    -1,    -1,    -1,    -1,    -1,  4513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     995,   996,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,  2163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
    1035,    -1,  1037,    -1,    -1,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1127,  1128,    -1,    -1,  1131,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2314,  2315,    -1,    -1,
      -1,  2319,  2320,    -1,    -1,  2323,    -1,    -1,    -1,    -1,
    1175,    -1,    -1,    -1,    -1,  2333,    -1,    -1,    -1,    -1,
      -1,    -1,  2340,    -1,    -1,    -1,    -1,    -1,  2346,  2347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,  2357,
      -1,  2359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   220,    -1,  2373,    -1,    -1,    -1,    -1,
    2378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2404,  2405,  2406,  2407,
      -1,    -1,    -1,  2411,  2412,   262,    -1,    -1,    -1,    -1,
      -1,  2419,    -1,    -1,  2422,    -1,    -1,    -1,  2426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2441,    -1,    -1,    -1,    -1,   295,    -1,
      -1,   298,    -1,  2451,    -1,  2453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2461,  2462,  2463,   313,  2465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2478,  2479,  2480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2488,  2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1357,    -1,    -1,    -1,    -1,  1362,    -1,  1364,
      -1,    -1,  1367,    -1,  1369,    -1,    -1,  1372,  1373,  1374,
      -1,    -1,    -1,  1378,    -1,    -1,    -1,    -1,    -1,   386,
    1385,    -1,    -1,    -1,    -1,    -1,  2544,    -1,    -1,    -1,
      -1,    -1,    -1,  1398,    -1,  1400,    -1,    -1,    -1,    -1,
    1405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   481,    -1,    -1,    -1,    -1,    -1,
     487,    -1,    -1,    -1,   491,   492,   493,   494,   495,    -1,
      -1,   498,   499,   500,   821,    -1,    -1,    -1,   505,    -1,
    2658,    -1,   829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1530,  1531,    -1,    -1,    -1,
      -1,    -1,    -1,   860,    -1,    -1,    -1,    -1,    -1,  2697,
      -1,    -1,  1547,    -1,    -1,    -1,  1551,  1552,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   914,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   923,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1632,    -1,  1634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1644,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1704,
      -1,    -1,    -1,    -1,    -1,  1710,  1033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1754,
      -1,    -1,  1757,  1758,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,     9,    -1,    -1,    -1,    13,    -1,    15,
      -1,    17,    18,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,  2944,  2945,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3000,  3001,    -1,    91,  3004,    -1,    -1,    -1,
    3008,  3009,  3010,    -1,    -1,   101,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3042,  3043,  3044,  3045,    -1,  1216,
      -1,    -1,   138,    -1,   140,   141,    -1,    -1,    -1,  1226,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,   160,    -1,    -1,    -1,    -1,    -1,
    3078,  1248,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
     176,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,
      -1,   197,    -1,    -1,  1281,    -1,    -1,   203,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,   212,    -1,    -1,    -1,
      -1,    -1,   218,  3131,    -1,    -1,    -1,    -1,  3136,    -1,
      -1,    -1,    -1,    -1,    -1,  1033,   232,  1992,    -1,  1994,
      -1,    -1,    -1,  1998,    -1,  2000,    -1,    -1,  2003,    -1,
      -1,    -1,  2007,    -1,    -1,    -1,    -1,  2012,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1067,
    1347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3195,    -1,   285,
     286,    -1,    -1,    -1,    -1,   291,    -1,  3205,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3231,    -1,  3233,    -1,    -1,    -1,  1406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   347,    -1,    -1,    -1,    -1,    -1,  1434,    -1,    -1,
      -1,  3269,   358,    -1,  3272,    -1,    -1,   363,    -1,   365,
      -1,    -1,    -1,    -1,   370,    -1,    -1,  3285,    -1,   375,
      -1,    -1,   378,    -1,    -1,  1462,   382,    -1,    -1,    -1,
      -1,   387,   388,    -1,    -1,    -1,    -1,    -1,    -1,   395,
      -1,  2156,   398,    -1,    -1,    -1,    -1,    -1,  2163,   405,
      -1,    -1,    -1,  1490,  1491,    -1,  1493,  2172,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1510,    -1,    -1,    -1,    -1,   434,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2234,
      -1,    -1,    -1,    -1,  1561,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,   504,    -1,
      -1,    -1,    -1,  1590,    -1,    -1,    -1,  1594,  1595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2282,    -1,    -1,
      -1,  2286,    -1,    -1,    -1,    -1,    -1,  2292,    -1,  2294,
      -1,    -1,  2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1434,    -1,    -1,    -1,
      -1,    -1,  1719,  3551,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1462,    -1,    -1,    -1,  1745,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3585,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2444,
      -1,    -1,  1490,  1491,    -1,  1493,    -1,  2452,    -1,  2454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1510,    -1,    -1,    -1,    -1,  3625,    -1,    -1,
      -1,    -1,  3630,  3631,    -1,  3633,  3634,  3635,  3636,  3637,
    3638,  3639,    -1,    -1,    -1,  1812,    -1,    -1,    -1,    -1,
    3648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1561,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1590,    -1,    -1,    -1,  1594,  1595,    -1,    -1,
    1877,    -1,    -1,    -1,    -1,  3713,  3714,  3715,    -1,    -1,
    3718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,  1935,    -1,
      -1,  1938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2658,  2659,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2058,  2059,    -1,    -1,    -1,    -1,    -1,    -1,  2066,
      -1,    -1,  2069,    -1,    -1,  2072,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2080,  2081,    -1,    -1,    -1,    -1,    -1,
      -1,  2088,    -1,    -1,  2091,  2092,  2093,  2094,    -1,    -1,
      -1,    -1,    -1,    -1,  2101,  2102,    -1,  2104,    -1,  2106,
    2107,    -1,    -1,  2110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2125,  2126,
      -1,    -1,    -1,    -1,  2131,    -1,    -1,    -1,  2135,    -1,
      -1,    -1,  2139,    -1,  2141,  2142,  2143,  2144,  2145,  2146,
    2147,  2148,  2149,    -1,  2151,    -1,    -1,    -1,    -1,    -1,
    2157,    -1,    -1,  2160,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,  4016,    -1,
    2865,    -1,    -1,    -1,    -1,  2870,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,  4035,  4036,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,  4047,
    4048,    43,    44,    -1,  2221,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2344,  2066,    -1,
      -1,    -1,  2349,    -1,    -1,  4183,    -1,    -1,  2355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2088,    -1,    -1,  2091,    -1,    -1,  2094,    -1,  4206,    -1,
      -1,    -1,   204,  2101,  2102,    -1,    -1,    -1,  2385,  2107,
      -1,    -1,  2110,  2390,  2391,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,  2401,    -1,    -1,    -1,  2126,    -1,
      -1,    -1,    -1,  2131,    -1,    -1,    -1,  2135,   240,    -1,
      -1,  2139,    -1,  2141,  2142,  2143,  2144,  2145,  2146,  2147,
    2148,  2149,    -1,  2151,    -1,    -1,    -1,    -1,    -1,  2157,
     262,    -1,  2160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4298,    -1,    -1,   295,    -1,    -1,   298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2221,    -1,    -1,  3181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2525,    -1,
    2527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,
      -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,
    4398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3269,    -1,    -1,    -1,    -1,  2596,
      -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,  4436,    -1,
      -1,    -1,    -1,  1248,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2344,    -1,    -1,    -1,
      -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2642,    -1,    -1,    -1,    -1,
      -1,    -1,  3327,    -1,    -1,    -1,    -1,    -1,    -1,   481,
      -1,    -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,   491,
     492,   493,   494,   495,    -1,    -1,   498,   499,   500,   501,
      -1,    -1,    -1,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2691,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2705,    -1,
      -1,    -1,  2709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2723,  2724,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2753,  2754,    -1,    -1,
      -1,  2758,  4590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1406,    -1,  2770,  2771,  2772,  2773,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2783,    -1,    -1,  2786,
      -1,  2788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2798,  2799,    -1,    -1,  2802,    -1,  2525,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,    -1,
    2817,    -1,    -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,
    4658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2837,    -1,    -1,    -1,    -1,  3520,    -1,    -1,    -1,    -1,
      -1,  2848,    -1,  2850,  2851,  2852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2874,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,
      -1,    -1,    -1,    -1,  2891,    -1,    -1,    -1,    -1,    -1,
      -1,  2898,    -1,    -1,    -1,    -1,    -1,  2904,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2642,    -1,    -1,  3602,    -1,  1506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3618,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2964,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,  1576,
      -1,    -1,    -1,    -1,    -1,    -1,  2724,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3021,  3022,    -1,  3024,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2770,    -1,  2772,  2773,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2783,    -1,    -1,  2786,    -1,
    2788,    -1,    -1,    -1,    -1,    -1,    -1,  3074,    -1,  3076,
      -1,    -1,    -1,    -1,  1719,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,    -1,  2817,
      -1,    -1,    -1,  2821,    -1,    -1,    -1,    -1,    -1,    -1,
    1745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2850,  2851,  2852,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3141,  3820,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2874,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,    -1,
      -1,  3168,    -1,  2891,    -1,    -1,    -1,  1812,    -1,    -1,
    2898,    -1,    -1,    -1,  3181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1877,    -1,    -1,    -1,  2964,    -1,  3245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1935,    -1,    -1,    -1,  3301,    -1,    -1,    -1,  3983,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3336,
      -1,    -1,  3339,    -1,    -1,    -1,    -1,    -1,  3345,  4024,
      -1,    -1,    -1,    -1,  3351,    -1,  3353,    -1,    -1,    -1,
      -1,  3358,  3359,    -1,    -1,  3362,  3363,  3364,  3365,  3366,
    3367,  3368,  3369,  3370,  3371,    -1,    -1,    -1,  3375,  3376,
      -1,    -1,    -1,    -1,    -1,    -1,  3383,    -1,    -1,    -1,
      -1,  3388,    -1,    -1,    -1,  3392,    -1,    -1,  1975,  3396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3406,
      -1,    -1,  3409,    -1,  3411,    -1,  1248,    -1,    -1,    -1,
      -1,    -1,  3419,  3420,  3421,  3422,    -1,    -1,    -1,  3426,
      -1,    -1,  3429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3439,    -1,    -1,    -1,    -1,  4122,    -1,    -1,
      -1,    -1,  3449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3457,    -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2064,    -1,    -1,
    2125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,
    2087,    -1,  3509,    -1,    -1,  2092,    -1,    -1,  3515,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2112,  2113,    -1,  2115,    -1,
      -1,    -1,    -1,  3540,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1406,    -1,    -1,    -1,  2155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3602,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3336,    -1,
      -1,    -1,    -1,  4298,    -1,    -1,    -1,  3345,    -1,    -1,
      -1,  2208,    -1,  3351,    -1,  3353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2230,    -1,    -1,    -1,  3375,  3376,    -1,
      -1,    -1,  4337,  2240,    -1,    -1,  2243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3406,    -1,
      -1,  3409,    -1,  3411,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3420,    -1,    -1,    -1,    -1,    -1,  3426,    -1,
      -1,  3429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3719,    -1,    -1,    -1,    -1,    -1,  1248,    -1,
      -1,  3449,    -1,    -1,    -1,  1248,    -1,    -1,    -1,  3457,
      -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,  3745,    -1,
    2385,    -1,    -1,    -1,    -1,  2390,  2391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3778,  3779,  3780,    -1,  3503,    -1,    -1,    -1,    -1,
      -1,  3509,    -1,    -1,    -1,    -1,    -1,  3515,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1672,    -1,  3839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3875,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1406,  1719,  3885,  3886,
      -1,  3888,  2527,  1406,    -1,    -1,  3893,  3894,    -1,    -1,
      -1,  3898,  3899,    -1,    -1,    -1,    -1,  3904,  3905,    -1,
      -1,  3908,    -1,  1745,    -1,    -1,    -1,    -1,  4593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3923,  1248,    -1,    -1,
    3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3936,
      -1,    -1,    -1,    -1,  3941,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,    -1,    -1,
      -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3991,    -1,    -1,    -1,    -1,  1831,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4006,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4039,    -1,    -1,  1877,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2691,    -1,    -1,    -1,
      -1,  3779,  3780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4077,    -1,    -1,    -1,    -1,  1406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1935,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2727,    -1,  1672,    -1,    -1,    -1,    -1,    -1,    -1,  1672,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3885,  3886,    -1,
      -1,    -1,  2749,    -1,  2751,    -1,  2753,  2754,  2755,    -1,
    3898,  2758,    -1,    -1,    -1,  2762,  3904,  3905,    -1,    -1,
    3908,    -1,  2769,    -1,    -1,    -1,  4193,  2774,    -1,  1719,
      -1,    -1,    -1,  2780,    -1,    -1,  1719,    -1,  2785,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,  3936,    -1,
      -1,  2798,  2799,  3941,  2801,  1745,    -1,    -1,    -1,  4226,
      -1,    -1,  1745,  4230,    -1,  3953,  2813,    -1,  4235,    -1,
      -1,    -1,    -1,  2820,    -1,  2822,  2823,  2824,  2825,  2826,
    2827,  2828,  2829,  2830,  2831,  4252,  4253,    -1,    -1,  4256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4267,    -1,    -1,  3991,    -1,  4272,    -1,    -1,  4275,  2856,
      -1,    -1,    -1,  4280,  4281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1812,  2125,    -1,    -1,    -1,    -1,    -1,  1812,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1831,    -1,    -1,    -1,    -1,  4313,    -1,  1831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1849,
      -1,    -1,    -1,    -1,    -1,    -1,  1849,    -1,    -1,    -1,
    4337,    -1,    -1,    -1,  4341,    -1,    -1,    -1,  2983,    -1,
      -1,  1672,    -1,    -1,    -1,    -1,    -1,  1877,    -1,    -1,
      -1,    -1,    -1,    -1,  1877,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4377,    -1,    -1,    -1,    -1,    -1,  3021,  3022,    -1,  3024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,  2976,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1935,    -1,    -1,    -1,    -1,
    4138,    -1,  1935,    -1,  1745,    -1,    -1,    -1,    -1,    -1,
      -1,  4428,    -1,  4430,    -1,    -1,    -1,    -1,    -1,  3074,
      -1,  3076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4452,  4453,    -1,  4455,    -1,
    4457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4474,    -1,    -1,
      -1,  4478,    -1,    -1,    -1,  3120,  4483,    -1,    -1,    -1,
      -1,  1812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,    -1,    -1,
    1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4519,    -1,    -1,    -1,  4523,  4524,  1849,    -1,
      -1,    -1,    -1,  3168,    -1,    -1,    -1,    -1,  4256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3181,    -1,    -1,    -1,
      -1,    -1,    -1,  2385,    -1,    -1,  1877,    -1,  2390,  2391,
      -1,  4558,    -1,  4281,    -1,    -1,    -1,    -1,    -1,  2401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4586,
      -1,    -1,  3169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2125,    -1,    -1,    -1,    -1,
    3245,    -1,  2125,    -1,  1935,    -1,    -1,    -1,    -1,  4616,
      -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4631,    -1,  3271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4664,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2527,    -1,  4694,  4695,    -1,
      -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,    -1,
    4707,    -1,  3289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4455,    -1,    -1,
      -1,    -1,    -1,    -1,  4741,    -1,    -1,    -1,  3383,    -1,
      -1,    -1,    -1,    -1,  4751,    -1,  4474,    -1,  3335,    -1,
      -1,    -1,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,
    3357,    -1,  3359,    -1,  3419,  3362,  3363,  3364,  3365,  3366,
    3367,  3368,  3369,  3370,  3371,  3372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2125,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4810,    -1,    -1,    -1,    -1,    -1,    -1,
    3397,    -1,  4819,  3400,    -1,  3402,    -1,    -1,    -1,    -1,
    3407,  3408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4558,    -1,    -1,    -1,  3421,  3422,  3423,    -1,  3425,    -1,
      -1,  3428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2691,
      -1,    -1,    -1,    -1,    -1,  2385,    -1,    -1,    -1,    -1,
    2390,  2391,  2385,    -1,    -1,    -1,    -1,  2390,  2391,    -1,
      -1,  2401,    -1,    -1,    -1,    -1,    -1,    -1,  2401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3485,    -1,
      -1,    -1,    -1,  4631,    -1,    -1,    -1,    -1,    -1,  3496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3537,    -1,    -1,    -1,    -1,    -1,    -1,  3602,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4694,  4695,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2527,    -1,    -1,
      -1,    -1,    -1,    -1,  2527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4741,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2385,    -1,    -1,    -1,    -1,  2390,
    2391,    -1,    -1,    -1,    -1,    -1,  2596,    -1,    -1,    -1,
    2401,    -1,    -1,  2596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3719,  3778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2691,    -1,    -1,    -1,    -1,    -1,    -1,  2691,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3021,
    3022,    -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2527,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3074,    -1,  3076,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3840,  3899,    -1,  3843,  3844,  3845,    -1,
      -1,  3848,    -1,    -1,    -1,  2596,  3853,  3854,  3855,  3856,
    3857,  3858,  3859,  3860,  3861,  3862,  3863,  3864,  3120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,
      -1,    -1,    -1,    -1,    -1,  3892,  3893,  3894,  3895,    -1,
    3897,    -1,    -1,    -1,  3901,  3902,  3903,    -1,    -1,  3906,
      -1,    -1,  3909,    -1,    -1,    -1,  3168,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3181,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2691,  4006,    -1,  3950,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3967,    -1,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3271,
      -1,    -1,  4077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,
    2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3021,  3022,    -1,  3024,    -1,    -1,  3339,  3021,  3022,
      -1,  3024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3383,    -1,    -1,  3074,    -1,  3076,    -1,    -1,    -1,
      -1,  3074,    -1,  3076,  4141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4230,    -1,    -1,    -1,    -1,
    3120,    -1,    -1,    -1,    -1,    -1,    -1,  3120,    -1,    -1,
      -1,    -1,    -1,  4190,  4191,    -1,    -1,    -1,    -1,    -1,
      -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4222,    -1,    -1,  3168,  4226,
      -1,    -1,    -1,    -1,    -1,  3168,    -1,    -1,    -1,    -1,
      -1,  3181,  2983,  4240,    -1,  4242,    -1,    -1,  3181,    -1,
    4247,  4248,  4249,    -1,    -1,  4252,  4253,  4254,  4255,    -1,
    4257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3021,  3022,  4337,  3024,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3245,    -1,    -1,    -1,    -1,
      -1,    -1,  3245,    -1,  4311,    -1,    -1,    -1,  3258,    -1,
      -1,    -1,    -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,
      -1,  3271,    -1,  3074,    -1,  3076,    -1,    -1,  3271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4430,    -1,    -1,    -1,  3120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4389,    -1,    -1,    -1,    -1,    -1,  4453,  3339,
    3141,    -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,
      -1,    -1,    -1,    -1,    -1,  3358,    -1,  3168,  4483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3181,    -1,    -1,  3383,    -1,    -1,    -1,    -1,    -1,    -1,
    3383,    -1,    -1,    -1,  4451,  4452,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4519,    -1,    -1,    -1,  4523,  4524,
    4467,  4468,  4469,    -1,    -1,    -1,    -1,    -1,    -1,  3419,
      -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,    -1,  4486,
      -1,    -1,    -1,  3745,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,  3245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
    3271,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3339,  4596,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4606,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,  3888,    -1,    -1,    -1,
      -1,    -1,  3383,    -1,    -1,    -1,    -1,  3899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3602,    -1,    -1,    -1,  4663,    -1,    -1,  3602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4706,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4744,    -1,    -1,
      -1,    -1,    -1,    -1,  4006,    -1,    -1,    -1,   262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4027,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4039,    -1,    -1,
      -1,   295,  4789,    -1,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3745,    -1,    -1,    -1,   313,
      -1,    -1,  3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4077,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,
      -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3888,    -1,
      -1,   455,    -1,    -1,    -1,  3888,    -1,    -1,    -1,  3899,
      -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,  4230,    -1,
      -1,    -1,    -1,   487,    -1,    -1,    -1,   491,   492,   493,
     494,   495,    -1,    -1,   498,   499,   500,   501,    -1,    -1,
      -1,   505,    -1,    -1,  3745,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,    -1,
      -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4337,    -1,  4027,    -1,    -1,
      -1,    -1,    -1,    -1,  4027,    -1,    -1,    -1,    -1,  4039,
      -1,    -1,    -1,    -1,    -1,    -1,  4039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4077,    -1,    -1,
      -1,    -1,    -1,    -1,  4077,    -1,    -1,  3888,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4006,    -1,  4519,    -1,    -1,
      -1,  4523,  4524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4027,    -1,    -1,    -1,
    4230,    -1,    -1,    -1,    -1,    -1,    -1,  4230,  4039,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4337,    -1,    -1,
      -1,    -1,    -1,    -1,  4337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4230,
    4430,    -1,    -1,    -1,    -1,    -1,    -1,  4430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4453,    -1,    -1,    -1,    -1,    -1,    -1,
    4453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4483,    -1,    -1,    -1,    -1,    -1,    -1,
    4483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4519,
      -1,    -1,    -1,  4523,  4524,    -1,  4519,    -1,    -1,    -1,
    4523,  4524,    -1,    -1,    -1,    -1,  4337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,  4453,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,  4483,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,  4519,    -1,
      -1,    -1,  4523,  4524,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     3,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
     506,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
     115,    -1,    -1,   118,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,   138,    -1,   140,   141,   142,    -1,    -1,
      -1,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,   176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,
      -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,
      -1,    -1,    -1,    -1,    -1,   210,   211,   212,    -1,    -1,
     215,    -1,    -1,   218,    -1,   220,    -1,    -1,    -1,    -1,
      -1,   226,    -1,   228,    -1,    -1,    -1,   232,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,    -1,    -1,   260,    -1,    -1,   263,    -1,
     265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   280,   281,    -1,   283,    -1,
     285,   286,    -1,    -1,    -1,    -1,   291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,   303,   304,
      -1,    -1,   307,    -1,    -1,   310,   311,    -1,    -1,   314,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,   330,   331,   332,   333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,    -1,
     345,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,   358,    -1,    -1,    -1,    -1,   363,    -1,
     365,    -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,
     375,   376,    -1,   378,   379,    -1,    -1,   382,    -1,    -1,
      -1,    -1,   387,   388,    -1,    -1,    -1,    -1,    -1,    -1,
     395,   396,    -1,   398,   399,    -1,   401,    -1,    -1,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,
      -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,   426,    -1,    -1,    -1,   430,    -1,   432,    -1,   434,
      -1,   436,    -1,    -1,    -1,   440,    -1,    -1,   443,    -1,
      -1,   446,    -1,    -1,   449,    -1,    -1,    -1,    -1,   454,
     455,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    -1,    -1,    -1,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,   500,    26,    27,    -1,   504,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,
      -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,   281,    -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,   303,   304,    -1,    -1,   307,    -1,    -1,
      -1,   311,    -1,    -1,   314,    -1,   316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,
     330,   331,   332,   333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   343,    -1,   345,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,   379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,   399,
      -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   425,   426,    -1,    -1,    -1,
     430,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,   507,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,
     303,   304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,
      -1,   314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,
     333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,   507,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,   493,    -1,    -1,
      -1,    -1,    -1,    -1,   500,   501,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,   501,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,    -1,   344,    -1,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,
     482,   483,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   501,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,    -1,   344,    -1,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,    -1,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   481,   482,   483,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   501,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,
      -1,    -1,    -1,    -1,   498,   499,   500,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,   493,    -1,    -1,    -1,    -1,
      -1,    -1,   500,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     500,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    -1,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   500,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,    -1,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,    -1,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     500,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,   323,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   500,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,   323,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   500,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     500,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   500,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   501,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   501,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,   493,    -1,    -1,    -1,    -1,    -1,    -1,
     500,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,   499,   500,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   500,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   500,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   500,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   500,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   500,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   500,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   500,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   500,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,   429,    -1,   431,    -1,   433,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   481,   482,   483,    -1,    -1,    -1,
     487,   488,   489,    -1,   491,   492,   493,   494,   495,   496,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,    -1,   309,   310,    -1,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,    -1,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,   487,   488,   489,    -1,   491,   492,   493,   494,   495,
     496,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,   487,   488,   489,    -1,   491,   492,   493,   494,
     495,   496,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,   493,
     494,   495,   496,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,   487,   488,   489,    -1,   491,   492,
     493,   494,   495,   496,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,   487,   488,   489,    -1,   491,
     492,   493,   494,   495,   496,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,   487,   488,   489,    -1,
     491,   492,   493,   494,   495,   496,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,   487,   488,   489,
      -1,   491,   492,   493,   494,   495,   496,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     5,     6,     7,     8,
       9,    10,    11,    12,    13,   493,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
      -1,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,    -1,   344,    -1,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,    -1,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   481,   482,   483,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   493,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,   493,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   493,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,    -1,   309,   310,    -1,
     312,    -1,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,    -1,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,
     492,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   491,   492,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,    -1,   304,   305,   306,   307,
      -1,   309,   310,    -1,   312,    -1,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,    -1,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
      -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,   492,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     491,   492,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,   227,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,    -1,   282,    -1,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,    -1,   309,   310,    -1,   312,    -1,
     314,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,    -1,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   491,   492,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
     227,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   491,   492,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,   227,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,    -1,   309,
     310,    -1,   312,    -1,   314,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
      -1,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,    -1,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,    -1,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   491,   492,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,     4,   487,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,    -1,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,    -1,    -1,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
      -1,   309,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,    -1,   344,    -1,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,    -1,   415,   416,    -1,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
      -1,   449,   450,   451,   452,   453,    -1,   455,   456,   457,
     458,   459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,
     468,   469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   481,   482,   483,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,    -1,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
      -1,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,    -1,   344,    -1,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,    -1,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,    -1,   455,    -1,   457,   458,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   481,   482,   483,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,    -1,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,    -1,   344,    -1,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,    -1,   415,   416,    -1,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,   449,
     450,   451,   452,   453,    -1,   455,    -1,   457,   458,   459,
     460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,
     470,   471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   481,   482,   483,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,    -1,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,    -1,   344,    -1,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,    -1,   455,    -1,   457,   458,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     481,   482,   483,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,    -1,   309,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,    -1,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,    -1,   344,    -1,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,    -1,   415,   416,    -1,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,    -1,   449,   450,   451,
     452,   453,    -1,   455,    -1,   457,   458,   459,   460,   461,
      -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,
     482,   483,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,    -1,   309,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,    -1,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
      -1,   344,    -1,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,    -1,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,   482,
     483,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
      -1,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,    -1,   309,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,    -1,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,    -1,
     344,    -1,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
      -1,   415,   416,    -1,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,    -1,   449,   450,   451,   452,   453,
      -1,   455,    -1,   457,   458,   459,   460,   461,    -1,    -1,
     464,    -1,    -1,   467,   468,   469,   470,   471,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,    -1,   121,    -1,    -1,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
      -1,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,    -1,    -1,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,    -1,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,    -1,   259,   260,   261,    -1,    -1,    -1,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,    -1,
     305,   306,    -1,    -1,   309,   310,   311,   312,    -1,    -1,
     315,    -1,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,    -1,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,    -1,   344,
      -1,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,    -1,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
      -1,    -1,    -1,    -1,   429,    -1,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,    -1,
      -1,    -1,   457,   458,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,    -1,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,   283,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,   160,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,   232,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,   232,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,   323,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    74,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,    -1,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,    -1,    -1,   285,   286,   287,    -1,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,    -1,   304,   305,   306,   307,    -1,
     309,   310,    -1,   312,    -1,   314,   315,   316,   317,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,    -1,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
      -1,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,    -1,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,    -1,
     459,   460,   461,    -1,    -1,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,    -1,    -1,   285,   286,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,    -1,   309,   310,
      -1,   312,    -1,   314,   315,   316,   317,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,    -1,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,    -1,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,    -1,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,    -1,    -1,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,   305,   306,   307,    -1,   309,   310,    -1,   312,
      -1,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,    -1,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,    -1,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,    -1,   457,    -1,   459,   460,   461,    -1,
      -1,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,    -1,    -1,
     285,   286,   287,    -1,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,    -1,   309,   310,    -1,   312,    -1,   314,
     315,   316,   317,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,    -1,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,    -1,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,    -1,   457,    -1,   459,   460,   461,    -1,    -1,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,    -1,    -1,   285,   286,
     287,    -1,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,    -1,   309,   310,    -1,   312,    -1,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,    -1,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
      -1,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,    -1,
     457,    -1,   459,   460,   461,    -1,    -1,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,    -1,
      -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,    -1,
      -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,
     304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,    -1,
     314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,
      -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,    -1,
      -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,    -1,
      -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,   281,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,
     304,    -1,    -1,   307,    -1,    -1,    -1,   311,    -1,    -1,
     314,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,   330,   331,   332,   333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,
      -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,   399,    -1,   401,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,   426,    -1,    -1,    -1,   430,    -1,   432,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,
      -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,
     269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,   281,    -1,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   302,   303,   304,    -1,    -1,   307,    -1,
      -1,    -1,   311,    -1,    -1,   314,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,   330,   331,   332,   333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   343,    -1,   345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
     399,    -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,   426,    -1,    -1,
      -1,   430,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,    -1,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   509,  1045,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   295,   298,   313,   386,   427,   440,   455,   481,   487,
     491,   492,   493,   494,   495,   498,   499,   500,   501,   503,
     504,   505,   506,   507,  1038,  1046,  1074,  1076,  1167,  1177,
    1178,  1180,  1186,  1187,  1075,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   146,   148,   150,   158,   160,
     161,   167,   174,   176,   177,   178,   179,   191,   193,   197,
     203,   204,   210,   211,   212,   215,   218,   220,   226,   228,
     232,   234,   243,   256,   257,   263,   265,   268,   269,   271,
     280,   281,   283,   285,   286,   291,   299,   302,   303,   304,
     307,   310,   311,   314,   316,   329,   330,   331,   332,   333,
     343,   345,   347,   357,   358,   363,   365,   370,   375,   376,
     378,   379,   382,   387,   388,   395,   396,   398,   399,   401,
     405,   413,   417,   425,   426,   430,   432,   434,   436,   440,
     443,   449,   454,   455,   458,   466,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   500,   510,   511,   517,   518,
     520,   521,   522,   523,   524,   525,   526,   528,   529,   533,
     543,   545,   546,   549,   550,   551,   562,   565,   566,   581,
     622,   623,   630,   636,   638,   640,   641,   644,   647,   648,
     652,   653,   662,   666,   667,   668,   672,   673,   675,   676,
     677,   690,   691,   692,   693,   704,   705,   712,   713,   716,
     717,   718,   719,   720,   725,   727,   730,   734,   738,   739,
     749,   750,   753,   758,   769,   788,   791,   792,   793,   796,
     799,   801,   803,   806,   809,   810,   811,   818,   819,   821,
     822,   823,   828,   830,   831,   835,   836,   839,   840,   841,
     843,   844,   845,   846,   848,   851,   852,   857,   863,   866,
     868,   873,   875,   879,   886,   890,   891,   892,   893,   894,
     895,   898,   925,  1042,  1043,  1047,  1049,  1050,  1067,  1068,
    1069,  1070,  1081,  1083,  1087,  1088,  1089,  1090,  1091,  1093,
    1095,  1097,  1098,  1099,  1100,  1102,  1107,  1108,  1112,  1113,
    1122,  1124,  1125,  1126,  1129,  1134,  1137,  1142,  1144,  1145,
    1148,  1150,  1153,  1162,  1180,  1188,    73,  1070,  1078,  1079,
      14,     9,    13,    15,    28,    45,    46,    50,    51,    56,
      65,    67,    69,    70,    72,    91,    92,    93,    94,    95,
      96,    97,    98,   100,   101,   102,   110,   111,   113,   114,
     116,   117,   118,   125,   126,   127,   128,   129,   132,   133,
     134,   136,   138,   139,   140,   141,   144,   146,   147,   148,
     149,   151,   152,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   175,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   207,   208,   209,   210,
     212,   213,   214,   217,   219,   221,   223,   225,   229,   230,
     231,   233,   236,   238,   239,   240,   241,   242,   244,   245,
     246,   248,   249,   250,   251,   252,   253,   255,   259,   260,
     261,   267,   270,   272,   273,   274,   275,   276,   277,   278,
     282,   285,   286,   287,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   305,   306,   309,   310,
     312,   315,   317,   318,   319,   321,   324,   325,   326,   334,
     335,   336,   337,   338,   339,   340,   342,   344,   346,   347,
     348,   350,   351,   352,   353,   354,   355,   356,   358,   359,
     360,   361,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   374,   375,   377,   378,   380,   381,   382,   383,
     384,   385,   386,   387,   389,   390,   391,   392,   393,   395,
     397,   398,   400,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   415,   416,   418,   419,   420,   421,   422,
     423,   427,   429,   431,   434,   435,   436,   437,   438,   439,
     442,   443,   444,   445,   446,   449,   450,   451,   452,   453,
     454,   457,   459,   460,   461,   464,   467,   468,   469,   470,
     471,   481,   482,   483,  1039,  1041,  1042,  1060,  1061,  1152,
    1153,  1154,  1158,  1163,  1164,  1165,  1172,  1174,  1178,  1180,
      29,   258,  1123,    99,   163,   180,  1031,  1062,  1109,  1110,
    1158,  1174,    99,   887,  1030,  1062,  1158,  1171,    14,   887,
       5,    25,    29,    35,    36,    43,    44,    99,   103,   104,
     105,   106,   107,   108,   109,   112,   124,   130,   131,   134,
     137,   143,   145,   152,   153,   160,   163,   164,   165,   166,
     168,   169,   170,   180,   182,   188,   192,   193,   199,   203,
     206,   216,   218,   222,   224,   227,   232,   235,   237,   247,
     254,   258,   262,   264,   266,   279,   284,   288,   289,   308,
     313,   320,   322,   323,   327,   328,   341,   349,   362,   373,
     388,   394,   402,   414,   417,   424,   427,   428,   433,   440,
     441,   447,   448,   454,   456,   462,   463,   465,   466,  1041,
    1044,  1154,  1155,  1156,  1160,  1161,  1162,  1163,  1165,    25,
      35,   134,   262,  1149,    38,    40,   308,  1082,   429,   468,
     824,    98,   144,   157,   174,   180,   195,   213,   224,   229,
     235,   250,   275,   324,   352,   377,   383,   389,   392,   417,
     419,   423,   431,   436,   447,   460,   637,  1110,   179,   824,
      99,   887,   458,   853,   322,   348,   824,   121,   572,   891,
      98,   110,   131,   144,   153,   174,   180,   195,   213,   224,
     231,   235,   287,   324,   327,   377,   383,   392,   419,   420,
     422,   423,   431,   436,   441,   444,   447,   582,   708,   759,
     770,  1031,  1051,  1052,  1053,  1062,  1178,  1180,    14,    99,
     347,  1030,  1062,  1066,   406,   887,    99,   342,   420,   422,
     274,   797,   798,  1178,    98,   110,   131,   144,   157,   174,
     195,   213,   224,   229,   235,   250,   324,   334,   377,   381,
     383,   389,   392,   417,   419,   423,   431,   436,   447,   460,
     637,   721,   824,   506,  1092,  1156,   244,  1066,   160,   179,
     210,   458,   500,   852,   858,   866,   868,   873,   879,   886,
     890,  1047,    92,    99,   116,   219,   225,   227,   247,   276,
     305,   350,   364,   491,   492,   735,   736,   887,  1038,  1040,
    1172,  1174,    99,   160,   362,   388,   740,   741,   742,  1158,
    1158,  1035,  1178,   417,   901,   116,   225,   735,  1158,   429,
    1066,   334,   174,   250,   416,   417,   804,   382,  1158,    99,
     134,   393,   425,   429,   454,   535,  1041,  1042,  1152,  1157,
    1163,  1165,  1180,    96,   232,   740,   741,   348,   824,  1158,
     273,    99,   192,   903,     4,    14,   132,   152,   154,   287,
     301,   377,   383,   393,   425,   429,   471,   534,   535,    99,
     393,   425,   429,   535,   429,   323,   934,  1028,  1158,   901,
    1146,  1156,   493,  1158,   228,   500,   854,   500,  1024,   360,
     896,   897,  1030,   891,   892,   895,   504,   853,   206,   264,
     328,   440,   904,   905,   891,   893,   894,   185,   260,   446,
     503,   118,   510,  1090,  1093,  1089,  1085,   504,  1094,  1096,
       5,    25,    35,   134,   196,   262,  1101,   175,   240,   295,
     298,   386,   481,   500,   965,   966,  1073,  1077,  1167,    73,
    1070,  1030,  1062,  1181,   180,  1051,    21,   448,   494,  1066,
    1066,  1181,   448,  1114,  1115,  1116,    25,   262,   262,  1160,
       7,    19,    20,    39,    42,   156,   193,  1151,  1151,    16,
    1090,  1036,  1043,  1152,  1155,  1158,  1159,  1163,  1164,  1180,
     723,  1158,   723,  1031,   351,   723,   723,  1030,  1158,   173,
     417,   748,  1036,  1039,  1028,   317,    85,   139,   217,   487,
     488,   489,   491,   492,   493,   494,   495,   496,   795,   991,
     992,  1158,  1039,  1030,  1028,  1030,   934,  1030,   385,  1030,
     723,   292,  1039,  1028,   274,    34,   182,   270,   308,   356,
     825,   826,   827,  1028,  1034,  1158,    98,   131,   144,   145,
     153,   157,   174,   195,   213,   224,   229,   250,   275,   324,
     377,   381,   383,   389,   392,   417,   419,   423,   431,   436,
     460,   637,   728,  1178,  1028,   427,  1036,  1030,   500,   723,
     431,  1031,   723,   242,  1030,   173,   417,   420,   422,  1039,
     420,   422,   139,   217,   795,   368,  1039,   530,  1158,  1030,
    1030,   385,  1030,   723,   292,  1039,   389,   417,   460,   157,
     250,   229,   381,   435,   631,    85,  1054,  1055,   505,  1174,
    1181,    99,  1066,  1180,   888,   542,  1158,  1178,   798,   242,
    1036,  1030,   242,   802,   242,  1031,   173,   417,   242,  1036,
     242,  1029,  1030,   139,   217,   242,   795,   125,   242,  1029,
     242,  1030,   242,  1030,   242,  1030,   385,   242,  1030,   242,
     292,  1029,   274,   242,   722,   723,   500,   506,  1182,  1183,
    1184,  1185,  1187,  1092,    71,  1062,  1111,   500,   867,   582,
     887,   858,   454,   458,   852,   859,   860,   861,  1158,   853,
    1040,   736,   737,    99,   736,   887,  1040,   737,    99,   736,
     887,  1040,   737,   737,   737,  1040,  1038,  1038,   266,   448,
    1116,  1117,  1191,  1192,   887,   737,   351,   500,   500,   600,
     600,   600,   322,   427,   503,   600,   934,   935,   736,   887,
     736,   887,   503,   820,  1178,   227,   500,   864,   125,  1030,
    1030,  1028,  1158,   115,   483,   270,   502,   325,   325,   322,
     227,  1178,   427,   222,   731,   322,    83,    84,    85,    87,
     107,   120,   122,   123,   130,   131,   134,   135,   142,   164,
     165,   166,   167,   168,   169,   170,   177,   178,   196,   211,
     215,   216,   220,   234,   262,   263,   265,   280,   288,   289,
     302,   304,   308,   313,   314,   316,   324,   333,   343,   357,
     379,   394,   401,   413,   425,   426,   430,   432,   433,   441,
     447,   455,   473,   474,   475,   476,   477,   478,   479,   480,
     491,   492,   493,   500,   891,   946,   949,   952,   953,   954,
     956,   957,   958,   959,   962,   963,   967,   969,   970,   989,
     993,  1012,  1017,  1025,  1026,  1036,  1037,  1038,  1158,  1170,
    1172,  1174,  1175,  1176,  1177,  1178,   427,   487,  1181,  1178,
     427,   487,  1110,    99,   547,  1027,  1028,   393,   534,   180,
     541,  1178,   542,  1178,   115,   136,   534,   483,   826,   325,
     227,   427,   487,   115,   483,   270,  1191,   827,   500,  1028,
     493,   498,   502,  1018,  1019,   935,  1162,   226,   228,   458,
     849,   850,   852,   226,   855,   180,   967,  1022,  1023,   896,
     503,   500,   856,   501,   501,  1028,    99,   192,   902,   902,
     125,   902,   218,   222,   284,   320,   908,   910,   911,   920,
     922,   923,   904,   905,   227,   266,   934,   936,  1024,   504,
    1084,   493,  1103,  1104,  1106,   506,   506,    25,   262,   262,
     427,   427,   427,   427,   500,   427,   492,   628,  1040,  1071,
    1177,   203,   108,  1058,   125,  1061,  1061,   266,  1116,  1118,
     266,  1116,  1117,  1118,   453,  1127,  1128,  1174,    14,    37,
      84,   491,   492,  1038,  1119,  1120,  1121,  1170,  1172,  1176,
    1177,  1178,  1179,   262,   268,  1030,   427,  1030,     6,  1030,
    1151,  1106,   500,   698,  1019,   335,   366,   395,   502,   724,
     335,   366,   395,   335,   366,   395,   466,   512,   543,   544,
     754,    95,   197,   335,   395,   554,   395,    95,   197,   446,
     527,   469,   934,   127,   159,   214,   245,   335,   366,   374,
     380,   387,   395,   403,   411,   461,   544,   782,   789,   500,
     771,   366,   527,    95,   101,   141,   190,   197,   200,   252,
     306,   308,   318,   326,   335,   366,   370,   395,   451,   552,
     553,   656,   628,   723,   723,   500,   794,   502,   247,   366,
     512,   519,   335,   366,   126,   172,   249,   294,   296,   306,
     334,   366,   371,   395,   405,   552,   625,   626,   335,   459,
     656,   664,   366,   395,   552,   335,   366,   370,   395,   151,
     189,   336,   421,   322,    95,   101,   197,   335,   366,   395,
     563,   564,   222,   366,   395,   512,   544,   366,   395,   552,
    1030,   504,   282,   182,   323,   470,   503,   825,   448,   847,
     322,  1036,   500,  1030,   173,   417,  1036,   317,   139,   217,
     795,  1030,   385,  1030,   274,   723,   600,   408,   409,   568,
    1178,   500,   698,   699,   137,   120,   122,   123,   134,   135,
     177,   178,   220,   263,   265,   302,   304,   316,   357,   396,
     401,   425,   426,   455,   943,   945,   947,   949,   951,   953,
     954,   955,   957,   958,   962,   963,  1152,  1159,  1163,  1164,
    1180,   227,   500,   694,  1030,   512,   108,   842,   308,   512,
     469,   242,  1028,   512,   723,   723,   694,   582,   512,   115,
     531,   436,   663,   335,   639,   151,   189,   336,   421,    97,
     117,   261,   678,   108,   694,   222,   512,  1028,   242,   617,
    1028,  1028,   723,   150,   760,  1036,  1030,   637,    74,  1056,
    1158,   505,  1057,  1054,   121,   171,   259,   306,   384,   211,
     698,   128,   372,   555,   211,   500,   211,   469,   211,   771,
     211,   503,   242,   723,   242,   723,   211,   794,  1029,   211,
     211,   322,   211,   555,   211,   151,   189,   336,   421,   211,
     322,   211,   222,   242,   242,   542,   211,   503,   555,   501,
    1183,  1184,  1182,   503,   507,   967,   996,  1115,  1190,  1191,
     417,   888,   501,   503,   216,   322,   433,   539,   542,   628,
     862,   858,   737,   887,   737,   887,  1192,  1193,   737,   887,
     737,   887,  1193,   737,   887,   887,   887,   737,    14,    37,
    1166,  1169,  1174,   887,   500,   601,   602,  1158,   601,    99,
     174,   224,   229,   274,   275,   383,   389,   417,   419,   743,
    1027,  1029,   742,   247,   503,   876,   887,   887,  1178,  1111,
     943,   999,   108,  1029,   223,   805,   805,   805,   282,  1158,
     222,   222,   743,  1029,   382,  1158,   542,   322,   500,   498,
     891,  1000,   457,   960,   967,  1016,   500,   960,   960,   500,
     500,   500,   500,   948,   948,   345,   891,   500,   500,   950,
     500,   500,   500,   500,   134,   135,   960,   967,   500,   948,
     500,   500,   500,   500,   500,   467,   486,   500,   964,   500,
     964,   500,   500,   891,   500,   500,   500,   500,   500,   500,
     500,   500,   967,   967,   891,   967,   996,  1019,  1178,   135,
     500,   961,   500,  1178,    85,    88,   105,   108,   113,   119,
     143,   243,   247,   268,   269,   283,   308,   311,   324,   327,
     399,   487,   488,   489,   491,   492,   493,   494,   495,   496,
     991,   993,   995,  1180,   332,   967,   266,   503,   899,  1191,
     500,  1178,  1019,    22,  1173,  1174,  1020,   319,   322,  1143,
    1143,    10,   453,  1130,  1131,  1133,  1110,  1110,   183,   244,
     548,   503,   136,   180,   542,   108,   180,   287,   540,   628,
     963,  1178,  1180,   155,   194,   976,   163,   180,   536,   537,
     539,   628,   180,   536,  1191,  1191,   282,  1028,   967,   493,
    1033,  1160,  1018,   156,   371,   726,   268,   501,   503,   853,
     501,   503,   897,  1029,   108,   856,   893,   893,   906,   907,
     967,   893,   219,   305,   917,   356,   397,   446,    99,   912,
     967,   913,   915,   967,   969,   920,   921,   911,   910,   908,
     909,   222,   923,   908,   920,   936,  1028,   108,  1158,   395,
    1103,   493,   503,   504,  1161,  1080,  1083,  1080,   262,   175,
     240,   295,   966,   295,   966,   966,   298,  1038,   295,   298,
     386,  1177,   503,  1072,   179,  1110,   447,  1059,  1061,  1030,
      37,  1038,  1132,  1174,   503,   487,  1030,    14,  1038,  1177,
    1038,  1177,   503,  1090,   500,  1030,   500,  1162,   493,   999,
     335,   366,   395,   427,   427,   383,  1033,   502,   427,   427,
     383,   427,   427,   419,   534,   837,   222,   232,   247,   375,
     755,   756,   137,   153,   207,   224,   349,   441,   598,   599,
     153,   180,   308,   427,   180,   308,   383,   383,   645,    98,
     131,   144,   157,   195,   224,   229,   324,   383,   389,   392,
     417,   423,   436,   460,   637,  1030,   366,   395,   552,   322,
     628,   387,   427,   427,   313,   628,   184,   267,   383,   372,
     782,   790,   247,   257,   329,   396,   456,   501,   772,   775,
     776,   777,   779,   943,  1159,   427,   447,   145,   207,   589,
     598,  1158,   145,   807,   322,   381,   431,   153,   807,   102,
     369,   381,   431,  1028,   252,   318,   723,   500,   427,   427,
     500,   558,   419,   466,   467,   558,   153,   503,   335,   448,
     448,   307,   943,   335,   395,   795,   174,   427,   514,   544,
     427,   427,   628,   125,   627,   628,   628,   172,   294,   296,
     125,   427,   512,   383,   512,   306,   626,   427,   313,  1178,
     656,   427,   807,   383,   427,   427,   558,   558,   723,   723,
     723,   723,  1028,   114,   453,   114,   114,   427,   114,   427,
     383,   503,   170,   447,   674,  1039,   427,   514,   427,   383,
     335,   366,   356,   367,   391,   538,   825,  1034,  1158,  1028,
     698,   943,   322,   469,   771,   628,   723,   723,   794,   268,
     322,   151,   189,   336,   421,   322,   723,   268,   466,   573,
     512,   700,   701,  1180,   694,   500,   945,   108,   107,   944,
     175,   298,   481,   500,   965,   724,   948,   723,   695,   696,
    1160,    97,   832,   943,   211,   642,  1030,   308,   500,   669,
     513,   708,   448,   460,   513,  1039,   160,   232,   532,   581,
     622,   677,   738,   758,   828,  1178,   664,   665,  1030,   290,
     723,   723,   723,   723,   318,   185,   260,   434,   446,   679,
     680,   204,   500,   674,   513,   624,   625,   308,   108,   318,
     500,   618,   600,   222,   761,  1034,   500,   773,   108,   274,
     502,  1038,  1057,   466,   467,   889,   384,  1036,   555,   943,
    1031,   242,  1030,  1036,   555,  1029,  1030,   211,   448,   211,
     448,   795,   555,   555,  1029,  1030,  1028,  1030,  1030,  1030,
    1028,  1029,   674,   211,   211,   555,   722,   723,   501,   507,
    1185,   501,   503,  1191,  1115,  1028,   171,   858,   860,   887,
     887,  1193,   887,   887,  1193,   887,   887,  1030,    14,   503,
    1173,   601,   501,   503,   501,   230,   390,   418,  1029,   173,
     392,   747,   748,  1029,   317,  1029,  1027,  1027,  1029,   427,
     466,   751,    93,   209,   379,   397,   877,   934,   312,   878,
     501,   503,   865,   868,   873,   879,   890,   427,   741,   740,
     741,   227,   233,   752,  1158,    98,   145,   195,   224,   229,
     275,   383,   389,   417,   436,   460,   637,   732,   996,   499,
     996,  1000,  1001,   500,   462,  1013,  1014,   967,   996,  1038,
    1038,   996,   175,   240,   295,   298,   386,   481,  1002,  1003,
    1178,  1180,  1038,   996,   996,  1038,  1038,   960,   960,   967,
     795,   967,  1004,   491,   492,   968,   969,   989,   993,  1006,
     501,   996,   967,   996,  1007,   425,   483,  1038,  1038,   967,
     124,   227,   279,   428,   967,   996,  1010,   996,   300,   969,
     967,   974,   975,   976,   300,   967,   976,   501,   503,   395,
    1038,  1038,   965,   943,   967,  1160,   425,   112,   414,  1021,
     723,   967,   500,   891,  1011,   192,   194,   216,   308,   313,
     318,   433,   442,   967,   119,   243,   247,   283,   399,   500,
     967,   427,   967,   967,   967,   967,   967,   967,   967,   967,
     967,   967,    99,   106,   402,   990,   379,   500,   989,   231,
     287,   417,   420,   422,   444,   900,  1028,  1026,   227,   926,
      99,   192,   456,   493,   501,   777,   967,   997,   998,  1159,
    1030,  1174,  1018,  1132,   503,   487,  1028,   429,   500,  1178,
     503,  1191,   501,   499,   505,   241,   241,   555,  1090,  1028,
     850,   851,  1028,  1022,   501,   500,   503,   109,   188,   448,
     767,   500,   914,  1040,   323,   318,   924,   924,   503,   379,
     380,   916,   921,   909,   448,   874,   180,   500,   869,   890,
    1158,   500,   880,   881,   882,   883,   884,  1158,   504,  1104,
     944,   507,  1083,   507,   501,   628,   501,    34,  1060,  1135,
    1136,  1174,  1128,  1133,  1181,  1119,   944,  1168,  1184,  1168,
     944,   501,   501,   427,   427,   383,  1039,  1030,  1030,  1033,
    1039,  1030,  1030,  1039,  1031,  1030,   152,   838,   377,   447,
     740,   383,   232,   740,   500,  1030,   448,   762,   272,   272,
     448,   500,   616,  1030,   313,  1039,   967,   313,  1030,  1030,
     427,   646,  1036,   500,   723,   723,   723,   173,   417,   748,
     139,   217,   795,  1030,   723,  1030,   723,   385,   723,   723,
     274,   236,   306,   335,   452,   649,   650,   651,   427,   807,
     383,   313,   184,   267,  1039,  1030,   322,  1030,   329,  1159,
     501,   503,   777,   779,   776,   779,  1159,   724,  1039,  1029,
     589,   943,  1158,  1030,  1030,    99,   447,  1030,   242,  1030,
     242,  1158,   381,   431,   381,   431,  1030,    99,   447,  1030,
    1028,    95,   197,   395,   657,   658,   659,   660,  1160,  1039,
    1030,   560,   561,  1160,  1030,   321,   141,   321,  1030,   553,
     427,  1032,  1158,  1032,   503,   501,   503,   427,   383,  1031,
    1039,   152,   202,   252,   340,   439,   447,   450,   515,  1180,
    1039,  1030,   628,   723,  1030,   628,  1030,   628,  1039,  1030,
    1030,  1030,  1039,  1030,    95,   101,   197,   335,   366,   395,
     335,   366,   395,   694,   366,   395,   366,   395,   366,   942,
    1158,  1178,  1158,   242,  1158,  1039,  1030,  1030,  1030,    95,
     564,   392,  1039,  1030,  1030,   427,   427,   149,   438,   356,
     268,   108,   723,   268,   268,   448,   448,   268,   313,   729,
    1178,   723,   723,   723,   723,   723,   723,   268,   729,   321,
     227,   427,   567,   500,   569,   570,   501,   503,   487,   967,
     107,   944,   943,   498,   498,   427,   427,  1038,   948,   501,
     503,   487,   679,   152,   201,   277,   278,   290,   335,   419,
     421,   833,   591,  1030,   227,   383,   459,   643,   650,   651,
     211,   501,   589,   670,   671,   392,    96,   247,   377,   415,
     515,   516,   222,  1032,  1028,   531,   327,   582,   224,  1178,
     694,   694,   694,   694,   318,   322,   327,   500,   940,   941,
     942,   392,   211,   210,  1048,   723,   283,   583,   585,   587,
     589,   595,   598,   619,   620,  1158,   466,   467,   612,   108,
    1178,   322,   501,   774,   775,   780,   108,   274,   374,   465,
     781,   782,   783,   322,   542,  1056,   494,   239,   239,   222,
     698,   108,   211,   555,   771,   723,  1032,   723,  1032,   794,
     322,   555,   555,   322,   555,   392,   222,   542,   555,   967,
     500,   889,  1181,  1169,   501,   602,   247,   247,   247,   469,
    1029,   503,   628,   629,   235,   744,   745,  1039,    96,   752,
     209,   397,   209,   397,   379,   446,   297,   943,  1030,   227,
     322,   744,   125,   555,  1036,   417,  1036,   317,   274,   723,
     501,   499,   499,   503,   996,   967,   199,  1014,  1015,   108,
     501,   501,   501,   501,   501,   227,   501,   501,   501,   501,
     501,   503,   501,   341,  1005,   501,   968,   968,    88,   247,
     268,   324,   487,   488,   489,   491,   492,   493,   494,   495,
     496,   993,   968,   501,   501,   222,   227,  1008,  1009,   501,
     483,   501,   501,   108,  1010,   996,  1010,  1010,   227,   501,
     501,  1160,   339,   978,   108,   501,   503,   967,  1160,   503,
     967,  1020,   967,  1158,   501,   501,   483,   968,   968,   205,
     996,   227,   192,   194,   216,   313,   318,   433,   442,   500,
     205,   414,  1021,   967,  1011,   967,   427,   795,   967,   500,
     891,   420,   422,   420,   422,  1028,   901,   901,   901,   500,
     891,   927,   928,   929,   934,   937,   970,  1036,  1158,   463,
     938,   997,   997,   998,   501,   331,   982,    90,   501,   503,
     905,     8,    11,    12,    22,    23,    24,    26,    27,    31,
      32,    33,   173,   300,   345,   436,  1138,  1139,  1141,  1131,
    1132,   826,  1038,   965,   537,   967,   944,   856,   865,   907,
     324,   991,   994,   484,   485,   768,   967,   916,  1027,   878,
     878,   913,   927,   463,   939,   454,   870,   871,  1158,   373,
     872,   884,   885,   503,   926,   487,  1020,   505,  1086,   504,
     503,   487,    30,  1147,   501,   501,   504,  1039,  1030,  1030,
     284,  1029,  1029,   322,  1029,   325,   322,   967,   599,  1032,
     500,   500,   500,   616,   250,   601,   688,   555,   542,   698,
     943,   469,   723,   723,   723,   794,   151,   189,   336,   421,
    1030,   632,  1030,   236,   452,   427,   632,   649,   656,  1030,
    1030,  1030,   258,   313,   724,   775,   779,   779,   495,   591,
     197,   370,   395,   554,   808,   211,   555,   211,   555,  1030,
    1030,  1030,  1030,   659,   660,   659,   501,   503,   661,  1178,
     501,   503,   487,   502,  1039,   335,   366,   395,    95,   197,
     335,   366,   395,   943,   307,   943,  1039,  1030,   284,   340,
     313,  1178,   340,  1029,   445,   427,   292,   292,   292,   427,
     427,   383,   427,   427,   383,   427,   383,   427,   383,   427,
     555,   943,    97,   117,   395,   808,   211,   555,   427,  1030,
    1039,  1030,   729,   943,   268,   729,   729,  1032,  1032,   729,
     268,   268,   268,   268,   268,   268,   729,   568,   576,   577,
    1160,   121,   162,   186,   201,   205,   223,   238,   313,   321,
     354,   571,   701,  1180,   324,   491,   492,   628,   697,   779,
     994,  1044,  1178,   501,   498,   501,  1038,   499,   500,  1038,
    1158,  1178,  1189,   501,   696,   697,   322,   284,   487,   834,
     834,   834,   834,   834,   834,   834,   137,   143,   153,   180,
     182,   254,   308,   313,   349,   362,   441,   592,   593,   594,
     512,   542,  1030,   542,   326,   654,  1028,   501,   503,  1030,
    1029,   235,   377,  1029,  1038,   436,   600,   368,   417,   173,
     601,  1028,   680,   702,   703,  1178,   501,   503,  1030,  1028,
    1066,   890,   500,   584,  1028,   501,   503,   501,   503,   321,
     558,   321,   322,   613,   890,   427,  1028,   501,   503,   180,
     487,   784,  1178,   542,   417,   778,   779,   466,   783,   785,
     185,   260,   388,   446,   816,   236,  1052,   890,  1066,   555,
     943,  1030,   555,   448,   555,   448,   555,   555,  1028,  1028,
    1030,   674,   555,  1158,   222,   383,   383,   383,  1029,   748,
     503,  1039,   466,   503,   746,   325,   209,   209,  1029,   743,
     555,  1039,   698,   771,   628,   723,   268,  1000,   501,   424,
     967,   203,   943,   967,   967,   967,  1008,   943,   968,   192,
     194,   308,   318,   968,   968,   968,   968,   968,   968,   968,
     968,   968,   968,   967,   967,  1009,  1008,   964,   964,   943,
     501,   501,   501,   996,   501,   503,   125,   969,   501,  1160,
     975,   346,   412,   977,   501,   503,   459,   971,   108,   501,
     961,  1178,   967,   105,   105,   967,   501,   967,   227,   500,
     999,   967,   968,   968,   205,   205,   967,   501,   205,   967,
     901,   901,   901,   901,  1028,  1028,  1028,   891,   928,   929,
     108,   930,  1158,   503,   161,   228,   256,   271,   281,   303,
     376,   931,   930,   108,   930,  1158,   500,  1019,   967,   235,
     918,   503,   904,   905,   904,   501,   982,   500,   983,  1158,
     967,   982,  1178,   456,   998,   501,   503,   487,   501,   499,
    1147,   501,   500,   768,   501,   323,   163,   967,   872,   501,
     503,  1020,  1025,   501,   503,   881,   939,  1022,  1038,   487,
    1105,  1136,  1141,   834,   230,   390,   418,   757,   222,   757,
     501,   500,   604,   605,   764,   970,  1158,   601,   601,   688,
    1034,   501,   182,   254,   308,   689,   108,  1030,   448,   448,
     723,   723,   723,   723,   724,  1039,   427,   258,   495,   436,
     308,   558,   173,   308,   407,   410,   558,   436,  1030,  1158,
     658,   561,   697,  1160,   427,   427,   383,   229,   324,   410,
     706,   707,   229,   324,   714,   715,   427,   427,   383,   501,
     501,   501,  1040,  1178,  1178,  1178,  1030,   222,   222,   368,
     222,   242,  1039,  1030,  1030,  1039,  1030,  1030,  1030,  1030,
    1030,  1030,  1030,   143,   556,  1178,  1178,   436,  1158,  1030,
     656,   501,   729,   268,   268,   729,   729,   729,   729,   729,
     729,   448,   574,   575,   501,   503,   493,   500,   539,   578,
     628,   842,  1178,   842,   308,   354,   842,   842,   688,  1038,
     466,   467,   499,  1189,   491,   492,   493,   494,   495,   499,
     965,  1028,   834,   180,  1038,  1178,   180,  1178,   180,  1178,
     180,  1178,   180,  1030,   180,  1030,   180,  1030,   500,   723,
    1030,   968,   183,   244,   182,   313,   272,  1028,   785,   642,
     500,   669,   671,   654,  1029,  1029,   943,   108,  1028,   469,
     222,   681,   501,   503,   942,   654,   318,   500,   867,   466,
     621,   586,   588,   590,   598,  1158,   612,   596,   253,   611,
     587,   620,   148,   419,   614,   466,   829,  1178,   762,   780,
     967,   967,   503,   500,   781,   694,   427,   632,    85,  1063,
     501,   555,  1032,  1032,   555,   555,   392,  1029,  1029,  1029,
     628,   232,   745,   752,   227,   268,   268,   268,   268,   313,
     733,  1178,   967,   501,   501,  1009,   227,   192,   194,   318,
     500,   501,   472,   973,   996,   361,   125,   464,   464,   501,
     967,   306,   967,   503,   972,   945,   965,   968,   968,   967,
     999,   501,   105,   105,   967,   967,   205,   967,   501,  1028,
    1028,  1028,  1028,   501,  1158,   500,   928,   271,   330,   932,
     928,   932,   271,   931,   932,   271,   500,  1158,   500,   997,
     125,   237,   919,   501,   501,   982,   984,  1158,   998,   982,
    1139,   492,  1132,  1140,  1177,  1178,  1178,   795,   318,   890,
     871,  1191,   487,   884,   872,  1185,  1040,   427,   740,   227,
     688,   967,   501,   503,   466,   143,   765,   765,   501,   501,
     785,   183,   244,   182,   450,   943,  1032,  1032,  1030,   436,
     313,   313,  1040,  1158,   943,   555,   555,   487,  1039,  1030,
    1030,  1038,  1038,   943,   503,  1038,  1038,   503,  1039,  1030,
    1030,  1029,  1029,   723,  1029,   211,   723,   943,   555,   555,
     268,   729,   729,   512,   187,   577,   539,   579,   580,  1178,
    1178,   313,   493,   601,  1178,  1178,   499,   229,   257,   229,
     501,  1189,  1189,  1189,  1189,  1189,   227,   687,  1040,   967,
     308,   593,   785,   600,   448,   615,   655,   659,   392,   448,
     890,   500,  1030,   198,   682,   462,   684,  1178,   723,   583,
     173,   306,   501,   503,   466,   613,   208,   248,   500,   612,
     185,   197,   346,  1030,   129,   137,   287,   227,   500,  1178,
     777,   786,   787,  1159,   785,  1028,   255,   633,  1064,  1158,
     555,   555,   555,  1030,   325,   555,   744,   733,   733,   733,
     733,   968,   227,   500,   999,   500,   501,   503,   501,   969,
     361,   501,   453,   404,   501,   501,   501,   968,   968,   967,
     930,   500,  1029,   928,   322,   448,   933,   928,   271,   928,
     941,   500,   941,  1158,   501,   996,   967,   465,   979,   982,
     982,   338,   985,   501,  1038,  1177,   965,   501,   887,  1024,
     744,   322,   744,   501,   785,   605,   324,   795,   723,   448,
     723,   766,   766,   362,   785,   615,   501,   556,   697,   500,
    1036,   795,   707,   500,   500,   715,   466,   368,   466,   466,
     222,   556,   729,   569,  1178,   501,   503,   601,   748,   108,
     800,   800,  1028,   688,   501,   615,   293,   603,   250,   501,
     503,  1030,  1032,   829,   654,   379,   406,   683,   500,   210,
     584,   501,   173,   588,   326,   614,    99,   147,   154,   181,
     251,   410,   597,   597,  1027,   613,   380,   380,   137,   325,
     137,   723,   763,   764,   779,   501,   503,   938,   632,   306,
     452,   634,   635,   487,  1065,   555,   968,   999,   501,   974,
     996,   125,   306,   482,  1029,   501,   967,   500,   928,   933,
     501,   941,   501,   980,   981,  1158,   125,   904,   982,   746,
     757,   555,   765,   615,   500,   723,   767,   767,  1028,   615,
     688,   448,   557,   999,   771,   222,   710,   794,   999,   999,
     722,   723,   722,   723,  1029,   555,   580,   800,   111,   246,
     222,   228,   337,   400,   322,   607,   608,   609,   419,   659,
     654,   217,   709,   967,   353,   612,   611,   591,   501,   614,
     325,   325,   501,   503,   781,   786,   193,   452,   632,  1038,
    1172,  1180,    85,   501,   501,   501,   361,   453,   501,  1029,
     501,   503,   108,   996,   355,   380,   986,   227,   766,   463,
     606,   795,   768,   768,   600,   688,   967,   501,   328,   385,
     359,   711,   710,   501,   501,   466,   198,   185,   446,   322,
     609,   322,   608,  1030,   723,   108,   501,  1036,   613,   612,
     466,   559,   764,   785,   100,   261,   817,  1064,   501,   981,
     983,   119,   163,   437,   967,   987,   988,   987,   501,   744,
     767,   500,   688,   501,   603,  1036,   125,   711,   723,   379,
     128,   306,   372,   395,   610,   610,   706,   500,   614,   613,
     558,   614,   309,   500,   812,   814,   819,   868,   873,   879,
     890,   988,   379,   221,   344,   221,   344,   555,   768,   967,
     607,   771,   723,   684,    94,   180,   313,   685,   686,  1038,
    1160,  1177,  1178,   614,   938,   813,   814,   815,   891,   892,
     105,   501,   688,   210,   501,   503,   501,   504,   988,   353,
     686,   815,  1036,   500,   685,   501
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1455 of yacc.c  */
#line 1367 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 1369 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 1371 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 1373 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 1375 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 1377 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 1379 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 1381 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 1383 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 1385 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 1387 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 1389 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 1391 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 1393 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 1395 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 1397 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 1399 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 1401 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 1403 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 1405 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 1407 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 1409 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 1411 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 1413 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 1415 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 1417 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 1419 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	;}
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 1437 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 1439 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1441 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1443 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1445 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1447 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1449 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1451 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1453 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1455 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1457 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1459 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1461 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1463 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1465 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1467 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1469 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1471 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1473 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1475 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1477 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1479 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1481 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1483 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1485 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1487 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1489 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1491 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 1493 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 1497 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1499 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1501 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1503 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1505 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1507 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1509 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1511 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 1513 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 1515 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 1517 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 1519 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 1521 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 1523 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 1525 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 1527 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1529 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1531 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1533 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1535 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1537 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1539 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1541 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1543 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1545 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1547 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1549 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1551 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1553 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1555 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1557 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1559 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1563 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	;}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1570 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1572 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1574 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1576 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1578 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1580 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1582 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1584 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1586 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1588 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1590 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1592 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1598 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1600 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1602 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1604 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1606 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1608 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1610 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1612 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1614 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1620 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1630 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1634 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1640 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1644 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1654 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1663 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1665 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (!strcmp((yyvsp[(1) - (1)].str), "all"))
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1679 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1686 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1692 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1703 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1709 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1718 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1725 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1731 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1740 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1747 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1754 "preproc.y"
    { (yyval.str) = NULL; ;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1760 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1768 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1772 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1783 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1794 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1801 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1805 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1809 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1813 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1817 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1821 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1825 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1829 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1833 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1841 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1845 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1849 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1853 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1857 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1861 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1869 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1877 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1885 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1888 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1896 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1904 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 1912 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 1920 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 1924 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 1932 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 1936 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 1944 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1952 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 1960 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1964 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1972 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1976 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 1984 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1996 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 2000 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 2007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 2011 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 2018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 2022 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 2026 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 2030 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 2034 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 2038 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 2046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 2050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 2054 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 2062 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 2066 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 2070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 2074 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 2078 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 2082 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 2086 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 2090 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 2094 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 2099 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 2103 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 2107 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 2111 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 2115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 2119 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 2127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 2131 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 2139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 2143 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 2151 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 2155 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2169 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2173 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2177 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2181 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2189 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2193 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2197 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2201 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2209 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2213 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2217 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2221 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2229 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2241 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2249 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2256 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 2260 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2268 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 2276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2280 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2284 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2292 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 2296 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 2304 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2308 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2312 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2316 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2320 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2329 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 2337 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2341 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 2353 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2361 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2369 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2373 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2377 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2389 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2393 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2397 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2401 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2409 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2413 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2421 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2425 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2429 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2433 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2437 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2441 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2445 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2449 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2453 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2457 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2461 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2465 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2469 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2473 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2477 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2481 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2493 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2501 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2505 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2509 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2513 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2517 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2521 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2525 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2529 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2533 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2537 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2541 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2545 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2549 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2553 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2557 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2561 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2565 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2569 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2573 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2577 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2581 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2589 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2593 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2601 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2605 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2609 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2616 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2620 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2627 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2631 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2646 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2650 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2657 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2661 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2669 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2673 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2677 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2681 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2689 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2697 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2709 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2713 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2717 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2721 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2729 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2742 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2753 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2764 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2768 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2780 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2784 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2792 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2796 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2804 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2808 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2823 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2827 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2839 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2843 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2847 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2859 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2871 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2882 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2889 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2893 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2900 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2904 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2911 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2915 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2931 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2935 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2943 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2947 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2954 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2958 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2966 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2974 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2978 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2982 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2986 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2994 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2998 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 3002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 3006 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 3010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 3014 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 3018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 3022 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 3029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 3033 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 3040 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 3044 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 3051 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 3055 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 3063 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 3067 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 3075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 3079 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 3083 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 3091 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 3095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 3103 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 3111 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 3119 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 3123 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 3130 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 3134 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 3138 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 3142 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 3150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 3154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 3158 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3162 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3166 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("check ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3170 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3174 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3202 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3214 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3218 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3225 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3229 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3237 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3241 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3253 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3265 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3269 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3273 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3277 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3281 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3285 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3289 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3297 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3301 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3308 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3312 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3320 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3328 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3332 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3337 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3341 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3348 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3352 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3360 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3364 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3372 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3376 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3383 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3391 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3395 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3399 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3406 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3414 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3446 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3450 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3457 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3461 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3465 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3469 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3476 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3480 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3488 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3495 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3499 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3506 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3510 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3517 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3525 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3537 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3544 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3548 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3556 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3564 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3568 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3572 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3579 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3587 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3595 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3599 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3606 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3630 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3674 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3681 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3685 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3689 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3697 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3701 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3709 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3713 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3721 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3725 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3732 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3736 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3744 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3748 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3755 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3771 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3778 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3782 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3794 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3801 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3809 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3813 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3820 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3824 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3832 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3836 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3844 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3848 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3855 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3859 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3863 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3871 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3879 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3883 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3898 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3902 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3906 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3910 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3914 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3918 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3922 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3926 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3930 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3934 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3938 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3942 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3946 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3950 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3954 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3958 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3962 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3966 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3970 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3974 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3978 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3982 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3990 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3998 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 4002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 4006 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 4010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 4018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 4022 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 4030 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 4034 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 4041 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 4045 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 4053 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 4057 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 4065 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 4069 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 4076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 4080 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 4088 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 4096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 4100 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 4108 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 4112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4116 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4120 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4128 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4136 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4144 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4152 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4160 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4164 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4171 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4183 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4187 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4194 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4198 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4206 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4214 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4222 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4226 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4234 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4246 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4250 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4258 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4266 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4274 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4290 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4298 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4302 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4310 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4318 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4322 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4346 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4350 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4370 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4382 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4386 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4397 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4404 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4408 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4416 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4420 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4427 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4431 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4435 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4442 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4446 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4450 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4454 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4462 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4466 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4473 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4476 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4488 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4496 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4500 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4508 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4512 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4520 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4529 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4538 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4550 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4554 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4558 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4562 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4566 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4570 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4574 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4578 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4582 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4586 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4602 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4606 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4614 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4618 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4626 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4630 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4634 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4638 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4642 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4670 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4674 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4682 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4690 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4694 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4701 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4705 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4713 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("add value"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4717 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("before"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4721 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("after"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4729 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4737 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4741 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4749 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4753 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4757 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4761 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4765 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4773 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4777 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4784 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4788 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4799 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4803 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4810 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4815 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4822 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4830 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4834 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4854 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4858 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4866 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4870 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4878 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4882 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4890 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4898 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4906 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4910 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4982 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4986 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 4994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4998 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 5006 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 5010 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 5018 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 5026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 5030 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 5034 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 5041 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 5045 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5049 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5053 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5057 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5061 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5065 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5069 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5073 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5077 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5081 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5085 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5089 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5093 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5097 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5101 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5105 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5113 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5117 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5121 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5125 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5141 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5145 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5149 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5153 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5157 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5161 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5165 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5169 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5173 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5177 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5185 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5189 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5197 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5201 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5205 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5209 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5213 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5221 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5225 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5232 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5236 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5240 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5244 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5248 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5252 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5260 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5268 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5280 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5284 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5288 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5292 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5298 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5304 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5310 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5316 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5322 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5328 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5334 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5344 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5355 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5366 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5377 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5388 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5399 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5410 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5426 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5442 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5458 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5469 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5485 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5496 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5512 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5543 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5550 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5558 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5562 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5570 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5582 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5586 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5594 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5598 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5626 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5630 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5642 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5646 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5654 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5658 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5670 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5674 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5678 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5686 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5690 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5698 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5710 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5714 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5721 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5733 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5741 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5749 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5753 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5765 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5772 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5776 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5795 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5802 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5810 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5818 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5822 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5826 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5850 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5862 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5873 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5880 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5884 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5895 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5906 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5914 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5918 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5922 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5930 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5934 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5941 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5945 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5949 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5956 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5960 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5964 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5979 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5986 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5990 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5994 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6006 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6017 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6029 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6037 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6041 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6049 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6053 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6061 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6065 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6069 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6077 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6089 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6093 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6097 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6101 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6109 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6117 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6125 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6129 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6133 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6141 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6145 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6149 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6157 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6161 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6169 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6173 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6177 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6181 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6185 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6189 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6193 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6197 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6201 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6205 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6209 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6213 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6217 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6225 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6229 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6233 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6245 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6249 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6257 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6261 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6268 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6276 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6280 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6288 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6296 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6308 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6312 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6319 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6323 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6331 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6335 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6343 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6347 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6355 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6359 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6363 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6367 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6375 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6387 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6395 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6399 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6407 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6411 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6419 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6423 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6427 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6443 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6450 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6462 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6469 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6477 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6501 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6508 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6512 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6516 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6520 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6524 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6528 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6532 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6536 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6540 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6544 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6548 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6552 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6556 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6560 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6564 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6568 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6572 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6576 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6580 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6584 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6588 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6592 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6596 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6600 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6604 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6608 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6612 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6616 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6620 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6628 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6632 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6643 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6650 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6658 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6662 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6666 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6670 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6674 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6678 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6682 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6690 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6694 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6698 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6702 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6706 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6710 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6714 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6718 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6726 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6730 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6734 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6738 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6742 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6746 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6750 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6754 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6758 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6762 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6766 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6770 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6774 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6778 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6782 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6786 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6790 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6794 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6802 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6814 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6818 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6830 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6838 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6846 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6850 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6854 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6862 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6866 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6873 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6877 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6881 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6885 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6893 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6897 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6901 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6908 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 6912 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 6920 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 6928 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 6932 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 6939 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 6947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 6951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 6959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 6963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 6967 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 6971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 6979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 6987 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 6991 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 6999 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7011 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7027 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7034 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7058 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7062 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7066 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7074 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7078 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7085 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("view"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7089 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create or replace"),(yyvsp[(4) - (10)].str),mm_strdup("view"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7097 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7102 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7107 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7112 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7119 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7127 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7135 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7139 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7146 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7150 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7154 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7158 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7162 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7166 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7170 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7174 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7178 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7182 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7190 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7194 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7198 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7202 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7206 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7218 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7225 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7229 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7237 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7245 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7249 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7264 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7268 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7276 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7284 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7288 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7292 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7296 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7300 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7308 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7312 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7319 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7327 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7331 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7335 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7339 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7343 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7347 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7355 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7363 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7367 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7371 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7379 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7383 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7390 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7394 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7398 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7402 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7406 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7414 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7418 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7426 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7446 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7450 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7474 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7481 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7485 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7492 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7496 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7503 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7507 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7514 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7518 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7522 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7526 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7534 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7538 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7542 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7546 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7550 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7554 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7558 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7566 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7570 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7586 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7590 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7602 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7606 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7610 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7617 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7623 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7633 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7637 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7644 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7648 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7652 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7656 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7664 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7666 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("table"),(yyvsp[(4) - (8)].str),mm_strdup("as execute"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7674 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7678 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7685 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7693 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7697 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7701 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7709 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7713 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7721 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7729 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7733 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7740 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7748 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7752 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7759 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7767 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7771 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 7790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 7794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 7798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 7802 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 7806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 7814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 7818 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 7825 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 7833 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 7837 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 7845 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 7849 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 7857 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 7865 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 7873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 7881 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 7885 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 7893 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
                                else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 7946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 7950 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 7965 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 7969 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 7973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 7977 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 7985 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 7992 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 7996 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 8004 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 8008 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8016 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8020 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8028 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8032 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8036 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8040 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8044 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8048 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8052 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8056 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8064 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8068 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8076 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8084 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8088 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8092 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8096 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8104 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8116 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8120 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8128 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8136 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8140 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8147 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8151 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8153 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8160 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8164 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8168 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8172 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8176 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8184 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8188 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8192 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8200 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8204 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8219 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8230 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8238 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8245 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8249 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8256 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8268 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8276 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8280 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8288 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8292 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8296 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8300 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8308 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8312 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8319 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8323 "preproc.y"
    {
                mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
                (yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
        ;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8328 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8336 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8340 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8348 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8352 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8360 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8368 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8372 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8376 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8383 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8415 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8419 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8426 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8430 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8437 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8449 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8453 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8460 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8464 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8472 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8476 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8484 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8488 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8495 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8499 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8507 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8511 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8518 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8530 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8538 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8542 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8546 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("as ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8550 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("as"),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8554 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8558 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8564 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8568 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8572 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8580 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8584 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8588 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8592 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8596 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8600 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8608 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8612 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8616 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8620 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8628 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8632 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8636 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8648 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8652 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8659 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8663 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8671 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8675 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8679 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8683 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8691 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8695 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8703 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8707 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 8711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 8719 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 8727 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 8731 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 8738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 8742 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 8747 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 8754 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 8758 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 8765 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 8769 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 8777 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 8785 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 8787 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 8789 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 8793 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 8797 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 8801 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 8809 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 8819 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 8829 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 8839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 8843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 8847 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 8851 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 8855 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 8859 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 8863 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 8871 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 8875 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 8879 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 8883 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 8891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 8895 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 8903 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 8907 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 8914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 8918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 8922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 8926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 8930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 8934 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 8938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 8942 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 8946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 8950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 8954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 8962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 8966 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 8973 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 8977 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 8985 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 8989 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 8997 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9005 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9013 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9017 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9025 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9029 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9037 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9045 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9053 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9057 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9065 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9069 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9081 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9085 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9092 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9096 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9103 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9107 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9111 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9115 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9139 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9166 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9182 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9190 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9194 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9198 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9205 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9217 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9221 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9225 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9229 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9233 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9237 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9241 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9245 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9249 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9253 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9257 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9261 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9265 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9273 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9277 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9281 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9289 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9293 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9297 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9301 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9309 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9313 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9317 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9321 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9325 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 9329 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 9333 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 9337 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 9341 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 9345 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 9349 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 9353 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 9357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 9361 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 9365 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 9369 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 9373 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 9377 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 9381 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 9385 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 9389 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 9393 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 9397 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 9401 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 9405 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 9409 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 9413 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 9417 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 9421 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 9425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 9429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 9433 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 9437 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 9441 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 9446 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 9450 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 9458 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 9462 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 9466 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 9470 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 9474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 9478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 9482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 9486 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 9490 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 9494 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 9498 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 9502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 9506 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 9510 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 9514 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 9518 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 9522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 9526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 9530 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 9534 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 9538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 9542 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 9550 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 9554 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 9558 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 9562 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 9566 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 9570 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 9574 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 9578 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 9582 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 9586 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 9590 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 9594 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 9602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 9606 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 9610 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 9614 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 9618 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 9622 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 9626 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 9630 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 9634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 9638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 9642 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 9646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 9650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 9654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 9658 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 9666 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 9670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 9674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 9678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 9682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 9686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 9690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 9694 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 9698 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 9702 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 9706 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 9710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 9714 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 9718 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 9722 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 9726 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 9730 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 9734 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 9738 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 9742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 9746 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 9750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 9754 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 9758 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 9762 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 9766 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 9770 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 9774 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 9778 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 9782 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 9786 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 9790 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 9794 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 9802 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 9806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 9814 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 9818 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 9822 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 9826 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 9833 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 9841 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 9845 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 9853 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 9857 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 9865 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 9869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 9877 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 9881 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 9885 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 9892 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 9896 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 9900 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 9904 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 9912 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 9916 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 9923 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 9927 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 9935 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 9943 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 9958 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 9966 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 9970 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 9977 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 9981 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 9988 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 9993 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 9997 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 10004 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 10008 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 10016 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 10020 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 10024 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 10028 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 10032 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 10040 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 10044 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 10048 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 10056 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 10060 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 10064 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 10072 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 10076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 10084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 10088 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 10092 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 10096 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 10100 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 10104 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 10108 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 10112 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 10116 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 10124 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 10128 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 10136 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 10140 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 10148 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 10152 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 10156 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 10160 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 10164 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 10168 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 10176 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 10180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 10188 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 10192 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 10200 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 10204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 10212 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 10216 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 10224 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 10228 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 10232 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 10240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 10244 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 10252 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 10256 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 10263 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 10267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 10271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 10275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 10279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 10283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 10287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 10291 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 10299 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 10303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 10311 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 10319 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 10323 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 10330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 10334 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 10338 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 10342 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 10346 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 10350 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 10357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 10365 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 10373 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 10377 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 10381 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 10389 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 10393 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 10401 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 10409 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 10413 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 10421 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 10429 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 10433 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 10440 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 10444 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 10451 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 10455 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 10463 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 10467 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 10471 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 10475 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 10483 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 10487 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 10495 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 10498 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 10506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 10510 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 10517 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 10521 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 10529 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 10533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 10541 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 10549 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 10553 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 10561 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 10565 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 10569 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 10573 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 10581 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 10585 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 10593 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 10597 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 10605 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 10609 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 10617 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 10625 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 10633 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 10641 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 10649 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 10657 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 10665 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 10669 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 10677 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 10681 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 10685 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 10689 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 10693 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 10697 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 10701 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 10705 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 10709 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 10713 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 10717 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 10721 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 10725 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 10728 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 10729 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 10735 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 10741 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 10749 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 10752 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 10754 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 10758 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 10766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 10770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 10774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 10778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 10782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 10786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 10790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 10794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 10798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 10802 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 10806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 10810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 10814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 10818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 10822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 10826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 10830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 10834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 10838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 10842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 10846 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 10854 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 10858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 10866 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 10870 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 10874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 10878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 10882 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 10886 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 10890 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 10894 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 10898 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 10902 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 10906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 10910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 10918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 10922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 10930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 10958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 10970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 10974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 10978 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 10982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 10986 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 10990 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 10994 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 10998 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 11002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 11006 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 11010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 11014 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 11018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 11022 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 11026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 11030 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 11034 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 11038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 11042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 11046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 11050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 11054 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 11058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 11062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 11066 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 11070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 11074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 11078 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1913:

/* Line 1455 of yacc.c  */
#line 11082 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
;}
    break;

  case 1914:

/* Line 1455 of yacc.c  */
#line 11086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
;}
    break;

  case 1915:

/* Line 1455 of yacc.c  */
#line 11090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 1916:

/* Line 1455 of yacc.c  */
#line 11094 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
;}
    break;

  case 1917:

/* Line 1455 of yacc.c  */
#line 11098 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
;}
    break;

  case 1918:

/* Line 1455 of yacc.c  */
#line 11102 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
;}
    break;

  case 1919:

/* Line 1455 of yacc.c  */
#line 11106 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 1920:

/* Line 1455 of yacc.c  */
#line 11110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
;}
    break;

  case 1921:

/* Line 1455 of yacc.c  */
#line 11114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
;}
    break;

  case 1922:

/* Line 1455 of yacc.c  */
#line 11118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
;}
    break;

  case 1923:

/* Line 1455 of yacc.c  */
#line 11122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 1924:

/* Line 1455 of yacc.c  */
#line 11126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 1925:

/* Line 1455 of yacc.c  */
#line 11130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
;}
    break;

  case 1926:

/* Line 1455 of yacc.c  */
#line 11134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
;}
    break;

  case 1927:

/* Line 1455 of yacc.c  */
#line 11138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
;}
    break;

  case 1928:

/* Line 1455 of yacc.c  */
#line 11142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1929:

/* Line 1455 of yacc.c  */
#line 11146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 1930:

/* Line 1455 of yacc.c  */
#line 11150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 1931:

/* Line 1455 of yacc.c  */
#line 11154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
;}
    break;

  case 1932:

/* Line 1455 of yacc.c  */
#line 11158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
;}
    break;

  case 1933:

/* Line 1455 of yacc.c  */
#line 11162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
;}
    break;

  case 1934:

/* Line 1455 of yacc.c  */
#line 11166 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1935:

/* Line 1455 of yacc.c  */
#line 11170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1936:

/* Line 1455 of yacc.c  */
#line 11174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
;}
    break;

  case 1937:

/* Line 1455 of yacc.c  */
#line 11178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
;}
    break;

  case 1938:

/* Line 1455 of yacc.c  */
#line 11182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
;}
    break;

  case 1939:

/* Line 1455 of yacc.c  */
#line 11186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
;}
    break;

  case 1940:

/* Line 1455 of yacc.c  */
#line 11190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
;}
    break;

  case 1941:

/* Line 1455 of yacc.c  */
#line 11194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
;}
    break;

  case 1942:

/* Line 1455 of yacc.c  */
#line 11198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
;}
    break;

  case 1943:

/* Line 1455 of yacc.c  */
#line 11202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
;}
    break;

  case 1944:

/* Line 1455 of yacc.c  */
#line 11206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
;}
    break;

  case 1945:

/* Line 1455 of yacc.c  */
#line 11210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
;}
    break;

  case 1946:

/* Line 1455 of yacc.c  */
#line 11214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
;}
    break;

  case 1947:

/* Line 1455 of yacc.c  */
#line 11218 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
;}
    break;

  case 1948:

/* Line 1455 of yacc.c  */
#line 11222 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 1949:

/* Line 1455 of yacc.c  */
#line 11226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
;}
    break;

  case 1950:

/* Line 1455 of yacc.c  */
#line 11230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
;}
    break;

  case 1951:

/* Line 1455 of yacc.c  */
#line 11234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
;}
    break;

  case 1952:

/* Line 1455 of yacc.c  */
#line 11238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
;}
    break;

  case 1953:

/* Line 1455 of yacc.c  */
#line 11242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
;}
    break;

  case 1954:

/* Line 1455 of yacc.c  */
#line 11246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
;}
    break;

  case 1955:

/* Line 1455 of yacc.c  */
#line 11250 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
;}
    break;

  case 1956:

/* Line 1455 of yacc.c  */
#line 11254 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
;}
    break;

  case 1957:

/* Line 1455 of yacc.c  */
#line 11258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
;}
    break;

  case 1958:

/* Line 1455 of yacc.c  */
#line 11262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
;}
    break;

  case 1959:

/* Line 1455 of yacc.c  */
#line 11266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1960:

/* Line 1455 of yacc.c  */
#line 11270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
;}
    break;

  case 1961:

/* Line 1455 of yacc.c  */
#line 11274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1962:

/* Line 1455 of yacc.c  */
#line 11278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
;}
    break;

  case 1963:

/* Line 1455 of yacc.c  */
#line 11282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 1964:

/* Line 1455 of yacc.c  */
#line 11286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
;}
    break;

  case 1965:

/* Line 1455 of yacc.c  */
#line 11290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
;}
    break;

  case 1966:

/* Line 1455 of yacc.c  */
#line 11294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
;}
    break;

  case 1967:

/* Line 1455 of yacc.c  */
#line 11298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
;}
    break;

  case 1968:

/* Line 1455 of yacc.c  */
#line 11302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 1969:

/* Line 1455 of yacc.c  */
#line 11306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
;}
    break;

  case 1970:

/* Line 1455 of yacc.c  */
#line 11310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
;}
    break;

  case 1971:

/* Line 1455 of yacc.c  */
#line 11314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
;}
    break;

  case 1972:

/* Line 1455 of yacc.c  */
#line 11318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
;}
    break;

  case 1973:

/* Line 1455 of yacc.c  */
#line 11322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
;}
    break;

  case 1974:

/* Line 1455 of yacc.c  */
#line 11326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
;}
    break;

  case 1975:

/* Line 1455 of yacc.c  */
#line 11330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
;}
    break;

  case 1976:

/* Line 1455 of yacc.c  */
#line 11334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
;}
    break;

  case 1977:

/* Line 1455 of yacc.c  */
#line 11338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
;}
    break;

  case 1978:

/* Line 1455 of yacc.c  */
#line 11342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
;}
    break;

  case 1979:

/* Line 1455 of yacc.c  */
#line 11346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
;}
    break;

  case 1980:

/* Line 1455 of yacc.c  */
#line 11350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
;}
    break;

  case 1981:

/* Line 1455 of yacc.c  */
#line 11354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
;}
    break;

  case 1982:

/* Line 1455 of yacc.c  */
#line 11358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
;}
    break;

  case 1983:

/* Line 1455 of yacc.c  */
#line 11362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
;}
    break;

  case 1984:

/* Line 1455 of yacc.c  */
#line 11366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
;}
    break;

  case 1985:

/* Line 1455 of yacc.c  */
#line 11370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
;}
    break;

  case 1986:

/* Line 1455 of yacc.c  */
#line 11374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 1987:

/* Line 1455 of yacc.c  */
#line 11378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
;}
    break;

  case 1988:

/* Line 1455 of yacc.c  */
#line 11382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
;}
    break;

  case 1989:

/* Line 1455 of yacc.c  */
#line 11386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
;}
    break;

  case 1990:

/* Line 1455 of yacc.c  */
#line 11390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
;}
    break;

  case 1991:

/* Line 1455 of yacc.c  */
#line 11394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
;}
    break;

  case 1992:

/* Line 1455 of yacc.c  */
#line 11398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 1993:

/* Line 1455 of yacc.c  */
#line 11402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
;}
    break;

  case 1994:

/* Line 1455 of yacc.c  */
#line 11406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
;}
    break;

  case 1995:

/* Line 1455 of yacc.c  */
#line 11410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
;}
    break;

  case 1996:

/* Line 1455 of yacc.c  */
#line 11414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
;}
    break;

  case 1997:

/* Line 1455 of yacc.c  */
#line 11418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
;}
    break;

  case 1998:

/* Line 1455 of yacc.c  */
#line 11422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
;}
    break;

  case 1999:

/* Line 1455 of yacc.c  */
#line 11426 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
;}
    break;

  case 2000:

/* Line 1455 of yacc.c  */
#line 11430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
;}
    break;

  case 2001:

/* Line 1455 of yacc.c  */
#line 11434 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
;}
    break;

  case 2002:

/* Line 1455 of yacc.c  */
#line 11438 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
;}
    break;

  case 2003:

/* Line 1455 of yacc.c  */
#line 11442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 2004:

/* Line 1455 of yacc.c  */
#line 11446 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 2005:

/* Line 1455 of yacc.c  */
#line 11450 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
;}
    break;

  case 2006:

/* Line 1455 of yacc.c  */
#line 11454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
;}
    break;

  case 2007:

/* Line 1455 of yacc.c  */
#line 11458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 2008:

/* Line 1455 of yacc.c  */
#line 11462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
;}
    break;

  case 2009:

/* Line 1455 of yacc.c  */
#line 11466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 2010:

/* Line 1455 of yacc.c  */
#line 11470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
;}
    break;

  case 2011:

/* Line 1455 of yacc.c  */
#line 11474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
;}
    break;

  case 2012:

/* Line 1455 of yacc.c  */
#line 11478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 2013:

/* Line 1455 of yacc.c  */
#line 11482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
;}
    break;

  case 2014:

/* Line 1455 of yacc.c  */
#line 11486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
;}
    break;

  case 2015:

/* Line 1455 of yacc.c  */
#line 11490 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
;}
    break;

  case 2016:

/* Line 1455 of yacc.c  */
#line 11494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 2017:

/* Line 1455 of yacc.c  */
#line 11498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 2018:

/* Line 1455 of yacc.c  */
#line 11502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 2019:

/* Line 1455 of yacc.c  */
#line 11506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 2020:

/* Line 1455 of yacc.c  */
#line 11510 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
;}
    break;

  case 2021:

/* Line 1455 of yacc.c  */
#line 11514 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
;}
    break;

  case 2022:

/* Line 1455 of yacc.c  */
#line 11518 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 2023:

/* Line 1455 of yacc.c  */
#line 11522 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
;}
    break;

  case 2024:

/* Line 1455 of yacc.c  */
#line 11526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
;}
    break;

  case 2025:

/* Line 1455 of yacc.c  */
#line 11530 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 2026:

/* Line 1455 of yacc.c  */
#line 11534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
;}
    break;

  case 2027:

/* Line 1455 of yacc.c  */
#line 11538 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
;}
    break;

  case 2028:

/* Line 1455 of yacc.c  */
#line 11542 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 2029:

/* Line 1455 of yacc.c  */
#line 11546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
;}
    break;

  case 2030:

/* Line 1455 of yacc.c  */
#line 11550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 2031:

/* Line 1455 of yacc.c  */
#line 11554 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 2032:

/* Line 1455 of yacc.c  */
#line 11558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 2033:

/* Line 1455 of yacc.c  */
#line 11562 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 2034:

/* Line 1455 of yacc.c  */
#line 11566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
;}
    break;

  case 2035:

/* Line 1455 of yacc.c  */
#line 11570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
;}
    break;

  case 2036:

/* Line 1455 of yacc.c  */
#line 11574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
;}
    break;

  case 2037:

/* Line 1455 of yacc.c  */
#line 11578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 2038:

/* Line 1455 of yacc.c  */
#line 11582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 2039:

/* Line 1455 of yacc.c  */
#line 11586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 2040:

/* Line 1455 of yacc.c  */
#line 11590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
;}
    break;

  case 2041:

/* Line 1455 of yacc.c  */
#line 11594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 2042:

/* Line 1455 of yacc.c  */
#line 11598 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
;}
    break;

  case 2043:

/* Line 1455 of yacc.c  */
#line 11602 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 2044:

/* Line 1455 of yacc.c  */
#line 11606 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
;}
    break;

  case 2045:

/* Line 1455 of yacc.c  */
#line 11610 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 2046:

/* Line 1455 of yacc.c  */
#line 11614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 2047:

/* Line 1455 of yacc.c  */
#line 11618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 2048:

/* Line 1455 of yacc.c  */
#line 11622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
;}
    break;

  case 2049:

/* Line 1455 of yacc.c  */
#line 11626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
;}
    break;

  case 2050:

/* Line 1455 of yacc.c  */
#line 11630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
;}
    break;

  case 2051:

/* Line 1455 of yacc.c  */
#line 11634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
;}
    break;

  case 2052:

/* Line 1455 of yacc.c  */
#line 11638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
;}
    break;

  case 2053:

/* Line 1455 of yacc.c  */
#line 11642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 2054:

/* Line 1455 of yacc.c  */
#line 11646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
;}
    break;

  case 2055:

/* Line 1455 of yacc.c  */
#line 11650 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 2056:

/* Line 1455 of yacc.c  */
#line 11654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
;}
    break;

  case 2057:

/* Line 1455 of yacc.c  */
#line 11658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
;}
    break;

  case 2058:

/* Line 1455 of yacc.c  */
#line 11662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
;}
    break;

  case 2059:

/* Line 1455 of yacc.c  */
#line 11666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
;}
    break;

  case 2060:

/* Line 1455 of yacc.c  */
#line 11670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
;}
    break;

  case 2061:

/* Line 1455 of yacc.c  */
#line 11674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 2062:

/* Line 1455 of yacc.c  */
#line 11678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
;}
    break;

  case 2063:

/* Line 1455 of yacc.c  */
#line 11682 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 2064:

/* Line 1455 of yacc.c  */
#line 11686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 2065:

/* Line 1455 of yacc.c  */
#line 11690 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
;}
    break;

  case 2066:

/* Line 1455 of yacc.c  */
#line 11694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
;}
    break;

  case 2067:

/* Line 1455 of yacc.c  */
#line 11698 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 2068:

/* Line 1455 of yacc.c  */
#line 11702 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
;}
    break;

  case 2069:

/* Line 1455 of yacc.c  */
#line 11706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
;}
    break;

  case 2070:

/* Line 1455 of yacc.c  */
#line 11710 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
;}
    break;

  case 2071:

/* Line 1455 of yacc.c  */
#line 11714 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
;}
    break;

  case 2072:

/* Line 1455 of yacc.c  */
#line 11718 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
;}
    break;

  case 2073:

/* Line 1455 of yacc.c  */
#line 11726 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
;}
    break;

  case 2074:

/* Line 1455 of yacc.c  */
#line 11730 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 2075:

/* Line 1455 of yacc.c  */
#line 11734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
;}
    break;

  case 2076:

/* Line 1455 of yacc.c  */
#line 11738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 2077:

/* Line 1455 of yacc.c  */
#line 11742 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
;}
    break;

  case 2078:

/* Line 1455 of yacc.c  */
#line 11746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
;}
    break;

  case 2079:

/* Line 1455 of yacc.c  */
#line 11750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
;}
    break;

  case 2080:

/* Line 1455 of yacc.c  */
#line 11754 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
;}
    break;

  case 2081:

/* Line 1455 of yacc.c  */
#line 11758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
;}
    break;

  case 2082:

/* Line 1455 of yacc.c  */
#line 11762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
;}
    break;

  case 2083:

/* Line 1455 of yacc.c  */
#line 11766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
;}
    break;

  case 2084:

/* Line 1455 of yacc.c  */
#line 11770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
;}
    break;

  case 2085:

/* Line 1455 of yacc.c  */
#line 11774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 2086:

/* Line 1455 of yacc.c  */
#line 11778 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 2087:

/* Line 1455 of yacc.c  */
#line 11782 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 2088:

/* Line 1455 of yacc.c  */
#line 11786 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
;}
    break;

  case 2089:

/* Line 1455 of yacc.c  */
#line 11790 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
;}
    break;

  case 2090:

/* Line 1455 of yacc.c  */
#line 11794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
;}
    break;

  case 2091:

/* Line 1455 of yacc.c  */
#line 11798 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
;}
    break;

  case 2092:

/* Line 1455 of yacc.c  */
#line 11802 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
;}
    break;

  case 2093:

/* Line 1455 of yacc.c  */
#line 11806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
;}
    break;

  case 2094:

/* Line 1455 of yacc.c  */
#line 11810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 2095:

/* Line 1455 of yacc.c  */
#line 11814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
;}
    break;

  case 2096:

/* Line 1455 of yacc.c  */
#line 11818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
;}
    break;

  case 2097:

/* Line 1455 of yacc.c  */
#line 11822 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
;}
    break;

  case 2098:

/* Line 1455 of yacc.c  */
#line 11826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 2099:

/* Line 1455 of yacc.c  */
#line 11830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 2100:

/* Line 1455 of yacc.c  */
#line 11834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
;}
    break;

  case 2101:

/* Line 1455 of yacc.c  */
#line 11838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 2102:

/* Line 1455 of yacc.c  */
#line 11842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
;}
    break;

  case 2103:

/* Line 1455 of yacc.c  */
#line 11846 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
;}
    break;

  case 2104:

/* Line 1455 of yacc.c  */
#line 11850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
;}
    break;

  case 2105:

/* Line 1455 of yacc.c  */
#line 11854 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
;}
    break;

  case 2106:

/* Line 1455 of yacc.c  */
#line 11858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
;}
    break;

  case 2107:

/* Line 1455 of yacc.c  */
#line 11862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 2108:

/* Line 1455 of yacc.c  */
#line 11866 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
;}
    break;

  case 2109:

/* Line 1455 of yacc.c  */
#line 11870 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
;}
    break;

  case 2110:

/* Line 1455 of yacc.c  */
#line 11874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
;}
    break;

  case 2111:

/* Line 1455 of yacc.c  */
#line 11878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
;}
    break;

  case 2112:

/* Line 1455 of yacc.c  */
#line 11882 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
;}
    break;

  case 2113:

/* Line 1455 of yacc.c  */
#line 11886 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
;}
    break;

  case 2114:

/* Line 1455 of yacc.c  */
#line 11890 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
;}
    break;

  case 2115:

/* Line 1455 of yacc.c  */
#line 11894 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
;}
    break;

  case 2116:

/* Line 1455 of yacc.c  */
#line 11898 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
;}
    break;

  case 2117:

/* Line 1455 of yacc.c  */
#line 11906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
;}
    break;

  case 2118:

/* Line 1455 of yacc.c  */
#line 11910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 2119:

/* Line 1455 of yacc.c  */
#line 11914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 2120:

/* Line 1455 of yacc.c  */
#line 11918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
;}
    break;

  case 2121:

/* Line 1455 of yacc.c  */
#line 11922 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 2122:

/* Line 1455 of yacc.c  */
#line 11926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 2123:

/* Line 1455 of yacc.c  */
#line 11930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 2124:

/* Line 1455 of yacc.c  */
#line 11934 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 2125:

/* Line 1455 of yacc.c  */
#line 11938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 2126:

/* Line 1455 of yacc.c  */
#line 11942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
;}
    break;

  case 2127:

/* Line 1455 of yacc.c  */
#line 11946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
;}
    break;

  case 2128:

/* Line 1455 of yacc.c  */
#line 11950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
;}
    break;

  case 2129:

/* Line 1455 of yacc.c  */
#line 11954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
;}
    break;

  case 2130:

/* Line 1455 of yacc.c  */
#line 11958 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 2131:

/* Line 1455 of yacc.c  */
#line 11962 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
;}
    break;

  case 2132:

/* Line 1455 of yacc.c  */
#line 11966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
;}
    break;

  case 2133:

/* Line 1455 of yacc.c  */
#line 11970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 2134:

/* Line 1455 of yacc.c  */
#line 11974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
;}
    break;

  case 2135:

/* Line 1455 of yacc.c  */
#line 11978 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
;}
    break;

  case 2136:

/* Line 1455 of yacc.c  */
#line 11982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
;}
    break;

  case 2137:

/* Line 1455 of yacc.c  */
#line 11986 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
;}
    break;

  case 2138:

/* Line 1455 of yacc.c  */
#line 11990 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 2139:

/* Line 1455 of yacc.c  */
#line 11998 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 2140:

/* Line 1455 of yacc.c  */
#line 12002 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 2141:

/* Line 1455 of yacc.c  */
#line 12006 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 2142:

/* Line 1455 of yacc.c  */
#line 12010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
;}
    break;

  case 2143:

/* Line 1455 of yacc.c  */
#line 12014 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 2144:

/* Line 1455 of yacc.c  */
#line 12018 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
;}
    break;

  case 2145:

/* Line 1455 of yacc.c  */
#line 12022 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 2146:

/* Line 1455 of yacc.c  */
#line 12026 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 2147:

/* Line 1455 of yacc.c  */
#line 12030 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 2148:

/* Line 1455 of yacc.c  */
#line 12034 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
;}
    break;

  case 2149:

/* Line 1455 of yacc.c  */
#line 12038 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
;}
    break;

  case 2150:

/* Line 1455 of yacc.c  */
#line 12042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
;}
    break;

  case 2151:

/* Line 1455 of yacc.c  */
#line 12046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
;}
    break;

  case 2152:

/* Line 1455 of yacc.c  */
#line 12050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
;}
    break;

  case 2153:

/* Line 1455 of yacc.c  */
#line 12054 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 2154:

/* Line 1455 of yacc.c  */
#line 12058 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
;}
    break;

  case 2155:

/* Line 1455 of yacc.c  */
#line 12062 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
;}
    break;

  case 2156:

/* Line 1455 of yacc.c  */
#line 12066 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 2157:

/* Line 1455 of yacc.c  */
#line 12070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 2158:

/* Line 1455 of yacc.c  */
#line 12074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 2159:

/* Line 1455 of yacc.c  */
#line 12078 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 2160:

/* Line 1455 of yacc.c  */
#line 12082 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 2161:

/* Line 1455 of yacc.c  */
#line 12086 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 2162:

/* Line 1455 of yacc.c  */
#line 12090 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 2163:

/* Line 1455 of yacc.c  */
#line 12094 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 2164:

/* Line 1455 of yacc.c  */
#line 12098 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 2165:

/* Line 1455 of yacc.c  */
#line 12102 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 2166:

/* Line 1455 of yacc.c  */
#line 12106 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
;}
    break;

  case 2167:

/* Line 1455 of yacc.c  */
#line 12110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
;}
    break;

  case 2168:

/* Line 1455 of yacc.c  */
#line 12114 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
;}
    break;

  case 2169:

/* Line 1455 of yacc.c  */
#line 12118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
;}
    break;

  case 2170:

/* Line 1455 of yacc.c  */
#line 12122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 2171:

/* Line 1455 of yacc.c  */
#line 12126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
;}
    break;

  case 2172:

/* Line 1455 of yacc.c  */
#line 12130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
;}
    break;

  case 2173:

/* Line 1455 of yacc.c  */
#line 12134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
;}
    break;

  case 2174:

/* Line 1455 of yacc.c  */
#line 12138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 2175:

/* Line 1455 of yacc.c  */
#line 12142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
;}
    break;

  case 2176:

/* Line 1455 of yacc.c  */
#line 12146 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
;}
    break;

  case 2177:

/* Line 1455 of yacc.c  */
#line 12150 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
;}
    break;

  case 2178:

/* Line 1455 of yacc.c  */
#line 12154 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 2179:

/* Line 1455 of yacc.c  */
#line 12158 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
;}
    break;

  case 2180:

/* Line 1455 of yacc.c  */
#line 12162 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
;}
    break;

  case 2181:

/* Line 1455 of yacc.c  */
#line 12166 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
;}
    break;

  case 2182:

/* Line 1455 of yacc.c  */
#line 12170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
;}
    break;

  case 2183:

/* Line 1455 of yacc.c  */
#line 12174 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
;}
    break;

  case 2184:

/* Line 1455 of yacc.c  */
#line 12178 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 2185:

/* Line 1455 of yacc.c  */
#line 12182 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 2186:

/* Line 1455 of yacc.c  */
#line 12186 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
;}
    break;

  case 2187:

/* Line 1455 of yacc.c  */
#line 12190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 2188:

/* Line 1455 of yacc.c  */
#line 12194 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
;}
    break;

  case 2189:

/* Line 1455 of yacc.c  */
#line 12198 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 2190:

/* Line 1455 of yacc.c  */
#line 12202 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
;}
    break;

  case 2191:

/* Line 1455 of yacc.c  */
#line 12206 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
;}
    break;

  case 2192:

/* Line 1455 of yacc.c  */
#line 12210 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
;}
    break;

  case 2193:

/* Line 1455 of yacc.c  */
#line 12214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
;}
    break;

  case 2194:

/* Line 1455 of yacc.c  */
#line 12218 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
;}
    break;

  case 2195:

/* Line 1455 of yacc.c  */
#line 12222 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
;}
    break;

  case 2196:

/* Line 1455 of yacc.c  */
#line 12226 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
;}
    break;

  case 2197:

/* Line 1455 of yacc.c  */
#line 12230 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 2198:

/* Line 1455 of yacc.c  */
#line 12234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 2199:

/* Line 1455 of yacc.c  */
#line 12238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 2200:

/* Line 1455 of yacc.c  */
#line 12242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
;}
    break;

  case 2201:

/* Line 1455 of yacc.c  */
#line 12246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 2202:

/* Line 1455 of yacc.c  */
#line 12250 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
;}
    break;

  case 2203:

/* Line 1455 of yacc.c  */
#line 12254 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
;}
    break;

  case 2204:

/* Line 1455 of yacc.c  */
#line 12258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 2205:

/* Line 1455 of yacc.c  */
#line 12262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 2206:

/* Line 1455 of yacc.c  */
#line 12266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 2207:

/* Line 1455 of yacc.c  */
#line 12270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 2208:

/* Line 1455 of yacc.c  */
#line 12274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 2209:

/* Line 1455 of yacc.c  */
#line 12278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
;}
    break;

  case 2210:

/* Line 1455 of yacc.c  */
#line 12282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
;}
    break;

  case 2211:

/* Line 1455 of yacc.c  */
#line 12286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 2212:

/* Line 1455 of yacc.c  */
#line 12290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 2215:

/* Line 1455 of yacc.c  */
#line 12303 "preproc.y"
    { connection = NULL; ;}
    break;

  case 2217:

/* Line 1455 of yacc.c  */
#line 12306 "preproc.y"
    {
                        fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
                        free((yyvsp[(2) - (2)].str));
                        output_line_number();
                ;}
    break;

  case 2219:

/* Line 1455 of yacc.c  */
#line 12312 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2220:

/* Line 1455 of yacc.c  */
#line 12313 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2221:

/* Line 1455 of yacc.c  */
#line 12314 "preproc.y"
    { braces_open++; fputs("{", yyout); ;}
    break;

  case 2222:

/* Line 1455 of yacc.c  */
#line 12316 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		;}
    break;

  case 2223:

/* Line 1455 of yacc.c  */
#line 12328 "preproc.y"
    {FoundInto = 0;;}
    break;

  case 2224:

/* Line 1455 of yacc.c  */
#line 12329 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		;}
    break;

  case 2225:

/* Line 1455 of yacc.c  */
#line 12338 "preproc.y"
    {
                        connection = (yyvsp[(2) - (2)].str);
                        /*
                         *      Do we have a variable as connection target?
                         *      Remove the variable from the variable
                         *      list or else it will be used twice
                         */
                        if (argsinsert != NULL)
                                argsinsert = NULL;
                ;}
    break;

  case 2226:

/* Line 1455 of yacc.c  */
#line 12354 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); ;}
    break;

  case 2227:

/* Line 1455 of yacc.c  */
#line 12356 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); ;}
    break;

  case 2228:

/* Line 1455 of yacc.c  */
#line 12359 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); ;}
    break;

  case 2229:

/* Line 1455 of yacc.c  */
#line 12361 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); ;}
    break;

  case 2230:

/* Line 1455 of yacc.c  */
#line 12365 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		;}
    break;

  case 2231:

/* Line 1455 of yacc.c  */
#line 12377 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		;}
    break;

  case 2232:

/* Line 1455 of yacc.c  */
#line 12393 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2233:

/* Line 1455 of yacc.c  */
#line 12397 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2234:

/* Line 1455 of yacc.c  */
#line 12407 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2235:

/* Line 1455 of yacc.c  */
#line 12408 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2236:

/* Line 1455 of yacc.c  */
#line 12412 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2237:

/* Line 1455 of yacc.c  */
#line 12424 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2238:

/* Line 1455 of yacc.c  */
#line 12432 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2239:

/* Line 1455 of yacc.c  */
#line 12433 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2240:

/* Line 1455 of yacc.c  */
#line 12436 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2241:

/* Line 1455 of yacc.c  */
#line 12437 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2242:

/* Line 1455 of yacc.c  */
#line 12438 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2243:

/* Line 1455 of yacc.c  */
#line 12441 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2244:

/* Line 1455 of yacc.c  */
#line 12442 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2245:

/* Line 1455 of yacc.c  */
#line 12445 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2246:

/* Line 1455 of yacc.c  */
#line 12446 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2247:

/* Line 1455 of yacc.c  */
#line 12449 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2248:

/* Line 1455 of yacc.c  */
#line 12450 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); ;}
    break;

  case 2249:

/* Line 1455 of yacc.c  */
#line 12454 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); ;}
    break;

  case 2250:

/* Line 1455 of yacc.c  */
#line 12456 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2251:

/* Line 1455 of yacc.c  */
#line 12458 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); ;}
    break;

  case 2252:

/* Line 1455 of yacc.c  */
#line 12460 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2253:

/* Line 1455 of yacc.c  */
#line 12464 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2254:

/* Line 1455 of yacc.c  */
#line 12471 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2255:

/* Line 1455 of yacc.c  */
#line 12478 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		;}
    break;

  case 2256:

/* Line 1455 of yacc.c  */
#line 12494 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		;}
    break;

  case 2257:

/* Line 1455 of yacc.c  */
#line 12528 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2258:

/* Line 1455 of yacc.c  */
#line 12537 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2259:

/* Line 1455 of yacc.c  */
#line 12541 "preproc.y"
    { (yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2260:

/* Line 1455 of yacc.c  */
#line 12543 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			;}
    break;

  case 2261:

/* Line 1455 of yacc.c  */
#line 12555 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2262:

/* Line 1455 of yacc.c  */
#line 12557 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2263:

/* Line 1455 of yacc.c  */
#line 12559 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2264:

/* Line 1455 of yacc.c  */
#line 12561 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2265:

/* Line 1455 of yacc.c  */
#line 12564 "preproc.y"
    {
                                        if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
                                                (yyval.str) = (yyvsp[(1) - (1)].str);
                                        else /* not quoted => convert to lowercase */
                                        {
                                                size_t i;

                                                for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
                                                        (yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

                                                (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
                                        }
                                ;}
    break;

  case 2266:

/* Line 1455 of yacc.c  */
#line 12577 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2267:

/* Line 1455 of yacc.c  */
#line 12585 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
	                                        mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
        	                        else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		;}
    break;

  case 2268:

/* Line 1455 of yacc.c  */
#line 12646 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			;}
    break;

  case 2270:

/* Line 1455 of yacc.c  */
#line 12656 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2271:

/* Line 1455 of yacc.c  */
#line 12657 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2272:

/* Line 1455 of yacc.c  */
#line 12660 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2273:

/* Line 1455 of yacc.c  */
#line 12662 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2274:

/* Line 1455 of yacc.c  */
#line 12663 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2275:

/* Line 1455 of yacc.c  */
#line 12666 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2276:

/* Line 1455 of yacc.c  */
#line 12667 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); ;}
    break;

  case 2277:

/* Line 1455 of yacc.c  */
#line 12668 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); ;}
    break;

  case 2278:

/* Line 1455 of yacc.c  */
#line 12669 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); ;}
    break;

  case 2279:

/* Line 1455 of yacc.c  */
#line 12670 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); ;}
    break;

  case 2280:

/* Line 1455 of yacc.c  */
#line 12677 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); ;}
    break;

  case 2281:

/* Line 1455 of yacc.c  */
#line 12679 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		;}
    break;

  case 2282:

/* Line 1455 of yacc.c  */
#line 12686 "preproc.y"
    {;}
    break;

  case 2283:

/* Line 1455 of yacc.c  */
#line 12688 "preproc.y"
    {;}
    break;

  case 2284:

/* Line 1455 of yacc.c  */
#line 12690 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2285:

/* Line 1455 of yacc.c  */
#line 12691 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2286:

/* Line 1455 of yacc.c  */
#line 12694 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2287:

/* Line 1455 of yacc.c  */
#line 12695 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2288:

/* Line 1455 of yacc.c  */
#line 12696 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2289:

/* Line 1455 of yacc.c  */
#line 12697 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2290:

/* Line 1455 of yacc.c  */
#line 12700 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2291:

/* Line 1455 of yacc.c  */
#line 12701 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2292:

/* Line 1455 of yacc.c  */
#line 12705 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	;}
    break;

  case 2293:

/* Line 1455 of yacc.c  */
#line 12711 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	;}
    break;

  case 2294:

/* Line 1455 of yacc.c  */
#line 12721 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2295:

/* Line 1455 of yacc.c  */
#line 12731 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		;}
    break;

  case 2296:

/* Line 1455 of yacc.c  */
#line 12735 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2297:

/* Line 1455 of yacc.c  */
#line 12745 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		;}
    break;

  case 2298:

/* Line 1455 of yacc.c  */
#line 12749 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		;}
    break;

  case 2299:

/* Line 1455 of yacc.c  */
#line 12754 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2300:

/* Line 1455 of yacc.c  */
#line 12755 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2301:

/* Line 1455 of yacc.c  */
#line 12759 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2302:

/* Line 1455 of yacc.c  */
#line 12760 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2303:

/* Line 1455 of yacc.c  */
#line 12761 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2304:

/* Line 1455 of yacc.c  */
#line 12764 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2305:

/* Line 1455 of yacc.c  */
#line 12765 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2306:

/* Line 1455 of yacc.c  */
#line 12766 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2307:

/* Line 1455 of yacc.c  */
#line 12767 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2308:

/* Line 1455 of yacc.c  */
#line 12770 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2309:

/* Line 1455 of yacc.c  */
#line 12771 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2310:

/* Line 1455 of yacc.c  */
#line 12775 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2311:

/* Line 1455 of yacc.c  */
#line 12783 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		;}
    break;

  case 2312:

/* Line 1455 of yacc.c  */
#line 12800 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2313:

/* Line 1455 of yacc.c  */
#line 12808 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2314:

/* Line 1455 of yacc.c  */
#line 12831 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		;}
    break;

  case 2315:

/* Line 1455 of yacc.c  */
#line 12937 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		;}
    break;

  case 2316:

/* Line 1455 of yacc.c  */
#line 12971 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2317:

/* Line 1455 of yacc.c  */
#line 12973 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2318:

/* Line 1455 of yacc.c  */
#line 12975 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2319:

/* Line 1455 of yacc.c  */
#line 12979 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2320:

/* Line 1455 of yacc.c  */
#line 12982 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		;}
    break;

  case 2321:

/* Line 1455 of yacc.c  */
#line 12989 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2322:

/* Line 1455 of yacc.c  */
#line 13032 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2323:

/* Line 1455 of yacc.c  */
#line 13034 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		;}
    break;

  case 2324:

/* Line 1455 of yacc.c  */
#line 13040 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2325:

/* Line 1455 of yacc.c  */
#line 13049 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		;}
    break;

  case 2326:

/* Line 1455 of yacc.c  */
#line 13055 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		;}
    break;

  case 2327:

/* Line 1455 of yacc.c  */
#line 13062 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		;}
    break;

  case 2328:

/* Line 1455 of yacc.c  */
#line 13066 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2329:

/* Line 1455 of yacc.c  */
#line 13069 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
    break;

  case 2330:

/* Line 1455 of yacc.c  */
#line 13070 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
    break;

  case 2331:

/* Line 1455 of yacc.c  */
#line 13073 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2332:

/* Line 1455 of yacc.c  */
#line 13074 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2333:

/* Line 1455 of yacc.c  */
#line 13075 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2334:

/* Line 1455 of yacc.c  */
#line 13076 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2335:

/* Line 1455 of yacc.c  */
#line 13077 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2336:

/* Line 1455 of yacc.c  */
#line 13078 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2337:

/* Line 1455 of yacc.c  */
#line 13080 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2338:

/* Line 1455 of yacc.c  */
#line 13088 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2339:

/* Line 1455 of yacc.c  */
#line 13095 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; ;}
    break;

  case 2340:

/* Line 1455 of yacc.c  */
#line 13098 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2341:

/* Line 1455 of yacc.c  */
#line 13099 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2342:

/* Line 1455 of yacc.c  */
#line 13100 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; ;}
    break;

  case 2343:

/* Line 1455 of yacc.c  */
#line 13101 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2344:

/* Line 1455 of yacc.c  */
#line 13102 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2345:

/* Line 1455 of yacc.c  */
#line 13104 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2346:

/* Line 1455 of yacc.c  */
#line 13112 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2347:

/* Line 1455 of yacc.c  */
#line 13119 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; ;}
    break;

  case 2348:

/* Line 1455 of yacc.c  */
#line 13120 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; ;}
    break;

  case 2349:

/* Line 1455 of yacc.c  */
#line 13121 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; ;}
    break;

  case 2352:

/* Line 1455 of yacc.c  */
#line 13129 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2353:

/* Line 1455 of yacc.c  */
#line 13131 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2354:

/* Line 1455 of yacc.c  */
#line 13135 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1; /* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;    /* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		;}
    break;

  case 2355:

/* Line 1455 of yacc.c  */
#line 13222 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2356:

/* Line 1455 of yacc.c  */
#line 13224 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2357:

/* Line 1455 of yacc.c  */
#line 13230 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2358:

/* Line 1455 of yacc.c  */
#line 13231 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2359:

/* Line 1455 of yacc.c  */
#line 13232 "preproc.y"
    { (yyval.str) = mm_strdup("**"); ;}
    break;

  case 2360:

/* Line 1455 of yacc.c  */
#line 13239 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		;}
    break;

  case 2361:

/* Line 1455 of yacc.c  */
#line 13247 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2362:

/* Line 1455 of yacc.c  */
#line 13250 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2363:

/* Line 1455 of yacc.c  */
#line 13251 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2364:

/* Line 1455 of yacc.c  */
#line 13252 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); ;}
    break;

  case 2365:

/* Line 1455 of yacc.c  */
#line 13253 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2366:

/* Line 1455 of yacc.c  */
#line 13256 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2367:

/* Line 1455 of yacc.c  */
#line 13257 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); ;}
    break;

  case 2368:

/* Line 1455 of yacc.c  */
#line 13258 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2369:

/* Line 1455 of yacc.c  */
#line 13262 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2370:

/* Line 1455 of yacc.c  */
#line 13264 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2371:

/* Line 1455 of yacc.c  */
#line 13271 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2372:

/* Line 1455 of yacc.c  */
#line 13272 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2373:

/* Line 1455 of yacc.c  */
#line 13279 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		;}
    break;

  case 2374:

/* Line 1455 of yacc.c  */
#line 13286 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2375:

/* Line 1455 of yacc.c  */
#line 13287 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2376:

/* Line 1455 of yacc.c  */
#line 13290 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2377:

/* Line 1455 of yacc.c  */
#line 13291 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2378:

/* Line 1455 of yacc.c  */
#line 13295 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2379:

/* Line 1455 of yacc.c  */
#line 13300 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2380:

/* Line 1455 of yacc.c  */
#line 13307 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2381:

/* Line 1455 of yacc.c  */
#line 13312 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2382:

/* Line 1455 of yacc.c  */
#line 13319 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2385:

/* Line 1455 of yacc.c  */
#line 13328 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		;}
    break;

  case 2386:

/* Line 1455 of yacc.c  */
#line 13334 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2387:

/* Line 1455 of yacc.c  */
#line 13335 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2388:

/* Line 1455 of yacc.c  */
#line 13338 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2389:

/* Line 1455 of yacc.c  */
#line 13339 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2390:

/* Line 1455 of yacc.c  */
#line 13340 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2391:

/* Line 1455 of yacc.c  */
#line 13341 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2392:

/* Line 1455 of yacc.c  */
#line 13342 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2393:

/* Line 1455 of yacc.c  */
#line 13343 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2394:

/* Line 1455 of yacc.c  */
#line 13344 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2395:

/* Line 1455 of yacc.c  */
#line 13345 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2396:

/* Line 1455 of yacc.c  */
#line 13346 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2397:

/* Line 1455 of yacc.c  */
#line 13353 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2398:

/* Line 1455 of yacc.c  */
#line 13360 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2399:

/* Line 1455 of yacc.c  */
#line 13372 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2400:

/* Line 1455 of yacc.c  */
#line 13378 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2401:

/* Line 1455 of yacc.c  */
#line 13385 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2402:

/* Line 1455 of yacc.c  */
#line 13392 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2403:

/* Line 1455 of yacc.c  */
#line 13393 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2404:

/* Line 1455 of yacc.c  */
#line 13406 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2405:

/* Line 1455 of yacc.c  */
#line 13417 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2406:

/* Line 1455 of yacc.c  */
#line 13428 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2409:

/* Line 1455 of yacc.c  */
#line 13436 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2410:

/* Line 1455 of yacc.c  */
#line 13441 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2413:

/* Line 1455 of yacc.c  */
#line 13449 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2414:

/* Line 1455 of yacc.c  */
#line 13455 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                ;}
    break;

  case 2415:

/* Line 1455 of yacc.c  */
#line 13462 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2416:

/* Line 1455 of yacc.c  */
#line 13465 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; ;}
    break;

  case 2417:

/* Line 1455 of yacc.c  */
#line 13473 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2420:

/* Line 1455 of yacc.c  */
#line 13480 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2421:

/* Line 1455 of yacc.c  */
#line 13484 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2424:

/* Line 1455 of yacc.c  */
#line 13492 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2425:

/* Line 1455 of yacc.c  */
#line 13498 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

                        sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
                        new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = (yyvsp[(1) - (1)].str);
                ;}
    break;

  case 2426:

/* Line 1455 of yacc.c  */
#line 13505 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2427:

/* Line 1455 of yacc.c  */
#line 13507 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2428:

/* Line 1455 of yacc.c  */
#line 13516 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2429:

/* Line 1455 of yacc.c  */
#line 13525 "preproc.y"
    {
                        char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
                        char *var = (yyvsp[(1) - (1)].str) + 1;

                        var[strlen(var) - 1] = '\0';
                        sprintf(length, "%d", (int) strlen(var));
                        new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
                        (yyval.str) = var;
                ;}
    break;

  case 2430:

/* Line 1455 of yacc.c  */
#line 13536 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; ;}
    break;

  case 2431:

/* Line 1455 of yacc.c  */
#line 13537 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; ;}
    break;

  case 2432:

/* Line 1455 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; ;}
    break;

  case 2433:

/* Line 1455 of yacc.c  */
#line 13539 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; ;}
    break;

  case 2434:

/* Line 1455 of yacc.c  */
#line 13540 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; ;}
    break;

  case 2435:

/* Line 1455 of yacc.c  */
#line 13541 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; ;}
    break;

  case 2436:

/* Line 1455 of yacc.c  */
#line 13542 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2437:

/* Line 1455 of yacc.c  */
#line 13543 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; ;}
    break;

  case 2438:

/* Line 1455 of yacc.c  */
#line 13544 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; ;}
    break;

  case 2439:

/* Line 1455 of yacc.c  */
#line 13545 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; ;}
    break;

  case 2440:

/* Line 1455 of yacc.c  */
#line 13546 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; ;}
    break;

  case 2441:

/* Line 1455 of yacc.c  */
#line 13547 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2442:

/* Line 1455 of yacc.c  */
#line 13548 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
    break;

  case 2443:

/* Line 1455 of yacc.c  */
#line 13549 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; ;}
    break;

  case 2444:

/* Line 1455 of yacc.c  */
#line 13550 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; ;}
    break;

  case 2445:

/* Line 1455 of yacc.c  */
#line 13557 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2446:

/* Line 1455 of yacc.c  */
#line 13558 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2447:

/* Line 1455 of yacc.c  */
#line 13561 "preproc.y"
    { (yyval.str) = mm_strdup("on"); ;}
    break;

  case 2448:

/* Line 1455 of yacc.c  */
#line 13562 "preproc.y"
    { (yyval.str) = mm_strdup("off"); ;}
    break;

  case 2449:

/* Line 1455 of yacc.c  */
#line 13569 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2450:

/* Line 1455 of yacc.c  */
#line 13570 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2451:

/* Line 1455 of yacc.c  */
#line 13571 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2452:

/* Line 1455 of yacc.c  */
#line 13578 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2453:

/* Line 1455 of yacc.c  */
#line 13584 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		;}
    break;

  case 2454:

/* Line 1455 of yacc.c  */
#line 13594 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); ;}
    break;

  case 2455:

/* Line 1455 of yacc.c  */
#line 13595 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2456:

/* Line 1455 of yacc.c  */
#line 13602 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2457:

/* Line 1455 of yacc.c  */
#line 13608 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		;}
    break;

  case 2458:

/* Line 1455 of yacc.c  */
#line 13672 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2459:

/* Line 1455 of yacc.c  */
#line 13678 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2460:

/* Line 1455 of yacc.c  */
#line 13684 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2461:

/* Line 1455 of yacc.c  */
#line 13692 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		;}
    break;

  case 2462:

/* Line 1455 of yacc.c  */
#line 13698 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		;}
    break;

  case 2463:

/* Line 1455 of yacc.c  */
#line 13704 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		;}
    break;

  case 2464:

/* Line 1455 of yacc.c  */
#line 13710 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2465:

/* Line 1455 of yacc.c  */
#line 13716 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 2466:

/* Line 1455 of yacc.c  */
#line 13722 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2467:

/* Line 1455 of yacc.c  */
#line 13728 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		;}
    break;

  case 2468:

/* Line 1455 of yacc.c  */
#line 13734 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2469:

/* Line 1455 of yacc.c  */
#line 13740 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2470:

/* Line 1455 of yacc.c  */
#line 13750 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2471:

/* Line 1455 of yacc.c  */
#line 13751 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2472:

/* Line 1455 of yacc.c  */
#line 13754 "preproc.y"
    { (yyval.str) = mm_strdup("break"); ;}
    break;

  case 2473:

/* Line 1455 of yacc.c  */
#line 13755 "preproc.y"
    { (yyval.str) = mm_strdup("call"); ;}
    break;

  case 2474:

/* Line 1455 of yacc.c  */
#line 13756 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); ;}
    break;

  case 2475:

/* Line 1455 of yacc.c  */
#line 13757 "preproc.y"
    { (yyval.str) = mm_strdup("count"); ;}
    break;

  case 2476:

/* Line 1455 of yacc.c  */
#line 13758 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); ;}
    break;

  case 2477:

/* Line 1455 of yacc.c  */
#line 13759 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); ;}
    break;

  case 2478:

/* Line 1455 of yacc.c  */
#line 13760 "preproc.y"
    { (yyval.str) = mm_strdup("found"); ;}
    break;

  case 2479:

/* Line 1455 of yacc.c  */
#line 13761 "preproc.y"
    { (yyval.str) = mm_strdup("go"); ;}
    break;

  case 2480:

/* Line 1455 of yacc.c  */
#line 13762 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); ;}
    break;

  case 2481:

/* Line 1455 of yacc.c  */
#line 13763 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); ;}
    break;

  case 2482:

/* Line 1455 of yacc.c  */
#line 13764 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); ;}
    break;

  case 2483:

/* Line 1455 of yacc.c  */
#line 13765 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); ;}
    break;

  case 2484:

/* Line 1455 of yacc.c  */
#line 13766 "preproc.y"
    { (yyval.str) = mm_strdup("length"); ;}
    break;

  case 2485:

/* Line 1455 of yacc.c  */
#line 13767 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); ;}
    break;

  case 2486:

/* Line 1455 of yacc.c  */
#line 13768 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); ;}
    break;

  case 2487:

/* Line 1455 of yacc.c  */
#line 13769 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); ;}
    break;

  case 2488:

/* Line 1455 of yacc.c  */
#line 13770 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); ;}
    break;

  case 2489:

/* Line 1455 of yacc.c  */
#line 13771 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); ;}
    break;

  case 2490:

/* Line 1455 of yacc.c  */
#line 13772 "preproc.y"
    { (yyval.str) = mm_strdup("section"); ;}
    break;

  case 2491:

/* Line 1455 of yacc.c  */
#line 13773 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); ;}
    break;

  case 2492:

/* Line 1455 of yacc.c  */
#line 13774 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); ;}
    break;

  case 2493:

/* Line 1455 of yacc.c  */
#line 13775 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); ;}
    break;

  case 2494:

/* Line 1455 of yacc.c  */
#line 13776 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); ;}
    break;

  case 2495:

/* Line 1455 of yacc.c  */
#line 13777 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); ;}
    break;

  case 2496:

/* Line 1455 of yacc.c  */
#line 13780 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); ;}
    break;

  case 2497:

/* Line 1455 of yacc.c  */
#line 13781 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); ;}
    break;

  case 2498:

/* Line 1455 of yacc.c  */
#line 13782 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); ;}
    break;

  case 2499:

/* Line 1455 of yacc.c  */
#line 13783 "preproc.y"
    { (yyval.str) = mm_strdup("open"); ;}
    break;

  case 2500:

/* Line 1455 of yacc.c  */
#line 13784 "preproc.y"
    { (yyval.str) = mm_strdup("var"); ;}
    break;

  case 2501:

/* Line 1455 of yacc.c  */
#line 13785 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); ;}
    break;

  case 2502:

/* Line 1455 of yacc.c  */
#line 13789 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2503:

/* Line 1455 of yacc.c  */
#line 13790 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2504:

/* Line 1455 of yacc.c  */
#line 13791 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2505:

/* Line 1455 of yacc.c  */
#line 13792 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2506:

/* Line 1455 of yacc.c  */
#line 13793 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2507:

/* Line 1455 of yacc.c  */
#line 13794 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2508:

/* Line 1455 of yacc.c  */
#line 13795 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2509:

/* Line 1455 of yacc.c  */
#line 13798 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2510:

/* Line 1455 of yacc.c  */
#line 13801 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2511:

/* Line 1455 of yacc.c  */
#line 13802 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2512:

/* Line 1455 of yacc.c  */
#line 13803 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2513:

/* Line 1455 of yacc.c  */
#line 13804 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2514:

/* Line 1455 of yacc.c  */
#line 13805 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2515:

/* Line 1455 of yacc.c  */
#line 13806 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2516:

/* Line 1455 of yacc.c  */
#line 13807 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2517:

/* Line 1455 of yacc.c  */
#line 13808 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2518:

/* Line 1455 of yacc.c  */
#line 13821 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2519:

/* Line 1455 of yacc.c  */
#line 13822 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2520:

/* Line 1455 of yacc.c  */
#line 13823 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2521:

/* Line 1455 of yacc.c  */
#line 13824 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2522:

/* Line 1455 of yacc.c  */
#line 13825 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2523:

/* Line 1455 of yacc.c  */
#line 13826 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2524:

/* Line 1455 of yacc.c  */
#line 13827 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2525:

/* Line 1455 of yacc.c  */
#line 13832 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2526:

/* Line 1455 of yacc.c  */
#line 13833 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2527:

/* Line 1455 of yacc.c  */
#line 13834 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2528:

/* Line 1455 of yacc.c  */
#line 13835 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2529:

/* Line 1455 of yacc.c  */
#line 13836 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2530:

/* Line 1455 of yacc.c  */
#line 13837 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2531:

/* Line 1455 of yacc.c  */
#line 13843 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2532:

/* Line 1455 of yacc.c  */
#line 13844 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2533:

/* Line 1455 of yacc.c  */
#line 13845 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2534:

/* Line 1455 of yacc.c  */
#line 13846 "preproc.y"
    { (yyval.str) = mm_strdup("current"); ;}
    break;

  case 2535:

/* Line 1455 of yacc.c  */
#line 13847 "preproc.y"
    { (yyval.str) = mm_strdup("input"); ;}
    break;

  case 2536:

/* Line 1455 of yacc.c  */
#line 13848 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2537:

/* Line 1455 of yacc.c  */
#line 13849 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2538:

/* Line 1455 of yacc.c  */
#line 13850 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2539:

/* Line 1455 of yacc.c  */
#line 13851 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2540:

/* Line 1455 of yacc.c  */
#line 13852 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2541:

/* Line 1455 of yacc.c  */
#line 13853 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2542:

/* Line 1455 of yacc.c  */
#line 13856 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2543:

/* Line 1455 of yacc.c  */
#line 13857 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2544:

/* Line 1455 of yacc.c  */
#line 13858 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2545:

/* Line 1455 of yacc.c  */
#line 13859 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2546:

/* Line 1455 of yacc.c  */
#line 13860 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2547:

/* Line 1455 of yacc.c  */
#line 13863 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2548:

/* Line 1455 of yacc.c  */
#line 13864 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2549:

/* Line 1455 of yacc.c  */
#line 13865 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2550:

/* Line 1455 of yacc.c  */
#line 13866 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2551:

/* Line 1455 of yacc.c  */
#line 13869 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2552:

/* Line 1455 of yacc.c  */
#line 13870 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2553:

/* Line 1455 of yacc.c  */
#line 13871 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2554:

/* Line 1455 of yacc.c  */
#line 13872 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2555:

/* Line 1455 of yacc.c  */
#line 13873 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2556:

/* Line 1455 of yacc.c  */
#line 13874 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2557:

/* Line 1455 of yacc.c  */
#line 13875 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2558:

/* Line 1455 of yacc.c  */
#line 13892 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2559:

/* Line 1455 of yacc.c  */
#line 13893 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2560:

/* Line 1455 of yacc.c  */
#line 13894 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2561:

/* Line 1455 of yacc.c  */
#line 13897 "preproc.y"
    { (yyval.str) = mm_strdup("day"); ;}
    break;

  case 2562:

/* Line 1455 of yacc.c  */
#line 13898 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2563:

/* Line 1455 of yacc.c  */
#line 13899 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2564:

/* Line 1455 of yacc.c  */
#line 13900 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2565:

/* Line 1455 of yacc.c  */
#line 13901 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2566:

/* Line 1455 of yacc.c  */
#line 13902 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2569:

/* Line 1455 of yacc.c  */
#line 13909 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			;}
    break;

  case 2570:

/* Line 1455 of yacc.c  */
#line 13915 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2571:

/* Line 1455 of yacc.c  */
#line 13916 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2572:

/* Line 1455 of yacc.c  */
#line 13920 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
    break;

  case 2573:

/* Line 1455 of yacc.c  */
#line 13922 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
    break;

  case 2574:

/* Line 1455 of yacc.c  */
#line 13927 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		;}
    break;

  case 2575:

/* Line 1455 of yacc.c  */
#line 13937 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2576:

/* Line 1455 of yacc.c  */
#line 13948 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		;}
    break;

  case 2577:

/* Line 1455 of yacc.c  */
#line 13954 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2578:

/* Line 1455 of yacc.c  */
#line 13955 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2579:

/* Line 1455 of yacc.c  */
#line 13956 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2580:

/* Line 1455 of yacc.c  */
#line 13960 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2581:

/* Line 1455 of yacc.c  */
#line 13992 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2582:

/* Line 1455 of yacc.c  */
#line 13994 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2583:

/* Line 1455 of yacc.c  */
#line 13996 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2584:

/* Line 1455 of yacc.c  */
#line 14000 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2585:

/* Line 1455 of yacc.c  */
#line 14010 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2586:

/* Line 1455 of yacc.c  */
#line 14020 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2587:

/* Line 1455 of yacc.c  */
#line 14029 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2588:

/* Line 1455 of yacc.c  */
#line 14030 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2589:

/* Line 1455 of yacc.c  */
#line 14033 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2590:

/* Line 1455 of yacc.c  */
#line 14035 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2591:

/* Line 1455 of yacc.c  */
#line 14036 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2592:

/* Line 1455 of yacc.c  */
#line 14037 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2593:

/* Line 1455 of yacc.c  */
#line 14041 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2594:

/* Line 1455 of yacc.c  */
#line 14043 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); ;}
    break;

  case 2595:

/* Line 1455 of yacc.c  */
#line 14050 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2596:

/* Line 1455 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = mm_strdup("()"); ;}
    break;

  case 2597:

/* Line 1455 of yacc.c  */
#line 14053 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2598:

/* Line 1455 of yacc.c  */
#line 14056 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2599:

/* Line 1455 of yacc.c  */
#line 14058 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2600:

/* Line 1455 of yacc.c  */
#line 14061 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2601:

/* Line 1455 of yacc.c  */
#line 14062 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2602:

/* Line 1455 of yacc.c  */
#line 14065 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2603:

/* Line 1455 of yacc.c  */
#line 14066 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2604:

/* Line 1455 of yacc.c  */
#line 14069 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2605:

/* Line 1455 of yacc.c  */
#line 14070 "preproc.y"
    { (yyval.str) = mm_strdup("("); ;}
    break;

  case 2606:

/* Line 1455 of yacc.c  */
#line 14071 "preproc.y"
    { (yyval.str) = mm_strdup(")"); ;}
    break;

  case 2607:

/* Line 1455 of yacc.c  */
#line 14072 "preproc.y"
    { (yyval.str) = mm_strdup(","); ;}
    break;

  case 2608:

/* Line 1455 of yacc.c  */
#line 14073 "preproc.y"
    { (yyval.str) = mm_strdup(";"); ;}
    break;

  case 2609:

/* Line 1455 of yacc.c  */
#line 14076 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2610:

/* Line 1455 of yacc.c  */
#line 14077 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2611:

/* Line 1455 of yacc.c  */
#line 14078 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2612:

/* Line 1455 of yacc.c  */
#line 14079 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2613:

/* Line 1455 of yacc.c  */
#line 14080 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2614:

/* Line 1455 of yacc.c  */
#line 14081 "preproc.y"
    { (yyval.str) = mm_strdup("+"); ;}
    break;

  case 2615:

/* Line 1455 of yacc.c  */
#line 14082 "preproc.y"
    { (yyval.str) = mm_strdup("-"); ;}
    break;

  case 2616:

/* Line 1455 of yacc.c  */
#line 14083 "preproc.y"
    { (yyval.str) = mm_strdup("/"); ;}
    break;

  case 2617:

/* Line 1455 of yacc.c  */
#line 14084 "preproc.y"
    { (yyval.str) = mm_strdup("%"); ;}
    break;

  case 2618:

/* Line 1455 of yacc.c  */
#line 14085 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2619:

/* Line 1455 of yacc.c  */
#line 14086 "preproc.y"
    { (yyval.str) = mm_strdup("+="); ;}
    break;

  case 2620:

/* Line 1455 of yacc.c  */
#line 14087 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); ;}
    break;

  case 2621:

/* Line 1455 of yacc.c  */
#line 14088 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2622:

/* Line 1455 of yacc.c  */
#line 14089 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2623:

/* Line 1455 of yacc.c  */
#line 14090 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2624:

/* Line 1455 of yacc.c  */
#line 14091 "preproc.y"
    { (yyval.str) = mm_strdup("--"); ;}
    break;

  case 2625:

/* Line 1455 of yacc.c  */
#line 14092 "preproc.y"
    { (yyval.str) = mm_strdup("/="); ;}
    break;

  case 2626:

/* Line 1455 of yacc.c  */
#line 14093 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); ;}
    break;

  case 2627:

/* Line 1455 of yacc.c  */
#line 14094 "preproc.y"
    { (yyval.str) = mm_strdup("=="); ;}
    break;

  case 2628:

/* Line 1455 of yacc.c  */
#line 14095 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2629:

/* Line 1455 of yacc.c  */
#line 14096 "preproc.y"
    { (yyval.str) = mm_strdup("++"); ;}
    break;

  case 2630:

/* Line 1455 of yacc.c  */
#line 14097 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); ;}
    break;

  case 2631:

/* Line 1455 of yacc.c  */
#line 14098 "preproc.y"
    { (yyval.str) = mm_strdup("->"); ;}
    break;

  case 2632:

/* Line 1455 of yacc.c  */
#line 14099 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); ;}
    break;

  case 2633:

/* Line 1455 of yacc.c  */
#line 14100 "preproc.y"
    { (yyval.str) = mm_strdup("%="); ;}
    break;

  case 2634:

/* Line 1455 of yacc.c  */
#line 14101 "preproc.y"
    { (yyval.str) = mm_strdup("*="); ;}
    break;

  case 2635:

/* Line 1455 of yacc.c  */
#line 14102 "preproc.y"
    { (yyval.str) = mm_strdup("!="); ;}
    break;

  case 2636:

/* Line 1455 of yacc.c  */
#line 14103 "preproc.y"
    { (yyval.str) = mm_strdup("||"); ;}
    break;

  case 2637:

/* Line 1455 of yacc.c  */
#line 14104 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2638:

/* Line 1455 of yacc.c  */
#line 14105 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); ;}
    break;

  case 2639:

/* Line 1455 of yacc.c  */
#line 14106 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2640:

/* Line 1455 of yacc.c  */
#line 14107 "preproc.y"
    { (yyval.str) = mm_strdup("-="); ;}
    break;

  case 2641:

/* Line 1455 of yacc.c  */
#line 14108 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2642:

/* Line 1455 of yacc.c  */
#line 14109 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2643:

/* Line 1455 of yacc.c  */
#line 14110 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2644:

/* Line 1455 of yacc.c  */
#line 14111 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); ;}
    break;

  case 2645:

/* Line 1455 of yacc.c  */
#line 14112 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2646:

/* Line 1455 of yacc.c  */
#line 14113 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2647:

/* Line 1455 of yacc.c  */
#line 14114 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2648:

/* Line 1455 of yacc.c  */
#line 14115 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2649:

/* Line 1455 of yacc.c  */
#line 14116 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2650:

/* Line 1455 of yacc.c  */
#line 14117 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2651:

/* Line 1455 of yacc.c  */
#line 14118 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2652:

/* Line 1455 of yacc.c  */
#line 14119 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2653:

/* Line 1455 of yacc.c  */
#line 14120 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2654:

/* Line 1455 of yacc.c  */
#line 14121 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2655:

/* Line 1455 of yacc.c  */
#line 14122 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2656:

/* Line 1455 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2657:

/* Line 1455 of yacc.c  */
#line 14124 "preproc.y"
    { (yyval.str) = mm_strdup("float"); ;}
    break;

  case 2658:

/* Line 1455 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2659:

/* Line 1455 of yacc.c  */
#line 14126 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2660:

/* Line 1455 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); ;}
    break;

  case 2661:

/* Line 1455 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.str) = mm_strdup("["); ;}
    break;

  case 2662:

/* Line 1455 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.str) = mm_strdup("]"); ;}
    break;

  case 2663:

/* Line 1455 of yacc.c  */
#line 14130 "preproc.y"
    { (yyval.str) = mm_strdup("="); ;}
    break;

  case 2664:

/* Line 1455 of yacc.c  */
#line 14131 "preproc.y"
    { (yyval.str) = mm_strdup(":"); ;}
    break;

  case 2665:

/* Line 1455 of yacc.c  */
#line 14134 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2666:

/* Line 1455 of yacc.c  */
#line 14135 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2667:

/* Line 1455 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2668:

/* Line 1455 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2669:

/* Line 1455 of yacc.c  */
#line 14140 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2670:

/* Line 1455 of yacc.c  */
#line 14141 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2671:

/* Line 1455 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2672:

/* Line 1455 of yacc.c  */
#line 14143 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2673:

/* Line 1455 of yacc.c  */
#line 14144 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2674:

/* Line 1455 of yacc.c  */
#line 14145 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2675:

/* Line 1455 of yacc.c  */
#line 14146 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2676:

/* Line 1455 of yacc.c  */
#line 14147 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2677:

/* Line 1455 of yacc.c  */
#line 14148 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2678:

/* Line 1455 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2679:

/* Line 1455 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2680:

/* Line 1455 of yacc.c  */
#line 14153 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2681:

/* Line 1455 of yacc.c  */
#line 14154 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2682:

/* Line 1455 of yacc.c  */
#line 14155 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2683:

/* Line 1455 of yacc.c  */
#line 14158 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2684:

/* Line 1455 of yacc.c  */
#line 14159 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2685:

/* Line 1455 of yacc.c  */
#line 14162 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2686:

/* Line 1455 of yacc.c  */
#line 14164 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	;}
    break;

  case 2687:

/* Line 1455 of yacc.c  */
#line 14174 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2688:

/* Line 1455 of yacc.c  */
#line 14175 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;



/* Line 1455 of yacc.c  */
#line 49944 "preproc.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 14178 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

